/***
*** Interface: ads2002 2.2.0.0
 *** created by: admsXml-2.3.7 ***/


#include "ngspice/ngspice.h"
#include "ngspice/devdefs.h"
#include "hicum0defs.h"
#include "ngspice/suffix.h"

IFparm hicum0pTable[] = {
  IOP("dtemp",hicum0_instance_dtemp,IF_REAL,"dtemp"),
  OP("ib",hicum0_ask_IB,IF_REAL,"Base terminal current"),
  OP("ic",hicum0_ask_IC,IF_REAL,"Collector terminal current"),
  OP("isub",hicum0_ask_ISUB,IF_REAL,"Substrate current"),
  OP("iavl",hicum0_ask_IAVL,IF_REAL,"Avalanche current"),
  OP("vbe",hicum0_ask_VBE,IF_REAL,"External BE voltage"),
  OP("vbc",hicum0_ask_VBC,IF_REAL,"External BC voltage"),
  OP("vce",hicum0_ask_VCE,IF_REAL,"External CE voltage"),
  OP("vsc",hicum0_ask_VSC,IF_REAL,"External SC voltage"),
  OP("betadc",hicum0_ask_BETADC,IF_REAL,"Common emitter forward current gain"),
  OP("gmi",hicum0_ask_GMi,IF_REAL,"Internal transconductance"),
  OP("rpii",hicum0_ask_RPIi,IF_REAL,"Internal input resistance"),
  OP("rmui",hicum0_ask_RMUi,IF_REAL,"Internal feedback resistance"),
  OP("roi",hicum0_ask_ROi,IF_REAL,"Internal Output resistance"),
  OP("cpii",hicum0_ask_CPIi,IF_REAL,"Total BE capacitance"),
  OP("cmui",hicum0_ask_CMUi,IF_REAL,"Total internal BC capacitance"),
  OP("cbcx",hicum0_ask_CBCX,IF_REAL,"Total external BC capacitance"),
  OP("ccs",hicum0_ask_CCS,IF_REAL,"CS junction capacitance"),
  OP("rbi",hicum0_ask_RBi,IF_REAL,"Internal base resistance"),
  OP("rb",hicum0_ask_RB,IF_REAL,"Total base resistance"),
  OP("rcxop",hicum0_ask_RCXop,IF_REAL,"External (saturated) collector series resistance"),
  OP("reop",hicum0_ask_REop,IF_REAL,"Emitter series resistance"),
  OP("betaac",hicum0_ask_BETAAC,IF_REAL,"Small signal current gain"),
  OP("tf",hicum0_ask_TF,IF_REAL,"Total forward transit time"),
  OP("ft",hicum0_ask_FT,IF_REAL,"Transit frequency"),
};
IFparm hicum0mPTable[] = {
 IOP("is",hicum0_model_is,IF_REAL,"is"),
 IOP("it_mod",hicum0_model_it_mod,IF_INTEGER,"it_mod"),
 IOP("mcf",hicum0_model_mcf,IF_REAL,"mcf"),
 IOP("mcr",hicum0_model_mcr,IF_REAL,"mcr"),
 IOP("vef",hicum0_model_vef,IF_REAL,"vef"),
 IOP("ver",hicum0_model_ver,IF_REAL,"ver"),
 IOP("aver",hicum0_model_aver,IF_REAL,"aver"),
 IOP("iqf",hicum0_model_iqf,IF_REAL,"iqf"),
 IOP("fiqf",hicum0_model_fiqf,IF_REAL,"fiqf"),
 IOP("iqr",hicum0_model_iqr,IF_REAL,"iqr"),
 IOP("iqfh",hicum0_model_iqfh,IF_REAL,"iqfh"),
 IOP("tfh",hicum0_model_tfh,IF_REAL,"tfh"),
 IOP("ahq",hicum0_model_ahq,IF_REAL,"ahq"),
 IOP("ibes",hicum0_model_ibes,IF_REAL,"ibes"),
 IOP("mbe",hicum0_model_mbe,IF_REAL,"mbe"),
 IOP("ires",hicum0_model_ires,IF_REAL,"ires"),
 IOP("mre",hicum0_model_mre,IF_REAL,"mre"),
 IOP("ibcs",hicum0_model_ibcs,IF_REAL,"ibcs"),
 IOP("mbc",hicum0_model_mbc,IF_REAL,"mbc"),
 IOP("cje0",hicum0_model_cje0,IF_REAL,"cje0"),
 IOP("vde",hicum0_model_vde,IF_REAL,"vde"),
 IOP("ze",hicum0_model_ze,IF_REAL,"ze"),
 IOP("aje",hicum0_model_aje,IF_REAL,"aje"),
 IOP("vdedc",hicum0_model_vdedc,IF_REAL,"vdedc"),
 IOP("zedc",hicum0_model_zedc,IF_REAL,"zedc"),
 IOP("ajedc",hicum0_model_ajedc,IF_REAL,"ajedc"),
 IOP("t0",hicum0_model_t0,IF_REAL,"t0"),
 IOP("dt0h",hicum0_model_dt0h,IF_REAL,"dt0h"),
 IOP("tbvl",hicum0_model_tbvl,IF_REAL,"tbvl"),
 IOP("tef0",hicum0_model_tef0,IF_REAL,"tef0"),
 IOP("gte",hicum0_model_gte,IF_REAL,"gte"),
 IOP("thcs",hicum0_model_thcs,IF_REAL,"thcs"),
 IOP("ahc",hicum0_model_ahc,IF_REAL,"ahc"),
 IOP("tr",hicum0_model_tr,IF_REAL,"tr"),
 IOP("rci0",hicum0_model_rci0,IF_REAL,"rci0"),
 IOP("vlim",hicum0_model_vlim,IF_REAL,"vlim"),
 IOP("vpt",hicum0_model_vpt,IF_REAL,"vpt"),
 IOP("vces",hicum0_model_vces,IF_REAL,"vces"),
 IOP("cjci0",hicum0_model_cjci0,IF_REAL,"cjci0"),
 IOP("vdci",hicum0_model_vdci,IF_REAL,"vdci"),
 IOP("zci",hicum0_model_zci,IF_REAL,"zci"),
 IOP("vptci",hicum0_model_vptci,IF_REAL,"vptci"),
 IOP("cjcx0",hicum0_model_cjcx0,IF_REAL,"cjcx0"),
 IOP("vdcx",hicum0_model_vdcx,IF_REAL,"vdcx"),
 IOP("zcx",hicum0_model_zcx,IF_REAL,"zcx"),
 IOP("vptcx",hicum0_model_vptcx,IF_REAL,"vptcx"),
 IOP("fbc",hicum0_model_fbc,IF_REAL,"fbc"),
 IOP("rbi0",hicum0_model_rbi0,IF_REAL,"rbi0"),
 IOP("vr0e",hicum0_model_vr0e,IF_REAL,"vr0e"),
 IOP("vr0c",hicum0_model_vr0c,IF_REAL,"vr0c"),
 IOP("fgeo",hicum0_model_fgeo,IF_REAL,"fgeo"),
 IOP("rbx",hicum0_model_rbx,IF_REAL,"rbx"),
 IOP("rcx",hicum0_model_rcx,IF_REAL,"rcx"),
 IOP("re",hicum0_model_re,IF_REAL,"re"),
 IOP("itss",hicum0_model_itss,IF_REAL,"itss"),
 IOP("msf",hicum0_model_msf,IF_REAL,"msf"),
 IOP("iscs",hicum0_model_iscs,IF_REAL,"iscs"),
 IOP("msc",hicum0_model_msc,IF_REAL,"msc"),
 IOP("cjs0",hicum0_model_cjs0,IF_REAL,"cjs0"),
 IOP("vds",hicum0_model_vds,IF_REAL,"vds"),
 IOP("zs",hicum0_model_zs,IF_REAL,"zs"),
 IOP("vpts",hicum0_model_vpts,IF_REAL,"vpts"),
 IOP("cbcpar",hicum0_model_cbcpar,IF_REAL,"cbcpar"),
 IOP("cbepar",hicum0_model_cbepar,IF_REAL,"cbepar"),
 IOP("eavl",hicum0_model_eavl,IF_REAL,"eavl"),
 IOP("kavl",hicum0_model_kavl,IF_REAL,"kavl"),
 IOP("kf",hicum0_model_kf,IF_REAL,"kf"),
 IOP("af",hicum0_model_af,IF_REAL,"af"),
 IOP("alqf",hicum0_model_alqf,IF_REAL,"alqf"),
 IOP("alit",hicum0_model_alit,IF_REAL,"alit"),
 IOP("flnqs",hicum0_model_flnqs,IF_INTEGER,"flnqs"),
 IOP("vgb",hicum0_model_vgb,IF_REAL,"vgb"),
 IOP("vge",hicum0_model_vge,IF_REAL,"vge"),
 IOP("vgc",hicum0_model_vgc,IF_REAL,"vgc"),
 IOP("vgs",hicum0_model_vgs,IF_REAL,"vgs"),
 IOP("f1vg",hicum0_model_f1vg,IF_REAL,"f1vg"),
 IOP("f2vg",hicum0_model_f2vg,IF_REAL,"f2vg"),
 IOP("alt0",hicum0_model_alt0,IF_REAL,"alt0"),
 IOP("kt0",hicum0_model_kt0,IF_REAL,"kt0"),
 IOP("zetact",hicum0_model_zetact,IF_REAL,"zetact"),
 IOP("zetabet",hicum0_model_zetabet,IF_REAL,"zetabet"),
 IOP("zetaci",hicum0_model_zetaci,IF_REAL,"zetaci"),
 IOP("alvs",hicum0_model_alvs,IF_REAL,"alvs"),
 IOP("alces",hicum0_model_alces,IF_REAL,"alces"),
 IOP("zetarbi",hicum0_model_zetarbi,IF_REAL,"zetarbi"),
 IOP("zetarbx",hicum0_model_zetarbx,IF_REAL,"zetarbx"),
 IOP("zetarcx",hicum0_model_zetarcx,IF_REAL,"zetarcx"),
 IOP("zetare",hicum0_model_zetare,IF_REAL,"zetare"),
 IOP("zetaiqf",hicum0_model_zetaiqf,IF_REAL,"zetaiqf"),
 IOP("alkav",hicum0_model_alkav,IF_REAL,"alkav"),
 IOP("aleav",hicum0_model_aleav,IF_REAL,"aleav"),
 IOP("zetarth",hicum0_model_zetarth,IF_REAL,"zetarth"),
 IOP("tef_temp",hicum0_model_tef_temp,IF_INTEGER,"tef_temp"),
 IOP("zetaver",hicum0_model_zetaver,IF_REAL,"zetaver"),
 IOP("zetavgbe",hicum0_model_zetavgbe,IF_REAL,"zetavgbe"),
 IOP("dvgbe",hicum0_model_dvgbe,IF_REAL,"dvgbe"),
 IOP("aliqfh",hicum0_model_aliqfh,IF_REAL,"aliqfh"),
 IOP("kiqfh",hicum0_model_kiqfh,IF_REAL,"kiqfh"),
 IOP("flsh",hicum0_model_flsh,IF_INTEGER,"flsh"),
 IOP("rth",hicum0_model_rth,IF_REAL,"rth"),
 IOP("cth",hicum0_model_cth,IF_REAL,"cth"),
 IOP("npn",hicum0_model_npn,IF_INTEGER,"npn"),
 IOP("pnp",hicum0_model_pnp,IF_INTEGER,"pnp"),
 IOP("type",hicum0_model_type,IF_INTEGER,"type"),
 IOP("tnom",hicum0_model_tnom,IF_REAL,"tnom")
};


char *hicum0names[] = { "c",
 "b",
 "e",
 "s",
 "tnode"
};

int hicum0nSize = NUMELEMS(hicum0names);
int hicum0pTSize = NUMELEMS(hicum0pTable);
int hicum0mPTSize = NUMELEMS(hicum0mPTable);
int hicum0iSize = sizeof(hicum0instance);
int hicum0mSize = sizeof(hicum0model);
