/***
*** Interface: ngspice 1.0.0.0
 *** created by: admsXml-2.3.7 ***/

#define NGSPICE_DEBUG_OK


#include "ngspice/ngspice.h"
#include "ngspice/cktdefs.h"
#include "psp103defs.h"
#include "ngspice/const.h"
#include "ngspice/trandefs.h"
#include "ngspice/sperror.h"
#include "ngspice/devdefs.h"
#include "ngspice/suffix.h"

/*fixme: noise not implemented in ngspice*/
#define ngspice_flickernoise(p,n,mag,freq,info)\
{\
}
#define ngspice_whitenoise(p,n,mag,info)\
{\
}

#define NP(p) *(ckt->CKTrhsOld+here->p ## Node)
#define BP(p,n) (NP(p)-NP(n))
#define DBGNODE(p) printf(#p "=%i - v=%e\n",here->p ## Node,NP(p));
static void psp103debug (CKTcircuit *ckt, psp103model *model, psp103instance *here)
{
  fprintf(stdout,"voltage: D=%e\n",NP(D));
  fprintf(stdout,"voltage: G=%e\n",NP(G));
  fprintf(stdout,"voltage: S=%e\n",NP(S));
  fprintf(stdout,"voltage: B=%e\n",NP(B));
  fprintf(stdout,"voltage: NOI=%e\n",NP(NOI));
  fprintf(stdout,"voltage: GP=%e\n",NP(GP));
  fprintf(stdout,"voltage: SI=%e\n",NP(SI));
  fprintf(stdout,"voltage: DI=%e\n",NP(DI));
  fprintf(stdout,"voltage: BP=%e\n",NP(BP));
  fprintf(stdout,"voltage: BI=%e\n",NP(BI));
  fprintf(stdout,"voltage: BS=%e\n",NP(BS));
  fprintf(stdout,"voltage: BD=%e\n",NP(BD));
  fprintf(stdout,"Parameter: instance: L=%e\n",here->L);
  fprintf(stdout,"Parameter: instance: W=%e\n",here->W);
  fprintf(stdout,"Parameter: instance: SA=%e\n",here->SA);
  fprintf(stdout,"Parameter: instance: SB=%e\n",here->SB);
  fprintf(stdout,"Parameter: instance: SD=%e\n",here->SD);
  fprintf(stdout,"Parameter: instance: SCA=%e\n",here->SCA);
  fprintf(stdout,"Parameter: instance: SCB=%e\n",here->SCB);
  fprintf(stdout,"Parameter: instance: SCC=%e\n",here->SCC);
  fprintf(stdout,"Parameter: instance: SC=%e\n",here->SC);
  fprintf(stdout,"Parameter: instance: NF=%e\n",here->NF);
  fprintf(stdout,"Parameter: instance: NGCON=%e\n",here->NGCON);
  fprintf(stdout,"Parameter: instance: XGW=%e\n",here->XGW);
  fprintf(stdout,"Parameter: instance: NRS=%e\n",here->NRS);
  fprintf(stdout,"Parameter: instance: NRD=%e\n",here->NRD);
  fprintf(stdout,"Parameter: instance: JW=%e\n",here->JW);
  fprintf(stdout,"Parameter: instance: DELVTO=%e\n",here->DELVTO);
  fprintf(stdout,"Parameter: instance: FACTUO=%e\n",here->FACTUO);
  fprintf(stdout,"Parameter: instance: DELVTOEDGE=%e\n",here->DELVTOEDGE);
  fprintf(stdout,"Parameter: instance: FACTUOEDGE=%e\n",here->FACTUOEDGE);
  fprintf(stdout,"Parameter: instance: ABSOURCE=%e\n",here->ABSOURCE);
  fprintf(stdout,"Parameter: instance: LSSOURCE=%e\n",here->LSSOURCE);
  fprintf(stdout,"Parameter: instance: LGSOURCE=%e\n",here->LGSOURCE);
  fprintf(stdout,"Parameter: instance: ABDRAIN=%e\n",here->ABDRAIN);
  fprintf(stdout,"Parameter: instance: LSDRAIN=%e\n",here->LSDRAIN);
  fprintf(stdout,"Parameter: instance: LGDRAIN=%e\n",here->LGDRAIN);
  fprintf(stdout,"Parameter: instance: AS=%e\n",here->AS);
  fprintf(stdout,"Parameter: instance: PS=%e\n",here->PS);
  fprintf(stdout,"Parameter: instance: AD=%e\n",here->AD);
  fprintf(stdout,"Parameter: instance: PD=%e\n",here->PD);
  fprintf(stdout,"Parameter: instance: MULT=%e\n",here->MULT);
  fprintf(stdout,"Parameter: model: LEVEL=%i\n",model->LEVEL);
  fprintf(stdout,"Parameter: model: TYPE=%i\n",model->TYPE);
  fprintf(stdout,"Parameter: model: nmos=%i\n",model->nmos);
  fprintf(stdout,"Parameter: model: pmos=%i\n",model->pmos);
  fprintf(stdout,"Parameter: model: TR=%e\n",model->TR);
  fprintf(stdout,"Parameter: model: SWGEO=%i\n",model->SWGEO);
  fprintf(stdout,"Parameter: model: SWIGATE=%i\n",model->SWIGATE);
  fprintf(stdout,"Parameter: model: SWIMPACT=%i\n",model->SWIMPACT);
  fprintf(stdout,"Parameter: model: SWGIDL=%i\n",model->SWGIDL);
  fprintf(stdout,"Parameter: model: SWJUNCAP=%i\n",model->SWJUNCAP);
  fprintf(stdout,"Parameter: model: SWJUNASYM=%i\n",model->SWJUNASYM);
  fprintf(stdout,"Parameter: model: SWNUD=%i\n",model->SWNUD);
  fprintf(stdout,"Parameter: model: SWEDGE=%i\n",model->SWEDGE);
  fprintf(stdout,"Parameter: model: SWDELVTAC=%i\n",model->SWDELVTAC);
  fprintf(stdout,"Parameter: model: SWQSAT=%i\n",model->SWQSAT);
  fprintf(stdout,"Parameter: model: SWQPART=%i\n",model->SWQPART);
  fprintf(stdout,"Parameter: model: SWIGN=%i\n",model->SWIGN);
  fprintf(stdout,"Parameter: model: QMC=%e\n",model->QMC);
  fprintf(stdout,"Parameter: model: VFB=%e\n",model->VFB);
  fprintf(stdout,"Parameter: model: STVFB=%e\n",model->STVFB);
  fprintf(stdout,"Parameter: model: ST2VFB=%e\n",model->ST2VFB);
  fprintf(stdout,"Parameter: model: TOX=%e\n",model->TOX);
  fprintf(stdout,"Parameter: model: EPSROX=%e\n",model->EPSROX);
  fprintf(stdout,"Parameter: model: NEFF=%e\n",model->NEFF);
  fprintf(stdout,"Parameter: model: FACNEFFAC=%e\n",model->FACNEFFAC);
  fprintf(stdout,"Parameter: model: GFACNUD=%e\n",model->GFACNUD);
  fprintf(stdout,"Parameter: model: VSBNUD=%e\n",model->VSBNUD);
  fprintf(stdout,"Parameter: model: DVSBNUD=%e\n",model->DVSBNUD);
  fprintf(stdout,"Parameter: model: VNSUB=%e\n",model->VNSUB);
  fprintf(stdout,"Parameter: model: NSLP=%e\n",model->NSLP);
  fprintf(stdout,"Parameter: model: DNSUB=%e\n",model->DNSUB);
  fprintf(stdout,"Parameter: model: DPHIB=%e\n",model->DPHIB);
  fprintf(stdout,"Parameter: model: DELVTAC=%e\n",model->DELVTAC);
  fprintf(stdout,"Parameter: model: NP=%e\n",model->NP);
  fprintf(stdout,"Parameter: model: TOXOV=%e\n",model->TOXOV);
  fprintf(stdout,"Parameter: model: TOXOVD=%e\n",model->TOXOVD);
  fprintf(stdout,"Parameter: model: NOV=%e\n",model->NOV);
  fprintf(stdout,"Parameter: model: NOVD=%e\n",model->NOVD);
  fprintf(stdout,"Parameter: model: CT=%e\n",model->CT);
  fprintf(stdout,"Parameter: model: CTG=%e\n",model->CTG);
  fprintf(stdout,"Parameter: model: CTB=%e\n",model->CTB);
  fprintf(stdout,"Parameter: model: STCT=%e\n",model->STCT);
  fprintf(stdout,"Parameter: model: CF=%e\n",model->CF);
  fprintf(stdout,"Parameter: model: CFAC=%e\n",model->CFAC);
  fprintf(stdout,"Parameter: model: CFD=%e\n",model->CFD);
  fprintf(stdout,"Parameter: model: CFB=%e\n",model->CFB);
  fprintf(stdout,"Parameter: model: PSCE=%e\n",model->PSCE);
  fprintf(stdout,"Parameter: model: PSCEB=%e\n",model->PSCEB);
  fprintf(stdout,"Parameter: model: PSCED=%e\n",model->PSCED);
  fprintf(stdout,"Parameter: model: BETN=%e\n",model->BETN);
  fprintf(stdout,"Parameter: model: STBET=%e\n",model->STBET);
  fprintf(stdout,"Parameter: model: MUE=%e\n",model->MUE);
  fprintf(stdout,"Parameter: model: STMUE=%e\n",model->STMUE);
  fprintf(stdout,"Parameter: model: THEMU=%e\n",model->THEMU);
  fprintf(stdout,"Parameter: model: STTHEMU=%e\n",model->STTHEMU);
  fprintf(stdout,"Parameter: model: CS=%e\n",model->CS);
  fprintf(stdout,"Parameter: model: STCS=%e\n",model->STCS);
  fprintf(stdout,"Parameter: model: THECS=%e\n",model->THECS);
  fprintf(stdout,"Parameter: model: STTHECS=%e\n",model->STTHECS);
  fprintf(stdout,"Parameter: model: XCOR=%e\n",model->XCOR);
  fprintf(stdout,"Parameter: model: STXCOR=%e\n",model->STXCOR);
  fprintf(stdout,"Parameter: model: FETA=%e\n",model->FETA);
  fprintf(stdout,"Parameter: model: RS=%e\n",model->RS);
  fprintf(stdout,"Parameter: model: STRS=%e\n",model->STRS);
  fprintf(stdout,"Parameter: model: RSB=%e\n",model->RSB);
  fprintf(stdout,"Parameter: model: RSG=%e\n",model->RSG);
  fprintf(stdout,"Parameter: model: THESAT=%e\n",model->THESAT);
  fprintf(stdout,"Parameter: model: THESATAC=%e\n",model->THESATAC);
  fprintf(stdout,"Parameter: model: STTHESAT=%e\n",model->STTHESAT);
  fprintf(stdout,"Parameter: model: THESATB=%e\n",model->THESATB);
  fprintf(stdout,"Parameter: model: THESATG=%e\n",model->THESATG);
  fprintf(stdout,"Parameter: model: AX=%e\n",model->AX);
  fprintf(stdout,"Parameter: model: AXAC=%e\n",model->AXAC);
  fprintf(stdout,"Parameter: model: ALP=%e\n",model->ALP);
  fprintf(stdout,"Parameter: model: ALPAC=%e\n",model->ALPAC);
  fprintf(stdout,"Parameter: model: ALP1=%e\n",model->ALP1);
  fprintf(stdout,"Parameter: model: ALP2=%e\n",model->ALP2);
  fprintf(stdout,"Parameter: model: VP=%e\n",model->VP);
  fprintf(stdout,"Parameter: model: A1=%e\n",model->A1);
  fprintf(stdout,"Parameter: model: A2=%e\n",model->A2);
  fprintf(stdout,"Parameter: model: STA2=%e\n",model->STA2);
  fprintf(stdout,"Parameter: model: A3=%e\n",model->A3);
  fprintf(stdout,"Parameter: model: A4=%e\n",model->A4);
  fprintf(stdout,"Parameter: model: GCO=%e\n",model->GCO);
  fprintf(stdout,"Parameter: model: IGINV=%e\n",model->IGINV);
  fprintf(stdout,"Parameter: model: IGOV=%e\n",model->IGOV);
  fprintf(stdout,"Parameter: model: IGOVD=%e\n",model->IGOVD);
  fprintf(stdout,"Parameter: model: STIG=%e\n",model->STIG);
  fprintf(stdout,"Parameter: model: GC2=%e\n",model->GC2);
  fprintf(stdout,"Parameter: model: GC3=%e\n",model->GC3);
  fprintf(stdout,"Parameter: model: GC2OV=%e\n",model->GC2OV);
  fprintf(stdout,"Parameter: model: GC3OV=%e\n",model->GC3OV);
  fprintf(stdout,"Parameter: model: CHIB=%e\n",model->CHIB);
  fprintf(stdout,"Parameter: model: AGIDL=%e\n",model->AGIDL);
  fprintf(stdout,"Parameter: model: AGIDLD=%e\n",model->AGIDLD);
  fprintf(stdout,"Parameter: model: BGIDL=%e\n",model->BGIDL);
  fprintf(stdout,"Parameter: model: BGIDLD=%e\n",model->BGIDLD);
  fprintf(stdout,"Parameter: model: STBGIDL=%e\n",model->STBGIDL);
  fprintf(stdout,"Parameter: model: STBGIDLD=%e\n",model->STBGIDLD);
  fprintf(stdout,"Parameter: model: CGIDL=%e\n",model->CGIDL);
  fprintf(stdout,"Parameter: model: CGIDLD=%e\n",model->CGIDLD);
  fprintf(stdout,"Parameter: model: COX=%e\n",model->COX);
  fprintf(stdout,"Parameter: model: CGOV=%e\n",model->CGOV);
  fprintf(stdout,"Parameter: model: CGOVD=%e\n",model->CGOVD);
  fprintf(stdout,"Parameter: model: CGBOV=%e\n",model->CGBOV);
  fprintf(stdout,"Parameter: model: CFR=%e\n",model->CFR);
  fprintf(stdout,"Parameter: model: CFRD=%e\n",model->CFRD);
  fprintf(stdout,"Parameter: model: FNT=%e\n",model->FNT);
  fprintf(stdout,"Parameter: model: FNTEXC=%e\n",model->FNTEXC);
  fprintf(stdout,"Parameter: model: NFA=%e\n",model->NFA);
  fprintf(stdout,"Parameter: model: NFB=%e\n",model->NFB);
  fprintf(stdout,"Parameter: model: NFC=%e\n",model->NFC);
  fprintf(stdout,"Parameter: model: EF=%e\n",model->EF);
  fprintf(stdout,"Parameter: model: VFBEDGE=%e\n",model->VFBEDGE);
  fprintf(stdout,"Parameter: model: STVFBEDGE=%e\n",model->STVFBEDGE);
  fprintf(stdout,"Parameter: model: DPHIBEDGE=%e\n",model->DPHIBEDGE);
  fprintf(stdout,"Parameter: model: NEFFEDGE=%e\n",model->NEFFEDGE);
  fprintf(stdout,"Parameter: model: CTEDGE=%e\n",model->CTEDGE);
  fprintf(stdout,"Parameter: model: BETNEDGE=%e\n",model->BETNEDGE);
  fprintf(stdout,"Parameter: model: STBETEDGE=%e\n",model->STBETEDGE);
  fprintf(stdout,"Parameter: model: PSCEEDGE=%e\n",model->PSCEEDGE);
  fprintf(stdout,"Parameter: model: PSCEBEDGE=%e\n",model->PSCEBEDGE);
  fprintf(stdout,"Parameter: model: PSCEDEDGE=%e\n",model->PSCEDEDGE);
  fprintf(stdout,"Parameter: model: CFEDGE=%e\n",model->CFEDGE);
  fprintf(stdout,"Parameter: model: CFDEDGE=%e\n",model->CFDEDGE);
  fprintf(stdout,"Parameter: model: CFBEDGE=%e\n",model->CFBEDGE);
  fprintf(stdout,"Parameter: model: FNTEDGE=%e\n",model->FNTEDGE);
  fprintf(stdout,"Parameter: model: NFAEDGE=%e\n",model->NFAEDGE);
  fprintf(stdout,"Parameter: model: NFBEDGE=%e\n",model->NFBEDGE);
  fprintf(stdout,"Parameter: model: NFCEDGE=%e\n",model->NFCEDGE);
  fprintf(stdout,"Parameter: model: EFEDGE=%e\n",model->EFEDGE);
  fprintf(stdout,"Parameter: model: RG=%e\n",model->RG);
  fprintf(stdout,"Parameter: model: RSE=%e\n",model->RSE);
  fprintf(stdout,"Parameter: model: RDE=%e\n",model->RDE);
  fprintf(stdout,"Parameter: model: RBULK=%e\n",model->RBULK);
  fprintf(stdout,"Parameter: model: RWELL=%e\n",model->RWELL);
  fprintf(stdout,"Parameter: model: RJUNS=%e\n",model->RJUNS);
  fprintf(stdout,"Parameter: model: RJUND=%e\n",model->RJUND);
  fprintf(stdout,"Parameter: model: LVARO=%e\n",model->LVARO);
  fprintf(stdout,"Parameter: model: LVARL=%e\n",model->LVARL);
  fprintf(stdout,"Parameter: model: LVARW=%e\n",model->LVARW);
  fprintf(stdout,"Parameter: model: LAP=%e\n",model->LAP);
  fprintf(stdout,"Parameter: model: WVARO=%e\n",model->WVARO);
  fprintf(stdout,"Parameter: model: WVARL=%e\n",model->WVARL);
  fprintf(stdout,"Parameter: model: WVARW=%e\n",model->WVARW);
  fprintf(stdout,"Parameter: model: WOT=%e\n",model->WOT);
  fprintf(stdout,"Parameter: model: DLQ=%e\n",model->DLQ);
  fprintf(stdout,"Parameter: model: DWQ=%e\n",model->DWQ);
  fprintf(stdout,"Parameter: model: VFBO=%e\n",model->VFBO);
  fprintf(stdout,"Parameter: model: VFBL=%e\n",model->VFBL);
  fprintf(stdout,"Parameter: model: VFBW=%e\n",model->VFBW);
  fprintf(stdout,"Parameter: model: VFBLW=%e\n",model->VFBLW);
  fprintf(stdout,"Parameter: model: STVFBO=%e\n",model->STVFBO);
  fprintf(stdout,"Parameter: model: STVFBL=%e\n",model->STVFBL);
  fprintf(stdout,"Parameter: model: STVFBW=%e\n",model->STVFBW);
  fprintf(stdout,"Parameter: model: STVFBLW=%e\n",model->STVFBLW);
  fprintf(stdout,"Parameter: model: ST2VFBO=%e\n",model->ST2VFBO);
  fprintf(stdout,"Parameter: model: TOXO=%e\n",model->TOXO);
  fprintf(stdout,"Parameter: model: EPSROXO=%e\n",model->EPSROXO);
  fprintf(stdout,"Parameter: model: NSUBO=%e\n",model->NSUBO);
  fprintf(stdout,"Parameter: model: NSUBW=%e\n",model->NSUBW);
  fprintf(stdout,"Parameter: model: WSEG=%e\n",model->WSEG);
  fprintf(stdout,"Parameter: model: NPCK=%e\n",model->NPCK);
  fprintf(stdout,"Parameter: model: NPCKW=%e\n",model->NPCKW);
  fprintf(stdout,"Parameter: model: WSEGP=%e\n",model->WSEGP);
  fprintf(stdout,"Parameter: model: LPCK=%e\n",model->LPCK);
  fprintf(stdout,"Parameter: model: LPCKW=%e\n",model->LPCKW);
  fprintf(stdout,"Parameter: model: FOL1=%e\n",model->FOL1);
  fprintf(stdout,"Parameter: model: FOL2=%e\n",model->FOL2);
  fprintf(stdout,"Parameter: model: FACNEFFACO=%e\n",model->FACNEFFACO);
  fprintf(stdout,"Parameter: model: FACNEFFACL=%e\n",model->FACNEFFACL);
  fprintf(stdout,"Parameter: model: FACNEFFACW=%e\n",model->FACNEFFACW);
  fprintf(stdout,"Parameter: model: FACNEFFACLW=%e\n",model->FACNEFFACLW);
  fprintf(stdout,"Parameter: model: GFACNUDO=%e\n",model->GFACNUDO);
  fprintf(stdout,"Parameter: model: GFACNUDL=%e\n",model->GFACNUDL);
  fprintf(stdout,"Parameter: model: GFACNUDLEXP=%e\n",model->GFACNUDLEXP);
  fprintf(stdout,"Parameter: model: GFACNUDW=%e\n",model->GFACNUDW);
  fprintf(stdout,"Parameter: model: GFACNUDLW=%e\n",model->GFACNUDLW);
  fprintf(stdout,"Parameter: model: VSBNUDO=%e\n",model->VSBNUDO);
  fprintf(stdout,"Parameter: model: DVSBNUDO=%e\n",model->DVSBNUDO);
  fprintf(stdout,"Parameter: model: VNSUBO=%e\n",model->VNSUBO);
  fprintf(stdout,"Parameter: model: NSLPO=%e\n",model->NSLPO);
  fprintf(stdout,"Parameter: model: DNSUBO=%e\n",model->DNSUBO);
  fprintf(stdout,"Parameter: model: DPHIBO=%e\n",model->DPHIBO);
  fprintf(stdout,"Parameter: model: DPHIBL=%e\n",model->DPHIBL);
  fprintf(stdout,"Parameter: model: DPHIBLEXP=%e\n",model->DPHIBLEXP);
  fprintf(stdout,"Parameter: model: DPHIBW=%e\n",model->DPHIBW);
  fprintf(stdout,"Parameter: model: DPHIBLW=%e\n",model->DPHIBLW);
  fprintf(stdout,"Parameter: model: DELVTACO=%e\n",model->DELVTACO);
  fprintf(stdout,"Parameter: model: DELVTACL=%e\n",model->DELVTACL);
  fprintf(stdout,"Parameter: model: DELVTACLEXP=%e\n",model->DELVTACLEXP);
  fprintf(stdout,"Parameter: model: DELVTACW=%e\n",model->DELVTACW);
  fprintf(stdout,"Parameter: model: DELVTACLW=%e\n",model->DELVTACLW);
  fprintf(stdout,"Parameter: model: NPO=%e\n",model->NPO);
  fprintf(stdout,"Parameter: model: NPL=%e\n",model->NPL);
  fprintf(stdout,"Parameter: model: TOXOVO=%e\n",model->TOXOVO);
  fprintf(stdout,"Parameter: model: TOXOVDO=%e\n",model->TOXOVDO);
  fprintf(stdout,"Parameter: model: LOV=%e\n",model->LOV);
  fprintf(stdout,"Parameter: model: LOVD=%e\n",model->LOVD);
  fprintf(stdout,"Parameter: model: NOVO=%e\n",model->NOVO);
  fprintf(stdout,"Parameter: model: NOVDO=%e\n",model->NOVDO);
  fprintf(stdout,"Parameter: model: CTO=%e\n",model->CTO);
  fprintf(stdout,"Parameter: model: CTL=%e\n",model->CTL);
  fprintf(stdout,"Parameter: model: CTLEXP=%e\n",model->CTLEXP);
  fprintf(stdout,"Parameter: model: CTW=%e\n",model->CTW);
  fprintf(stdout,"Parameter: model: CTLW=%e\n",model->CTLW);
  fprintf(stdout,"Parameter: model: CTGO=%e\n",model->CTGO);
  fprintf(stdout,"Parameter: model: CTBO=%e\n",model->CTBO);
  fprintf(stdout,"Parameter: model: STCTO=%e\n",model->STCTO);
  fprintf(stdout,"Parameter: model: CFL=%e\n",model->CFL);
  fprintf(stdout,"Parameter: model: CFLEXP=%e\n",model->CFLEXP);
  fprintf(stdout,"Parameter: model: CFW=%e\n",model->CFW);
  fprintf(stdout,"Parameter: model: CFACL=%e\n",model->CFACL);
  fprintf(stdout,"Parameter: model: CFACLEXP=%e\n",model->CFACLEXP);
  fprintf(stdout,"Parameter: model: CFACW=%e\n",model->CFACW);
  fprintf(stdout,"Parameter: model: CFDO=%e\n",model->CFDO);
  fprintf(stdout,"Parameter: model: CFBO=%e\n",model->CFBO);
  fprintf(stdout,"Parameter: model: PSCEL=%e\n",model->PSCEL);
  fprintf(stdout,"Parameter: model: PSCELEXP=%e\n",model->PSCELEXP);
  fprintf(stdout,"Parameter: model: PSCEW=%e\n",model->PSCEW);
  fprintf(stdout,"Parameter: model: PSCEBO=%e\n",model->PSCEBO);
  fprintf(stdout,"Parameter: model: PSCEDO=%e\n",model->PSCEDO);
  fprintf(stdout,"Parameter: model: UO=%e\n",model->UO);
  fprintf(stdout,"Parameter: model: FBET1=%e\n",model->FBET1);
  fprintf(stdout,"Parameter: model: FBET1W=%e\n",model->FBET1W);
  fprintf(stdout,"Parameter: model: LP1=%e\n",model->LP1);
  fprintf(stdout,"Parameter: model: LP1W=%e\n",model->LP1W);
  fprintf(stdout,"Parameter: model: FBET2=%e\n",model->FBET2);
  fprintf(stdout,"Parameter: model: LP2=%e\n",model->LP2);
  fprintf(stdout,"Parameter: model: BETW1=%e\n",model->BETW1);
  fprintf(stdout,"Parameter: model: BETW2=%e\n",model->BETW2);
  fprintf(stdout,"Parameter: model: WBET=%e\n",model->WBET);
  fprintf(stdout,"Parameter: model: STBETO=%e\n",model->STBETO);
  fprintf(stdout,"Parameter: model: STBETL=%e\n",model->STBETL);
  fprintf(stdout,"Parameter: model: STBETW=%e\n",model->STBETW);
  fprintf(stdout,"Parameter: model: STBETLW=%e\n",model->STBETLW);
  fprintf(stdout,"Parameter: model: MUEO=%e\n",model->MUEO);
  fprintf(stdout,"Parameter: model: MUEW=%e\n",model->MUEW);
  fprintf(stdout,"Parameter: model: STMUEO=%e\n",model->STMUEO);
  fprintf(stdout,"Parameter: model: THEMUO=%e\n",model->THEMUO);
  fprintf(stdout,"Parameter: model: STTHEMUO=%e\n",model->STTHEMUO);
  fprintf(stdout,"Parameter: model: CSO=%e\n",model->CSO);
  fprintf(stdout,"Parameter: model: CSL=%e\n",model->CSL);
  fprintf(stdout,"Parameter: model: CSLEXP=%e\n",model->CSLEXP);
  fprintf(stdout,"Parameter: model: CSW=%e\n",model->CSW);
  fprintf(stdout,"Parameter: model: CSLW=%e\n",model->CSLW);
  fprintf(stdout,"Parameter: model: STCSO=%e\n",model->STCSO);
  fprintf(stdout,"Parameter: model: THECSO=%e\n",model->THECSO);
  fprintf(stdout,"Parameter: model: STTHECSO=%e\n",model->STTHECSO);
  fprintf(stdout,"Parameter: model: XCORO=%e\n",model->XCORO);
  fprintf(stdout,"Parameter: model: XCORL=%e\n",model->XCORL);
  fprintf(stdout,"Parameter: model: XCORW=%e\n",model->XCORW);
  fprintf(stdout,"Parameter: model: XCORLW=%e\n",model->XCORLW);
  fprintf(stdout,"Parameter: model: STXCORO=%e\n",model->STXCORO);
  fprintf(stdout,"Parameter: model: FETAO=%e\n",model->FETAO);
  fprintf(stdout,"Parameter: model: RSW1=%e\n",model->RSW1);
  fprintf(stdout,"Parameter: model: RSW2=%e\n",model->RSW2);
  fprintf(stdout,"Parameter: model: STRSO=%e\n",model->STRSO);
  fprintf(stdout,"Parameter: model: RSBO=%e\n",model->RSBO);
  fprintf(stdout,"Parameter: model: RSGO=%e\n",model->RSGO);
  fprintf(stdout,"Parameter: model: THESATO=%e\n",model->THESATO);
  fprintf(stdout,"Parameter: model: THESATL=%e\n",model->THESATL);
  fprintf(stdout,"Parameter: model: THESATLEXP=%e\n",model->THESATLEXP);
  fprintf(stdout,"Parameter: model: THESATW=%e\n",model->THESATW);
  fprintf(stdout,"Parameter: model: THESATLW=%e\n",model->THESATLW);
  fprintf(stdout,"Parameter: model: THESATACO=%e\n",model->THESATACO);
  fprintf(stdout,"Parameter: model: THESATACL=%e\n",model->THESATACL);
  fprintf(stdout,"Parameter: model: THESATACLEXP=%e\n",model->THESATACLEXP);
  fprintf(stdout,"Parameter: model: THESATACW=%e\n",model->THESATACW);
  fprintf(stdout,"Parameter: model: THESATACLW=%e\n",model->THESATACLW);
  fprintf(stdout,"Parameter: model: STTHESATO=%e\n",model->STTHESATO);
  fprintf(stdout,"Parameter: model: STTHESATL=%e\n",model->STTHESATL);
  fprintf(stdout,"Parameter: model: STTHESATW=%e\n",model->STTHESATW);
  fprintf(stdout,"Parameter: model: STTHESATLW=%e\n",model->STTHESATLW);
  fprintf(stdout,"Parameter: model: THESATBO=%e\n",model->THESATBO);
  fprintf(stdout,"Parameter: model: THESATGO=%e\n",model->THESATGO);
  fprintf(stdout,"Parameter: model: AXO=%e\n",model->AXO);
  fprintf(stdout,"Parameter: model: AXL=%e\n",model->AXL);
  fprintf(stdout,"Parameter: model: AXACO=%e\n",model->AXACO);
  fprintf(stdout,"Parameter: model: AXACL=%e\n",model->AXACL);
  fprintf(stdout,"Parameter: model: ALPL=%e\n",model->ALPL);
  fprintf(stdout,"Parameter: model: ALPLEXP=%e\n",model->ALPLEXP);
  fprintf(stdout,"Parameter: model: ALPW=%e\n",model->ALPW);
  fprintf(stdout,"Parameter: model: ALPACL=%e\n",model->ALPACL);
  fprintf(stdout,"Parameter: model: ALPACLEXP=%e\n",model->ALPACLEXP);
  fprintf(stdout,"Parameter: model: ALPACW=%e\n",model->ALPACW);
  fprintf(stdout,"Parameter: model: ALP1L1=%e\n",model->ALP1L1);
  fprintf(stdout,"Parameter: model: ALP1LEXP=%e\n",model->ALP1LEXP);
  fprintf(stdout,"Parameter: model: ALP1L2=%e\n",model->ALP1L2);
  fprintf(stdout,"Parameter: model: ALP1W=%e\n",model->ALP1W);
  fprintf(stdout,"Parameter: model: ALP2L1=%e\n",model->ALP2L1);
  fprintf(stdout,"Parameter: model: ALP2LEXP=%e\n",model->ALP2LEXP);
  fprintf(stdout,"Parameter: model: ALP2L2=%e\n",model->ALP2L2);
  fprintf(stdout,"Parameter: model: ALP2W=%e\n",model->ALP2W);
  fprintf(stdout,"Parameter: model: VPO=%e\n",model->VPO);
  fprintf(stdout,"Parameter: model: A1O=%e\n",model->A1O);
  fprintf(stdout,"Parameter: model: A1L=%e\n",model->A1L);
  fprintf(stdout,"Parameter: model: A1W=%e\n",model->A1W);
  fprintf(stdout,"Parameter: model: A2O=%e\n",model->A2O);
  fprintf(stdout,"Parameter: model: STA2O=%e\n",model->STA2O);
  fprintf(stdout,"Parameter: model: A3O=%e\n",model->A3O);
  fprintf(stdout,"Parameter: model: A3L=%e\n",model->A3L);
  fprintf(stdout,"Parameter: model: A3W=%e\n",model->A3W);
  fprintf(stdout,"Parameter: model: A4O=%e\n",model->A4O);
  fprintf(stdout,"Parameter: model: A4L=%e\n",model->A4L);
  fprintf(stdout,"Parameter: model: A4W=%e\n",model->A4W);
  fprintf(stdout,"Parameter: model: GCOO=%e\n",model->GCOO);
  fprintf(stdout,"Parameter: model: IGINVLW=%e\n",model->IGINVLW);
  fprintf(stdout,"Parameter: model: IGOVW=%e\n",model->IGOVW);
  fprintf(stdout,"Parameter: model: IGOVDW=%e\n",model->IGOVDW);
  fprintf(stdout,"Parameter: model: STIGO=%e\n",model->STIGO);
  fprintf(stdout,"Parameter: model: GC2O=%e\n",model->GC2O);
  fprintf(stdout,"Parameter: model: GC3O=%e\n",model->GC3O);
  fprintf(stdout,"Parameter: model: GC2OVO=%e\n",model->GC2OVO);
  fprintf(stdout,"Parameter: model: GC3OVO=%e\n",model->GC3OVO);
  fprintf(stdout,"Parameter: model: CHIBO=%e\n",model->CHIBO);
  fprintf(stdout,"Parameter: model: AGIDLW=%e\n",model->AGIDLW);
  fprintf(stdout,"Parameter: model: AGIDLDW=%e\n",model->AGIDLDW);
  fprintf(stdout,"Parameter: model: BGIDLO=%e\n",model->BGIDLO);
  fprintf(stdout,"Parameter: model: BGIDLDO=%e\n",model->BGIDLDO);
  fprintf(stdout,"Parameter: model: STBGIDLO=%e\n",model->STBGIDLO);
  fprintf(stdout,"Parameter: model: STBGIDLDO=%e\n",model->STBGIDLDO);
  fprintf(stdout,"Parameter: model: CGIDLO=%e\n",model->CGIDLO);
  fprintf(stdout,"Parameter: model: CGIDLDO=%e\n",model->CGIDLDO);
  fprintf(stdout,"Parameter: model: CGBOVL=%e\n",model->CGBOVL);
  fprintf(stdout,"Parameter: model: CFRW=%e\n",model->CFRW);
  fprintf(stdout,"Parameter: model: CFRDW=%e\n",model->CFRDW);
  fprintf(stdout,"Parameter: model: FNTO=%e\n",model->FNTO);
  fprintf(stdout,"Parameter: model: FNTEXCL=%e\n",model->FNTEXCL);
  fprintf(stdout,"Parameter: model: NFALW=%e\n",model->NFALW);
  fprintf(stdout,"Parameter: model: NFBLW=%e\n",model->NFBLW);
  fprintf(stdout,"Parameter: model: NFCLW=%e\n",model->NFCLW);
  fprintf(stdout,"Parameter: model: EFO=%e\n",model->EFO);
  fprintf(stdout,"Parameter: model: LINTNOI=%e\n",model->LINTNOI);
  fprintf(stdout,"Parameter: model: ALPNOI=%e\n",model->ALPNOI);
  fprintf(stdout,"Parameter: model: WEDGE=%e\n",model->WEDGE);
  fprintf(stdout,"Parameter: model: WEDGEW=%e\n",model->WEDGEW);
  fprintf(stdout,"Parameter: model: VFBEDGEO=%e\n",model->VFBEDGEO);
  fprintf(stdout,"Parameter: model: STVFBEDGEO=%e\n",model->STVFBEDGEO);
  fprintf(stdout,"Parameter: model: STVFBEDGEL=%e\n",model->STVFBEDGEL);
  fprintf(stdout,"Parameter: model: STVFBEDGEW=%e\n",model->STVFBEDGEW);
  fprintf(stdout,"Parameter: model: STVFBEDGELW=%e\n",model->STVFBEDGELW);
  fprintf(stdout,"Parameter: model: DPHIBEDGEO=%e\n",model->DPHIBEDGEO);
  fprintf(stdout,"Parameter: model: DPHIBEDGEL=%e\n",model->DPHIBEDGEL);
  fprintf(stdout,"Parameter: model: DPHIBEDGELEXP=%e\n",model->DPHIBEDGELEXP);
  fprintf(stdout,"Parameter: model: DPHIBEDGEW=%e\n",model->DPHIBEDGEW);
  fprintf(stdout,"Parameter: model: DPHIBEDGELW=%e\n",model->DPHIBEDGELW);
  fprintf(stdout,"Parameter: model: NSUBEDGEO=%e\n",model->NSUBEDGEO);
  fprintf(stdout,"Parameter: model: NSUBEDGEL=%e\n",model->NSUBEDGEL);
  fprintf(stdout,"Parameter: model: NSUBEDGELEXP=%e\n",model->NSUBEDGELEXP);
  fprintf(stdout,"Parameter: model: NSUBEDGEW=%e\n",model->NSUBEDGEW);
  fprintf(stdout,"Parameter: model: NSUBEDGELW=%e\n",model->NSUBEDGELW);
  fprintf(stdout,"Parameter: model: CTEDGEO=%e\n",model->CTEDGEO);
  fprintf(stdout,"Parameter: model: CTEDGEL=%e\n",model->CTEDGEL);
  fprintf(stdout,"Parameter: model: CTEDGELEXP=%e\n",model->CTEDGELEXP);
  fprintf(stdout,"Parameter: model: FBETEDGE=%e\n",model->FBETEDGE);
  fprintf(stdout,"Parameter: model: LPEDGE=%e\n",model->LPEDGE);
  fprintf(stdout,"Parameter: model: BETEDGEW=%e\n",model->BETEDGEW);
  fprintf(stdout,"Parameter: model: STBETEDGEO=%e\n",model->STBETEDGEO);
  fprintf(stdout,"Parameter: model: STBETEDGEL=%e\n",model->STBETEDGEL);
  fprintf(stdout,"Parameter: model: STBETEDGEW=%e\n",model->STBETEDGEW);
  fprintf(stdout,"Parameter: model: STBETEDGELW=%e\n",model->STBETEDGELW);
  fprintf(stdout,"Parameter: model: PSCEEDGEL=%e\n",model->PSCEEDGEL);
  fprintf(stdout,"Parameter: model: PSCEEDGELEXP=%e\n",model->PSCEEDGELEXP);
  fprintf(stdout,"Parameter: model: PSCEEDGEW=%e\n",model->PSCEEDGEW);
  fprintf(stdout,"Parameter: model: PSCEBEDGEO=%e\n",model->PSCEBEDGEO);
  fprintf(stdout,"Parameter: model: PSCEDEDGEO=%e\n",model->PSCEDEDGEO);
  fprintf(stdout,"Parameter: model: CFEDGEL=%e\n",model->CFEDGEL);
  fprintf(stdout,"Parameter: model: CFEDGELEXP=%e\n",model->CFEDGELEXP);
  fprintf(stdout,"Parameter: model: CFEDGEW=%e\n",model->CFEDGEW);
  fprintf(stdout,"Parameter: model: CFDEDGEO=%e\n",model->CFDEDGEO);
  fprintf(stdout,"Parameter: model: CFBEDGEO=%e\n",model->CFBEDGEO);
  fprintf(stdout,"Parameter: model: FNTEDGEO=%e\n",model->FNTEDGEO);
  fprintf(stdout,"Parameter: model: NFAEDGELW=%e\n",model->NFAEDGELW);
  fprintf(stdout,"Parameter: model: NFBEDGELW=%e\n",model->NFBEDGELW);
  fprintf(stdout,"Parameter: model: NFCEDGELW=%e\n",model->NFCEDGELW);
  fprintf(stdout,"Parameter: model: EFEDGEO=%e\n",model->EFEDGEO);
  fprintf(stdout,"Parameter: model: KVTHOWEO=%e\n",model->KVTHOWEO);
  fprintf(stdout,"Parameter: model: KVTHOWEL=%e\n",model->KVTHOWEL);
  fprintf(stdout,"Parameter: model: KVTHOWEW=%e\n",model->KVTHOWEW);
  fprintf(stdout,"Parameter: model: KVTHOWELW=%e\n",model->KVTHOWELW);
  fprintf(stdout,"Parameter: model: KUOWEO=%e\n",model->KUOWEO);
  fprintf(stdout,"Parameter: model: KUOWEL=%e\n",model->KUOWEL);
  fprintf(stdout,"Parameter: model: KUOWEW=%e\n",model->KUOWEW);
  fprintf(stdout,"Parameter: model: KUOWELW=%e\n",model->KUOWELW);
  fprintf(stdout,"Parameter: model: POVFB=%e\n",model->POVFB);
  fprintf(stdout,"Parameter: model: PLVFB=%e\n",model->PLVFB);
  fprintf(stdout,"Parameter: model: PWVFB=%e\n",model->PWVFB);
  fprintf(stdout,"Parameter: model: PLWVFB=%e\n",model->PLWVFB);
  fprintf(stdout,"Parameter: model: POSTVFB=%e\n",model->POSTVFB);
  fprintf(stdout,"Parameter: model: PLSTVFB=%e\n",model->PLSTVFB);
  fprintf(stdout,"Parameter: model: PWSTVFB=%e\n",model->PWSTVFB);
  fprintf(stdout,"Parameter: model: PLWSTVFB=%e\n",model->PLWSTVFB);
  fprintf(stdout,"Parameter: model: POST2VFB=%e\n",model->POST2VFB);
  fprintf(stdout,"Parameter: model: POTOX=%e\n",model->POTOX);
  fprintf(stdout,"Parameter: model: POEPSROX=%e\n",model->POEPSROX);
  fprintf(stdout,"Parameter: model: PONEFF=%e\n",model->PONEFF);
  fprintf(stdout,"Parameter: model: PLNEFF=%e\n",model->PLNEFF);
  fprintf(stdout,"Parameter: model: PWNEFF=%e\n",model->PWNEFF);
  fprintf(stdout,"Parameter: model: PLWNEFF=%e\n",model->PLWNEFF);
  fprintf(stdout,"Parameter: model: POFACNEFFAC=%e\n",model->POFACNEFFAC);
  fprintf(stdout,"Parameter: model: PLFACNEFFAC=%e\n",model->PLFACNEFFAC);
  fprintf(stdout,"Parameter: model: PWFACNEFFAC=%e\n",model->PWFACNEFFAC);
  fprintf(stdout,"Parameter: model: PLWFACNEFFAC=%e\n",model->PLWFACNEFFAC);
  fprintf(stdout,"Parameter: model: POGFACNUD=%e\n",model->POGFACNUD);
  fprintf(stdout,"Parameter: model: PLGFACNUD=%e\n",model->PLGFACNUD);
  fprintf(stdout,"Parameter: model: PWGFACNUD=%e\n",model->PWGFACNUD);
  fprintf(stdout,"Parameter: model: PLWGFACNUD=%e\n",model->PLWGFACNUD);
  fprintf(stdout,"Parameter: model: POVSBNUD=%e\n",model->POVSBNUD);
  fprintf(stdout,"Parameter: model: PODVSBNUD=%e\n",model->PODVSBNUD);
  fprintf(stdout,"Parameter: model: POVNSUB=%e\n",model->POVNSUB);
  fprintf(stdout,"Parameter: model: PONSLP=%e\n",model->PONSLP);
  fprintf(stdout,"Parameter: model: PODNSUB=%e\n",model->PODNSUB);
  fprintf(stdout,"Parameter: model: PODPHIB=%e\n",model->PODPHIB);
  fprintf(stdout,"Parameter: model: PLDPHIB=%e\n",model->PLDPHIB);
  fprintf(stdout,"Parameter: model: PWDPHIB=%e\n",model->PWDPHIB);
  fprintf(stdout,"Parameter: model: PLWDPHIB=%e\n",model->PLWDPHIB);
  fprintf(stdout,"Parameter: model: PODELVTAC=%e\n",model->PODELVTAC);
  fprintf(stdout,"Parameter: model: PLDELVTAC=%e\n",model->PLDELVTAC);
  fprintf(stdout,"Parameter: model: PWDELVTAC=%e\n",model->PWDELVTAC);
  fprintf(stdout,"Parameter: model: PLWDELVTAC=%e\n",model->PLWDELVTAC);
  fprintf(stdout,"Parameter: model: PONP=%e\n",model->PONP);
  fprintf(stdout,"Parameter: model: PLNP=%e\n",model->PLNP);
  fprintf(stdout,"Parameter: model: PWNP=%e\n",model->PWNP);
  fprintf(stdout,"Parameter: model: PLWNP=%e\n",model->PLWNP);
  fprintf(stdout,"Parameter: model: POTOXOV=%e\n",model->POTOXOV);
  fprintf(stdout,"Parameter: model: POTOXOVD=%e\n",model->POTOXOVD);
  fprintf(stdout,"Parameter: model: PONOV=%e\n",model->PONOV);
  fprintf(stdout,"Parameter: model: PLNOV=%e\n",model->PLNOV);
  fprintf(stdout,"Parameter: model: PWNOV=%e\n",model->PWNOV);
  fprintf(stdout,"Parameter: model: PLWNOV=%e\n",model->PLWNOV);
  fprintf(stdout,"Parameter: model: PONOVD=%e\n",model->PONOVD);
  fprintf(stdout,"Parameter: model: PLNOVD=%e\n",model->PLNOVD);
  fprintf(stdout,"Parameter: model: PWNOVD=%e\n",model->PWNOVD);
  fprintf(stdout,"Parameter: model: PLWNOVD=%e\n",model->PLWNOVD);
  fprintf(stdout,"Parameter: model: POCT=%e\n",model->POCT);
  fprintf(stdout,"Parameter: model: PLCT=%e\n",model->PLCT);
  fprintf(stdout,"Parameter: model: PWCT=%e\n",model->PWCT);
  fprintf(stdout,"Parameter: model: PLWCT=%e\n",model->PLWCT);
  fprintf(stdout,"Parameter: model: POCTG=%e\n",model->POCTG);
  fprintf(stdout,"Parameter: model: POCTB=%e\n",model->POCTB);
  fprintf(stdout,"Parameter: model: POSTCT=%e\n",model->POSTCT);
  fprintf(stdout,"Parameter: model: POCF=%e\n",model->POCF);
  fprintf(stdout,"Parameter: model: PLCF=%e\n",model->PLCF);
  fprintf(stdout,"Parameter: model: PWCF=%e\n",model->PWCF);
  fprintf(stdout,"Parameter: model: PLWCF=%e\n",model->PLWCF);
  fprintf(stdout,"Parameter: model: POCFAC=%e\n",model->POCFAC);
  fprintf(stdout,"Parameter: model: PLCFAC=%e\n",model->PLCFAC);
  fprintf(stdout,"Parameter: model: PWCFAC=%e\n",model->PWCFAC);
  fprintf(stdout,"Parameter: model: PLWCFAC=%e\n",model->PLWCFAC);
  fprintf(stdout,"Parameter: model: POCFD=%e\n",model->POCFD);
  fprintf(stdout,"Parameter: model: POCFB=%e\n",model->POCFB);
  fprintf(stdout,"Parameter: model: POPSCE=%e\n",model->POPSCE);
  fprintf(stdout,"Parameter: model: PLPSCE=%e\n",model->PLPSCE);
  fprintf(stdout,"Parameter: model: PWPSCE=%e\n",model->PWPSCE);
  fprintf(stdout,"Parameter: model: PLWPSCE=%e\n",model->PLWPSCE);
  fprintf(stdout,"Parameter: model: POPSCEB=%e\n",model->POPSCEB);
  fprintf(stdout,"Parameter: model: POPSCED=%e\n",model->POPSCED);
  fprintf(stdout,"Parameter: model: POBETN=%e\n",model->POBETN);
  fprintf(stdout,"Parameter: model: PLBETN=%e\n",model->PLBETN);
  fprintf(stdout,"Parameter: model: PWBETN=%e\n",model->PWBETN);
  fprintf(stdout,"Parameter: model: PLWBETN=%e\n",model->PLWBETN);
  fprintf(stdout,"Parameter: model: POSTBET=%e\n",model->POSTBET);
  fprintf(stdout,"Parameter: model: PLSTBET=%e\n",model->PLSTBET);
  fprintf(stdout,"Parameter: model: PWSTBET=%e\n",model->PWSTBET);
  fprintf(stdout,"Parameter: model: PLWSTBET=%e\n",model->PLWSTBET);
  fprintf(stdout,"Parameter: model: POMUE=%e\n",model->POMUE);
  fprintf(stdout,"Parameter: model: PLMUE=%e\n",model->PLMUE);
  fprintf(stdout,"Parameter: model: PWMUE=%e\n",model->PWMUE);
  fprintf(stdout,"Parameter: model: PLWMUE=%e\n",model->PLWMUE);
  fprintf(stdout,"Parameter: model: POSTMUE=%e\n",model->POSTMUE);
  fprintf(stdout,"Parameter: model: POTHEMU=%e\n",model->POTHEMU);
  fprintf(stdout,"Parameter: model: POSTTHEMU=%e\n",model->POSTTHEMU);
  fprintf(stdout,"Parameter: model: POCS=%e\n",model->POCS);
  fprintf(stdout,"Parameter: model: PLCS=%e\n",model->PLCS);
  fprintf(stdout,"Parameter: model: PWCS=%e\n",model->PWCS);
  fprintf(stdout,"Parameter: model: PLWCS=%e\n",model->PLWCS);
  fprintf(stdout,"Parameter: model: POSTCS=%e\n",model->POSTCS);
  fprintf(stdout,"Parameter: model: POTHECS=%e\n",model->POTHECS);
  fprintf(stdout,"Parameter: model: POSTTHECS=%e\n",model->POSTTHECS);
  fprintf(stdout,"Parameter: model: POXCOR=%e\n",model->POXCOR);
  fprintf(stdout,"Parameter: model: PLXCOR=%e\n",model->PLXCOR);
  fprintf(stdout,"Parameter: model: PWXCOR=%e\n",model->PWXCOR);
  fprintf(stdout,"Parameter: model: PLWXCOR=%e\n",model->PLWXCOR);
  fprintf(stdout,"Parameter: model: POSTXCOR=%e\n",model->POSTXCOR);
  fprintf(stdout,"Parameter: model: POFETA=%e\n",model->POFETA);
  fprintf(stdout,"Parameter: model: PORS=%e\n",model->PORS);
  fprintf(stdout,"Parameter: model: PLRS=%e\n",model->PLRS);
  fprintf(stdout,"Parameter: model: PWRS=%e\n",model->PWRS);
  fprintf(stdout,"Parameter: model: PLWRS=%e\n",model->PLWRS);
  fprintf(stdout,"Parameter: model: POSTRS=%e\n",model->POSTRS);
  fprintf(stdout,"Parameter: model: PORSB=%e\n",model->PORSB);
  fprintf(stdout,"Parameter: model: PORSG=%e\n",model->PORSG);
  fprintf(stdout,"Parameter: model: POTHESAT=%e\n",model->POTHESAT);
  fprintf(stdout,"Parameter: model: PLTHESAT=%e\n",model->PLTHESAT);
  fprintf(stdout,"Parameter: model: PWTHESAT=%e\n",model->PWTHESAT);
  fprintf(stdout,"Parameter: model: PLWTHESAT=%e\n",model->PLWTHESAT);
  fprintf(stdout,"Parameter: model: POTHESATAC=%e\n",model->POTHESATAC);
  fprintf(stdout,"Parameter: model: PLTHESATAC=%e\n",model->PLTHESATAC);
  fprintf(stdout,"Parameter: model: PWTHESATAC=%e\n",model->PWTHESATAC);
  fprintf(stdout,"Parameter: model: PLWTHESATAC=%e\n",model->PLWTHESATAC);
  fprintf(stdout,"Parameter: model: POSTTHESAT=%e\n",model->POSTTHESAT);
  fprintf(stdout,"Parameter: model: PLSTTHESAT=%e\n",model->PLSTTHESAT);
  fprintf(stdout,"Parameter: model: PWSTTHESAT=%e\n",model->PWSTTHESAT);
  fprintf(stdout,"Parameter: model: PLWSTTHESAT=%e\n",model->PLWSTTHESAT);
  fprintf(stdout,"Parameter: model: POTHESATB=%e\n",model->POTHESATB);
  fprintf(stdout,"Parameter: model: PLTHESATB=%e\n",model->PLTHESATB);
  fprintf(stdout,"Parameter: model: PWTHESATB=%e\n",model->PWTHESATB);
  fprintf(stdout,"Parameter: model: PLWTHESATB=%e\n",model->PLWTHESATB);
  fprintf(stdout,"Parameter: model: POTHESATG=%e\n",model->POTHESATG);
  fprintf(stdout,"Parameter: model: PLTHESATG=%e\n",model->PLTHESATG);
  fprintf(stdout,"Parameter: model: PWTHESATG=%e\n",model->PWTHESATG);
  fprintf(stdout,"Parameter: model: PLWTHESATG=%e\n",model->PLWTHESATG);
  fprintf(stdout,"Parameter: model: POAX=%e\n",model->POAX);
  fprintf(stdout,"Parameter: model: PLAX=%e\n",model->PLAX);
  fprintf(stdout,"Parameter: model: PWAX=%e\n",model->PWAX);
  fprintf(stdout,"Parameter: model: PLWAX=%e\n",model->PLWAX);
  fprintf(stdout,"Parameter: model: POAXAC=%e\n",model->POAXAC);
  fprintf(stdout,"Parameter: model: PLAXAC=%e\n",model->PLAXAC);
  fprintf(stdout,"Parameter: model: PWAXAC=%e\n",model->PWAXAC);
  fprintf(stdout,"Parameter: model: PLWAXAC=%e\n",model->PLWAXAC);
  fprintf(stdout,"Parameter: model: POALP=%e\n",model->POALP);
  fprintf(stdout,"Parameter: model: PLALP=%e\n",model->PLALP);
  fprintf(stdout,"Parameter: model: PWALP=%e\n",model->PWALP);
  fprintf(stdout,"Parameter: model: PLWALP=%e\n",model->PLWALP);
  fprintf(stdout,"Parameter: model: POALPAC=%e\n",model->POALPAC);
  fprintf(stdout,"Parameter: model: PLALPAC=%e\n",model->PLALPAC);
  fprintf(stdout,"Parameter: model: PWALPAC=%e\n",model->PWALPAC);
  fprintf(stdout,"Parameter: model: PLWALPAC=%e\n",model->PLWALPAC);
  fprintf(stdout,"Parameter: model: POALP1=%e\n",model->POALP1);
  fprintf(stdout,"Parameter: model: PLALP1=%e\n",model->PLALP1);
  fprintf(stdout,"Parameter: model: PWALP1=%e\n",model->PWALP1);
  fprintf(stdout,"Parameter: model: PLWALP1=%e\n",model->PLWALP1);
  fprintf(stdout,"Parameter: model: POALP2=%e\n",model->POALP2);
  fprintf(stdout,"Parameter: model: PLALP2=%e\n",model->PLALP2);
  fprintf(stdout,"Parameter: model: PWALP2=%e\n",model->PWALP2);
  fprintf(stdout,"Parameter: model: PLWALP2=%e\n",model->PLWALP2);
  fprintf(stdout,"Parameter: model: POVP=%e\n",model->POVP);
  fprintf(stdout,"Parameter: model: POA1=%e\n",model->POA1);
  fprintf(stdout,"Parameter: model: PLA1=%e\n",model->PLA1);
  fprintf(stdout,"Parameter: model: PWA1=%e\n",model->PWA1);
  fprintf(stdout,"Parameter: model: PLWA1=%e\n",model->PLWA1);
  fprintf(stdout,"Parameter: model: POA2=%e\n",model->POA2);
  fprintf(stdout,"Parameter: model: POSTA2=%e\n",model->POSTA2);
  fprintf(stdout,"Parameter: model: POA3=%e\n",model->POA3);
  fprintf(stdout,"Parameter: model: PLA3=%e\n",model->PLA3);
  fprintf(stdout,"Parameter: model: PWA3=%e\n",model->PWA3);
  fprintf(stdout,"Parameter: model: PLWA3=%e\n",model->PLWA3);
  fprintf(stdout,"Parameter: model: POA4=%e\n",model->POA4);
  fprintf(stdout,"Parameter: model: PLA4=%e\n",model->PLA4);
  fprintf(stdout,"Parameter: model: PWA4=%e\n",model->PWA4);
  fprintf(stdout,"Parameter: model: PLWA4=%e\n",model->PLWA4);
  fprintf(stdout,"Parameter: model: POGCO=%e\n",model->POGCO);
  fprintf(stdout,"Parameter: model: POIGINV=%e\n",model->POIGINV);
  fprintf(stdout,"Parameter: model: PLIGINV=%e\n",model->PLIGINV);
  fprintf(stdout,"Parameter: model: PWIGINV=%e\n",model->PWIGINV);
  fprintf(stdout,"Parameter: model: PLWIGINV=%e\n",model->PLWIGINV);
  fprintf(stdout,"Parameter: model: POIGOV=%e\n",model->POIGOV);
  fprintf(stdout,"Parameter: model: PLIGOV=%e\n",model->PLIGOV);
  fprintf(stdout,"Parameter: model: PWIGOV=%e\n",model->PWIGOV);
  fprintf(stdout,"Parameter: model: PLWIGOV=%e\n",model->PLWIGOV);
  fprintf(stdout,"Parameter: model: POIGOVD=%e\n",model->POIGOVD);
  fprintf(stdout,"Parameter: model: PLIGOVD=%e\n",model->PLIGOVD);
  fprintf(stdout,"Parameter: model: PWIGOVD=%e\n",model->PWIGOVD);
  fprintf(stdout,"Parameter: model: PLWIGOVD=%e\n",model->PLWIGOVD);
  fprintf(stdout,"Parameter: model: POSTIG=%e\n",model->POSTIG);
  fprintf(stdout,"Parameter: model: POGC2=%e\n",model->POGC2);
  fprintf(stdout,"Parameter: model: POGC3=%e\n",model->POGC3);
  fprintf(stdout,"Parameter: model: POGC2OV=%e\n",model->POGC2OV);
  fprintf(stdout,"Parameter: model: POGC3OV=%e\n",model->POGC3OV);
  fprintf(stdout,"Parameter: model: POCHIB=%e\n",model->POCHIB);
  fprintf(stdout,"Parameter: model: POAGIDL=%e\n",model->POAGIDL);
  fprintf(stdout,"Parameter: model: PLAGIDL=%e\n",model->PLAGIDL);
  fprintf(stdout,"Parameter: model: PWAGIDL=%e\n",model->PWAGIDL);
  fprintf(stdout,"Parameter: model: PLWAGIDL=%e\n",model->PLWAGIDL);
  fprintf(stdout,"Parameter: model: POAGIDLD=%e\n",model->POAGIDLD);
  fprintf(stdout,"Parameter: model: PLAGIDLD=%e\n",model->PLAGIDLD);
  fprintf(stdout,"Parameter: model: PWAGIDLD=%e\n",model->PWAGIDLD);
  fprintf(stdout,"Parameter: model: PLWAGIDLD=%e\n",model->PLWAGIDLD);
  fprintf(stdout,"Parameter: model: POBGIDL=%e\n",model->POBGIDL);
  fprintf(stdout,"Parameter: model: POBGIDLD=%e\n",model->POBGIDLD);
  fprintf(stdout,"Parameter: model: POSTBGIDL=%e\n",model->POSTBGIDL);
  fprintf(stdout,"Parameter: model: POSTBGIDLD=%e\n",model->POSTBGIDLD);
  fprintf(stdout,"Parameter: model: POCGIDL=%e\n",model->POCGIDL);
  fprintf(stdout,"Parameter: model: POCGIDLD=%e\n",model->POCGIDLD);
  fprintf(stdout,"Parameter: model: POCOX=%e\n",model->POCOX);
  fprintf(stdout,"Parameter: model: PLCOX=%e\n",model->PLCOX);
  fprintf(stdout,"Parameter: model: PWCOX=%e\n",model->PWCOX);
  fprintf(stdout,"Parameter: model: PLWCOX=%e\n",model->PLWCOX);
  fprintf(stdout,"Parameter: model: POCGOV=%e\n",model->POCGOV);
  fprintf(stdout,"Parameter: model: PLCGOV=%e\n",model->PLCGOV);
  fprintf(stdout,"Parameter: model: PWCGOV=%e\n",model->PWCGOV);
  fprintf(stdout,"Parameter: model: PLWCGOV=%e\n",model->PLWCGOV);
  fprintf(stdout,"Parameter: model: POCGOVD=%e\n",model->POCGOVD);
  fprintf(stdout,"Parameter: model: PLCGOVD=%e\n",model->PLCGOVD);
  fprintf(stdout,"Parameter: model: PWCGOVD=%e\n",model->PWCGOVD);
  fprintf(stdout,"Parameter: model: PLWCGOVD=%e\n",model->PLWCGOVD);
  fprintf(stdout,"Parameter: model: POCGBOV=%e\n",model->POCGBOV);
  fprintf(stdout,"Parameter: model: PLCGBOV=%e\n",model->PLCGBOV);
  fprintf(stdout,"Parameter: model: PWCGBOV=%e\n",model->PWCGBOV);
  fprintf(stdout,"Parameter: model: PLWCGBOV=%e\n",model->PLWCGBOV);
  fprintf(stdout,"Parameter: model: POCFR=%e\n",model->POCFR);
  fprintf(stdout,"Parameter: model: PLCFR=%e\n",model->PLCFR);
  fprintf(stdout,"Parameter: model: PWCFR=%e\n",model->PWCFR);
  fprintf(stdout,"Parameter: model: PLWCFR=%e\n",model->PLWCFR);
  fprintf(stdout,"Parameter: model: POCFRD=%e\n",model->POCFRD);
  fprintf(stdout,"Parameter: model: PLCFRD=%e\n",model->PLCFRD);
  fprintf(stdout,"Parameter: model: PWCFRD=%e\n",model->PWCFRD);
  fprintf(stdout,"Parameter: model: PLWCFRD=%e\n",model->PLWCFRD);
  fprintf(stdout,"Parameter: model: POFNT=%e\n",model->POFNT);
  fprintf(stdout,"Parameter: model: POFNTEXC=%e\n",model->POFNTEXC);
  fprintf(stdout,"Parameter: model: PLFNTEXC=%e\n",model->PLFNTEXC);
  fprintf(stdout,"Parameter: model: PWFNTEXC=%e\n",model->PWFNTEXC);
  fprintf(stdout,"Parameter: model: PLWFNTEXC=%e\n",model->PLWFNTEXC);
  fprintf(stdout,"Parameter: model: PONFA=%e\n",model->PONFA);
  fprintf(stdout,"Parameter: model: PLNFA=%e\n",model->PLNFA);
  fprintf(stdout,"Parameter: model: PWNFA=%e\n",model->PWNFA);
  fprintf(stdout,"Parameter: model: PLWNFA=%e\n",model->PLWNFA);
  fprintf(stdout,"Parameter: model: PONFB=%e\n",model->PONFB);
  fprintf(stdout,"Parameter: model: PLNFB=%e\n",model->PLNFB);
  fprintf(stdout,"Parameter: model: PWNFB=%e\n",model->PWNFB);
  fprintf(stdout,"Parameter: model: PLWNFB=%e\n",model->PLWNFB);
  fprintf(stdout,"Parameter: model: PONFC=%e\n",model->PONFC);
  fprintf(stdout,"Parameter: model: PLNFC=%e\n",model->PLNFC);
  fprintf(stdout,"Parameter: model: PWNFC=%e\n",model->PWNFC);
  fprintf(stdout,"Parameter: model: PLWNFC=%e\n",model->PLWNFC);
  fprintf(stdout,"Parameter: model: POEF=%e\n",model->POEF);
  fprintf(stdout,"Parameter: model: POVFBEDGE=%e\n",model->POVFBEDGE);
  fprintf(stdout,"Parameter: model: POSTVFBEDGE=%e\n",model->POSTVFBEDGE);
  fprintf(stdout,"Parameter: model: PLSTVFBEDGE=%e\n",model->PLSTVFBEDGE);
  fprintf(stdout,"Parameter: model: PWSTVFBEDGE=%e\n",model->PWSTVFBEDGE);
  fprintf(stdout,"Parameter: model: PLWSTVFBEDGE=%e\n",model->PLWSTVFBEDGE);
  fprintf(stdout,"Parameter: model: PODPHIBEDGE=%e\n",model->PODPHIBEDGE);
  fprintf(stdout,"Parameter: model: PLDPHIBEDGE=%e\n",model->PLDPHIBEDGE);
  fprintf(stdout,"Parameter: model: PWDPHIBEDGE=%e\n",model->PWDPHIBEDGE);
  fprintf(stdout,"Parameter: model: PLWDPHIBEDGE=%e\n",model->PLWDPHIBEDGE);
  fprintf(stdout,"Parameter: model: PONEFFEDGE=%e\n",model->PONEFFEDGE);
  fprintf(stdout,"Parameter: model: PLNEFFEDGE=%e\n",model->PLNEFFEDGE);
  fprintf(stdout,"Parameter: model: PWNEFFEDGE=%e\n",model->PWNEFFEDGE);
  fprintf(stdout,"Parameter: model: PLWNEFFEDGE=%e\n",model->PLWNEFFEDGE);
  fprintf(stdout,"Parameter: model: POCTEDGE=%e\n",model->POCTEDGE);
  fprintf(stdout,"Parameter: model: PLCTEDGE=%e\n",model->PLCTEDGE);
  fprintf(stdout,"Parameter: model: PWCTEDGE=%e\n",model->PWCTEDGE);
  fprintf(stdout,"Parameter: model: PLWCTEDGE=%e\n",model->PLWCTEDGE);
  fprintf(stdout,"Parameter: model: POBETNEDGE=%e\n",model->POBETNEDGE);
  fprintf(stdout,"Parameter: model: PLBETNEDGE=%e\n",model->PLBETNEDGE);
  fprintf(stdout,"Parameter: model: PWBETNEDGE=%e\n",model->PWBETNEDGE);
  fprintf(stdout,"Parameter: model: PLWBETNEDGE=%e\n",model->PLWBETNEDGE);
  fprintf(stdout,"Parameter: model: POSTBETEDGE=%e\n",model->POSTBETEDGE);
  fprintf(stdout,"Parameter: model: PLSTBETEDGE=%e\n",model->PLSTBETEDGE);
  fprintf(stdout,"Parameter: model: PWSTBETEDGE=%e\n",model->PWSTBETEDGE);
  fprintf(stdout,"Parameter: model: PLWSTBETEDGE=%e\n",model->PLWSTBETEDGE);
  fprintf(stdout,"Parameter: model: POPSCEEDGE=%e\n",model->POPSCEEDGE);
  fprintf(stdout,"Parameter: model: PLPSCEEDGE=%e\n",model->PLPSCEEDGE);
  fprintf(stdout,"Parameter: model: PWPSCEEDGE=%e\n",model->PWPSCEEDGE);
  fprintf(stdout,"Parameter: model: PLWPSCEEDGE=%e\n",model->PLWPSCEEDGE);
  fprintf(stdout,"Parameter: model: POPSCEBEDGE=%e\n",model->POPSCEBEDGE);
  fprintf(stdout,"Parameter: model: POPSCEDEDGE=%e\n",model->POPSCEDEDGE);
  fprintf(stdout,"Parameter: model: POCFEDGE=%e\n",model->POCFEDGE);
  fprintf(stdout,"Parameter: model: PLCFEDGE=%e\n",model->PLCFEDGE);
  fprintf(stdout,"Parameter: model: PWCFEDGE=%e\n",model->PWCFEDGE);
  fprintf(stdout,"Parameter: model: PLWCFEDGE=%e\n",model->PLWCFEDGE);
  fprintf(stdout,"Parameter: model: POCFDEDGE=%e\n",model->POCFDEDGE);
  fprintf(stdout,"Parameter: model: POCFBEDGE=%e\n",model->POCFBEDGE);
  fprintf(stdout,"Parameter: model: POFNTEDGE=%e\n",model->POFNTEDGE);
  fprintf(stdout,"Parameter: model: PONFAEDGE=%e\n",model->PONFAEDGE);
  fprintf(stdout,"Parameter: model: PLNFAEDGE=%e\n",model->PLNFAEDGE);
  fprintf(stdout,"Parameter: model: PWNFAEDGE=%e\n",model->PWNFAEDGE);
  fprintf(stdout,"Parameter: model: PLWNFAEDGE=%e\n",model->PLWNFAEDGE);
  fprintf(stdout,"Parameter: model: PONFBEDGE=%e\n",model->PONFBEDGE);
  fprintf(stdout,"Parameter: model: PLNFBEDGE=%e\n",model->PLNFBEDGE);
  fprintf(stdout,"Parameter: model: PWNFBEDGE=%e\n",model->PWNFBEDGE);
  fprintf(stdout,"Parameter: model: PLWNFBEDGE=%e\n",model->PLWNFBEDGE);
  fprintf(stdout,"Parameter: model: PONFCEDGE=%e\n",model->PONFCEDGE);
  fprintf(stdout,"Parameter: model: PLNFCEDGE=%e\n",model->PLNFCEDGE);
  fprintf(stdout,"Parameter: model: PWNFCEDGE=%e\n",model->PWNFCEDGE);
  fprintf(stdout,"Parameter: model: PLWNFCEDGE=%e\n",model->PLWNFCEDGE);
  fprintf(stdout,"Parameter: model: POEFEDGE=%e\n",model->POEFEDGE);
  fprintf(stdout,"Parameter: model: POKVTHOWE=%e\n",model->POKVTHOWE);
  fprintf(stdout,"Parameter: model: PLKVTHOWE=%e\n",model->PLKVTHOWE);
  fprintf(stdout,"Parameter: model: PWKVTHOWE=%e\n",model->PWKVTHOWE);
  fprintf(stdout,"Parameter: model: PLWKVTHOWE=%e\n",model->PLWKVTHOWE);
  fprintf(stdout,"Parameter: model: POKUOWE=%e\n",model->POKUOWE);
  fprintf(stdout,"Parameter: model: PLKUOWE=%e\n",model->PLKUOWE);
  fprintf(stdout,"Parameter: model: PWKUOWE=%e\n",model->PWKUOWE);
  fprintf(stdout,"Parameter: model: PLWKUOWE=%e\n",model->PLWKUOWE);
  fprintf(stdout,"Parameter: model: LMIN=%e\n",model->LMIN);
  fprintf(stdout,"Parameter: model: LMAX=%e\n",model->LMAX);
  fprintf(stdout,"Parameter: model: WMIN=%e\n",model->WMIN);
  fprintf(stdout,"Parameter: model: WMAX=%e\n",model->WMAX);
  fprintf(stdout,"Parameter: model: RGO=%e\n",model->RGO);
  fprintf(stdout,"Parameter: model: RINT=%e\n",model->RINT);
  fprintf(stdout,"Parameter: model: RVPOLY=%e\n",model->RVPOLY);
  fprintf(stdout,"Parameter: model: RSHG=%e\n",model->RSHG);
  fprintf(stdout,"Parameter: model: DLSIL=%e\n",model->DLSIL);
  fprintf(stdout,"Parameter: model: RSH=%e\n",model->RSH);
  fprintf(stdout,"Parameter: model: RSHD=%e\n",model->RSHD);
  fprintf(stdout,"Parameter: model: RBULKO=%e\n",model->RBULKO);
  fprintf(stdout,"Parameter: model: RWELLO=%e\n",model->RWELLO);
  fprintf(stdout,"Parameter: model: RJUNSO=%e\n",model->RJUNSO);
  fprintf(stdout,"Parameter: model: RJUNDO=%e\n",model->RJUNDO);
  fprintf(stdout,"Parameter: model: SAREF=%e\n",model->SAREF);
  fprintf(stdout,"Parameter: model: SBREF=%e\n",model->SBREF);
  fprintf(stdout,"Parameter: model: WLOD=%e\n",model->WLOD);
  fprintf(stdout,"Parameter: model: KUO=%e\n",model->KUO);
  fprintf(stdout,"Parameter: model: KVSAT=%e\n",model->KVSAT);
  fprintf(stdout,"Parameter: model: KVSATAC=%e\n",model->KVSATAC);
  fprintf(stdout,"Parameter: model: TKUO=%e\n",model->TKUO);
  fprintf(stdout,"Parameter: model: LKUO=%e\n",model->LKUO);
  fprintf(stdout,"Parameter: model: WKUO=%e\n",model->WKUO);
  fprintf(stdout,"Parameter: model: PKUO=%e\n",model->PKUO);
  fprintf(stdout,"Parameter: model: LLODKUO=%e\n",model->LLODKUO);
  fprintf(stdout,"Parameter: model: WLODKUO=%e\n",model->WLODKUO);
  fprintf(stdout,"Parameter: model: KVTHO=%e\n",model->KVTHO);
  fprintf(stdout,"Parameter: model: LKVTHO=%e\n",model->LKVTHO);
  fprintf(stdout,"Parameter: model: WKVTHO=%e\n",model->WKVTHO);
  fprintf(stdout,"Parameter: model: PKVTHO=%e\n",model->PKVTHO);
  fprintf(stdout,"Parameter: model: LLODVTH=%e\n",model->LLODVTH);
  fprintf(stdout,"Parameter: model: WLODVTH=%e\n",model->WLODVTH);
  fprintf(stdout,"Parameter: model: STETAO=%e\n",model->STETAO);
  fprintf(stdout,"Parameter: model: LODETAO=%e\n",model->LODETAO);
  fprintf(stdout,"Parameter: model: SCREF=%e\n",model->SCREF);
  fprintf(stdout,"Parameter: model: WEB=%e\n",model->WEB);
  fprintf(stdout,"Parameter: model: WEC=%e\n",model->WEC);
  fprintf(stdout,"Parameter: model: DTA=%e\n",model->DTA);
  fprintf(stdout,"Parameter: model: IMAX=%e\n",model->IMAX);
  fprintf(stdout,"Parameter: model: TRJ=%e\n",model->TRJ);
  fprintf(stdout,"Parameter: model: FREV=%e\n",model->FREV);
  fprintf(stdout,"Parameter: instance: IFACTOR=%e\n",here->IFACTOR);
  fprintf(stdout,"Parameter: instance: CFACTOR=%e\n",here->CFACTOR);
  fprintf(stdout,"Parameter: model: CJORBOT=%e\n",model->CJORBOT);
  fprintf(stdout,"Parameter: model: CJORSTI=%e\n",model->CJORSTI);
  fprintf(stdout,"Parameter: model: CJORGAT=%e\n",model->CJORGAT);
  fprintf(stdout,"Parameter: model: VBIRBOT=%e\n",model->VBIRBOT);
  fprintf(stdout,"Parameter: model: VBIRSTI=%e\n",model->VBIRSTI);
  fprintf(stdout,"Parameter: model: VBIRGAT=%e\n",model->VBIRGAT);
  fprintf(stdout,"Parameter: model: PBOT=%e\n",model->PBOT);
  fprintf(stdout,"Parameter: model: PSTI=%e\n",model->PSTI);
  fprintf(stdout,"Parameter: model: PGAT=%e\n",model->PGAT);
  fprintf(stdout,"Parameter: model: PHIGBOT=%e\n",model->PHIGBOT);
  fprintf(stdout,"Parameter: model: PHIGSTI=%e\n",model->PHIGSTI);
  fprintf(stdout,"Parameter: model: PHIGGAT=%e\n",model->PHIGGAT);
  fprintf(stdout,"Parameter: model: IDSATRBOT=%e\n",model->IDSATRBOT);
  fprintf(stdout,"Parameter: model: IDSATRSTI=%e\n",model->IDSATRSTI);
  fprintf(stdout,"Parameter: model: IDSATRGAT=%e\n",model->IDSATRGAT);
  fprintf(stdout,"Parameter: model: CSRHBOT=%e\n",model->CSRHBOT);
  fprintf(stdout,"Parameter: model: CSRHSTI=%e\n",model->CSRHSTI);
  fprintf(stdout,"Parameter: model: CSRHGAT=%e\n",model->CSRHGAT);
  fprintf(stdout,"Parameter: model: XJUNSTI=%e\n",model->XJUNSTI);
  fprintf(stdout,"Parameter: model: XJUNGAT=%e\n",model->XJUNGAT);
  fprintf(stdout,"Parameter: model: CTATBOT=%e\n",model->CTATBOT);
  fprintf(stdout,"Parameter: model: CTATSTI=%e\n",model->CTATSTI);
  fprintf(stdout,"Parameter: model: CTATGAT=%e\n",model->CTATGAT);
  fprintf(stdout,"Parameter: model: MEFFTATBOT=%e\n",model->MEFFTATBOT);
  fprintf(stdout,"Parameter: model: MEFFTATSTI=%e\n",model->MEFFTATSTI);
  fprintf(stdout,"Parameter: model: MEFFTATGAT=%e\n",model->MEFFTATGAT);
  fprintf(stdout,"Parameter: model: CBBTBOT=%e\n",model->CBBTBOT);
  fprintf(stdout,"Parameter: model: CBBTSTI=%e\n",model->CBBTSTI);
  fprintf(stdout,"Parameter: model: CBBTGAT=%e\n",model->CBBTGAT);
  fprintf(stdout,"Parameter: model: FBBTRBOT=%e\n",model->FBBTRBOT);
  fprintf(stdout,"Parameter: model: FBBTRSTI=%e\n",model->FBBTRSTI);
  fprintf(stdout,"Parameter: model: FBBTRGAT=%e\n",model->FBBTRGAT);
  fprintf(stdout,"Parameter: model: STFBBTBOT=%e\n",model->STFBBTBOT);
  fprintf(stdout,"Parameter: model: STFBBTSTI=%e\n",model->STFBBTSTI);
  fprintf(stdout,"Parameter: model: STFBBTGAT=%e\n",model->STFBBTGAT);
  fprintf(stdout,"Parameter: model: VBRBOT=%e\n",model->VBRBOT);
  fprintf(stdout,"Parameter: model: VBRSTI=%e\n",model->VBRSTI);
  fprintf(stdout,"Parameter: model: VBRGAT=%e\n",model->VBRGAT);
  fprintf(stdout,"Parameter: model: PBRBOT=%e\n",model->PBRBOT);
  fprintf(stdout,"Parameter: model: PBRSTI=%e\n",model->PBRSTI);
  fprintf(stdout,"Parameter: model: PBRGAT=%e\n",model->PBRGAT);
  fprintf(stdout,"Parameter: model: CJORBOTD=%e\n",model->CJORBOTD);
  fprintf(stdout,"Parameter: model: CJORSTID=%e\n",model->CJORSTID);
  fprintf(stdout,"Parameter: model: CJORGATD=%e\n",model->CJORGATD);
  fprintf(stdout,"Parameter: model: VBIRBOTD=%e\n",model->VBIRBOTD);
  fprintf(stdout,"Parameter: model: VBIRSTID=%e\n",model->VBIRSTID);
  fprintf(stdout,"Parameter: model: VBIRGATD=%e\n",model->VBIRGATD);
  fprintf(stdout,"Parameter: model: PBOTD=%e\n",model->PBOTD);
  fprintf(stdout,"Parameter: model: PSTID=%e\n",model->PSTID);
  fprintf(stdout,"Parameter: model: PGATD=%e\n",model->PGATD);
  fprintf(stdout,"Parameter: model: PHIGBOTD=%e\n",model->PHIGBOTD);
  fprintf(stdout,"Parameter: model: PHIGSTID=%e\n",model->PHIGSTID);
  fprintf(stdout,"Parameter: model: PHIGGATD=%e\n",model->PHIGGATD);
  fprintf(stdout,"Parameter: model: IDSATRBOTD=%e\n",model->IDSATRBOTD);
  fprintf(stdout,"Parameter: model: IDSATRSTID=%e\n",model->IDSATRSTID);
  fprintf(stdout,"Parameter: model: IDSATRGATD=%e\n",model->IDSATRGATD);
  fprintf(stdout,"Parameter: model: CSRHBOTD=%e\n",model->CSRHBOTD);
  fprintf(stdout,"Parameter: model: CSRHSTID=%e\n",model->CSRHSTID);
  fprintf(stdout,"Parameter: model: CSRHGATD=%e\n",model->CSRHGATD);
  fprintf(stdout,"Parameter: model: XJUNSTID=%e\n",model->XJUNSTID);
  fprintf(stdout,"Parameter: model: XJUNGATD=%e\n",model->XJUNGATD);
  fprintf(stdout,"Parameter: model: CTATBOTD=%e\n",model->CTATBOTD);
  fprintf(stdout,"Parameter: model: CTATSTID=%e\n",model->CTATSTID);
  fprintf(stdout,"Parameter: model: CTATGATD=%e\n",model->CTATGATD);
  fprintf(stdout,"Parameter: model: MEFFTATBOTD=%e\n",model->MEFFTATBOTD);
  fprintf(stdout,"Parameter: model: MEFFTATSTID=%e\n",model->MEFFTATSTID);
  fprintf(stdout,"Parameter: model: MEFFTATGATD=%e\n",model->MEFFTATGATD);
  fprintf(stdout,"Parameter: model: CBBTBOTD=%e\n",model->CBBTBOTD);
  fprintf(stdout,"Parameter: model: CBBTSTID=%e\n",model->CBBTSTID);
  fprintf(stdout,"Parameter: model: CBBTGATD=%e\n",model->CBBTGATD);
  fprintf(stdout,"Parameter: model: FBBTRBOTD=%e\n",model->FBBTRBOTD);
  fprintf(stdout,"Parameter: model: FBBTRSTID=%e\n",model->FBBTRSTID);
  fprintf(stdout,"Parameter: model: FBBTRGATD=%e\n",model->FBBTRGATD);
  fprintf(stdout,"Parameter: model: STFBBTBOTD=%e\n",model->STFBBTBOTD);
  fprintf(stdout,"Parameter: model: STFBBTSTID=%e\n",model->STFBBTSTID);
  fprintf(stdout,"Parameter: model: STFBBTGATD=%e\n",model->STFBBTGATD);
  fprintf(stdout,"Parameter: model: VBRBOTD=%e\n",model->VBRBOTD);
  fprintf(stdout,"Parameter: model: VBRSTID=%e\n",model->VBRSTID);
  fprintf(stdout,"Parameter: model: VBRGATD=%e\n",model->VBRGATD);
  fprintf(stdout,"Parameter: model: PBRBOTD=%e\n",model->PBRBOTD);
  fprintf(stdout,"Parameter: model: PBRSTID=%e\n",model->PBRSTID);
  fprintf(stdout,"Parameter: model: PBRGATD=%e\n",model->PBRGATD);
  fprintf(stdout,"Parameter: model: SWJUNEXP=%e\n",model->SWJUNEXP);
  fprintf(stdout,"Parameter: model: VJUNREF=%e\n",model->VJUNREF);
  fprintf(stdout,"Parameter: model: FJUNQ=%e\n",model->FJUNQ);
  fprintf(stdout,"Parameter: model: VJUNREFD=%e\n",model->VJUNREFD);
  fprintf(stdout,"Parameter: model: FJUNQD=%e\n",model->FJUNQD);
  fprintf(stdout,"model: CHNL_TYPE=%i\n",model->CHNL_TYPE);
  fprintf(stdout,"model: SWGEO_i=%i\n",model->SWGEO_i);
  fprintf(stdout,"model: SWIGATE_i=%i\n",model->SWIGATE_i);
  fprintf(stdout,"model: SWIMPACT_i=%i\n",model->SWIMPACT_i);
  fprintf(stdout,"model: SWGIDL_i=%i\n",model->SWGIDL_i);
  fprintf(stdout,"model: SWJUNCAP_i=%i\n",model->SWJUNCAP_i);
  fprintf(stdout,"model: SWJUNASYM_i=%i\n",model->SWJUNASYM_i);
  fprintf(stdout,"model: SWNUD_i=%i\n",model->SWNUD_i);
  fprintf(stdout,"model: SWEDGE_i=%i\n",model->SWEDGE_i);
  fprintf(stdout,"model: SWDELVTAC_i=%i\n",model->SWDELVTAC_i);
  fprintf(stdout,"model: SWQSAT_i=%i\n",model->SWQSAT_i);
  fprintf(stdout,"model: SWQPART_i=%i\n",model->SWQPART_i);
  fprintf(stdout,"model: SWIGN_i=%i\n",model->SWIGN_i);
  fprintf(stdout,"model: TOXO_i=%e\n",model->TOXO_i);
  fprintf(stdout,"model: EPSROXO_i=%e\n",model->EPSROXO_i);
  fprintf(stdout,"model: NSUBO_i=%e\n",model->NSUBO_i);
  fprintf(stdout,"model: WSEG_i=%e\n",model->WSEG_i);
  fprintf(stdout,"model: NPCK_i=%e\n",model->NPCK_i);
  fprintf(stdout,"model: WSEGP_i=%e\n",model->WSEGP_i);
  fprintf(stdout,"model: LPCK_i=%e\n",model->LPCK_i);
  fprintf(stdout,"model: TOXOVO_i=%e\n",model->TOXOVO_i);
  fprintf(stdout,"model: TOXOVDO_i=%e\n",model->TOXOVDO_i);
  fprintf(stdout,"model: LOV_i=%e\n",model->LOV_i);
  fprintf(stdout,"model: LOVD_i=%e\n",model->LOVD_i);
  fprintf(stdout,"model: LP1_i=%e\n",model->LP1_i);
  fprintf(stdout,"model: LP2_i=%e\n",model->LP2_i);
  fprintf(stdout,"model: WBET_i=%e\n",model->WBET_i);
  fprintf(stdout,"model: AXL_i=%e\n",model->AXL_i);
  fprintf(stdout,"model: ALP1L2_i=%e\n",model->ALP1L2_i);
  fprintf(stdout,"model: ALP2L2_i=%e\n",model->ALP2L2_i);
  fprintf(stdout,"model: SAREF_i=%e\n",model->SAREF_i);
  fprintf(stdout,"model: SBREF_i=%e\n",model->SBREF_i);
  fprintf(stdout,"model: KVSAT_i=%e\n",model->KVSAT_i);
  fprintf(stdout,"model: LLODKUO_i=%e\n",model->LLODKUO_i);
  fprintf(stdout,"model: WLODKUO_i=%e\n",model->WLODKUO_i);
  fprintf(stdout,"model: LLODVTH_i=%e\n",model->LLODVTH_i);
  fprintf(stdout,"model: WLODVTH_i=%e\n",model->WLODVTH_i);
  fprintf(stdout,"model: LODETAO_i=%e\n",model->LODETAO_i);
  fprintf(stdout,"model: SCREF_i=%e\n",model->SCREF_i);
  fprintf(stdout,"model: WEB_i=%e\n",model->WEB_i);
  fprintf(stdout,"model: WEC_i=%e\n",model->WEC_i);
  fprintf(stdout,"model: RSHG_i=%e\n",model->RSHG_i);
  fprintf(stdout,"model: RSH_i=%e\n",model->RSH_i);
  fprintf(stdout,"model: RSHD_i=%e\n",model->RSHD_i);
  fprintf(stdout,"model: RINT_i=%e\n",model->RINT_i);
  fprintf(stdout,"model: RVPOLY_i=%e\n",model->RVPOLY_i);
  fprintf(stdout,"model: NSUBEDGEO_i=%e\n",model->NSUBEDGEO_i);
  fprintf(stdout,"model: LPEDGE_i=%e\n",model->LPEDGE_i);
  fprintf(stdout,"model: CFACL_i=%e\n",model->CFACL_i);
  fprintf(stdout,"model: CFACW_i=%e\n",model->CFACW_i);
  fprintf(stdout,"model: CFACLEXP_i=%e\n",model->CFACLEXP_i);
  fprintf(stdout,"model: THESATACO_i=%e\n",model->THESATACO_i);
  fprintf(stdout,"model: THESATACL_i=%e\n",model->THESATACL_i);
  fprintf(stdout,"model: THESATACLEXP_i=%e\n",model->THESATACLEXP_i);
  fprintf(stdout,"model: THESATACW_i=%e\n",model->THESATACW_i);
  fprintf(stdout,"model: THESATACLW_i=%e\n",model->THESATACLW_i);
  fprintf(stdout,"model: AXACO_i=%e\n",model->AXACO_i);
  fprintf(stdout,"model: AXACL_i=%e\n",model->AXACL_i);
  fprintf(stdout,"model: ALPACL_i=%e\n",model->ALPACL_i);
  fprintf(stdout,"model: ALPACLEXP_i=%e\n",model->ALPACLEXP_i);
  fprintf(stdout,"model: ALPACW_i=%e\n",model->ALPACW_i);
  fprintf(stdout,"model: POCFAC_i=%e\n",model->POCFAC_i);
  fprintf(stdout,"model: PLCFAC_i=%e\n",model->PLCFAC_i);
  fprintf(stdout,"model: PWCFAC_i=%e\n",model->PWCFAC_i);
  fprintf(stdout,"model: PLWCFAC_i=%e\n",model->PLWCFAC_i);
  fprintf(stdout,"model: POTHESATAC_i=%e\n",model->POTHESATAC_i);
  fprintf(stdout,"model: PLTHESATAC_i=%e\n",model->PLTHESATAC_i);
  fprintf(stdout,"model: PWTHESATAC_i=%e\n",model->PWTHESATAC_i);
  fprintf(stdout,"model: PLWTHESATAC_i=%e\n",model->PLWTHESATAC_i);
  fprintf(stdout,"model: POAXAC_i=%e\n",model->POAXAC_i);
  fprintf(stdout,"model: PLAXAC_i=%e\n",model->PLAXAC_i);
  fprintf(stdout,"model: PWAXAC_i=%e\n",model->PWAXAC_i);
  fprintf(stdout,"model: PLWAXAC_i=%e\n",model->PLWAXAC_i);
  fprintf(stdout,"model: POALPAC_i=%e\n",model->POALPAC_i);
  fprintf(stdout,"model: PLALPAC_i=%e\n",model->PLALPAC_i);
  fprintf(stdout,"model: PWALPAC_i=%e\n",model->PWALPAC_i);
  fprintf(stdout,"model: PLWALPAC_i=%e\n",model->PLWALPAC_i);
  fprintf(stdout,"model: KVSATAC_i=%e\n",model->KVSATAC_i);
  fprintf(stdout,"model: QMC_i=%e\n",model->QMC_i);
  fprintf(stdout,"model: rTa=%e\n",model->rTa);
  fprintf(stdout,"model: delTa=%e\n",model->delTa);
  fprintf(stdout,"model: phita=%e\n",model->phita);
  fprintf(stdout,"model: inv_phita=%e\n",model->inv_phita);
  fprintf(stdout,"model: TKD=%e\n",model->TKD);
  fprintf(stdout,"model: delT=%e\n",model->delT);
  fprintf(stdout,"model: rTn=%e\n",model->rTn);
  fprintf(stdout,"model: ln_rTn=%e\n",model->ln_rTn);
  fprintf(stdout,"model: inv_phit=%e\n",model->inv_phit);
  fprintf(stdout,"model: Eg=%e\n",model->Eg);
  fprintf(stdout,"model: phibFac=%e\n",model->phibFac);
  fprintf(stdout,"model: IMAX_i=%e\n",model->IMAX_i);
  fprintf(stdout,"model: VBIRBOT_i=%e\n",model->VBIRBOT_i);
  fprintf(stdout,"model: VBIRSTI_i=%e\n",model->VBIRSTI_i);
  fprintf(stdout,"model: VBIRGAT_i=%e\n",model->VBIRGAT_i);
  fprintf(stdout,"model: PBOT_i=%e\n",model->PBOT_i);
  fprintf(stdout,"model: PSTI_i=%e\n",model->PSTI_i);
  fprintf(stdout,"model: PGAT_i=%e\n",model->PGAT_i);
  fprintf(stdout,"model: CSRHBOT_i=%e\n",model->CSRHBOT_i);
  fprintf(stdout,"model: CSRHSTI_i=%e\n",model->CSRHSTI_i);
  fprintf(stdout,"model: CSRHGAT_i=%e\n",model->CSRHGAT_i);
  fprintf(stdout,"model: CTATBOT_i=%e\n",model->CTATBOT_i);
  fprintf(stdout,"model: CTATSTI_i=%e\n",model->CTATSTI_i);
  fprintf(stdout,"model: CTATGAT_i=%e\n",model->CTATGAT_i);
  fprintf(stdout,"model: CBBTBOT_i=%e\n",model->CBBTBOT_i);
  fprintf(stdout,"model: CBBTSTI_i=%e\n",model->CBBTSTI_i);
  fprintf(stdout,"model: CBBTGAT_i=%e\n",model->CBBTGAT_i);
  fprintf(stdout,"model: VBRBOT_i=%e\n",model->VBRBOT_i);
  fprintf(stdout,"model: VBRSTI_i=%e\n",model->VBRSTI_i);
  fprintf(stdout,"model: VBRGAT_i=%e\n",model->VBRGAT_i);
  fprintf(stdout,"model: PBRBOT_i=%e\n",model->PBRBOT_i);
  fprintf(stdout,"model: PBRSTI_i=%e\n",model->PBRSTI_i);
  fprintf(stdout,"model: PBRGAT_i=%e\n",model->PBRGAT_i);
  fprintf(stdout,"model: SWJUNEXP_i=%e\n",model->SWJUNEXP_i);
  fprintf(stdout,"model: VJUNREF_i=%e\n",model->VJUNREF_i);
  fprintf(stdout,"model: FJUNQ_i=%e\n",model->FJUNQ_i);
  fprintf(stdout,"model: phitr=%e\n",model->phitr);
  fprintf(stdout,"model: phitd=%e\n",model->phitd);
  fprintf(stdout,"model: phitdinv=%e\n",model->phitdinv);
  fprintf(stdout,"model: perfc=%e\n",model->perfc);
  fprintf(stdout,"model: berfc=%e\n",model->berfc);
  fprintf(stdout,"model: cerfc=%e\n",model->cerfc);
  fprintf(stdout,"model: ftdbot=%e\n",model->ftdbot);
  fprintf(stdout,"model: ftdsti=%e\n",model->ftdsti);
  fprintf(stdout,"model: ftdgat=%e\n",model->ftdgat);
  fprintf(stdout,"model: idsatbot=%e\n",model->idsatbot);
  fprintf(stdout,"model: idsatsti=%e\n",model->idsatsti);
  fprintf(stdout,"model: idsatgat=%e\n",model->idsatgat);
  fprintf(stdout,"model: vbibot=%e\n",model->vbibot);
  fprintf(stdout,"model: vbisti=%e\n",model->vbisti);
  fprintf(stdout,"model: vbigat=%e\n",model->vbigat);
  fprintf(stdout,"model: vbiinvbot=%e\n",model->vbiinvbot);
  fprintf(stdout,"model: vbiinvsti=%e\n",model->vbiinvsti);
  fprintf(stdout,"model: vbiinvgat=%e\n",model->vbiinvgat);
  fprintf(stdout,"model: one_minus_PBOT=%e\n",model->one_minus_PBOT);
  fprintf(stdout,"model: one_minus_PSTI=%e\n",model->one_minus_PSTI);
  fprintf(stdout,"model: one_minus_PGAT=%e\n",model->one_minus_PGAT);
  fprintf(stdout,"model: one_over_one_minus_PBOT=%e\n",model->one_over_one_minus_PBOT);
  fprintf(stdout,"model: one_over_one_minus_PSTI=%e\n",model->one_over_one_minus_PSTI);
  fprintf(stdout,"model: one_over_one_minus_PGAT=%e\n",model->one_over_one_minus_PGAT);
  fprintf(stdout,"model: cjobot=%e\n",model->cjobot);
  fprintf(stdout,"model: cjosti=%e\n",model->cjosti);
  fprintf(stdout,"model: cjogat=%e\n",model->cjogat);
  fprintf(stdout,"model: qprefbot=%e\n",model->qprefbot);
  fprintf(stdout,"model: qprefsti=%e\n",model->qprefsti);
  fprintf(stdout,"model: qprefgat=%e\n",model->qprefgat);
  fprintf(stdout,"model: qpref2bot=%e\n",model->qpref2bot);
  fprintf(stdout,"model: qpref2sti=%e\n",model->qpref2sti);
  fprintf(stdout,"model: qpref2gat=%e\n",model->qpref2gat);
  fprintf(stdout,"model: wdepnulrbot=%e\n",model->wdepnulrbot);
  fprintf(stdout,"model: wdepnulrsti=%e\n",model->wdepnulrsti);
  fprintf(stdout,"model: wdepnulrgat=%e\n",model->wdepnulrgat);
  fprintf(stdout,"model: wdepnulrinvbot=%e\n",model->wdepnulrinvbot);
  fprintf(stdout,"model: wdepnulrinvsti=%e\n",model->wdepnulrinvsti);
  fprintf(stdout,"model: wdepnulrinvgat=%e\n",model->wdepnulrinvgat);
  fprintf(stdout,"model: VBIRBOTinv=%e\n",model->VBIRBOTinv);
  fprintf(stdout,"model: VBIRSTIinv=%e\n",model->VBIRSTIinv);
  fprintf(stdout,"model: VBIRGATinv=%e\n",model->VBIRGATinv);
  fprintf(stdout,"model: atatbot=%e\n",model->atatbot);
  fprintf(stdout,"model: atatsti=%e\n",model->atatsti);
  fprintf(stdout,"model: atatgat=%e\n",model->atatgat);
  fprintf(stdout,"model: btatpartbot=%e\n",model->btatpartbot);
  fprintf(stdout,"model: btatpartsti=%e\n",model->btatpartsti);
  fprintf(stdout,"model: btatpartgat=%e\n",model->btatpartgat);
  fprintf(stdout,"model: fbbtbot=%e\n",model->fbbtbot);
  fprintf(stdout,"model: fbbtsti=%e\n",model->fbbtsti);
  fprintf(stdout,"model: fbbtgat=%e\n",model->fbbtgat);
  fprintf(stdout,"model: alphaav=%e\n",model->alphaav);
  fprintf(stdout,"model: fstopbot=%e\n",model->fstopbot);
  fprintf(stdout,"model: fstopsti=%e\n",model->fstopsti);
  fprintf(stdout,"model: fstopgat=%e\n",model->fstopgat);
  fprintf(stdout,"model: VBRinvbot=%e\n",model->VBRinvbot);
  fprintf(stdout,"model: VBRinvsti=%e\n",model->VBRinvsti);
  fprintf(stdout,"model: VBRinvgat=%e\n",model->VBRinvgat);
  fprintf(stdout,"model: slopebot=%e\n",model->slopebot);
  fprintf(stdout,"model: slopesti=%e\n",model->slopesti);
  fprintf(stdout,"model: slopegat=%e\n",model->slopegat);
  fprintf(stdout,"model: VBIRBOTD_i=%e\n",model->VBIRBOTD_i);
  fprintf(stdout,"model: VBIRSTID_i=%e\n",model->VBIRSTID_i);
  fprintf(stdout,"model: VBIRGATD_i=%e\n",model->VBIRGATD_i);
  fprintf(stdout,"model: PBOTD_i=%e\n",model->PBOTD_i);
  fprintf(stdout,"model: PSTID_i=%e\n",model->PSTID_i);
  fprintf(stdout,"model: PGATD_i=%e\n",model->PGATD_i);
  fprintf(stdout,"model: CSRHBOTD_i=%e\n",model->CSRHBOTD_i);
  fprintf(stdout,"model: CSRHSTID_i=%e\n",model->CSRHSTID_i);
  fprintf(stdout,"model: CSRHGATD_i=%e\n",model->CSRHGATD_i);
  fprintf(stdout,"model: CTATBOTD_i=%e\n",model->CTATBOTD_i);
  fprintf(stdout,"model: CTATSTID_i=%e\n",model->CTATSTID_i);
  fprintf(stdout,"model: CTATGATD_i=%e\n",model->CTATGATD_i);
  fprintf(stdout,"model: CBBTBOTD_i=%e\n",model->CBBTBOTD_i);
  fprintf(stdout,"model: CBBTSTID_i=%e\n",model->CBBTSTID_i);
  fprintf(stdout,"model: CBBTGATD_i=%e\n",model->CBBTGATD_i);
  fprintf(stdout,"model: VBRBOTD_i=%e\n",model->VBRBOTD_i);
  fprintf(stdout,"model: VBRSTID_i=%e\n",model->VBRSTID_i);
  fprintf(stdout,"model: VBRGATD_i=%e\n",model->VBRGATD_i);
  fprintf(stdout,"model: PBRBOTD_i=%e\n",model->PBRBOTD_i);
  fprintf(stdout,"model: PBRSTID_i=%e\n",model->PBRSTID_i);
  fprintf(stdout,"model: PBRGATD_i=%e\n",model->PBRGATD_i);
  fprintf(stdout,"model: VJUNREFD_i=%e\n",model->VJUNREFD_i);
  fprintf(stdout,"model: FJUNQD_i=%e\n",model->FJUNQD_i);
  fprintf(stdout,"model: ftdbot_d=%e\n",model->ftdbot_d);
  fprintf(stdout,"model: ftdsti_d=%e\n",model->ftdsti_d);
  fprintf(stdout,"model: ftdgat_d=%e\n",model->ftdgat_d);
  fprintf(stdout,"model: idsatbot_d=%e\n",model->idsatbot_d);
  fprintf(stdout,"model: idsatsti_d=%e\n",model->idsatsti_d);
  fprintf(stdout,"model: idsatgat_d=%e\n",model->idsatgat_d);
  fprintf(stdout,"model: vbibot_d=%e\n",model->vbibot_d);
  fprintf(stdout,"model: vbisti_d=%e\n",model->vbisti_d);
  fprintf(stdout,"model: vbigat_d=%e\n",model->vbigat_d);
  fprintf(stdout,"model: vbiinvbot_d=%e\n",model->vbiinvbot_d);
  fprintf(stdout,"model: vbiinvsti_d=%e\n",model->vbiinvsti_d);
  fprintf(stdout,"model: vbiinvgat_d=%e\n",model->vbiinvgat_d);
  fprintf(stdout,"model: one_minus_PBOT_d=%e\n",model->one_minus_PBOT_d);
  fprintf(stdout,"model: one_minus_PSTI_d=%e\n",model->one_minus_PSTI_d);
  fprintf(stdout,"model: one_minus_PGAT_d=%e\n",model->one_minus_PGAT_d);
  fprintf(stdout,"model: one_over_one_minus_PBOT_d=%e\n",model->one_over_one_minus_PBOT_d);
  fprintf(stdout,"model: one_over_one_minus_PSTI_d=%e\n",model->one_over_one_minus_PSTI_d);
  fprintf(stdout,"model: one_over_one_minus_PGAT_d=%e\n",model->one_over_one_minus_PGAT_d);
  fprintf(stdout,"model: cjobot_d=%e\n",model->cjobot_d);
  fprintf(stdout,"model: cjosti_d=%e\n",model->cjosti_d);
  fprintf(stdout,"model: cjogat_d=%e\n",model->cjogat_d);
  fprintf(stdout,"model: qprefbot_d=%e\n",model->qprefbot_d);
  fprintf(stdout,"model: qprefsti_d=%e\n",model->qprefsti_d);
  fprintf(stdout,"model: qprefgat_d=%e\n",model->qprefgat_d);
  fprintf(stdout,"model: qpref2bot_d=%e\n",model->qpref2bot_d);
  fprintf(stdout,"model: qpref2sti_d=%e\n",model->qpref2sti_d);
  fprintf(stdout,"model: qpref2gat_d=%e\n",model->qpref2gat_d);
  fprintf(stdout,"model: wdepnulrbot_d=%e\n",model->wdepnulrbot_d);
  fprintf(stdout,"model: wdepnulrsti_d=%e\n",model->wdepnulrsti_d);
  fprintf(stdout,"model: wdepnulrgat_d=%e\n",model->wdepnulrgat_d);
  fprintf(stdout,"model: wdepnulrinvbot_d=%e\n",model->wdepnulrinvbot_d);
  fprintf(stdout,"model: wdepnulrinvsti_d=%e\n",model->wdepnulrinvsti_d);
  fprintf(stdout,"model: wdepnulrinvgat_d=%e\n",model->wdepnulrinvgat_d);
  fprintf(stdout,"model: VBIRBOTinv_d=%e\n",model->VBIRBOTinv_d);
  fprintf(stdout,"model: VBIRSTIinv_d=%e\n",model->VBIRSTIinv_d);
  fprintf(stdout,"model: VBIRGATinv_d=%e\n",model->VBIRGATinv_d);
  fprintf(stdout,"model: atatbot_d=%e\n",model->atatbot_d);
  fprintf(stdout,"model: atatsti_d=%e\n",model->atatsti_d);
  fprintf(stdout,"model: atatgat_d=%e\n",model->atatgat_d);
  fprintf(stdout,"model: btatpartbot_d=%e\n",model->btatpartbot_d);
  fprintf(stdout,"model: btatpartsti_d=%e\n",model->btatpartsti_d);
  fprintf(stdout,"model: btatpartgat_d=%e\n",model->btatpartgat_d);
  fprintf(stdout,"model: fbbtbot_d=%e\n",model->fbbtbot_d);
  fprintf(stdout,"model: fbbtsti_d=%e\n",model->fbbtsti_d);
  fprintf(stdout,"model: fbbtgat_d=%e\n",model->fbbtgat_d);
  fprintf(stdout,"model: fstopbot_d=%e\n",model->fstopbot_d);
  fprintf(stdout,"model: fstopsti_d=%e\n",model->fstopsti_d);
  fprintf(stdout,"model: fstopgat_d=%e\n",model->fstopgat_d);
  fprintf(stdout,"model: VBRinvbot_d=%e\n",model->VBRinvbot_d);
  fprintf(stdout,"model: VBRinvsti_d=%e\n",model->VBRinvsti_d);
  fprintf(stdout,"model: VBRinvgat_d=%e\n",model->VBRinvgat_d);
  fprintf(stdout,"model: slopebot_d=%e\n",model->slopebot_d);
  fprintf(stdout,"model: slopesti_d=%e\n",model->slopesti_d);
  fprintf(stdout,"model: slopegat_d=%e\n",model->slopegat_d);
  fprintf(stdout,"model: phit=%e\n",model->phit);
  fprintf(stdout,"model: nt0=%e\n",model->nt0);
  fprintf(stdout,"model: EPSSI=%e\n",model->EPSSI);
  fprintf(stdout,"instance: MULT_i=%e\n",here->MULT_i);
  fprintf(stdout,"instance: STVFB_i=%e\n",here->STVFB_i);
  fprintf(stdout,"instance: ST2VFB_i=%e\n",here->ST2VFB_i);
  fprintf(stdout,"instance: STCT_i=%e\n",here->STCT_i);
  fprintf(stdout,"instance: TOX_i=%e\n",here->TOX_i);
  fprintf(stdout,"instance: EPSROX_i=%e\n",here->EPSROX_i);
  fprintf(stdout,"instance: NEFF_i=%e\n",here->NEFF_i);
  fprintf(stdout,"instance: FACNEFFAC_i=%e\n",here->FACNEFFAC_i);
  fprintf(stdout,"instance: GFACNUD_i=%e\n",here->GFACNUD_i);
  fprintf(stdout,"instance: VSBNUD_i=%e\n",here->VSBNUD_i);
  fprintf(stdout,"instance: DVSBNUD_i=%e\n",here->DVSBNUD_i);
  fprintf(stdout,"instance: VNSUB_i=%e\n",here->VNSUB_i);
  fprintf(stdout,"instance: NSLP_i=%e\n",here->NSLP_i);
  fprintf(stdout,"instance: DNSUB_i=%e\n",here->DNSUB_i);
  fprintf(stdout,"instance: DPHIB_i=%e\n",here->DPHIB_i);
  fprintf(stdout,"instance: DELVTAC_i=%e\n",here->DELVTAC_i);
  fprintf(stdout,"instance: NP_i=%e\n",here->NP_i);
  fprintf(stdout,"instance: CTG_i=%e\n",here->CTG_i);
  fprintf(stdout,"instance: CTB_i=%e\n",here->CTB_i);
  fprintf(stdout,"instance: TOXOV_i=%e\n",here->TOXOV_i);
  fprintf(stdout,"instance: TOXOVD_i=%e\n",here->TOXOVD_i);
  fprintf(stdout,"instance: NOV_i=%e\n",here->NOV_i);
  fprintf(stdout,"instance: NOVD_i=%e\n",here->NOVD_i);
  fprintf(stdout,"instance: CF_i=%e\n",here->CF_i);
  fprintf(stdout,"instance: CFAC_i=%e\n",here->CFAC_i);
  fprintf(stdout,"instance: CFD_i=%e\n",here->CFD_i);
  fprintf(stdout,"instance: CFB_i=%e\n",here->CFB_i);
  fprintf(stdout,"instance: PSCE_i=%e\n",here->PSCE_i);
  fprintf(stdout,"instance: PSCEB_i=%e\n",here->PSCEB_i);
  fprintf(stdout,"instance: PSCED_i=%e\n",here->PSCED_i);
  fprintf(stdout,"instance: STBET_i=%e\n",here->STBET_i);
  fprintf(stdout,"instance: STMUE_i=%e\n",here->STMUE_i);
  fprintf(stdout,"instance: STTHEMU_i=%e\n",here->STTHEMU_i);
  fprintf(stdout,"instance: STCS_i=%e\n",here->STCS_i);
  fprintf(stdout,"instance: STTHECS_i=%e\n",here->STTHECS_i);
  fprintf(stdout,"instance: STXCOR_i=%e\n",here->STXCOR_i);
  fprintf(stdout,"instance: FETA_i=%e\n",here->FETA_i);
  fprintf(stdout,"instance: STRS_i=%e\n",here->STRS_i);
  fprintf(stdout,"instance: RSB_i=%e\n",here->RSB_i);
  fprintf(stdout,"instance: RSG_i=%e\n",here->RSG_i);
  fprintf(stdout,"instance: STTHESAT_i=%e\n",here->STTHESAT_i);
  fprintf(stdout,"instance: THESATB_i=%e\n",here->THESATB_i);
  fprintf(stdout,"instance: THESATG_i=%e\n",here->THESATG_i);
  fprintf(stdout,"instance: AX_i=%e\n",here->AX_i);
  fprintf(stdout,"instance: AXAC_i=%e\n",here->AXAC_i);
  fprintf(stdout,"instance: ALP_i=%e\n",here->ALP_i);
  fprintf(stdout,"instance: ALPAC_i=%e\n",here->ALPAC_i);
  fprintf(stdout,"instance: ALP1_i=%e\n",here->ALP1_i);
  fprintf(stdout,"instance: ALP2_i=%e\n",here->ALP2_i);
  fprintf(stdout,"instance: VP_i=%e\n",here->VP_i);
  fprintf(stdout,"instance: A1_i=%e\n",here->A1_i);
  fprintf(stdout,"instance: STA2_i=%e\n",here->STA2_i);
  fprintf(stdout,"instance: A3_i=%e\n",here->A3_i);
  fprintf(stdout,"instance: A4_i=%e\n",here->A4_i);
  fprintf(stdout,"instance: GCO_i=%e\n",here->GCO_i);
  fprintf(stdout,"instance: IGINV_i=%e\n",here->IGINV_i);
  fprintf(stdout,"instance: IGOV_i=%e\n",here->IGOV_i);
  fprintf(stdout,"instance: IGOVD_i=%e\n",here->IGOVD_i);
  fprintf(stdout,"instance: STIG_i=%e\n",here->STIG_i);
  fprintf(stdout,"instance: GC2_i=%e\n",here->GC2_i);
  fprintf(stdout,"instance: GC3_i=%e\n",here->GC3_i);
  fprintf(stdout,"instance: GC2OV_i=%e\n",here->GC2OV_i);
  fprintf(stdout,"instance: GC3OV_i=%e\n",here->GC3OV_i);
  fprintf(stdout,"instance: CHIB_i=%e\n",here->CHIB_i);
  fprintf(stdout,"instance: AGIDL_i=%e\n",here->AGIDL_i);
  fprintf(stdout,"instance: AGIDLD_i=%e\n",here->AGIDLD_i);
  fprintf(stdout,"instance: STBGIDL_i=%e\n",here->STBGIDL_i);
  fprintf(stdout,"instance: STBGIDLD_i=%e\n",here->STBGIDLD_i);
  fprintf(stdout,"instance: CGIDL_i=%e\n",here->CGIDL_i);
  fprintf(stdout,"instance: CGIDLD_i=%e\n",here->CGIDLD_i);
  fprintf(stdout,"instance: COX_i=%e\n",here->COX_i);
  fprintf(stdout,"instance: CGOV_i=%e\n",here->CGOV_i);
  fprintf(stdout,"instance: CGOVD_i=%e\n",here->CGOVD_i);
  fprintf(stdout,"instance: CGBOV_i=%e\n",here->CGBOV_i);
  fprintf(stdout,"instance: CFR_i=%e\n",here->CFR_i);
  fprintf(stdout,"instance: CFRD_i=%e\n",here->CFRD_i);
  fprintf(stdout,"instance: FNT_i=%e\n",here->FNT_i);
  fprintf(stdout,"instance: FNTEXC_i=%e\n",here->FNTEXC_i);
  fprintf(stdout,"instance: NFA_i=%e\n",here->NFA_i);
  fprintf(stdout,"instance: NFB_i=%e\n",here->NFB_i);
  fprintf(stdout,"instance: NFC_i=%e\n",here->NFC_i);
  fprintf(stdout,"instance: EF_i=%e\n",here->EF_i);
  fprintf(stdout,"instance: STVFBEDGE_i=%e\n",here->STVFBEDGE_i);
  fprintf(stdout,"instance: DPHIBEDGE_i=%e\n",here->DPHIBEDGE_i);
  fprintf(stdout,"instance: NEFFEDGE_i=%e\n",here->NEFFEDGE_i);
  fprintf(stdout,"instance: CTEDGE_i=%e\n",here->CTEDGE_i);
  fprintf(stdout,"instance: BETNEDGE_i=%e\n",here->BETNEDGE_i);
  fprintf(stdout,"instance: STBETEDGE_i=%e\n",here->STBETEDGE_i);
  fprintf(stdout,"instance: PSCEEDGE_i=%e\n",here->PSCEEDGE_i);
  fprintf(stdout,"instance: PSCEBEDGE_i=%e\n",here->PSCEBEDGE_i);
  fprintf(stdout,"instance: PSCEDEDGE_i=%e\n",here->PSCEDEDGE_i);
  fprintf(stdout,"instance: CFEDGE_i=%e\n",here->CFEDGE_i);
  fprintf(stdout,"instance: CFDEDGE_i=%e\n",here->CFDEDGE_i);
  fprintf(stdout,"instance: CFBEDGE_i=%e\n",here->CFBEDGE_i);
  fprintf(stdout,"instance: FNTEDGE_i=%e\n",here->FNTEDGE_i);
  fprintf(stdout,"instance: NFAEDGE_i=%e\n",here->NFAEDGE_i);
  fprintf(stdout,"instance: NFBEDGE_i=%e\n",here->NFBEDGE_i);
  fprintf(stdout,"instance: NFCEDGE_i=%e\n",here->NFCEDGE_i);
  fprintf(stdout,"instance: EFEDGE_i=%e\n",here->EFEDGE_i);
  fprintf(stdout,"instance: RG_i=%e\n",here->RG_i);
  fprintf(stdout,"instance: RSE_i=%e\n",here->RSE_i);
  fprintf(stdout,"instance: RDE_i=%e\n",here->RDE_i);
  fprintf(stdout,"instance: RBULK_i=%e\n",here->RBULK_i);
  fprintf(stdout,"instance: RJUNS_i=%e\n",here->RJUNS_i);
  fprintf(stdout,"instance: RJUND_i=%e\n",here->RJUND_i);
  fprintf(stdout,"instance: RWELL_i=%e\n",here->RWELL_i);
  fprintf(stdout,"instance: LE=%e\n",here->LE);
  fprintf(stdout,"instance: WE=%e\n",here->WE);
  fprintf(stdout,"instance: IFACTOR_i=%e\n",here->IFACTOR_i);
  fprintf(stdout,"instance: CFACTOR_i=%e\n",here->CFACTOR_i);
  fprintf(stdout,"instance: ABSOURCE_i=%e\n",here->ABSOURCE_i);
  fprintf(stdout,"instance: LSSOURCE_i=%e\n",here->LSSOURCE_i);
  fprintf(stdout,"instance: LGSOURCE_i=%e\n",here->LGSOURCE_i);
  fprintf(stdout,"instance: zflagbot_s=%e\n",here->zflagbot_s);
  fprintf(stdout,"instance: zflagsti_s=%e\n",here->zflagsti_s);
  fprintf(stdout,"instance: zflaggat_s=%e\n",here->zflaggat_s);
  fprintf(stdout,"instance: VMAX_s=%e\n",here->VMAX_s);
  fprintf(stdout,"instance: exp_VMAX_over_phitd_s=%e\n",here->exp_VMAX_over_phitd_s);
  fprintf(stdout,"instance: vbimin_s=%e\n",here->vbimin_s);
  fprintf(stdout,"instance: vch_s=%e\n",here->vch_s);
  fprintf(stdout,"instance: vfmin_s=%e\n",here->vfmin_s);
  fprintf(stdout,"instance: vbbtlim_s=%e\n",here->vbbtlim_s);
  fprintf(stdout,"instance: xhighf1_s=%e\n",here->xhighf1_s);
  fprintf(stdout,"instance: expxhf1_s=%e\n",here->expxhf1_s);
  fprintf(stdout,"instance: xhighf2_s=%e\n",here->xhighf2_s);
  fprintf(stdout,"instance: expxhf2_s=%e\n",here->expxhf2_s);
  fprintf(stdout,"instance: xhighr_s=%e\n",here->xhighr_s);
  fprintf(stdout,"instance: expxhr_s=%e\n",here->expxhr_s);
  fprintf(stdout,"instance: m0flag_s=%e\n",here->m0flag_s);
  fprintf(stdout,"instance: ISATFOR1_s=%e\n",here->ISATFOR1_s);
  fprintf(stdout,"instance: MFOR1_s=%e\n",here->MFOR1_s);
  fprintf(stdout,"instance: ISATFOR2_s=%e\n",here->ISATFOR2_s);
  fprintf(stdout,"instance: MFOR2_s=%e\n",here->MFOR2_s);
  fprintf(stdout,"instance: ISATREV_s=%e\n",here->ISATREV_s);
  fprintf(stdout,"instance: MREV_s=%e\n",here->MREV_s);
  fprintf(stdout,"instance: ABDRAIN_i=%e\n",here->ABDRAIN_i);
  fprintf(stdout,"instance: LSDRAIN_i=%e\n",here->LSDRAIN_i);
  fprintf(stdout,"instance: LGDRAIN_i=%e\n",here->LGDRAIN_i);
  fprintf(stdout,"instance: zflagbot_d=%e\n",here->zflagbot_d);
  fprintf(stdout,"instance: zflagsti_d=%e\n",here->zflagsti_d);
  fprintf(stdout,"instance: zflaggat_d=%e\n",here->zflaggat_d);
  fprintf(stdout,"instance: VMAX_d=%e\n",here->VMAX_d);
  fprintf(stdout,"instance: exp_VMAX_over_phitd_d=%e\n",here->exp_VMAX_over_phitd_d);
  fprintf(stdout,"instance: vbimin_d=%e\n",here->vbimin_d);
  fprintf(stdout,"instance: vch_d=%e\n",here->vch_d);
  fprintf(stdout,"instance: vfmin_d=%e\n",here->vfmin_d);
  fprintf(stdout,"instance: vbbtlim_d=%e\n",here->vbbtlim_d);
  fprintf(stdout,"instance: xhighf1_d=%e\n",here->xhighf1_d);
  fprintf(stdout,"instance: expxhf1_d=%e\n",here->expxhf1_d);
  fprintf(stdout,"instance: xhighf2_d=%e\n",here->xhighf2_d);
  fprintf(stdout,"instance: expxhf2_d=%e\n",here->expxhf2_d);
  fprintf(stdout,"instance: xhighr_d=%e\n",here->xhighr_d);
  fprintf(stdout,"instance: expxhr_d=%e\n",here->expxhr_d);
  fprintf(stdout,"instance: m0flag_d=%e\n",here->m0flag_d);
  fprintf(stdout,"instance: ISATFOR1_d=%e\n",here->ISATFOR1_d);
  fprintf(stdout,"instance: MFOR1_d=%e\n",here->MFOR1_d);
  fprintf(stdout,"instance: ISATFOR2_d=%e\n",here->ISATFOR2_d);
  fprintf(stdout,"instance: MFOR2_d=%e\n",here->MFOR2_d);
  fprintf(stdout,"instance: ISATREV_d=%e\n",here->ISATREV_d);
  fprintf(stdout,"instance: MREV_d=%e\n",here->MREV_d);
  fprintf(stdout,"instance: VFB_T=%e\n",here->VFB_T);
  fprintf(stdout,"instance: CT_T=%e\n",here->CT_T);
  fprintf(stdout,"instance: CTG_T=%e\n",here->CTG_T);
  fprintf(stdout,"instance: BETN_T=%e\n",here->BETN_T);
  fprintf(stdout,"instance: MUE_T=%e\n",here->MUE_T);
  fprintf(stdout,"instance: THEMU_T=%e\n",here->THEMU_T);
  fprintf(stdout,"instance: CS_T=%e\n",here->CS_T);
  fprintf(stdout,"instance: THECS_T=%e\n",here->THECS_T);
  fprintf(stdout,"instance: XCOR_T=%e\n",here->XCOR_T);
  fprintf(stdout,"instance: RS_T=%e\n",here->RS_T);
  fprintf(stdout,"instance: BGIDL_T=%e\n",here->BGIDL_T);
  fprintf(stdout,"instance: BGIDLD_T=%e\n",here->BGIDLD_T);
  fprintf(stdout,"instance: A2_T=%e\n",here->A2_T);
  fprintf(stdout,"instance: VFBEDGE_T=%e\n",here->VFBEDGE_T);
  fprintf(stdout,"instance: BETNEDGE_T=%e\n",here->BETNEDGE_T);
  fprintf(stdout,"instance: BET_i=%e\n",here->BET_i);
  fprintf(stdout,"instance: BETEDGE_i=%e\n",here->BETEDGE_i);
  fprintf(stdout,"instance: nt=%e\n",here->nt);
  fprintf(stdout,"instance: THESAT_T=%e\n",here->THESAT_T);
  fprintf(stdout,"instance: THESATAC_T=%e\n",here->THESATAC_T);
  fprintf(stdout,"instance: Sfl_prefac=%e\n",here->Sfl_prefac);
  fprintf(stdout,"instance: phit0edge=%e\n",here->phit0edge);
  fprintf(stdout,"instance: Gfedge2=%e\n",here->Gfedge2);
  fprintf(stdout,"instance: lnGfedge2=%e\n",here->lnGfedge2);
  fprintf(stdout,"instance: Sfl_prefac_edge=%e\n",here->Sfl_prefac_edge);
  fprintf(stdout,"instance: ntedge=%e\n",here->ntedge);
  fprintf(stdout,"instance: phib_dc=%e\n",here->phib_dc);
  fprintf(stdout,"instance: G_0_dc=%e\n",here->G_0_dc);
  fprintf(stdout,"instance: kp=%e\n",here->kp);
  fprintf(stdout,"instance: qlim2=%e\n",here->qlim2);
  fprintf(stdout,"instance: sqrt_phib_dc=%e\n",here->sqrt_phib_dc);
  fprintf(stdout,"instance: phix_dc=%e\n",here->phix_dc);
  fprintf(stdout,"instance: aphi_dc=%e\n",here->aphi_dc);
  fprintf(stdout,"instance: bphi_dc=%e\n",here->bphi_dc);
  fprintf(stdout,"instance: phix1_dc=%e\n",here->phix1_dc);
  fprintf(stdout,"instance: alpha_b=%e\n",here->alpha_b);
  fprintf(stdout,"instance: us1=%e\n",here->us1);
  fprintf(stdout,"instance: us21=%e\n",here->us21);
  fprintf(stdout,"instance: phib_ac=%e\n",here->phib_ac);
  fprintf(stdout,"instance: G_0_ac=%e\n",here->G_0_ac);
  fprintf(stdout,"instance: phix_ac=%e\n",here->phix_ac);
  fprintf(stdout,"instance: aphi_ac=%e\n",here->aphi_ac);
  fprintf(stdout,"instance: bphi_ac=%e\n",here->bphi_ac);
  fprintf(stdout,"instance: phix1_ac=%e\n",here->phix1_ac);
  fprintf(stdout,"instance: THER_i=%e\n",here->THER_i);
  fprintf(stdout,"instance: phibedge=%e\n",here->phibedge);
  fprintf(stdout,"instance: Gfedge=%e\n",here->Gfedge);
  fprintf(stdout,"instance: phixedge=%e\n",here->phixedge);
  fprintf(stdout,"instance: aphiedge=%e\n",here->aphiedge);
  fprintf(stdout,"instance: bphiedge=%e\n",here->bphiedge);
  fprintf(stdout,"instance: phix1edge=%e\n",here->phix1edge);
  fprintf(stdout,"instance: Cox_over_q=%e\n",here->Cox_over_q);
  fprintf(stdout,"instance: qq=%e\n",here->qq);
  fprintf(stdout,"instance: E_eff0=%e\n",here->E_eff0);
  fprintf(stdout,"instance: eta_mu=%e\n",here->eta_mu);
  fprintf(stdout,"instance: eta_mu1=%e\n",here->eta_mu1);
  fprintf(stdout,"instance: inv_AX=%e\n",here->inv_AX);
  fprintf(stdout,"instance: inv_VP=%e\n",here->inv_VP);
  fprintf(stdout,"instance: GOV_s=%e\n",here->GOV_s);
  fprintf(stdout,"instance: GOV_d=%e\n",here->GOV_d);
  fprintf(stdout,"instance: GOV2_s=%e\n",here->GOV2_s);
  fprintf(stdout,"instance: GOV2_d=%e\n",here->GOV2_d);
  fprintf(stdout,"instance: SP_OV_eps2_s=%e\n",here->SP_OV_eps2_s);
  fprintf(stdout,"instance: SP_OV_a_s=%e\n",here->SP_OV_a_s);
  fprintf(stdout,"instance: SP_OV_delta1_s=%e\n",here->SP_OV_delta1_s);
  fprintf(stdout,"instance: SP_OV_eps2_d=%e\n",here->SP_OV_eps2_d);
  fprintf(stdout,"instance: SP_OV_a_d=%e\n",here->SP_OV_a_d);
  fprintf(stdout,"instance: SP_OV_delta1_d=%e\n",here->SP_OV_delta1_d);
  fprintf(stdout,"instance: inv_CHIB=%e\n",here->inv_CHIB);
  fprintf(stdout,"instance: BCH=%e\n",here->BCH);
  fprintf(stdout,"instance: BOV=%e\n",here->BOV);
  fprintf(stdout,"instance: BOV_d=%e\n",here->BOV_d);
  fprintf(stdout,"instance: GCQ=%e\n",here->GCQ);
  fprintf(stdout,"instance: GCQOV=%e\n",here->GCQOV);
  fprintf(stdout,"instance: AGIDLs=%e\n",here->AGIDLs);
  fprintf(stdout,"instance: AGIDLDs=%e\n",here->AGIDLDs);
  fprintf(stdout,"instance: BGIDLs=%e\n",here->BGIDLs);
  fprintf(stdout,"instance: BGIDLDs=%e\n",here->BGIDLDs);
  fprintf(stdout,"instance: fac_exc=%e\n",here->fac_exc);
  fprintf(stdout,"instance: ggate=%e\n",here->ggate);
  fprintf(stdout,"instance: gsource=%e\n",here->gsource);
  fprintf(stdout,"instance: gdrain=%e\n",here->gdrain);
  fprintf(stdout,"instance: gbulk=%e\n",here->gbulk);
  fprintf(stdout,"instance: gjuns=%e\n",here->gjuns);
  fprintf(stdout,"instance: gjund=%e\n",here->gjund);
  fprintf(stdout,"instance: gwell=%e\n",here->gwell);
  fprintf(stdout,"instance: ysq=%e\n",here->ysq);
  fprintf(stdout,"instance: terfc=%e\n",here->terfc);
  fprintf(stdout,"instance: erfcpos=%e\n",here->erfcpos);
  fprintf(stdout,"instance: h1=%e\n",here->h1);
  fprintf(stdout,"instance: h2=%e\n",here->h2);
  fprintf(stdout,"instance: h2d=%e\n",here->h2d);
  fprintf(stdout,"instance: h3=%e\n",here->h3);
  fprintf(stdout,"instance: h4=%e\n",here->h4);
  fprintf(stdout,"instance: h5=%e\n",here->h5);
  fprintf(stdout,"instance: idmult=%e\n",here->idmult);
  fprintf(stdout,"instance: vj=%e\n",here->vj);
  fprintf(stdout,"instance: z=%e\n",here->z);
  fprintf(stdout,"instance: zinv=%e\n",here->zinv);
  fprintf(stdout,"instance: two_psistar=%e\n",here->two_psistar);
  fprintf(stdout,"instance: vjlim=%e\n",here->vjlim);
  fprintf(stdout,"instance: vjsrh=%e\n",here->vjsrh);
  fprintf(stdout,"instance: vbbt=%e\n",here->vbbt);
  fprintf(stdout,"instance: vav=%e\n",here->vav);
  fprintf(stdout,"instance: tmp=%e\n",here->tmp);
  fprintf(stdout,"instance: id=%e\n",here->id);
  fprintf(stdout,"instance: isrh=%e\n",here->isrh);
  fprintf(stdout,"instance: vbi_minus_vjsrh=%e\n",here->vbi_minus_vjsrh);
  fprintf(stdout,"instance: wsrhstep=%e\n",here->wsrhstep);
  fprintf(stdout,"instance: dwsrh=%e\n",here->dwsrh);
  fprintf(stdout,"instance: wsrh=%e\n",here->wsrh);
  fprintf(stdout,"instance: wdep=%e\n",here->wdep);
  fprintf(stdout,"instance: asrh=%e\n",here->asrh);
  fprintf(stdout,"instance: itat=%e\n",here->itat);
  fprintf(stdout,"instance: btat=%e\n",here->btat);
  fprintf(stdout,"instance: twoatatoverthreebtat=%e\n",here->twoatatoverthreebtat);
  fprintf(stdout,"instance: umaxbeforelimiting=%e\n",here->umaxbeforelimiting);
  fprintf(stdout,"instance: umax=%e\n",here->umax);
  fprintf(stdout,"instance: sqrtumax=%e\n",here->sqrtumax);
  fprintf(stdout,"instance: umaxpoweronepointfive=%e\n",here->umaxpoweronepointfive);
  fprintf(stdout,"instance: wgamma=%e\n",here->wgamma);
  fprintf(stdout,"instance: wtat=%e\n",here->wtat);
  fprintf(stdout,"instance: ktat=%e\n",here->ktat);
  fprintf(stdout,"instance: ltat=%e\n",here->ltat);
  fprintf(stdout,"instance: mtat=%e\n",here->mtat);
  fprintf(stdout,"instance: xerfc=%e\n",here->xerfc);
  fprintf(stdout,"instance: erfctimesexpmtat=%e\n",here->erfctimesexpmtat);
  fprintf(stdout,"instance: gammamax=%e\n",here->gammamax);
  fprintf(stdout,"instance: ibbt=%e\n",here->ibbt);
  fprintf(stdout,"instance: Fmaxr=%e\n",here->Fmaxr);
  fprintf(stdout,"instance: fbreakdown=%e\n",here->fbreakdown);
}


#define _STATIC
#define _DYNAMIC
#define _DERIVATE

#define _load_static_residual2(p,n,v)\
  *(ckt->CKTrhs+here->p ## Node)-=v;\
  *(ckt->CKTrhs+here->n ## Node)+=v;
#define _load_static_residual1(p,v)\
  *(ckt->CKTrhs+here->p ## Node)-=v;

#define _load_static_jacobian4(Sp,Sn,Pp,Pn,v)\
  _load_static_residual2(Sp,Sn,-v*BP(Pp,Pn))\
  *(here->PTR_J_ ## Sp ## _ ## Pp)+=v;\
  *(here->PTR_J_ ## Sn ## _ ## Pn)+=v;\
  *(here->PTR_J_ ## Sp ## _ ## Pn)-=v;\
  *(here->PTR_J_ ## Sn ## _ ## Pp)-=v;\
  (here->JSVAL_ ## Sp ## _ ## Pp)+=v;\
  (here->JSVAL_ ## Sn ## _ ## Pn)+=v;\
  (here->JSVAL_ ## Sp ## _ ## Pn)-=v;\
  (here->JSVAL_ ## Sn ## _ ## Pp)-=v;
#define _load_static_jacobian2s(Sp,Sn,Pp,v)\
  _load_static_residual2(Sp,Sn,-v*NP(Pp))\
  *(here->PTR_J_ ## Sp ## _ ## Pp)+=v;\
  *(here->PTR_J_ ## Sn ## _ ## Pp)-=v;\
  (here->JSVAL_ ## Sp ## _ ## Pp)+=v;\
  (here->JSVAL_ ## Sn ## _ ## Pp)-=v;
#define _load_static_jacobian2p(Sp,Pp,Pn,v)\
  _load_static_residual1(Sp,-v*BP(Pp,Pn))\
  *(here->PTR_J_ ## Sp ## _ ## Pp)+=v;\
  *(here->PTR_J_ ## Sp ## _ ## Pn)-=v;\
  (here->JSVAL_ ## Sp ## _ ## Pp)+=v;\
  (here->JSVAL_ ## Sp ## _ ## Pn)-=v;
#define _load_static_jacobian1(Sp,Pp,v)\
  _load_static_residual1(Sp,-v*NP(Pp))\
  *(here->PTR_J_ ## Sp ## _ ## Pp)+=v;\
  (here->JSVAL_ ## Sp ## _ ## Pp)+=v;

#define _load_dynamic_residual2(p,n,v)\
if(ChargeComputationNeeded)\
{\
  int error;\
  double unused;\
  *(ckt->CKTstate0+here->state_##p##_##n)=v;\
  if(ckt->CKTmode & MODEINITTRAN)\
    *(ckt->CKTstate1+here->state_##p##_##n)=*(ckt->CKTstate0+here->state_##p##_##n);\
  error = NIintegrate(ckt,&unused,&unused,0.0,here->state_##p##_##n);\
  if(error) return(error);\
  if(ckt->CKTmode & MODEINITTRAN)\
    *(ckt->CKTstate1+here->state_##p##_##n+1) = *(ckt->CKTstate0+here->state_##p##_##n+1);\
  *(ckt->CKTrhs+here->p##Node)-=*(ckt->CKTstate0+here->state_##p##_##n+1);\
  *(ckt->CKTrhs+here->n##Node)+=*(ckt->CKTstate0+here->state_##p##_##n+1);\
}
#define _load_dynamic_residual1(p,v)\
if(ChargeComputationNeeded)\
{\
  int error;\
  double unused;\
  *(ckt->CKTstate0+here->state_##p##_GND)=v;\
  if(ckt->CKTmode & MODEINITTRAN)\
    *(ckt->CKTstate1+here->state_##p##_GND)=*(ckt->CKTstate0+here->state_##p##_GND);\
  error = NIintegrate(ckt,&unused,&unused,0.0,here->state_##p##_GND);\
  if(error) return(error);\
  if(ckt->CKTmode & MODEINITTRAN)\
    *(ckt->CKTstate1+here->state_##p##_GND+1) = *(ckt->CKTstate0+here->state_##p##_GND+1);\
  *(ckt->CKTrhs+here->p##Node)-=*(ckt->CKTstate0+here->state_##p##_GND+1);\
}

#define _load_dynamic_jacobian4(Sp,Sn,Pp,Pn,v)\
if(ChargeComputationNeeded)\
{\
  double geq=(v)*ckt->CKTag[0];\
  double ceq=geq*BP(Pp,Pn);\
  *(ckt->CKTrhs+here->Sp##Node)+=ceq;\
  *(ckt->CKTrhs+here->Sn##Node)-=ceq;\
  *(here->PTR_J_ ## Sp ## _ ## Pp)+=geq;\
  *(here->PTR_J_ ## Sn ## _ ## Pn)+=geq;\
  *(here->PTR_J_ ## Sp ## _ ## Pn)-=geq;\
  *(here->PTR_J_ ## Sn ## _ ## Pp)-=geq;\
}\
  (here->JDVAL_ ## Sp ## _ ## Pp)+=v;\
  (here->JDVAL_ ## Sn ## _ ## Pn)+=v;\
  (here->JDVAL_ ## Sp ## _ ## Pn)-=v;\
  (here->JDVAL_ ## Sn ## _ ## Pp)-=v;
#define _load_dynamic_jacobian2s(Sp,Sn,Pp,v)\
if(ChargeComputationNeeded)\
{\
  double geq=(v)*ckt->CKTag[0];\
  double ceq=geq*NP(Pp);\
  *(ckt->CKTrhs+here->Sp##Node)+=ceq;\
  *(ckt->CKTrhs+here->Sn##Node)-=ceq;\
  *(here->PTR_J_ ## Sp ## _ ## Pp)+=geq;\
  *(here->PTR_J_ ## Sn ## _ ## Pp)-=geq;\
}\
  (here->JDVAL_ ## Sp ## _ ## Pp)+=v;\
  (here->JDVAL_ ## Sn ## _ ## Pp)-=v;
#define _load_dynamic_jacobian2p(Sp,Pp,Pn,v)\
if(ChargeComputationNeeded)\
{\
  double geq=(v)*ckt->CKTag[0];\
  double ceq=geq*BP(Pp,Pn);\
  *(ckt->CKTrhs+here->Sp##Node)+=ceq;\
  *(here->PTR_J_ ## Sp ## _ ## Pp)+=geq;\
  *(here->PTR_J_ ## Sp ## _ ## Pn)-=geq;\
}\
  (here->JDVAL_ ## Sp ## _ ## Pp)+=v;\
  (here->JDVAL_ ## Sp ## _ ## Pn)-=v;
#define _load_dynamic_jacobian1(Sp,Pp,v)\
if(ChargeComputationNeeded)\
{\
  double geq=(v)*ckt->CKTag[0];\
  double ceq=geq*NP(Pp);\
  *(ckt->CKTrhs+here->Sp##Node)+=ceq;\
  *(here->PTR_J_ ## Sp ## _ ## Pp)+=geq;\
}\
(here->JDVAL_ ## Sp ## _ ## Pp)+=v;

int psp103load(GENmodel *inModel, CKTcircuit *ckt)
     /* actually load the current value into the 
      * sparse matrix previously provided 
      */
{
  psp103model *model = (psp103model*)inModel;
  psp103instance *here;
  int ChargeComputationNeeded =  
                 ((ckt->CKTmode & (MODEAC | MODETRAN | MODEINITSMSIG)) ||
                 ((ckt->CKTmode & MODETRANOP) && (ckt->CKTmode & MODEUIC)))
                 ? 1 : 0;

  for ( ; model != NULL; model = psp103nextModel(model) )
  {
    /* loop through all the instances of the model */
    for (here = psp103instances(model); here != NULL ; here = psp103nextInstance(here))
    {
{  here->JSVAL_DI_SI=0.0;
  here->JSVAL_DI_BP=0.0;
  here->JSVAL_BP_SI=0.0;
  here->JSVAL_BP_BP=0.0;
  here->JSVAL_DI_GP=0.0;
  here->JSVAL_BP_GP=0.0;
  here->JSVAL_DI_DI=0.0;
  here->JSVAL_BP_DI=0.0;
  here->JSVAL_SI_SI=0.0;
  here->JSVAL_SI_BP=0.0;
  here->JSVAL_SI_GP=0.0;
  here->JSVAL_SI_DI=0.0;
  here->JSVAL_GP_SI=0.0;
  here->JSVAL_GP_BP=0.0;
  here->JSVAL_GP_DI=0.0;
  here->JSVAL_GP_GP=0.0;
  here->JSVAL_BS_SI=0.0;
  here->JSVAL_BS_BS=0.0;
  here->JSVAL_SI_BS=0.0;
  here->JSVAL_BS_DI=0.0;
  here->JSVAL_BS_BD=0.0;
  here->JSVAL_SI_BD=0.0;
  here->JSVAL_BD_SI=0.0;
  here->JSVAL_BD_BS=0.0;
  here->JSVAL_DI_BS=0.0;
  here->JSVAL_BD_DI=0.0;
  here->JSVAL_BD_BD=0.0;
  here->JSVAL_DI_BD=0.0;
  here->JSVAL_G_G=0.0;
  here->JSVAL_G_GP=0.0;
  here->JSVAL_GP_G=0.0;
  here->JSVAL_S_S=0.0;
  here->JSVAL_S_SI=0.0;
  here->JSVAL_SI_S=0.0;
  here->JSVAL_D_D=0.0;
  here->JSVAL_D_DI=0.0;
  here->JSVAL_DI_D=0.0;
  here->JSVAL_BP_BI=0.0;
  here->JSVAL_BI_BP=0.0;
  here->JSVAL_BI_BI=0.0;
  here->JSVAL_BS_BI=0.0;
  here->JSVAL_BI_BS=0.0;
  here->JSVAL_BD_BI=0.0;
  here->JSVAL_BI_BD=0.0;
  here->JSVAL_B_B=0.0;
  here->JSVAL_B_BI=0.0;
  here->JSVAL_BI_B=0.0;
  here->JSVAL_NOI_SI=0.0;
  here->JSVAL_NOI_BP=0.0;
  here->JSVAL_NOI_GP=0.0;
  here->JSVAL_NOI_DI=0.0;
  here->JSVAL_NOI_NOI=0.0;
  here->JSVAL_BS_BP=0.0;
  here->JSVAL_BS_GP=0.0;
  here->JSVAL_BD_BP=0.0;
  here->JSVAL_BD_GP=0.0;
  here->JDVAL_DI_SI=0.0;
  here->JDVAL_DI_BP=0.0;
  here->JDVAL_BP_SI=0.0;
  here->JDVAL_BP_BP=0.0;
  here->JDVAL_DI_GP=0.0;
  here->JDVAL_BP_GP=0.0;
  here->JDVAL_DI_DI=0.0;
  here->JDVAL_BP_DI=0.0;
  here->JDVAL_SI_SI=0.0;
  here->JDVAL_SI_BP=0.0;
  here->JDVAL_SI_GP=0.0;
  here->JDVAL_SI_DI=0.0;
  here->JDVAL_GP_SI=0.0;
  here->JDVAL_GP_BP=0.0;
  here->JDVAL_GP_DI=0.0;
  here->JDVAL_GP_GP=0.0;
  here->JDVAL_BS_SI=0.0;
  here->JDVAL_BS_BS=0.0;
  here->JDVAL_SI_BS=0.0;
  here->JDVAL_BS_DI=0.0;
  here->JDVAL_BS_BD=0.0;
  here->JDVAL_SI_BD=0.0;
  here->JDVAL_BD_SI=0.0;
  here->JDVAL_BD_BS=0.0;
  here->JDVAL_DI_BS=0.0;
  here->JDVAL_BD_DI=0.0;
  here->JDVAL_BD_BD=0.0;
  here->JDVAL_DI_BD=0.0;
  here->JDVAL_NOI_SI=0.0;
  here->JDVAL_NOI_BP=0.0;
  here->JDVAL_NOI_GP=0.0;
  here->JDVAL_NOI_DI=0.0;
  here->JDVAL_NOI_NOI=0.0;

}
{
#include "psp103.hxx"
}
    } /* End of Instance */
  } /* End of Model */
  return(OK);
}
