

#define  ELECTRON_CHARGE        1.602191770e-19         /* C */
#define  BOLTZMANN              1.38062259e-23          /* J/oK */

/* arithmetics */
#define EXP90 1.220403294317841e+039
#define m00_hypot(v00,x,y)      v00 = sqrt((x)*(x)+(y)*(y));
#define m10_hypot(v10,v00,x,y)  v10 = (x)/(v00);
#define m11_hypot(v11,v00,x,y)  v11 = (y)/(v00);
#define m00_max(v00,x,y)        v00 = ((x)>(y))?(x):(y);
#define m10_max(v10,v00,x,y)    v10 = ((x)>(y))?1.0:0.0;
#define m11_max(v11,v00,x,y)    v11 = ((x)>(y))?0.0:1.0;
#define m00_min(v00,x,y)        v00 = ((x)<(y))?(x):(y);
#define m10_min(v10,v00,x,y)    v10 = ((x)<(y))?1.0:0.0;
#define m11_min(v11,v00,x,y)    v11 = ((x)<(y))?0.0:1.0;
#define m00_pow(v00,x,y)        v00 = pow(x,y);
#define m10_pow(v10,v00,x,y)    v10 = (x==0.0)?0.0:(v00)*(y)/(x);
#define m11_pow(v11,v00,x,y)    v11 = (x==0.0)?0.0:(log(x)*(v00));
#define m00_div(v00,v10,x,y)    double v10=1/(y); double v00=(x)*v10;
#define m10_div(v10,v00,vv,x,y)
#define m11_div(v11,v00,vv,x,y) double v11 = -v00*vv;
#define m00_mult(v00,v10,v11,x,y) double v10=(x); double v11=(y); double v00=v10*v11;
#define m00_add(v00,x,y)        double v00=(x)+(y);
#define m00_cos(v00,x)          v00 = cos(x);
#define m10_cos(v10,v00,x)      v10 = (-sin(x));
#define m00_sin(v00,x)          v00 = sin(x);
#define m10_sin(v10,v00,x)      v10 = (cos(x));
#define m00_tan(v00,x)          v00 = tan(x);
#define m10_tan(v10,v00,x)      v10 = (1.0/cos(x)/cos(x));
#define m00_cosh(v00,x)         v00 = cosh(x);
#define m10_cosh(v10,v00,x)     v10 = (sinh(x));
#define m00_sinh(v00,x)         v00 = sinh(x);
#define m10_sinh(v10,v00,x)     v10 = (cosh(x));
#define m00_tanh(v00,x)         v00 = tanh(x);
#define m10_tanh(v10,v00,x)     v10 = (1.0/cosh(x)/cosh(x));
#define m00_acos(v00,x)         v00 = acos(x);
#define m10_acos(v10,v00,x)     v10 = (-1.0/sqrt(1-x*x));
#define m00_asin(v00,x)         v00 = asin(x);
#define m10_asin(v10,v00,x)     v10 = (+1.0/sqrt(1-x*x));
#define m00_atan(v00,x)         v00 = atan(x);
#define m10_atan(v10,v00,x)     v10 = (+1.0/(1+x*x));
#define m00_logE(v00,x)         v00 = log(x);
#define m10_logE(v10,v00,x)     v10 = (1.0/x);
#define m00_log10(v00,x)        v00 = log10(x);
#define m10_log10(v10,v00,x)    v10 = (1.0/x/log(10));
#define m00_sqrt(v00,x)         v00 = sqrt(x);
#define m10_sqrt(v10,v00,x)     v10 = (0.5/v00);
#define m00_fabs(v00,x)         v00 = fabs(x);
#define m10_fabs(v10,v00,x)     v10 = (((x)>=0)?(+1.0):(-1.0));
#define m00_exp(v00,x)          v00 = exp(x);
#define m10_exp(v10,v00,x)      v10 = v00;
#define m00_abs(v00)            ((v00)<(0)?(-(v00)):(v00))
#define m00_floor(v00,x)        v00 = floor(x);
#define m00_ceil(v00,x)         v00 = ceil(x);
#define m00_limexp(v00,x)       v00 = ((x)<90.0?exp(x):EXP90*(x-89.0));
#define m10_limexp(v10,v00,x)   v10 = ((x)<90.0?(v00):EXP90);
#define m00_atan2(v00,x,y)      v00 = atan2(x,y);
#define m10_atan2(v10,x,y)      v10 = (-(y)/((x)*(x)+(y)*(y)));
#define m11_atan2(v11,x,y)      v11 = ((x)/((x)*(x)+(y)*(y)));
#define m00_acosh(v00,x)        v00 = acosh(x);
#define m10_acosh(v10,v00,x)    v10 = (1.0/(sqrt(x-1)*sqrt(x+1)));
#define m00_asinh(v00,x)        v00 = asinh(x);
#define m10_asinh(v10,v00,x)    v10 = (1.0/(sqrt(x*x+1)));
#define m00_atanh(v00,x)        v00 = atanh(x);
#define m10_atanh(v10,v00,x)    v10 = (1.0/(1-x*x));

#define m20_logE(v00)         (-1.0/v00/v00)
#define m20_exp(v00)          exp(v00)
#define m20_limexp(v00)       ((v00)<90.0?exp(v00):0.0)
#define m20_sqrt(v00)         (-0.25/(v00)/sqrt(v00))
#define m20_fabs(v00)         0.0

/*wrapper*/
#define pModel model
#define pInst here
#define mint_get_circuit_tempK() _circuit_temp
#define voltages(n) NP(n)
#define _DDT(q) q
#define _DDX
#define _DERIVATEFORDDX
#if defined(_DYNAMIC)
double qjd;
#if defined(_DERIVATE)
double qjd_Vb_dp;
#endif
#endif
#if defined(_DYNAMIC)
double qjs;
#if defined(_DERIVATE)
double qjs_Vb_sp;
#endif
#endif
#if defined(_DYNAMIC)
double qstx;
#if defined(_DERIVATE)
double qstx_Vg_b;
double qstx_Vdp_b;
double qstx_Vsp_b;
#endif
#endif
#if defined(_DYNAMIC)
double qdtx;
#if defined(_DERIVATE)
double qdtx_Vg_b;
double qdtx_Vdp_b;
double qdtx_Vsp_b;
#endif
#endif
#if defined(_DYNAMIC)
double v_bp_sp;
#if defined(_DERIVATE)
double v_bp_sp_Vb_sp;
#endif
#endif
#if defined(_DYNAMIC)
double v_bp_dp;
#if defined(_DERIVATE)
double v_bp_dp_Vb_dp;
#endif
#endif
#if defined(_DYNAMIC)
double cbd;
#if defined(_DERIVATE)
double cbd_Vb_dp;
#endif
#endif
#if defined(_DYNAMIC)
double cbs;
#if defined(_DERIVATE)
double cbs_Vb_sp;
#endif
#endif
#if defined(_DYNAMIC)
double qgt;
#if defined(_DERIVATE)
double qgt_Vg_b;
double qgt_Vdp_b;
double qgt_Vsp_b;
#endif
#endif
#if defined(_DYNAMIC)
double qst;
#if defined(_DERIVATE)
double qst_Vg_b;
double qst_Vdp_b;
double qst_Vsp_b;
#endif
#endif
#if defined(_DYNAMIC)
double qdt;
#if defined(_DERIVATE)
double qdt_Vg_b;
double qdt_Vdp_b;
double qdt_Vsp_b;
#endif
#endif
double ibdj;
#if defined(_DERIVATE)
double ibdj_Vg_b;
double ibdj_Vsp_b;
double ibdj_Vdp_b;
#endif
double ibsj;
#if defined(_DERIVATE)
double ibsj_Vg_b;
double ibsj_Vdp_b;
double ibsj_Vsp_b;
#endif
double idb;
#if defined(_DERIVATE)
double idb_Vg_b;
double idb_Vdp_b;
double idb_Vsp_b;
#endif
double vib;
#if defined(_DERIVATE)
double vib_Vsp_b;
double vib_Vdp_b;
double vib_Vg_b;
#endif
double ids;
#if defined(_DERIVATE)
double ids_Vg_b;
double ids_Vdp_b;
double ids_Vsp_b;
#endif
double is;
#if defined(_DERIVATE)
double is_Vg_b;
double is_Vdp_b;
double is_Vsp_b;
#endif
double vpprime;
#if defined(_DERIVATE)
double vpprime_Vg_b;
double vpprime_Vdp_b;
double vpprime_Vsp_b;
#endif
double beta;
#if defined(_DERIVATE)
double beta_Vsp_b;
double beta_Vdp_b;
double beta_Vg_b;
#endif
double beta0prime;
#if defined(_DERIVATE)
double beta0prime_Vsp_b;
double beta0prime_Vdp_b;
double beta0prime_Vg_b;
#endif
#if defined(_DYNAMIC)
double qg;
#if defined(_DERIVATE)
double qg_Vg_b;
double qg_Vdp_b;
double qg_Vsp_b;
#endif
#endif
double qb;
#if defined(_DERIVATE)
double qb_Vg_b;
double qb_Vdp_b;
double qb_Vsp_b;
#endif
double qi;
#if defined(_DERIVATE)
double qi_Vg_b;
double qi_Vdp_b;
double qi_Vsp_b;
#endif
double qs;
#if defined(_DERIVATE)
double qs_Vg_b;
double qs_Vdp_b;
double qs_Vsp_b;
#endif
double qd;
#if defined(_DERIVATE)
double qd_Vg_b;
double qd_Vdp_b;
double qd_Vsp_b;
#endif
double xr;
#if defined(_DERIVATE)
double xr_Vg_b;
double xr_Vdp_b;
double xr_Vsp_b;
#endif
double xf;
#if defined(_DERIVATE)
double xf_Vg_b;
double xf_Vdp_b;
double xf_Vsp_b;
#endif
double nq;
#if defined(_DERIVATE)
double nq_Vg_b;
double nq_Vdp_b;
double nq_Vsp_b;
#endif
double nau;
double beta0;
#if defined(_DERIVATE)
double beta0_Vsp_b;
double beta0_Vdp_b;
double beta0_Vg_b;
#endif
double irev;
#if defined(_DERIVATE)
double irev_Vg_b;
double irev_Vdp_b;
double irev_Vsp_b;
#endif
double irprime;
#if defined(_DERIVATE)
double irprime_Vg_b;
double irprime_Vdp_b;
double irprime_Vsp_b;
#endif
double leq;
#if defined(_DERIVATE)
double leq_Vsp_b;
double leq_Vdp_b;
double leq_Vg_b;
#endif
double lprime;
#if defined(_DERIVATE)
double lprime_Vsp_b;
double lprime_Vdp_b;
double lprime_Vg_b;
#endif
double dl_a;
#if defined(_DERIVATE)
double dl_a_Vsp_b;
double dl_a_Vdp_b;
double dl_a_Vg_b;
#endif
double vip;
#if defined(_DERIVATE)
double vip_Vg_b;
double vip_Vdp_b;
double vip_Vsp_b;
#endif
double vds;
#if defined(_DERIVATE)
double vds_Vsp_b;
double vds_Vdp_b;
#endif
double dv;
#if defined(_DERIVATE)
double dv_Vg_b;
double dv_Vdp_b;
double dv_Vsp_b;
#endif
double vdssprime;
#if defined(_DERIVATE)
double vdssprime_Vg_b;
double vdssprime_Vdp_b;
double vdssprime_Vsp_b;
#endif
double vdss;
#if defined(_DERIVATE)
double vdss_Vg_b;
double vdss_Vdp_b;
double vdss_Vsp_b;
#endif
double ifwd;
#if defined(_DERIVATE)
double ifwd_Vg_b;
double ifwd_Vdp_b;
double ifwd_Vsp_b;
#endif
double y;
#if defined(_DERIVATE)
double y_Vg_b;
double y_Vdp_b;
double y_Vsp_b;
#endif
double z1;
#if defined(_DERIVATE)
double z1_Vg_b;
double z1_Vdp_b;
double z1_Vsp_b;
#endif
double z0;
#if defined(_DERIVATE)
double z0_Vg_b;
double z0_Vdp_b;
double z0_Vsp_b;
#endif
double fv;
#if defined(_DERIVATE)
double fv_Vg_b;
double fv_Vdp_b;
double fv_Vsp_b;
#endif
double nslope;
#if defined(_DERIVATE)
double nslope_Vg_b;
double nslope_Vdp_b;
double nslope_Vsp_b;
#endif
double vp;
#if defined(_DERIVATE)
double vp_Vg_b;
double vp_Vdp_b;
double vp_Vsp_b;
#endif
double gammaprime;
#if defined(_DERIVATE)
double gammaprime_Vdp_b;
double gammaprime_Vsp_b;
double gammaprime_Vg_b;
#endif
double gamma0;
#if defined(_DERIVATE)
double gamma0_Vdp_b;
double gamma0_Vsp_b;
double gamma0_Vg_b;
#endif
double vp0;
#if defined(_DERIVATE)
double vp0_Vg_b;
#endif
double vdprime;
#if defined(_DERIVATE)
double vdprime_Vsp_b;
double vdprime_Vdp_b;
#endif
double vsprime;
#if defined(_DERIVATE)
double vsprime_Vdp_b;
double vsprime_Vsp_b;
#endif
double vgprime;
#if defined(_DERIVATE)
double vgprime_Vg_b;
#endif
#if defined(_DERIVATE)
double tmp_Vg_b;
double tmp_Vdp_b;
double tmp_Vsp_b;
#endif
int mode;
double vs;
#if defined(_DERIVATE)
double vs_Vdp_b;
double vs_Vsp_b;
#endif
double vd;
#if defined(_DERIVATE)
double vd_Vsp_b;
double vd_Vdp_b;
#endif
double vg;
#if defined(_DERIVATE)
double vg_Vg_b;
#endif
double gmin;
pModel->MOStype=1;
EXIT_IF_ISNAN(1)
gmin=_circuit_gmin;
EXIT_IF_ISNAN(_circuit_gmin)
{
#if defined(_DERIVATE) /* probe=V(g,b) ddxprobe= */
vg_Vg_b=(pModel->MOStype);
#endif
vg=(pModel->MOStype*(NP(g)-NP(b)));
EXIT_IF_ISNAN((pModel->MOStype*(NP(g)-NP(b))))
#if defined(_DERIVATE) /* probe=V(sp,b)V(dp,b) ddxprobe= */
vd_Vsp_b=0.0;
vd_Vdp_b=(pModel->MOStype);
#endif
vd=(pModel->MOStype*(NP(dp)-NP(b)));
EXIT_IF_ISNAN((pModel->MOStype*(NP(dp)-NP(b))))
#if defined(_DERIVATE) /* probe=V(dp,b)V(sp,b) ddxprobe= */
vs_Vdp_b=0.0;
vs_Vsp_b=(pModel->MOStype);
#endif
vs=(pModel->MOStype*(NP(sp)-NP(b)));
EXIT_IF_ISNAN((pModel->MOStype*(NP(sp)-NP(b))))
if
((vd>=vs))
{
mode=1;
EXIT_IF_ISNAN(1)
}
else
{
mode=(-1);
EXIT_IF_ISNAN((-1))
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=0.0;
tmp_Vdp_b=0.0;
tmp_Vsp_b=vs_Vsp_b;
#endif
pInst->tmp=vs;
EXIT_IF_ISNAN(vs)
#if defined(_DERIVATE) /* probe=V(dp,b)V(sp,b) ddxprobe= */
vs_Vdp_b=vd_Vdp_b;
vs_Vsp_b=0.0;
#endif
vs=vd;
EXIT_IF_ISNAN(vd)
#if defined(_DERIVATE) /* probe=V(sp,b)V(dp,b) ddxprobe= */
vd_Vsp_b=tmp_Vsp_b;
vd_Vdp_b=0.0;
#endif
vd=pInst->tmp;
EXIT_IF_ISNAN(pInst->tmp)
}
{
double m00_sqrt(d00_sqrt0,pInst->phi_a)
#if defined(_DERIVATE) /* probe=V(g,b) ddxprobe= */
vgprime_Vg_b=vg_Vg_b;
#endif
vgprime=((((vg-pInst->vto_a)-pInst->dvrsce)+pInst->phi_a)+(pInst->gamma_a*d00_sqrt0));
EXIT_IF_ISNAN(((((vg-pInst->vto_a)-pInst->dvrsce)+pInst->phi_a)+(pInst->gamma_a*d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,(((vs+pInst->phi_a)*(vs+pInst->phi_a))+(16*(pInst->Vt*pInst->Vt))))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((vs+pInst->phi_a)*(vs+pInst->phi_a))+(16*(pInst->Vt*pInst->Vt))))
#endif
#if defined(_DERIVATE) /* probe=V(dp,b)V(sp,b) ddxprobe= */
vsprime_Vdp_b=(0.5*(vs_Vdp_b+((vs_Vdp_b*(vs+pInst->phi_a))+((vs+pInst->phi_a)*vs_Vdp_b))*d10_sqrt0));
vsprime_Vsp_b=(0.5*(vs_Vsp_b+((vs_Vsp_b*(vs+pInst->phi_a))+((vs+pInst->phi_a)*vs_Vsp_b))*d10_sqrt0));
#endif
vsprime=(0.5*((vs+pInst->phi_a)+d00_sqrt0));
EXIT_IF_ISNAN((0.5*((vs+pInst->phi_a)+d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,(((vd+pInst->phi_a)*(vd+pInst->phi_a))+(16*(pInst->Vt*pInst->Vt))))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((vd+pInst->phi_a)*(vd+pInst->phi_a))+(16*(pInst->Vt*pInst->Vt))))
#endif
#if defined(_DERIVATE) /* probe=V(sp,b)V(dp,b) ddxprobe= */
vdprime_Vsp_b=(0.5*(vd_Vsp_b+((vd_Vsp_b*(vd+pInst->phi_a))+((vd+pInst->phi_a)*vd_Vsp_b))*d10_sqrt0));
vdprime_Vdp_b=(0.5*(vd_Vdp_b+((vd_Vdp_b*(vd+pInst->phi_a))+((vd+pInst->phi_a)*vd_Vdp_b))*d10_sqrt0));
#endif
vdprime=(0.5*((vd+pInst->phi_a)+d00_sqrt0));
EXIT_IF_ISNAN((0.5*((vd+pInst->phi_a)+d00_sqrt0)))
}
if
((vgprime>=0))
{
{
double m00_sqrt(d00_sqrt0,(vgprime+(0.25*(pInst->gamma_a*pInst->gamma_a))))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(vgprime+(0.25*(pInst->gamma_a*pInst->gamma_a))))
#endif
#if defined(_DERIVATE) /* probe=V(g,b) ddxprobe= */
vp0_Vg_b=(vgprime_Vg_b-(pInst->gamma_a*vgprime_Vg_b*d10_sqrt0));
#endif
vp0=((vgprime-pInst->phi_a)-(pInst->gamma_a*(d00_sqrt0-(0.5*pInst->gamma_a))));
EXIT_IF_ISNAN(((vgprime-pInst->phi_a)-(pInst->gamma_a*(d00_sqrt0-(0.5*pInst->gamma_a)))))
}
{
double m00_sqrt(d00_sqrt0,vsprime)
double m00_sqrt(d00_sqrt1,vdprime)
double m00_sqrt(d00_sqrt2,(vp0+pInst->phi_a))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,vsprime)
double m10_sqrt(d10_sqrt1,d00_sqrt1,vdprime)
double m10_sqrt(d10_sqrt2,d00_sqrt2,(vp0+pInst->phi_a))
#endif
#if defined(_DERIVATE) /* probe=V(dp,b)V(sp,b)V(g,b) ddxprobe= */
gamma0_Vdp_b=(-(((8.854187817e-12*11.7)/pModel->cox_p)*((pModel->leta/pInst->leff)*(vsprime_Vdp_b*d10_sqrt0+vdprime_Vdp_b*d10_sqrt1))));
gamma0_Vsp_b=(-(((8.854187817e-12*11.7)/pModel->cox_p)*((pModel->leta/pInst->leff)*(vsprime_Vsp_b*d10_sqrt0+vdprime_Vsp_b*d10_sqrt1))));
gamma0_Vg_b=(-(((8.854187817e-12*11.7)/pModel->cox_p)*(-(((3*pModel->weta)/pInst->weff)*vp0_Vg_b*d10_sqrt2))));
#endif
gamma0=(pInst->gamma_a-(((8.854187817e-12*11.7)/pModel->cox_p)*(((pModel->leta/pInst->leff)*(d00_sqrt0+d00_sqrt1))-(((3*pModel->weta)/pInst->weff)*d00_sqrt2))));
EXIT_IF_ISNAN((pInst->gamma_a-(((8.854187817e-12*11.7)/pModel->cox_p)*(((pModel->leta/pInst->leff)*(d00_sqrt0+d00_sqrt1))-(((3*pModel->weta)/pInst->weff)*d00_sqrt2)))))
}
}
else
{
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(g,b) ddxprobe= */
vp0_Vg_b=0.0;
#endif
vp0=(-pInst->phi_a);
EXIT_IF_ISNAN((-pInst->phi_a))
#endif
{
double m00_sqrt(d00_sqrt0,vsprime)
double m00_sqrt(d00_sqrt1,vdprime)
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,vsprime)
double m10_sqrt(d10_sqrt1,d00_sqrt1,vdprime)
#endif
#if defined(_DERIVATE) /* probe=V(dp,b)V(sp,b)V(g,b) ddxprobe= */
gamma0_Vdp_b=(-(((8.854187817e-12*11.7)/pModel->cox_p)*((pModel->leta/pInst->leff)*(vsprime_Vdp_b*d10_sqrt0+vdprime_Vdp_b*d10_sqrt1))));
gamma0_Vsp_b=(-(((8.854187817e-12*11.7)/pModel->cox_p)*((pModel->leta/pInst->leff)*(vsprime_Vsp_b*d10_sqrt0+vdprime_Vsp_b*d10_sqrt1))));
gamma0_Vg_b=0.0;
#endif
gamma0=(pInst->gamma_a-(((8.854187817e-12*11.7)/pModel->cox_p)*((pModel->leta/pInst->leff)*(d00_sqrt0+d00_sqrt1))));
EXIT_IF_ISNAN((pInst->gamma_a-(((8.854187817e-12*11.7)/pModel->cox_p)*((pModel->leta/pInst->leff)*(d00_sqrt0+d00_sqrt1)))))
}
}
{
double m00_sqrt(d00_sqrt0,((gamma0*gamma0)+(0.1*pInst->Vt)))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((gamma0*gamma0)+(0.1*pInst->Vt)))
#endif
#if defined(_DERIVATE) /* probe=V(dp,b)V(sp,b)V(g,b) ddxprobe= */
gammaprime_Vdp_b=(0.5*(gamma0_Vdp_b+((gamma0_Vdp_b*gamma0)+(gamma0*gamma0_Vdp_b))*d10_sqrt0));
gammaprime_Vsp_b=(0.5*(gamma0_Vsp_b+((gamma0_Vsp_b*gamma0)+(gamma0*gamma0_Vsp_b))*d10_sqrt0));
gammaprime_Vg_b=(0.5*(gamma0_Vg_b+((gamma0_Vg_b*gamma0)+(gamma0*gamma0_Vg_b))*d10_sqrt0));
#endif
gammaprime=(0.5*(gamma0+d00_sqrt0));
EXIT_IF_ISNAN((0.5*(gamma0+d00_sqrt0)))
}
if
((vgprime>=0))
{
{
double m00_sqrt(d00_sqrt0,(vgprime+(0.25*(gammaprime*gammaprime))))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(vgprime+(0.25*(gammaprime*gammaprime))))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
vp_Vg_b=(vgprime_Vg_b-((gammaprime_Vg_b*(d00_sqrt0-(0.5*gammaprime)))+(gammaprime*((vgprime_Vg_b+(0.25*((gammaprime_Vg_b*gammaprime)+(gammaprime*gammaprime_Vg_b))))*d10_sqrt0-(0.5*gammaprime_Vg_b)))));
vp_Vdp_b=(-((gammaprime_Vdp_b*(d00_sqrt0-(0.5*gammaprime)))+(gammaprime*((0.25*((gammaprime_Vdp_b*gammaprime)+(gammaprime*gammaprime_Vdp_b)))*d10_sqrt0-(0.5*gammaprime_Vdp_b)))));
vp_Vsp_b=(-((gammaprime_Vsp_b*(d00_sqrt0-(0.5*gammaprime)))+(gammaprime*((0.25*((gammaprime_Vsp_b*gammaprime)+(gammaprime*gammaprime_Vsp_b)))*d10_sqrt0-(0.5*gammaprime_Vsp_b)))));
#endif
vp=((vgprime-pInst->phi_a)-(gammaprime*(d00_sqrt0-(0.5*gammaprime))));
EXIT_IF_ISNAN(((vgprime-pInst->phi_a)-(gammaprime*(d00_sqrt0-(0.5*gammaprime)))))
}
}
else
{
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
vp_Vg_b=0.0;
vp_Vdp_b=0.0;
vp_Vsp_b=0.0;
#endif
vp=(-pInst->phi_a);
EXIT_IF_ISNAN((-pInst->phi_a))
}
{
double m00_sqrt(d00_sqrt0,((vp+pInst->phi_a)+(4*pInst->Vt)))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((vp+pInst->phi_a)+(4*pInst->Vt)))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
nslope_Vg_b=(-(pInst->gamma_a*0.5)*vp_Vg_b*d10_sqrt0/d00_sqrt0/d00_sqrt0);
nslope_Vdp_b=(-(pInst->gamma_a*0.5)*vp_Vdp_b*d10_sqrt0/d00_sqrt0/d00_sqrt0);
nslope_Vsp_b=(-(pInst->gamma_a*0.5)*vp_Vsp_b*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
nslope=(1+((pInst->gamma_a*0.5)/d00_sqrt0));
EXIT_IF_ISNAN((1+((pInst->gamma_a*0.5)/d00_sqrt0)))
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
fv_Vg_b=(vp_Vg_b/pInst->Vt);
fv_Vdp_b=((vp_Vdp_b-vs_Vdp_b)/pInst->Vt);
fv_Vsp_b=((vp_Vsp_b-vs_Vsp_b)/pInst->Vt);
#endif
fv=((vp-vs)/pInst->Vt);
EXIT_IF_ISNAN(((vp-vs)/pInst->Vt))
if
((fv>(-0.35)))
{
{
double m00_logE(d00_logE0,(fv+1.6))
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,(fv+1.6))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
z0_Vg_b=(-2.0*(fv_Vg_b-fv_Vg_b*d10_logE0)/((1.3+fv)-d00_logE0)/((1.3+fv)-d00_logE0));
z0_Vdp_b=(-2.0*(fv_Vdp_b-fv_Vdp_b*d10_logE0)/((1.3+fv)-d00_logE0)/((1.3+fv)-d00_logE0));
z0_Vsp_b=(-2.0*(fv_Vsp_b-fv_Vsp_b*d10_logE0)/((1.3+fv)-d00_logE0)/((1.3+fv)-d00_logE0));
#endif
z0=(2.0/((1.3+fv)-d00_logE0));
EXIT_IF_ISNAN((2.0/((1.3+fv)-d00_logE0)))
}
{
double m00_logE(d00_logE0,z0)
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,z0)
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
z1_Vg_b=((z0_Vg_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vg_b+z0_Vg_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
z1_Vdp_b=((z0_Vdp_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vdp_b+z0_Vdp_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
z1_Vsp_b=((z0_Vsp_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vsp_b+z0_Vsp_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
#endif
z1=((2.0+z0)/((1.0+fv)+d00_logE0));
EXIT_IF_ISNAN(((2.0+z0)/((1.0+fv)+d00_logE0)))
}
{
double m00_logE(d00_logE0,z1)
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,z1)
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
y_Vg_b=(((fv_Vg_b+z1_Vg_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vg_b)/(2.0+z1)/(2.0+z1));
y_Vdp_b=(((fv_Vdp_b+z1_Vdp_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vdp_b)/(2.0+z1)/(2.0+z1));
y_Vsp_b=(((fv_Vsp_b+z1_Vsp_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vsp_b)/(2.0+z1)/(2.0+z1));
#endif
y=(((1.0+fv)+d00_logE0)/(2.0+z1));
EXIT_IF_ISNAN((((1.0+fv)+d00_logE0)/(2.0+z1)))
}
}
else
{
if
((fv>(-15)))
{
{
double m00_exp(d00_exp0,(-fv))
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=(-fv_Vg_b)*d10_exp0;
tmp_Vdp_b=(-fv_Vdp_b)*d10_exp0;
tmp_Vsp_b=(-fv_Vsp_b)*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
z0_Vg_b=tmp_Vg_b;
z0_Vdp_b=tmp_Vdp_b;
z0_Vsp_b=tmp_Vsp_b;
#endif
z0=(1.55+pInst->tmp);
EXIT_IF_ISNAN((1.55+pInst->tmp))
{
double m00_logE(d00_logE0,z0)
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,z0)
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
z1_Vg_b=((z0_Vg_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vg_b+z0_Vg_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
z1_Vdp_b=((z0_Vdp_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vdp_b+z0_Vdp_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
z1_Vsp_b=((z0_Vsp_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vsp_b+z0_Vsp_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
#endif
z1=((2.0+z0)/((1.0+fv)+d00_logE0));
EXIT_IF_ISNAN(((2.0+z0)/((1.0+fv)+d00_logE0)))
}
{
double m00_logE(d00_logE0,z1)
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,z1)
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
y_Vg_b=(((fv_Vg_b+z1_Vg_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vg_b)/(2.0+z1)/(2.0+z1));
y_Vdp_b=(((fv_Vdp_b+z1_Vdp_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vdp_b)/(2.0+z1)/(2.0+z1));
y_Vsp_b=(((fv_Vsp_b+z1_Vsp_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vsp_b)/(2.0+z1)/(2.0+z1));
#endif
y=(((1.0+fv)+d00_logE0)/(2.0+z1));
EXIT_IF_ISNAN((((1.0+fv)+d00_logE0)/(2.0+z1)))
}
}
else
{
if
((fv>(-23.0)))
{
{
double m00_exp(d00_exp0,(-fv))
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=(-fv_Vg_b)*d10_exp0;
tmp_Vdp_b=(-fv_Vdp_b)*d10_exp0;
tmp_Vsp_b=(-fv_Vsp_b)*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
y_Vg_b=(-tmp_Vg_b/(2.0+pInst->tmp)/(2.0+pInst->tmp));
y_Vdp_b=(-tmp_Vdp_b/(2.0+pInst->tmp)/(2.0+pInst->tmp));
y_Vsp_b=(-tmp_Vsp_b/(2.0+pInst->tmp)/(2.0+pInst->tmp));
#endif
y=(1.0/(2.0+pInst->tmp));
EXIT_IF_ISNAN((1.0/(2.0+pInst->tmp)))
}
else
{
{
double m00_exp(d00_exp0,fv)
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=fv_Vg_b*d10_exp0;
tmp_Vdp_b=fv_Vdp_b*d10_exp0;
tmp_Vsp_b=fv_Vsp_b*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
y_Vg_b=tmp_Vg_b;
y_Vdp_b=tmp_Vdp_b;
y_Vsp_b=tmp_Vsp_b;
#endif
y=(pInst->tmp+1.0e-64);
EXIT_IF_ISNAN((pInst->tmp+1.0e-64))
}
}
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
ifwd_Vg_b=((y_Vg_b*(1.0+y))+(y*y_Vg_b));
ifwd_Vdp_b=((y_Vdp_b*(1.0+y))+(y*y_Vdp_b));
ifwd_Vsp_b=((y_Vsp_b*(1.0+y))+(y*y_Vsp_b));
#endif
ifwd=(y*(1.0+y));
EXIT_IF_ISNAN((y*(1.0+y)))
{
double m00_sqrt(d00_sqrt0,ifwd)
double m00_sqrt(d00_sqrt1,(0.25+((pInst->Vt/pInst->vc)*d00_sqrt0)))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,ifwd)
double m10_sqrt(d10_sqrt1,d00_sqrt1,(0.25+((pInst->Vt/pInst->vc)*d00_sqrt0)))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
vdss_Vg_b=(pInst->vc*((pInst->Vt/pInst->vc)*ifwd_Vg_b*d10_sqrt0)*d10_sqrt1);
vdss_Vdp_b=(pInst->vc*((pInst->Vt/pInst->vc)*ifwd_Vdp_b*d10_sqrt0)*d10_sqrt1);
vdss_Vsp_b=(pInst->vc*((pInst->Vt/pInst->vc)*ifwd_Vsp_b*d10_sqrt0)*d10_sqrt1);
#endif
vdss=(pInst->vc*(d00_sqrt1-0.5));
EXIT_IF_ISNAN((pInst->vc*(d00_sqrt1-0.5)))
}
{
double m00_sqrt(d00_sqrt0,ifwd)
double m00_logE(d00_logE1,ifwd)
double m00_sqrt(d00_sqrt2,(0.25+((pInst->Vt/pInst->vc)*(d00_sqrt0-(0.75*d00_logE1)))))
double m00_logE(d00_logE3,((0.5*pInst->vc)/pInst->Vt))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,ifwd)
double m10_logE(d10_logE1,d00_logE1,ifwd)
double m10_sqrt(d10_sqrt2,d00_sqrt2,(0.25+((pInst->Vt/pInst->vc)*(d00_sqrt0-(0.75*d00_logE1)))))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
vdssprime_Vg_b=(pInst->vc*((pInst->Vt/pInst->vc)*(ifwd_Vg_b*d10_sqrt0-(0.75*ifwd_Vg_b*d10_logE1)))*d10_sqrt2);
vdssprime_Vdp_b=(pInst->vc*((pInst->Vt/pInst->vc)*(ifwd_Vdp_b*d10_sqrt0-(0.75*ifwd_Vdp_b*d10_logE1)))*d10_sqrt2);
vdssprime_Vsp_b=(pInst->vc*((pInst->Vt/pInst->vc)*(ifwd_Vsp_b*d10_sqrt0-(0.75*ifwd_Vsp_b*d10_logE1)))*d10_sqrt2);
#endif
vdssprime=((pInst->vc*(d00_sqrt2-0.5))+(pInst->Vt*(d00_logE3-0.6)));
EXIT_IF_ISNAN(((pInst->vc*(d00_sqrt2-0.5))+(pInst->Vt*(d00_logE3-0.6))))
}
{
double m00_sqrt(d00_sqrt0,ifwd)
double m00_sqrt(d00_sqrt1,((pModel->lambda*(d00_sqrt0-(vdss/pInst->Vt)))+(1.0/64)))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,ifwd)
double m10_sqrt(d10_sqrt1,d00_sqrt1,((pModel->lambda*(d00_sqrt0-(vdss/pInst->Vt)))+(1.0/64)))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
dv_Vg_b=((4*pInst->Vt)*(pModel->lambda*(ifwd_Vg_b*d10_sqrt0-(vdss_Vg_b/pInst->Vt)))*d10_sqrt1);
dv_Vdp_b=((4*pInst->Vt)*(pModel->lambda*(ifwd_Vdp_b*d10_sqrt0-(vdss_Vdp_b/pInst->Vt)))*d10_sqrt1);
dv_Vsp_b=((4*pInst->Vt)*(pModel->lambda*(ifwd_Vsp_b*d10_sqrt0-(vdss_Vsp_b/pInst->Vt)))*d10_sqrt1);
#endif
dv=((4*pInst->Vt)*d00_sqrt1);
EXIT_IF_ISNAN(((4*pInst->Vt)*d00_sqrt1))
}
#if defined(_DERIVATE) /* probe=V(sp,b)V(dp,b) ddxprobe= */
vds_Vsp_b=(0.5*(vd_Vsp_b-vs_Vsp_b));
vds_Vdp_b=(0.5*(vd_Vdp_b-vs_Vdp_b));
#endif
vds=(0.5*(vd-vs));
EXIT_IF_ISNAN((0.5*(vd-vs)))
{
double m00_sqrt(d00_sqrt0,((vdss*vdss)+(dv*dv)))
double m00_sqrt(d00_sqrt1,(((vds-vdss)*(vds-vdss))+(dv*dv)))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((vdss*vdss)+(dv*dv)))
double m10_sqrt(d10_sqrt1,d00_sqrt1,(((vds-vdss)*(vds-vdss))+(dv*dv)))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
vip_Vg_b=((((vdss_Vg_b*vdss)+(vdss*vdss_Vg_b))+((dv_Vg_b*dv)+(dv*dv_Vg_b)))*d10_sqrt0-((((-vdss_Vg_b)*(vds-vdss))+((vds-vdss)*(-vdss_Vg_b)))+((dv_Vg_b*dv)+(dv*dv_Vg_b)))*d10_sqrt1);
vip_Vdp_b=((((vdss_Vdp_b*vdss)+(vdss*vdss_Vdp_b))+((dv_Vdp_b*dv)+(dv*dv_Vdp_b)))*d10_sqrt0-((((vds_Vdp_b-vdss_Vdp_b)*(vds-vdss))+((vds-vdss)*(vds_Vdp_b-vdss_Vdp_b)))+((dv_Vdp_b*dv)+(dv*dv_Vdp_b)))*d10_sqrt1);
vip_Vsp_b=((((vdss_Vsp_b*vdss)+(vdss*vdss_Vsp_b))+((dv_Vsp_b*dv)+(dv*dv_Vsp_b)))*d10_sqrt0-((((vds_Vsp_b-vdss_Vsp_b)*(vds-vdss))+((vds-vdss)*(vds_Vsp_b-vdss_Vsp_b)))+((dv_Vsp_b*dv)+(dv*dv_Vsp_b)))*d10_sqrt1);
#endif
vip=(d00_sqrt0-d00_sqrt1);
EXIT_IF_ISNAN((d00_sqrt0-d00_sqrt1))
}
{
double m00_logE(d00_logE0,(1+((vds-vip)/(pModel->lc*pInst->ucrit_a))))
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,(1+((vds-vip)/(pModel->lc*pInst->ucrit_a))))
#endif
#if defined(_DERIVATE) /* probe=V(sp,b)V(dp,b)V(g,b) ddxprobe= */
dl_a_Vsp_b=((pModel->lambda*pModel->lc)*((vds_Vsp_b-vip_Vsp_b)/(pModel->lc*pInst->ucrit_a))*d10_logE0);
dl_a_Vdp_b=((pModel->lambda*pModel->lc)*((vds_Vdp_b-vip_Vdp_b)/(pModel->lc*pInst->ucrit_a))*d10_logE0);
dl_a_Vg_b=((pModel->lambda*pModel->lc)*((-vip_Vg_b)/(pModel->lc*pInst->ucrit_a))*d10_logE0);
#endif
dl_a=((pModel->lambda*pModel->lc)*d00_logE0);
EXIT_IF_ISNAN(((pModel->lambda*pModel->lc)*d00_logE0))
}
#if defined(_DERIVATE) /* probe=V(sp,b)V(dp,b)V(g,b) ddxprobe= */
lprime_Vsp_b=((-dl_a_Vsp_b)+((vds_Vsp_b+vip_Vsp_b)/pInst->ucrit_a));
lprime_Vdp_b=((-dl_a_Vdp_b)+((vds_Vdp_b+vip_Vdp_b)/pInst->ucrit_a));
lprime_Vg_b=((-dl_a_Vg_b)+(vip_Vg_b/pInst->ucrit_a));
#endif
lprime=(((pInst->ns*pInst->leff)-dl_a)+((vds+vip)/pInst->ucrit_a));
EXIT_IF_ISNAN((((pInst->ns*pInst->leff)-dl_a)+((vds+vip)/pInst->ucrit_a)))
{
double m00_sqrt(d00_sqrt0,((lprime*lprime)+(pInst->lmin*pInst->lmin)))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((lprime*lprime)+(pInst->lmin*pInst->lmin)))
#endif
#if defined(_DERIVATE) /* probe=V(sp,b)V(dp,b)V(g,b) ddxprobe= */
leq_Vsp_b=(0.5*(lprime_Vsp_b+((lprime_Vsp_b*lprime)+(lprime*lprime_Vsp_b))*d10_sqrt0));
leq_Vdp_b=(0.5*(lprime_Vdp_b+((lprime_Vdp_b*lprime)+(lprime*lprime_Vdp_b))*d10_sqrt0));
leq_Vg_b=(0.5*(lprime_Vg_b+((lprime_Vg_b*lprime)+(lprime*lprime_Vg_b))*d10_sqrt0));
#endif
leq=(0.5*(lprime+d00_sqrt0));
EXIT_IF_ISNAN((0.5*(lprime+d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,((vdssprime*vdssprime)+(dv*dv)))
double m00_sqrt(d00_sqrt1,(((vds-vdssprime)*(vds-vdssprime))+(dv*dv)))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((vdssprime*vdssprime)+(dv*dv)))
double m10_sqrt(d10_sqrt1,d00_sqrt1,(((vds-vdssprime)*(vds-vdssprime))+(dv*dv)))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
fv_Vg_b=(((vp_Vg_b-(((vdssprime_Vg_b*vdssprime)+(vdssprime*vdssprime_Vg_b))+((dv_Vg_b*dv)+(dv*dv_Vg_b)))*d10_sqrt0)+((((-vdssprime_Vg_b)*(vds-vdssprime))+((vds-vdssprime)*(-vdssprime_Vg_b)))+((dv_Vg_b*dv)+(dv*dv_Vg_b)))*d10_sqrt1)/pInst->Vt);
fv_Vdp_b=(((((vp_Vdp_b-vds_Vdp_b)-vs_Vdp_b)-(((vdssprime_Vdp_b*vdssprime)+(vdssprime*vdssprime_Vdp_b))+((dv_Vdp_b*dv)+(dv*dv_Vdp_b)))*d10_sqrt0)+((((vds_Vdp_b-vdssprime_Vdp_b)*(vds-vdssprime))+((vds-vdssprime)*(vds_Vdp_b-vdssprime_Vdp_b)))+((dv_Vdp_b*dv)+(dv*dv_Vdp_b)))*d10_sqrt1)/pInst->Vt);
fv_Vsp_b=(((((vp_Vsp_b-vds_Vsp_b)-vs_Vsp_b)-(((vdssprime_Vsp_b*vdssprime)+(vdssprime*vdssprime_Vsp_b))+((dv_Vsp_b*dv)+(dv*dv_Vsp_b)))*d10_sqrt0)+((((vds_Vsp_b-vdssprime_Vsp_b)*(vds-vdssprime))+((vds-vdssprime)*(vds_Vsp_b-vdssprime_Vsp_b)))+((dv_Vsp_b*dv)+(dv*dv_Vsp_b)))*d10_sqrt1)/pInst->Vt);
#endif
fv=(((((vp-vds)-vs)-d00_sqrt0)+d00_sqrt1)/pInst->Vt);
EXIT_IF_ISNAN((((((vp-vds)-vs)-d00_sqrt0)+d00_sqrt1)/pInst->Vt))
}
if
((fv>(-0.35)))
{
{
double m00_logE(d00_logE0,(fv+1.6))
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,(fv+1.6))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
z0_Vg_b=(-2.0*(fv_Vg_b-fv_Vg_b*d10_logE0)/((1.3+fv)-d00_logE0)/((1.3+fv)-d00_logE0));
z0_Vdp_b=(-2.0*(fv_Vdp_b-fv_Vdp_b*d10_logE0)/((1.3+fv)-d00_logE0)/((1.3+fv)-d00_logE0));
z0_Vsp_b=(-2.0*(fv_Vsp_b-fv_Vsp_b*d10_logE0)/((1.3+fv)-d00_logE0)/((1.3+fv)-d00_logE0));
#endif
z0=(2.0/((1.3+fv)-d00_logE0));
EXIT_IF_ISNAN((2.0/((1.3+fv)-d00_logE0)))
}
{
double m00_logE(d00_logE0,z0)
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,z0)
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
z1_Vg_b=((z0_Vg_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vg_b+z0_Vg_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
z1_Vdp_b=((z0_Vdp_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vdp_b+z0_Vdp_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
z1_Vsp_b=((z0_Vsp_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vsp_b+z0_Vsp_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
#endif
z1=((2.0+z0)/((1.0+fv)+d00_logE0));
EXIT_IF_ISNAN(((2.0+z0)/((1.0+fv)+d00_logE0)))
}
{
double m00_logE(d00_logE0,z1)
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,z1)
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
y_Vg_b=(((fv_Vg_b+z1_Vg_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vg_b)/(2.0+z1)/(2.0+z1));
y_Vdp_b=(((fv_Vdp_b+z1_Vdp_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vdp_b)/(2.0+z1)/(2.0+z1));
y_Vsp_b=(((fv_Vsp_b+z1_Vsp_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vsp_b)/(2.0+z1)/(2.0+z1));
#endif
y=(((1.0+fv)+d00_logE0)/(2.0+z1));
EXIT_IF_ISNAN((((1.0+fv)+d00_logE0)/(2.0+z1)))
}
}
else
{
if
((fv>(-15)))
{
{
double m00_exp(d00_exp0,(-fv))
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=(-fv_Vg_b)*d10_exp0;
tmp_Vdp_b=(-fv_Vdp_b)*d10_exp0;
tmp_Vsp_b=(-fv_Vsp_b)*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
z0_Vg_b=tmp_Vg_b;
z0_Vdp_b=tmp_Vdp_b;
z0_Vsp_b=tmp_Vsp_b;
#endif
z0=(1.55+pInst->tmp);
EXIT_IF_ISNAN((1.55+pInst->tmp))
{
double m00_logE(d00_logE0,z0)
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,z0)
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
z1_Vg_b=((z0_Vg_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vg_b+z0_Vg_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
z1_Vdp_b=((z0_Vdp_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vdp_b+z0_Vdp_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
z1_Vsp_b=((z0_Vsp_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vsp_b+z0_Vsp_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
#endif
z1=((2.0+z0)/((1.0+fv)+d00_logE0));
EXIT_IF_ISNAN(((2.0+z0)/((1.0+fv)+d00_logE0)))
}
{
double m00_logE(d00_logE0,z1)
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,z1)
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
y_Vg_b=(((fv_Vg_b+z1_Vg_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vg_b)/(2.0+z1)/(2.0+z1));
y_Vdp_b=(((fv_Vdp_b+z1_Vdp_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vdp_b)/(2.0+z1)/(2.0+z1));
y_Vsp_b=(((fv_Vsp_b+z1_Vsp_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vsp_b)/(2.0+z1)/(2.0+z1));
#endif
y=(((1.0+fv)+d00_logE0)/(2.0+z1));
EXIT_IF_ISNAN((((1.0+fv)+d00_logE0)/(2.0+z1)))
}
}
else
{
if
((fv>(-23.0)))
{
{
double m00_exp(d00_exp0,(-fv))
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=(-fv_Vg_b)*d10_exp0;
tmp_Vdp_b=(-fv_Vdp_b)*d10_exp0;
tmp_Vsp_b=(-fv_Vsp_b)*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
y_Vg_b=(-tmp_Vg_b/(2.0+pInst->tmp)/(2.0+pInst->tmp));
y_Vdp_b=(-tmp_Vdp_b/(2.0+pInst->tmp)/(2.0+pInst->tmp));
y_Vsp_b=(-tmp_Vsp_b/(2.0+pInst->tmp)/(2.0+pInst->tmp));
#endif
y=(1.0/(2.0+pInst->tmp));
EXIT_IF_ISNAN((1.0/(2.0+pInst->tmp)))
}
else
{
{
double m00_exp(d00_exp0,fv)
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=fv_Vg_b*d10_exp0;
tmp_Vdp_b=fv_Vdp_b*d10_exp0;
tmp_Vsp_b=fv_Vsp_b*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
y_Vg_b=tmp_Vg_b;
y_Vdp_b=tmp_Vdp_b;
y_Vsp_b=tmp_Vsp_b;
#endif
y=(pInst->tmp+1.0e-64);
EXIT_IF_ISNAN((pInst->tmp+1.0e-64))
}
}
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
irprime_Vg_b=((y_Vg_b*(1.0+y))+(y*y_Vg_b));
irprime_Vdp_b=((y_Vdp_b*(1.0+y))+(y*y_Vdp_b));
irprime_Vsp_b=((y_Vsp_b*(1.0+y))+(y*y_Vsp_b));
#endif
irprime=(y*(1.0+y));
EXIT_IF_ISNAN((y*(1.0+y)))
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
fv_Vg_b=(vp_Vg_b/pInst->Vt);
fv_Vdp_b=((vp_Vdp_b-vd_Vdp_b)/pInst->Vt);
fv_Vsp_b=((vp_Vsp_b-vd_Vsp_b)/pInst->Vt);
#endif
fv=((vp-vd)/pInst->Vt);
EXIT_IF_ISNAN(((vp-vd)/pInst->Vt))
if
((fv>(-0.35)))
{
{
double m00_logE(d00_logE0,(fv+1.6))
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,(fv+1.6))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
z0_Vg_b=(-2.0*(fv_Vg_b-fv_Vg_b*d10_logE0)/((1.3+fv)-d00_logE0)/((1.3+fv)-d00_logE0));
z0_Vdp_b=(-2.0*(fv_Vdp_b-fv_Vdp_b*d10_logE0)/((1.3+fv)-d00_logE0)/((1.3+fv)-d00_logE0));
z0_Vsp_b=(-2.0*(fv_Vsp_b-fv_Vsp_b*d10_logE0)/((1.3+fv)-d00_logE0)/((1.3+fv)-d00_logE0));
#endif
z0=(2.0/((1.3+fv)-d00_logE0));
EXIT_IF_ISNAN((2.0/((1.3+fv)-d00_logE0)))
}
{
double m00_logE(d00_logE0,z0)
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,z0)
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
z1_Vg_b=((z0_Vg_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vg_b+z0_Vg_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
z1_Vdp_b=((z0_Vdp_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vdp_b+z0_Vdp_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
z1_Vsp_b=((z0_Vsp_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vsp_b+z0_Vsp_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
#endif
z1=((2.0+z0)/((1.0+fv)+d00_logE0));
EXIT_IF_ISNAN(((2.0+z0)/((1.0+fv)+d00_logE0)))
}
{
double m00_logE(d00_logE0,z1)
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,z1)
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
y_Vg_b=(((fv_Vg_b+z1_Vg_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vg_b)/(2.0+z1)/(2.0+z1));
y_Vdp_b=(((fv_Vdp_b+z1_Vdp_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vdp_b)/(2.0+z1)/(2.0+z1));
y_Vsp_b=(((fv_Vsp_b+z1_Vsp_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vsp_b)/(2.0+z1)/(2.0+z1));
#endif
y=(((1.0+fv)+d00_logE0)/(2.0+z1));
EXIT_IF_ISNAN((((1.0+fv)+d00_logE0)/(2.0+z1)))
}
}
else
{
if
((fv>(-15)))
{
{
double m00_exp(d00_exp0,(-fv))
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=(-fv_Vg_b)*d10_exp0;
tmp_Vdp_b=(-fv_Vdp_b)*d10_exp0;
tmp_Vsp_b=(-fv_Vsp_b)*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
z0_Vg_b=tmp_Vg_b;
z0_Vdp_b=tmp_Vdp_b;
z0_Vsp_b=tmp_Vsp_b;
#endif
z0=(1.55+pInst->tmp);
EXIT_IF_ISNAN((1.55+pInst->tmp))
{
double m00_logE(d00_logE0,z0)
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,z0)
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
z1_Vg_b=((z0_Vg_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vg_b+z0_Vg_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
z1_Vdp_b=((z0_Vdp_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vdp_b+z0_Vdp_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
z1_Vsp_b=((z0_Vsp_b*((1.0+fv)+d00_logE0)-(2.0+z0)*(fv_Vsp_b+z0_Vsp_b*d10_logE0))/((1.0+fv)+d00_logE0)/((1.0+fv)+d00_logE0));
#endif
z1=((2.0+z0)/((1.0+fv)+d00_logE0));
EXIT_IF_ISNAN(((2.0+z0)/((1.0+fv)+d00_logE0)))
}
{
double m00_logE(d00_logE0,z1)
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,z1)
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
y_Vg_b=(((fv_Vg_b+z1_Vg_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vg_b)/(2.0+z1)/(2.0+z1));
y_Vdp_b=(((fv_Vdp_b+z1_Vdp_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vdp_b)/(2.0+z1)/(2.0+z1));
y_Vsp_b=(((fv_Vsp_b+z1_Vsp_b*d10_logE0)*(2.0+z1)-((1.0+fv)+d00_logE0)*z1_Vsp_b)/(2.0+z1)/(2.0+z1));
#endif
y=(((1.0+fv)+d00_logE0)/(2.0+z1));
EXIT_IF_ISNAN((((1.0+fv)+d00_logE0)/(2.0+z1)))
}
}
else
{
if
((fv>(-23.0)))
{
{
double m00_exp(d00_exp0,(-fv))
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=(-fv_Vg_b)*d10_exp0;
tmp_Vdp_b=(-fv_Vdp_b)*d10_exp0;
tmp_Vsp_b=(-fv_Vsp_b)*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
y_Vg_b=(-tmp_Vg_b/(2.0+pInst->tmp)/(2.0+pInst->tmp));
y_Vdp_b=(-tmp_Vdp_b/(2.0+pInst->tmp)/(2.0+pInst->tmp));
y_Vsp_b=(-tmp_Vsp_b/(2.0+pInst->tmp)/(2.0+pInst->tmp));
#endif
y=(1.0/(2.0+pInst->tmp));
EXIT_IF_ISNAN((1.0/(2.0+pInst->tmp)))
}
else
{
{
double m00_exp(d00_exp0,fv)
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=fv_Vg_b*d10_exp0;
tmp_Vdp_b=fv_Vdp_b*d10_exp0;
tmp_Vsp_b=fv_Vsp_b*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
y_Vg_b=tmp_Vg_b;
y_Vdp_b=tmp_Vdp_b;
y_Vsp_b=tmp_Vsp_b;
#endif
y=(pInst->tmp+1.0e-64);
EXIT_IF_ISNAN((pInst->tmp+1.0e-64))
}
}
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
irev_Vg_b=((y_Vg_b*(1.0+y))+(y*y_Vg_b));
irev_Vdp_b=((y_Vdp_b*(1.0+y))+(y*y_Vdp_b));
irev_Vsp_b=((y_Vsp_b*(1.0+y))+(y*y_Vsp_b));
#endif
irev=(y*(1.0+y));
EXIT_IF_ISNAN((y*(1.0+y)))
#if defined(_DERIVATE) /* probe=V(sp,b)V(dp,b)V(g,b) ddxprobe= */
beta0_Vsp_b=(-(pInst->kp_a*pInst->weff)*leq_Vsp_b/leq/leq);
beta0_Vdp_b=(-(pInst->kp_a*pInst->weff)*leq_Vdp_b/leq/leq);
beta0_Vg_b=(-(pInst->kp_a*pInst->weff)*leq_Vg_b/leq/leq);
#endif
beta0=((pInst->kp_a*pInst->weff)/leq);
EXIT_IF_ISNAN(((pInst->kp_a*pInst->weff)/leq))
nau=((5+pModel->MOStype)/12.0);
EXIT_IF_ISNAN(((5+pModel->MOStype)/12.0))
{
double m00_sqrt(d00_sqrt0,((vp+pInst->phi_a)+1e-6))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((vp+pInst->phi_a)+1e-6))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
nq_Vg_b=(-(0.5*pInst->gamma_a)*vp_Vg_b*d10_sqrt0/d00_sqrt0/d00_sqrt0);
nq_Vdp_b=(-(0.5*pInst->gamma_a)*vp_Vdp_b*d10_sqrt0/d00_sqrt0/d00_sqrt0);
nq_Vsp_b=(-(0.5*pInst->gamma_a)*vp_Vsp_b*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
nq=(1+((0.5*pInst->gamma_a)/d00_sqrt0));
EXIT_IF_ISNAN((1+((0.5*pInst->gamma_a)/d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,(0.25+ifwd))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(0.25+ifwd))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
xf_Vg_b=ifwd_Vg_b*d10_sqrt0;
xf_Vdp_b=ifwd_Vdp_b*d10_sqrt0;
xf_Vsp_b=ifwd_Vsp_b*d10_sqrt0;
#endif
xf=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
{
double m00_sqrt(d00_sqrt0,(0.25+irev))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(0.25+irev))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
xr_Vg_b=irev_Vg_b*d10_sqrt0;
xr_Vdp_b=irev_Vdp_b*d10_sqrt0;
xr_Vsp_b=irev_Vsp_b*d10_sqrt0;
#endif
xr=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qd_Vg_b=(((-nq_Vg_b)*((((4.0/15)*(((3*(xr*xr))*(xr+(2*xf)))+((2*(xf*xf))*(xf+(2*xr)))))/((xf+xr)*(xf+xr)))-0.5))+((-nq)*((((4.0/15)*((((3*((xr_Vg_b*xr)+(xr*xr_Vg_b)))*(xr+(2*xf)))+((3*(xr*xr))*(xr_Vg_b+(2*xf_Vg_b))))+(((2*((xf_Vg_b*xf)+(xf*xf_Vg_b)))*(xf+(2*xr)))+((2*(xf*xf))*(xf_Vg_b+(2*xr_Vg_b))))))*((xf+xr)*(xf+xr))-((4.0/15)*(((3*(xr*xr))*(xr+(2*xf)))+((2*(xf*xf))*(xf+(2*xr)))))*(((xf_Vg_b+xr_Vg_b)*(xf+xr))+((xf+xr)*(xf_Vg_b+xr_Vg_b))))/((xf+xr)*(xf+xr))/((xf+xr)*(xf+xr)))));
qd_Vdp_b=(((-nq_Vdp_b)*((((4.0/15)*(((3*(xr*xr))*(xr+(2*xf)))+((2*(xf*xf))*(xf+(2*xr)))))/((xf+xr)*(xf+xr)))-0.5))+((-nq)*((((4.0/15)*((((3*((xr_Vdp_b*xr)+(xr*xr_Vdp_b)))*(xr+(2*xf)))+((3*(xr*xr))*(xr_Vdp_b+(2*xf_Vdp_b))))+(((2*((xf_Vdp_b*xf)+(xf*xf_Vdp_b)))*(xf+(2*xr)))+((2*(xf*xf))*(xf_Vdp_b+(2*xr_Vdp_b))))))*((xf+xr)*(xf+xr))-((4.0/15)*(((3*(xr*xr))*(xr+(2*xf)))+((2*(xf*xf))*(xf+(2*xr)))))*(((xf_Vdp_b+xr_Vdp_b)*(xf+xr))+((xf+xr)*(xf_Vdp_b+xr_Vdp_b))))/((xf+xr)*(xf+xr))/((xf+xr)*(xf+xr)))));
qd_Vsp_b=(((-nq_Vsp_b)*((((4.0/15)*(((3*(xr*xr))*(xr+(2*xf)))+((2*(xf*xf))*(xf+(2*xr)))))/((xf+xr)*(xf+xr)))-0.5))+((-nq)*((((4.0/15)*((((3*((xr_Vsp_b*xr)+(xr*xr_Vsp_b)))*(xr+(2*xf)))+((3*(xr*xr))*(xr_Vsp_b+(2*xf_Vsp_b))))+(((2*((xf_Vsp_b*xf)+(xf*xf_Vsp_b)))*(xf+(2*xr)))+((2*(xf*xf))*(xf_Vsp_b+(2*xr_Vsp_b))))))*((xf+xr)*(xf+xr))-((4.0/15)*(((3*(xr*xr))*(xr+(2*xf)))+((2*(xf*xf))*(xf+(2*xr)))))*(((xf_Vsp_b+xr_Vsp_b)*(xf+xr))+((xf+xr)*(xf_Vsp_b+xr_Vsp_b))))/((xf+xr)*(xf+xr))/((xf+xr)*(xf+xr)))));
#endif
qd=((-nq)*((((4.0/15)*(((3*(xr*xr))*(xr+(2*xf)))+((2*(xf*xf))*(xf+(2*xr)))))/((xf+xr)*(xf+xr)))-0.5));
EXIT_IF_ISNAN(((-nq)*((((4.0/15)*(((3*(xr*xr))*(xr+(2*xf)))+((2*(xf*xf))*(xf+(2*xr)))))/((xf+xr)*(xf+xr)))-0.5)))
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qs_Vg_b=(((-nq_Vg_b)*((((4.0/15)*(((3*(xf*xf))*(xf+(2*xr)))+((2*(xr*xr))*(xr+(2*xf)))))/((xf+xr)*(xf+xr)))-0.5))+((-nq)*((((4.0/15)*((((3*((xf_Vg_b*xf)+(xf*xf_Vg_b)))*(xf+(2*xr)))+((3*(xf*xf))*(xf_Vg_b+(2*xr_Vg_b))))+(((2*((xr_Vg_b*xr)+(xr*xr_Vg_b)))*(xr+(2*xf)))+((2*(xr*xr))*(xr_Vg_b+(2*xf_Vg_b))))))*((xf+xr)*(xf+xr))-((4.0/15)*(((3*(xf*xf))*(xf+(2*xr)))+((2*(xr*xr))*(xr+(2*xf)))))*(((xf_Vg_b+xr_Vg_b)*(xf+xr))+((xf+xr)*(xf_Vg_b+xr_Vg_b))))/((xf+xr)*(xf+xr))/((xf+xr)*(xf+xr)))));
qs_Vdp_b=(((-nq_Vdp_b)*((((4.0/15)*(((3*(xf*xf))*(xf+(2*xr)))+((2*(xr*xr))*(xr+(2*xf)))))/((xf+xr)*(xf+xr)))-0.5))+((-nq)*((((4.0/15)*((((3*((xf_Vdp_b*xf)+(xf*xf_Vdp_b)))*(xf+(2*xr)))+((3*(xf*xf))*(xf_Vdp_b+(2*xr_Vdp_b))))+(((2*((xr_Vdp_b*xr)+(xr*xr_Vdp_b)))*(xr+(2*xf)))+((2*(xr*xr))*(xr_Vdp_b+(2*xf_Vdp_b))))))*((xf+xr)*(xf+xr))-((4.0/15)*(((3*(xf*xf))*(xf+(2*xr)))+((2*(xr*xr))*(xr+(2*xf)))))*(((xf_Vdp_b+xr_Vdp_b)*(xf+xr))+((xf+xr)*(xf_Vdp_b+xr_Vdp_b))))/((xf+xr)*(xf+xr))/((xf+xr)*(xf+xr)))));
qs_Vsp_b=(((-nq_Vsp_b)*((((4.0/15)*(((3*(xf*xf))*(xf+(2*xr)))+((2*(xr*xr))*(xr+(2*xf)))))/((xf+xr)*(xf+xr)))-0.5))+((-nq)*((((4.0/15)*((((3*((xf_Vsp_b*xf)+(xf*xf_Vsp_b)))*(xf+(2*xr)))+((3*(xf*xf))*(xf_Vsp_b+(2*xr_Vsp_b))))+(((2*((xr_Vsp_b*xr)+(xr*xr_Vsp_b)))*(xr+(2*xf)))+((2*(xr*xr))*(xr_Vsp_b+(2*xf_Vsp_b))))))*((xf+xr)*(xf+xr))-((4.0/15)*(((3*(xf*xf))*(xf+(2*xr)))+((2*(xr*xr))*(xr+(2*xf)))))*(((xf_Vsp_b+xr_Vsp_b)*(xf+xr))+((xf+xr)*(xf_Vsp_b+xr_Vsp_b))))/((xf+xr)*(xf+xr))/((xf+xr)*(xf+xr)))));
#endif
qs=((-nq)*((((4.0/15)*(((3*(xf*xf))*(xf+(2*xr)))+((2*(xr*xr))*(xr+(2*xf)))))/((xf+xr)*(xf+xr)))-0.5));
EXIT_IF_ISNAN(((-nq)*((((4.0/15)*(((3*(xf*xf))*(xf+(2*xr)))+((2*(xr*xr))*(xr+(2*xf)))))/((xf+xr)*(xf+xr)))-0.5)))
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qi_Vg_b=(qs_Vg_b+qd_Vg_b);
qi_Vdp_b=(qs_Vdp_b+qd_Vdp_b);
qi_Vsp_b=(qs_Vsp_b+qd_Vsp_b);
#endif
qi=(qs+qd);
EXIT_IF_ISNAN((qs+qd))
if
((vgprime>=0))
{
{
double m00_sqrt(d00_sqrt0,((vp+pInst->phi_a)+1e-6))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((vp+pInst->phi_a)+1e-6))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qb_Vg_b=((((-pInst->gamma_a)*vp_Vg_b*d10_sqrt0)/pInst->Vt)-((((nq_Vg_b*nq-(nq-1)*nq_Vg_b)/nq/nq)*qi)+(((nq-1)/nq)*qi_Vg_b)));
qb_Vdp_b=((((-pInst->gamma_a)*vp_Vdp_b*d10_sqrt0)/pInst->Vt)-((((nq_Vdp_b*nq-(nq-1)*nq_Vdp_b)/nq/nq)*qi)+(((nq-1)/nq)*qi_Vdp_b)));
qb_Vsp_b=((((-pInst->gamma_a)*vp_Vsp_b*d10_sqrt0)/pInst->Vt)-((((nq_Vsp_b*nq-(nq-1)*nq_Vsp_b)/nq/nq)*qi)+(((nq-1)/nq)*qi_Vsp_b)));
#endif
qb=((((-pInst->gamma_a)*d00_sqrt0)/pInst->Vt)-(((nq-1)/nq)*qi));
EXIT_IF_ISNAN(((((-pInst->gamma_a)*d00_sqrt0)/pInst->Vt)-(((nq-1)/nq)*qi)))
}
}
else
{
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qb_Vg_b=((-vgprime_Vg_b)/pInst->Vt);
qb_Vdp_b=0.0;
qb_Vsp_b=0.0;
#endif
qb=((-vgprime)/pInst->Vt);
EXIT_IF_ISNAN(((-vgprime)/pInst->Vt))
}
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qg_Vg_b=((-qi_Vg_b)-qb_Vg_b);
qg_Vdp_b=((-qi_Vdp_b)-qb_Vdp_b);
qg_Vsp_b=((-qi_Vsp_b)-qb_Vsp_b);
#endif
qg=((-qi)-qb);
EXIT_IF_ISNAN(((-qi)-qb))
#endif
if
((pModel->e0!=0))
{
#if defined(_DERIVATE) /* probe=V(sp,b)V(dp,b)V(g,b) ddxprobe= */
beta0prime_Vsp_b=beta0_Vsp_b*(1+((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->qb0));
beta0prime_Vdp_b=beta0_Vdp_b*(1+((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->qb0));
beta0prime_Vg_b=beta0_Vg_b*(1+((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->qb0));
#endif
beta0prime=(beta0*(1+((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->qb0)));
EXIT_IF_ISNAN((beta0*(1+((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->qb0))))
{
double m00_fabs(d00_fabs0,(qb+(nau*qi)))
#if defined(_DERIVATE)
double m10_fabs(d10_fabs0,d00_fabs0,(qb+(nau*qi)))
#endif
#if defined(_DERIVATE) /* probe=V(sp,b)V(dp,b)V(g,b) ddxprobe= */
beta_Vsp_b=((beta0prime_Vsp_b*(1+(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*d00_fabs0))-beta0prime*(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*(qb_Vsp_b+(nau*qi_Vsp_b))*d10_fabs0))/(1+(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*d00_fabs0))/(1+(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*d00_fabs0)));
beta_Vdp_b=((beta0prime_Vdp_b*(1+(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*d00_fabs0))-beta0prime*(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*(qb_Vdp_b+(nau*qi_Vdp_b))*d10_fabs0))/(1+(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*d00_fabs0))/(1+(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*d00_fabs0)));
beta_Vg_b=((beta0prime_Vg_b*(1+(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*d00_fabs0))-beta0prime*(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*(qb_Vg_b+(nau*qi_Vg_b))*d10_fabs0))/(1+(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*d00_fabs0))/(1+(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*d00_fabs0)));
#endif
beta=(beta0prime/(1+(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*d00_fabs0)));
EXIT_IF_ISNAN((beta0prime/(1+(((pModel->cox_p/((pModel->e0*8.854187817e-12)*11.7))*pInst->Vt)*d00_fabs0))))
}
}
else
{
{
double m00_sqrt(d00_sqrt0,((vp*vp)+(2*(pInst->Vt*pInst->Vt))))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((vp*vp)+(2*(pInst->Vt*pInst->Vt))))
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
vpprime_Vg_b=(0.5*(vp_Vg_b+((vp_Vg_b*vp)+(vp*vp_Vg_b))*d10_sqrt0));
vpprime_Vdp_b=(0.5*(vp_Vdp_b+((vp_Vdp_b*vp)+(vp*vp_Vdp_b))*d10_sqrt0));
vpprime_Vsp_b=(0.5*(vp_Vsp_b+((vp_Vsp_b*vp)+(vp*vp_Vsp_b))*d10_sqrt0));
#endif
vpprime=(0.5*(vp+d00_sqrt0));
EXIT_IF_ISNAN((0.5*(vp+d00_sqrt0)))
}
#if defined(_DERIVATE) /* probe=V(sp,b)V(dp,b)V(g,b) ddxprobe= */
beta_Vsp_b=((beta0_Vsp_b*(1+(pModel->theta*vpprime))-beta0*(pModel->theta*vpprime_Vsp_b))/(1+(pModel->theta*vpprime))/(1+(pModel->theta*vpprime)));
beta_Vdp_b=((beta0_Vdp_b*(1+(pModel->theta*vpprime))-beta0*(pModel->theta*vpprime_Vdp_b))/(1+(pModel->theta*vpprime))/(1+(pModel->theta*vpprime)));
beta_Vg_b=((beta0_Vg_b*(1+(pModel->theta*vpprime))-beta0*(pModel->theta*vpprime_Vg_b))/(1+(pModel->theta*vpprime))/(1+(pModel->theta*vpprime)));
#endif
beta=(beta0/(1+(pModel->theta*vpprime)));
EXIT_IF_ISNAN((beta0/(1+(pModel->theta*vpprime))))
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
is_Vg_b=(((2*nslope_Vg_b)*beta)+((2*nslope)*beta_Vg_b))*(pInst->Vt*pInst->Vt);
is_Vdp_b=(((2*nslope_Vdp_b)*beta)+((2*nslope)*beta_Vdp_b))*(pInst->Vt*pInst->Vt);
is_Vsp_b=(((2*nslope_Vsp_b)*beta)+((2*nslope)*beta_Vsp_b))*(pInst->Vt*pInst->Vt);
#endif
is=(((2*nslope)*beta)*(pInst->Vt*pInst->Vt));
EXIT_IF_ISNAN((((2*nslope)*beta)*(pInst->Vt*pInst->Vt)))
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
ids_Vg_b=((is_Vg_b*(ifwd-irprime))+(is*(ifwd_Vg_b-irprime_Vg_b)));
ids_Vdp_b=((is_Vdp_b*(ifwd-irprime))+(is*(ifwd_Vdp_b-irprime_Vdp_b)));
ids_Vsp_b=((is_Vsp_b*(ifwd-irprime))+(is*(ifwd_Vsp_b-irprime_Vsp_b)));
#endif
ids=(is*(ifwd-irprime));
EXIT_IF_ISNAN((is*(ifwd-irprime)))
#if defined(_DERIVATE) /* probe=V(sp,b)V(dp,b)V(g,b) ddxprobe= */
vib_Vsp_b=((vd_Vsp_b-vs_Vsp_b)-((pModel->ibn*2)*vdss_Vsp_b));
vib_Vdp_b=((vd_Vdp_b-vs_Vdp_b)-((pModel->ibn*2)*vdss_Vdp_b));
vib_Vg_b=(-((pModel->ibn*2)*vdss_Vg_b));
#endif
vib=((vd-vs)-((pModel->ibn*2)*vdss));
EXIT_IF_ISNAN(((vd-vs)-((pModel->ibn*2)*vdss)))
if
((vib>0))
{
if
(((((-pInst->ibb_a)*pModel->lc)/vib)<200.0))
{
{
double m00_exp(d00_exp0,(((-pInst->ibb_a)*pModel->lc)/vib))
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=(-((-pInst->ibb_a)*pModel->lc)*vib_Vg_b/vib/vib)*d10_exp0;
tmp_Vdp_b=(-((-pInst->ibb_a)*pModel->lc)*vib_Vdp_b/vib/vib)*d10_exp0;
tmp_Vsp_b=(-((-pInst->ibb_a)*pModel->lc)*vib_Vsp_b/vib/vib)*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
{
double m00_exp(d00_exp0,200.0)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=(d00_exp0*(-((-pInst->ibb_a)*pModel->lc)*vib_Vg_b/vib/vib));
tmp_Vdp_b=(d00_exp0*(-((-pInst->ibb_a)*pModel->lc)*vib_Vdp_b/vib/vib));
tmp_Vsp_b=(d00_exp0*(-((-pInst->ibb_a)*pModel->lc)*vib_Vsp_b/vib/vib));
#endif
pInst->tmp=(d00_exp0*(1.0+((((-pInst->ibb_a)*pModel->lc)/vib)-200.0)));
EXIT_IF_ISNAN((d00_exp0*(1.0+((((-pInst->ibb_a)*pModel->lc)/vib)-200.0))))
}
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
idb_Vg_b=(((((ids_Vg_b*pModel->iba/pInst->ibb_a)*vib)+(((ids*pModel->iba)/pInst->ibb_a)*vib_Vg_b))*pInst->tmp)+((((ids*pModel->iba)/pInst->ibb_a)*vib)*tmp_Vg_b));
idb_Vdp_b=(((((ids_Vdp_b*pModel->iba/pInst->ibb_a)*vib)+(((ids*pModel->iba)/pInst->ibb_a)*vib_Vdp_b))*pInst->tmp)+((((ids*pModel->iba)/pInst->ibb_a)*vib)*tmp_Vdp_b));
idb_Vsp_b=(((((ids_Vsp_b*pModel->iba/pInst->ibb_a)*vib)+(((ids*pModel->iba)/pInst->ibb_a)*vib_Vsp_b))*pInst->tmp)+((((ids*pModel->iba)/pInst->ibb_a)*vib)*tmp_Vsp_b));
#endif
idb=((((ids*pModel->iba)/pInst->ibb_a)*vib)*pInst->tmp);
EXIT_IF_ISNAN(((((ids*pModel->iba)/pInst->ibb_a)*vib)*pInst->tmp))
}
else
{
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
idb_Vg_b=0.0;
idb_Vdp_b=0.0;
idb_Vsp_b=0.0;
#endif
idb=0;
EXIT_IF_ISNAN(0)
}
if
((mode>1))
{
if
((pInst->isat_s>0))
{
if
(((-vs)>pInst->vexp_s))
{
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
ibsj_Vg_b=0.0;
ibsj_Vdp_b=(pInst->gexp_s*(-vs_Vdp_b));
ibsj_Vsp_b=(pInst->gexp_s*(-vs_Vsp_b));
#endif
ibsj=(pModel->imax+(pInst->gexp_s*((-vs)-pInst->vexp_s)));
EXIT_IF_ISNAN((pModel->imax+(pInst->gexp_s*((-vs)-pInst->vexp_s))))
}
else
{
if
((((-vs)/(pModel->n*pInst->Vt))<200.0))
{
{
double m00_exp(d00_exp0,((-vs)/(pModel->n*pInst->Vt)))
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=0.0;
tmp_Vdp_b=((-vs_Vdp_b)/(pModel->n*pInst->Vt))*d10_exp0;
tmp_Vsp_b=((-vs_Vsp_b)/(pModel->n*pInst->Vt))*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
{
double m00_exp(d00_exp0,200.0)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=0.0;
tmp_Vdp_b=(d00_exp0*((-vs_Vdp_b)/(pModel->n*pInst->Vt)));
tmp_Vsp_b=(d00_exp0*((-vs_Vsp_b)/(pModel->n*pInst->Vt)));
#endif
pInst->tmp=(d00_exp0*(1.0+(((-vs)/(pModel->n*pInst->Vt))-200.0)));
EXIT_IF_ISNAN((d00_exp0*(1.0+(((-vs)/(pModel->n*pInst->Vt))-200.0))))
}
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
ibsj_Vg_b=(pInst->isat_s*tmp_Vg_b);
ibsj_Vdp_b=(pInst->isat_s*tmp_Vdp_b);
ibsj_Vsp_b=(pInst->isat_s*tmp_Vsp_b);
#endif
ibsj=(pInst->isat_s*(pInst->tmp-1));
EXIT_IF_ISNAN((pInst->isat_s*(pInst->tmp-1)))
}
}
else
{
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
ibsj_Vg_b=0.0;
ibsj_Vdp_b=0.0;
ibsj_Vsp_b=0.0;
#endif
ibsj=0;
EXIT_IF_ISNAN(0)
}
if
((pInst->isat_d>0))
{
if
(((-vd)>pInst->vexp_d))
{
#if defined(_DERIVATE) /* probe=V(g,b)V(sp,b)V(dp,b) ddxprobe= */
ibdj_Vg_b=0.0;
ibdj_Vsp_b=(pInst->gexp_d*(-vd_Vsp_b));
ibdj_Vdp_b=(pInst->gexp_d*(-vd_Vdp_b));
#endif
ibdj=(pModel->imax+(pInst->gexp_d*((-vd)-pInst->vexp_d)));
EXIT_IF_ISNAN((pModel->imax+(pInst->gexp_d*((-vd)-pInst->vexp_d))))
}
else
{
if
((((-vd)/(pModel->n*pInst->Vt))<200.0))
{
{
double m00_exp(d00_exp0,((-vd)/(pModel->n*pInst->Vt)))
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=0.0;
tmp_Vdp_b=((-vd_Vdp_b)/(pModel->n*pInst->Vt))*d10_exp0;
tmp_Vsp_b=((-vd_Vsp_b)/(pModel->n*pInst->Vt))*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
{
double m00_exp(d00_exp0,200.0)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=0.0;
tmp_Vdp_b=(d00_exp0*((-vd_Vdp_b)/(pModel->n*pInst->Vt)));
tmp_Vsp_b=(d00_exp0*((-vd_Vsp_b)/(pModel->n*pInst->Vt)));
#endif
pInst->tmp=(d00_exp0*(1.0+(((-vd)/(pModel->n*pInst->Vt))-200.0)));
EXIT_IF_ISNAN((d00_exp0*(1.0+(((-vd)/(pModel->n*pInst->Vt))-200.0))))
}
}
#if defined(_DERIVATE) /* probe=V(g,b)V(sp,b)V(dp,b) ddxprobe= */
ibdj_Vg_b=(pInst->isat_d*tmp_Vg_b);
ibdj_Vsp_b=(pInst->isat_d*tmp_Vsp_b);
ibdj_Vdp_b=(pInst->isat_d*tmp_Vdp_b);
#endif
ibdj=(pInst->isat_d*(pInst->tmp-1));
EXIT_IF_ISNAN((pInst->isat_d*(pInst->tmp-1)))
}
}
else
{
#if defined(_DERIVATE) /* probe=V(g,b)V(sp,b)V(dp,b) ddxprobe= */
ibdj_Vg_b=0.0;
ibdj_Vsp_b=0.0;
ibdj_Vdp_b=0.0;
#endif
ibdj=0;
EXIT_IF_ISNAN(0)
}
}
else
{
if
((pInst->isat_s>0))
{
if
(((-vd)>pInst->vexp_s))
{
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
ibsj_Vg_b=0.0;
ibsj_Vdp_b=(pInst->gexp_s*(-vd_Vdp_b));
ibsj_Vsp_b=(pInst->gexp_s*(-vd_Vsp_b));
#endif
ibsj=(pModel->imax+(pInst->gexp_s*((-vd)-pInst->vexp_s)));
EXIT_IF_ISNAN((pModel->imax+(pInst->gexp_s*((-vd)-pInst->vexp_s))))
}
else
{
if
((((-vd)/(pModel->n*pInst->Vt))<200.0))
{
{
double m00_exp(d00_exp0,((-vd)/(pModel->n*pInst->Vt)))
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=0.0;
tmp_Vdp_b=((-vd_Vdp_b)/(pModel->n*pInst->Vt))*d10_exp0;
tmp_Vsp_b=((-vd_Vsp_b)/(pModel->n*pInst->Vt))*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
{
double m00_exp(d00_exp0,200.0)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=0.0;
tmp_Vdp_b=(d00_exp0*((-vd_Vdp_b)/(pModel->n*pInst->Vt)));
tmp_Vsp_b=(d00_exp0*((-vd_Vsp_b)/(pModel->n*pInst->Vt)));
#endif
pInst->tmp=(d00_exp0*(1.0+(((-vd)/(pModel->n*pInst->Vt))-200.0)));
EXIT_IF_ISNAN((d00_exp0*(1.0+(((-vd)/(pModel->n*pInst->Vt))-200.0))))
}
}
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
ibsj_Vg_b=(pInst->isat_s*tmp_Vg_b);
ibsj_Vdp_b=(pInst->isat_s*tmp_Vdp_b);
ibsj_Vsp_b=(pInst->isat_s*tmp_Vsp_b);
#endif
ibsj=(pInst->isat_s*(pInst->tmp-1));
EXIT_IF_ISNAN((pInst->isat_s*(pInst->tmp-1)))
}
}
else
{
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
ibsj_Vg_b=0.0;
ibsj_Vdp_b=0.0;
ibsj_Vsp_b=0.0;
#endif
ibsj=0;
EXIT_IF_ISNAN(0)
}
if
((pInst->isat_d>0))
{
if
(((-vs)>pInst->vexp_d))
{
#if defined(_DERIVATE) /* probe=V(g,b)V(sp,b)V(dp,b) ddxprobe= */
ibdj_Vg_b=0.0;
ibdj_Vsp_b=(pInst->gexp_d*(-vs_Vsp_b));
ibdj_Vdp_b=(pInst->gexp_d*(-vs_Vdp_b));
#endif
ibdj=(pModel->imax+(pInst->gexp_d*((-vs)-pInst->vexp_d)));
EXIT_IF_ISNAN((pModel->imax+(pInst->gexp_d*((-vs)-pInst->vexp_d))))
}
else
{
if
((((-vs)/(pModel->n*pInst->Vt))<200.0))
{
{
double m00_exp(d00_exp0,((-vs)/(pModel->n*pInst->Vt)))
#if defined(_DERIVATE)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=0.0;
tmp_Vdp_b=((-vs_Vdp_b)/(pModel->n*pInst->Vt))*d10_exp0;
tmp_Vsp_b=((-vs_Vsp_b)/(pModel->n*pInst->Vt))*d10_exp0;
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
{
double m00_exp(d00_exp0,200.0)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
tmp_Vg_b=0.0;
tmp_Vdp_b=(d00_exp0*((-vs_Vdp_b)/(pModel->n*pInst->Vt)));
tmp_Vsp_b=(d00_exp0*((-vs_Vsp_b)/(pModel->n*pInst->Vt)));
#endif
pInst->tmp=(d00_exp0*(1.0+(((-vs)/(pModel->n*pInst->Vt))-200.0)));
EXIT_IF_ISNAN((d00_exp0*(1.0+(((-vs)/(pModel->n*pInst->Vt))-200.0))))
}
}
#if defined(_DERIVATE) /* probe=V(g,b)V(sp,b)V(dp,b) ddxprobe= */
ibdj_Vg_b=(pInst->isat_d*tmp_Vg_b);
ibdj_Vsp_b=(pInst->isat_d*tmp_Vsp_b);
ibdj_Vdp_b=(pInst->isat_d*tmp_Vdp_b);
#endif
ibdj=(pInst->isat_d*(pInst->tmp-1));
EXIT_IF_ISNAN((pInst->isat_d*(pInst->tmp-1)))
}
}
else
{
#if defined(_DERIVATE) /* probe=V(g,b)V(sp,b)V(dp,b) ddxprobe= */
ibdj_Vg_b=0.0;
ibdj_Vsp_b=0.0;
ibdj_Vdp_b=0.0;
#endif
ibdj=0;
EXIT_IF_ISNAN(0)
}
}
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qdt_Vg_b=((pInst->coxt*pInst->Vt)*qd_Vg_b);
qdt_Vdp_b=((pInst->coxt*pInst->Vt)*qd_Vdp_b);
qdt_Vsp_b=((pInst->coxt*pInst->Vt)*qd_Vsp_b);
#endif
qdt=((pInst->coxt*pInst->Vt)*qd);
EXIT_IF_ISNAN(((pInst->coxt*pInst->Vt)*qd))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qst_Vg_b=((pInst->coxt*pInst->Vt)*qs_Vg_b);
qst_Vdp_b=((pInst->coxt*pInst->Vt)*qs_Vdp_b);
qst_Vsp_b=((pInst->coxt*pInst->Vt)*qs_Vsp_b);
#endif
qst=((pInst->coxt*pInst->Vt)*qs);
EXIT_IF_ISNAN(((pInst->coxt*pInst->Vt)*qs))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qgt_Vg_b=((pInst->coxt*pInst->Vt)*qg_Vg_b);
qgt_Vdp_b=((pInst->coxt*pInst->Vt)*qg_Vdp_b);
qgt_Vsp_b=((pInst->coxt*pInst->Vt)*qg_Vsp_b);
#endif
qgt=((pInst->coxt*pInst->Vt)*qg);
EXIT_IF_ISNAN(((pInst->coxt*pInst->Vt)*qg))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(b,sp) ddxprobe= */
cbs_Vb_sp=0.0;
#endif
cbs=0;
EXIT_IF_ISNAN(0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(b,dp) ddxprobe= */
cbd_Vb_dp=0.0;
#endif
cbd=0;
EXIT_IF_ISNAN(0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(b,dp) ddxprobe= */
v_bp_dp_Vb_dp=(pModel->MOStype);
#endif
v_bp_dp=(pModel->MOStype*(NP(b)-NP(dp)));
EXIT_IF_ISNAN((pModel->MOStype*(NP(b)-NP(dp))))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(b,sp) ddxprobe= */
v_bp_sp_Vb_sp=(pModel->MOStype);
#endif
v_bp_sp=(pModel->MOStype*(NP(b)-NP(sp)));
EXIT_IF_ISNAN((pModel->MOStype*(NP(b)-NP(sp))))
#endif
#ifdef _DYNAMIC
if
((pInst->cbs0>0))
{
#ifdef _DYNAMIC
if
((v_bp_sp>(pModel->fc*pModel->pb)))
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1-pModel->fc),pModel->mj)
#if defined(_DERIVATE) /* probe=V(b,sp) ddxprobe= */
cbs_Vb_sp=(cbs_Vb_sp+(((pInst->cbs0/d00_pow0)*(pModel->mj*v_bp_sp_Vb_sp))/(pModel->pb*(1-pModel->fc))));
#endif
cbs=(cbs+(((pInst->cbs0/d00_pow0)*(1+(pModel->mj*(v_bp_sp-(pModel->pb*pModel->fc)))))/(pModel->pb*(1-pModel->fc))));
EXIT_IF_ISNAN((cbs+(((pInst->cbs0/d00_pow0)*(1+(pModel->mj*(v_bp_sp-(pModel->pb*pModel->fc)))))/(pModel->pb*(1-pModel->fc)))))
}
#endif
}
else
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1-v_bp_sp),pModel->mj)
#if defined(_DERIVATE)
double m10_pow(d10_pow0,d00_pow0,(1-v_bp_sp),pModel->mj)
#endif
#if defined(_DERIVATE) /* probe=V(b,sp) ddxprobe= */
cbs_Vb_sp=(cbs_Vb_sp+(-pInst->cbs0*(d10_pow0*(-v_bp_sp_Vb_sp))/d00_pow0/d00_pow0));
#endif
cbs=(cbs+(pInst->cbs0/d00_pow0));
EXIT_IF_ISNAN((cbs+(pInst->cbs0/d00_pow0)))
}
#endif
}
#endif /* if(...) */
}
#endif /* if(...) */
#ifdef _DYNAMIC
if
((pInst->cbd0>0))
{
#ifdef _DYNAMIC
if
((v_bp_dp>(pModel->fc*pModel->pb)))
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1-pModel->fc),pModel->mj)
#if defined(_DERIVATE) /* probe=V(b,dp) ddxprobe= */
cbd_Vb_dp=(cbd_Vb_dp+(((pInst->cbd0/d00_pow0)*(pModel->mj*v_bp_dp_Vb_dp))/(pModel->pb*(1-pModel->fc))));
#endif
cbd=(cbd+(((pInst->cbd0/d00_pow0)*(1+(pModel->mj*(v_bp_dp-(pModel->pb*pModel->fc)))))/(pModel->pb*(1-pModel->fc))));
EXIT_IF_ISNAN((cbd+(((pInst->cbd0/d00_pow0)*(1+(pModel->mj*(v_bp_dp-(pModel->pb*pModel->fc)))))/(pModel->pb*(1-pModel->fc)))))
}
#endif
}
else
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1-v_bp_dp),pModel->mj)
#if defined(_DERIVATE)
double m10_pow(d10_pow0,d00_pow0,(1-v_bp_dp),pModel->mj)
#endif
#if defined(_DERIVATE) /* probe=V(b,dp) ddxprobe= */
cbd_Vb_dp=(cbd_Vb_dp+(-pInst->cbd0*(d10_pow0*(-v_bp_dp_Vb_dp))/d00_pow0/d00_pow0));
#endif
cbd=(cbd+(pInst->cbd0/d00_pow0));
EXIT_IF_ISNAN((cbd+(pInst->cbd0/d00_pow0)))
}
#endif
}
#endif /* if(...) */
}
#endif /* if(...) */
#ifdef _DYNAMIC
if
((pInst->cbs0sw>0))
{
#ifdef _DYNAMIC
if
((v_bp_sp>(pModel->fcsw*pModel->pbsw)))
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1-pModel->fcsw),pModel->mjsw)
#if defined(_DERIVATE) /* probe=V(b,sp) ddxprobe= */
cbs_Vb_sp=(cbs_Vb_sp+(((pInst->cbs0sw/d00_pow0)*(pModel->mjsw*v_bp_sp_Vb_sp))/(pModel->pbsw*(1-pModel->fcsw))));
#endif
cbs=(cbs+(((pInst->cbs0sw/d00_pow0)*(1+(pModel->mjsw*(v_bp_sp-(pModel->pbsw*pModel->fcsw)))))/(pModel->pbsw*(1-pModel->fcsw))));
EXIT_IF_ISNAN((cbs+(((pInst->cbs0sw/d00_pow0)*(1+(pModel->mjsw*(v_bp_sp-(pModel->pbsw*pModel->fcsw)))))/(pModel->pbsw*(1-pModel->fcsw)))))
}
#endif
}
else
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1-v_bp_sp),pModel->mjsw)
#if defined(_DERIVATE)
double m10_pow(d10_pow0,d00_pow0,(1-v_bp_sp),pModel->mjsw)
#endif
#if defined(_DERIVATE) /* probe=V(b,sp) ddxprobe= */
cbs_Vb_sp=(cbs_Vb_sp+(-pInst->cbs0sw*(d10_pow0*(-v_bp_sp_Vb_sp))/d00_pow0/d00_pow0));
#endif
cbs=(cbs+(pInst->cbs0sw/d00_pow0));
EXIT_IF_ISNAN((cbs+(pInst->cbs0sw/d00_pow0)))
}
#endif
}
#endif /* if(...) */
}
#endif /* if(...) */
#ifdef _DYNAMIC
if
((pInst->cbd0sw>0))
{
#ifdef _DYNAMIC
if
((v_bp_dp>(pModel->fcsw*pModel->pbsw)))
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1-pModel->fcsw),pModel->mjsw)
#if defined(_DERIVATE) /* probe=V(b,dp) ddxprobe= */
cbd_Vb_dp=(cbd_Vb_dp+(((pInst->cbd0sw/d00_pow0)*(pModel->mjsw*v_bp_dp_Vb_dp))/(pModel->pbsw*(1-pModel->fcsw))));
#endif
cbd=(cbd+(((pInst->cbd0sw/d00_pow0)*(1+(pModel->mjsw*(v_bp_dp-(pModel->pbsw*pModel->fcsw)))))/(pModel->pbsw*(1-pModel->fcsw))));
EXIT_IF_ISNAN((cbd+(((pInst->cbd0sw/d00_pow0)*(1+(pModel->mjsw*(v_bp_dp-(pModel->pbsw*pModel->fcsw)))))/(pModel->pbsw*(1-pModel->fcsw)))))
}
#endif
}
else
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1-v_bp_dp),pModel->mjsw)
#if defined(_DERIVATE)
double m10_pow(d10_pow0,d00_pow0,(1-v_bp_dp),pModel->mjsw)
#endif
#if defined(_DERIVATE) /* probe=V(b,dp) ddxprobe= */
cbd_Vb_dp=(cbd_Vb_dp+(-pInst->cbd0sw*(d10_pow0*(-v_bp_dp_Vb_dp))/d00_pow0/d00_pow0));
#endif
cbd=(cbd+(pInst->cbd0sw/d00_pow0));
EXIT_IF_ISNAN((cbd+(pInst->cbd0sw/d00_pow0)))
}
#endif
}
#endif /* if(...) */
}
#endif /* if(...) */
}
{
  _load_static_residual2(dp,sp,((pModel->MOStype*mode)*ids))
  _load_static_jacobian4(dp,sp,sp,b,((pModel->MOStype*mode)*ids_Vsp_b))
  _load_static_jacobian4(dp,sp,dp,b,((pModel->MOStype*mode)*ids_Vdp_b))
  _load_static_jacobian4(dp,sp,g,b,((pModel->MOStype*mode)*ids_Vg_b))
  _load_static_residual2(dp,sp,(gmin*(NP(dp)-NP(sp))))
  _load_static_jacobian4(dp,sp,dp,sp,(gmin))
if
((mode>0))
{
  _load_static_residual2(dp,b,(pModel->MOStype*idb))
  _load_static_jacobian4(dp,b,sp,b,(pModel->MOStype*idb_Vsp_b))
  _load_static_jacobian4(dp,b,dp,b,(pModel->MOStype*idb_Vdp_b))
  _load_static_jacobian4(dp,b,g,b,(pModel->MOStype*idb_Vg_b))
  _load_static_residual2(dp,b,(gmin*(NP(dp)-NP(b))))
  _load_static_jacobian4(dp,b,dp,b,(gmin))
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qdtx_Vg_b=qdt_Vg_b;
qdtx_Vdp_b=qdt_Vdp_b;
qdtx_Vsp_b=qdt_Vsp_b;
#endif
qdtx=qdt;
EXIT_IF_ISNAN(qdt)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qstx_Vg_b=qst_Vg_b;
qstx_Vdp_b=qst_Vdp_b;
qstx_Vsp_b=qst_Vsp_b;
#endif
qstx=qst;
EXIT_IF_ISNAN(qst)
#endif
}
else
{
  _load_static_residual2(sp,b,(pModel->MOStype*idb))
  _load_static_jacobian4(sp,b,sp,b,(pModel->MOStype*idb_Vsp_b))
  _load_static_jacobian4(sp,b,dp,b,(pModel->MOStype*idb_Vdp_b))
  _load_static_jacobian4(sp,b,g,b,(pModel->MOStype*idb_Vg_b))
  _load_static_residual2(sp,b,(gmin*(NP(sp)-NP(b))))
  _load_static_jacobian4(sp,b,sp,b,(gmin))
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qdtx_Vg_b=qst_Vg_b;
qdtx_Vdp_b=qst_Vdp_b;
qdtx_Vsp_b=qst_Vsp_b;
#endif
qdtx=qst;
EXIT_IF_ISNAN(qst)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(g,b)V(dp,b)V(sp,b) ddxprobe= */
qstx_Vg_b=qdt_Vg_b;
qstx_Vdp_b=qdt_Vdp_b;
qstx_Vsp_b=qdt_Vsp_b;
#endif
qstx=qdt;
EXIT_IF_ISNAN(qdt)
#endif
}
  _load_dynamic_residual2(dp,b,(pModel->MOStype*_DDT(qdtx)))
  _load_dynamic_jacobian4(dp,b,sp,b,(pModel->MOStype*qdtx_Vsp_b))
  _load_dynamic_jacobian4(dp,b,dp,b,(pModel->MOStype*qdtx_Vdp_b))
  _load_dynamic_jacobian4(dp,b,g,b,(pModel->MOStype*qdtx_Vg_b))
  _load_dynamic_residual2(sp,b,(pModel->MOStype*_DDT(qstx)))
  _load_dynamic_jacobian4(sp,b,sp,b,(pModel->MOStype*qstx_Vsp_b))
  _load_dynamic_jacobian4(sp,b,dp,b,(pModel->MOStype*qstx_Vdp_b))
  _load_dynamic_jacobian4(sp,b,g,b,(pModel->MOStype*qstx_Vg_b))
  _load_dynamic_residual2(g,b,(pModel->MOStype*_DDT(qgt)))
  _load_dynamic_jacobian4(g,b,sp,b,(pModel->MOStype*qgt_Vsp_b))
  _load_dynamic_jacobian4(g,b,dp,b,(pModel->MOStype*qgt_Vdp_b))
  _load_dynamic_jacobian4(g,b,g,b,(pModel->MOStype*qgt_Vg_b))
  _load_static_residual2(b,sp,(pModel->MOStype*ibsj))
  _load_static_jacobian4(b,sp,sp,b,(pModel->MOStype*ibsj_Vsp_b))
  _load_static_jacobian4(b,sp,dp,b,(pModel->MOStype*ibsj_Vdp_b))
  _load_static_jacobian4(b,sp,g,b,(pModel->MOStype*ibsj_Vg_b))
  _load_static_residual2(b,dp,(pModel->MOStype*ibdj))
  _load_static_jacobian4(b,dp,dp,b,(pModel->MOStype*ibdj_Vdp_b))
  _load_static_jacobian4(b,dp,sp,b,(pModel->MOStype*ibdj_Vsp_b))
  _load_static_jacobian4(b,dp,g,b,(pModel->MOStype*ibdj_Vg_b))
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(b,sp) ddxprobe= */
qjs_Vb_sp=((cbs_Vb_sp*v_bp_sp)+(cbs*v_bp_sp_Vb_sp));
#endif
qjs=(cbs*v_bp_sp);
EXIT_IF_ISNAN((cbs*v_bp_sp))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(b,dp) ddxprobe= */
qjd_Vb_dp=((cbd_Vb_dp*v_bp_dp)+(cbd*v_bp_dp_Vb_dp));
#endif
qjd=(cbd*v_bp_dp);
EXIT_IF_ISNAN((cbd*v_bp_dp))
#endif
  _load_dynamic_residual2(b,sp,(pModel->MOStype*_DDT(qjs)))
  _load_dynamic_jacobian4(b,sp,b,sp,(pModel->MOStype*qjs_Vb_sp))
  _load_dynamic_residual2(b,dp,(pModel->MOStype*_DDT(qjd)))
  _load_dynamic_jacobian4(b,dp,b,dp,(pModel->MOStype*qjd_Vb_dp))
  _load_dynamic_residual2(g,sp,_DDT((pInst->cgso_s*(NP(g)-NP(sp)))))
  _load_dynamic_jacobian4(g,sp,g,sp,(pInst->cgso_s))
  _load_dynamic_residual2(g,dp,_DDT((pInst->cgdo_s*(NP(g)-NP(dp)))))
  _load_dynamic_jacobian4(g,dp,g,dp,(pInst->cgdo_s))
  _load_dynamic_residual2(g,b,(_DDT((pInst->cgbo_s*(NP(g)-NP(b))))+(gmin*(NP(dp)-NP(sp)))))
  _load_dynamic_jacobian4(g,b,dp,sp,(gmin))
  _load_dynamic_jacobian4(g,b,g,b,(pInst->cgbo_s))
  _load_static_residual2(d,dp,((NP(d)-NP(dp))/pInst->RDeff))
  _load_static_jacobian4(d,dp,d,dp,(1/pInst->RDeff))
  _load_static_residual2(s,sp,((NP(s)-NP(sp))/pInst->RSeff))
  _load_static_jacobian4(s,sp,s,sp,(1/pInst->RSeff))
}
