

#define  ELECTRON_CHARGE        1.602191770e-19         /* C */
#define  BOLTZMANN              1.38062259e-23          /* J/oK */

/* arithmetics */
#define EXP90 1.220403294317841e+039
#define m00_hypot(v00,x,y)      v00 = sqrt((x)*(x)+(y)*(y));
#define m10_hypot(v10,v00,x,y)  v10 = (x)/(v00);
#define m11_hypot(v11,v00,x,y)  v11 = (y)/(v00);
#define m00_max(v00,x,y)        v00 = ((x)>(y))?(x):(y);
#define m10_max(v10,v00,x,y)    v10 = ((x)>(y))?1.0:0.0;
#define m11_max(v11,v00,x,y)    v11 = ((x)>(y))?0.0:1.0;
#define m00_min(v00,x,y)        v00 = ((x)<(y))?(x):(y);
#define m10_min(v10,v00,x,y)    v10 = ((x)<(y))?1.0:0.0;
#define m11_min(v11,v00,x,y)    v11 = ((x)<(y))?0.0:1.0;
#define m00_pow(v00,x,y)        v00 = pow(x,y);
#define m10_pow(v10,v00,x,y)    v10 = (x==0.0)?0.0:(v00)*(y)/(x);
#define m11_pow(v11,v00,x,y)    v11 = (x==0.0)?0.0:(log(x)*(v00));
#define m00_div(v00,v10,x,y)    double v10=1/(y); double v00=(x)*v10;
#define m10_div(v10,v00,vv,x,y)
#define m11_div(v11,v00,vv,x,y) double v11 = -v00*vv;
#define m00_mult(v00,v10,v11,x,y) double v10=(x); double v11=(y); double v00=v10*v11;
#define m00_add(v00,x,y)        double v00=(x)+(y);
#define m00_cos(v00,x)          v00 = cos(x);
#define m10_cos(v10,v00,x)      v10 = (-sin(x));
#define m00_sin(v00,x)          v00 = sin(x);
#define m10_sin(v10,v00,x)      v10 = (cos(x));
#define m00_tan(v00,x)          v00 = tan(x);
#define m10_tan(v10,v00,x)      v10 = (1.0/cos(x)/cos(x));
#define m00_cosh(v00,x)         v00 = cosh(x);
#define m10_cosh(v10,v00,x)     v10 = (sinh(x));
#define m00_sinh(v00,x)         v00 = sinh(x);
#define m10_sinh(v10,v00,x)     v10 = (cosh(x));
#define m00_tanh(v00,x)         v00 = tanh(x);
#define m10_tanh(v10,v00,x)     v10 = (1.0/cosh(x)/cosh(x));
#define m00_acos(v00,x)         v00 = acos(x);
#define m10_acos(v10,v00,x)     v10 = (-1.0/sqrt(1-x*x));
#define m00_asin(v00,x)         v00 = asin(x);
#define m10_asin(v10,v00,x)     v10 = (+1.0/sqrt(1-x*x));
#define m00_atan(v00,x)         v00 = atan(x);
#define m10_atan(v10,v00,x)     v10 = (+1.0/(1+x*x));
#define m00_logE(v00,x)         v00 = log(x);
#define m10_logE(v10,v00,x)     v10 = (1.0/x);
#define m00_log10(v00,x)        v00 = log10(x);
#define m10_log10(v10,v00,x)    v10 = (1.0/x/log(10));
#define m00_sqrt(v00,x)         v00 = sqrt(x);
#define m10_sqrt(v10,v00,x)     v10 = (0.5/v00);
#define m00_fabs(v00,x)         v00 = fabs(x);
#define m10_fabs(v10,v00,x)     v10 = (((x)>=0)?(+1.0):(-1.0));
#define m00_exp(v00,x)          v00 = exp(x);
#define m10_exp(v10,v00,x)      v10 = v00;
#define m00_abs(v00)            ((v00)<(0)?(-(v00)):(v00))
#define m00_floor(v00,x)        v00 = floor(x);
#define m00_ceil(v00,x)         v00 = ceil(x);
#define m00_limexp(v00,x)       v00 = ((x)<90.0?exp(x):EXP90*(x-89.0));
#define m10_limexp(v10,v00,x)   v10 = ((x)<90.0?(v00):EXP90);
#define m00_atan2(v00,x,y)      v00 = atan2(x,y);
#define m10_atan2(v10,x,y)      v10 = (-(y)/((x)*(x)+(y)*(y)));
#define m11_atan2(v11,x,y)      v11 = ((x)/((x)*(x)+(y)*(y)));
#define m00_acosh(v00,x)        v00 = acosh(x);
#define m10_acosh(v10,v00,x)    v10 = (1.0/(sqrt(x-1)*sqrt(x+1)));
#define m00_asinh(v00,x)        v00 = asinh(x);
#define m10_asinh(v10,v00,x)    v10 = (1.0/(sqrt(x*x+1)));
#define m00_atanh(v00,x)        v00 = atanh(x);
#define m10_atanh(v10,v00,x)    v10 = (1.0/(1-x*x));

#define m20_logE(v00)         (-1.0/v00/v00)
#define m20_exp(v00)          exp(v00)
#define m20_limexp(v00)       ((v00)<90.0?exp(v00):0.0)
#define m20_sqrt(v00)         (-0.25/(v00)/sqrt(v00))
#define m20_fabs(v00)         0.0

/*wrapper*/
#define pModel model
#define pInst here
#define mint_get_circuit_tempK() _circuit_temp
#define voltages(n) NP(n)
#define _DDT(q) q
#define _DDX
#define _DERIVATEFORDDX
pInst->fpnoise0=0.0; pInst->fenoise0=0.0;
pInst->fpnoise1=0.0; pInst->fenoise1=0.0;
pInst->wnoise0=0.0;
pInst->wnoise1=0.0;
pInst->wnoise2=0.0;
pInst->wnoise3=0.0;
pInst->wnoise4=0.0;
pInst->wnoise5=0.0;
pInst->wnoise6=0.0;
pInst->wnoise7=0.0;
pInst->wnoise8=0.0;
pInst->wnoise9=0.0;
pInst->wnoise10=0.0;
pInst->wnoise11=0.0;
pInst->wnoise12=0.0;
pInst->wnoise13=0.0;
double ids_i;
double sig1k;
double ib;
double ig;
double is;
double id_op;
double g_idealedge;
#if defined(_DERIVATE)
double g_idealedge_VDI_SI;
double g_idealedge_VSI_BP;
double g_idealedge_VGP_SI;
#endif
double lcinv2edge;
#if defined(_DERIVATE)
double lcinv2edge_VDI_SI;
double lcinv2edge_VGP_SI;
double lcinv2edge_VSI_BP;
#endif
double lcedge;
#if defined(_DERIVATE)
double lcedge_VDI_SI;
double lcedge_VGP_SI;
double lcedge_VSI_BP;
#endif
double redge;
#if defined(_DERIVATE)
double redge_VDI_SI;
double redge_VGP_SI;
double redge_VSI_BP;
#endif
double t2edge;
#if defined(_DERIVATE)
double t2edge_VDI_SI;
double t2edge_VSI_BP;
double t2edge_VGP_SI;
#endif
double sqt2edge;
#if defined(_DERIVATE)
double sqt2edge_VDI_SI;
double sqt2edge_VSI_BP;
double sqt2edge_VGP_SI;
#endif
double t1edge;
#if defined(_DERIVATE)
double t1edge_VDI_SI;
double t1edge_VGP_SI;
double t1edge_VSI_BP;
#endif
double H0edge;
#if defined(_DERIVATE)
double H0edge_VDI_SI;
double H0edge_VSI_BP;
double H0edge_VGP_SI;
#endif
double Delta_N1edge;
#if defined(_DERIVATE)
double Delta_N1edge_VDI_SI;
double Delta_N1edge_VGP_SI;
double Delta_N1edge_VSI_BP;
#endif
double Nm1edge;
#if defined(_DERIVATE)
double Nm1edge_VDI_SI;
double Nm1edge_VGP_SI;
double Nm1edge_VSI_BP;
#endif
double N1edge;
#if defined(_DERIVATE)
double N1edge_VDI_SI;
double N1edge_VGP_SI;
double N1edge_VSI_BP;
#endif
double anoisedge;
#if defined(_DERIVATE)
double anoisedge_VDI_SI;
double anoisedge_VGP_SI;
double anoisedge_VSI_BP;
#endif
double jnoise_d;
#if defined(_DERIVATE)
double jnoise_d_VDI_BD;
double jnoise_d_VSI_BS;
double jnoise_d_VDI_SI;
double jnoise_d_VGP_SI;
double jnoise_d_VSI_BP;
#endif
double jnoise_s;
#if defined(_DERIVATE)
double jnoise_s_VDI_SI;
double jnoise_s_VGP_SI;
double jnoise_s_VSI_BP;
double jnoise_s_VDI_BD;
double jnoise_s_VSI_BS;
#endif
double shot_igd;
#if defined(_DERIVATE)
double shot_igd_VGP_SI;
double shot_igd_VDI_SI;
double shot_igd_VSI_BP;
#endif
double shot_igs;
#if defined(_DERIVATE)
double shot_igs_VGP_SI;
double shot_igs_VDI_SI;
double shot_igs_VSI_BP;
#endif
#if defined(_DERIVATE)
double jnoisex_d_VDI_BD;
double jnoisex_d_VSI_BS;
#endif
#if defined(_DERIVATE)
double jnoisex_s_VDI_BD;
double jnoisex_s_VSI_BS;
#endif
#if defined(_DERIVATE)
double shot_iavl_VDI_SI;
double shot_iavl_VGP_SI;
double shot_iavl_VSI_BP;
#endif
#if defined(_DERIVATE)
double shot_igdov_VGP_SI;
double shot_igdov_VDI_SI;
double shot_igdov_VSI_BP;
#endif
#if defined(_DERIVATE)
double shot_igsov_VGP_SI;
double shot_igsov_VDI_SI;
double shot_igsov_VSI_BP;
#endif
#if defined(_DERIVATE)
double shot_igcdx_VGP_SI;
double shot_igcdx_VDI_SI;
double shot_igcdx_VSI_BP;
#endif
#if defined(_DERIVATE)
double shot_igcsx_VGP_SI;
double shot_igcsx_VDI_SI;
double shot_igcsx_VSI_BP;
#endif
double migid0;
#if defined(_DERIVATE)
double migid0_VDI_SI;
double migid0_VGP_SI;
double migid0_VSI_BP;
#endif
double gfac;
#if defined(_DERIVATE)
double gfac_VDI_SI;
double gfac_VGP_SI;
double gfac_VSI_BP;
#endif
double Gvsat_exc;
#if defined(_DERIVATE)
double Gvsat_exc_VDI_SI;
double Gvsat_exc_VGP_SI;
double Gvsat_exc_VSI_BP;
#endif
double zsat_exc;
#if defined(_DERIVATE)
double zsat_exc_VDI_SI;
double zsat_exc_VGP_SI;
double zsat_exc_VSI_BP;
#endif
double thesat1_exc;
#if defined(_DERIVATE)
double thesat1_exc_VDI_SI;
double thesat1_exc_VGP_SI;
double thesat1_exc_VSI_BP;
#endif
double temp_exc;
#if defined(_DERIVATE)
double temp_exc_VDI_SI;
double temp_exc_VGP_SI;
double temp_exc_VSI_BP;
#endif
double wsat_exc;
#if defined(_DERIVATE)
double wsat_exc_VDI_SI;
double wsat_exc_VGP_SI;
double wsat_exc_VSI_BP;
#endif
double temp2_exc;
#if defined(_DERIVATE)
double temp2_exc_VDI_SI;
double temp2_exc_VGP_SI;
double temp2_exc_VSI_BP;
#endif
double g_ideal;
#if defined(_DERIVATE)
double g_ideal_VDI_SI;
double g_ideal_VGP_SI;
double g_ideal_VSI_BP;
#endif
double lcinv2;
#if defined(_DERIVATE)
double lcinv2_VDI_SI;
double lcinv2_VGP_SI;
double lcinv2_VSI_BP;
#endif
double lc;
#if defined(_DERIVATE)
double lc_VDI_SI;
double lc_VGP_SI;
double lc_VSI_BP;
#endif
double r;
#if defined(_DERIVATE)
double r_VDI_SI;
double r_VGP_SI;
double r_VSI_BP;
#endif
double t2;
#if defined(_DERIVATE)
double t2_VDI_SI;
double t2_VGP_SI;
double t2_VSI_BP;
#endif
double sqt2;
#if defined(_DERIVATE)
double sqt2_VDI_SI;
double sqt2_VGP_SI;
double sqt2_VSI_BP;
#endif
double t1;
#if defined(_DERIVATE)
double t1_VDI_SI;
double t1_VGP_SI;
double t1_VSI_BP;
#endif
double H0;
#if defined(_DERIVATE)
double H0_VDI_SI;
double H0_VGP_SI;
double H0_VSI_BP;
#endif
double Delta_N1;
#if defined(_DERIVATE)
double Delta_N1_VDI_SI;
double Delta_N1_VGP_SI;
double Delta_N1_VSI_BP;
#endif
double Nm1;
#if defined(_DERIVATE)
double Nm1_VDI_SI;
double Nm1_VGP_SI;
double Nm1_VSI_BP;
#endif
double N1;
#if defined(_DERIVATE)
double N1_VDI_SI;
double N1_VGP_SI;
double N1_VSI_BP;
#endif
#if defined(_DERIVATE)
double sqidedge_VDI_SI;
double sqidedge_VGP_SI;
double sqidedge_VSI_BP;
#endif
double midedge;
#if defined(_DERIVATE)
double midedge_VDI_SI;
double midedge_VGP_SI;
double midedge_VSI_BP;
#endif
#if defined(_DERIVATE)
double Sfledge_VDI_SI;
double Sfledge_VGP_SI;
double Sfledge_VSI_BP;
#endif
double sqig;
#if defined(_DERIVATE)
double sqig_VDI_SI;
double sqig_VGP_SI;
double sqig_VSI_BP;
#endif
#if defined(_DERIVATE)
double sqid_VDI_SI;
double sqid_VGP_SI;
double sqid_VSI_BP;
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE)
double CGeff_VDI_SI;
double CGeff_VGP_SI;
double CGeff_VSI_BP;
#endif
#endif
#if defined(_DERIVATE)
double c_igid_VDI_SI;
double c_igid_VGP_SI;
double c_igid_VSI_BP;
#endif
double migid;
#if defined(_DERIVATE)
double mig_VDI_SI;
double mig_VGP_SI;
double mig_VSI_BP;
#endif
double mid;
#if defined(_DERIVATE)
double mid_VDI_SI;
double mid_VGP_SI;
double mid_VSI_BP;
#endif
double Sidexc;
#if defined(_DERIVATE)
double Sidexc_VDI_SI;
double Sidexc_VGP_SI;
double Sidexc_VSI_BP;
#endif
#if defined(_DERIVATE)
double Sfl_VDI_SI;
double Sfl_VGP_SI;
double Sfl_VSI_BP;
#endif
#if defined(_DYNAMIC)
double Qs;
#if defined(_DERIVATEFORDDX)
double Qs_VDI_SI;
double Qs_VGP_SI;
double Qs_VSI_BP;
#if defined(_DERIVATE2)
  double Qs_VSI_BP_VDI_SI;
  double Qs_VSI_BP_VGP_SI;
  double Qs_VSI_BP_VSI_BP;
  double Qs_VGP_SI_VDI_SI;
  double Qs_VGP_SI_VGP_SI;
  double Qs_VGP_SI_VSI_BP;
  double Qs_VDI_SI_VDI_SI;
  double Qs_VDI_SI_VGP_SI;
  double Qs_VDI_SI_VSI_BP;
#endif
#endif
#endif
double rwellnoise;
double rjundnoise;
double rjunsnoise;
double rbulknoise;
double rdrainnoise;
double rsourcenoise;
double rgatenoise;
#if defined(_DERIVATEFORDDX)
double fbreakdown_VSI_BS;
double fbreakdown_VDI_BD;
#if defined(_DERIVATE2)
  double fbreakdown_VDI_BD_VSI_BS;
  double fbreakdown_VDI_BD_VDI_BD;
  double fbreakdown_VSI_BS_VSI_BS;
  double fbreakdown_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double Fmaxr_VSI_BS;
double Fmaxr_VDI_BD;
#if defined(_DERIVATE2)
  double Fmaxr_VDI_BD_VSI_BS;
  double Fmaxr_VDI_BD_VDI_BD;
  double Fmaxr_VSI_BS_VSI_BS;
  double Fmaxr_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double ibbt_VSI_BS;
double ibbt_VDI_BD;
#if defined(_DERIVATE2)
  double ibbt_VDI_BD_VSI_BS;
  double ibbt_VDI_BD_VDI_BD;
  double ibbt_VSI_BS_VSI_BS;
  double ibbt_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double gammamax_VSI_BS;
double gammamax_VDI_BD;
#if defined(_DERIVATE2)
  double gammamax_VDI_BD_VSI_BS;
  double gammamax_VDI_BD_VDI_BD;
  double gammamax_VSI_BS_VSI_BS;
  double gammamax_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double erfctimesexpmtat_VSI_BS;
double erfctimesexpmtat_VDI_BD;
#if defined(_DERIVATE2)
  double erfctimesexpmtat_VDI_BD_VSI_BS;
  double erfctimesexpmtat_VDI_BD_VDI_BD;
  double erfctimesexpmtat_VSI_BS_VSI_BS;
  double erfctimesexpmtat_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double erfcpos_VSI_BS;
double erfcpos_VDI_BD;
#if defined(_DERIVATE2)
  double erfcpos_VDI_BD_VSI_BS;
  double erfcpos_VDI_BD_VDI_BD;
  double erfcpos_VSI_BS_VSI_BS;
  double erfcpos_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double terfc_VSI_BS;
double terfc_VDI_BD;
#if defined(_DERIVATE2)
  double terfc_VDI_BD_VSI_BS;
  double terfc_VDI_BD_VDI_BD;
  double terfc_VSI_BS_VSI_BS;
  double terfc_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double ysq_VSI_BS;
double ysq_VDI_BD;
#if defined(_DERIVATE2)
  double ysq_VDI_BD_VSI_BS;
  double ysq_VDI_BD_VDI_BD;
  double ysq_VSI_BS_VSI_BS;
  double ysq_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double xerfc_VSI_BS;
double xerfc_VDI_BD;
#if defined(_DERIVATE2)
  double xerfc_VDI_BD_VSI_BS;
  double xerfc_VDI_BD_VDI_BD;
  double xerfc_VSI_BS_VSI_BS;
  double xerfc_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double mtat_VSI_BS;
double mtat_VDI_BD;
#if defined(_DERIVATE2)
  double mtat_VDI_BD_VSI_BS;
  double mtat_VDI_BD_VDI_BD;
  double mtat_VSI_BS_VSI_BS;
  double mtat_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double ltat_VSI_BS;
double ltat_VDI_BD;
#if defined(_DERIVATE2)
  double ltat_VDI_BD_VSI_BS;
  double ltat_VDI_BD_VDI_BD;
  double ltat_VSI_BS_VSI_BS;
  double ltat_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double ktat_VSI_BS;
double ktat_VDI_BD;
#if defined(_DERIVATE2)
  double ktat_VDI_BD_VSI_BS;
  double ktat_VDI_BD_VDI_BD;
  double ktat_VSI_BS_VSI_BS;
  double ktat_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double wtat_VSI_BS;
double wtat_VDI_BD;
#if defined(_DERIVATE2)
  double wtat_VDI_BD_VSI_BS;
  double wtat_VDI_BD_VDI_BD;
  double wtat_VSI_BS_VSI_BS;
  double wtat_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double wgamma_VSI_BS;
double wgamma_VDI_BD;
#if defined(_DERIVATE2)
  double wgamma_VDI_BD_VSI_BS;
  double wgamma_VDI_BD_VDI_BD;
  double wgamma_VSI_BS_VSI_BS;
  double wgamma_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double umaxpoweronepointfive_VSI_BS;
double umaxpoweronepointfive_VDI_BD;
#if defined(_DERIVATE2)
  double umaxpoweronepointfive_VDI_BD_VSI_BS;
  double umaxpoweronepointfive_VDI_BD_VDI_BD;
  double umaxpoweronepointfive_VSI_BS_VSI_BS;
  double umaxpoweronepointfive_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double sqrtumax_VSI_BS;
double sqrtumax_VDI_BD;
#if defined(_DERIVATE2)
  double sqrtumax_VDI_BD_VSI_BS;
  double sqrtumax_VDI_BD_VDI_BD;
  double sqrtumax_VSI_BS_VSI_BS;
  double sqrtumax_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double umax_VSI_BS;
double umax_VDI_BD;
#if defined(_DERIVATE2)
  double umax_VDI_BD_VSI_BS;
  double umax_VDI_BD_VDI_BD;
  double umax_VSI_BS_VSI_BS;
  double umax_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double umaxbeforelimiting_VSI_BS;
double umaxbeforelimiting_VDI_BD;
#if defined(_DERIVATE2)
  double umaxbeforelimiting_VDI_BD_VSI_BS;
  double umaxbeforelimiting_VDI_BD_VDI_BD;
  double umaxbeforelimiting_VSI_BS_VSI_BS;
  double umaxbeforelimiting_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double twoatatoverthreebtat_VSI_BS;
double twoatatoverthreebtat_VDI_BD;
#if defined(_DERIVATE2)
  double twoatatoverthreebtat_VDI_BD_VSI_BS;
  double twoatatoverthreebtat_VDI_BD_VDI_BD;
  double twoatatoverthreebtat_VSI_BS_VSI_BS;
  double twoatatoverthreebtat_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double btat_VSI_BS;
double btat_VDI_BD;
#if defined(_DERIVATE2)
  double btat_VDI_BD_VSI_BS;
  double btat_VDI_BD_VDI_BD;
  double btat_VSI_BS_VSI_BS;
  double btat_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double itat_VSI_BS;
double itat_VDI_BD;
#if defined(_DERIVATE2)
  double itat_VDI_BD_VSI_BS;
  double itat_VDI_BD_VDI_BD;
  double itat_VSI_BS_VSI_BS;
  double itat_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double asrh_VSI_BS;
double asrh_VDI_BD;
#if defined(_DERIVATE2)
  double asrh_VDI_BD_VSI_BS;
  double asrh_VDI_BD_VDI_BD;
  double asrh_VSI_BS_VSI_BS;
  double asrh_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double wdep_VSI_BS;
double wdep_VDI_BD;
#if defined(_DERIVATE2)
  double wdep_VDI_BD_VSI_BS;
  double wdep_VDI_BD_VDI_BD;
  double wdep_VSI_BS_VSI_BS;
  double wdep_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double wsrh_VDI_BD;
double wsrh_VSI_BS;
#if defined(_DERIVATE2)
  double wsrh_VSI_BS_VDI_BD;
  double wsrh_VSI_BS_VSI_BS;
  double wsrh_VDI_BD_VDI_BD;
  double wsrh_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double dwsrh_VDI_BD;
double dwsrh_VSI_BS;
#if defined(_DERIVATE2)
  double dwsrh_VSI_BS_VDI_BD;
  double dwsrh_VSI_BS_VSI_BS;
  double dwsrh_VDI_BD_VDI_BD;
  double dwsrh_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double wsrhstep_VDI_BD;
double wsrhstep_VSI_BS;
#if defined(_DERIVATE2)
  double wsrhstep_VSI_BS_VDI_BD;
  double wsrhstep_VSI_BS_VSI_BS;
  double wsrhstep_VDI_BD_VDI_BD;
  double wsrhstep_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double vbi_minus_vjsrh_VDI_BD;
double vbi_minus_vjsrh_VSI_BS;
#if defined(_DERIVATE2)
  double vbi_minus_vjsrh_VSI_BS_VDI_BD;
  double vbi_minus_vjsrh_VSI_BS_VSI_BS;
  double vbi_minus_vjsrh_VDI_BD_VDI_BD;
  double vbi_minus_vjsrh_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double isrh_VSI_BS;
double isrh_VDI_BD;
#if defined(_DERIVATE2)
  double isrh_VDI_BD_VSI_BS;
  double isrh_VDI_BD_VDI_BD;
  double isrh_VSI_BS_VSI_BS;
  double isrh_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double id_VDI_BD;
double id_VSI_BS;
#if defined(_DERIVATE2)
  double id_VSI_BS_VDI_BD;
  double id_VSI_BS_VSI_BS;
  double id_VDI_BD_VDI_BD;
  double id_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double tmp_VSI_BS;
double tmp_VDI_BD;
#if defined(_DERIVATE2)
  double tmp_VDI_BD_VSI_BS;
  double tmp_VDI_BD_VDI_BD;
  double tmp_VSI_BS_VSI_BS;
  double tmp_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double vav_VDI_BD;
double vav_VSI_BS;
#if defined(_DERIVATE2)
  double vav_VSI_BS_VDI_BD;
  double vav_VSI_BS_VSI_BS;
  double vav_VDI_BD_VDI_BD;
  double vav_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double vjsrh_VDI_BD;
double vjsrh_VSI_BS;
#if defined(_DERIVATE2)
  double vjsrh_VSI_BS_VDI_BD;
  double vjsrh_VSI_BS_VSI_BS;
  double vjsrh_VDI_BD_VDI_BD;
  double vjsrh_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double vjlim_VDI_BD;
double vjlim_VSI_BS;
#if defined(_DERIVATE2)
  double vjlim_VSI_BS_VDI_BD;
  double vjlim_VSI_BS_VSI_BS;
  double vjlim_VDI_BD_VDI_BD;
  double vjlim_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double z_VDI_BD;
double z_VSI_BS;
#if defined(_DERIVATE2)
  double z_VSI_BS_VDI_BD;
  double z_VSI_BS_VSI_BS;
  double z_VDI_BD_VDI_BD;
  double z_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double idmult_VDI_BD;
double idmult_VSI_BS;
#if defined(_DERIVATE2)
  double idmult_VSI_BS_VDI_BD;
  double idmult_VSI_BS_VSI_BS;
  double idmult_VDI_BD_VDI_BD;
  double idmult_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double zinv_VDI_BD;
double zinv_VSI_BS;
#if defined(_DERIVATE2)
  double zinv_VSI_BS_VDI_BD;
  double zinv_VSI_BS_VSI_BS;
  double zinv_VDI_BD_VDI_BD;
  double zinv_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double vj_VSI_BS;
double vj_VDI_BD;
#if defined(_DERIVATE2)
  double vj_VDI_BD_VSI_BS;
  double vj_VDI_BD_VDI_BD;
  double vj_VSI_BS_VSI_BS;
  double vj_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double two_psistar_VDI_BD;
double two_psistar_VSI_BS;
#if defined(_DERIVATE2)
  double two_psistar_VSI_BS_VDI_BD;
  double two_psistar_VSI_BS_VSI_BS;
  double two_psistar_VDI_BD_VDI_BD;
  double two_psistar_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double vbbt_VDI_BD;
double vbbt_VSI_BS;
#if defined(_DERIVATE2)
  double vbbt_VSI_BS_VDI_BD;
  double vbbt_VSI_BS_VSI_BS;
  double vbbt_VDI_BD_VDI_BD;
  double vbbt_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double h5_VDI_BD;
double h5_VSI_BS;
#if defined(_DERIVATE2)
  double h5_VSI_BS_VDI_BD;
  double h5_VSI_BS_VSI_BS;
  double h5_VDI_BD_VDI_BD;
  double h5_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double h4_VDI_BD;
double h4_VSI_BS;
#if defined(_DERIVATE2)
  double h4_VSI_BS_VDI_BD;
  double h4_VSI_BS_VSI_BS;
  double h4_VDI_BD_VDI_BD;
  double h4_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double h3_VDI_BD;
double h3_VSI_BS;
#if defined(_DERIVATE2)
  double h3_VSI_BS_VDI_BD;
  double h3_VSI_BS_VSI_BS;
  double h3_VDI_BD_VDI_BD;
  double h3_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double h2d_VDI_BD;
double h2d_VSI_BS;
#if defined(_DERIVATE2)
  double h2d_VSI_BS_VDI_BD;
  double h2d_VSI_BS_VSI_BS;
  double h2d_VDI_BD_VDI_BD;
  double h2d_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DYNAMIC)
double vjv;
#if defined(_DERIVATEFORDDX)
double vjv_VDI_BD;
double vjv_VSI_BS;
#if defined(_DERIVATE2)
  double vjv_VSI_BS_VDI_BD;
  double vjv_VSI_BS_VSI_BS;
  double vjv_VDI_BD_VDI_BD;
  double vjv_VDI_BD_VSI_BS;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double tmpv;
#if defined(_DERIVATEFORDDX)
double tmpv_VDI_BD;
double tmpv_VSI_BS;
#if defined(_DERIVATE2)
  double tmpv_VSI_BS_VDI_BD;
  double tmpv_VSI_BS_VSI_BS;
  double tmpv_VDI_BD_VDI_BD;
  double tmpv_VDI_BD_VSI_BS;
#endif
#endif
#endif
double ijunrev;
#if defined(_DERIVATEFORDDX)
double ijunrev_VDI_BD;
double ijunrev_VSI_BS;
#if defined(_DERIVATE2)
  double ijunrev_VSI_BS_VDI_BD;
  double ijunrev_VSI_BS_VSI_BS;
  double ijunrev_VDI_BD_VDI_BD;
  double ijunrev_VDI_BD_VSI_BS;
#endif
#endif
double ijunfor2;
#if defined(_DERIVATEFORDDX)
double ijunfor2_VDI_BD;
double ijunfor2_VSI_BS;
#if defined(_DERIVATE2)
  double ijunfor2_VSI_BS_VDI_BD;
  double ijunfor2_VSI_BS_VSI_BS;
  double ijunfor2_VDI_BD_VDI_BD;
  double ijunfor2_VDI_BD_VSI_BS;
#endif
#endif
double ijunfor1;
#if defined(_DERIVATEFORDDX)
double ijunfor1_VDI_BD;
double ijunfor1_VSI_BS;
#if defined(_DERIVATE2)
  double ijunfor1_VSI_BS_VDI_BD;
  double ijunfor1_VSI_BS_VSI_BS;
  double ijunfor1_VDI_BD_VDI_BD;
  double ijunfor1_VDI_BD_VSI_BS;
#endif
#endif
double tm1;
#if defined(_DERIVATEFORDDX)
double tm1_VDI_BD;
double tm1_VSI_BS;
#if defined(_DERIVATE2)
  double tm1_VSI_BS_VDI_BD;
  double tm1_VSI_BS_VSI_BS;
  double tm1_VDI_BD_VDI_BD;
  double tm1_VDI_BD_VSI_BS;
#endif
#endif
double tm0;
#if defined(_DERIVATEFORDDX)
double tm0_VDI_BD;
double tm0_VSI_BS;
#if defined(_DERIVATE2)
  double tm0_VSI_BS_VDI_BD;
  double tm0_VSI_BS_VSI_BS;
  double tm0_VDI_BD_VDI_BD;
  double tm0_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DYNAMIC)
double qjungat_d;
#if defined(_DERIVATEFORDDX)
double qjungat_d_VDI_BD;
double qjungat_d_VSI_BS;
#if defined(_DERIVATE2)
  double qjungat_d_VDI_BD_VDI_BD;
  double qjungat_d_VDI_BD_VSI_BS;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double qjunsti_d;
#if defined(_DERIVATEFORDDX)
double qjunsti_d_VDI_BD;
double qjunsti_d_VSI_BS;
#if defined(_DERIVATE2)
  double qjunsti_d_VDI_BD_VDI_BD;
  double qjunsti_d_VDI_BD_VSI_BS;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double qjunbot_d;
#if defined(_DERIVATEFORDDX)
double qjunbot_d_VDI_BD;
double qjunbot_d_VSI_BS;
#if defined(_DERIVATE2)
  double qjunbot_d_VDI_BD_VDI_BD;
  double qjunbot_d_VDI_BD_VSI_BS;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double qjun_d;
#if defined(_DERIVATE)
double qjun_d_VDI_BD;
double qjun_d_VSI_BS;
#endif
#endif
#if defined(_DYNAMIC)
double qjungat_s;
#if defined(_DERIVATEFORDDX)
double qjungat_s_VDI_BD;
double qjungat_s_VSI_BS;
#if defined(_DERIVATE2)
  double qjungat_s_VSI_BS_VDI_BD;
  double qjungat_s_VSI_BS_VSI_BS;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double qjunsti_s;
#if defined(_DERIVATEFORDDX)
double qjunsti_s_VDI_BD;
double qjunsti_s_VSI_BS;
#if defined(_DERIVATE2)
  double qjunsti_s_VSI_BS_VDI_BD;
  double qjunsti_s_VSI_BS_VSI_BS;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double qjunbot_s;
#if defined(_DERIVATEFORDDX)
double qjunbot_s_VDI_BD;
double qjunbot_s_VSI_BS;
#if defined(_DERIVATE2)
  double qjunbot_s_VSI_BS_VDI_BD;
  double qjunbot_s_VSI_BS_VSI_BS;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double qjun_s;
#if defined(_DERIVATE)
double qjun_s_VDI_BD;
double qjun_s_VSI_BS;
#endif
#endif
double ijungat_d;
#if defined(_DERIVATEFORDDX)
double ijungat_d_VDI_BD;
double ijungat_d_VSI_BS;
#if defined(_DERIVATE2)
  double ijungat_d_VSI_BS_VDI_BD;
  double ijungat_d_VSI_BS_VSI_BS;
  double ijungat_d_VDI_BD_VDI_BD;
  double ijungat_d_VDI_BD_VSI_BS;
#endif
#endif
double ijunsti_d;
#if defined(_DERIVATEFORDDX)
double ijunsti_d_VDI_BD;
double ijunsti_d_VSI_BS;
#if defined(_DERIVATE2)
  double ijunsti_d_VSI_BS_VDI_BD;
  double ijunsti_d_VSI_BS_VSI_BS;
  double ijunsti_d_VDI_BD_VDI_BD;
  double ijunsti_d_VDI_BD_VSI_BS;
#endif
#endif
double ijunbot_d;
#if defined(_DERIVATEFORDDX)
double ijunbot_d_VDI_BD;
double ijunbot_d_VSI_BS;
#if defined(_DERIVATE2)
  double ijunbot_d_VSI_BS_VDI_BD;
  double ijunbot_d_VSI_BS_VSI_BS;
  double ijunbot_d_VDI_BD_VDI_BD;
  double ijunbot_d_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double ijun_d_VDI_BD;
double ijun_d_VSI_BS;
#if defined(_DERIVATE2)
  double ijun_d_VSI_BS_VDI_BD;
  double ijun_d_VSI_BS_VSI_BS;
  double ijun_d_VDI_BD_VDI_BD;
  double ijun_d_VDI_BD_VSI_BS;
#endif
#endif
double ijungat_s;
#if defined(_DERIVATEFORDDX)
double ijungat_s_VSI_BS;
double ijungat_s_VDI_BD;
#if defined(_DERIVATE2)
  double ijungat_s_VDI_BD_VSI_BS;
  double ijungat_s_VDI_BD_VDI_BD;
  double ijungat_s_VSI_BS_VSI_BS;
  double ijungat_s_VSI_BS_VDI_BD;
#endif
#endif
double ijunsti_s;
#if defined(_DERIVATEFORDDX)
double ijunsti_s_VSI_BS;
double ijunsti_s_VDI_BD;
#if defined(_DERIVATE2)
  double ijunsti_s_VDI_BD_VSI_BS;
  double ijunsti_s_VDI_BD_VDI_BD;
  double ijunsti_s_VSI_BS_VSI_BS;
  double ijunsti_s_VSI_BS_VDI_BD;
#endif
#endif
double ijunbot_s;
#if defined(_DERIVATEFORDDX)
double ijunbot_s_VSI_BS;
double ijunbot_s_VDI_BD;
#if defined(_DERIVATE2)
  double ijunbot_s_VDI_BD_VSI_BS;
  double ijunbot_s_VDI_BD_VDI_BD;
  double ijunbot_s_VSI_BS_VSI_BS;
  double ijunbot_s_VSI_BS_VDI_BD;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double ijun_s_VDI_BD;
double ijun_s_VSI_BS;
#if defined(_DERIVATE2)
  double ijun_s_VSI_BS_VDI_BD;
  double ijun_s_VSI_BS_VSI_BS;
  double ijun_s_VDI_BD_VDI_BD;
  double ijun_s_VDI_BD_VSI_BS;
#endif
#endif
#if defined(_DYNAMIC)
double Qfgd;
#if defined(_DERIVATEFORDDX)
double Qfgd_VGP_SI;
double Qfgd_VDI_SI;
#if defined(_DERIVATE2)
  double Qfgd_VGP_SI_VGP_SI;
  double Qfgd_VGP_SI_VDI_SI;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double Qfgs;
#if defined(_DERIVATEFORDDX)
double Qfgs_VGP_SI;
#if defined(_DERIVATE2)
  double Qfgs_VGP_SI_VGP_SI;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double Qgb_ov;
#if defined(_DERIVATE)
double Qgb_ov_VGP_SI;
double Qgb_ov_VSI_BP;
#endif
#endif
#if defined(_DYNAMIC)
double Qgd_ov;
#if defined(_DERIVATEFORDDX)
double Qgd_ov_VGP_SI;
double Qgd_ov_VDI_SI;
#if defined(_DERIVATE2)
  double Qgd_ov_VGP_SI_VGP_SI;
  double Qgd_ov_VGP_SI_VDI_SI;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double Qgs_ov;
#if defined(_DERIVATEFORDDX)
double Qgs_ov_VGP_SI;
#if defined(_DERIVATE2)
  double Qgs_ov_VGP_SI_VGP_SI;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double Qb;
#if defined(_DERIVATEFORDDX)
double Qb_VDI_SI;
double Qb_VGP_SI;
double Qb_VSI_BP;
#if defined(_DERIVATE2)
  double Qb_VSI_BP_VDI_SI;
  double Qb_VSI_BP_VGP_SI;
  double Qb_VSI_BP_VSI_BP;
  double Qb_VGP_SI_VDI_SI;
  double Qb_VGP_SI_VGP_SI;
  double Qb_VGP_SI_VSI_BP;
  double Qb_VDI_SI_VDI_SI;
  double Qb_VDI_SI_VGP_SI;
  double Qb_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double Qd;
#if defined(_DERIVATEFORDDX)
double Qd_VDI_SI;
double Qd_VGP_SI;
double Qd_VSI_BP;
#if defined(_DERIVATE2)
  double Qd_VSI_BP_VDI_SI;
  double Qd_VSI_BP_VGP_SI;
  double Qd_VSI_BP_VSI_BP;
  double Qd_VGP_SI_VDI_SI;
  double Qd_VGP_SI_VGP_SI;
  double Qd_VGP_SI_VSI_BP;
  double Qd_VDI_SI_VDI_SI;
  double Qd_VDI_SI_VGP_SI;
  double Qd_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double Qg;
#if defined(_DERIVATEFORDDX)
double Qg_VDI_SI;
double Qg_VGP_SI;
double Qg_VSI_BP;
#if defined(_DERIVATE2)
  double Qg_VSI_BP_VDI_SI;
  double Qg_VSI_BP_VGP_SI;
  double Qg_VSI_BP_VSI_BP;
  double Qg_VGP_SI_VDI_SI;
  double Qg_VGP_SI_VGP_SI;
  double Qg_VGP_SI_VSI_BP;
  double Qg_VDI_SI_VDI_SI;
  double Qg_VDI_SI_VGP_SI;
  double Qg_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double Fj2;
#if defined(_DERIVATEFORDDX)
double Fj2_VDI_SI;
double Fj2_VGP_SI;
double Fj2_VSI_BP;
#if defined(_DERIVATE2)
  double Fj2_VSI_BP_VDI_SI;
  double Fj2_VSI_BP_VGP_SI;
  double Fj2_VSI_BP_VSI_BP;
  double Fj2_VGP_SI_VDI_SI;
  double Fj2_VGP_SI_VGP_SI;
  double Fj2_VGP_SI_VSI_BP;
  double Fj2_VDI_SI_VDI_SI;
  double Fj2_VDI_SI_VGP_SI;
  double Fj2_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double Fj;
#if defined(_DERIVATEFORDDX)
double Fj_VDI_SI;
double Fj_VGP_SI;
double Fj_VSI_BP;
#if defined(_DERIVATE2)
  double Fj_VSI_BP_VDI_SI;
  double Fj_VSI_BP_VGP_SI;
  double Fj_VSI_BP_VSI_BP;
  double Fj_VGP_SI_VDI_SI;
  double Fj_VGP_SI_VGP_SI;
  double Fj_VGP_SI_VSI_BP;
  double Fj_VDI_SI_VDI_SI;
  double Fj_VDI_SI_VGP_SI;
  double Fj_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double QB;
#if defined(_DERIVATEFORDDX)
double QB_VDI_SI;
double QB_VGP_SI;
double QB_VSI_BP;
#if defined(_DERIVATE2)
  double QB_VSI_BP_VDI_SI;
  double QB_VSI_BP_VGP_SI;
  double QB_VSI_BP_VSI_BP;
  double QB_VGP_SI_VDI_SI;
  double QB_VGP_SI_VGP_SI;
  double QB_VGP_SI_VSI_BP;
  double QB_VDI_SI_VDI_SI;
  double QB_VDI_SI_VGP_SI;
  double QB_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double QD;
#if defined(_DERIVATEFORDDX)
double QD_VDI_SI;
double QD_VGP_SI;
double QD_VSI_BP;
#if defined(_DERIVATE2)
  double QD_VSI_BP_VDI_SI;
  double QD_VSI_BP_VGP_SI;
  double QD_VSI_BP_VSI_BP;
  double QD_VGP_SI_VDI_SI;
  double QD_VGP_SI_VGP_SI;
  double QD_VGP_SI_VSI_BP;
  double QD_VDI_SI_VDI_SI;
  double QD_VDI_SI_VGP_SI;
  double QD_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double QI;
#if defined(_DERIVATEFORDDX)
double QI_VDI_SI;
double QI_VGP_SI;
double QI_VSI_BP;
#if defined(_DERIVATE2)
  double QI_VSI_BP_VDI_SI;
  double QI_VSI_BP_VGP_SI;
  double QI_VSI_BP_VSI_BP;
  double QI_VGP_SI_VDI_SI;
  double QI_VGP_SI_VGP_SI;
  double QI_VGP_SI_VSI_BP;
  double QI_VDI_SI_VDI_SI;
  double QI_VDI_SI_VGP_SI;
  double QI_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double QG;
#if defined(_DERIVATEFORDDX)
double QG_VDI_SI;
double QG_VGP_SI;
double QG_VSI_BP;
#if defined(_DERIVATE2)
  double QG_VSI_BP_VDI_SI;
  double QG_VSI_BP_VGP_SI;
  double QG_VSI_BP_VSI_BP;
  double QG_VGP_SI_VDI_SI;
  double QG_VGP_SI_VGP_SI;
  double QG_VGP_SI_VSI_BP;
  double QG_VDI_SI_VDI_SI;
  double QG_VDI_SI_VGP_SI;
  double QG_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX)
double COX_qm_VDI_SI;
double COX_qm_VGP_SI;
double COX_qm_VSI_BP;
#if defined(_DERIVATE2)
  double COX_qm_VSI_BP_VDI_SI;
  double COX_qm_VSI_BP_VGP_SI;
  double COX_qm_VSI_BP_VSI_BP;
  double COX_qm_VGP_SI_VDI_SI;
  double COX_qm_VGP_SI_VGP_SI;
  double COX_qm_VGP_SI_VSI_BP;
  double COX_qm_VDI_SI_VDI_SI;
  double COX_qm_VDI_SI_VGP_SI;
  double COX_qm_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE)
double Gmob_dL_ac_VDI_SI;
double Gmob_dL_ac_VGP_SI;
double Gmob_dL_ac_VSI_BP;
#endif
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE)
double Gvsat_ac_VDI_SI;
double Gvsat_ac_VGP_SI;
double Gvsat_ac_VSI_BP;
#endif
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX)
double eta_p_ac_VDI_SI;
double eta_p_ac_VGP_SI;
double eta_p_ac_VSI_BP;
#if defined(_DERIVATE2)
  double eta_p_ac_VSI_BP_VDI_SI;
  double eta_p_ac_VSI_BP_VGP_SI;
  double eta_p_ac_VSI_BP_VSI_BP;
  double eta_p_ac_VGP_SI_VDI_SI;
  double eta_p_ac_VGP_SI_VGP_SI;
  double eta_p_ac_VGP_SI_VSI_BP;
  double eta_p_ac_VDI_SI_VDI_SI;
  double eta_p_ac_VDI_SI_VGP_SI;
  double eta_p_ac_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double H_ac;
#if defined(_DERIVATEFORDDX)
double H_ac_VGP_SI;
double H_ac_VDI_SI;
double H_ac_VSI_BP;
#if defined(_DERIVATE2)
  double H_ac_VSI_BP_VGP_SI;
  double H_ac_VSI_BP_VDI_SI;
  double H_ac_VSI_BP_VSI_BP;
  double H_ac_VDI_SI_VGP_SI;
  double H_ac_VDI_SI_VDI_SI;
  double H_ac_VDI_SI_VSI_BP;
  double H_ac_VGP_SI_VGP_SI;
  double H_ac_VGP_SI_VDI_SI;
  double H_ac_VGP_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double GdL_ac;
#if defined(_DERIVATEFORDDX)
double GdL_ac_VDI_SI;
double GdL_ac_VGP_SI;
double GdL_ac_VSI_BP;
#if defined(_DERIVATE2)
  double GdL_ac_VSI_BP_VDI_SI;
  double GdL_ac_VSI_BP_VGP_SI;
  double GdL_ac_VSI_BP_VSI_BP;
  double GdL_ac_VGP_SI_VDI_SI;
  double GdL_ac_VGP_SI_VGP_SI;
  double GdL_ac_VGP_SI_VSI_BP;
  double GdL_ac_VDI_SI_VDI_SI;
  double GdL_ac_VDI_SI_VGP_SI;
  double GdL_ac_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double qim_ac;
#if defined(_DERIVATEFORDDX)
double qim_ac_VDI_SI;
double qim_ac_VGP_SI;
double qim_ac_VSI_BP;
#if defined(_DERIVATE2)
  double qim_ac_VSI_BP_VDI_SI;
  double qim_ac_VSI_BP_VGP_SI;
  double qim_ac_VSI_BP_VSI_BP;
  double qim_ac_VGP_SI_VDI_SI;
  double qim_ac_VGP_SI_VGP_SI;
  double qim_ac_VGP_SI_VSI_BP;
  double qim_ac_VDI_SI_VDI_SI;
  double qim_ac_VDI_SI_VGP_SI;
  double qim_ac_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double dps_ac;
#if defined(_DERIVATEFORDDX)
double dps_ac_VDI_SI;
double dps_ac_VGP_SI;
double dps_ac_VSI_BP;
#if defined(_DERIVATE2)
  double dps_ac_VSI_BP_VDI_SI;
  double dps_ac_VSI_BP_VGP_SI;
  double dps_ac_VSI_BP_VSI_BP;
  double dps_ac_VGP_SI_VDI_SI;
  double dps_ac_VGP_SI_VGP_SI;
  double dps_ac_VGP_SI_VSI_BP;
  double dps_ac_VDI_SI_VDI_SI;
  double dps_ac_VDI_SI_VGP_SI;
  double dps_ac_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double alpha_ac;
#if defined(_DERIVATEFORDDX)
double alpha_ac_VDI_SI;
double alpha_ac_VGP_SI;
double alpha_ac_VSI_BP;
#if defined(_DERIVATE2)
  double alpha_ac_VSI_BP_VDI_SI;
  double alpha_ac_VSI_BP_VGP_SI;
  double alpha_ac_VSI_BP_VSI_BP;
  double alpha_ac_VGP_SI_VDI_SI;
  double alpha_ac_VGP_SI_VGP_SI;
  double alpha_ac_VGP_SI_VSI_BP;
  double alpha_ac_VDI_SI_VDI_SI;
  double alpha_ac_VDI_SI_VGP_SI;
  double alpha_ac_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double Voxm_ac;
#if defined(_DERIVATEFORDDX)
double Voxm_ac_VDI_SI;
double Voxm_ac_VGP_SI;
double Voxm_ac_VSI_BP;
#if defined(_DERIVATE2)
  double Voxm_ac_VSI_BP_VDI_SI;
  double Voxm_ac_VSI_BP_VGP_SI;
  double Voxm_ac_VSI_BP_VSI_BP;
  double Voxm_ac_VGP_SI_VDI_SI;
  double Voxm_ac_VGP_SI_VGP_SI;
  double Voxm_ac_VGP_SI_VSI_BP;
  double Voxm_ac_VDI_SI_VDI_SI;
  double Voxm_ac_VDI_SI_VGP_SI;
  double Voxm_ac_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double qeff1_ac;
#if defined(_DERIVATEFORDDX)
double qeff1_ac_VDI_SI;
double qeff1_ac_VGP_SI;
double qeff1_ac_VSI_BP;
#if defined(_DERIVATE2)
  double qeff1_ac_VSI_BP_VDI_SI;
  double qeff1_ac_VSI_BP_VGP_SI;
  double qeff1_ac_VSI_BP_VSI_BP;
  double qeff1_ac_VGP_SI_VDI_SI;
  double qeff1_ac_VGP_SI_VGP_SI;
  double qeff1_ac_VGP_SI_VSI_BP;
  double qeff1_ac_VDI_SI_VDI_SI;
  double qeff1_ac_VDI_SI_VGP_SI;
  double qeff1_ac_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DYNAMIC)
double xg_ac;
#if defined(_DERIVATE)
double xg_ac_VDI_SI;
double xg_ac_VGP_SI;
double xg_ac_VSI_BP;
#endif
#endif
double Vsbstar_ac;
#if defined(_DERIVATEFORDDX)
double Vsbstar_ac_VDI_SI;
double Vsbstar_ac_VSI_BP;
double Vsbstar_ac_VGP_SI;
#if defined(_DERIVATE2)
  double Vsbstar_ac_VGP_SI_VDI_SI;
  double Vsbstar_ac_VGP_SI_VSI_BP;
  double Vsbstar_ac_VGP_SI_VGP_SI;
  double Vsbstar_ac_VSI_BP_VDI_SI;
  double Vsbstar_ac_VSI_BP_VSI_BP;
  double Vsbstar_ac_VSI_BP_VGP_SI;
  double Vsbstar_ac_VDI_SI_VDI_SI;
  double Vsbstar_ac_VDI_SI_VSI_BP;
  double Vsbstar_ac_VDI_SI_VGP_SI;
#endif
#endif
double vth_i;
double vts_i;
double facvsb;
double facvsb0;
double P_D;
double delVsat;
#if defined(_DERIVATEFORDDX)
double delVsat_VDI_SI;
double delVsat_VGP_SI;
double delVsat_VSI_BP;
#if defined(_DERIVATE2)
  double delVsat_VSI_BP_VDI_SI;
  double delVsat_VSI_BP_VGP_SI;
  double delVsat_VSI_BP_VSI_BP;
  double delVsat_VGP_SI_VDI_SI;
  double delVsat_VGP_SI_VGP_SI;
  double delVsat_VGP_SI_VSI_BP;
  double delVsat_VDI_SI_VDI_SI;
  double delVsat_VDI_SI_VGP_SI;
  double delVsat_VDI_SI_VSI_BP;
#endif
#endif
double qdeffedge;
#if defined(_DERIVATEFORDDX)
double qdeffedge_VDI_SI;
double qdeffedge_VSI_BP;
double qdeffedge_VGP_SI;
#if defined(_DERIVATE2)
  double qdeffedge_VGP_SI_VDI_SI;
  double qdeffedge_VGP_SI_VSI_BP;
  double qdeffedge_VGP_SI_VGP_SI;
  double qdeffedge_VSI_BP_VDI_SI;
  double qdeffedge_VSI_BP_VSI_BP;
  double qdeffedge_VSI_BP_VGP_SI;
  double qdeffedge_VDI_SI_VDI_SI;
  double qdeffedge_VDI_SI_VSI_BP;
  double qdeffedge_VDI_SI_VGP_SI;
#endif
#endif
double xnedge_d;
#if defined(_DERIVATEFORDDX)
double xnedge_d_VDI_SI;
double xnedge_d_VSI_BP;
double xnedge_d_VGP_SI;
#if defined(_DERIVATE2)
  double xnedge_d_VGP_SI_VDI_SI;
  double xnedge_d_VGP_SI_VSI_BP;
  double xnedge_d_VGP_SI_VGP_SI;
  double xnedge_d_VSI_BP_VDI_SI;
  double xnedge_d_VSI_BP_VSI_BP;
  double xnedge_d_VSI_BP_VGP_SI;
  double xnedge_d_VDI_SI_VDI_SI;
  double xnedge_d_VDI_SI_VSI_BP;
  double xnedge_d_VDI_SI_VGP_SI;
#endif
#endif
double qseffedge;
#if defined(_DERIVATEFORDDX)
double qseffedge_VDI_SI;
double qseffedge_VSI_BP;
double qseffedge_VGP_SI;
#if defined(_DERIVATE2)
  double qseffedge_VGP_SI_VDI_SI;
  double qseffedge_VGP_SI_VSI_BP;
  double qseffedge_VGP_SI_VGP_SI;
  double qseffedge_VSI_BP_VDI_SI;
  double qseffedge_VSI_BP_VSI_BP;
  double qseffedge_VSI_BP_VGP_SI;
  double qseffedge_VDI_SI_VDI_SI;
  double qseffedge_VDI_SI_VSI_BP;
  double qseffedge_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_errq;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_errq_VDI_SI;
double Q_EDGE_errq_VSI_BP;
double Q_EDGE_errq_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_errq_VGP_SI_VDI_SI;
  double Q_EDGE_errq_VGP_SI_VSI_BP;
  double Q_EDGE_errq_VGP_SI_VGP_SI;
  double Q_EDGE_errq_VSI_BP_VDI_SI;
  double Q_EDGE_errq_VSI_BP_VSI_BP;
  double Q_EDGE_errq_VSI_BP_VGP_SI;
  double Q_EDGE_errq_VDI_SI_VDI_SI;
  double Q_EDGE_errq_VDI_SI_VSI_BP;
  double Q_EDGE_errq_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_sqerr;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_sqerr_VDI_SI;
double Q_EDGE_sqerr_VSI_BP;
double Q_EDGE_sqerr_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_sqerr_VGP_SI_VDI_SI;
  double Q_EDGE_sqerr_VGP_SI_VSI_BP;
  double Q_EDGE_sqerr_VGP_SI_VGP_SI;
  double Q_EDGE_sqerr_VSI_BP_VDI_SI;
  double Q_EDGE_sqerr_VSI_BP_VSI_BP;
  double Q_EDGE_sqerr_VSI_BP_VGP_SI;
  double Q_EDGE_sqerr_VDI_SI_VDI_SI;
  double Q_EDGE_sqerr_VDI_SI_VSI_BP;
  double Q_EDGE_sqerr_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_d0p;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_d0p_VDI_SI;
double Q_EDGE_d0p_VSI_BP;
double Q_EDGE_d0p_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_d0p_VGP_SI_VDI_SI;
  double Q_EDGE_d0p_VGP_SI_VSI_BP;
  double Q_EDGE_d0p_VGP_SI_VGP_SI;
  double Q_EDGE_d0p_VSI_BP_VDI_SI;
  double Q_EDGE_d0p_VSI_BP_VSI_BP;
  double Q_EDGE_d0p_VSI_BP_VGP_SI;
  double Q_EDGE_d0p_VDI_SI_VDI_SI;
  double Q_EDGE_d0p_VDI_SI_VSI_BP;
  double Q_EDGE_d0p_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_d0;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_d0_VDI_SI;
double Q_EDGE_d0_VSI_BP;
double Q_EDGE_d0_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_d0_VGP_SI_VDI_SI;
  double Q_EDGE_d0_VGP_SI_VSI_BP;
  double Q_EDGE_d0_VGP_SI_VGP_SI;
  double Q_EDGE_d0_VSI_BP_VDI_SI;
  double Q_EDGE_d0_VSI_BP_VSI_BP;
  double Q_EDGE_d0_VSI_BP_VGP_SI;
  double Q_EDGE_d0_VDI_SI_VDI_SI;
  double Q_EDGE_d0_VDI_SI_VSI_BP;
  double Q_EDGE_d0_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_exp_x;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_exp_x_VDI_SI;
double Q_EDGE_exp_x_VSI_BP;
double Q_EDGE_exp_x_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_exp_x_VGP_SI_VDI_SI;
  double Q_EDGE_exp_x_VGP_SI_VSI_BP;
  double Q_EDGE_exp_x_VGP_SI_VGP_SI;
  double Q_EDGE_exp_x_VSI_BP_VDI_SI;
  double Q_EDGE_exp_x_VSI_BP_VSI_BP;
  double Q_EDGE_exp_x_VSI_BP_VGP_SI;
  double Q_EDGE_exp_x_VDI_SI_VDI_SI;
  double Q_EDGE_exp_x_VDI_SI_VSI_BP;
  double Q_EDGE_exp_x_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_qi0;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_qi0_VDI_SI;
double Q_EDGE_qi0_VSI_BP;
double Q_EDGE_qi0_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_qi0_VGP_SI_VDI_SI;
  double Q_EDGE_qi0_VGP_SI_VSI_BP;
  double Q_EDGE_qi0_VGP_SI_VGP_SI;
  double Q_EDGE_qi0_VSI_BP_VDI_SI;
  double Q_EDGE_qi0_VSI_BP_VSI_BP;
  double Q_EDGE_qi0_VSI_BP_VGP_SI;
  double Q_EDGE_qi0_VDI_SI_VDI_SI;
  double Q_EDGE_qi0_VDI_SI_VSI_BP;
  double Q_EDGE_qi0_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_qi0si;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_qi0si_VDI_SI;
double Q_EDGE_qi0si_VSI_BP;
double Q_EDGE_qi0si_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_qi0si_VGP_SI_VDI_SI;
  double Q_EDGE_qi0si_VGP_SI_VSI_BP;
  double Q_EDGE_qi0si_VGP_SI_VGP_SI;
  double Q_EDGE_qi0si_VSI_BP_VDI_SI;
  double Q_EDGE_qi0si_VSI_BP_VSI_BP;
  double Q_EDGE_qi0si_VSI_BP_VGP_SI;
  double Q_EDGE_qi0si_VDI_SI_VDI_SI;
  double Q_EDGE_qi0si_VDI_SI_VSI_BP;
  double Q_EDGE_qi0si_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_xgt0e;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_xgt0e_VDI_SI;
double Q_EDGE_xgt0e_VSI_BP;
double Q_EDGE_xgt0e_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_xgt0e_VGP_SI_VDI_SI;
  double Q_EDGE_xgt0e_VGP_SI_VSI_BP;
  double Q_EDGE_xgt0e_VGP_SI_VGP_SI;
  double Q_EDGE_xgt0e_VSI_BP_VDI_SI;
  double Q_EDGE_xgt0e_VSI_BP_VSI_BP;
  double Q_EDGE_xgt0e_VSI_BP_VGP_SI;
  double Q_EDGE_xgt0e_VDI_SI_VDI_SI;
  double Q_EDGE_xgt0e_VDI_SI_VSI_BP;
  double Q_EDGE_xgt0e_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_xgt0;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_xgt0_VDI_SI;
double Q_EDGE_xgt0_VSI_BP;
double Q_EDGE_xgt0_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_xgt0_VGP_SI_VDI_SI;
  double Q_EDGE_xgt0_VGP_SI_VSI_BP;
  double Q_EDGE_xgt0_VGP_SI_VGP_SI;
  double Q_EDGE_xgt0_VSI_BP_VDI_SI;
  double Q_EDGE_xgt0_VSI_BP_VSI_BP;
  double Q_EDGE_xgt0_VSI_BP_VGP_SI;
  double Q_EDGE_xgt0_VDI_SI_VDI_SI;
  double Q_EDGE_xgt0_VDI_SI_VSI_BP;
  double Q_EDGE_xgt0_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_xgt;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_xgt_VDI_SI;
double Q_EDGE_xgt_VSI_BP;
double Q_EDGE_xgt_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_xgt_VGP_SI_VDI_SI;
  double Q_EDGE_xgt_VGP_SI_VSI_BP;
  double Q_EDGE_xgt_VGP_SI_VGP_SI;
  double Q_EDGE_xgt_VSI_BP_VDI_SI;
  double Q_EDGE_xgt_VSI_BP_VSI_BP;
  double Q_EDGE_xgt_VSI_BP_VGP_SI;
  double Q_EDGE_xgt_VDI_SI_VDI_SI;
  double Q_EDGE_xgt_VDI_SI_VSI_BP;
  double Q_EDGE_xgt_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_n_inv;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_n_inv_VDI_SI;
double Q_EDGE_n_inv_VSI_BP;
double Q_EDGE_n_inv_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_n_inv_VGP_SI_VDI_SI;
  double Q_EDGE_n_inv_VGP_SI_VSI_BP;
  double Q_EDGE_n_inv_VGP_SI_VGP_SI;
  double Q_EDGE_n_inv_VSI_BP_VDI_SI;
  double Q_EDGE_n_inv_VSI_BP_VSI_BP;
  double Q_EDGE_n_inv_VSI_BP_VGP_SI;
  double Q_EDGE_n_inv_VDI_SI_VDI_SI;
  double Q_EDGE_n_inv_VDI_SI_VSI_BP;
  double Q_EDGE_n_inv_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_n;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_n_VDI_SI;
double Q_EDGE_n_VSI_BP;
double Q_EDGE_n_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_n_VGP_SI_VDI_SI;
  double Q_EDGE_n_VGP_SI_VSI_BP;
  double Q_EDGE_n_VGP_SI_VGP_SI;
  double Q_EDGE_n_VSI_BP_VDI_SI;
  double Q_EDGE_n_VSI_BP_VSI_BP;
  double Q_EDGE_n_VSI_BP_VGP_SI;
  double Q_EDGE_n_VDI_SI_VDI_SI;
  double Q_EDGE_n_VDI_SI_VSI_BP;
  double Q_EDGE_n_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_xth;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_xth_VDI_SI;
double Q_EDGE_xth_VSI_BP;
double Q_EDGE_xth_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_xth_VGP_SI_VDI_SI;
  double Q_EDGE_xth_VGP_SI_VSI_BP;
  double Q_EDGE_xth_VGP_SI_VGP_SI;
  double Q_EDGE_xth_VSI_BP_VDI_SI;
  double Q_EDGE_xth_VSI_BP_VSI_BP;
  double Q_EDGE_xth_VSI_BP_VGP_SI;
  double Q_EDGE_xth_VDI_SI_VDI_SI;
  double Q_EDGE_xth_VDI_SI_VSI_BP;
  double Q_EDGE_xth_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_xth0;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_xth0_VDI_SI;
double Q_EDGE_xth0_VSI_BP;
double Q_EDGE_xth0_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_xth0_VGP_SI_VDI_SI;
  double Q_EDGE_xth0_VGP_SI_VSI_BP;
  double Q_EDGE_xth0_VGP_SI_VGP_SI;
  double Q_EDGE_xth0_VSI_BP_VDI_SI;
  double Q_EDGE_xth0_VSI_BP_VSI_BP;
  double Q_EDGE_xth0_VSI_BP_VGP_SI;
  double Q_EDGE_xth0_VDI_SI_VDI_SI;
  double Q_EDGE_xth0_VDI_SI_VSI_BP;
  double Q_EDGE_xth0_VDI_SI_VGP_SI;
#endif
#endif
double Q_EDGE_xsth;
#if defined(_DERIVATEFORDDX)
double Q_EDGE_xsth_VDI_SI;
double Q_EDGE_xsth_VSI_BP;
double Q_EDGE_xsth_VGP_SI;
#if defined(_DERIVATE2)
  double Q_EDGE_xsth_VGP_SI_VDI_SI;
  double Q_EDGE_xsth_VGP_SI_VSI_BP;
  double Q_EDGE_xsth_VGP_SI_VGP_SI;
  double Q_EDGE_xsth_VSI_BP_VDI_SI;
  double Q_EDGE_xsth_VSI_BP_VSI_BP;
  double Q_EDGE_xsth_VSI_BP_VGP_SI;
  double Q_EDGE_xsth_VDI_SI_VDI_SI;
  double Q_EDGE_xsth_VDI_SI_VSI_BP;
  double Q_EDGE_xsth_VDI_SI_VGP_SI;
#endif
#endif
double xnedge_s;
#if defined(_DERIVATEFORDDX)
double xnedge_s_VDI_SI;
double xnedge_s_VSI_BP;
double xnedge_s_VGP_SI;
#if defined(_DERIVATE2)
  double xnedge_s_VGP_SI_VDI_SI;
  double xnedge_s_VGP_SI_VSI_BP;
  double xnedge_s_VGP_SI_VGP_SI;
  double xnedge_s_VSI_BP_VDI_SI;
  double xnedge_s_VSI_BP_VSI_BP;
  double xnedge_s_VSI_BP_VGP_SI;
  double xnedge_s_VDI_SI_VDI_SI;
  double xnedge_s_VDI_SI_VSI_BP;
  double xnedge_s_VDI_SI_VGP_SI;
#endif
#endif
double dxthedge;
#if defined(_DERIVATEFORDDX)
double dxthedge_VDI_SI;
double dxthedge_VSI_BP;
double dxthedge_VGP_SI;
#if defined(_DERIVATE2)
  double dxthedge_VGP_SI_VDI_SI;
  double dxthedge_VGP_SI_VSI_BP;
  double dxthedge_VGP_SI_VGP_SI;
  double dxthedge_VSI_BP_VDI_SI;
  double dxthedge_VSI_BP_VSI_BP;
  double dxthedge_VSI_BP_VGP_SI;
  double dxthedge_VDI_SI_VDI_SI;
  double dxthedge_VDI_SI_VSI_BP;
  double dxthedge_VDI_SI_VGP_SI;
#endif
#endif
double xbedge;
#if defined(_DERIVATEFORDDX)
double xbedge_VDI_SI;
double xbedge_VSI_BP;
double xbedge_VGP_SI;
#if defined(_DERIVATE2)
  double xbedge_VGP_SI_VDI_SI;
  double xbedge_VGP_SI_VSI_BP;
  double xbedge_VGP_SI_VGP_SI;
  double xbedge_VSI_BP_VDI_SI;
  double xbedge_VSI_BP_VSI_BP;
  double xbedge_VSI_BP_VGP_SI;
  double xbedge_VDI_SI_VDI_SI;
  double xbedge_VDI_SI_VSI_BP;
  double xbedge_VDI_SI_VGP_SI;
#endif
#endif
double delVgedge;
#if defined(_DERIVATEFORDDX)
double delVgedge_VDI_SI;
double delVgedge_VSI_BP;
double delVgedge_VGP_SI;
#if defined(_DERIVATE2)
  double delVgedge_VGP_SI_VDI_SI;
  double delVgedge_VGP_SI_VSI_BP;
  double delVgedge_VGP_SI_VGP_SI;
  double delVgedge_VSI_BP_VDI_SI;
  double delVgedge_VSI_BP_VSI_BP;
  double delVgedge_VSI_BP_VGP_SI;
  double delVgedge_VDI_SI_VDI_SI;
  double delVgedge_VDI_SI_VSI_BP;
  double delVgedge_VDI_SI_VGP_SI;
#endif
#endif
double Vdspedge;
#if defined(_DERIVATEFORDDX)
double Vdspedge_VDI_SI;
#if defined(_DERIVATE2)
  double Vdspedge_VDI_SI_VDI_SI;
#endif
#endif
double inv_phit1edge;
#if defined(_DERIVATEFORDDX)
double inv_phit1edge_VDI_SI;
double inv_phit1edge_VSI_BP;
double inv_phit1edge_VGP_SI;
#if defined(_DERIVATE2)
  double inv_phit1edge_VGP_SI_VDI_SI;
  double inv_phit1edge_VGP_SI_VSI_BP;
  double inv_phit1edge_VGP_SI_VGP_SI;
  double inv_phit1edge_VSI_BP_VDI_SI;
  double inv_phit1edge_VSI_BP_VSI_BP;
  double inv_phit1edge_VSI_BP_VGP_SI;
  double inv_phit1edge_VDI_SI_VDI_SI;
  double inv_phit1edge_VDI_SI_VSI_BP;
  double inv_phit1edge_VDI_SI_VGP_SI;
#endif
#endif
double phit1edge;
#if defined(_DERIVATEFORDDX)
double phit1edge_VDI_SI;
double phit1edge_VSI_BP;
double phit1edge_VGP_SI;
#if defined(_DERIVATE2)
  double phit1edge_VGP_SI_VDI_SI;
  double phit1edge_VGP_SI_VSI_BP;
  double phit1edge_VGP_SI_VGP_SI;
  double phit1edge_VSI_BP_VDI_SI;
  double phit1edge_VSI_BP_VSI_BP;
  double phit1edge_VSI_BP_VGP_SI;
  double phit1edge_VDI_SI_VDI_SI;
  double phit1edge_VDI_SI_VSI_BP;
  double phit1edge_VDI_SI_VGP_SI;
#endif
#endif
double dphit1edge;
#if defined(_DERIVATEFORDDX)
double dphit1edge_VDI_SI;
double dphit1edge_VSI_BP;
double dphit1edge_VGP_SI;
#if defined(_DERIVATE2)
  double dphit1edge_VGP_SI_VDI_SI;
  double dphit1edge_VGP_SI_VSI_BP;
  double dphit1edge_VGP_SI_VGP_SI;
  double dphit1edge_VSI_BP_VDI_SI;
  double dphit1edge_VSI_BP_VSI_BP;
  double dphit1edge_VSI_BP_VGP_SI;
  double dphit1edge_VDI_SI_VDI_SI;
  double dphit1edge_VDI_SI_VSI_BP;
  double dphit1edge_VDI_SI_VGP_SI;
#endif
#endif
double Vsbxedge;
#if defined(_DERIVATEFORDDX)
double Vsbxedge_VDI_SI;
double Vsbxedge_VSI_BP;
double Vsbxedge_VGP_SI;
#if defined(_DERIVATE2)
  double Vsbxedge_VGP_SI_VDI_SI;
  double Vsbxedge_VGP_SI_VSI_BP;
  double Vsbxedge_VGP_SI_VGP_SI;
  double Vsbxedge_VSI_BP_VDI_SI;
  double Vsbxedge_VSI_BP_VSI_BP;
  double Vsbxedge_VSI_BP_VGP_SI;
  double Vsbxedge_VDI_SI_VDI_SI;
  double Vsbxedge_VDI_SI_VSI_BP;
  double Vsbxedge_VDI_SI_VGP_SI;
#endif
#endif
double Vsbstaredge;
#if defined(_DERIVATEFORDDX)
double Vsbstaredge_VDI_SI;
double Vsbstaredge_VSI_BP;
double Vsbstaredge_VGP_SI;
#if defined(_DERIVATE2)
  double Vsbstaredge_VGP_SI_VDI_SI;
  double Vsbstaredge_VGP_SI_VSI_BP;
  double Vsbstaredge_VGP_SI_VGP_SI;
  double Vsbstaredge_VSI_BP_VDI_SI;
  double Vsbstaredge_VSI_BP_VSI_BP;
  double Vsbstaredge_VSI_BP_VGP_SI;
  double Vsbstaredge_VDI_SI_VDI_SI;
  double Vsbstaredge_VDI_SI_VSI_BP;
  double Vsbstaredge_VDI_SI_VGP_SI;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double Idsedge_VDI_SI;
double Idsedge_VSI_BP;
double Idsedge_VGP_SI;
#if defined(_DERIVATE2)
  double Idsedge_VGP_SI_VDI_SI;
  double Idsedge_VGP_SI_VSI_BP;
  double Idsedge_VGP_SI_VGP_SI;
  double Idsedge_VSI_BP_VDI_SI;
  double Idsedge_VSI_BP_VSI_BP;
  double Idsedge_VSI_BP_VGP_SI;
  double Idsedge_VDI_SI_VDI_SI;
  double Idsedge_VDI_SI_VSI_BP;
  double Idsedge_VDI_SI_VGP_SI;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double alphabmedge_VDI_SI;
double alphabmedge_VSI_BP;
double alphabmedge_VGP_SI;
#if defined(_DERIVATE2)
  double alphabmedge_VGP_SI_VDI_SI;
  double alphabmedge_VGP_SI_VSI_BP;
  double alphabmedge_VGP_SI_VGP_SI;
  double alphabmedge_VSI_BP_VDI_SI;
  double alphabmedge_VSI_BP_VSI_BP;
  double alphabmedge_VSI_BP_VGP_SI;
  double alphabmedge_VDI_SI_VDI_SI;
  double alphabmedge_VDI_SI_VSI_BP;
  double alphabmedge_VDI_SI_VGP_SI;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double dsqredge_VDI_SI;
double dsqredge_VSI_BP;
double dsqredge_VGP_SI;
#if defined(_DERIVATE2)
  double dsqredge_VGP_SI_VDI_SI;
  double dsqredge_VGP_SI_VSI_BP;
  double dsqredge_VGP_SI_VGP_SI;
  double dsqredge_VSI_BP_VDI_SI;
  double dsqredge_VSI_BP_VSI_BP;
  double dsqredge_VSI_BP_VGP_SI;
  double dsqredge_VDI_SI_VDI_SI;
  double dsqredge_VDI_SI_VSI_BP;
  double dsqredge_VDI_SI_VGP_SI;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double qmeffedge_VDI_SI;
double qmeffedge_VSI_BP;
double qmeffedge_VGP_SI;
#if defined(_DERIVATE2)
  double qmeffedge_VGP_SI_VDI_SI;
  double qmeffedge_VGP_SI_VSI_BP;
  double qmeffedge_VGP_SI_VGP_SI;
  double qmeffedge_VSI_BP_VDI_SI;
  double qmeffedge_VSI_BP_VSI_BP;
  double qmeffedge_VSI_BP_VGP_SI;
  double qmeffedge_VDI_SI_VDI_SI;
  double qmeffedge_VDI_SI_VSI_BP;
  double qmeffedge_VDI_SI_VGP_SI;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double qdseffedge_VDI_SI;
double qdseffedge_VSI_BP;
double qdseffedge_VGP_SI;
#if defined(_DERIVATE2)
  double qdseffedge_VGP_SI_VDI_SI;
  double qdseffedge_VGP_SI_VSI_BP;
  double qdseffedge_VGP_SI_VGP_SI;
  double qdseffedge_VSI_BP_VDI_SI;
  double qdseffedge_VSI_BP_VSI_BP;
  double qdseffedge_VSI_BP_VGP_SI;
  double qdseffedge_VDI_SI_VDI_SI;
  double qdseffedge_VDI_SI_VSI_BP;
  double qdseffedge_VDI_SI_VGP_SI;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double xgedge_VDI_SI;
double xgedge_VSI_BP;
double xgedge_VGP_SI;
#if defined(_DERIVATE2)
  double xgedge_VGP_SI_VDI_SI;
  double xgedge_VGP_SI_VSI_BP;
  double xgedge_VGP_SI_VGP_SI;
  double xgedge_VSI_BP_VDI_SI;
  double xgedge_VSI_BP_VSI_BP;
  double xgedge_VSI_BP_VGP_SI;
  double xgedge_VDI_SI_VDI_SI;
  double xgedge_VDI_SI_VSI_BP;
  double xgedge_VDI_SI_VGP_SI;
#endif
#endif
double Vtovs;
#if defined(_DERIVATEFORDDX)
double Vtovs_VGP_SI;
double Vtovs_VSI_BP;
#if defined(_DERIVATE2)
  double Vtovs_VSI_BP_VGP_SI;
  double Vtovs_VSI_BP_VSI_BP;
  double Vtovs_VGP_SI_VGP_SI;
  double Vtovs_VGP_SI_VSI_BP;
#endif
#endif
double Vtovd;
#if defined(_DERIVATEFORDDX)
double Vtovd_VGP_SI;
double Vtovd_VDI_SI;
double Vtovd_VSI_BP;
#if defined(_DERIVATE2)
  double Vtovd_VSI_BP_VGP_SI;
  double Vtovd_VSI_BP_VDI_SI;
  double Vtovd_VSI_BP_VSI_BP;
  double Vtovd_VDI_SI_VGP_SI;
  double Vtovd_VDI_SI_VDI_SI;
  double Vtovd_VDI_SI_VSI_BP;
  double Vtovd_VGP_SI_VGP_SI;
  double Vtovd_VGP_SI_VDI_SI;
  double Vtovd_VGP_SI_VSI_BP;
#endif
#endif
double Igisl;
#if defined(_DERIVATEFORDDX)
double Igisl_VSI_BP;
double Igisl_VGP_SI;
double Igisl_VDI_SI;
#if defined(_DERIVATE2)
  double Igisl_VDI_SI_VSI_BP;
  double Igisl_VDI_SI_VGP_SI;
  double Igisl_VDI_SI_VDI_SI;
  double Igisl_VGP_SI_VSI_BP;
  double Igisl_VGP_SI_VGP_SI;
  double Igisl_VGP_SI_VDI_SI;
  double Igisl_VSI_BP_VSI_BP;
  double Igisl_VSI_BP_VGP_SI;
  double Igisl_VSI_BP_VDI_SI;
#endif
#endif
double Igidl;
#if defined(_DERIVATEFORDDX)
double Igidl_VDI_SI;
double Igidl_VSI_BP;
double Igidl_VGP_SI;
#if defined(_DERIVATE2)
  double Igidl_VGP_SI_VDI_SI;
  double Igidl_VGP_SI_VSI_BP;
  double Igidl_VGP_SI_VGP_SI;
  double Igidl_VSI_BP_VDI_SI;
  double Igidl_VSI_BP_VSI_BP;
  double Igidl_VSI_BP_VGP_SI;
  double Igidl_VDI_SI_VDI_SI;
  double Igidl_VDI_SI_VSI_BP;
  double Igidl_VDI_SI_VGP_SI;
#endif
#endif
double Sg;
#if defined(_DERIVATEFORDDX)
double Sg_VDI_SI;
double Sg_VGP_SI;
double Sg_VSI_BP;
#if defined(_DERIVATE2)
  double Sg_VSI_BP_VDI_SI;
  double Sg_VSI_BP_VGP_SI;
  double Sg_VSI_BP_VSI_BP;
  double Sg_VGP_SI_VDI_SI;
  double Sg_VGP_SI_VGP_SI;
  double Sg_VGP_SI_VSI_BP;
  double Sg_VDI_SI_VDI_SI;
  double Sg_VDI_SI_VGP_SI;
  double Sg_VDI_SI_VSI_BP;
#endif
#endif
double inv_ex;
#if defined(_DERIVATEFORDDX)
double inv_ex_VDI_SI;
double inv_ex_VGP_SI;
double inv_ex_VSI_BP;
#if defined(_DERIVATE2)
  double inv_ex_VSI_BP_VDI_SI;
  double inv_ex_VSI_BP_VGP_SI;
  double inv_ex_VSI_BP_VSI_BP;
  double inv_ex_VGP_SI_VDI_SI;
  double inv_ex_VGP_SI_VGP_SI;
  double inv_ex_VGP_SI_VSI_BP;
  double inv_ex_VDI_SI_VDI_SI;
  double inv_ex_VDI_SI_VGP_SI;
  double inv_ex_VDI_SI_VSI_BP;
#endif
#endif
double ex;
#if defined(_DERIVATEFORDDX)
double ex_VDI_SI;
double ex_VGP_SI;
double ex_VSI_BP;
#if defined(_DERIVATE2)
  double ex_VSI_BP_VDI_SI;
  double ex_VSI_BP_VGP_SI;
  double ex_VSI_BP_VSI_BP;
  double ex_VGP_SI_VDI_SI;
  double ex_VGP_SI_VGP_SI;
  double ex_VGP_SI_VSI_BP;
  double ex_VDI_SI_VDI_SI;
  double ex_VDI_SI_VGP_SI;
  double ex_VDI_SI_VSI_BP;
#endif
#endif
double inv_x;
#if defined(_DERIVATEFORDDX)
double inv_x_VDI_SI;
double inv_x_VGP_SI;
double inv_x_VSI_BP;
#if defined(_DERIVATE2)
  double inv_x_VSI_BP_VDI_SI;
  double inv_x_VSI_BP_VGP_SI;
  double inv_x_VSI_BP_VSI_BP;
  double inv_x_VGP_SI_VDI_SI;
  double inv_x_VGP_SI_VGP_SI;
  double inv_x_VGP_SI_VSI_BP;
  double inv_x_VDI_SI_VDI_SI;
  double inv_x_VDI_SI_VGP_SI;
  double inv_x_VDI_SI_VSI_BP;
#endif
#endif
double xsq;
#if defined(_DERIVATEFORDDX)
double xsq_VDI_SI;
double xsq_VGP_SI;
double xsq_VSI_BP;
#if defined(_DERIVATE2)
  double xsq_VSI_BP_VDI_SI;
  double xsq_VSI_BP_VGP_SI;
  double xsq_VSI_BP_VSI_BP;
  double xsq_VGP_SI_VDI_SI;
  double xsq_VGP_SI_VGP_SI;
  double xsq_VGP_SI_VSI_BP;
  double xsq_VDI_SI_VDI_SI;
  double xsq_VDI_SI_VGP_SI;
  double xsq_VDI_SI_VSI_BP;
#endif
#endif
double Ag;
#if defined(_DERIVATEFORDDX)
double Ag_VGP_SI;
double Ag_VDI_SI;
double Ag_VSI_BP;
#if defined(_DERIVATE2)
  double Ag_VSI_BP_VGP_SI;
  double Ag_VSI_BP_VDI_SI;
  double Ag_VSI_BP_VSI_BP;
  double Ag_VDI_SI_VGP_SI;
  double Ag_VDI_SI_VDI_SI;
  double Ag_VDI_SI_VSI_BP;
  double Ag_VGP_SI_VGP_SI;
  double Ag_VGP_SI_VDI_SI;
  double Ag_VGP_SI_VSI_BP;
#endif
#endif
double Bg;
#if defined(_DERIVATEFORDDX)
double Bg_VGP_SI;
double Bg_VDI_SI;
double Bg_VSI_BP;
#if defined(_DERIVATE2)
  double Bg_VSI_BP_VGP_SI;
  double Bg_VSI_BP_VDI_SI;
  double Bg_VSI_BP_VSI_BP;
  double Bg_VDI_SI_VGP_SI;
  double Bg_VDI_SI_VDI_SI;
  double Bg_VDI_SI_VSI_BP;
  double Bg_VGP_SI_VGP_SI;
  double Bg_VGP_SI_VDI_SI;
  double Bg_VGP_SI_VSI_BP;
#endif
#endif
double u0_div_H;
#if defined(_DERIVATEFORDDX)
double u0_div_H_VGP_SI;
double u0_div_H_VDI_SI;
double u0_div_H_VSI_BP;
#if defined(_DERIVATE2)
  double u0_div_H_VSI_BP_VGP_SI;
  double u0_div_H_VSI_BP_VDI_SI;
  double u0_div_H_VSI_BP_VSI_BP;
  double u0_div_H_VDI_SI_VGP_SI;
  double u0_div_H_VDI_SI_VDI_SI;
  double u0_div_H_VDI_SI_VSI_BP;
  double u0_div_H_VGP_SI_VGP_SI;
  double u0_div_H_VGP_SI_VDI_SI;
  double u0_div_H_VGP_SI_VSI_BP;
#endif
#endif
double x;
#if defined(_DERIVATEFORDDX)
double x_VDI_SI;
double x_VGP_SI;
double x_VSI_BP;
#if defined(_DERIVATE2)
  double x_VSI_BP_VDI_SI;
  double x_VSI_BP_VGP_SI;
  double x_VSI_BP_VSI_BP;
  double x_VGP_SI_VDI_SI;
  double x_VGP_SI_VGP_SI;
  double x_VGP_SI_VSI_BP;
  double x_VDI_SI_VDI_SI;
  double x_VDI_SI_VGP_SI;
  double x_VDI_SI_VSI_BP;
#endif
#endif
double u0;
#if defined(_DERIVATEFORDDX)
double u0_VGP_SI;
double u0_VDI_SI;
double u0_VSI_BP;
#if defined(_DERIVATE2)
  double u0_VSI_BP_VGP_SI;
  double u0_VSI_BP_VDI_SI;
  double u0_VSI_BP_VSI_BP;
  double u0_VDI_SI_VGP_SI;
  double u0_VDI_SI_VDI_SI;
  double u0_VDI_SI_VSI_BP;
  double u0_VGP_SI_VGP_SI;
  double u0_VGP_SI_VDI_SI;
  double u0_VGP_SI_VSI_BP;
#endif
#endif
double igcd_h;
#if defined(_DERIVATEFORDDX)
double igcd_h_VDI_SI;
double igcd_h_VGP_SI;
double igcd_h_VSI_BP;
#if defined(_DERIVATE2)
  double igcd_h_VSI_BP_VDI_SI;
  double igcd_h_VSI_BP_VGP_SI;
  double igcd_h_VSI_BP_VSI_BP;
  double igcd_h_VGP_SI_VDI_SI;
  double igcd_h_VGP_SI_VGP_SI;
  double igcd_h_VGP_SI_VSI_BP;
  double igcd_h_VDI_SI_VDI_SI;
  double igcd_h_VDI_SI_VGP_SI;
  double igcd_h_VDI_SI_VSI_BP;
#endif
#endif
double igc;
#if defined(_DERIVATEFORDDX)
double igc_VDI_SI;
double igc_VGP_SI;
double igc_VSI_BP;
#if defined(_DERIVATE2)
  double igc_VSI_BP_VDI_SI;
  double igc_VSI_BP_VGP_SI;
  double igc_VSI_BP_VSI_BP;
  double igc_VGP_SI_VDI_SI;
  double igc_VGP_SI_VGP_SI;
  double igc_VGP_SI_VSI_BP;
  double igc_VDI_SI_VDI_SI;
  double igc_VDI_SI_VGP_SI;
  double igc_VDI_SI_VSI_BP;
#endif
#endif
double Igc0;
#if defined(_DERIVATEFORDDX)
double Igc0_VGP_SI;
double Igc0_VDI_SI;
double Igc0_VSI_BP;
#if defined(_DERIVATE2)
  double Igc0_VSI_BP_VGP_SI;
  double Igc0_VSI_BP_VDI_SI;
  double Igc0_VSI_BP_VSI_BP;
  double Igc0_VDI_SI_VGP_SI;
  double Igc0_VDI_SI_VDI_SI;
  double Igc0_VDI_SI_VSI_BP;
  double Igc0_VGP_SI_VGP_SI;
  double Igc0_VGP_SI_VDI_SI;
  double Igc0_VGP_SI_VSI_BP;
#endif
#endif
double Dgate;
#if defined(_DERIVATEFORDDX)
double Dgate_VDI_SI;
double Dgate_VGP_SI;
double Dgate_VSI_BP;
#if defined(_DERIVATE2)
  double Dgate_VSI_BP_VDI_SI;
  double Dgate_VSI_BP_VGP_SI;
  double Dgate_VSI_BP_VSI_BP;
  double Dgate_VGP_SI_VDI_SI;
  double Dgate_VGP_SI_VGP_SI;
  double Dgate_VGP_SI_VSI_BP;
  double Dgate_VDI_SI_VDI_SI;
  double Dgate_VDI_SI_VGP_SI;
  double Dgate_VDI_SI_VSI_BP;
#endif
#endif
double Dsi;
#if defined(_DERIVATEFORDDX)
double Dsi_VDI_SI;
double Dsi_VGP_SI;
double Dsi_VSI_BP;
#if defined(_DERIVATE2)
  double Dsi_VSI_BP_VDI_SI;
  double Dsi_VSI_BP_VGP_SI;
  double Dsi_VSI_BP_VSI_BP;
  double Dsi_VGP_SI_VDI_SI;
  double Dsi_VGP_SI_VGP_SI;
  double Dsi_VGP_SI_VSI_BP;
  double Dsi_VDI_SI_VDI_SI;
  double Dsi_VDI_SI_VGP_SI;
  double Dsi_VDI_SI_VSI_BP;
#endif
#endif
double arg1;
#if defined(_DERIVATEFORDDX)
double arg1_VDI_SI;
double arg1_VGP_SI;
double arg1_VSI_BP;
#if defined(_DERIVATE2)
  double arg1_VSI_BP_VDI_SI;
  double arg1_VSI_BP_VGP_SI;
  double arg1_VSI_BP_VSI_BP;
  double arg1_VGP_SI_VDI_SI;
  double arg1_VGP_SI_VGP_SI;
  double arg1_VGP_SI_VSI_BP;
  double arg1_VDI_SI_VDI_SI;
  double arg1_VDI_SI_VGP_SI;
  double arg1_VDI_SI_VSI_BP;
#endif
#endif
double psi_t;
#if defined(_DERIVATEFORDDX)
double psi_t_VDI_SI;
double psi_t_VGP_SI;
double psi_t_VSI_BP;
#if defined(_DERIVATE2)
  double psi_t_VSI_BP_VDI_SI;
  double psi_t_VSI_BP_VGP_SI;
  double psi_t_VSI_BP_VSI_BP;
  double psi_t_VGP_SI_VDI_SI;
  double psi_t_VGP_SI_VGP_SI;
  double psi_t_VGP_SI_VSI_BP;
  double psi_t_VDI_SI_VDI_SI;
  double psi_t_VDI_SI_VGP_SI;
  double psi_t_VDI_SI_VSI_BP;
#endif
#endif
double arg2mina;
#if defined(_DERIVATEFORDDX)
double arg2mina_VDI_SI;
double arg2mina_VGP_SI;
double arg2mina_VSI_BP;
#if defined(_DERIVATE2)
  double arg2mina_VSI_BP_VDI_SI;
  double arg2mina_VSI_BP_VGP_SI;
  double arg2mina_VSI_BP_VSI_BP;
  double arg2mina_VGP_SI_VDI_SI;
  double arg2mina_VGP_SI_VGP_SI;
  double arg2mina_VGP_SI_VSI_BP;
  double arg2mina_VDI_SI_VDI_SI;
  double arg2mina_VDI_SI_VGP_SI;
  double arg2mina_VDI_SI_VSI_BP;
#endif
#endif
double Dch;
#if defined(_DERIVATEFORDDX)
double Dch_VDI_SI;
double Dch_VGP_SI;
double Dch_VSI_BP;
#if defined(_DERIVATE2)
  double Dch_VSI_BP_VDI_SI;
  double Dch_VSI_BP_VGP_SI;
  double Dch_VSI_BP_VSI_BP;
  double Dch_VGP_SI_VDI_SI;
  double Dch_VGP_SI_VGP_SI;
  double Dch_VGP_SI_VSI_BP;
  double Dch_VDI_SI_VDI_SI;
  double Dch_VDI_SI_VGP_SI;
  double Dch_VDI_SI_VSI_BP;
#endif
#endif
double Vm;
#if defined(_DERIVATEFORDDX)
double Vm_VDI_SI;
double Vm_VSI_BP;
double Vm_VGP_SI;
#if defined(_DERIVATE2)
  double Vm_VGP_SI_VDI_SI;
  double Vm_VGP_SI_VSI_BP;
  double Vm_VGP_SI_VGP_SI;
  double Vm_VSI_BP_VDI_SI;
  double Vm_VSI_BP_VSI_BP;
  double Vm_VSI_BP_VGP_SI;
  double Vm_VDI_SI_VDI_SI;
  double Vm_VDI_SI_VSI_BP;
  double Vm_VDI_SI_VGP_SI;
#endif
#endif
double Fs;
#if defined(_DERIVATEFORDDX)
double Fs_VDI_SI;
double Fs_VSI_BP;
double Fs_VGP_SI;
#if defined(_DERIVATE2)
  double Fs_VGP_SI_VDI_SI;
  double Fs_VGP_SI_VSI_BP;
  double Fs_VGP_SI_VGP_SI;
  double Fs_VSI_BP_VDI_SI;
  double Fs_VSI_BP_VSI_BP;
  double Fs_VSI_BP_VGP_SI;
  double Fs_VDI_SI_VDI_SI;
  double Fs_VDI_SI_VSI_BP;
  double Fs_VDI_SI_VGP_SI;
#endif
#endif
double tme2;
#if defined(_DERIVATEFORDDX)
double tme2_VDI_SI;
double tme2_VSI_BP;
double tme2_VGP_SI;
#if defined(_DERIVATE2)
  double tme2_VGP_SI_VDI_SI;
  double tme2_VGP_SI_VSI_BP;
  double tme2_VGP_SI_VGP_SI;
  double tme2_VSI_BP_VDI_SI;
  double tme2_VSI_BP_VSI_BP;
  double tme2_VSI_BP_VGP_SI;
  double tme2_VDI_SI_VDI_SI;
  double tme2_VDI_SI_VSI_BP;
  double tme2_VDI_SI_VGP_SI;
#endif
#endif
double tme1;
double Fs3;
#if defined(_DERIVATEFORDDX)
double Fs3_VDI_SI;
double Fs3_VGP_SI;
#if defined(_DERIVATE2)
  double Fs3_VGP_SI_VDI_SI;
  double Fs3_VGP_SI_VGP_SI;
  double Fs3_VDI_SI_VDI_SI;
  double Fs3_VDI_SI_VGP_SI;
#endif
#endif
double Fs2;
double Fs1;
#if defined(_DERIVATEFORDDX)
double Fs1_VDI_SI;
double Fs1_VGP_SI;
#if defined(_DERIVATE2)
  double Fs1_VGP_SI_VDI_SI;
  double Fs1_VGP_SI_VGP_SI;
  double Fs1_VDI_SI_VDI_SI;
  double Fs1_VDI_SI_VGP_SI;
#endif
#endif
double TP;
#if defined(_DERIVATEFORDDX)
double TP_VGP_SI;
double TP_VDI_SI;
double TP_VSI_BP;
#if defined(_DERIVATE2)
  double TP_VSI_BP_VGP_SI;
  double TP_VSI_BP_VDI_SI;
  double TP_VSI_BP_VSI_BP;
  double TP_VDI_SI_VGP_SI;
  double TP_VDI_SI_VDI_SI;
  double TP_VDI_SI_VSI_BP;
  double TP_VGP_SI_VGP_SI;
  double TP_VGP_SI_VDI_SI;
  double TP_VGP_SI_VSI_BP;
#endif
#endif
double zg;
#if defined(_DERIVATEFORDDX)
double zg_VSI_BP;
double zg_VDI_SI;
double zg_VGP_SI;
#if defined(_DERIVATE2)
  double zg_VGP_SI_VSI_BP;
  double zg_VGP_SI_VDI_SI;
  double zg_VGP_SI_VGP_SI;
  double zg_VDI_SI_VSI_BP;
  double zg_VDI_SI_VDI_SI;
  double zg_VDI_SI_VGP_SI;
  double zg_VSI_BP_VSI_BP;
  double zg_VSI_BP_VDI_SI;
  double zg_VSI_BP_VGP_SI;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double Igcd_VGP_SI;
double Igcd_VDI_SI;
double Igcd_VSI_BP;
#if defined(_DERIVATE2)
  double Igcd_VSI_BP_VGP_SI;
  double Igcd_VSI_BP_VDI_SI;
  double Igcd_VSI_BP_VSI_BP;
  double Igcd_VDI_SI_VGP_SI;
  double Igcd_VDI_SI_VDI_SI;
  double Igcd_VDI_SI_VSI_BP;
  double Igcd_VGP_SI_VGP_SI;
  double Igcd_VGP_SI_VDI_SI;
  double Igcd_VGP_SI_VSI_BP;
#endif
#endif
#if defined(_DERIVATE)
double Igcs_VGP_SI;
double Igcs_VDI_SI;
double Igcs_VSI_BP;
#endif
double Igb;
#if defined(_DERIVATE)
double Igb_VGP_SI;
double Igb_VDI_SI;
double Igb_VSI_BP;
#endif
double Igc;
#if defined(_DERIVATE)
double Igc_VGP_SI;
double Igc_VDI_SI;
double Igc_VSI_BP;
#endif
#if defined(_DERIVATEFORDDX)
double Igdov_VGP_SI;
double Igdov_VDI_SI;
double Igdov_VSI_BP;
#if defined(_DERIVATE2)
  double Igdov_VSI_BP_VGP_SI;
  double Igdov_VSI_BP_VDI_SI;
  double Igdov_VSI_BP_VSI_BP;
  double Igdov_VDI_SI_VGP_SI;
  double Igdov_VDI_SI_VDI_SI;
  double Igdov_VDI_SI_VSI_BP;
  double Igdov_VGP_SI_VGP_SI;
  double Igdov_VGP_SI_VDI_SI;
  double Igdov_VGP_SI_VSI_BP;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double Igsov_VGP_SI;
double Igsov_VDI_SI;
double Igsov_VSI_BP;
#if defined(_DERIVATE2)
  double Igsov_VSI_BP_VGP_SI;
  double Igsov_VSI_BP_VDI_SI;
  double Igsov_VSI_BP_VSI_BP;
  double Igsov_VDI_SI_VGP_SI;
  double Igsov_VDI_SI_VDI_SI;
  double Igsov_VDI_SI_VSI_BP;
  double Igsov_VGP_SI_VGP_SI;
  double Igsov_VGP_SI_VDI_SI;
  double Igsov_VGP_SI_VSI_BP;
#endif
#endif
double SP_OV_xg;
#if defined(_DERIVATEFORDDX)
double SP_OV_xg_VDI_SI;
double SP_OV_xg_VGP_SI;
#if defined(_DERIVATE2)
  double SP_OV_xg_VGP_SI_VDI_SI;
  double SP_OV_xg_VGP_SI_VGP_SI;
  double SP_OV_xg_VDI_SI_VDI_SI;
  double SP_OV_xg_VDI_SI_VGP_SI;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double Ids_VDI_SI;
double Ids_VGP_SI;
double Ids_VSI_BP;
#if defined(_DERIVATE2)
  double Ids_VSI_BP_VDI_SI;
  double Ids_VSI_BP_VGP_SI;
  double Ids_VSI_BP_VSI_BP;
  double Ids_VGP_SI_VDI_SI;
  double Ids_VGP_SI_VGP_SI;
  double Ids_VGP_SI_VSI_BP;
  double Ids_VDI_SI_VDI_SI;
  double Ids_VDI_SI_VGP_SI;
  double Ids_VDI_SI_VSI_BP;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double Vdse_dc_VGP_SI;
double Vdse_dc_VSI_BP;
double Vdse_dc_VDI_SI;
#if defined(_DERIVATE2)
  double Vdse_dc_VDI_SI_VGP_SI;
  double Vdse_dc_VDI_SI_VSI_BP;
  double Vdse_dc_VDI_SI_VDI_SI;
  double Vdse_dc_VSI_BP_VGP_SI;
  double Vdse_dc_VSI_BP_VSI_BP;
  double Vdse_dc_VSI_BP_VDI_SI;
  double Vdse_dc_VGP_SI_VGP_SI;
  double Vdse_dc_VGP_SI_VSI_BP;
  double Vdse_dc_VGP_SI_VDI_SI;
#endif
#endif
#if defined(_DERIVATE)
double xitsb_dc_VDI_SI;
double xitsb_dc_VSI_BP;
#endif
#if defined(_DERIVATEFORDDX)
double Gmob_dc_VDI_SI;
double Gmob_dc_VGP_SI;
double Gmob_dc_VSI_BP;
#if defined(_DERIVATE2)
  double Gmob_dc_VSI_BP_VDI_SI;
  double Gmob_dc_VSI_BP_VGP_SI;
  double Gmob_dc_VSI_BP_VSI_BP;
  double Gmob_dc_VGP_SI_VDI_SI;
  double Gmob_dc_VGP_SI_VGP_SI;
  double Gmob_dc_VGP_SI_VSI_BP;
  double Gmob_dc_VDI_SI_VDI_SI;
  double Gmob_dc_VDI_SI_VGP_SI;
  double Gmob_dc_VDI_SI_VSI_BP;
#endif
#endif
double Udse_dc;
#if defined(_DERIVATEFORDDX)
double Udse_dc_VGP_SI;
double Udse_dc_VSI_BP;
double Udse_dc_VDI_SI;
#if defined(_DERIVATE2)
  double Udse_dc_VDI_SI_VGP_SI;
  double Udse_dc_VDI_SI_VSI_BP;
  double Udse_dc_VDI_SI_VDI_SI;
  double Udse_dc_VSI_BP_VGP_SI;
  double Udse_dc_VSI_BP_VSI_BP;
  double Udse_dc_VSI_BP_VDI_SI;
  double Udse_dc_VGP_SI_VGP_SI;
  double Udse_dc_VGP_SI_VSI_BP;
  double Udse_dc_VGP_SI_VDI_SI;
#endif
#endif
double Vdsat_dc;
double Gf_dc;
double x_m_dc;
#if defined(_DERIVATEFORDDX)
double x_m_dc_VDI_SI;
double x_m_dc_VGP_SI;
double x_m_dc_VSI_BP;
#if defined(_DERIVATE2)
  double x_m_dc_VSI_BP_VDI_SI;
  double x_m_dc_VSI_BP_VGP_SI;
  double x_m_dc_VSI_BP_VSI_BP;
  double x_m_dc_VGP_SI_VDI_SI;
  double x_m_dc_VGP_SI_VGP_SI;
  double x_m_dc_VGP_SI_VSI_BP;
  double x_m_dc_VDI_SI_VDI_SI;
  double x_m_dc_VDI_SI_VGP_SI;
  double x_m_dc_VDI_SI_VSI_BP;
#endif
#endif
double x_ds_dc;
#if defined(_DERIVATEFORDDX)
double x_ds_dc_VDI_SI;
double x_ds_dc_VGP_SI;
double x_ds_dc_VSI_BP;
#if defined(_DERIVATE2)
  double x_ds_dc_VSI_BP_VDI_SI;
  double x_ds_dc_VSI_BP_VGP_SI;
  double x_ds_dc_VSI_BP_VSI_BP;
  double x_ds_dc_VGP_SI_VDI_SI;
  double x_ds_dc_VGP_SI_VGP_SI;
  double x_ds_dc_VGP_SI_VSI_BP;
  double x_ds_dc_VDI_SI_VDI_SI;
  double x_ds_dc_VDI_SI_VGP_SI;
  double x_ds_dc_VDI_SI_VSI_BP;
#endif
#endif
#if defined(_DYNAMIC)
double Gmob_dL_dc;
#if defined(_DERIVATE)
double Gmob_dL_dc_VDI_SI;
double Gmob_dL_dc_VGP_SI;
double Gmob_dL_dc_VSI_BP;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double Gvsatinv_dc_VDI_SI;
double Gvsatinv_dc_VGP_SI;
double Gvsatinv_dc_VSI_BP;
#if defined(_DERIVATE2)
  double Gvsatinv_dc_VSI_BP_VDI_SI;
  double Gvsatinv_dc_VSI_BP_VGP_SI;
  double Gvsatinv_dc_VSI_BP_VSI_BP;
  double Gvsatinv_dc_VGP_SI_VDI_SI;
  double Gvsatinv_dc_VGP_SI_VGP_SI;
  double Gvsatinv_dc_VGP_SI_VSI_BP;
  double Gvsatinv_dc_VDI_SI_VDI_SI;
  double Gvsatinv_dc_VDI_SI_VGP_SI;
  double Gvsatinv_dc_VDI_SI_VSI_BP;
#endif
#endif
#if defined(_DYNAMIC)
double Gvsat_dc;
#if defined(_DERIVATE)
double Gvsat_dc_VDI_SI;
double Gvsat_dc_VGP_SI;
double Gvsat_dc_VSI_BP;
#endif
#endif
#if defined(_DYNAMIC)
double eta_p_dc;
#if defined(_DERIVATEFORDDX)
double eta_p_dc_VDI_SI;
double eta_p_dc_VGP_SI;
double eta_p_dc_VSI_BP;
#if defined(_DERIVATE2)
  double eta_p_dc_VSI_BP_VDI_SI;
  double eta_p_dc_VSI_BP_VGP_SI;
  double eta_p_dc_VSI_BP_VSI_BP;
  double eta_p_dc_VGP_SI_VDI_SI;
  double eta_p_dc_VGP_SI_VGP_SI;
  double eta_p_dc_VGP_SI_VSI_BP;
  double eta_p_dc_VDI_SI_VDI_SI;
  double eta_p_dc_VDI_SI_VGP_SI;
  double eta_p_dc_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DERIVATEFORDDX)
double H_dc_VGP_SI;
double H_dc_VDI_SI;
double H_dc_VSI_BP;
#if defined(_DERIVATE2)
  double H_dc_VSI_BP_VGP_SI;
  double H_dc_VSI_BP_VDI_SI;
  double H_dc_VSI_BP_VSI_BP;
  double H_dc_VDI_SI_VGP_SI;
  double H_dc_VDI_SI_VDI_SI;
  double H_dc_VDI_SI_VSI_BP;
  double H_dc_VGP_SI_VGP_SI;
  double H_dc_VGP_SI_VDI_SI;
  double H_dc_VGP_SI_VSI_BP;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double FdL_dc_VDI_SI;
double FdL_dc_VGP_SI;
double FdL_dc_VSI_BP;
#if defined(_DERIVATE2)
  double FdL_dc_VSI_BP_VDI_SI;
  double FdL_dc_VSI_BP_VGP_SI;
  double FdL_dc_VSI_BP_VSI_BP;
  double FdL_dc_VGP_SI_VDI_SI;
  double FdL_dc_VGP_SI_VGP_SI;
  double FdL_dc_VGP_SI_VSI_BP;
  double FdL_dc_VDI_SI_VDI_SI;
  double FdL_dc_VDI_SI_VGP_SI;
  double FdL_dc_VDI_SI_VSI_BP;
#endif
#endif
#if defined(_DYNAMIC)
double GdL_dc;
#if defined(_DERIVATEFORDDX)
double GdL_dc_VDI_SI;
double GdL_dc_VGP_SI;
double GdL_dc_VSI_BP;
#if defined(_DERIVATE2)
  double GdL_dc_VSI_BP_VDI_SI;
  double GdL_dc_VSI_BP_VGP_SI;
  double GdL_dc_VSI_BP_VSI_BP;
  double GdL_dc_VGP_SI_VDI_SI;
  double GdL_dc_VGP_SI_VGP_SI;
  double GdL_dc_VGP_SI_VSI_BP;
  double GdL_dc_VDI_SI_VDI_SI;
  double GdL_dc_VDI_SI_VGP_SI;
  double GdL_dc_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DERIVATEFORDDX)
double qim1_dc_VDI_SI;
double qim1_dc_VGP_SI;
double qim1_dc_VSI_BP;
#if defined(_DERIVATE2)
  double qim1_dc_VSI_BP_VDI_SI;
  double qim1_dc_VSI_BP_VGP_SI;
  double qim1_dc_VSI_BP_VSI_BP;
  double qim1_dc_VGP_SI_VDI_SI;
  double qim1_dc_VGP_SI_VGP_SI;
  double qim1_dc_VGP_SI_VSI_BP;
  double qim1_dc_VDI_SI_VDI_SI;
  double qim1_dc_VDI_SI_VGP_SI;
  double qim1_dc_VDI_SI_VSI_BP;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double qim_dc_VDI_SI;
double qim_dc_VGP_SI;
double qim_dc_VSI_BP;
#if defined(_DERIVATE2)
  double qim_dc_VSI_BP_VDI_SI;
  double qim_dc_VSI_BP_VGP_SI;
  double qim_dc_VSI_BP_VSI_BP;
  double qim_dc_VGP_SI_VDI_SI;
  double qim_dc_VGP_SI_VGP_SI;
  double qim_dc_VGP_SI_VSI_BP;
  double qim_dc_VDI_SI_VDI_SI;
  double qim_dc_VDI_SI_VGP_SI;
  double qim_dc_VDI_SI_VSI_BP;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double dps_dc_VDI_SI;
double dps_dc_VGP_SI;
double dps_dc_VSI_BP;
#if defined(_DERIVATE2)
  double dps_dc_VSI_BP_VDI_SI;
  double dps_dc_VSI_BP_VGP_SI;
  double dps_dc_VSI_BP_VSI_BP;
  double dps_dc_VGP_SI_VDI_SI;
  double dps_dc_VGP_SI_VGP_SI;
  double dps_dc_VGP_SI_VSI_BP;
  double dps_dc_VDI_SI_VDI_SI;
  double dps_dc_VDI_SI_VGP_SI;
  double dps_dc_VDI_SI_VSI_BP;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double alpha_dc_VDI_SI;
double alpha_dc_VGP_SI;
double alpha_dc_VSI_BP;
#if defined(_DERIVATE2)
  double alpha_dc_VSI_BP_VDI_SI;
  double alpha_dc_VSI_BP_VGP_SI;
  double alpha_dc_VSI_BP_VSI_BP;
  double alpha_dc_VGP_SI_VDI_SI;
  double alpha_dc_VGP_SI_VGP_SI;
  double alpha_dc_VGP_SI_VSI_BP;
  double alpha_dc_VDI_SI_VDI_SI;
  double alpha_dc_VDI_SI_VGP_SI;
  double alpha_dc_VDI_SI_VSI_BP;
#endif
#endif
double Voxm_dc;
#if defined(_DERIVATEFORDDX)
double Voxm_dc_VDI_SI;
double Voxm_dc_VGP_SI;
double Voxm_dc_VSI_BP;
#if defined(_DERIVATE2)
  double Voxm_dc_VSI_BP_VDI_SI;
  double Voxm_dc_VSI_BP_VGP_SI;
  double Voxm_dc_VSI_BP_VSI_BP;
  double Voxm_dc_VGP_SI_VDI_SI;
  double Voxm_dc_VGP_SI_VGP_SI;
  double Voxm_dc_VGP_SI_VSI_BP;
  double Voxm_dc_VDI_SI_VDI_SI;
  double Voxm_dc_VDI_SI_VGP_SI;
  double Voxm_dc_VDI_SI_VSI_BP;
#endif
#endif
#if defined(_DYNAMIC)
double qeff1_dc;
#if defined(_DERIVATEFORDDX)
double qeff1_dc_VDI_SI;
double qeff1_dc_VGP_SI;
double qeff1_dc_VSI_BP;
#if defined(_DERIVATE2)
  double qeff1_dc_VSI_BP_VDI_SI;
  double qeff1_dc_VSI_BP_VGP_SI;
  double qeff1_dc_VSI_BP_VSI_BP;
  double qeff1_dc_VGP_SI_VDI_SI;
  double qeff1_dc_VGP_SI_VGP_SI;
  double qeff1_dc_VGP_SI_VSI_BP;
  double qeff1_dc_VDI_SI_VDI_SI;
  double qeff1_dc_VDI_SI_VGP_SI;
  double qeff1_dc_VDI_SI_VSI_BP;
#endif
#endif
#endif
#if defined(_DERIVATEFORDDX)
double xg_dc_VDI_SI;
double xg_dc_VGP_SI;
double xg_dc_VSI_BP;
#if defined(_DERIVATE2)
  double xg_dc_VSI_BP_VDI_SI;
  double xg_dc_VSI_BP_VGP_SI;
  double xg_dc_VSI_BP_VSI_BP;
  double xg_dc_VGP_SI_VDI_SI;
  double xg_dc_VGP_SI_VGP_SI;
  double xg_dc_VGP_SI_VSI_BP;
  double xg_dc_VDI_SI_VDI_SI;
  double xg_dc_VDI_SI_VGP_SI;
  double xg_dc_VDI_SI_VSI_BP;
#endif
#endif
double dL1;
#if defined(_DERIVATEFORDDX)
double dL1_VDI_SI;
double dL1_VGP_SI;
double dL1_VSI_BP;
#if defined(_DERIVATE2)
  double dL1_VSI_BP_VDI_SI;
  double dL1_VSI_BP_VGP_SI;
  double dL1_VSI_BP_VSI_BP;
  double dL1_VGP_SI_VDI_SI;
  double dL1_VGP_SI_VGP_SI;
  double dL1_VGP_SI_VSI_BP;
  double dL1_VDI_SI_VDI_SI;
  double dL1_VDI_SI_VGP_SI;
  double dL1_VDI_SI_VSI_BP;
#endif
#endif
double s2;
#if defined(_DERIVATEFORDDX)
double s2_VDI_SI;
#if defined(_DERIVATE2)
  double s2_VDI_SI_VDI_SI;
#endif
#endif
double r2;
#if defined(_DERIVATEFORDDX)
double r2_VDI_SI;
double r2_VGP_SI;
double r2_VSI_BP;
#if defined(_DERIVATE2)
  double r2_VSI_BP_VDI_SI;
  double r2_VSI_BP_VGP_SI;
  double r2_VSI_BP_VSI_BP;
  double r2_VGP_SI_VDI_SI;
  double r2_VGP_SI_VGP_SI;
  double r2_VGP_SI_VSI_BP;
  double r2_VDI_SI_VDI_SI;
  double r2_VDI_SI_VGP_SI;
  double r2_VDI_SI_VSI_BP;
#endif
#endif
double r1;
#if defined(_DERIVATEFORDDX)
double r1_VDI_SI;
double r1_VGP_SI;
double r1_VSI_BP;
#if defined(_DERIVATE2)
  double r1_VSI_BP_VDI_SI;
  double r1_VSI_BP_VGP_SI;
  double r1_VSI_BP_VSI_BP;
  double r1_VGP_SI_VDI_SI;
  double r1_VGP_SI_VGP_SI;
  double r1_VGP_SI_VSI_BP;
  double r1_VDI_SI_VDI_SI;
  double r1_VDI_SI_VGP_SI;
  double r1_VDI_SI_VSI_BP;
#endif
#endif
double qim1_1;
#if defined(_DERIVATEFORDDX)
double qim1_1_VDI_SI;
double qim1_1_VGP_SI;
double qim1_1_VSI_BP;
#if defined(_DERIVATE2)
  double qim1_1_VSI_BP_VDI_SI;
  double qim1_1_VSI_BP_VGP_SI;
  double qim1_1_VSI_BP_VSI_BP;
  double qim1_1_VGP_SI_VDI_SI;
  double qim1_1_VGP_SI_VGP_SI;
  double qim1_1_VGP_SI_VSI_BP;
  double qim1_1_VDI_SI_VDI_SI;
  double qim1_1_VDI_SI_VGP_SI;
  double qim1_1_VDI_SI_VSI_BP;
#endif
#endif
double alpha1;
#if defined(_DERIVATEFORDDX)
double alpha1_VDI_SI;
double alpha1_VGP_SI;
double alpha1_VSI_BP;
#if defined(_DERIVATE2)
  double alpha1_VSI_BP_VDI_SI;
  double alpha1_VSI_BP_VGP_SI;
  double alpha1_VSI_BP_VSI_BP;
  double alpha1_VGP_SI_VDI_SI;
  double alpha1_VGP_SI_VGP_SI;
  double alpha1_VGP_SI_VSI_BP;
  double alpha1_VDI_SI_VDI_SI;
  double alpha1_VDI_SI_VGP_SI;
  double alpha1_VDI_SI_VSI_BP;
#endif
#endif
double zsat;
#if defined(_DERIVATEFORDDX)
double zsat_VGP_SI;
double zsat_VDI_SI;
double zsat_VSI_BP;
#if defined(_DERIVATE2)
  double zsat_VSI_BP_VGP_SI;
  double zsat_VSI_BP_VDI_SI;
  double zsat_VSI_BP_VSI_BP;
  double zsat_VDI_SI_VGP_SI;
  double zsat_VDI_SI_VDI_SI;
  double zsat_VDI_SI_VSI_BP;
  double zsat_VGP_SI_VGP_SI;
  double zsat_VGP_SI_VDI_SI;
  double zsat_VGP_SI_VSI_BP;
#endif
#endif
double qeff;
#if defined(_DERIVATEFORDDX)
double qeff_VDI_SI;
double qeff_VGP_SI;
double qeff_VSI_BP;
#if defined(_DERIVATE2)
  double qeff_VSI_BP_VDI_SI;
  double qeff_VSI_BP_VGP_SI;
  double qeff_VSI_BP_VSI_BP;
  double qeff_VGP_SI_VDI_SI;
  double qeff_VGP_SI_VGP_SI;
  double qeff_VGP_SI_VSI_BP;
  double qeff_VDI_SI_VDI_SI;
  double qeff_VDI_SI_VGP_SI;
  double qeff_VDI_SI_VSI_BP;
#endif
#endif
double km0;
#if defined(_DERIVATEFORDDX)
double km0_VDI_SI;
double km0_VGP_SI;
double km0_VSI_BP;
#if defined(_DERIVATE2)
  double km0_VSI_BP_VDI_SI;
  double km0_VSI_BP_VGP_SI;
  double km0_VSI_BP_VSI_BP;
  double km0_VGP_SI_VDI_SI;
  double km0_VGP_SI_VGP_SI;
  double km0_VGP_SI_VSI_BP;
  double km0_VDI_SI_VDI_SI;
  double km0_VDI_SI_VGP_SI;
  double km0_VDI_SI_VSI_BP;
#endif
#endif
double km;
#if defined(_DERIVATEFORDDX)
double km_VGP_SI;
double km_VDI_SI;
double km_VSI_BP;
#if defined(_DERIVATE2)
  double km_VSI_BP_VGP_SI;
  double km_VSI_BP_VDI_SI;
  double km_VSI_BP_VSI_BP;
  double km_VDI_SI_VGP_SI;
  double km_VDI_SI_VDI_SI;
  double km_VDI_SI_VSI_BP;
  double km_VGP_SI_VGP_SI;
  double km_VGP_SI_VDI_SI;
  double km_VGP_SI_VSI_BP;
#endif
#endif
double u_pd;
#if defined(_DERIVATEFORDDX)
double u_pd_VGP_SI;
double u_pd_VDI_SI;
double u_pd_VSI_BP;
#if defined(_DERIVATE2)
  double u_pd_VSI_BP_VGP_SI;
  double u_pd_VSI_BP_VDI_SI;
  double u_pd_VSI_BP_VSI_BP;
  double u_pd_VDI_SI_VGP_SI;
  double u_pd_VDI_SI_VDI_SI;
  double u_pd_VDI_SI_VSI_BP;
  double u_pd_VGP_SI_VGP_SI;
  double u_pd_VGP_SI_VDI_SI;
  double u_pd_VGP_SI_VSI_BP;
#endif
#endif
double xi_pd;
#if defined(_DERIVATEFORDDX)
double xi_pd_VDI_SI;
double xi_pd_VGP_SI;
double xi_pd_VSI_BP;
#if defined(_DERIVATE2)
  double xi_pd_VSI_BP_VDI_SI;
  double xi_pd_VSI_BP_VGP_SI;
  double xi_pd_VSI_BP_VSI_BP;
  double xi_pd_VGP_SI_VDI_SI;
  double xi_pd_VGP_SI_VGP_SI;
  double xi_pd_VGP_SI_VSI_BP;
  double xi_pd_VDI_SI_VDI_SI;
  double xi_pd_VDI_SI_VGP_SI;
  double xi_pd_VDI_SI_VSI_BP;
#endif
#endif
double q_pd;
#if defined(_DERIVATEFORDDX)
double q_pd_VGP_SI;
double q_pd_VDI_SI;
double q_pd_VSI_BP;
#if defined(_DERIVATE2)
  double q_pd_VSI_BP_VGP_SI;
  double q_pd_VSI_BP_VDI_SI;
  double q_pd_VSI_BP_VSI_BP;
  double q_pd_VDI_SI_VGP_SI;
  double q_pd_VDI_SI_VDI_SI;
  double q_pd_VDI_SI_VSI_BP;
  double q_pd_VGP_SI_VGP_SI;
  double q_pd_VGP_SI_VDI_SI;
  double q_pd_VGP_SI_VSI_BP;
#endif
#endif
double p_pd;
#if defined(_DERIVATEFORDDX)
double p_pd_VDI_SI;
double p_pd_VGP_SI;
double p_pd_VSI_BP;
#if defined(_DERIVATE2)
  double p_pd_VSI_BP_VDI_SI;
  double p_pd_VSI_BP_VGP_SI;
  double p_pd_VSI_BP_VSI_BP;
  double p_pd_VGP_SI_VDI_SI;
  double p_pd_VGP_SI_VGP_SI;
  double p_pd_VGP_SI_VSI_BP;
  double p_pd_VDI_SI_VDI_SI;
  double p_pd_VDI_SI_VGP_SI;
  double p_pd_VDI_SI_VSI_BP;
#endif
#endif
double x_pm;
#if defined(_DERIVATEFORDDX)
double x_pm_VGP_SI;
double x_pm_VDI_SI;
double x_pm_VSI_BP;
#if defined(_DERIVATE2)
  double x_pm_VSI_BP_VGP_SI;
  double x_pm_VSI_BP_VDI_SI;
  double x_pm_VSI_BP_VSI_BP;
  double x_pm_VDI_SI_VGP_SI;
  double x_pm_VDI_SI_VDI_SI;
  double x_pm_VDI_SI_VSI_BP;
  double x_pm_VGP_SI_VGP_SI;
  double x_pm_VGP_SI_VDI_SI;
  double x_pm_VGP_SI_VSI_BP;
#endif
#endif
double d0;
#if defined(_DERIVATEFORDDX)
double d0_VDI_SI;
double d0_VGP_SI;
double d0_VSI_BP;
#if defined(_DERIVATE2)
  double d0_VSI_BP_VDI_SI;
  double d0_VSI_BP_VGP_SI;
  double d0_VSI_BP_VSI_BP;
  double d0_VGP_SI_VDI_SI;
  double d0_VGP_SI_VGP_SI;
  double d0_VGP_SI_VSI_BP;
  double d0_VDI_SI_VDI_SI;
  double d0_VDI_SI_VGP_SI;
  double d0_VDI_SI_VSI_BP;
#endif
#endif
double Pm;
#if defined(_DERIVATEFORDDX)
double Pm_VDI_SI;
double Pm_VGP_SI;
double Pm_VSI_BP;
#if defined(_DERIVATE2)
  double Pm_VSI_BP_VDI_SI;
  double Pm_VSI_BP_VGP_SI;
  double Pm_VSI_BP_VSI_BP;
  double Pm_VGP_SI_VDI_SI;
  double Pm_VGP_SI_VGP_SI;
  double Pm_VGP_SI_VSI_BP;
  double Pm_VDI_SI_VDI_SI;
  double Pm_VDI_SI_VGP_SI;
  double Pm_VDI_SI_VSI_BP;
#endif
#endif
double D_bar;
#if defined(_DERIVATEFORDDX)
double D_bar_VDI_SI;
double D_bar_VGP_SI;
double D_bar_VSI_BP;
#if defined(_DERIVATE2)
  double D_bar_VSI_BP_VDI_SI;
  double D_bar_VSI_BP_VGP_SI;
  double D_bar_VSI_BP_VSI_BP;
  double D_bar_VGP_SI_VDI_SI;
  double D_bar_VGP_SI_VGP_SI;
  double D_bar_VGP_SI_VSI_BP;
  double D_bar_VDI_SI_VDI_SI;
  double D_bar_VDI_SI_VGP_SI;
  double D_bar_VDI_SI_VSI_BP;
#endif
#endif
double xi0d;
#if defined(_DERIVATEFORDDX)
double xi0d_VDI_SI;
double xi0d_VGP_SI;
double xi0d_VSI_BP;
#if defined(_DERIVATE2)
  double xi0d_VSI_BP_VDI_SI;
  double xi0d_VSI_BP_VGP_SI;
  double xi0d_VSI_BP_VSI_BP;
  double xi0d_VGP_SI_VDI_SI;
  double xi0d_VGP_SI_VGP_SI;
  double xi0d_VGP_SI_VSI_BP;
  double xi0d_VDI_SI_VDI_SI;
  double xi0d_VDI_SI_VGP_SI;
  double xi0d_VDI_SI_VSI_BP;
#endif
#endif
double qC;
#if defined(_DERIVATEFORDDX)
double qC_VDI_SI;
double qC_VGP_SI;
double qC_VSI_BP;
#if defined(_DERIVATE2)
  double qC_VSI_BP_VDI_SI;
  double qC_VSI_BP_VGP_SI;
  double qC_VSI_BP_VSI_BP;
  double qC_VGP_SI_VDI_SI;
  double qC_VGP_SI_VGP_SI;
  double qC_VGP_SI_VSI_BP;
  double qC_VDI_SI_VDI_SI;
  double qC_VDI_SI_VGP_SI;
  double qC_VDI_SI_VSI_BP;
#endif
#endif
double pC;
#if defined(_DERIVATEFORDDX)
double pC_VDI_SI;
double pC_VGP_SI;
double pC_VSI_BP;
#if defined(_DERIVATE2)
  double pC_VSI_BP_VDI_SI;
  double pC_VSI_BP_VGP_SI;
  double pC_VSI_BP_VSI_BP;
  double pC_VGP_SI_VDI_SI;
  double pC_VGP_SI_VGP_SI;
  double pC_VGP_SI_VSI_BP;
  double pC_VDI_SI_VDI_SI;
  double pC_VDI_SI_VGP_SI;
  double pC_VDI_SI_VSI_BP;
#endif
#endif
double delta_nd;
#if defined(_DERIVATEFORDDX)
double delta_nd_VDI_SI;
double delta_nd_VGP_SI;
double delta_nd_VSI_BP;
#if defined(_DERIVATE2)
  double delta_nd_VSI_BP_VDI_SI;
  double delta_nd_VSI_BP_VGP_SI;
  double delta_nd_VSI_BP_VSI_BP;
  double delta_nd_VGP_SI_VDI_SI;
  double delta_nd_VGP_SI_VGP_SI;
  double delta_nd_VGP_SI_VSI_BP;
  double delta_nd_VDI_SI_VDI_SI;
  double delta_nd_VDI_SI_VGP_SI;
  double delta_nd_VDI_SI_VSI_BP;
#endif
#endif
double k_ds;
#if defined(_DERIVATEFORDDX)
double k_ds_VGP_SI;
double k_ds_VSI_BP;
double k_ds_VDI_SI;
#if defined(_DERIVATE2)
  double k_ds_VDI_SI_VGP_SI;
  double k_ds_VDI_SI_VSI_BP;
  double k_ds_VDI_SI_VDI_SI;
  double k_ds_VSI_BP_VGP_SI;
  double k_ds_VSI_BP_VSI_BP;
  double k_ds_VSI_BP_VDI_SI;
  double k_ds_VGP_SI_VGP_SI;
  double k_ds_VGP_SI_VSI_BP;
  double k_ds_VGP_SI_VDI_SI;
#endif
#endif
double xn_d;
#if defined(_DERIVATEFORDDX)
double xn_d_VDI_SI;
double xn_d_VGP_SI;
double xn_d_VSI_BP;
#if defined(_DERIVATE2)
  double xn_d_VSI_BP_VDI_SI;
  double xn_d_VSI_BP_VGP_SI;
  double xn_d_VSI_BP_VSI_BP;
  double xn_d_VGP_SI_VDI_SI;
  double xn_d_VGP_SI_VGP_SI;
  double xn_d_VGP_SI_VSI_BP;
  double xn_d_VDI_SI_VDI_SI;
  double xn_d_VDI_SI_VGP_SI;
  double xn_d_VDI_SI_VSI_BP;
#endif
#endif
double Phi_sat;
#if defined(_DERIVATEFORDDX)
double Phi_sat_VDI_SI;
double Phi_sat_VGP_SI;
double Phi_sat_VSI_BP;
#if defined(_DERIVATE2)
  double Phi_sat_VSI_BP_VDI_SI;
  double Phi_sat_VSI_BP_VGP_SI;
  double Phi_sat_VSI_BP_VSI_BP;
  double Phi_sat_VGP_SI_VDI_SI;
  double Phi_sat_VGP_SI_VGP_SI;
  double Phi_sat_VGP_SI_VSI_BP;
  double Phi_sat_VDI_SI_VDI_SI;
  double Phi_sat_VDI_SI_VGP_SI;
  double Phi_sat_VDI_SI_VSI_BP;
#endif
#endif
double Phi0_Phi2;
#if defined(_DERIVATEFORDDX)
double Phi0_Phi2_VDI_SI;
double Phi0_Phi2_VGP_SI;
double Phi0_Phi2_VSI_BP;
#if defined(_DERIVATE2)
  double Phi0_Phi2_VSI_BP_VDI_SI;
  double Phi0_Phi2_VSI_BP_VGP_SI;
  double Phi0_Phi2_VSI_BP_VSI_BP;
  double Phi0_Phi2_VGP_SI_VDI_SI;
  double Phi0_Phi2_VGP_SI_VGP_SI;
  double Phi0_Phi2_VGP_SI_VSI_BP;
  double Phi0_Phi2_VDI_SI_VDI_SI;
  double Phi0_Phi2_VDI_SI_VGP_SI;
  double Phi0_Phi2_VDI_SI_VSI_BP;
#endif
#endif
double Phi_0_2;
#if defined(_DERIVATEFORDDX)
double Phi_0_2_VDI_SI;
double Phi_0_2_VGP_SI;
double Phi_0_2_VSI_BP;
#if defined(_DERIVATE2)
  double Phi_0_2_VSI_BP_VDI_SI;
  double Phi_0_2_VSI_BP_VGP_SI;
  double Phi_0_2_VSI_BP_VSI_BP;
  double Phi_0_2_VGP_SI_VDI_SI;
  double Phi_0_2_VGP_SI_VGP_SI;
  double Phi_0_2_VGP_SI_VSI_BP;
  double Phi_0_2_VDI_SI_VDI_SI;
  double Phi_0_2_VDI_SI_VGP_SI;
  double Phi_0_2_VDI_SI_VSI_BP;
#endif
#endif
double Phi_2;
#if defined(_DERIVATEFORDDX)
double Phi_2_VDI_SI;
double Phi_2_VGP_SI;
double Phi_2_VSI_BP;
#if defined(_DERIVATE2)
  double Phi_2_VSI_BP_VDI_SI;
  double Phi_2_VSI_BP_VGP_SI;
  double Phi_2_VSI_BP_VSI_BP;
  double Phi_2_VGP_SI_VDI_SI;
  double Phi_2_VGP_SI_VGP_SI;
  double Phi_2_VGP_SI_VSI_BP;
  double Phi_2_VDI_SI_VDI_SI;
  double Phi_2_VDI_SI_VGP_SI;
  double Phi_2_VDI_SI_VSI_BP;
#endif
#endif
double asat;
#if defined(_DERIVATEFORDDX)
double asat_VDI_SI;
double asat_VGP_SI;
double asat_VSI_BP;
#if defined(_DERIVATE2)
  double asat_VSI_BP_VDI_SI;
  double asat_VSI_BP_VGP_SI;
  double asat_VSI_BP_VSI_BP;
  double asat_VGP_SI_VDI_SI;
  double asat_VGP_SI_VGP_SI;
  double asat_VGP_SI_VSI_BP;
  double asat_VDI_SI_VDI_SI;
  double asat_VDI_SI_VGP_SI;
  double asat_VDI_SI_VSI_BP;
#endif
#endif
double Phi_0;
#if defined(_DERIVATEFORDDX)
double Phi_0_VDI_SI;
double Phi_0_VGP_SI;
double Phi_0_VSI_BP;
#if defined(_DERIVATE2)
  double Phi_0_VSI_BP_VDI_SI;
  double Phi_0_VSI_BP_VGP_SI;
  double Phi_0_VSI_BP_VSI_BP;
  double Phi_0_VGP_SI_VDI_SI;
  double Phi_0_VGP_SI_VGP_SI;
  double Phi_0_VGP_SI_VSI_BP;
  double Phi_0_VDI_SI_VDI_SI;
  double Phi_0_VDI_SI_VGP_SI;
  double Phi_0_VDI_SI_VSI_BP;
#endif
#endif
double za;
#if defined(_DERIVATEFORDDX)
double za_VGP_SI;
double za_VDI_SI;
double za_VSI_BP;
#if defined(_DERIVATE2)
  double za_VSI_BP_VGP_SI;
  double za_VSI_BP_VDI_SI;
  double za_VSI_BP_VSI_BP;
  double za_VDI_SI_VGP_SI;
  double za_VDI_SI_VDI_SI;
  double za_VDI_SI_VSI_BP;
  double za_VGP_SI_VGP_SI;
  double za_VGP_SI_VDI_SI;
  double za_VGP_SI_VSI_BP;
#endif
#endif
double ysat;
#if defined(_DERIVATEFORDDX)
double ysat_VGP_SI;
double ysat_VDI_SI;
double ysat_VSI_BP;
#if defined(_DERIVATE2)
  double ysat_VSI_BP_VGP_SI;
  double ysat_VSI_BP_VDI_SI;
  double ysat_VSI_BP_VSI_BP;
  double ysat_VDI_SI_VGP_SI;
  double ysat_VDI_SI_VDI_SI;
  double ysat_VDI_SI_VSI_BP;
  double ysat_VGP_SI_VGP_SI;
  double ysat_VGP_SI_VDI_SI;
  double ysat_VGP_SI_VSI_BP;
#endif
#endif
double phi_inf;
#if defined(_DERIVATEFORDDX)
double phi_inf_VDI_SI;
double phi_inf_VGP_SI;
double phi_inf_VSI_BP;
#if defined(_DERIVATE2)
  double phi_inf_VSI_BP_VDI_SI;
  double phi_inf_VSI_BP_VGP_SI;
  double phi_inf_VSI_BP_VSI_BP;
  double phi_inf_VGP_SI_VDI_SI;
  double phi_inf_VGP_SI_VGP_SI;
  double phi_inf_VGP_SI_VSI_BP;
  double phi_inf_VDI_SI_VDI_SI;
  double phi_inf_VDI_SI_VGP_SI;
  double phi_inf_VDI_SI_VSI_BP;
#endif
#endif
double wsat;
#if defined(_DERIVATEFORDDX)
double wsat_VDI_SI;
double wsat_VGP_SI;
double wsat_VSI_BP;
#if defined(_DERIVATE2)
  double wsat_VSI_BP_VDI_SI;
  double wsat_VSI_BP_VGP_SI;
  double wsat_VSI_BP_VSI_BP;
  double wsat_VGP_SI_VDI_SI;
  double wsat_VGP_SI_VGP_SI;
  double wsat_VGP_SI_VSI_BP;
  double wsat_VDI_SI_VDI_SI;
  double wsat_VDI_SI_VGP_SI;
  double wsat_VDI_SI_VSI_BP;
#endif
#endif
double Mutmp;
#if defined(_DERIVATEFORDDX)
double Mutmp_VDI_SI;
double Mutmp_VGP_SI;
double Mutmp_VSI_BP;
#if defined(_DERIVATE2)
  double Mutmp_VSI_BP_VDI_SI;
  double Mutmp_VSI_BP_VGP_SI;
  double Mutmp_VSI_BP_VSI_BP;
  double Mutmp_VGP_SI_VDI_SI;
  double Mutmp_VGP_SI_VGP_SI;
  double Mutmp_VGP_SI_VSI_BP;
  double Mutmp_VDI_SI_VDI_SI;
  double Mutmp_VDI_SI_VGP_SI;
  double Mutmp_VDI_SI_VSI_BP;
#endif
#endif
double Eeffm;
#if defined(_DERIVATEFORDDX)
double Eeffm_VDI_SI;
double Eeffm_VGP_SI;
double Eeffm_VSI_BP;
#if defined(_DERIVATE2)
  double Eeffm_VSI_BP_VDI_SI;
  double Eeffm_VSI_BP_VGP_SI;
  double Eeffm_VSI_BP_VSI_BP;
  double Eeffm_VGP_SI_VDI_SI;
  double Eeffm_VGP_SI_VGP_SI;
  double Eeffm_VGP_SI_VSI_BP;
  double Eeffm_VDI_SI_VDI_SI;
  double Eeffm_VDI_SI_VGP_SI;
  double Eeffm_VDI_SI_VSI_BP;
#endif
#endif
double GR;
#if defined(_DERIVATEFORDDX)
double GR_VDI_SI;
double GR_VSI_BP;
double GR_VGP_SI;
#if defined(_DERIVATE2)
  double GR_VGP_SI_VDI_SI;
  double GR_VGP_SI_VSI_BP;
  double GR_VGP_SI_VGP_SI;
  double GR_VSI_BP_VDI_SI;
  double GR_VSI_BP_VSI_BP;
  double GR_VSI_BP_VGP_SI;
  double GR_VDI_SI_VDI_SI;
  double GR_VDI_SI_VSI_BP;
  double GR_VDI_SI_VGP_SI;
#endif
#endif
double qbs;
#if defined(_DERIVATEFORDDX)
double qbs_VDI_SI;
double qbs_VGP_SI;
double qbs_VSI_BP;
#if defined(_DERIVATE2)
  double qbs_VSI_BP_VDI_SI;
  double qbs_VSI_BP_VGP_SI;
  double qbs_VSI_BP_VSI_BP;
  double qbs_VGP_SI_VDI_SI;
  double qbs_VGP_SI_VGP_SI;
  double qbs_VGP_SI_VSI_BP;
  double qbs_VDI_SI_VDI_SI;
  double qbs_VDI_SI_VGP_SI;
  double qbs_VDI_SI_VSI_BP;
#endif
#endif
double xgs;
#if defined(_DERIVATEFORDDX)
double xgs_VDI_SI;
double xgs_VGP_SI;
double xgs_VSI_BP;
#if defined(_DERIVATE2)
  double xgs_VSI_BP_VDI_SI;
  double xgs_VSI_BP_VGP_SI;
  double xgs_VSI_BP_VSI_BP;
  double xgs_VGP_SI_VDI_SI;
  double xgs_VGP_SI_VGP_SI;
  double xgs_VGP_SI_VSI_BP;
  double xgs_VDI_SI_VDI_SI;
  double xgs_VDI_SI_VGP_SI;
  double xgs_VDI_SI_VSI_BP;
#endif
#endif
double Rxcor;
#if defined(_DERIVATEFORDDX)
double Rxcor_VGP_SI;
double Rxcor_VDI_SI;
double Rxcor_VSI_BP;
#if defined(_DERIVATE2)
  double Rxcor_VSI_BP_VGP_SI;
  double Rxcor_VSI_BP_VDI_SI;
  double Rxcor_VSI_BP_VSI_BP;
  double Rxcor_VDI_SI_VGP_SI;
  double Rxcor_VDI_SI_VDI_SI;
  double Rxcor_VDI_SI_VSI_BP;
  double Rxcor_VGP_SI_VGP_SI;
  double Rxcor_VGP_SI_VDI_SI;
  double Rxcor_VGP_SI_VSI_BP;
#endif
#endif
double Dd;
#if defined(_DERIVATEFORDDX)
double Dd_VDI_SI;
double Dd_VGP_SI;
double Dd_VSI_BP;
#if defined(_DERIVATE2)
  double Dd_VSI_BP_VDI_SI;
  double Dd_VSI_BP_VGP_SI;
  double Dd_VSI_BP_VSI_BP;
  double Dd_VGP_SI_VDI_SI;
  double Dd_VGP_SI_VGP_SI;
  double Dd_VGP_SI_VSI_BP;
  double Dd_VDI_SI_VDI_SI;
  double Dd_VDI_SI_VGP_SI;
  double Dd_VDI_SI_VSI_BP;
#endif
#endif
double Dm;
#if defined(_DERIVATEFORDDX)
double Dm_VDI_SI;
double Dm_VGP_SI;
double Dm_VSI_BP;
#if defined(_DERIVATE2)
  double Dm_VSI_BP_VDI_SI;
  double Dm_VSI_BP_VGP_SI;
  double Dm_VSI_BP_VSI_BP;
  double Dm_VGP_SI_VDI_SI;
  double Dm_VGP_SI_VGP_SI;
  double Dm_VGP_SI_VSI_BP;
  double Dm_VDI_SI_VDI_SI;
  double Dm_VDI_SI_VGP_SI;
  double Dm_VDI_SI_VSI_BP;
#endif
#endif
double Ed;
#if defined(_DERIVATEFORDDX)
double Ed_VDI_SI;
double Ed_VGP_SI;
double Ed_VSI_BP;
#if defined(_DERIVATE2)
  double Ed_VSI_BP_VDI_SI;
  double Ed_VSI_BP_VGP_SI;
  double Ed_VSI_BP_VSI_BP;
  double Ed_VGP_SI_VDI_SI;
  double Ed_VGP_SI_VGP_SI;
  double Ed_VGP_SI_VSI_BP;
  double Ed_VDI_SI_VDI_SI;
  double Ed_VDI_SI_VGP_SI;
  double Ed_VDI_SI_VSI_BP;
#endif
#endif
double Em;
#if defined(_DERIVATEFORDDX)
double Em_VDI_SI;
double Em_VGP_SI;
double Em_VSI_BP;
#if defined(_DERIVATE2)
  double Em_VSI_BP_VDI_SI;
  double Em_VSI_BP_VGP_SI;
  double Em_VSI_BP_VSI_BP;
  double Em_VGP_SI_VDI_SI;
  double Em_VGP_SI_VGP_SI;
  double Em_VGP_SI_VSI_BP;
  double Em_VDI_SI_VDI_SI;
  double Em_VDI_SI_VGP_SI;
  double Em_VDI_SI_VSI_BP;
#endif
#endif
double Ps;
#if defined(_DERIVATEFORDDX)
double Ps_VDI_SI;
double Ps_VGP_SI;
double Ps_VSI_BP;
#if defined(_DERIVATE2)
  double Ps_VSI_BP_VDI_SI;
  double Ps_VSI_BP_VGP_SI;
  double Ps_VSI_BP_VSI_BP;
  double Ps_VGP_SI_VDI_SI;
  double Ps_VGP_SI_VGP_SI;
  double Ps_VGP_SI_VSI_BP;
  double Ps_VDI_SI_VDI_SI;
  double Ps_VDI_SI_VGP_SI;
  double Ps_VDI_SI_VSI_BP;
#endif
#endif
double Ds;
#if defined(_DERIVATEFORDDX)
double Ds_VDI_SI;
double Ds_VGP_SI;
double Ds_VSI_BP;
#if defined(_DERIVATE2)
  double Ds_VSI_BP_VDI_SI;
  double Ds_VSI_BP_VGP_SI;
  double Ds_VSI_BP_VSI_BP;
  double Ds_VGP_SI_VDI_SI;
  double Ds_VGP_SI_VGP_SI;
  double Ds_VGP_SI_VSI_BP;
  double Ds_VDI_SI_VDI_SI;
  double Ds_VDI_SI_VGP_SI;
  double Ds_VDI_SI_VSI_BP;
#endif
#endif
double Es;
#if defined(_DERIVATEFORDDX)
double Es_VDI_SI;
double Es_VGP_SI;
double Es_VSI_BP;
#if defined(_DERIVATE2)
  double Es_VSI_BP_VDI_SI;
  double Es_VSI_BP_VGP_SI;
  double Es_VSI_BP_VSI_BP;
  double Es_VGP_SI_VDI_SI;
  double Es_VGP_SI_VGP_SI;
  double Es_VGP_SI_VSI_BP;
  double Es_VDI_SI_VDI_SI;
  double Es_VDI_SI_VGP_SI;
  double Es_VDI_SI_VSI_BP;
#endif
#endif
double xi2s;
#if defined(_DERIVATEFORDDX)
double xi2s_VGP_SI;
double xi2s_VDI_SI;
double xi2s_VSI_BP;
#if defined(_DERIVATE2)
  double xi2s_VSI_BP_VGP_SI;
  double xi2s_VSI_BP_VDI_SI;
  double xi2s_VSI_BP_VSI_BP;
  double xi2s_VDI_SI_VGP_SI;
  double xi2s_VDI_SI_VDI_SI;
  double xi2s_VDI_SI_VSI_BP;
  double xi2s_VGP_SI_VGP_SI;
  double xi2s_VGP_SI_VDI_SI;
  double xi2s_VGP_SI_VSI_BP;
#endif
#endif
double xi1s;
#if defined(_DERIVATEFORDDX)
double xi1s_VDI_SI;
double xi1s_VGP_SI;
double xi1s_VSI_BP;
#if defined(_DERIVATE2)
  double xi1s_VSI_BP_VDI_SI;
  double xi1s_VSI_BP_VGP_SI;
  double xi1s_VSI_BP_VSI_BP;
  double xi1s_VGP_SI_VDI_SI;
  double xi1s_VGP_SI_VGP_SI;
  double xi1s_VGP_SI_VSI_BP;
  double xi1s_VDI_SI_VDI_SI;
  double xi1s_VDI_SI_VGP_SI;
  double xi1s_VDI_SI_VSI_BP;
#endif
#endif
double xi0s;
#if defined(_DERIVATEFORDDX)
double xi0s_VDI_SI;
double xi0s_VGP_SI;
double xi0s_VSI_BP;
#if defined(_DERIVATE2)
  double xi0s_VSI_BP_VDI_SI;
  double xi0s_VSI_BP_VGP_SI;
  double xi0s_VSI_BP_VSI_BP;
  double xi0s_VGP_SI_VDI_SI;
  double xi0s_VGP_SI_VGP_SI;
  double xi0s_VGP_SI_VSI_BP;
  double xi0s_VDI_SI_VDI_SI;
  double xi0s_VDI_SI_VGP_SI;
  double xi0s_VDI_SI_VSI_BP;
#endif
#endif
double delta_1s;
#if defined(_DERIVATEFORDDX)
double delta_1s_VDI_SI;
double delta_1s_VGP_SI;
double delta_1s_VSI_BP;
#if defined(_DERIVATE2)
  double delta_1s_VSI_BP_VDI_SI;
  double delta_1s_VSI_BP_VGP_SI;
  double delta_1s_VSI_BP_VSI_BP;
  double delta_1s_VGP_SI_VDI_SI;
  double delta_1s_VGP_SI_VGP_SI;
  double delta_1s_VGP_SI_VSI_BP;
  double delta_1s_VDI_SI_VDI_SI;
  double delta_1s_VDI_SI_VGP_SI;
  double delta_1s_VDI_SI_VSI_BP;
#endif
#endif
double Vdse;
#if defined(_DERIVATEFORDDX)
double Vdse_VGP_SI;
double Vdse_VSI_BP;
double Vdse_VDI_SI;
#if defined(_DERIVATE2)
  double Vdse_VDI_SI_VGP_SI;
  double Vdse_VDI_SI_VSI_BP;
  double Vdse_VDI_SI_VDI_SI;
  double Vdse_VSI_BP_VGP_SI;
  double Vdse_VSI_BP_VSI_BP;
  double Vdse_VSI_BP_VDI_SI;
  double Vdse_VGP_SI_VGP_SI;
  double Vdse_VGP_SI_VSI_BP;
  double Vdse_VGP_SI_VDI_SI;
#endif
#endif
double Vdsat;
#if defined(_DERIVATEFORDDX)
double Vdsat_VDI_SI;
double Vdsat_VGP_SI;
double Vdsat_VSI_BP;
#if defined(_DERIVATE2)
  double Vdsat_VSI_BP_VDI_SI;
  double Vdsat_VSI_BP_VGP_SI;
  double Vdsat_VSI_BP_VSI_BP;
  double Vdsat_VGP_SI_VDI_SI;
  double Vdsat_VGP_SI_VGP_SI;
  double Vdsat_VGP_SI_VSI_BP;
  double Vdsat_VDI_SI_VDI_SI;
  double Vdsat_VDI_SI_VGP_SI;
  double Vdsat_VDI_SI_VSI_BP;
#endif
#endif
#if defined(_DYNAMIC)
double qeff1;
#if defined(_DERIVATEFORDDX)
double qeff1_VDI_SI;
double qeff1_VGP_SI;
double qeff1_VSI_BP;
#if defined(_DERIVATE2)
  double qeff1_VSI_BP_VDI_SI;
  double qeff1_VSI_BP_VGP_SI;
  double qeff1_VSI_BP_VSI_BP;
  double qeff1_VGP_SI_VDI_SI;
  double qeff1_VGP_SI_VGP_SI;
  double qeff1_VGP_SI_VSI_BP;
  double qeff1_VDI_SI_VDI_SI;
  double qeff1_VDI_SI_VGP_SI;
  double qeff1_VDI_SI_VSI_BP;
#endif
#endif
#endif
double Voxm;
#if defined(_DERIVATEFORDDX)
double Voxm_VDI_SI;
double Voxm_VGP_SI;
double Voxm_VSI_BP;
#if defined(_DERIVATE2)
  double Voxm_VSI_BP_VDI_SI;
  double Voxm_VSI_BP_VGP_SI;
  double Voxm_VSI_BP_VSI_BP;
  double Voxm_VGP_SI_VDI_SI;
  double Voxm_VGP_SI_VGP_SI;
  double Voxm_VGP_SI_VSI_BP;
  double Voxm_VDI_SI_VDI_SI;
  double Voxm_VDI_SI_VGP_SI;
  double Voxm_VDI_SI_VSI_BP;
#endif
#endif
double qis;
#if defined(_DERIVATEFORDDX)
double qis_VDI_SI;
double qis_VGP_SI;
double qis_VSI_BP;
#if defined(_DERIVATE2)
  double qis_VSI_BP_VDI_SI;
  double qis_VSI_BP_VGP_SI;
  double qis_VSI_BP_VSI_BP;
  double qis_VGP_SI_VDI_SI;
  double qis_VGP_SI_VGP_SI;
  double qis_VGP_SI_VSI_BP;
  double qis_VDI_SI_VDI_SI;
  double qis_VDI_SI_VGP_SI;
  double qis_VDI_SI_VSI_BP;
#endif
#endif
double Vdsat_lim;
#if defined(_DERIVATEFORDDX)
double Vdsat_lim_VDI_SI;
double Vdsat_lim_VGP_SI;
double Vdsat_lim_VSI_BP;
#if defined(_DERIVATE2)
  double Vdsat_lim_VSI_BP_VDI_SI;
  double Vdsat_lim_VSI_BP_VGP_SI;
  double Vdsat_lim_VSI_BP_VSI_BP;
  double Vdsat_lim_VGP_SI_VDI_SI;
  double Vdsat_lim_VGP_SI_VGP_SI;
  double Vdsat_lim_VGP_SI_VSI_BP;
  double Vdsat_lim_VDI_SI_VDI_SI;
  double Vdsat_lim_VDI_SI_VGP_SI;
  double Vdsat_lim_VDI_SI_VSI_BP;
#endif
#endif
double x_ds;
#if defined(_DERIVATEFORDDX)
double x_ds_VDI_SI;
double x_ds_VGP_SI;
double x_ds_VSI_BP;
#if defined(_DERIVATE2)
  double x_ds_VSI_BP_VDI_SI;
  double x_ds_VSI_BP_VGP_SI;
  double x_ds_VSI_BP_VSI_BP;
  double x_ds_VGP_SI_VDI_SI;
  double x_ds_VGP_SI_VGP_SI;
  double x_ds_VGP_SI_VSI_BP;
  double x_ds_VDI_SI_VDI_SI;
  double x_ds_VDI_SI_VGP_SI;
  double x_ds_VDI_SI_VSI_BP;
#endif
#endif
double x_m;
#if defined(_DERIVATEFORDDX)
double x_m_VDI_SI;
double x_m_VGP_SI;
double x_m_VSI_BP;
#if defined(_DERIVATE2)
  double x_m_VSI_BP_VDI_SI;
  double x_m_VSI_BP_VGP_SI;
  double x_m_VSI_BP_VSI_BP;
  double x_m_VGP_SI_VDI_SI;
  double x_m_VGP_SI_VGP_SI;
  double x_m_VGP_SI_VSI_BP;
  double x_m_VDI_SI_VDI_SI;
  double x_m_VDI_SI_VGP_SI;
  double x_m_VDI_SI_VSI_BP;
#endif
#endif
double x_d;
#if defined(_DERIVATEFORDDX)
double x_d_VDI_SI;
double x_d_VGP_SI;
double x_d_VSI_BP;
#if defined(_DERIVATE2)
  double x_d_VSI_BP_VDI_SI;
  double x_d_VSI_BP_VGP_SI;
  double x_d_VSI_BP_VSI_BP;
  double x_d_VGP_SI_VDI_SI;
  double x_d_VGP_SI_VGP_SI;
  double x_d_VGP_SI_VSI_BP;
  double x_d_VDI_SI_VDI_SI;
  double x_d_VDI_SI_VGP_SI;
  double x_d_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_x0;
#if defined(_DERIVATEFORDDX)
double SP_S_x0_VDI_SI;
double SP_S_x0_VGP_SI;
double SP_S_x0_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_x0_VSI_BP_VDI_SI;
  double SP_S_x0_VSI_BP_VGP_SI;
  double SP_S_x0_VSI_BP_VSI_BP;
  double SP_S_x0_VGP_SI_VDI_SI;
  double SP_S_x0_VGP_SI_VGP_SI;
  double SP_S_x0_VGP_SI_VSI_BP;
  double SP_S_x0_VDI_SI_VDI_SI;
  double SP_S_x0_VDI_SI_VGP_SI;
  double SP_S_x0_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_b;
#if defined(_DERIVATEFORDDX)
double SP_S_b_VDI_SI;
double SP_S_b_VGP_SI;
double SP_S_b_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_b_VSI_BP_VDI_SI;
  double SP_S_b_VSI_BP_VGP_SI;
  double SP_S_b_VSI_BP_VSI_BP;
  double SP_S_b_VGP_SI_VDI_SI;
  double SP_S_b_VGP_SI_VGP_SI;
  double SP_S_b_VGP_SI_VSI_BP;
  double SP_S_b_VDI_SI_VDI_SI;
  double SP_S_b_VDI_SI_VGP_SI;
  double SP_S_b_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_temp2;
#if defined(_DERIVATEFORDDX)
double SP_S_temp2_VDI_SI;
double SP_S_temp2_VGP_SI;
double SP_S_temp2_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_temp2_VSI_BP_VDI_SI;
  double SP_S_temp2_VSI_BP_VGP_SI;
  double SP_S_temp2_VSI_BP_VSI_BP;
  double SP_S_temp2_VGP_SI_VDI_SI;
  double SP_S_temp2_VGP_SI_VGP_SI;
  double SP_S_temp2_VGP_SI_VSI_BP;
  double SP_S_temp2_VDI_SI_VDI_SI;
  double SP_S_temp2_VDI_SI_VGP_SI;
  double SP_S_temp2_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_bx;
#if defined(_DERIVATEFORDDX)
double SP_S_bx_VDI_SI;
double SP_S_bx_VGP_SI;
double SP_S_bx_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_bx_VSI_BP_VDI_SI;
  double SP_S_bx_VSI_BP_VGP_SI;
  double SP_S_bx_VSI_BP_VSI_BP;
  double SP_S_bx_VGP_SI_VDI_SI;
  double SP_S_bx_VGP_SI_VGP_SI;
  double SP_S_bx_VGP_SI_VSI_BP;
  double SP_S_bx_VDI_SI_VDI_SI;
  double SP_S_bx_VDI_SI_VGP_SI;
  double SP_S_bx_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_w;
#if defined(_DERIVATEFORDDX)
double SP_S_w_VDI_SI;
double SP_S_w_VGP_SI;
double SP_S_w_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_w_VSI_BP_VDI_SI;
  double SP_S_w_VSI_BP_VGP_SI;
  double SP_S_w_VSI_BP_VSI_BP;
  double SP_S_w_VGP_SI_VDI_SI;
  double SP_S_w_VGP_SI_VGP_SI;
  double SP_S_w_VGP_SI_VSI_BP;
  double SP_S_w_VDI_SI_VDI_SI;
  double SP_S_w_VDI_SI_VGP_SI;
  double SP_S_w_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_xbar;
#if defined(_DERIVATEFORDDX)
double SP_S_xbar_VDI_SI;
double SP_S_xbar_VGP_SI;
double SP_S_xbar_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_xbar_VSI_BP_VDI_SI;
  double SP_S_xbar_VSI_BP_VGP_SI;
  double SP_S_xbar_VSI_BP_VSI_BP;
  double SP_S_xbar_VGP_SI_VDI_SI;
  double SP_S_xbar_VGP_SI_VGP_SI;
  double SP_S_xbar_VGP_SI_VSI_BP;
  double SP_S_xbar_VDI_SI_VDI_SI;
  double SP_S_xbar_VDI_SI_VGP_SI;
  double SP_S_xbar_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_A_fac;
#if defined(_DERIVATEFORDDX)
double SP_S_A_fac_VDI_SI;
double SP_S_A_fac_VGP_SI;
double SP_S_A_fac_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_A_fac_VSI_BP_VDI_SI;
  double SP_S_A_fac_VSI_BP_VGP_SI;
  double SP_S_A_fac_VSI_BP_VSI_BP;
  double SP_S_A_fac_VGP_SI_VDI_SI;
  double SP_S_A_fac_VGP_SI_VGP_SI;
  double SP_S_A_fac_VGP_SI_VSI_BP;
  double SP_S_A_fac_VDI_SI_VDI_SI;
  double SP_S_A_fac_VDI_SI_VGP_SI;
  double SP_S_A_fac_VDI_SI_VSI_BP;
#endif
#endif
double SP_xg1;
#if defined(_DERIVATEFORDDX)
double SP_xg1_VDI_SI;
double SP_xg1_VGP_SI;
double SP_xg1_VSI_BP;
#if defined(_DERIVATE2)
  double SP_xg1_VSI_BP_VDI_SI;
  double SP_xg1_VSI_BP_VGP_SI;
  double SP_xg1_VSI_BP_VSI_BP;
  double SP_xg1_VGP_SI_VDI_SI;
  double SP_xg1_VGP_SI_VGP_SI;
  double SP_xg1_VGP_SI_VSI_BP;
  double SP_xg1_VDI_SI_VDI_SI;
  double SP_xg1_VDI_SI_VGP_SI;
  double SP_xg1_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_qC;
#if defined(_DERIVATEFORDDX)
double SP_S_qC_VDI_SI;
double SP_S_qC_VGP_SI;
double SP_S_qC_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_qC_VSI_BP_VDI_SI;
  double SP_S_qC_VSI_BP_VGP_SI;
  double SP_S_qC_VSI_BP_VSI_BP;
  double SP_S_qC_VGP_SI_VDI_SI;
  double SP_S_qC_VGP_SI_VGP_SI;
  double SP_S_qC_VGP_SI_VSI_BP;
  double SP_S_qC_VDI_SI_VDI_SI;
  double SP_S_qC_VDI_SI_VGP_SI;
  double SP_S_qC_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_pC;
#if defined(_DERIVATEFORDDX)
double SP_S_pC_VDI_SI;
double SP_S_pC_VGP_SI;
double SP_S_pC_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_pC_VSI_BP_VDI_SI;
  double SP_S_pC_VSI_BP_VGP_SI;
  double SP_S_pC_VSI_BP_VSI_BP;
  double SP_S_pC_VGP_SI_VDI_SI;
  double SP_S_pC_VGP_SI_VGP_SI;
  double SP_S_pC_VGP_SI_VSI_BP;
  double SP_S_pC_VDI_SI_VDI_SI;
  double SP_S_pC_VDI_SI_VGP_SI;
  double SP_S_pC_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_xi2;
#if defined(_DERIVATEFORDDX)
double SP_S_xi2_VDI_SI;
double SP_S_xi2_VGP_SI;
double SP_S_xi2_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_xi2_VSI_BP_VDI_SI;
  double SP_S_xi2_VSI_BP_VGP_SI;
  double SP_S_xi2_VSI_BP_VSI_BP;
  double SP_S_xi2_VGP_SI_VDI_SI;
  double SP_S_xi2_VGP_SI_VGP_SI;
  double SP_S_xi2_VGP_SI_VSI_BP;
  double SP_S_xi2_VDI_SI_VDI_SI;
  double SP_S_xi2_VDI_SI_VGP_SI;
  double SP_S_xi2_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_xi1;
#if defined(_DERIVATEFORDDX)
double SP_S_xi1_VDI_SI;
double SP_S_xi1_VGP_SI;
double SP_S_xi1_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_xi1_VSI_BP_VDI_SI;
  double SP_S_xi1_VSI_BP_VGP_SI;
  double SP_S_xi1_VSI_BP_VSI_BP;
  double SP_S_xi1_VGP_SI_VDI_SI;
  double SP_S_xi1_VGP_SI_VGP_SI;
  double SP_S_xi1_VGP_SI_VSI_BP;
  double SP_S_xi1_VDI_SI_VDI_SI;
  double SP_S_xi1_VDI_SI_VGP_SI;
  double SP_S_xi1_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_xi0;
#if defined(_DERIVATEFORDDX)
double SP_S_xi0_VDI_SI;
double SP_S_xi0_VGP_SI;
double SP_S_xi0_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_xi0_VSI_BP_VDI_SI;
  double SP_S_xi0_VSI_BP_VGP_SI;
  double SP_S_xi0_VSI_BP_VSI_BP;
  double SP_S_xi0_VGP_SI_VDI_SI;
  double SP_S_xi0_VGP_SI_VGP_SI;
  double SP_S_xi0_VGP_SI_VSI_BP;
  double SP_S_xi0_VDI_SI_VDI_SI;
  double SP_S_xi0_VDI_SI_VGP_SI;
  double SP_S_xi0_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_delta1;
#if defined(_DERIVATEFORDDX)
double SP_S_delta1_VDI_SI;
double SP_S_delta1_VGP_SI;
double SP_S_delta1_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_delta1_VSI_BP_VDI_SI;
  double SP_S_delta1_VSI_BP_VGP_SI;
  double SP_S_delta1_VSI_BP_VSI_BP;
  double SP_S_delta1_VGP_SI_VDI_SI;
  double SP_S_delta1_VGP_SI_VGP_SI;
  double SP_S_delta1_VGP_SI_VSI_BP;
  double SP_S_delta1_VDI_SI_VDI_SI;
  double SP_S_delta1_VDI_SI_VGP_SI;
  double SP_S_delta1_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_delta0;
#if defined(_DERIVATEFORDDX)
double SP_S_delta0_VDI_SI;
double SP_S_delta0_VGP_SI;
double SP_S_delta0_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_delta0_VSI_BP_VDI_SI;
  double SP_S_delta0_VSI_BP_VGP_SI;
  double SP_S_delta0_VSI_BP_VSI_BP;
  double SP_S_delta0_VGP_SI_VDI_SI;
  double SP_S_delta0_VGP_SI_VGP_SI;
  double SP_S_delta0_VGP_SI_VSI_BP;
  double SP_S_delta0_VDI_SI_VDI_SI;
  double SP_S_delta0_VDI_SI_VGP_SI;
  double SP_S_delta0_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_y0;
#if defined(_DERIVATEFORDDX)
double SP_S_y0_VDI_SI;
double SP_S_y0_VGP_SI;
double SP_S_y0_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_y0_VSI_BP_VDI_SI;
  double SP_S_y0_VSI_BP_VGP_SI;
  double SP_S_y0_VSI_BP_VSI_BP;
  double SP_S_y0_VGP_SI_VDI_SI;
  double SP_S_y0_VGP_SI_VGP_SI;
  double SP_S_y0_VGP_SI_VSI_BP;
  double SP_S_y0_VDI_SI_VDI_SI;
  double SP_S_y0_VDI_SI_VGP_SI;
  double SP_S_y0_VDI_SI_VSI_BP;
#endif
#endif
double mutau;
#if defined(_DERIVATEFORDDX)
double mutau_VDI_SI;
double mutau_VGP_SI;
double mutau_VSI_BP;
#if defined(_DERIVATE2)
  double mutau_VSI_BP_VDI_SI;
  double mutau_VSI_BP_VGP_SI;
  double mutau_VSI_BP_VSI_BP;
  double mutau_VGP_SI_VDI_SI;
  double mutau_VGP_SI_VGP_SI;
  double mutau_VGP_SI_VSI_BP;
  double mutau_VDI_SI_VDI_SI;
  double mutau_VDI_SI_VGP_SI;
  double mutau_VDI_SI_VSI_BP;
#endif
#endif
double nu;
#if defined(_DERIVATEFORDDX)
double nu_VDI_SI;
double nu_VGP_SI;
double nu_VSI_BP;
#if defined(_DERIVATE2)
  double nu_VSI_BP_VDI_SI;
  double nu_VSI_BP_VGP_SI;
  double nu_VSI_BP_VSI_BP;
  double nu_VGP_SI_VDI_SI;
  double nu_VGP_SI_VGP_SI;
  double nu_VGP_SI_VSI_BP;
  double nu_VDI_SI_VDI_SI;
  double nu_VDI_SI_VGP_SI;
  double nu_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_tau;
#if defined(_DERIVATEFORDDX)
double SP_S_tau_VDI_SI;
double SP_S_tau_VGP_SI;
double SP_S_tau_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_tau_VSI_BP_VDI_SI;
  double SP_S_tau_VSI_BP_VGP_SI;
  double SP_S_tau_VSI_BP_VSI_BP;
  double SP_S_tau_VGP_SI_VDI_SI;
  double SP_S_tau_VGP_SI_VGP_SI;
  double SP_S_tau_VGP_SI_VSI_BP;
  double SP_S_tau_VDI_SI_VDI_SI;
  double SP_S_tau_VDI_SI_VGP_SI;
  double SP_S_tau_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_c;
#if defined(_DERIVATEFORDDX)
double SP_S_c_VDI_SI;
double SP_S_c_VGP_SI;
double SP_S_c_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_c_VSI_BP_VDI_SI;
  double SP_S_c_VSI_BP_VGP_SI;
  double SP_S_c_VSI_BP_VSI_BP;
  double SP_S_c_VGP_SI_VDI_SI;
  double SP_S_c_VGP_SI_VGP_SI;
  double SP_S_c_VGP_SI_VSI_BP;
  double SP_S_c_VDI_SI_VDI_SI;
  double SP_S_c_VDI_SI_VGP_SI;
  double SP_S_c_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_a;
#if defined(_DERIVATEFORDDX)
double SP_S_a_VDI_SI;
double SP_S_a_VGP_SI;
double SP_S_a_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_a_VSI_BP_VDI_SI;
  double SP_S_a_VSI_BP_VGP_SI;
  double SP_S_a_VSI_BP_VSI_BP;
  double SP_S_a_VGP_SI_VDI_SI;
  double SP_S_a_VGP_SI_VGP_SI;
  double SP_S_a_VGP_SI_VSI_BP;
  double SP_S_a_VDI_SI_VDI_SI;
  double SP_S_a_VDI_SI_VGP_SI;
  double SP_S_a_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_temp;
#if defined(_DERIVATEFORDDX)
double SP_S_temp_VDI_SI;
double SP_S_temp_VGP_SI;
double SP_S_temp_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_temp_VSI_BP_VDI_SI;
  double SP_S_temp_VSI_BP_VGP_SI;
  double SP_S_temp_VSI_BP_VSI_BP;
  double SP_S_temp_VGP_SI_VDI_SI;
  double SP_S_temp_VGP_SI_VGP_SI;
  double SP_S_temp_VGP_SI_VSI_BP;
  double SP_S_temp_VDI_SI_VDI_SI;
  double SP_S_temp_VDI_SI_VGP_SI;
  double SP_S_temp_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_eta;
#if defined(_DERIVATEFORDDX)
double SP_S_eta_VDI_SI;
double SP_S_eta_VGP_SI;
double SP_S_eta_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_eta_VSI_BP_VDI_SI;
  double SP_S_eta_VSI_BP_VGP_SI;
  double SP_S_eta_VSI_BP_VSI_BP;
  double SP_S_eta_VGP_SI_VDI_SI;
  double SP_S_eta_VGP_SI_VGP_SI;
  double SP_S_eta_VGP_SI_VSI_BP;
  double SP_S_eta_VDI_SI_VDI_SI;
  double SP_S_eta_VDI_SI_VGP_SI;
  double SP_S_eta_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_ysub;
#if defined(_DERIVATEFORDDX)
double SP_S_ysub_VDI_SI;
double SP_S_ysub_VGP_SI;
double SP_S_ysub_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_ysub_VSI_BP_VDI_SI;
  double SP_S_ysub_VSI_BP_VGP_SI;
  double SP_S_ysub_VSI_BP_VSI_BP;
  double SP_S_ysub_VGP_SI_VDI_SI;
  double SP_S_ysub_VGP_SI_VGP_SI;
  double SP_S_ysub_VGP_SI_VSI_BP;
  double SP_S_ysub_VDI_SI_VDI_SI;
  double SP_S_ysub_VDI_SI_VGP_SI;
  double SP_S_ysub_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_yg;
#if defined(_DERIVATEFORDDX)
double SP_S_yg_VDI_SI;
double SP_S_yg_VGP_SI;
double SP_S_yg_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_yg_VSI_BP_VDI_SI;
  double SP_S_yg_VSI_BP_VGP_SI;
  double SP_S_yg_VSI_BP_VSI_BP;
  double SP_S_yg_VGP_SI_VDI_SI;
  double SP_S_yg_VGP_SI_VGP_SI;
  double SP_S_yg_VGP_SI_VSI_BP;
  double SP_S_yg_VDI_SI_VDI_SI;
  double SP_S_yg_VDI_SI_VGP_SI;
  double SP_S_yg_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_temp1;
#if defined(_DERIVATEFORDDX)
double SP_S_temp1_VDI_SI;
double SP_S_temp1_VGP_SI;
double SP_S_temp1_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_temp1_VSI_BP_VDI_SI;
  double SP_S_temp1_VSI_BP_VGP_SI;
  double SP_S_temp1_VSI_BP_VSI_BP;
  double SP_S_temp1_VGP_SI_VDI_SI;
  double SP_S_temp1_VGP_SI_VGP_SI;
  double SP_S_temp1_VGP_SI_VSI_BP;
  double SP_S_temp1_VDI_SI_VDI_SI;
  double SP_S_temp1_VDI_SI_VGP_SI;
  double SP_S_temp1_VDI_SI_VSI_BP;
#endif
#endif
double margin;
#if defined(_DERIVATE)
double margin_VDI_SI;
double margin_VGP_SI;
double margin_VSI_BP;
#endif
double delta_ns;
#if defined(_DERIVATEFORDDX)
double delta_ns_VDI_SI;
double delta_ns_VGP_SI;
double delta_ns_VSI_BP;
#if defined(_DERIVATE2)
  double delta_ns_VSI_BP_VDI_SI;
  double delta_ns_VSI_BP_VGP_SI;
  double delta_ns_VSI_BP_VSI_BP;
  double delta_ns_VGP_SI_VDI_SI;
  double delta_ns_VGP_SI_VGP_SI;
  double delta_ns_VGP_SI_VSI_BP;
  double delta_ns_VDI_SI_VDI_SI;
  double delta_ns_VDI_SI_VGP_SI;
  double delta_ns_VDI_SI_VSI_BP;
#endif
#endif
double xn_s;
#if defined(_DERIVATEFORDDX)
double xn_s_VDI_SI;
double xn_s_VGP_SI;
double xn_s_VSI_BP;
#if defined(_DERIVATE2)
  double xn_s_VSI_BP_VDI_SI;
  double xn_s_VSI_BP_VGP_SI;
  double xn_s_VSI_BP_VSI_BP;
  double xn_s_VGP_SI_VDI_SI;
  double xn_s_VGP_SI_VGP_SI;
  double xn_s_VGP_SI_VSI_BP;
  double xn_s_VDI_SI_VDI_SI;
  double xn_s_VDI_SI_VGP_SI;
  double xn_s_VDI_SI_VSI_BP;
#endif
#endif
double Ux;
#if defined(_DERIVATEFORDDX)
double Ux_VDI_SI;
double Ux_VSI_BP;
double Ux_VGP_SI;
#if defined(_DERIVATE2)
  double Ux_VGP_SI_VDI_SI;
  double Ux_VGP_SI_VSI_BP;
  double Ux_VGP_SI_VGP_SI;
  double Ux_VSI_BP_VDI_SI;
  double Ux_VSI_BP_VSI_BP;
  double Ux_VSI_BP_VGP_SI;
  double Ux_VDI_SI_VDI_SI;
  double Ux_VDI_SI_VSI_BP;
  double Ux_VDI_SI_VGP_SI;
#endif
#endif
double inv_xi;
#if defined(_DERIVATEFORDDX)
double inv_xi_VDI_SI;
double inv_xi_VGP_SI;
double inv_xi_VSI_BP;
#if defined(_DERIVATE2)
  double inv_xi_VSI_BP_VDI_SI;
  double inv_xi_VSI_BP_VGP_SI;
  double inv_xi_VSI_BP_VSI_BP;
  double inv_xi_VGP_SI_VDI_SI;
  double inv_xi_VGP_SI_VGP_SI;
  double inv_xi_VGP_SI_VSI_BP;
  double inv_xi_VDI_SI_VDI_SI;
  double inv_xi_VDI_SI_VGP_SI;
  double inv_xi_VDI_SI_VSI_BP;
#endif
#endif
double xi;
#if defined(_DERIVATEFORDDX)
double xi_VDI_SI;
double xi_VGP_SI;
double xi_VSI_BP;
#if defined(_DERIVATE2)
  double xi_VSI_BP_VDI_SI;
  double xi_VSI_BP_VGP_SI;
  double xi_VSI_BP_VSI_BP;
  double xi_VGP_SI_VDI_SI;
  double xi_VGP_SI_VGP_SI;
  double xi_VGP_SI_VSI_BP;
  double xi_VDI_SI_VDI_SI;
  double xi_VDI_SI_VGP_SI;
  double xi_VDI_SI_VSI_BP;
#endif
#endif
double xg;
#if defined(_DERIVATEFORDDX)
double xg_VDI_SI;
double xg_VGP_SI;
double xg_VSI_BP;
#if defined(_DERIVATE2)
  double xg_VSI_BP_VDI_SI;
  double xg_VSI_BP_VGP_SI;
  double xg_VSI_BP_VSI_BP;
  double xg_VGP_SI_VDI_SI;
  double xg_VGP_SI_VGP_SI;
  double xg_VGP_SI_VSI_BP;
  double xg_VDI_SI_VDI_SI;
  double xg_VDI_SI_VGP_SI;
  double xg_VDI_SI_VSI_BP;
#endif
#endif
double inv_phit1;
#if defined(_DERIVATEFORDDX)
double inv_phit1_VDI_SI;
double inv_phit1_VGP_SI;
double inv_phit1_VSI_BP;
#if defined(_DERIVATE2)
  double inv_phit1_VSI_BP_VDI_SI;
  double inv_phit1_VSI_BP_VGP_SI;
  double inv_phit1_VSI_BP_VSI_BP;
  double inv_phit1_VGP_SI_VDI_SI;
  double inv_phit1_VGP_SI_VGP_SI;
  double inv_phit1_VGP_SI_VSI_BP;
  double inv_phit1_VDI_SI_VDI_SI;
  double inv_phit1_VDI_SI_VGP_SI;
  double inv_phit1_VDI_SI_VSI_BP;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double phit1_VDI_SI;
double phit1_VGP_SI;
double phit1_VSI_BP;
#if defined(_DERIVATE2)
  double phit1_VSI_BP_VDI_SI;
  double phit1_VSI_BP_VGP_SI;
  double phit1_VSI_BP_VSI_BP;
  double phit1_VGP_SI_VDI_SI;
  double phit1_VGP_SI_VGP_SI;
  double phit1_VGP_SI_VSI_BP;
  double phit1_VDI_SI_VDI_SI;
  double phit1_VDI_SI_VGP_SI;
  double phit1_VDI_SI_VSI_BP;
#endif
#endif
double ct_fact;
#if defined(_DERIVATEFORDDX)
double ct_fact_VDI_SI;
double ct_fact_VGP_SI;
double ct_fact_VSI_BP;
#if defined(_DERIVATE2)
  double ct_fact_VSI_BP_VDI_SI;
  double ct_fact_VSI_BP_VGP_SI;
  double ct_fact_VSI_BP_VSI_BP;
  double ct_fact_VGP_SI_VDI_SI;
  double ct_fact_VGP_SI_VGP_SI;
  double ct_fact_VGP_SI_VSI_BP;
  double ct_fact_VDI_SI_VDI_SI;
  double ct_fact_VDI_SI_VGP_SI;
  double ct_fact_VDI_SI_VSI_BP;
#endif
#endif
double xsct;
#if defined(_DERIVATEFORDDX)
double xsct_VDI_SI;
double xsct_VGP_SI;
double xsct_VSI_BP;
#if defined(_DERIVATE2)
  double xsct_VSI_BP_VDI_SI;
  double xsct_VSI_BP_VGP_SI;
  double xsct_VSI_BP_VSI_BP;
  double xsct_VGP_SI_VDI_SI;
  double xsct_VGP_SI_VGP_SI;
  double xsct_VGP_SI_VSI_BP;
  double xsct_VDI_SI_VDI_SI;
  double xsct_VDI_SI_VGP_SI;
  double xsct_VDI_SI_VSI_BP;
#endif
#endif
double xsbstar;
#if defined(_DERIVATEFORDDX)
double xsbstar_VGP_SI;
double xsbstar_VDI_SI;
double xsbstar_VSI_BP;
#if defined(_DERIVATE2)
  double xsbstar_VSI_BP_VGP_SI;
  double xsbstar_VSI_BP_VDI_SI;
  double xsbstar_VSI_BP_VSI_BP;
  double xsbstar_VDI_SI_VGP_SI;
  double xsbstar_VDI_SI_VDI_SI;
  double xsbstar_VDI_SI_VSI_BP;
  double xsbstar_VGP_SI_VGP_SI;
  double xsbstar_VGP_SI_VDI_SI;
  double xsbstar_VGP_SI_VSI_BP;
#endif
#endif
double xbct;
double xsct0;
#if defined(_DERIVATEFORDDX)
double xsct0_VDI_SI;
double xsct0_VGP_SI;
double xsct0_VSI_BP;
#if defined(_DERIVATE2)
  double xsct0_VSI_BP_VDI_SI;
  double xsct0_VSI_BP_VGP_SI;
  double xsct0_VSI_BP_VSI_BP;
  double xsct0_VGP_SI_VDI_SI;
  double xsct0_VGP_SI_VGP_SI;
  double xsct0_VGP_SI_VSI_BP;
  double xsct0_VDI_SI_VDI_SI;
  double xsct0_VDI_SI_VGP_SI;
  double xsct0_VDI_SI_VSI_BP;
#endif
#endif
double xgct;
#if defined(_DERIVATEFORDDX)
double xgct_VDI_SI;
double xgct_VGP_SI;
double xgct_VSI_BP;
#if defined(_DERIVATE2)
  double xgct_VSI_BP_VDI_SI;
  double xgct_VSI_BP_VGP_SI;
  double xgct_VSI_BP_VSI_BP;
  double xgct_VGP_SI_VDI_SI;
  double xgct_VGP_SI_VGP_SI;
  double xgct_VGP_SI_VSI_BP;
  double xgct_VDI_SI_VDI_SI;
  double xgct_VDI_SI_VGP_SI;
  double xgct_VDI_SI_VSI_BP;
#endif
#endif
double dCTG;
#if defined(_DERIVATEFORDDX)
double dCTG_VDI_SI;
double dCTG_VGP_SI;
double dCTG_VSI_BP;
#if defined(_DERIVATE2)
  double dCTG_VSI_BP_VDI_SI;
  double dCTG_VSI_BP_VGP_SI;
  double dCTG_VSI_BP_VSI_BP;
  double dCTG_VGP_SI_VDI_SI;
  double dCTG_VGP_SI_VGP_SI;
  double dCTG_VGP_SI_VSI_BP;
  double dCTG_VDI_SI_VDI_SI;
  double dCTG_VDI_SI_VGP_SI;
  double dCTG_VDI_SI_VSI_BP;
#endif
#endif
double inv_Gf2;
#if defined(_DERIVATEFORDDX)
double inv_Gf2_VDI_SI;
double inv_Gf2_VGP_SI;
double inv_Gf2_VSI_BP;
#if defined(_DERIVATE2)
  double inv_Gf2_VSI_BP_VDI_SI;
  double inv_Gf2_VSI_BP_VGP_SI;
  double inv_Gf2_VSI_BP_VSI_BP;
  double inv_Gf2_VGP_SI_VDI_SI;
  double inv_Gf2_VGP_SI_VGP_SI;
  double inv_Gf2_VGP_SI_VSI_BP;
  double inv_Gf2_VDI_SI_VDI_SI;
  double inv_Gf2_VDI_SI_VGP_SI;
  double inv_Gf2_VDI_SI_VSI_BP;
#endif
#endif
double Gf2;
#if defined(_DERIVATEFORDDX)
double Gf2_VDI_SI;
double Gf2_VGP_SI;
double Gf2_VSI_BP;
#if defined(_DERIVATE2)
  double Gf2_VSI_BP_VDI_SI;
  double Gf2_VSI_BP_VGP_SI;
  double Gf2_VSI_BP_VSI_BP;
  double Gf2_VGP_SI_VDI_SI;
  double Gf2_VGP_SI_VGP_SI;
  double Gf2_VGP_SI_VSI_BP;
  double Gf2_VDI_SI_VDI_SI;
  double Gf2_VDI_SI_VGP_SI;
  double Gf2_VDI_SI_VSI_BP;
#endif
#endif
double Gf;
#if defined(_DERIVATEFORDDX)
double Gf_VDI_SI;
double Gf_VGP_SI;
double Gf_VSI_BP;
#if defined(_DERIVATE2)
  double Gf_VSI_BP_VDI_SI;
  double Gf_VSI_BP_VGP_SI;
  double Gf_VSI_BP_VSI_BP;
  double Gf_VGP_SI_VDI_SI;
  double Gf_VGP_SI_VGP_SI;
  double Gf_VGP_SI_VSI_BP;
  double Gf_VDI_SI_VDI_SI;
  double Gf_VDI_SI_VGP_SI;
  double Gf_VDI_SI_VSI_BP;
#endif
#endif
double Dnsub;
#if defined(_DERIVATEFORDDX)
double Dnsub_VDI_SI;
double Dnsub_VGP_SI;
double Dnsub_VSI_BP;
#if defined(_DERIVATE2)
  double Dnsub_VSI_BP_VDI_SI;
  double Dnsub_VSI_BP_VGP_SI;
  double Dnsub_VSI_BP_VSI_BP;
  double Dnsub_VGP_SI_VDI_SI;
  double Dnsub_VGP_SI_VGP_SI;
  double Dnsub_VGP_SI_VSI_BP;
  double Dnsub_VDI_SI_VDI_SI;
  double Dnsub_VDI_SI_VGP_SI;
  double Dnsub_VDI_SI_VSI_BP;
#endif
#endif
double dphit1;
#if defined(_DERIVATEFORDDX)
double dphit1_VGP_SI;
double dphit1_VDI_SI;
double dphit1_VSI_BP;
#if defined(_DERIVATE2)
  double dphit1_VSI_BP_VGP_SI;
  double dphit1_VSI_BP_VDI_SI;
  double dphit1_VSI_BP_VSI_BP;
  double dphit1_VDI_SI_VGP_SI;
  double dphit1_VDI_SI_VDI_SI;
  double dphit1_VDI_SI_VSI_BP;
  double dphit1_VGP_SI_VGP_SI;
  double dphit1_VGP_SI_VDI_SI;
  double dphit1_VGP_SI_VSI_BP;
#endif
#endif
double delVg;
#if defined(_DERIVATEFORDDX)
double delVg_VGP_SI;
double delVg_VDI_SI;
double delVg_VSI_BP;
#if defined(_DERIVATE2)
  double delVg_VSI_BP_VGP_SI;
  double delVg_VSI_BP_VDI_SI;
  double delVg_VSI_BP_VSI_BP;
  double delVg_VDI_SI_VGP_SI;
  double delVg_VDI_SI_VDI_SI;
  double delVg_VDI_SI_VSI_BP;
  double delVg_VGP_SI_VGP_SI;
  double delVg_VGP_SI_VDI_SI;
  double delVg_VGP_SI_VSI_BP;
#endif
#endif
double Vdsp;
#if defined(_DERIVATEFORDDX)
double Vdsp_VDI_SI;
#if defined(_DERIVATE2)
  double Vdsp_VDI_SI_VDI_SI;
#endif
#endif
double Vsbx;
#if defined(_DERIVATEFORDDX)
double Vsbx_VGP_SI;
double Vsbx_VDI_SI;
double Vsbx_VSI_BP;
#if defined(_DERIVATE2)
  double Vsbx_VSI_BP_VGP_SI;
  double Vsbx_VSI_BP_VDI_SI;
  double Vsbx_VSI_BP_VSI_BP;
  double Vsbx_VDI_SI_VGP_SI;
  double Vsbx_VDI_SI_VDI_SI;
  double Vsbx_VDI_SI_VSI_BP;
  double Vsbx_VGP_SI_VGP_SI;
  double Vsbx_VGP_SI_VDI_SI;
  double Vsbx_VGP_SI_VSI_BP;
#endif
#endif
double Vgb1;
#if defined(_DERIVATEFORDDX)
double Vgb1_VDI_SI;
double Vgb1_VGP_SI;
double Vgb1_VSI_BP;
#if defined(_DERIVATE2)
  double Vgb1_VSI_BP_VDI_SI;
  double Vgb1_VSI_BP_VGP_SI;
  double Vgb1_VSI_BP_VSI_BP;
  double Vgb1_VGP_SI_VDI_SI;
  double Vgb1_VGP_SI_VGP_SI;
  double Vgb1_VGP_SI_VSI_BP;
  double Vgb1_VDI_SI_VDI_SI;
  double Vgb1_VDI_SI_VGP_SI;
  double Vgb1_VDI_SI_VSI_BP;
#endif
#endif
double xgm;
#if defined(_DERIVATEFORDDX)
double xgm_VDI_SI;
double xgm_VGP_SI;
double xgm_VSI_BP;
#if defined(_DERIVATE2)
  double xgm_VSI_BP_VDI_SI;
  double xgm_VSI_BP_VGP_SI;
  double xgm_VSI_BP_VSI_BP;
  double xgm_VGP_SI_VDI_SI;
  double xgm_VGP_SI_VGP_SI;
  double xgm_VGP_SI_VSI_BP;
  double xgm_VDI_SI_VDI_SI;
  double xgm_VDI_SI_VGP_SI;
  double xgm_VDI_SI_VSI_BP;
#endif
#endif
double thesat1;
#if defined(_DERIVATEFORDDX)
double thesat1_VGP_SI;
double thesat1_VDI_SI;
double thesat1_VSI_BP;
#if defined(_DERIVATE2)
  double thesat1_VSI_BP_VGP_SI;
  double thesat1_VSI_BP_VDI_SI;
  double thesat1_VSI_BP_VSI_BP;
  double thesat1_VDI_SI_VGP_SI;
  double thesat1_VDI_SI_VDI_SI;
  double thesat1_VDI_SI_VSI_BP;
  double thesat1_VGP_SI_VGP_SI;
  double thesat1_VGP_SI_VDI_SI;
  double thesat1_VGP_SI_VSI_BP;
#endif
#endif
double Udse;
#if defined(_DERIVATEFORDDX)
double Udse_VGP_SI;
double Udse_VSI_BP;
double Udse_VDI_SI;
#if defined(_DERIVATE2)
  double Udse_VDI_SI_VGP_SI;
  double Udse_VDI_SI_VSI_BP;
  double Udse_VDI_SI_VDI_SI;
  double Udse_VSI_BP_VGP_SI;
  double Udse_VSI_BP_VSI_BP;
  double Udse_VSI_BP_VDI_SI;
  double Udse_VGP_SI_VGP_SI;
  double Udse_VGP_SI_VSI_BP;
  double Udse_VGP_SI_VDI_SI;
#endif
#endif
double Gmob_dL;
#if defined(_DERIVATEFORDDX)
double Gmob_dL_VDI_SI;
double Gmob_dL_VGP_SI;
double Gmob_dL_VSI_BP;
#if defined(_DERIVATE2)
  double Gmob_dL_VSI_BP_VDI_SI;
  double Gmob_dL_VSI_BP_VGP_SI;
  double Gmob_dL_VSI_BP_VSI_BP;
  double Gmob_dL_VGP_SI_VDI_SI;
  double Gmob_dL_VGP_SI_VGP_SI;
  double Gmob_dL_VGP_SI_VSI_BP;
  double Gmob_dL_VDI_SI_VDI_SI;
  double Gmob_dL_VDI_SI_VGP_SI;
  double Gmob_dL_VDI_SI_VSI_BP;
#endif
#endif
double Gmob;
#if defined(_DERIVATEFORDDX)
double Gmob_VDI_SI;
double Gmob_VGP_SI;
double Gmob_VSI_BP;
#if defined(_DERIVATE2)
  double Gmob_VSI_BP_VDI_SI;
  double Gmob_VSI_BP_VGP_SI;
  double Gmob_VSI_BP_VSI_BP;
  double Gmob_VGP_SI_VDI_SI;
  double Gmob_VGP_SI_VGP_SI;
  double Gmob_VGP_SI_VSI_BP;
  double Gmob_VDI_SI_VDI_SI;
  double Gmob_VDI_SI_VGP_SI;
  double Gmob_VDI_SI_VSI_BP;
#endif
#endif
double rhob;
#if defined(_DERIVATEFORDDX)
double rhob_VGP_SI;
double rhob_VDI_SI;
double rhob_VSI_BP;
#if defined(_DERIVATE2)
  double rhob_VSI_BP_VGP_SI;
  double rhob_VSI_BP_VDI_SI;
  double rhob_VSI_BP_VSI_BP;
  double rhob_VDI_SI_VGP_SI;
  double rhob_VDI_SI_VDI_SI;
  double rhob_VDI_SI_VSI_BP;
  double rhob_VGP_SI_VGP_SI;
  double rhob_VGP_SI_VDI_SI;
  double rhob_VGP_SI_VSI_BP;
#endif
#endif
double xitsb;
#if defined(_DERIVATEFORDDX)
double xitsb_VGP_SI;
double xitsb_VDI_SI;
double xitsb_VSI_BP;
#if defined(_DERIVATE2)
  double xitsb_VSI_BP_VGP_SI;
  double xitsb_VSI_BP_VDI_SI;
  double xitsb_VSI_BP_VSI_BP;
  double xitsb_VDI_SI_VGP_SI;
  double xitsb_VDI_SI_VDI_SI;
  double xitsb_VDI_SI_VSI_BP;
  double xitsb_VGP_SI_VGP_SI;
  double xitsb_VGP_SI_VDI_SI;
  double xitsb_VGP_SI_VSI_BP;
#endif
#endif
double sqm;
#if defined(_DERIVATEFORDDX)
double sqm_VDI_SI;
double sqm_VGP_SI;
double sqm_VSI_BP;
#if defined(_DERIVATE2)
  double sqm_VSI_BP_VDI_SI;
  double sqm_VSI_BP_VGP_SI;
  double sqm_VSI_BP_VSI_BP;
  double sqm_VGP_SI_VDI_SI;
  double sqm_VGP_SI_VGP_SI;
  double sqm_VGP_SI_VSI_BP;
  double sqm_VDI_SI_VDI_SI;
  double sqm_VDI_SI_VGP_SI;
  double sqm_VDI_SI_VSI_BP;
#endif
#endif
double x_s;
#if defined(_DERIVATEFORDDX)
double x_s_VDI_SI;
double x_s_VGP_SI;
double x_s_VSI_BP;
#if defined(_DERIVATE2)
  double x_s_VSI_BP_VDI_SI;
  double x_s_VSI_BP_VGP_SI;
  double x_s_VSI_BP_VSI_BP;
  double x_s_VGP_SI_VDI_SI;
  double x_s_VGP_SI_VGP_SI;
  double x_s_VGP_SI_VSI_BP;
  double x_s_VDI_SI_VDI_SI;
  double x_s_VDI_SI_VGP_SI;
  double x_s_VDI_SI_VSI_BP;
#endif
#endif
double SP_S_x1;
#if defined(_DERIVATEFORDDX)
double SP_S_x1_VDI_SI;
double SP_S_x1_VGP_SI;
double SP_S_x1_VSI_BP;
#if defined(_DERIVATE2)
  double SP_S_x1_VSI_BP_VDI_SI;
  double SP_S_x1_VSI_BP_VGP_SI;
  double SP_S_x1_VSI_BP_VSI_BP;
  double SP_S_x1_VGP_SI_VDI_SI;
  double SP_S_x1_VGP_SI_VGP_SI;
  double SP_S_x1_VGP_SI_VSI_BP;
  double SP_S_x1_VDI_SI_VDI_SI;
  double SP_S_x1_VDI_SI_VGP_SI;
  double SP_S_x1_VDI_SI_VSI_BP;
#endif
#endif
double Gvsatinv;
#if defined(_DERIVATEFORDDX)
double Gvsatinv_VDI_SI;
double Gvsatinv_VGP_SI;
double Gvsatinv_VSI_BP;
#if defined(_DERIVATE2)
  double Gvsatinv_VSI_BP_VDI_SI;
  double Gvsatinv_VSI_BP_VGP_SI;
  double Gvsatinv_VSI_BP_VSI_BP;
  double Gvsatinv_VGP_SI_VDI_SI;
  double Gvsatinv_VGP_SI_VGP_SI;
  double Gvsatinv_VGP_SI_VSI_BP;
  double Gvsatinv_VDI_SI_VDI_SI;
  double Gvsatinv_VDI_SI_VGP_SI;
  double Gvsatinv_VDI_SI_VSI_BP;
#endif
#endif
double Gvsat;
#if defined(_DERIVATEFORDDX)
double Gvsat_VDI_SI;
double Gvsat_VGP_SI;
double Gvsat_VSI_BP;
#if defined(_DERIVATE2)
  double Gvsat_VSI_BP_VDI_SI;
  double Gvsat_VSI_BP_VGP_SI;
  double Gvsat_VSI_BP_VSI_BP;
  double Gvsat_VGP_SI_VDI_SI;
  double Gvsat_VGP_SI_VGP_SI;
  double Gvsat_VGP_SI_VSI_BP;
  double Gvsat_VDI_SI_VDI_SI;
  double Gvsat_VDI_SI_VGP_SI;
  double Gvsat_VDI_SI_VSI_BP;
#endif
#endif
double eta_p;
#if defined(_DERIVATEFORDDX)
double eta_p_VDI_SI;
double eta_p_VGP_SI;
double eta_p_VSI_BP;
#if defined(_DERIVATE2)
  double eta_p_VSI_BP_VDI_SI;
  double eta_p_VSI_BP_VGP_SI;
  double eta_p_VSI_BP_VSI_BP;
  double eta_p_VGP_SI_VDI_SI;
  double eta_p_VGP_SI_VGP_SI;
  double eta_p_VGP_SI_VSI_BP;
  double eta_p_VDI_SI_VDI_SI;
  double eta_p_VDI_SI_VGP_SI;
  double eta_p_VDI_SI_VSI_BP;
#endif
#endif
double s1;
#if defined(_DERIVATEFORDDX)
double s1_VDI_SI;
double s1_VGP_SI;
double s1_VSI_BP;
#if defined(_DERIVATE2)
  double s1_VSI_BP_VDI_SI;
  double s1_VSI_BP_VGP_SI;
  double s1_VSI_BP_VSI_BP;
  double s1_VGP_SI_VDI_SI;
  double s1_VGP_SI_VGP_SI;
  double s1_VGP_SI_VSI_BP;
  double s1_VDI_SI_VDI_SI;
  double s1_VDI_SI_VGP_SI;
  double s1_VDI_SI_VSI_BP;
#endif
#endif
double H;
#if defined(_DERIVATEFORDDX)
double H_VGP_SI;
double H_VDI_SI;
double H_VSI_BP;
#if defined(_DERIVATE2)
  double H_VSI_BP_VGP_SI;
  double H_VSI_BP_VDI_SI;
  double H_VSI_BP_VSI_BP;
  double H_VDI_SI_VGP_SI;
  double H_VDI_SI_VDI_SI;
  double H_VDI_SI_VSI_BP;
  double H_VGP_SI_VGP_SI;
  double H_VGP_SI_VDI_SI;
  double H_VGP_SI_VSI_BP;
#endif
#endif
double qim1;
#if defined(_DERIVATEFORDDX)
double qim1_VDI_SI;
double qim1_VGP_SI;
double qim1_VSI_BP;
#if defined(_DERIVATE2)
  double qim1_VSI_BP_VDI_SI;
  double qim1_VSI_BP_VGP_SI;
  double qim1_VSI_BP_VSI_BP;
  double qim1_VGP_SI_VDI_SI;
  double qim1_VGP_SI_VGP_SI;
  double qim1_VGP_SI_VSI_BP;
  double qim1_VDI_SI_VDI_SI;
  double qim1_VDI_SI_VGP_SI;
  double qim1_VDI_SI_VSI_BP;
#endif
#endif
double qim;
#if defined(_DERIVATEFORDDX)
double qim_VDI_SI;
double qim_VGP_SI;
double qim_VSI_BP;
#if defined(_DERIVATE2)
  double qim_VSI_BP_VDI_SI;
  double qim_VSI_BP_VGP_SI;
  double qim_VSI_BP_VSI_BP;
  double qim_VGP_SI_VDI_SI;
  double qim_VGP_SI_VGP_SI;
  double qim_VGP_SI_VSI_BP;
  double qim_VDI_SI_VDI_SI;
  double qim_VDI_SI_VGP_SI;
  double qim_VDI_SI_VSI_BP;
#endif
#endif
double dps;
#if defined(_DERIVATEFORDDX)
double dps_VDI_SI;
double dps_VGP_SI;
double dps_VSI_BP;
#if defined(_DERIVATE2)
  double dps_VSI_BP_VDI_SI;
  double dps_VSI_BP_VGP_SI;
  double dps_VSI_BP_VSI_BP;
  double dps_VGP_SI_VDI_SI;
  double dps_VGP_SI_VGP_SI;
  double dps_VGP_SI_VSI_BP;
  double dps_VDI_SI_VDI_SI;
  double dps_VDI_SI_VGP_SI;
  double dps_VDI_SI_VSI_BP;
#endif
#endif
double qbm;
#if defined(_DERIVATEFORDDX)
double qbm_VDI_SI;
double qbm_VGP_SI;
double qbm_VSI_BP;
#if defined(_DERIVATE2)
  double qbm_VSI_BP_VDI_SI;
  double qbm_VSI_BP_VGP_SI;
  double qbm_VSI_BP_VSI_BP;
  double qbm_VGP_SI_VDI_SI;
  double qbm_VGP_SI_VGP_SI;
  double qbm_VGP_SI_VSI_BP;
  double qbm_VDI_SI_VDI_SI;
  double qbm_VDI_SI_VGP_SI;
  double qbm_VDI_SI_VSI_BP;
#endif
#endif
double dL;
#if defined(_DERIVATEFORDDX)
double dL_VDI_SI;
double dL_VGP_SI;
double dL_VSI_BP;
#if defined(_DERIVATE2)
  double dL_VSI_BP_VDI_SI;
  double dL_VSI_BP_VGP_SI;
  double dL_VSI_BP_VSI_BP;
  double dL_VGP_SI_VDI_SI;
  double dL_VGP_SI_VGP_SI;
  double dL_VGP_SI_VSI_BP;
  double dL_VDI_SI_VDI_SI;
  double dL_VDI_SI_VGP_SI;
  double dL_VDI_SI_VSI_BP;
#endif
#endif
double GdL;
#if defined(_DERIVATEFORDDX)
double GdL_VDI_SI;
double GdL_VGP_SI;
double GdL_VSI_BP;
#if defined(_DERIVATE2)
  double GdL_VSI_BP_VDI_SI;
  double GdL_VSI_BP_VGP_SI;
  double GdL_VSI_BP_VSI_BP;
  double GdL_VGP_SI_VDI_SI;
  double GdL_VGP_SI_VGP_SI;
  double GdL_VGP_SI_VSI_BP;
  double GdL_VDI_SI_VDI_SI;
  double GdL_VDI_SI_VGP_SI;
  double GdL_VDI_SI_VSI_BP;
#endif
#endif
double alpha;
#if defined(_DERIVATEFORDDX)
double alpha_VDI_SI;
double alpha_VGP_SI;
double alpha_VSI_BP;
#if defined(_DERIVATE2)
  double alpha_VSI_BP_VDI_SI;
  double alpha_VSI_BP_VGP_SI;
  double alpha_VSI_BP_VSI_BP;
  double alpha_VGP_SI_VDI_SI;
  double alpha_VGP_SI_VGP_SI;
  double alpha_VGP_SI_VSI_BP;
  double alpha_VDI_SI_VDI_SI;
  double alpha_VDI_SI_VGP_SI;
  double alpha_VDI_SI_VSI_BP;
#endif
#endif
double FdL;
#if defined(_DERIVATEFORDDX)
double FdL_VDI_SI;
double FdL_VGP_SI;
double FdL_VSI_BP;
#if defined(_DERIVATE2)
  double FdL_VSI_BP_VDI_SI;
  double FdL_VSI_BP_VGP_SI;
  double FdL_VSI_BP_VSI_BP;
  double FdL_VGP_SI_VDI_SI;
  double FdL_VGP_SI_VGP_SI;
  double FdL_VGP_SI_VSI_BP;
  double FdL_VDI_SI_VDI_SI;
  double FdL_VDI_SI_VGP_SI;
  double FdL_VDI_SI_VSI_BP;
#endif
#endif
double alploc;
double axloc;
double thesatloc;
double cfloc;
double Vsbstar;
#if defined(_DERIVATEFORDDX)
double Vsbstar_VGP_SI;
double Vsbstar_VDI_SI;
double Vsbstar_VSI_BP;
#if defined(_DERIVATE2)
  double Vsbstar_VSI_BP_VGP_SI;
  double Vsbstar_VSI_BP_VDI_SI;
  double Vsbstar_VSI_BP_VSI_BP;
  double Vsbstar_VDI_SI_VGP_SI;
  double Vsbstar_VDI_SI_VDI_SI;
  double Vsbstar_VDI_SI_VSI_BP;
  double Vsbstar_VGP_SI_VGP_SI;
  double Vsbstar_VGP_SI_VDI_SI;
  double Vsbstar_VGP_SI_VSI_BP;
#endif
#endif
double G_0;
double phib;
double Vmbnew;
#if defined(_DERIVATEFORDDX)
double Vmbnew_VDI_SI;
double Vmbnew_VSI_BP;
#if defined(_DERIVATE2)
  double Vmbnew_VSI_BP_VDI_SI;
  double Vmbnew_VSI_BP_VSI_BP;
  double Vmbnew_VDI_SI_VDI_SI;
  double Vmbnew_VDI_SI_VSI_BP;
#endif
#endif
double usnew;
#if defined(_DERIVATEFORDDX)
double usnew_VDI_SI;
double usnew_VSI_BP;
#if defined(_DERIVATE2)
  double usnew_VSI_BP_VDI_SI;
  double usnew_VSI_BP_VSI_BP;
  double usnew_VDI_SI_VDI_SI;
  double usnew_VDI_SI_VSI_BP;
#endif
#endif
double us;
#if defined(_DERIVATEFORDDX)
double us_VDI_SI;
double us_VSI_BP;
#if defined(_DERIVATE2)
  double us_VSI_BP_VDI_SI;
  double us_VSI_BP_VSI_BP;
  double us_VDI_SI_VDI_SI;
  double us_VDI_SI_VSI_BP;
#endif
#endif
double Vmb;
#if defined(_DERIVATEFORDDX)
double Vmb_VDI_SI;
double Vmb_VSI_BP;
#if defined(_DERIVATE2)
  double Vmb_VSI_BP_VDI_SI;
  double Vmb_VSI_BP_VSI_BP;
  double Vmb_VDI_SI_VDI_SI;
  double Vmb_VDI_SI_VSI_BP;
#endif
#endif
double Vsbstar_dc_tmp;
#if defined(_DERIVATEFORDDX)
double Vsbstar_dc_tmp_VDI_SI;
double Vsbstar_dc_tmp_VSI_BP;
#if defined(_DERIVATE2)
  double Vsbstar_dc_tmp_VSI_BP_VDI_SI;
  double Vsbstar_dc_tmp_VSI_BP_VSI_BP;
  double Vsbstar_dc_tmp_VDI_SI_VDI_SI;
  double Vsbstar_dc_tmp_VDI_SI_VSI_BP;
#endif
#endif
double Vsbstar_dc;
#if defined(_DERIVATEFORDDX)
double Vsbstar_dc_VDI_SI;
double Vsbstar_dc_VSI_BP;
#if defined(_DERIVATE2)
  double Vsbstar_dc_VSI_BP_VDI_SI;
  double Vsbstar_dc_VSI_BP_VSI_BP;
  double Vsbstar_dc_VDI_SI_VDI_SI;
  double Vsbstar_dc_VDI_SI_VSI_BP;
#endif
#endif
double Vdsx;
#if defined(_DERIVATEFORDDX)
double Vdsx_VDI_SI;
#if defined(_DERIVATE2)
  double Vdsx_VDI_SI_VDI_SI;
#endif
#endif
double Vdb;
#if defined(_DERIVATEFORDDX)
double Vdb_VDI_SI;
double Vdb_VSI_BP;
#if defined(_DERIVATE2)
  double Vdb_VSI_BP_VDI_SI;
  double Vdb_VSI_BP_VSI_BP;
  double Vdb_VDI_SI_VDI_SI;
  double Vdb_VDI_SI_VSI_BP;
#endif
#endif
double xgd_ov;
#if defined(_DERIVATEFORDDX)
double xgd_ov_VGP_SI;
double xgd_ov_VDI_SI;
#if defined(_DERIVATE2)
  double xgd_ov_VDI_SI_VGP_SI;
  double xgd_ov_VDI_SI_VDI_SI;
  double xgd_ov_VGP_SI_VGP_SI;
  double xgd_ov_VGP_SI_VDI_SI;
#endif
#endif
double xgs_ov;
#if defined(_DERIVATEFORDDX)
double xgs_ov_VGP_SI;
#if defined(_DERIVATE2)
  double xgs_ov_VGP_SI_VGP_SI;
#endif
#endif
double VgdPrime;
#if defined(_DERIVATEFORDDX)
double VgdPrime_VGP_SI;
double VgdPrime_VDI_SI;
#if defined(_DERIVATE2)
  double VgdPrime_VDI_SI_VGP_SI;
  double VgdPrime_VDI_SI_VDI_SI;
  double VgdPrime_VGP_SI_VGP_SI;
  double VgdPrime_VGP_SI_VDI_SI;
#endif
#endif
double VdbPrime;
#if defined(_DERIVATEFORDDX)
double VdbPrime_VDI_SI;
double VdbPrime_VSI_BP;
#if defined(_DERIVATE2)
  double VdbPrime_VSI_BP_VDI_SI;
  double VdbPrime_VSI_BP_VSI_BP;
  double VdbPrime_VDI_SI_VDI_SI;
  double VdbPrime_VDI_SI_VSI_BP;
#endif
#endif
double VsbPrime;
#if defined(_DERIVATEFORDDX)
double VsbPrime_VSI_BP;
#if defined(_DERIVATE2)
  double VsbPrime_VSI_BP_VSI_BP;
#endif
#endif
double VgsPrime;
#if defined(_DERIVATEFORDDX)
double VgsPrime_VGP_SI;
#if defined(_DERIVATE2)
  double VgsPrime_VGP_SI_VGP_SI;
#endif
#endif
#if defined(_DYNAMIC)
double Vgb;
#if defined(_DERIVATE)
double Vgb_VGP_SI;
double Vgb_VSI_BP;
#endif
#endif
double Vjun_d;
#if defined(_DERIVATEFORDDX)
double Vjun_d_VDI_BD;
#if defined(_DERIVATE2)
  double Vjun_d_VDI_BD_VDI_BD;
#endif
#endif
double Vjun_s;
#if defined(_DERIVATEFORDDX)
double Vjun_s_VSI_BS;
#if defined(_DERIVATE2)
  double Vjun_s_VSI_BS_VSI_BS;
#endif
#endif
double Vsb;
#if defined(_DERIVATEFORDDX)
double Vsb_VDI_SI;
double Vsb_VSI_BP;
#if defined(_DERIVATE2)
  double Vsb_VSI_BP_VDI_SI;
  double Vsb_VSI_BP_VSI_BP;
  double Vsb_VDI_SI_VDI_SI;
  double Vsb_VDI_SI_VSI_BP;
#endif
#endif
double Vds;
#if defined(_DERIVATEFORDDX)
double Vds_VDI_SI;
#if defined(_DERIVATE2)
  double Vds_VDI_SI_VDI_SI;
#endif
#endif
double Vgs;
#if defined(_DERIVATEFORDDX)
double Vgs_VDI_SI;
double Vgs_VGP_SI;
#if defined(_DERIVATE2)
  double Vgs_VGP_SI_VDI_SI;
  double Vgs_VGP_SI_VGP_SI;
  double Vgs_VDI_SI_VDI_SI;
  double Vgs_VDI_SI_VGP_SI;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double mavl_VDI_SI;
double mavl_VGP_SI;
double mavl_VSI_BP;
#if defined(_DERIVATE2)
  double mavl_VSI_BP_VDI_SI;
  double mavl_VSI_BP_VGP_SI;
  double mavl_VSI_BP_VSI_BP;
  double mavl_VGP_SI_VDI_SI;
  double mavl_VGP_SI_VGP_SI;
  double mavl_VGP_SI_VSI_BP;
  double mavl_VDI_SI_VDI_SI;
  double mavl_VDI_SI_VGP_SI;
  double mavl_VDI_SI_VSI_BP;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double Iimpact_VDI_SI;
double Iimpact_VGP_SI;
double Iimpact_VSI_BP;
#if defined(_DERIVATE2)
  double Iimpact_VSI_BP_VDI_SI;
  double Iimpact_VSI_BP_VGP_SI;
  double Iimpact_VSI_BP_VSI_BP;
  double Iimpact_VGP_SI_VDI_SI;
  double Iimpact_VGP_SI_VGP_SI;
  double Iimpact_VGP_SI_VSI_BP;
  double Iimpact_VDI_SI_VDI_SI;
  double Iimpact_VDI_SI_VGP_SI;
  double Iimpact_VDI_SI_VSI_BP;
#endif
#endif
double Vovd;
#if defined(_DERIVATEFORDDX)
double Vovd_VGP_SI;
double Vovd_VDI_SI;
#if defined(_DERIVATE2)
  double Vovd_VDI_SI_VGP_SI;
  double Vovd_VDI_SI_VDI_SI;
  double Vovd_VGP_SI_VGP_SI;
  double Vovd_VGP_SI_VDI_SI;
#endif
#endif
double Vovs;
#if defined(_DERIVATEFORDDX)
double Vovs_VGP_SI;
#if defined(_DERIVATE2)
  double Vovs_VGP_SI_VGP_SI;
#endif
#endif
double xd_ov;
#if defined(_DERIVATEFORDDX)
double xd_ov_VDI_SI;
double xd_ov_VGP_SI;
#if defined(_DERIVATE2)
  double xd_ov_VGP_SI_VDI_SI;
  double xd_ov_VGP_SI_VGP_SI;
  double xd_ov_VDI_SI_VDI_SI;
  double xd_ov_VDI_SI_VGP_SI;
#endif
#endif
double xs_ov;
#if defined(_DERIVATEFORDDX)
double xs_ov_VGP_SI;
#if defined(_DERIVATE2)
  double xs_ov_VGP_SI_VGP_SI;
#endif
#endif
#if defined(_DYNAMIC)
double QCLM;
#if defined(_DERIVATEFORDDX)
double QCLM_VDI_SI;
double QCLM_VGP_SI;
double QCLM_VSI_BP;
#if defined(_DERIVATE2)
  double QCLM_VSI_BP_VDI_SI;
  double QCLM_VSI_BP_VGP_SI;
  double QCLM_VSI_BP_VSI_BP;
  double QCLM_VGP_SI_VDI_SI;
  double QCLM_VGP_SI_VGP_SI;
  double QCLM_VGP_SI_VSI_BP;
  double QCLM_VDI_SI_VDI_SI;
  double QCLM_VDI_SI_VGP_SI;
  double QCLM_VDI_SI_VSI_BP;
#endif
#endif
#endif
double temp2;
#if defined(_DERIVATEFORDDX)
double temp2_VDI_SI;
double temp2_VGP_SI;
double temp2_VSI_BP;
#if defined(_DERIVATE2)
  double temp2_VSI_BP_VDI_SI;
  double temp2_VSI_BP_VGP_SI;
  double temp2_VSI_BP_VSI_BP;
  double temp2_VGP_SI_VDI_SI;
  double temp2_VGP_SI_VGP_SI;
  double temp2_VGP_SI_VSI_BP;
  double temp2_VDI_SI_VDI_SI;
  double temp2_VDI_SI_VGP_SI;
  double temp2_VDI_SI_VSI_BP;
#endif
#endif
#if defined(_DERIVATEFORDDX)
double temp1_VDI_SI;
double temp1_VGP_SI;
double temp1_VSI_BP;
#if defined(_DERIVATE2)
  double temp1_VSI_BP_VDI_SI;
  double temp1_VSI_BP_VGP_SI;
  double temp1_VSI_BP_VSI_BP;
  double temp1_VGP_SI_VDI_SI;
  double temp1_VGP_SI_VGP_SI;
  double temp1_VGP_SI_VSI_BP;
  double temp1_VDI_SI_VDI_SI;
  double temp1_VDI_SI_VGP_SI;
  double temp1_VDI_SI_VSI_BP;
#endif
#endif
double temp;
#if defined(_DERIVATEFORDDX)
double temp_VGP_SI;
double temp_VDI_SI;
double temp_VSI_BP;
#if defined(_DERIVATE2)
  double temp_VSI_BP_VGP_SI;
  double temp_VSI_BP_VDI_SI;
  double temp_VSI_BP_VSI_BP;
  double temp_VDI_SI_VGP_SI;
  double temp_VDI_SI_VDI_SI;
  double temp_VDI_SI_VSI_BP;
  double temp_VGP_SI_VGP_SI;
  double temp_VGP_SI_VDI_SI;
  double temp_VGP_SI_VSI_BP;
#endif
#endif
{
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=0.0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=0.0;
  temp_VGP_SI_VDI_SI=0.0;
  temp_VGP_SI_VSI_BP=0.0;
#endif
temp_VDI_SI=0.0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=0.0;
  temp_VDI_SI_VDI_SI=0.0;
  temp_VDI_SI_VSI_BP=0.0;
#endif
temp_VSI_BP=0.0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=0.0;
  temp_VSI_BP_VDI_SI=0.0;
  temp_VSI_BP_VSI_BP=0.0;
#endif
#endif
temp=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=0.0;
  temp1_VDI_SI_VGP_SI=0.0;
  temp1_VDI_SI_VSI_BP=0.0;
#endif
temp1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=0.0;
  temp1_VGP_SI_VGP_SI=0.0;
  temp1_VGP_SI_VSI_BP=0.0;
#endif
temp1_VSI_BP=0.0;
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=0.0;
  temp1_VSI_BP_VGP_SI=0.0;
  temp1_VSI_BP_VSI_BP=0.0;
#endif
#endif
pInst->temp1=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=0.0;
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=0.0;
  temp2_VDI_SI_VGP_SI=0.0;
  temp2_VDI_SI_VSI_BP=0.0;
#endif
temp2_VGP_SI=0.0;
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=0.0;
  temp2_VGP_SI_VGP_SI=0.0;
  temp2_VGP_SI_VSI_BP=0.0;
#endif
temp2_VSI_BP=0.0;
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=0.0;
  temp2_VSI_BP_VGP_SI=0.0;
  temp2_VSI_BP_VSI_BP=0.0;
#endif
#endif
temp2=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
QCLM_VDI_SI=0.0;
#if defined(_DERIVATE2)
  QCLM_VDI_SI_VDI_SI=0.0;
  QCLM_VDI_SI_VGP_SI=0.0;
  QCLM_VDI_SI_VSI_BP=0.0;
#endif
QCLM_VGP_SI=0.0;
#if defined(_DERIVATE2)
  QCLM_VGP_SI_VDI_SI=0.0;
  QCLM_VGP_SI_VGP_SI=0.0;
  QCLM_VGP_SI_VSI_BP=0.0;
#endif
QCLM_VSI_BP=0.0;
#if defined(_DERIVATE2)
  QCLM_VSI_BP_VDI_SI=0.0;
  QCLM_VSI_BP_VGP_SI=0.0;
  QCLM_VSI_BP_VSI_BP=0.0;
#endif
#endif
QCLM=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xs_ov_VGP_SI=0.0;
#if defined(_DERIVATE2)
  xs_ov_VGP_SI_VGP_SI=0.0;
#endif
#endif
xs_ov=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xd_ov_VDI_SI=0.0;
#if defined(_DERIVATE2)
  xd_ov_VDI_SI_VDI_SI=0.0;
  xd_ov_VDI_SI_VGP_SI=0.0;
#endif
xd_ov_VGP_SI=0.0;
#if defined(_DERIVATE2)
  xd_ov_VGP_SI_VDI_SI=0.0;
  xd_ov_VGP_SI_VGP_SI=0.0;
#endif
#endif
xd_ov=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Vovs_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Vovs_VGP_SI_VGP_SI=0.0;
#endif
#endif
Vovs=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Vovd_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Vovd_VGP_SI_VGP_SI=0.0;
  Vovd_VGP_SI_VDI_SI=0.0;
#endif
Vovd_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Vovd_VDI_SI_VGP_SI=0.0;
  Vovd_VDI_SI_VDI_SI=0.0;
#endif
#endif
Vovd=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Iimpact_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Iimpact_VDI_SI_VDI_SI=0.0;
  Iimpact_VDI_SI_VGP_SI=0.0;
  Iimpact_VDI_SI_VSI_BP=0.0;
#endif
Iimpact_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Iimpact_VGP_SI_VDI_SI=0.0;
  Iimpact_VGP_SI_VGP_SI=0.0;
  Iimpact_VGP_SI_VSI_BP=0.0;
#endif
Iimpact_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Iimpact_VSI_BP_VDI_SI=0.0;
  Iimpact_VSI_BP_VGP_SI=0.0;
  Iimpact_VSI_BP_VSI_BP=0.0;
#endif
#endif
pInst->Iimpact=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
mavl_VDI_SI=0.0;
#if defined(_DERIVATE2)
  mavl_VDI_SI_VDI_SI=0.0;
  mavl_VDI_SI_VGP_SI=0.0;
  mavl_VDI_SI_VSI_BP=0.0;
#endif
mavl_VGP_SI=0.0;
#if defined(_DERIVATE2)
  mavl_VGP_SI_VDI_SI=0.0;
  mavl_VGP_SI_VGP_SI=0.0;
  mavl_VGP_SI_VSI_BP=0.0;
#endif
mavl_VSI_BP=0.0;
#if defined(_DERIVATE2)
  mavl_VSI_BP_VDI_SI=0.0;
  mavl_VSI_BP_VGP_SI=0.0;
  mavl_VSI_BP_VSI_BP=0.0;
#endif
#endif
pInst->mavl=0.0;
EXIT_IF_ISNAN(0.0)
if
((pModel->CHNL_TYPE==(+1)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vgs_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Vgs_VDI_SI_VDI_SI=0.0;
  Vgs_VDI_SI_VGP_SI=0.0;
#endif
Vgs_VGP_SI=1.0;
#if defined(_DERIVATE2)
  Vgs_VGP_SI_VDI_SI=0.0;
  Vgs_VGP_SI_VGP_SI=0.0;
#endif
#endif
Vgs=(NP(GP)-NP(SI));
EXIT_IF_ISNAN((NP(GP)-NP(SI)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vds_VDI_SI=1.0;
#if defined(_DERIVATE2)
  Vds_VDI_SI_VDI_SI=0.0;
#endif
#endif
Vds=(NP(DI)-NP(SI));
EXIT_IF_ISNAN((NP(DI)-NP(SI)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vsb_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Vsb_VDI_SI_VDI_SI=0.0;
  Vsb_VDI_SI_VSI_BP=0.0;
#endif
Vsb_VSI_BP=1.0;
#if defined(_DERIVATE2)
  Vsb_VSI_BP_VDI_SI=0.0;
  Vsb_VSI_BP_VSI_BP=0.0;
#endif
#endif
Vsb=(NP(SI)-NP(BP));
EXIT_IF_ISNAN((NP(SI)-NP(BP)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS) ddxprobe=V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND)V(BS,GND) */
Vjun_s_VSI_BS=(-1.0);
#if defined(_DERIVATE2)
  Vjun_s_VSI_BS_VSI_BS=0.0;
#endif
#endif
Vjun_s=(-(NP(SI)-NP(BS)));
EXIT_IF_ISNAN((-(NP(SI)-NP(BS))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Vjun_d_VDI_BD=(-1.0);
#if defined(_DERIVATE2)
  Vjun_d_VDI_BD_VDI_BD=0.0;
#endif
#endif
Vjun_d=(-(NP(DI)-NP(BD)));
EXIT_IF_ISNAN((-(NP(DI)-NP(BD))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vgs_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Vgs_VDI_SI_VDI_SI=0.0;
  Vgs_VDI_SI_VGP_SI=0.0;
#endif
Vgs_VGP_SI=(-1.0);
#if defined(_DERIVATE2)
  Vgs_VGP_SI_VDI_SI=0.0;
  Vgs_VGP_SI_VGP_SI=0.0;
#endif
#endif
Vgs=(-(NP(GP)-NP(SI)));
EXIT_IF_ISNAN((-(NP(GP)-NP(SI))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vds_VDI_SI=(-1.0);
#if defined(_DERIVATE2)
  Vds_VDI_SI_VDI_SI=0.0;
#endif
#endif
Vds=(-(NP(DI)-NP(SI)));
EXIT_IF_ISNAN((-(NP(DI)-NP(SI))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vsb_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Vsb_VDI_SI_VDI_SI=0.0;
  Vsb_VDI_SI_VSI_BP=0.0;
#endif
Vsb_VSI_BP=(-1.0);
#if defined(_DERIVATE2)
  Vsb_VSI_BP_VDI_SI=0.0;
  Vsb_VSI_BP_VSI_BP=0.0;
#endif
#endif
Vsb=(-(NP(SI)-NP(BP)));
EXIT_IF_ISNAN((-(NP(SI)-NP(BP))))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS) ddxprobe=V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND)V(BS,GND) */
Vjun_s_VSI_BS=1.0;
#if defined(_DERIVATE2)
  Vjun_s_VSI_BS_VSI_BS=0.0;
#endif
#endif
Vjun_s=(NP(SI)-NP(BS));
EXIT_IF_ISNAN((NP(SI)-NP(BS)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Vjun_d_VDI_BD=1.0;
#if defined(_DERIVATE2)
  Vjun_d_VDI_BD_VDI_BD=0.0;
#endif
#endif
Vjun_d=(NP(DI)-NP(BD));
EXIT_IF_ISNAN((NP(DI)-NP(BD)))
}
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(GP,SI)V(SI,BP) ddxprobe= */
Vgb_VGP_SI=Vgs_VGP_SI;
Vgb_VSI_BP=Vsb_VSI_BP;
#endif
Vgb=(Vgs+Vsb);
EXIT_IF_ISNAN((Vgs+Vsb))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI) ddxprobe=V(SI,GND)V(DI,GND)V(BP,GND)V(GP,GND) */
VgsPrime_VGP_SI=Vgs_VGP_SI;
#if defined(_DERIVATE2)
  VgsPrime_VGP_SI_VGP_SI=Vgs_VGP_SI_VGP_SI;
#endif
#endif
VgsPrime=Vgs;
EXIT_IF_ISNAN(Vgs)
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
VsbPrime_VSI_BP=Vsb_VSI_BP;
#if defined(_DERIVATE2)
  VsbPrime_VSI_BP_VSI_BP=Vsb_VSI_BP_VSI_BP;
#endif
#endif
VsbPrime=Vsb;
EXIT_IF_ISNAN(Vsb)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
VdbPrime_VDI_SI=(Vds_VDI_SI+Vsb_VDI_SI);
#if defined(_DERIVATE2)
  VdbPrime_VDI_SI_VDI_SI=(+Vds_VDI_SI_VDI_SI+Vsb_VDI_SI_VDI_SI);
  VdbPrime_VDI_SI_VSI_BP=(+0.0+Vsb_VDI_SI_VSI_BP);
#endif
VdbPrime_VSI_BP=Vsb_VSI_BP;
#if defined(_DERIVATE2)
  VdbPrime_VSI_BP_VDI_SI=(+0.0+Vsb_VSI_BP_VDI_SI);
  VdbPrime_VSI_BP_VSI_BP=(+0.0+Vsb_VSI_BP_VSI_BP);
#endif
#endif
VdbPrime=(Vds+Vsb);
EXIT_IF_ISNAN((Vds+Vsb))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(BP,GND)V(GP,GND) */
VgdPrime_VGP_SI=Vgs_VGP_SI;
#if defined(_DERIVATE2)
  VgdPrime_VGP_SI_VGP_SI=(+Vgs_VGP_SI_VGP_SI-0.0);
  VgdPrime_VGP_SI_VDI_SI=(+Vgs_VGP_SI_VDI_SI-0.0);
#endif
VgdPrime_VDI_SI=(Vgs_VDI_SI-Vds_VDI_SI);
#if defined(_DERIVATE2)
  VgdPrime_VDI_SI_VGP_SI=(+Vgs_VDI_SI_VGP_SI-0.0);
  VgdPrime_VDI_SI_VDI_SI=(+Vgs_VDI_SI_VDI_SI-Vds_VDI_SI_VDI_SI);
#endif
#endif
VgdPrime=(Vgs-Vds);
EXIT_IF_ISNAN((Vgs-Vds))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
xgs_ov_VGP_SI=(-VgsPrime_VGP_SI)*pModel->inv_phita;
#if defined(_DERIVATE2)
  xgs_ov_VGP_SI_VGP_SI=(+0.0*pModel->inv_phita+(-VgsPrime_VGP_SI)*0.0+(-VgsPrime_VGP_SI)*0.0+(-VgsPrime)*0.0);
#endif
#endif
xgs_ov=((-VgsPrime)*pModel->inv_phita);
EXIT_IF_ISNAN(((-VgsPrime)*pModel->inv_phita))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
xgd_ov_VGP_SI=(-VgdPrime_VGP_SI)*pModel->inv_phita;
#if defined(_DERIVATE2)
  xgd_ov_VGP_SI_VGP_SI=(+0.0*pModel->inv_phita+(-VgdPrime_VGP_SI)*0.0+(-VgdPrime_VGP_SI)*0.0+(-VgdPrime)*0.0);
  xgd_ov_VGP_SI_VDI_SI=(+0.0*pModel->inv_phita+(-VgdPrime_VGP_SI)*0.0+(-VgdPrime_VDI_SI)*0.0+(-VgdPrime)*0.0);
#endif
xgd_ov_VDI_SI=(-VgdPrime_VDI_SI)*pModel->inv_phita;
#if defined(_DERIVATE2)
  xgd_ov_VDI_SI_VGP_SI=(+0.0*pModel->inv_phita+(-VgdPrime_VDI_SI)*0.0+(-VgdPrime_VGP_SI)*0.0+(-VgdPrime)*0.0);
  xgd_ov_VDI_SI_VDI_SI=(+0.0*pModel->inv_phita+(-VgdPrime_VDI_SI)*0.0+(-VgdPrime_VDI_SI)*0.0+(-VgdPrime)*0.0);
#endif
#endif
xgd_ov=((-VgdPrime)*pModel->inv_phita);
EXIT_IF_ISNAN(((-VgdPrime)*pModel->inv_phita))
pInst->sigVds=1.0;
EXIT_IF_ISNAN(1.0)
if
((Vds<0.0))
{
pInst->sigVds=(-1.0);
EXIT_IF_ISNAN((-1.0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vgs_VDI_SI=(Vgs_VDI_SI-Vds_VDI_SI);
#if defined(_DERIVATE2)
  Vgs_VDI_SI_VDI_SI=(+Vgs_VDI_SI_VDI_SI-Vds_VDI_SI_VDI_SI);
  Vgs_VDI_SI_VGP_SI=(+Vgs_VDI_SI_VGP_SI-0.0);
#endif
Vgs_VGP_SI=Vgs_VGP_SI;
#if defined(_DERIVATE2)
  Vgs_VGP_SI_VDI_SI=(+Vgs_VGP_SI_VDI_SI-0.0);
  Vgs_VGP_SI_VGP_SI=(+Vgs_VGP_SI_VGP_SI-0.0);
#endif
#endif
Vgs=(Vgs-Vds);
EXIT_IF_ISNAN((Vgs-Vds))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vsb_VDI_SI=(Vsb_VDI_SI+Vds_VDI_SI);
#if defined(_DERIVATE2)
  Vsb_VDI_SI_VDI_SI=(+Vsb_VDI_SI_VDI_SI+Vds_VDI_SI_VDI_SI);
  Vsb_VDI_SI_VSI_BP=(+Vsb_VDI_SI_VSI_BP+0.0);
#endif
Vsb_VSI_BP=Vsb_VSI_BP;
#if defined(_DERIVATE2)
  Vsb_VSI_BP_VDI_SI=(+Vsb_VSI_BP_VDI_SI+0.0);
  Vsb_VSI_BP_VSI_BP=(+Vsb_VSI_BP_VSI_BP+0.0);
#endif
#endif
Vsb=(Vsb+Vds);
EXIT_IF_ISNAN((Vsb+Vds))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vds_VDI_SI=(-Vds_VDI_SI);
#if defined(_DERIVATE2)
  Vds_VDI_SI_VDI_SI=0.0;
#endif
#endif
Vds=(-Vds);
EXIT_IF_ISNAN((-Vds))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Vdb_VDI_SI=(Vds_VDI_SI+Vsb_VDI_SI);
#if defined(_DERIVATE2)
  Vdb_VDI_SI_VDI_SI=(+Vds_VDI_SI_VDI_SI+Vsb_VDI_SI_VDI_SI);
  Vdb_VDI_SI_VSI_BP=(+0.0+Vsb_VDI_SI_VSI_BP);
#endif
Vdb_VSI_BP=Vsb_VSI_BP;
#if defined(_DERIVATE2)
  Vdb_VSI_BP_VDI_SI=(+0.0+Vsb_VSI_BP_VDI_SI);
  Vdb_VSI_BP_VSI_BP=(+0.0+Vsb_VSI_BP_VSI_BP);
#endif
#endif
Vdb=(Vds+Vsb);
EXIT_IF_ISNAN((Vds+Vsb))
{
double m00_sqrt(d00_sqrt0,((Vds*Vds)+0.01))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((Vds*Vds)+0.01))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Vdsx_VDI_SI=((((Vds_VDI_SI*Vds)+(Vds*Vds_VDI_SI))*(d00_sqrt0+0.1)-(Vds*Vds)*((Vds_VDI_SI*Vds)+(Vds*Vds_VDI_SI))*d10_sqrt0)/(d00_sqrt0+0.1)/(d00_sqrt0+0.1));
#if defined(_DERIVATE2)
  Vdsx_VDI_SI_VDI_SI=((+Vds_VDI_SI_VDI_SI*Vds+Vds_VDI_SI*Vds_VDI_SI+Vds_VDI_SI*Vds_VDI_SI+Vds*Vds_VDI_SI_VDI_SI)/(d00_sqrt0+0.1)-(((Vds_VDI_SI*Vds)+(Vds*Vds_VDI_SI))*(((Vds_VDI_SI*Vds)+(Vds*Vds_VDI_SI)))*d10_sqrt0+(((Vds_VDI_SI*Vds)+(Vds*Vds_VDI_SI)))*((Vds_VDI_SI*Vds)+(Vds*Vds_VDI_SI))*d10_sqrt0+(Vds*Vds)*(+(m20_sqrt(((Vds*Vds)+0.01))*(((Vds_VDI_SI*Vds)+(Vds*Vds_VDI_SI)))*((Vds_VDI_SI*Vds)+(Vds*Vds_VDI_SI))+d10_sqrt0*(+(+Vds_VDI_SI_VDI_SI*Vds+Vds_VDI_SI*Vds_VDI_SI+Vds_VDI_SI*Vds_VDI_SI+Vds*Vds_VDI_SI_VDI_SI)+0.0))+0.0))/(d00_sqrt0+0.1)/(d00_sqrt0+0.1)+2*(Vds*Vds)*((Vds_VDI_SI*Vds)+(Vds*Vds_VDI_SI))*d10_sqrt0*(((Vds_VDI_SI*Vds)+(Vds*Vds_VDI_SI)))*d10_sqrt0/(d00_sqrt0+0.1)/(d00_sqrt0+0.1)/(d00_sqrt0+0.1));
#endif
#endif
Vdsx=((Vds*Vds)/(d00_sqrt0+0.1));
EXIT_IF_ISNAN(((Vds*Vds)/(d00_sqrt0+0.1)))
}
{
{
double m00_sqrt(d00_sqrt0,(((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_dc))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_dc))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=0.0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=0.0;
  temp_VGP_SI_VDI_SI=0.0;
  temp_VGP_SI_VSI_BP=0.0;
#endif
temp_VDI_SI=(0.5*((Vdb_VDI_SI+Vsb_VDI_SI)-(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*(-(0.0)*d10_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))*d10_sqrt0)+0.5*(+(+0.0+0.0)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_dc))*(0.0)*(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))+d10_sqrt0*(+(+(+0.0-0.0)*(Vdb-Vsb)+(Vdb_VDI_SI-Vsb_VDI_SI)*0.0+0.0*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb-Vsb)*(+0.0-0.0))+0.0))))+0.0);
  temp_VDI_SI_VDI_SI=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-((((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI))))*d10_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))*d10_sqrt0)+0.5*(+(+Vdb_VDI_SI_VDI_SI+Vsb_VDI_SI_VDI_SI)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_dc))*((((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI))))*(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))+d10_sqrt0*(+(+(+Vdb_VDI_SI_VDI_SI-Vsb_VDI_SI_VDI_SI)*(Vdb-Vsb)+(Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb-Vsb)*(+Vdb_VDI_SI_VDI_SI-Vsb_VDI_SI_VDI_SI))+0.0))))+0.0);
  temp_VDI_SI_VSI_BP=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-((((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP))))*d10_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))*d10_sqrt0)+0.5*(+(+Vdb_VDI_SI_VSI_BP+Vsb_VDI_SI_VSI_BP)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_dc))*((((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP))))*(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))+d10_sqrt0*(+(+(+Vdb_VDI_SI_VSI_BP-Vsb_VDI_SI_VSI_BP)*(Vdb-Vsb)+(Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb-Vsb)*(+Vdb_VDI_SI_VSI_BP-Vsb_VDI_SI_VSI_BP))+0.0))))+0.0);
#endif
temp_VSI_BP=(0.5*((Vdb_VSI_BP+Vsb_VSI_BP)-(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*(-(0.0)*d10_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))*d10_sqrt0)+0.5*(+(+0.0+0.0)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_dc))*(0.0)*(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+0.0-0.0)*(Vdb-Vsb)+(Vdb_VSI_BP-Vsb_VSI_BP)*0.0+0.0*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb-Vsb)*(+0.0-0.0))+0.0))))+0.0);
  temp_VSI_BP_VDI_SI=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-((((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI))))*d10_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))*d10_sqrt0)+0.5*(+(+Vdb_VSI_BP_VDI_SI+Vsb_VSI_BP_VDI_SI)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_dc))*((((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI))))*(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+Vdb_VSI_BP_VDI_SI-Vsb_VSI_BP_VDI_SI)*(Vdb-Vsb)+(Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb-Vsb)*(+Vdb_VSI_BP_VDI_SI-Vsb_VSI_BP_VDI_SI))+0.0))))+0.0);
  temp_VSI_BP_VSI_BP=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-((((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP))))*d10_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))*d10_sqrt0)+0.5*(+(+Vdb_VSI_BP_VSI_BP+Vsb_VSI_BP_VSI_BP)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_dc))*((((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP))))*(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+Vdb_VSI_BP_VSI_BP-Vsb_VSI_BP_VSI_BP)*(Vdb-Vsb)+(Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb-Vsb)*(+Vdb_VSI_BP_VSI_BP-Vsb_VSI_BP_VSI_BP))+0.0))))+0.0);
#endif
#endif
temp=((0.5*((Vdb+Vsb)-d00_sqrt0))+pInst->phix_dc);
EXIT_IF_ISNAN(((0.5*((Vdb+Vsb)-d00_sqrt0))+pInst->phix_dc))
}
{
double m00_sqrt(d00_sqrt0,((temp*temp)+pInst->aphi_dc))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((temp*temp)+pInst->aphi_dc))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
Vsbstar_dc_VDI_SI=(Vsb_VDI_SI-(0.5*(temp_VDI_SI-((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)));
#if defined(_DERIVATE2)
  Vsbstar_dc_VDI_SI_VDI_SI=(+(+Vsb_VDI_SI_VDI_SI-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VDI_SI-(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*d10_sqrt0)+0.0*(temp_VDI_SI-((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)+0.5*(+(+temp_VDI_SI_VDI_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_dc))*(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*((temp_VDI_SI*temp)+(temp*temp_VDI_SI))+d10_sqrt0*(+(+(+temp_VDI_SI_VDI_SI-0.0)*temp+temp_VDI_SI*temp_VDI_SI+temp_VDI_SI*temp_VDI_SI+temp*(+temp_VDI_SI_VDI_SI-0.0))+0.0)))))+0.0);
  Vsbstar_dc_VDI_SI_VSI_BP=(+(+Vsb_VDI_SI_VSI_BP-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VSI_BP-(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*d10_sqrt0)+0.0*(temp_VDI_SI-((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)+0.5*(+(+temp_VDI_SI_VSI_BP+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_dc))*(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*((temp_VDI_SI*temp)+(temp*temp_VDI_SI))+d10_sqrt0*(+(+(+temp_VDI_SI_VSI_BP-0.0)*temp+temp_VDI_SI*temp_VSI_BP+temp_VSI_BP*temp_VDI_SI+temp*(+temp_VDI_SI_VSI_BP-0.0))+0.0)))))+0.0);
#endif
Vsbstar_dc_VSI_BP=(Vsb_VSI_BP-(0.5*(temp_VSI_BP-((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)));
#if defined(_DERIVATE2)
  Vsbstar_dc_VSI_BP_VDI_SI=(+(+Vsb_VSI_BP_VDI_SI-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VDI_SI-(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*d10_sqrt0)+0.0*(temp_VSI_BP-((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)+0.5*(+(+temp_VSI_BP_VDI_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_dc))*(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*((temp_VSI_BP*temp)+(temp*temp_VSI_BP))+d10_sqrt0*(+(+(+temp_VSI_BP_VDI_SI-0.0)*temp+temp_VSI_BP*temp_VDI_SI+temp_VDI_SI*temp_VSI_BP+temp*(+temp_VSI_BP_VDI_SI-0.0))+0.0)))))+0.0);
  Vsbstar_dc_VSI_BP_VSI_BP=(+(+Vsb_VSI_BP_VSI_BP-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VSI_BP-(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*d10_sqrt0)+0.0*(temp_VSI_BP-((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)+0.5*(+(+temp_VSI_BP_VSI_BP+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_dc))*(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*((temp_VSI_BP*temp)+(temp*temp_VSI_BP))+d10_sqrt0*(+(+(+temp_VSI_BP_VSI_BP-0.0)*temp+temp_VSI_BP*temp_VSI_BP+temp_VSI_BP*temp_VSI_BP+temp*(+temp_VSI_BP_VSI_BP-0.0))+0.0)))))+0.0);
#endif
#endif
Vsbstar_dc=((Vsb-(0.5*(temp-d00_sqrt0)))+pInst->phix1_dc);
EXIT_IF_ISNAN(((Vsb-(0.5*(temp-d00_sqrt0)))+pInst->phix1_dc))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
Vsbstar_dc_tmp_VDI_SI=Vsbstar_dc_VDI_SI;
#if defined(_DERIVATE2)
  Vsbstar_dc_tmp_VDI_SI_VDI_SI=Vsbstar_dc_VDI_SI_VDI_SI;
  Vsbstar_dc_tmp_VDI_SI_VSI_BP=Vsbstar_dc_VDI_SI_VSI_BP;
#endif
Vsbstar_dc_tmp_VSI_BP=Vsbstar_dc_VSI_BP;
#if defined(_DERIVATE2)
  Vsbstar_dc_tmp_VSI_BP_VDI_SI=Vsbstar_dc_VSI_BP_VDI_SI;
  Vsbstar_dc_tmp_VSI_BP_VSI_BP=Vsbstar_dc_VSI_BP_VSI_BP;
#endif
#endif
Vsbstar_dc_tmp=Vsbstar_dc;
EXIT_IF_ISNAN(Vsbstar_dc)
if
(((pModel->SWNUD_i!=0)&&(pInst->GFACNUD_i!=1.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
Vmb_VDI_SI=(Vsbstar_dc_VDI_SI+(0.5*(Vds_VDI_SI-Vdsx_VDI_SI)));
#if defined(_DERIVATE2)
  Vmb_VDI_SI_VDI_SI=(+Vsbstar_dc_VDI_SI_VDI_SI+(+0.0*(Vds-Vdsx)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+Vds_VDI_SI_VDI_SI-Vdsx_VDI_SI_VDI_SI)));
  Vmb_VDI_SI_VSI_BP=(+Vsbstar_dc_VDI_SI_VSI_BP+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+0.0-0.0)));
#endif
Vmb_VSI_BP=Vsbstar_dc_VSI_BP;
#if defined(_DERIVATE2)
  Vmb_VSI_BP_VDI_SI=(+Vsbstar_dc_VSI_BP_VDI_SI+(+0.0*(Vds-Vdsx)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.0*0.0+0.5*(+0.0-0.0)));
  Vmb_VSI_BP_VSI_BP=(+Vsbstar_dc_VSI_BP_VSI_BP+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*0.0+0.5*(+0.0-0.0)));
#endif
#endif
Vmb=(Vsbstar_dc+(0.5*(Vds-Vdsx)));
EXIT_IF_ISNAN((Vsbstar_dc+(0.5*(Vds-Vdsx))))
{
double m00_sqrt(d00_sqrt0,(Vmb+pInst->phib_dc))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(Vmb+pInst->phib_dc))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
us_VDI_SI=Vmb_VDI_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  us_VDI_SI_VDI_SI=(+(m20_sqrt((Vmb+pInst->phib_dc))*Vmb_VDI_SI*Vmb_VDI_SI+d10_sqrt0*(+Vmb_VDI_SI_VDI_SI+0.0))-0.0);
  us_VDI_SI_VSI_BP=(+(m20_sqrt((Vmb+pInst->phib_dc))*Vmb_VSI_BP*Vmb_VDI_SI+d10_sqrt0*(+Vmb_VDI_SI_VSI_BP+0.0))-0.0);
#endif
us_VSI_BP=Vmb_VSI_BP*d10_sqrt0;
#if defined(_DERIVATE2)
  us_VSI_BP_VDI_SI=(+(m20_sqrt((Vmb+pInst->phib_dc))*Vmb_VDI_SI*Vmb_VSI_BP+d10_sqrt0*(+Vmb_VSI_BP_VDI_SI+0.0))-0.0);
  us_VSI_BP_VSI_BP=(+(m20_sqrt((Vmb+pInst->phib_dc))*Vmb_VSI_BP*Vmb_VSI_BP+d10_sqrt0*(+Vmb_VSI_BP_VSI_BP+0.0))-0.0);
#endif
#endif
us=(d00_sqrt0-pInst->sqrt_phib_dc);
EXIT_IF_ISNAN((d00_sqrt0-pInst->sqrt_phib_dc))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=0.0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=0.0;
  temp_VGP_SI_VDI_SI=0.0;
  temp_VGP_SI_VSI_BP=0.0;
#endif
temp_VDI_SI=((2.0*us_VDI_SI)/pInst->us21);
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+((+0.0*(us-pInst->us1)+0.0*0.0+0.0*us_VDI_SI+2.0*(+0.0-0.0))/pInst->us21-((2.0*us_VDI_SI)*0.0+(0.0)*0.0+(2.0*(us-pInst->us1))*0.0)/pInst->us21/pInst->us21+2*(2.0*(us-pInst->us1))*0.0*0.0/pInst->us21/pInst->us21/pInst->us21)-0.0);
  temp_VDI_SI_VDI_SI=(+((+0.0*(us-pInst->us1)+0.0*us_VDI_SI+0.0*us_VDI_SI+2.0*(+us_VDI_SI_VDI_SI-0.0))/pInst->us21-((2.0*us_VDI_SI)*0.0+((2.0*us_VDI_SI))*0.0+(2.0*(us-pInst->us1))*0.0)/pInst->us21/pInst->us21+2*(2.0*(us-pInst->us1))*0.0*0.0/pInst->us21/pInst->us21/pInst->us21)-0.0);
  temp_VDI_SI_VSI_BP=(+((+0.0*(us-pInst->us1)+0.0*us_VSI_BP+0.0*us_VDI_SI+2.0*(+us_VDI_SI_VSI_BP-0.0))/pInst->us21-((2.0*us_VDI_SI)*0.0+((2.0*us_VSI_BP))*0.0+(2.0*(us-pInst->us1))*0.0)/pInst->us21/pInst->us21+2*(2.0*(us-pInst->us1))*0.0*0.0/pInst->us21/pInst->us21/pInst->us21)-0.0);
#endif
temp_VSI_BP=((2.0*us_VSI_BP)/pInst->us21);
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+((+0.0*(us-pInst->us1)+0.0*0.0+0.0*us_VSI_BP+2.0*(+0.0-0.0))/pInst->us21-((2.0*us_VSI_BP)*0.0+(0.0)*0.0+(2.0*(us-pInst->us1))*0.0)/pInst->us21/pInst->us21+2*(2.0*(us-pInst->us1))*0.0*0.0/pInst->us21/pInst->us21/pInst->us21)-0.0);
  temp_VSI_BP_VDI_SI=(+((+0.0*(us-pInst->us1)+0.0*us_VDI_SI+0.0*us_VSI_BP+2.0*(+us_VSI_BP_VDI_SI-0.0))/pInst->us21-((2.0*us_VSI_BP)*0.0+((2.0*us_VDI_SI))*0.0+(2.0*(us-pInst->us1))*0.0)/pInst->us21/pInst->us21+2*(2.0*(us-pInst->us1))*0.0*0.0/pInst->us21/pInst->us21/pInst->us21)-0.0);
  temp_VSI_BP_VSI_BP=(+((+0.0*(us-pInst->us1)+0.0*us_VSI_BP+0.0*us_VSI_BP+2.0*(+us_VSI_BP_VSI_BP-0.0))/pInst->us21-((2.0*us_VSI_BP)*0.0+((2.0*us_VSI_BP))*0.0+(2.0*(us-pInst->us1))*0.0)/pInst->us21/pInst->us21+2*(2.0*(us-pInst->us1))*0.0*0.0/pInst->us21/pInst->us21/pInst->us21)-0.0);
#endif
#endif
temp=(((2.0*(us-pInst->us1))/pInst->us21)-1.0);
EXIT_IF_ISNAN((((2.0*(us-pInst->us1))/pInst->us21)-1.0))
{
double m00_sqrt(d00_sqrt0,((temp*temp)+0.4804530139182))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((temp*temp)+0.4804530139182))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
usnew_VDI_SI=(us_VDI_SI-(((0.25*(1.0-pInst->GFACNUD_i))*pInst->us21)*(temp_VDI_SI+((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)));
#if defined(_DERIVATE2)
  usnew_VDI_SI_VDI_SI=(+us_VDI_SI_VDI_SI-(+(+(+0.0*(1.0-pInst->GFACNUD_i)+0.0*0.0+0.0*0.0+0.25*(+0.0-0.0))*pInst->us21+0.0*0.0+(0.0)*0.0+(0.25*(1.0-pInst->GFACNUD_i))*0.0)*(temp+d00_sqrt0)+0.0*(temp_VDI_SI+(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*d10_sqrt0)+((0.0)*pInst->us21)*(temp_VDI_SI+((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)+((0.25*(1.0-pInst->GFACNUD_i))*pInst->us21)*(+temp_VDI_SI_VDI_SI+(m20_sqrt(((temp*temp)+0.4804530139182))*(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*((temp_VDI_SI*temp)+(temp*temp_VDI_SI))+d10_sqrt0*(+(+temp_VDI_SI_VDI_SI*temp+temp_VDI_SI*temp_VDI_SI+temp_VDI_SI*temp_VDI_SI+temp*temp_VDI_SI_VDI_SI)+0.0)))));
  usnew_VDI_SI_VSI_BP=(+us_VDI_SI_VSI_BP-(+(+(+0.0*(1.0-pInst->GFACNUD_i)+0.0*0.0+0.0*0.0+0.25*(+0.0-0.0))*pInst->us21+0.0*0.0+(0.0)*0.0+(0.25*(1.0-pInst->GFACNUD_i))*0.0)*(temp+d00_sqrt0)+0.0*(temp_VSI_BP+(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*d10_sqrt0)+((0.0)*pInst->us21)*(temp_VDI_SI+((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)+((0.25*(1.0-pInst->GFACNUD_i))*pInst->us21)*(+temp_VDI_SI_VSI_BP+(m20_sqrt(((temp*temp)+0.4804530139182))*(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*((temp_VDI_SI*temp)+(temp*temp_VDI_SI))+d10_sqrt0*(+(+temp_VDI_SI_VSI_BP*temp+temp_VDI_SI*temp_VSI_BP+temp_VSI_BP*temp_VDI_SI+temp*temp_VDI_SI_VSI_BP)+0.0)))));
#endif
usnew_VSI_BP=(us_VSI_BP-(((0.25*(1.0-pInst->GFACNUD_i))*pInst->us21)*(temp_VSI_BP+((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)));
#if defined(_DERIVATE2)
  usnew_VSI_BP_VDI_SI=(+us_VSI_BP_VDI_SI-(+(+(+0.0*(1.0-pInst->GFACNUD_i)+0.0*0.0+0.0*0.0+0.25*(+0.0-0.0))*pInst->us21+0.0*0.0+(0.0)*0.0+(0.25*(1.0-pInst->GFACNUD_i))*0.0)*(temp+d00_sqrt0)+0.0*(temp_VDI_SI+(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*d10_sqrt0)+((0.0)*pInst->us21)*(temp_VSI_BP+((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)+((0.25*(1.0-pInst->GFACNUD_i))*pInst->us21)*(+temp_VSI_BP_VDI_SI+(m20_sqrt(((temp*temp)+0.4804530139182))*(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*((temp_VSI_BP*temp)+(temp*temp_VSI_BP))+d10_sqrt0*(+(+temp_VSI_BP_VDI_SI*temp+temp_VSI_BP*temp_VDI_SI+temp_VDI_SI*temp_VSI_BP+temp*temp_VSI_BP_VDI_SI)+0.0)))));
  usnew_VSI_BP_VSI_BP=(+us_VSI_BP_VSI_BP-(+(+(+0.0*(1.0-pInst->GFACNUD_i)+0.0*0.0+0.0*0.0+0.25*(+0.0-0.0))*pInst->us21+0.0*0.0+(0.0)*0.0+(0.25*(1.0-pInst->GFACNUD_i))*0.0)*(temp+d00_sqrt0)+0.0*(temp_VSI_BP+(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*d10_sqrt0)+((0.0)*pInst->us21)*(temp_VSI_BP+((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)+((0.25*(1.0-pInst->GFACNUD_i))*pInst->us21)*(+temp_VSI_BP_VSI_BP+(m20_sqrt(((temp*temp)+0.4804530139182))*(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*((temp_VSI_BP*temp)+(temp*temp_VSI_BP))+d10_sqrt0*(+(+temp_VSI_BP_VSI_BP*temp+temp_VSI_BP*temp_VSI_BP+temp_VSI_BP*temp_VSI_BP+temp*temp_VSI_BP_VSI_BP)+0.0)))));
#endif
#endif
usnew=(us-(((0.25*(1.0-pInst->GFACNUD_i))*pInst->us21)*(temp+d00_sqrt0)));
EXIT_IF_ISNAN((us-(((0.25*(1.0-pInst->GFACNUD_i))*pInst->us21)*(temp+d00_sqrt0))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vmbnew_VDI_SI=(((usnew_VDI_SI*usnew)+(usnew*usnew_VDI_SI))+((2.0*pInst->sqrt_phib_dc)*usnew_VDI_SI));
#if defined(_DERIVATE2)
  Vmbnew_VDI_SI_VDI_SI=(+(+usnew_VDI_SI_VDI_SI*usnew+usnew_VDI_SI*usnew_VDI_SI+usnew_VDI_SI*usnew_VDI_SI+usnew*usnew_VDI_SI_VDI_SI)+(+(+0.0*pInst->sqrt_phib_dc+0.0*0.0+0.0*0.0+2.0*0.0)*usnew+0.0*usnew_VDI_SI+(0.0)*usnew_VDI_SI+(2.0*pInst->sqrt_phib_dc)*usnew_VDI_SI_VDI_SI));
  Vmbnew_VDI_SI_VSI_BP=(+(+usnew_VDI_SI_VSI_BP*usnew+usnew_VDI_SI*usnew_VSI_BP+usnew_VSI_BP*usnew_VDI_SI+usnew*usnew_VDI_SI_VSI_BP)+(+(+0.0*pInst->sqrt_phib_dc+0.0*0.0+0.0*0.0+2.0*0.0)*usnew+0.0*usnew_VSI_BP+(0.0)*usnew_VDI_SI+(2.0*pInst->sqrt_phib_dc)*usnew_VDI_SI_VSI_BP));
#endif
Vmbnew_VSI_BP=(((usnew_VSI_BP*usnew)+(usnew*usnew_VSI_BP))+((2.0*pInst->sqrt_phib_dc)*usnew_VSI_BP));
#if defined(_DERIVATE2)
  Vmbnew_VSI_BP_VDI_SI=(+(+usnew_VSI_BP_VDI_SI*usnew+usnew_VSI_BP*usnew_VDI_SI+usnew_VDI_SI*usnew_VSI_BP+usnew*usnew_VSI_BP_VDI_SI)+(+(+0.0*pInst->sqrt_phib_dc+0.0*0.0+0.0*0.0+2.0*0.0)*usnew+0.0*usnew_VDI_SI+(0.0)*usnew_VSI_BP+(2.0*pInst->sqrt_phib_dc)*usnew_VSI_BP_VDI_SI));
  Vmbnew_VSI_BP_VSI_BP=(+(+usnew_VSI_BP_VSI_BP*usnew+usnew_VSI_BP*usnew_VSI_BP+usnew_VSI_BP*usnew_VSI_BP+usnew*usnew_VSI_BP_VSI_BP)+(+(+0.0*pInst->sqrt_phib_dc+0.0*0.0+0.0*0.0+2.0*0.0)*usnew+0.0*usnew_VSI_BP+(0.0)*usnew_VSI_BP+(2.0*pInst->sqrt_phib_dc)*usnew_VSI_BP_VSI_BP));
#endif
#endif
Vmbnew=((usnew*usnew)+((2.0*pInst->sqrt_phib_dc)*usnew));
EXIT_IF_ISNAN(((usnew*usnew)+((2.0*pInst->sqrt_phib_dc)*usnew)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
Vsbstar_dc_VDI_SI=(Vmbnew_VDI_SI-(0.5*(Vds_VDI_SI-Vdsx_VDI_SI)));
#if defined(_DERIVATE2)
  Vsbstar_dc_VDI_SI_VDI_SI=(+Vmbnew_VDI_SI_VDI_SI-(+0.0*(Vds-Vdsx)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+Vds_VDI_SI_VDI_SI-Vdsx_VDI_SI_VDI_SI)));
  Vsbstar_dc_VDI_SI_VSI_BP=(+Vmbnew_VDI_SI_VSI_BP-(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+0.0-0.0)));
#endif
Vsbstar_dc_VSI_BP=Vmbnew_VSI_BP;
#if defined(_DERIVATE2)
  Vsbstar_dc_VSI_BP_VDI_SI=(+Vmbnew_VSI_BP_VDI_SI-(+0.0*(Vds-Vdsx)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.0*0.0+0.5*(+0.0-0.0)));
  Vsbstar_dc_VSI_BP_VSI_BP=(+Vmbnew_VSI_BP_VSI_BP-(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*0.0+0.5*(+0.0-0.0)));
#endif
#endif
Vsbstar_dc=(Vmbnew-(0.5*(Vds-Vdsx)));
EXIT_IF_ISNAN((Vmbnew-(0.5*(Vds-Vdsx))))
}
phib=pInst->phib_dc;
EXIT_IF_ISNAN(pInst->phib_dc)
G_0=pInst->G_0_dc;
EXIT_IF_ISNAN(pInst->G_0_dc)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vsbstar_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Vsbstar_VGP_SI_VGP_SI=0.0;
  Vsbstar_VGP_SI_VDI_SI=0.0;
  Vsbstar_VGP_SI_VSI_BP=0.0;
#endif
Vsbstar_VDI_SI=Vsbstar_dc_VDI_SI;
#if defined(_DERIVATE2)
  Vsbstar_VDI_SI_VGP_SI=0.0;
  Vsbstar_VDI_SI_VDI_SI=Vsbstar_dc_VDI_SI_VDI_SI;
  Vsbstar_VDI_SI_VSI_BP=Vsbstar_dc_VDI_SI_VSI_BP;
#endif
Vsbstar_VSI_BP=Vsbstar_dc_VSI_BP;
#if defined(_DERIVATE2)
  Vsbstar_VSI_BP_VGP_SI=0.0;
  Vsbstar_VSI_BP_VDI_SI=Vsbstar_dc_VSI_BP_VDI_SI;
  Vsbstar_VSI_BP_VSI_BP=Vsbstar_dc_VSI_BP_VSI_BP;
#endif
#endif
Vsbstar=Vsbstar_dc;
EXIT_IF_ISNAN(Vsbstar_dc)
cfloc=pInst->CF_i;
EXIT_IF_ISNAN(pInst->CF_i)
thesatloc=pInst->THESAT_T;
EXIT_IF_ISNAN(pInst->THESAT_T)
axloc=pInst->AX_i;
EXIT_IF_ISNAN(pInst->AX_i)
alploc=pInst->ALP_i;
EXIT_IF_ISNAN(pInst->ALP_i)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
FdL_VDI_SI=0.0;
#if defined(_DERIVATE2)
  FdL_VDI_SI_VDI_SI=0.0;
  FdL_VDI_SI_VGP_SI=0.0;
  FdL_VDI_SI_VSI_BP=0.0;
#endif
FdL_VGP_SI=0.0;
#if defined(_DERIVATE2)
  FdL_VGP_SI_VDI_SI=0.0;
  FdL_VGP_SI_VGP_SI=0.0;
  FdL_VGP_SI_VSI_BP=0.0;
#endif
FdL_VSI_BP=0.0;
#if defined(_DERIVATE2)
  FdL_VSI_BP_VDI_SI=0.0;
  FdL_VSI_BP_VGP_SI=0.0;
  FdL_VSI_BP_VSI_BP=0.0;
#endif
#endif
FdL=1.0;
EXIT_IF_ISNAN(1.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
alpha_VDI_SI=0.0;
#if defined(_DERIVATE2)
  alpha_VDI_SI_VDI_SI=0.0;
  alpha_VDI_SI_VGP_SI=0.0;
  alpha_VDI_SI_VSI_BP=0.0;
#endif
alpha_VGP_SI=0.0;
#if defined(_DERIVATE2)
  alpha_VGP_SI_VDI_SI=0.0;
  alpha_VGP_SI_VGP_SI=0.0;
  alpha_VGP_SI_VSI_BP=0.0;
#endif
alpha_VSI_BP=0.0;
#if defined(_DERIVATE2)
  alpha_VSI_BP_VDI_SI=0.0;
  alpha_VSI_BP_VGP_SI=0.0;
  alpha_VSI_BP_VSI_BP=0.0;
#endif
#endif
alpha=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
GdL_VDI_SI=0.0;
#if defined(_DERIVATE2)
  GdL_VDI_SI_VDI_SI=0.0;
  GdL_VDI_SI_VGP_SI=0.0;
  GdL_VDI_SI_VSI_BP=0.0;
#endif
GdL_VGP_SI=0.0;
#if defined(_DERIVATE2)
  GdL_VGP_SI_VDI_SI=0.0;
  GdL_VGP_SI_VGP_SI=0.0;
  GdL_VGP_SI_VSI_BP=0.0;
#endif
GdL_VSI_BP=0.0;
#if defined(_DERIVATE2)
  GdL_VSI_BP_VDI_SI=0.0;
  GdL_VSI_BP_VGP_SI=0.0;
  GdL_VSI_BP_VSI_BP=0.0;
#endif
#endif
GdL=1.0;
EXIT_IF_ISNAN(1.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dL_VDI_SI=0.0;
#if defined(_DERIVATE2)
  dL_VDI_SI_VDI_SI=0.0;
  dL_VDI_SI_VGP_SI=0.0;
  dL_VDI_SI_VSI_BP=0.0;
#endif
dL_VGP_SI=0.0;
#if defined(_DERIVATE2)
  dL_VGP_SI_VDI_SI=0.0;
  dL_VGP_SI_VGP_SI=0.0;
  dL_VGP_SI_VSI_BP=0.0;
#endif
dL_VSI_BP=0.0;
#if defined(_DERIVATE2)
  dL_VSI_BP_VDI_SI=0.0;
  dL_VSI_BP_VGP_SI=0.0;
  dL_VSI_BP_VSI_BP=0.0;
#endif
#endif
dL=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qbm_VDI_SI=0.0;
#if defined(_DERIVATE2)
  qbm_VDI_SI_VDI_SI=0.0;
  qbm_VDI_SI_VGP_SI=0.0;
  qbm_VDI_SI_VSI_BP=0.0;
#endif
qbm_VGP_SI=0.0;
#if defined(_DERIVATE2)
  qbm_VGP_SI_VDI_SI=0.0;
  qbm_VGP_SI_VGP_SI=0.0;
  qbm_VGP_SI_VSI_BP=0.0;
#endif
qbm_VSI_BP=0.0;
#if defined(_DERIVATE2)
  qbm_VSI_BP_VDI_SI=0.0;
  qbm_VSI_BP_VGP_SI=0.0;
  qbm_VSI_BP_VSI_BP=0.0;
#endif
#endif
qbm=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dps_VDI_SI=0.0;
#if defined(_DERIVATE2)
  dps_VDI_SI_VDI_SI=0.0;
  dps_VDI_SI_VGP_SI=0.0;
  dps_VDI_SI_VSI_BP=0.0;
#endif
dps_VGP_SI=0.0;
#if defined(_DERIVATE2)
  dps_VGP_SI_VDI_SI=0.0;
  dps_VGP_SI_VGP_SI=0.0;
  dps_VGP_SI_VSI_BP=0.0;
#endif
dps_VSI_BP=0.0;
#if defined(_DERIVATE2)
  dps_VSI_BP_VDI_SI=0.0;
  dps_VSI_BP_VGP_SI=0.0;
  dps_VSI_BP_VSI_BP=0.0;
#endif
#endif
dps=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qim_VDI_SI=0.0;
#if defined(_DERIVATE2)
  qim_VDI_SI_VDI_SI=0.0;
  qim_VDI_SI_VGP_SI=0.0;
  qim_VDI_SI_VSI_BP=0.0;
#endif
qim_VGP_SI=0.0;
#if defined(_DERIVATE2)
  qim_VGP_SI_VDI_SI=0.0;
  qim_VGP_SI_VGP_SI=0.0;
  qim_VGP_SI_VSI_BP=0.0;
#endif
qim_VSI_BP=0.0;
#if defined(_DERIVATE2)
  qim_VSI_BP_VDI_SI=0.0;
  qim_VSI_BP_VGP_SI=0.0;
  qim_VSI_BP_VSI_BP=0.0;
#endif
#endif
qim=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qim1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  qim1_VDI_SI_VDI_SI=0.0;
  qim1_VDI_SI_VGP_SI=0.0;
  qim1_VDI_SI_VSI_BP=0.0;
#endif
qim1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  qim1_VGP_SI_VDI_SI=0.0;
  qim1_VGP_SI_VGP_SI=0.0;
  qim1_VGP_SI_VSI_BP=0.0;
#endif
qim1_VSI_BP=0.0;
#if defined(_DERIVATE2)
  qim1_VSI_BP_VDI_SI=0.0;
  qim1_VSI_BP_VGP_SI=0.0;
  qim1_VSI_BP_VSI_BP=0.0;
#endif
#endif
qim1=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
H_VGP_SI=0.0;
#if defined(_DERIVATE2)
  H_VGP_SI_VGP_SI=0.0;
  H_VGP_SI_VDI_SI=0.0;
  H_VGP_SI_VSI_BP=0.0;
#endif
H_VDI_SI=0.0;
#if defined(_DERIVATE2)
  H_VDI_SI_VGP_SI=0.0;
  H_VDI_SI_VDI_SI=0.0;
  H_VDI_SI_VSI_BP=0.0;
#endif
H_VSI_BP=0.0;
#if defined(_DERIVATE2)
  H_VSI_BP_VGP_SI=0.0;
  H_VSI_BP_VDI_SI=0.0;
  H_VSI_BP_VSI_BP=0.0;
#endif
#endif
H=1.0;
EXIT_IF_ISNAN(1.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
s1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  s1_VDI_SI_VDI_SI=0.0;
  s1_VDI_SI_VGP_SI=0.0;
  s1_VDI_SI_VSI_BP=0.0;
#endif
s1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  s1_VGP_SI_VDI_SI=0.0;
  s1_VGP_SI_VGP_SI=0.0;
  s1_VGP_SI_VSI_BP=0.0;
#endif
s1_VSI_BP=0.0;
#if defined(_DERIVATE2)
  s1_VSI_BP_VDI_SI=0.0;
  s1_VSI_BP_VGP_SI=0.0;
  s1_VSI_BP_VSI_BP=0.0;
#endif
#endif
s1=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
eta_p_VDI_SI=0.0;
#if defined(_DERIVATE2)
  eta_p_VDI_SI_VDI_SI=0.0;
  eta_p_VDI_SI_VGP_SI=0.0;
  eta_p_VDI_SI_VSI_BP=0.0;
#endif
eta_p_VGP_SI=0.0;
#if defined(_DERIVATE2)
  eta_p_VGP_SI_VDI_SI=0.0;
  eta_p_VGP_SI_VGP_SI=0.0;
  eta_p_VGP_SI_VSI_BP=0.0;
#endif
eta_p_VSI_BP=0.0;
#if defined(_DERIVATE2)
  eta_p_VSI_BP_VDI_SI=0.0;
  eta_p_VSI_BP_VGP_SI=0.0;
  eta_p_VSI_BP_VSI_BP=0.0;
#endif
#endif
eta_p=1.0;
EXIT_IF_ISNAN(1.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gvsat_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Gvsat_VDI_SI_VDI_SI=0.0;
  Gvsat_VDI_SI_VGP_SI=0.0;
  Gvsat_VDI_SI_VSI_BP=0.0;
#endif
Gvsat_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Gvsat_VGP_SI_VDI_SI=0.0;
  Gvsat_VGP_SI_VGP_SI=0.0;
  Gvsat_VGP_SI_VSI_BP=0.0;
#endif
Gvsat_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Gvsat_VSI_BP_VDI_SI=0.0;
  Gvsat_VSI_BP_VGP_SI=0.0;
  Gvsat_VSI_BP_VSI_BP=0.0;
#endif
#endif
Gvsat=1.0;
EXIT_IF_ISNAN(1.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Gvsatinv_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Gvsatinv_VDI_SI_VDI_SI=0.0;
  Gvsatinv_VDI_SI_VGP_SI=0.0;
  Gvsatinv_VDI_SI_VSI_BP=0.0;
#endif
Gvsatinv_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Gvsatinv_VGP_SI_VDI_SI=0.0;
  Gvsatinv_VGP_SI_VGP_SI=0.0;
  Gvsatinv_VGP_SI_VSI_BP=0.0;
#endif
Gvsatinv_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Gvsatinv_VSI_BP_VDI_SI=0.0;
  Gvsatinv_VSI_BP_VGP_SI=0.0;
  Gvsatinv_VSI_BP_VSI_BP=0.0;
#endif
#endif
Gvsatinv=1.0;
EXIT_IF_ISNAN(1.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_x1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  SP_S_x1_VDI_SI_VDI_SI=0.0;
  SP_S_x1_VDI_SI_VGP_SI=0.0;
  SP_S_x1_VDI_SI_VSI_BP=0.0;
#endif
SP_S_x1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  SP_S_x1_VGP_SI_VDI_SI=0.0;
  SP_S_x1_VGP_SI_VGP_SI=0.0;
  SP_S_x1_VGP_SI_VSI_BP=0.0;
#endif
SP_S_x1_VSI_BP=0.0;
#if defined(_DERIVATE2)
  SP_S_x1_VSI_BP_VDI_SI=0.0;
  SP_S_x1_VSI_BP_VGP_SI=0.0;
  SP_S_x1_VSI_BP_VSI_BP=0.0;
#endif
#endif
SP_S_x1=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_s_VDI_SI=0.0;
#if defined(_DERIVATE2)
  x_s_VDI_SI_VDI_SI=0.0;
  x_s_VDI_SI_VGP_SI=0.0;
  x_s_VDI_SI_VSI_BP=0.0;
#endif
x_s_VGP_SI=0.0;
#if defined(_DERIVATE2)
  x_s_VGP_SI_VDI_SI=0.0;
  x_s_VGP_SI_VGP_SI=0.0;
  x_s_VGP_SI_VSI_BP=0.0;
#endif
x_s_VSI_BP=0.0;
#if defined(_DERIVATE2)
  x_s_VSI_BP_VDI_SI=0.0;
  x_s_VSI_BP_VGP_SI=0.0;
  x_s_VSI_BP_VSI_BP=0.0;
#endif
#endif
x_s=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
sqm_VDI_SI=0.0;
#if defined(_DERIVATE2)
  sqm_VDI_SI_VDI_SI=0.0;
  sqm_VDI_SI_VGP_SI=0.0;
  sqm_VDI_SI_VSI_BP=0.0;
#endif
sqm_VGP_SI=0.0;
#if defined(_DERIVATE2)
  sqm_VGP_SI_VDI_SI=0.0;
  sqm_VGP_SI_VGP_SI=0.0;
  sqm_VGP_SI_VSI_BP=0.0;
#endif
sqm_VSI_BP=0.0;
#if defined(_DERIVATE2)
  sqm_VSI_BP_VDI_SI=0.0;
  sqm_VSI_BP_VGP_SI=0.0;
  sqm_VSI_BP_VSI_BP=0.0;
#endif
#endif
sqm=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xitsb_VGP_SI=0.0;
#if defined(_DERIVATE2)
  xitsb_VGP_SI_VGP_SI=0.0;
  xitsb_VGP_SI_VDI_SI=0.0;
  xitsb_VGP_SI_VSI_BP=0.0;
#endif
xitsb_VDI_SI=0.0;
#if defined(_DERIVATE2)
  xitsb_VDI_SI_VGP_SI=0.0;
  xitsb_VDI_SI_VDI_SI=0.0;
  xitsb_VDI_SI_VSI_BP=0.0;
#endif
xitsb_VSI_BP=0.0;
#if defined(_DERIVATE2)
  xitsb_VSI_BP_VGP_SI=0.0;
  xitsb_VSI_BP_VDI_SI=0.0;
  xitsb_VSI_BP_VSI_BP=0.0;
#endif
#endif
xitsb=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
rhob_VGP_SI=0.0;
#if defined(_DERIVATE2)
  rhob_VGP_SI_VGP_SI=0.0;
  rhob_VGP_SI_VDI_SI=0.0;
  rhob_VGP_SI_VSI_BP=0.0;
#endif
rhob_VDI_SI=0.0;
#if defined(_DERIVATE2)
  rhob_VDI_SI_VGP_SI=0.0;
  rhob_VDI_SI_VDI_SI=0.0;
  rhob_VDI_SI_VSI_BP=0.0;
#endif
rhob_VSI_BP=0.0;
#if defined(_DERIVATE2)
  rhob_VSI_BP_VGP_SI=0.0;
  rhob_VSI_BP_VDI_SI=0.0;
  rhob_VSI_BP_VSI_BP=0.0;
#endif
#endif
rhob=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gmob_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Gmob_VDI_SI_VDI_SI=0.0;
  Gmob_VDI_SI_VGP_SI=0.0;
  Gmob_VDI_SI_VSI_BP=0.0;
#endif
Gmob_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Gmob_VGP_SI_VDI_SI=0.0;
  Gmob_VGP_SI_VGP_SI=0.0;
  Gmob_VGP_SI_VSI_BP=0.0;
#endif
Gmob_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Gmob_VSI_BP_VDI_SI=0.0;
  Gmob_VSI_BP_VGP_SI=0.0;
  Gmob_VSI_BP_VSI_BP=0.0;
#endif
#endif
Gmob=1.0;
EXIT_IF_ISNAN(1.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Gmob_dL_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Gmob_dL_VDI_SI_VDI_SI=0.0;
  Gmob_dL_VDI_SI_VGP_SI=0.0;
  Gmob_dL_VDI_SI_VSI_BP=0.0;
#endif
Gmob_dL_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Gmob_dL_VGP_SI_VDI_SI=0.0;
  Gmob_dL_VGP_SI_VGP_SI=0.0;
  Gmob_dL_VGP_SI_VSI_BP=0.0;
#endif
Gmob_dL_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Gmob_dL_VSI_BP_VDI_SI=0.0;
  Gmob_dL_VSI_BP_VGP_SI=0.0;
  Gmob_dL_VSI_BP_VSI_BP=0.0;
#endif
#endif
Gmob_dL=1.0;
EXIT_IF_ISNAN(1.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Udse_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Udse_VGP_SI_VGP_SI=0.0;
  Udse_VGP_SI_VSI_BP=0.0;
  Udse_VGP_SI_VDI_SI=0.0;
#endif
Udse_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Udse_VSI_BP_VGP_SI=0.0;
  Udse_VSI_BP_VSI_BP=0.0;
  Udse_VSI_BP_VDI_SI=0.0;
#endif
Udse_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Udse_VDI_SI_VGP_SI=0.0;
  Udse_VDI_SI_VSI_BP=0.0;
  Udse_VDI_SI_VDI_SI=0.0;
#endif
#endif
Udse=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
thesat1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  thesat1_VGP_SI_VGP_SI=0.0;
  thesat1_VGP_SI_VDI_SI=0.0;
  thesat1_VGP_SI_VSI_BP=0.0;
#endif
thesat1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  thesat1_VDI_SI_VGP_SI=0.0;
  thesat1_VDI_SI_VDI_SI=0.0;
  thesat1_VDI_SI_VSI_BP=0.0;
#endif
thesat1_VSI_BP=0.0;
#if defined(_DERIVATE2)
  thesat1_VSI_BP_VGP_SI=0.0;
  thesat1_VSI_BP_VDI_SI=0.0;
  thesat1_VSI_BP_VSI_BP=0.0;
#endif
#endif
thesat1=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgm_VDI_SI=0.0;
#if defined(_DERIVATE2)
  xgm_VDI_SI_VDI_SI=0.0;
  xgm_VDI_SI_VGP_SI=0.0;
  xgm_VDI_SI_VSI_BP=0.0;
#endif
xgm_VGP_SI=0.0;
#if defined(_DERIVATE2)
  xgm_VGP_SI_VDI_SI=0.0;
  xgm_VGP_SI_VGP_SI=0.0;
  xgm_VGP_SI_VSI_BP=0.0;
#endif
xgm_VSI_BP=0.0;
#if defined(_DERIVATE2)
  xgm_VSI_BP_VDI_SI=0.0;
  xgm_VSI_BP_VGP_SI=0.0;
  xgm_VSI_BP_VSI_BP=0.0;
#endif
#endif
xgm=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vgb1_VDI_SI=(Vgs_VDI_SI+Vsbstar_VDI_SI);
#if defined(_DERIVATE2)
  Vgb1_VDI_SI_VDI_SI=(+(+Vgs_VDI_SI_VDI_SI+Vsbstar_VDI_SI_VDI_SI)-0.0);
  Vgb1_VDI_SI_VGP_SI=(+(+Vgs_VDI_SI_VGP_SI+Vsbstar_VDI_SI_VGP_SI)-0.0);
  Vgb1_VDI_SI_VSI_BP=(+(+0.0+Vsbstar_VDI_SI_VSI_BP)-0.0);
#endif
Vgb1_VGP_SI=(Vgs_VGP_SI+Vsbstar_VGP_SI);
#if defined(_DERIVATE2)
  Vgb1_VGP_SI_VDI_SI=(+(+Vgs_VGP_SI_VDI_SI+Vsbstar_VGP_SI_VDI_SI)-0.0);
  Vgb1_VGP_SI_VGP_SI=(+(+Vgs_VGP_SI_VGP_SI+Vsbstar_VGP_SI_VGP_SI)-0.0);
  Vgb1_VGP_SI_VSI_BP=(+(+0.0+Vsbstar_VGP_SI_VSI_BP)-0.0);
#endif
Vgb1_VSI_BP=Vsbstar_VSI_BP;
#if defined(_DERIVATE2)
  Vgb1_VSI_BP_VDI_SI=(+(+0.0+Vsbstar_VSI_BP_VDI_SI)-0.0);
  Vgb1_VSI_BP_VGP_SI=(+(+0.0+Vsbstar_VSI_BP_VGP_SI)-0.0);
  Vgb1_VSI_BP_VSI_BP=(+(+0.0+Vsbstar_VSI_BP_VSI_BP)-0.0);
#endif
#endif
Vgb1=((Vgs+Vsbstar)-pInst->VFB_T);
EXIT_IF_ISNAN(((Vgs+Vsbstar)-pInst->VFB_T))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vsbx_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Vsbx_VGP_SI_VGP_SI=0.0;
  Vsbx_VGP_SI_VDI_SI=0.0;
  Vsbx_VGP_SI_VSI_BP=0.0;
#endif
Vsbx_VDI_SI=(Vsbstar_VDI_SI+(0.5*(Vds_VDI_SI-Vdsx_VDI_SI)));
#if defined(_DERIVATE2)
  Vsbx_VDI_SI_VGP_SI=(+Vsbstar_VDI_SI_VGP_SI+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+0.0-0.0)));
  Vsbx_VDI_SI_VDI_SI=(+Vsbstar_VDI_SI_VDI_SI+(+0.0*(Vds-Vdsx)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+Vds_VDI_SI_VDI_SI-Vdsx_VDI_SI_VDI_SI)));
  Vsbx_VDI_SI_VSI_BP=(+Vsbstar_VDI_SI_VSI_BP+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+0.0-0.0)));
#endif
Vsbx_VSI_BP=Vsbstar_VSI_BP;
#if defined(_DERIVATE2)
  Vsbx_VSI_BP_VGP_SI=(+Vsbstar_VSI_BP_VGP_SI+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*0.0+0.5*(+0.0-0.0)));
  Vsbx_VSI_BP_VDI_SI=(+Vsbstar_VSI_BP_VDI_SI+(+0.0*(Vds-Vdsx)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.0*0.0+0.5*(+0.0-0.0)));
  Vsbx_VSI_BP_VSI_BP=(+Vsbstar_VSI_BP_VSI_BP+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*0.0+0.5*(+0.0-0.0)));
#endif
#endif
Vsbx=(Vsbstar+(0.5*(Vds-Vdsx)));
EXIT_IF_ISNAN((Vsbstar+(0.5*(Vds-Vdsx))))
{
double m00_sqrt(d00_sqrt0,(1.0+(pInst->CFD_i*Vdsx)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+(pInst->CFD_i*Vdsx)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vdsp_VDI_SI=(((2.0*Vdsx_VDI_SI)*(1.0+d00_sqrt0)-(2.0*Vdsx)*(pInst->CFD_i*Vdsx_VDI_SI)*d10_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#if defined(_DERIVATE2)
  Vdsp_VDI_SI_VDI_SI=((+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*Vdsx_VDI_SI+2.0*Vdsx_VDI_SI_VDI_SI)/(1.0+d00_sqrt0)-((2.0*Vdsx_VDI_SI)*((pInst->CFD_i*Vdsx_VDI_SI))*d10_sqrt0+((2.0*Vdsx_VDI_SI))*(pInst->CFD_i*Vdsx_VDI_SI)*d10_sqrt0+(2.0*Vdsx)*(+0.0+(m20_sqrt((1.0+(pInst->CFD_i*Vdsx)))*((pInst->CFD_i*Vdsx_VDI_SI))*(pInst->CFD_i*Vdsx_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*Vdsx_VDI_SI+pInst->CFD_i*Vdsx_VDI_SI_VDI_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*(2.0*Vdsx)*(pInst->CFD_i*Vdsx_VDI_SI)*d10_sqrt0*((pInst->CFD_i*Vdsx_VDI_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#endif
#endif
Vdsp=((2.0*Vdsx)/(1.0+d00_sqrt0));
EXIT_IF_ISNAN(((2.0*Vdsx)/(1.0+d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delVg_VGP_SI=0.0;
#if defined(_DERIVATE2)
  delVg_VGP_SI_VGP_SI=0.0;
  delVg_VGP_SI_VDI_SI=0.0;
  delVg_VGP_SI_VSI_BP=0.0;
#endif
delVg_VDI_SI=(((cfloc*Vdsp_VDI_SI)*(1.0+(pInst->CFB_i*Vsbx)))+((cfloc*Vdsp)*(pInst->CFB_i*Vsbx_VDI_SI)));
#if defined(_DERIVATE2)
  delVg_VDI_SI_VGP_SI=(+(+0.0*Vdsp+0.0*0.0+0.0*Vdsp_VDI_SI+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+(cfloc*Vdsp_VDI_SI)*((pInst->CFB_i*Vsbx_VGP_SI))+(0.0)*(pInst->CFB_i*Vsbx_VDI_SI)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->CFB_i*Vsbx_VDI_SI_VGP_SI)));
  delVg_VDI_SI_VDI_SI=(+(+0.0*Vdsp+0.0*Vdsp_VDI_SI+0.0*Vdsp_VDI_SI+cfloc*Vdsp_VDI_SI_VDI_SI)*(1.0+(pInst->CFB_i*Vsbx))+(cfloc*Vdsp_VDI_SI)*((pInst->CFB_i*Vsbx_VDI_SI))+((cfloc*Vdsp_VDI_SI))*(pInst->CFB_i*Vsbx_VDI_SI)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->CFB_i*Vsbx_VDI_SI_VDI_SI)));
  delVg_VDI_SI_VSI_BP=(+(+0.0*Vdsp+0.0*0.0+0.0*Vdsp_VDI_SI+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+(cfloc*Vdsp_VDI_SI)*((pInst->CFB_i*Vsbx_VSI_BP))+(0.0)*(pInst->CFB_i*Vsbx_VDI_SI)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->CFB_i*Vsbx_VDI_SI_VSI_BP)));
#endif
delVg_VSI_BP=((cfloc*Vdsp)*(pInst->CFB_i*Vsbx_VSI_BP));
#if defined(_DERIVATE2)
  delVg_VSI_BP_VGP_SI=(+(+0.0*Vdsp+0.0*0.0+0.0*0.0+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+0.0*((pInst->CFB_i*Vsbx_VGP_SI))+(0.0)*(pInst->CFB_i*Vsbx_VSI_BP)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->CFB_i*Vsbx_VSI_BP_VGP_SI)));
  delVg_VSI_BP_VDI_SI=(+(+0.0*Vdsp+0.0*Vdsp_VDI_SI+0.0*0.0+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+0.0*((pInst->CFB_i*Vsbx_VDI_SI))+((cfloc*Vdsp_VDI_SI))*(pInst->CFB_i*Vsbx_VSI_BP)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->CFB_i*Vsbx_VSI_BP_VDI_SI)));
  delVg_VSI_BP_VSI_BP=(+(+0.0*Vdsp+0.0*0.0+0.0*0.0+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+0.0*((pInst->CFB_i*Vsbx_VSI_BP))+(0.0)*(pInst->CFB_i*Vsbx_VSI_BP)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->CFB_i*Vsbx_VSI_BP_VSI_BP)));
#endif
#endif
delVg=((cfloc*Vdsp)*(1.0+(pInst->CFB_i*Vsbx)));
EXIT_IF_ISNAN(((cfloc*Vdsp)*(1.0+(pInst->CFB_i*Vsbx))))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dphit1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  dphit1_VGP_SI_VGP_SI=0.0;
  dphit1_VGP_SI_VDI_SI=0.0;
  dphit1_VGP_SI_VSI_BP=0.0;
#endif
dphit1_VDI_SI=(((pInst->PSCE_i*(pInst->PSCED_i*Vdsx_VDI_SI))*(1.0+(pInst->PSCEB_i*Vsbx)))+((pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(pInst->PSCEB_i*Vsbx_VDI_SI)));
#if defined(_DERIVATE2)
  dphit1_VDI_SI_VGP_SI=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*(0.0)+0.0*(pInst->PSCED_i*Vdsx_VDI_SI)+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*Vdsx_VDI_SI+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+(pInst->PSCE_i*(pInst->PSCED_i*Vdsx_VDI_SI))*((pInst->PSCEB_i*Vsbx_VGP_SI))+((pInst->PSCE_i*(0.0)))*(pInst->PSCEB_i*Vsbx_VDI_SI)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->PSCEB_i*Vsbx_VDI_SI_VGP_SI)));
  dphit1_VDI_SI_VDI_SI=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*((pInst->PSCED_i*Vdsx_VDI_SI))+0.0*(pInst->PSCED_i*Vdsx_VDI_SI)+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*Vdsx_VDI_SI+pInst->PSCED_i*Vdsx_VDI_SI_VDI_SI)))*(1.0+(pInst->PSCEB_i*Vsbx))+(pInst->PSCE_i*(pInst->PSCED_i*Vdsx_VDI_SI))*((pInst->PSCEB_i*Vsbx_VDI_SI))+((pInst->PSCE_i*((pInst->PSCED_i*Vdsx_VDI_SI))))*(pInst->PSCEB_i*Vsbx_VDI_SI)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->PSCEB_i*Vsbx_VDI_SI_VDI_SI)));
  dphit1_VDI_SI_VSI_BP=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*(0.0)+0.0*(pInst->PSCED_i*Vdsx_VDI_SI)+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*Vdsx_VDI_SI+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+(pInst->PSCE_i*(pInst->PSCED_i*Vdsx_VDI_SI))*((pInst->PSCEB_i*Vsbx_VSI_BP))+((pInst->PSCE_i*(0.0)))*(pInst->PSCEB_i*Vsbx_VDI_SI)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->PSCEB_i*Vsbx_VDI_SI_VSI_BP)));
#endif
dphit1_VSI_BP=((pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(pInst->PSCEB_i*Vsbx_VSI_BP));
#if defined(_DERIVATE2)
  dphit1_VSI_BP_VGP_SI=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*(0.0)+0.0*0.0+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*0.0+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+0.0*((pInst->PSCEB_i*Vsbx_VGP_SI))+((pInst->PSCE_i*(0.0)))*(pInst->PSCEB_i*Vsbx_VSI_BP)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->PSCEB_i*Vsbx_VSI_BP_VGP_SI)));
  dphit1_VSI_BP_VDI_SI=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*((pInst->PSCED_i*Vdsx_VDI_SI))+0.0*0.0+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*0.0+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+0.0*((pInst->PSCEB_i*Vsbx_VDI_SI))+((pInst->PSCE_i*((pInst->PSCED_i*Vdsx_VDI_SI))))*(pInst->PSCEB_i*Vsbx_VSI_BP)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->PSCEB_i*Vsbx_VSI_BP_VDI_SI)));
  dphit1_VSI_BP_VSI_BP=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*(0.0)+0.0*0.0+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*0.0+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+0.0*((pInst->PSCEB_i*Vsbx_VSI_BP))+((pInst->PSCE_i*(0.0)))*(pInst->PSCEB_i*Vsbx_VSI_BP)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->PSCEB_i*Vsbx_VSI_BP_VSI_BP)));
#endif
#endif
dphit1=((pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(1.0+(pInst->PSCEB_i*Vsbx)));
EXIT_IF_ISNAN(((pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(1.0+(pInst->PSCEB_i*Vsbx))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vgb1_VDI_SI=(Vgb1_VDI_SI+delVg_VDI_SI);
#if defined(_DERIVATE2)
  Vgb1_VDI_SI_VDI_SI=(+Vgb1_VDI_SI_VDI_SI+delVg_VDI_SI_VDI_SI);
  Vgb1_VDI_SI_VGP_SI=(+Vgb1_VDI_SI_VGP_SI+delVg_VDI_SI_VGP_SI);
  Vgb1_VDI_SI_VSI_BP=(+Vgb1_VDI_SI_VSI_BP+delVg_VDI_SI_VSI_BP);
#endif
Vgb1_VGP_SI=(Vgb1_VGP_SI+delVg_VGP_SI);
#if defined(_DERIVATE2)
  Vgb1_VGP_SI_VDI_SI=(+Vgb1_VGP_SI_VDI_SI+delVg_VGP_SI_VDI_SI);
  Vgb1_VGP_SI_VGP_SI=(+Vgb1_VGP_SI_VGP_SI+delVg_VGP_SI_VGP_SI);
  Vgb1_VGP_SI_VSI_BP=(+Vgb1_VGP_SI_VSI_BP+delVg_VGP_SI_VSI_BP);
#endif
Vgb1_VSI_BP=(Vgb1_VSI_BP+delVg_VSI_BP);
#if defined(_DERIVATE2)
  Vgb1_VSI_BP_VDI_SI=(+Vgb1_VSI_BP_VDI_SI+delVg_VSI_BP_VDI_SI);
  Vgb1_VSI_BP_VGP_SI=(+Vgb1_VSI_BP_VGP_SI+delVg_VSI_BP_VGP_SI);
  Vgb1_VSI_BP_VSI_BP=(+Vgb1_VSI_BP_VSI_BP+delVg_VSI_BP_VSI_BP);
#endif
#endif
Vgb1=(Vgb1+delVg);
EXIT_IF_ISNAN((Vgb1+delVg))
if
((pInst->DNSUB_i>0.0))
{
{
double m00_sqrt(d00_sqrt0,(((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dnsub_VDI_SI=((pInst->DNSUB_i*0.5)*((Vgs_VDI_SI+Vsb_VDI_SI)+(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))*d10_sqrt0));
#if defined(_DERIVATE2)
  Dnsub_VDI_SI_VDI_SI=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*((Vgs_VDI_SI+Vsb_VDI_SI)+((((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI)))))*d10_sqrt0)+(0.0)*((Vgs_VDI_SI+Vsb_VDI_SI)+(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+Vgs_VDI_SI_VDI_SI+Vsb_VDI_SI_VDI_SI)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI)))))*(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))+d10_sqrt0*(+(+(+0.0-(+(+Vgs_VDI_SI_VDI_SI+Vsb_VDI_SI_VDI_SI)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-(Vgs_VDI_SI+Vsb_VDI_SI))*(-(Vgs_VDI_SI+Vsb_VDI_SI))+(-(Vgs_VDI_SI+Vsb_VDI_SI))*(-(Vgs_VDI_SI+Vsb_VDI_SI))+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+Vgs_VDI_SI_VDI_SI+Vsb_VDI_SI_VDI_SI)-0.0)))+0.0))));
  Dnsub_VDI_SI_VGP_SI=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*(Vgs_VGP_SI+((((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI))))*d10_sqrt0)+(0.0)*((Vgs_VDI_SI+Vsb_VDI_SI)+(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+Vgs_VDI_SI_VGP_SI+0.0)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI))))*(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))+d10_sqrt0*(+(+(+0.0-(+(+Vgs_VDI_SI_VGP_SI+0.0)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-(Vgs_VDI_SI+Vsb_VDI_SI))*(-Vgs_VGP_SI)+(-Vgs_VGP_SI)*(-(Vgs_VDI_SI+Vsb_VDI_SI))+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+Vgs_VDI_SI_VGP_SI+0.0)-0.0)))+0.0))));
  Dnsub_VDI_SI_VSI_BP=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*(Vsb_VSI_BP+((((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP))))*d10_sqrt0)+(0.0)*((Vgs_VDI_SI+Vsb_VDI_SI)+(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+0.0+Vsb_VDI_SI_VSI_BP)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP))))*(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))+d10_sqrt0*(+(+(+0.0-(+(+0.0+Vsb_VDI_SI_VSI_BP)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-(Vgs_VDI_SI+Vsb_VDI_SI))*(-Vsb_VSI_BP)+(-Vsb_VSI_BP)*(-(Vgs_VDI_SI+Vsb_VDI_SI))+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+0.0+Vsb_VDI_SI_VSI_BP)-0.0)))+0.0))));
#endif
Dnsub_VGP_SI=((pInst->DNSUB_i*0.5)*(Vgs_VGP_SI+(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  Dnsub_VGP_SI_VDI_SI=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*((Vgs_VDI_SI+Vsb_VDI_SI)+((((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI)))))*d10_sqrt0)+(0.0)*(Vgs_VGP_SI+(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+Vgs_VGP_SI_VDI_SI+0.0)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI)))))*(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))+d10_sqrt0*(+(+(+0.0-(+(+Vgs_VGP_SI_VDI_SI+0.0)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-Vgs_VGP_SI)*(-(Vgs_VDI_SI+Vsb_VDI_SI))+(-(Vgs_VDI_SI+Vsb_VDI_SI))*(-Vgs_VGP_SI)+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+Vgs_VGP_SI_VDI_SI+0.0)-0.0)))+0.0))));
  Dnsub_VGP_SI_VGP_SI=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*(Vgs_VGP_SI+((((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI))))*d10_sqrt0)+(0.0)*(Vgs_VGP_SI+(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+Vgs_VGP_SI_VGP_SI+0.0)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI))))*(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))+d10_sqrt0*(+(+(+0.0-(+(+Vgs_VGP_SI_VGP_SI+0.0)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-Vgs_VGP_SI)*(-Vgs_VGP_SI)+(-Vgs_VGP_SI)*(-Vgs_VGP_SI)+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+Vgs_VGP_SI_VGP_SI+0.0)-0.0)))+0.0))));
  Dnsub_VGP_SI_VSI_BP=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*(Vsb_VSI_BP+((((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP))))*d10_sqrt0)+(0.0)*(Vgs_VGP_SI+(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+0.0+0.0)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP))))*(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))+d10_sqrt0*(+(+(+0.0-(+(+0.0+0.0)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-Vgs_VGP_SI)*(-Vsb_VSI_BP)+(-Vsb_VSI_BP)*(-Vgs_VGP_SI)+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+0.0+0.0)-0.0)))+0.0))));
#endif
Dnsub_VSI_BP=((pInst->DNSUB_i*0.5)*(Vsb_VSI_BP+(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))*d10_sqrt0));
#if defined(_DERIVATE2)
  Dnsub_VSI_BP_VDI_SI=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*((Vgs_VDI_SI+Vsb_VDI_SI)+((((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI)))))*d10_sqrt0)+(0.0)*(Vsb_VSI_BP+(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+0.0+Vsb_VSI_BP_VDI_SI)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI)))))*(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+0.0-(+(+0.0+Vsb_VSI_BP_VDI_SI)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-Vsb_VSI_BP)*(-(Vgs_VDI_SI+Vsb_VDI_SI))+(-(Vgs_VDI_SI+Vsb_VDI_SI))*(-Vsb_VSI_BP)+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+0.0+Vsb_VSI_BP_VDI_SI)-0.0)))+0.0))));
  Dnsub_VSI_BP_VGP_SI=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*(Vgs_VGP_SI+((((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI))))*d10_sqrt0)+(0.0)*(Vsb_VSI_BP+(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+0.0+0.0)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI))))*(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+0.0-(+(+0.0+0.0)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-Vsb_VSI_BP)*(-Vgs_VGP_SI)+(-Vgs_VGP_SI)*(-Vsb_VSI_BP)+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+0.0+0.0)-0.0)))+0.0))));
  Dnsub_VSI_BP_VSI_BP=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*(Vsb_VSI_BP+((((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP))))*d10_sqrt0)+(0.0)*(Vsb_VSI_BP+(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+0.0+Vsb_VSI_BP_VSI_BP)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP))))*(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+0.0-(+(+0.0+Vsb_VSI_BP_VSI_BP)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-Vsb_VSI_BP)*(-Vsb_VSI_BP)+(-Vsb_VSI_BP)*(-Vsb_VSI_BP)+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+0.0+Vsb_VSI_BP_VSI_BP)-0.0)))+0.0))));
#endif
#endif
Dnsub=((pInst->DNSUB_i*0.5)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0));
EXIT_IF_ISNAN(((pInst->DNSUB_i*0.5)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,(1.0+Dnsub))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+Dnsub))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gf_VDI_SI=(G_0*Dnsub_VDI_SI*d10_sqrt0);
#if defined(_DERIVATE2)
  Gf_VDI_SI_VDI_SI=(+0.0*d00_sqrt0+0.0*Dnsub_VDI_SI*d10_sqrt0+0.0*Dnsub_VDI_SI*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VDI_SI*Dnsub_VDI_SI+d10_sqrt0*(+0.0+Dnsub_VDI_SI_VDI_SI)));
  Gf_VDI_SI_VGP_SI=(+0.0*d00_sqrt0+0.0*Dnsub_VGP_SI*d10_sqrt0+0.0*Dnsub_VDI_SI*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VGP_SI*Dnsub_VDI_SI+d10_sqrt0*(+0.0+Dnsub_VDI_SI_VGP_SI)));
  Gf_VDI_SI_VSI_BP=(+0.0*d00_sqrt0+0.0*Dnsub_VSI_BP*d10_sqrt0+0.0*Dnsub_VDI_SI*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VSI_BP*Dnsub_VDI_SI+d10_sqrt0*(+0.0+Dnsub_VDI_SI_VSI_BP)));
#endif
Gf_VGP_SI=(G_0*Dnsub_VGP_SI*d10_sqrt0);
#if defined(_DERIVATE2)
  Gf_VGP_SI_VDI_SI=(+0.0*d00_sqrt0+0.0*Dnsub_VDI_SI*d10_sqrt0+0.0*Dnsub_VGP_SI*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VDI_SI*Dnsub_VGP_SI+d10_sqrt0*(+0.0+Dnsub_VGP_SI_VDI_SI)));
  Gf_VGP_SI_VGP_SI=(+0.0*d00_sqrt0+0.0*Dnsub_VGP_SI*d10_sqrt0+0.0*Dnsub_VGP_SI*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VGP_SI*Dnsub_VGP_SI+d10_sqrt0*(+0.0+Dnsub_VGP_SI_VGP_SI)));
  Gf_VGP_SI_VSI_BP=(+0.0*d00_sqrt0+0.0*Dnsub_VSI_BP*d10_sqrt0+0.0*Dnsub_VGP_SI*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VSI_BP*Dnsub_VGP_SI+d10_sqrt0*(+0.0+Dnsub_VGP_SI_VSI_BP)));
#endif
Gf_VSI_BP=(G_0*Dnsub_VSI_BP*d10_sqrt0);
#if defined(_DERIVATE2)
  Gf_VSI_BP_VDI_SI=(+0.0*d00_sqrt0+0.0*Dnsub_VDI_SI*d10_sqrt0+0.0*Dnsub_VSI_BP*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VDI_SI*Dnsub_VSI_BP+d10_sqrt0*(+0.0+Dnsub_VSI_BP_VDI_SI)));
  Gf_VSI_BP_VGP_SI=(+0.0*d00_sqrt0+0.0*Dnsub_VGP_SI*d10_sqrt0+0.0*Dnsub_VSI_BP*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VGP_SI*Dnsub_VSI_BP+d10_sqrt0*(+0.0+Dnsub_VSI_BP_VGP_SI)));
  Gf_VSI_BP_VSI_BP=(+0.0*d00_sqrt0+0.0*Dnsub_VSI_BP*d10_sqrt0+0.0*Dnsub_VSI_BP*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VSI_BP*Dnsub_VSI_BP+d10_sqrt0*(+0.0+Dnsub_VSI_BP_VSI_BP)));
#endif
#endif
Gf=(G_0*d00_sqrt0);
EXIT_IF_ISNAN((G_0*d00_sqrt0))
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gf_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Gf_VDI_SI_VDI_SI=0.0;
  Gf_VDI_SI_VGP_SI=0.0;
  Gf_VDI_SI_VSI_BP=0.0;
#endif
Gf_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Gf_VGP_SI_VDI_SI=0.0;
  Gf_VGP_SI_VGP_SI=0.0;
  Gf_VGP_SI_VSI_BP=0.0;
#endif
Gf_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Gf_VSI_BP_VDI_SI=0.0;
  Gf_VSI_BP_VGP_SI=0.0;
  Gf_VSI_BP_VSI_BP=0.0;
#endif
#endif
Gf=G_0;
EXIT_IF_ISNAN(G_0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gf2_VDI_SI=((Gf_VDI_SI*Gf)+(Gf*Gf_VDI_SI));
#if defined(_DERIVATE2)
  Gf2_VDI_SI_VDI_SI=(+Gf_VDI_SI_VDI_SI*Gf+Gf_VDI_SI*Gf_VDI_SI+Gf_VDI_SI*Gf_VDI_SI+Gf*Gf_VDI_SI_VDI_SI);
  Gf2_VDI_SI_VGP_SI=(+Gf_VDI_SI_VGP_SI*Gf+Gf_VDI_SI*Gf_VGP_SI+Gf_VGP_SI*Gf_VDI_SI+Gf*Gf_VDI_SI_VGP_SI);
  Gf2_VDI_SI_VSI_BP=(+Gf_VDI_SI_VSI_BP*Gf+Gf_VDI_SI*Gf_VSI_BP+Gf_VSI_BP*Gf_VDI_SI+Gf*Gf_VDI_SI_VSI_BP);
#endif
Gf2_VGP_SI=((Gf_VGP_SI*Gf)+(Gf*Gf_VGP_SI));
#if defined(_DERIVATE2)
  Gf2_VGP_SI_VDI_SI=(+Gf_VGP_SI_VDI_SI*Gf+Gf_VGP_SI*Gf_VDI_SI+Gf_VDI_SI*Gf_VGP_SI+Gf*Gf_VGP_SI_VDI_SI);
  Gf2_VGP_SI_VGP_SI=(+Gf_VGP_SI_VGP_SI*Gf+Gf_VGP_SI*Gf_VGP_SI+Gf_VGP_SI*Gf_VGP_SI+Gf*Gf_VGP_SI_VGP_SI);
  Gf2_VGP_SI_VSI_BP=(+Gf_VGP_SI_VSI_BP*Gf+Gf_VGP_SI*Gf_VSI_BP+Gf_VSI_BP*Gf_VGP_SI+Gf*Gf_VGP_SI_VSI_BP);
#endif
Gf2_VSI_BP=((Gf_VSI_BP*Gf)+(Gf*Gf_VSI_BP));
#if defined(_DERIVATE2)
  Gf2_VSI_BP_VDI_SI=(+Gf_VSI_BP_VDI_SI*Gf+Gf_VSI_BP*Gf_VDI_SI+Gf_VDI_SI*Gf_VSI_BP+Gf*Gf_VSI_BP_VDI_SI);
  Gf2_VSI_BP_VGP_SI=(+Gf_VSI_BP_VGP_SI*Gf+Gf_VSI_BP*Gf_VGP_SI+Gf_VGP_SI*Gf_VSI_BP+Gf*Gf_VSI_BP_VGP_SI);
  Gf2_VSI_BP_VSI_BP=(+Gf_VSI_BP_VSI_BP*Gf+Gf_VSI_BP*Gf_VSI_BP+Gf_VSI_BP*Gf_VSI_BP+Gf*Gf_VSI_BP_VSI_BP);
#endif
#endif
Gf2=(Gf*Gf);
EXIT_IF_ISNAN((Gf*Gf))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
inv_Gf2_VDI_SI=(-Gf2_VDI_SI/Gf2/Gf2);
#if defined(_DERIVATE2)
  inv_Gf2_VDI_SI_VDI_SI=(0.0/Gf2-(0.0*Gf2_VDI_SI+0.0*Gf2_VDI_SI+1.0*Gf2_VDI_SI_VDI_SI)/Gf2/Gf2+2*1.0*Gf2_VDI_SI*Gf2_VDI_SI/Gf2/Gf2/Gf2);
  inv_Gf2_VDI_SI_VGP_SI=(0.0/Gf2-(0.0*Gf2_VGP_SI+0.0*Gf2_VDI_SI+1.0*Gf2_VDI_SI_VGP_SI)/Gf2/Gf2+2*1.0*Gf2_VDI_SI*Gf2_VGP_SI/Gf2/Gf2/Gf2);
  inv_Gf2_VDI_SI_VSI_BP=(0.0/Gf2-(0.0*Gf2_VSI_BP+0.0*Gf2_VDI_SI+1.0*Gf2_VDI_SI_VSI_BP)/Gf2/Gf2+2*1.0*Gf2_VDI_SI*Gf2_VSI_BP/Gf2/Gf2/Gf2);
#endif
inv_Gf2_VGP_SI=(-Gf2_VGP_SI/Gf2/Gf2);
#if defined(_DERIVATE2)
  inv_Gf2_VGP_SI_VDI_SI=(0.0/Gf2-(0.0*Gf2_VDI_SI+0.0*Gf2_VGP_SI+1.0*Gf2_VGP_SI_VDI_SI)/Gf2/Gf2+2*1.0*Gf2_VGP_SI*Gf2_VDI_SI/Gf2/Gf2/Gf2);
  inv_Gf2_VGP_SI_VGP_SI=(0.0/Gf2-(0.0*Gf2_VGP_SI+0.0*Gf2_VGP_SI+1.0*Gf2_VGP_SI_VGP_SI)/Gf2/Gf2+2*1.0*Gf2_VGP_SI*Gf2_VGP_SI/Gf2/Gf2/Gf2);
  inv_Gf2_VGP_SI_VSI_BP=(0.0/Gf2-(0.0*Gf2_VSI_BP+0.0*Gf2_VGP_SI+1.0*Gf2_VGP_SI_VSI_BP)/Gf2/Gf2+2*1.0*Gf2_VGP_SI*Gf2_VSI_BP/Gf2/Gf2/Gf2);
#endif
inv_Gf2_VSI_BP=(-Gf2_VSI_BP/Gf2/Gf2);
#if defined(_DERIVATE2)
  inv_Gf2_VSI_BP_VDI_SI=(0.0/Gf2-(0.0*Gf2_VDI_SI+0.0*Gf2_VSI_BP+1.0*Gf2_VSI_BP_VDI_SI)/Gf2/Gf2+2*1.0*Gf2_VSI_BP*Gf2_VDI_SI/Gf2/Gf2/Gf2);
  inv_Gf2_VSI_BP_VGP_SI=(0.0/Gf2-(0.0*Gf2_VGP_SI+0.0*Gf2_VSI_BP+1.0*Gf2_VSI_BP_VGP_SI)/Gf2/Gf2+2*1.0*Gf2_VSI_BP*Gf2_VGP_SI/Gf2/Gf2/Gf2);
  inv_Gf2_VSI_BP_VSI_BP=(0.0/Gf2-(0.0*Gf2_VSI_BP+0.0*Gf2_VSI_BP+1.0*Gf2_VSI_BP_VSI_BP)/Gf2/Gf2+2*1.0*Gf2_VSI_BP*Gf2_VSI_BP/Gf2/Gf2/Gf2);
#endif
#endif
inv_Gf2=(1.0/Gf2);
EXIT_IF_ISNAN((1.0/Gf2))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
dCTG_VDI_SI=0.0;
#if defined(_DERIVATE2)
  dCTG_VDI_SI_VDI_SI=0.0;
  dCTG_VDI_SI_VGP_SI=0.0;
  dCTG_VDI_SI_VSI_BP=0.0;
#endif
dCTG_VGP_SI=0.0;
#if defined(_DERIVATE2)
  dCTG_VGP_SI_VDI_SI=0.0;
  dCTG_VGP_SI_VGP_SI=0.0;
  dCTG_VGP_SI_VSI_BP=0.0;
#endif
dCTG_VSI_BP=0.0;
#if defined(_DERIVATE2)
  dCTG_VSI_BP_VDI_SI=0.0;
  dCTG_VSI_BP_VGP_SI=0.0;
  dCTG_VSI_BP_VSI_BP=0.0;
#endif
#endif
dCTG=1.0;
EXIT_IF_ISNAN(1.0)
if
((pInst->CTG_i>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgct_VDI_SI=(2.0*Vgb1_VDI_SI)*pModel->inv_phit;
#if defined(_DERIVATE2)
  xgct_VDI_SI_VDI_SI=(+(+0.0*Vgb1+0.0*Vgb1_VDI_SI+0.0*Vgb1_VDI_SI+2.0*Vgb1_VDI_SI_VDI_SI)*pModel->inv_phit+(2.0*Vgb1_VDI_SI)*0.0+((2.0*Vgb1_VDI_SI))*0.0+(2.0*Vgb1)*0.0);
  xgct_VDI_SI_VGP_SI=(+(+0.0*Vgb1+0.0*Vgb1_VGP_SI+0.0*Vgb1_VDI_SI+2.0*Vgb1_VDI_SI_VGP_SI)*pModel->inv_phit+(2.0*Vgb1_VDI_SI)*0.0+((2.0*Vgb1_VGP_SI))*0.0+(2.0*Vgb1)*0.0);
  xgct_VDI_SI_VSI_BP=(+(+0.0*Vgb1+0.0*Vgb1_VSI_BP+0.0*Vgb1_VDI_SI+2.0*Vgb1_VDI_SI_VSI_BP)*pModel->inv_phit+(2.0*Vgb1_VDI_SI)*0.0+((2.0*Vgb1_VSI_BP))*0.0+(2.0*Vgb1)*0.0);
#endif
xgct_VGP_SI=(2.0*Vgb1_VGP_SI)*pModel->inv_phit;
#if defined(_DERIVATE2)
  xgct_VGP_SI_VDI_SI=(+(+0.0*Vgb1+0.0*Vgb1_VDI_SI+0.0*Vgb1_VGP_SI+2.0*Vgb1_VGP_SI_VDI_SI)*pModel->inv_phit+(2.0*Vgb1_VGP_SI)*0.0+((2.0*Vgb1_VDI_SI))*0.0+(2.0*Vgb1)*0.0);
  xgct_VGP_SI_VGP_SI=(+(+0.0*Vgb1+0.0*Vgb1_VGP_SI+0.0*Vgb1_VGP_SI+2.0*Vgb1_VGP_SI_VGP_SI)*pModel->inv_phit+(2.0*Vgb1_VGP_SI)*0.0+((2.0*Vgb1_VGP_SI))*0.0+(2.0*Vgb1)*0.0);
  xgct_VGP_SI_VSI_BP=(+(+0.0*Vgb1+0.0*Vgb1_VSI_BP+0.0*Vgb1_VGP_SI+2.0*Vgb1_VGP_SI_VSI_BP)*pModel->inv_phit+(2.0*Vgb1_VGP_SI)*0.0+((2.0*Vgb1_VSI_BP))*0.0+(2.0*Vgb1)*0.0);
#endif
xgct_VSI_BP=(2.0*Vgb1_VSI_BP)*pModel->inv_phit;
#if defined(_DERIVATE2)
  xgct_VSI_BP_VDI_SI=(+(+0.0*Vgb1+0.0*Vgb1_VDI_SI+0.0*Vgb1_VSI_BP+2.0*Vgb1_VSI_BP_VDI_SI)*pModel->inv_phit+(2.0*Vgb1_VSI_BP)*0.0+((2.0*Vgb1_VDI_SI))*0.0+(2.0*Vgb1)*0.0);
  xgct_VSI_BP_VGP_SI=(+(+0.0*Vgb1+0.0*Vgb1_VGP_SI+0.0*Vgb1_VSI_BP+2.0*Vgb1_VSI_BP_VGP_SI)*pModel->inv_phit+(2.0*Vgb1_VSI_BP)*0.0+((2.0*Vgb1_VGP_SI))*0.0+(2.0*Vgb1)*0.0);
  xgct_VSI_BP_VSI_BP=(+(+0.0*Vgb1+0.0*Vgb1_VSI_BP+0.0*Vgb1_VSI_BP+2.0*Vgb1_VSI_BP_VSI_BP)*pModel->inv_phit+(2.0*Vgb1_VSI_BP)*0.0+((2.0*Vgb1_VSI_BP))*0.0+(2.0*Vgb1)*0.0);
#endif
#endif
xgct=((2.0*Vgb1)*pModel->inv_phit);
EXIT_IF_ISNAN(((2.0*Vgb1)*pModel->inv_phit))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=(Gf2_VDI_SI+xgct_VDI_SI);
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=(+Gf2_VDI_SI_VDI_SI+xgct_VDI_SI_VDI_SI);
  temp1_VDI_SI_VGP_SI=(+Gf2_VDI_SI_VGP_SI+xgct_VDI_SI_VGP_SI);
  temp1_VDI_SI_VSI_BP=(+Gf2_VDI_SI_VSI_BP+xgct_VDI_SI_VSI_BP);
#endif
temp1_VGP_SI=(Gf2_VGP_SI+xgct_VGP_SI);
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=(+Gf2_VGP_SI_VDI_SI+xgct_VGP_SI_VDI_SI);
  temp1_VGP_SI_VGP_SI=(+Gf2_VGP_SI_VGP_SI+xgct_VGP_SI_VGP_SI);
  temp1_VGP_SI_VSI_BP=(+Gf2_VGP_SI_VSI_BP+xgct_VGP_SI_VSI_BP);
#endif
temp1_VSI_BP=(Gf2_VSI_BP+xgct_VSI_BP);
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=(+Gf2_VSI_BP_VDI_SI+xgct_VSI_BP_VDI_SI);
  temp1_VSI_BP_VGP_SI=(+Gf2_VSI_BP_VGP_SI+xgct_VSI_BP_VGP_SI);
  temp1_VSI_BP_VSI_BP=(+Gf2_VSI_BP_VSI_BP+xgct_VSI_BP_VSI_BP);
#endif
#endif
pInst->temp1=(Gf2+xgct);
EXIT_IF_ISNAN((Gf2+xgct))
{
double m00_sqrt(d00_sqrt0,(((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=(0.5*((temp1_VDI_SI+xgct_VDI_SI)+(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VDI_SI+xgct_VDI_SI)+((((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI))))*d10_sqrt0)+0.0*((temp1_VDI_SI+xgct_VDI_SI)+(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))*d10_sqrt0)+0.5*(+(+(+temp1_VDI_SI_VDI_SI+xgct_VDI_SI_VDI_SI)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI))))*(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))+d10_sqrt0*(+(+(+(+temp1_VDI_SI_VDI_SI+xgct_VDI_SI_VDI_SI)-0.0)*(pInst->temp1+xgct)+(temp1_VDI_SI+xgct_VDI_SI)*(temp1_VDI_SI+xgct_VDI_SI)+(temp1_VDI_SI+xgct_VDI_SI)*(temp1_VDI_SI+xgct_VDI_SI)+(pInst->temp1+xgct)*(+(+temp1_VDI_SI_VDI_SI+xgct_VDI_SI_VDI_SI)-0.0))+0.0))));
  temp2_VDI_SI_VGP_SI=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VGP_SI+xgct_VGP_SI)+((((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI))))*d10_sqrt0)+0.0*((temp1_VDI_SI+xgct_VDI_SI)+(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))*d10_sqrt0)+0.5*(+(+(+temp1_VDI_SI_VGP_SI+xgct_VDI_SI_VGP_SI)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI))))*(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))+d10_sqrt0*(+(+(+(+temp1_VDI_SI_VGP_SI+xgct_VDI_SI_VGP_SI)-0.0)*(pInst->temp1+xgct)+(temp1_VDI_SI+xgct_VDI_SI)*(temp1_VGP_SI+xgct_VGP_SI)+(temp1_VGP_SI+xgct_VGP_SI)*(temp1_VDI_SI+xgct_VDI_SI)+(pInst->temp1+xgct)*(+(+temp1_VDI_SI_VGP_SI+xgct_VDI_SI_VGP_SI)-0.0))+0.0))));
  temp2_VDI_SI_VSI_BP=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VSI_BP+xgct_VSI_BP)+((((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP))))*d10_sqrt0)+0.0*((temp1_VDI_SI+xgct_VDI_SI)+(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))*d10_sqrt0)+0.5*(+(+(+temp1_VDI_SI_VSI_BP+xgct_VDI_SI_VSI_BP)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP))))*(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))+d10_sqrt0*(+(+(+(+temp1_VDI_SI_VSI_BP+xgct_VDI_SI_VSI_BP)-0.0)*(pInst->temp1+xgct)+(temp1_VDI_SI+xgct_VDI_SI)*(temp1_VSI_BP+xgct_VSI_BP)+(temp1_VSI_BP+xgct_VSI_BP)*(temp1_VDI_SI+xgct_VDI_SI)+(pInst->temp1+xgct)*(+(+temp1_VDI_SI_VSI_BP+xgct_VDI_SI_VSI_BP)-0.0))+0.0))));
#endif
temp2_VGP_SI=(0.5*((temp1_VGP_SI+xgct_VGP_SI)+(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VDI_SI+xgct_VDI_SI)+((((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI))))*d10_sqrt0)+0.0*((temp1_VGP_SI+xgct_VGP_SI)+(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))*d10_sqrt0)+0.5*(+(+(+temp1_VGP_SI_VDI_SI+xgct_VGP_SI_VDI_SI)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI))))*(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))+d10_sqrt0*(+(+(+(+temp1_VGP_SI_VDI_SI+xgct_VGP_SI_VDI_SI)-0.0)*(pInst->temp1+xgct)+(temp1_VGP_SI+xgct_VGP_SI)*(temp1_VDI_SI+xgct_VDI_SI)+(temp1_VDI_SI+xgct_VDI_SI)*(temp1_VGP_SI+xgct_VGP_SI)+(pInst->temp1+xgct)*(+(+temp1_VGP_SI_VDI_SI+xgct_VGP_SI_VDI_SI)-0.0))+0.0))));
  temp2_VGP_SI_VGP_SI=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VGP_SI+xgct_VGP_SI)+((((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI))))*d10_sqrt0)+0.0*((temp1_VGP_SI+xgct_VGP_SI)+(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))*d10_sqrt0)+0.5*(+(+(+temp1_VGP_SI_VGP_SI+xgct_VGP_SI_VGP_SI)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI))))*(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))+d10_sqrt0*(+(+(+(+temp1_VGP_SI_VGP_SI+xgct_VGP_SI_VGP_SI)-0.0)*(pInst->temp1+xgct)+(temp1_VGP_SI+xgct_VGP_SI)*(temp1_VGP_SI+xgct_VGP_SI)+(temp1_VGP_SI+xgct_VGP_SI)*(temp1_VGP_SI+xgct_VGP_SI)+(pInst->temp1+xgct)*(+(+temp1_VGP_SI_VGP_SI+xgct_VGP_SI_VGP_SI)-0.0))+0.0))));
  temp2_VGP_SI_VSI_BP=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VSI_BP+xgct_VSI_BP)+((((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP))))*d10_sqrt0)+0.0*((temp1_VGP_SI+xgct_VGP_SI)+(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))*d10_sqrt0)+0.5*(+(+(+temp1_VGP_SI_VSI_BP+xgct_VGP_SI_VSI_BP)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP))))*(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))+d10_sqrt0*(+(+(+(+temp1_VGP_SI_VSI_BP+xgct_VGP_SI_VSI_BP)-0.0)*(pInst->temp1+xgct)+(temp1_VGP_SI+xgct_VGP_SI)*(temp1_VSI_BP+xgct_VSI_BP)+(temp1_VSI_BP+xgct_VSI_BP)*(temp1_VGP_SI+xgct_VGP_SI)+(pInst->temp1+xgct)*(+(+temp1_VGP_SI_VSI_BP+xgct_VGP_SI_VSI_BP)-0.0))+0.0))));
#endif
temp2_VSI_BP=(0.5*((temp1_VSI_BP+xgct_VSI_BP)+(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VDI_SI+xgct_VDI_SI)+((((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI))))*d10_sqrt0)+0.0*((temp1_VSI_BP+xgct_VSI_BP)+(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))*d10_sqrt0)+0.5*(+(+(+temp1_VSI_BP_VDI_SI+xgct_VSI_BP_VDI_SI)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI))))*(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))+d10_sqrt0*(+(+(+(+temp1_VSI_BP_VDI_SI+xgct_VSI_BP_VDI_SI)-0.0)*(pInst->temp1+xgct)+(temp1_VSI_BP+xgct_VSI_BP)*(temp1_VDI_SI+xgct_VDI_SI)+(temp1_VDI_SI+xgct_VDI_SI)*(temp1_VSI_BP+xgct_VSI_BP)+(pInst->temp1+xgct)*(+(+temp1_VSI_BP_VDI_SI+xgct_VSI_BP_VDI_SI)-0.0))+0.0))));
  temp2_VSI_BP_VGP_SI=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VGP_SI+xgct_VGP_SI)+((((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI))))*d10_sqrt0)+0.0*((temp1_VSI_BP+xgct_VSI_BP)+(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))*d10_sqrt0)+0.5*(+(+(+temp1_VSI_BP_VGP_SI+xgct_VSI_BP_VGP_SI)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI))))*(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))+d10_sqrt0*(+(+(+(+temp1_VSI_BP_VGP_SI+xgct_VSI_BP_VGP_SI)-0.0)*(pInst->temp1+xgct)+(temp1_VSI_BP+xgct_VSI_BP)*(temp1_VGP_SI+xgct_VGP_SI)+(temp1_VGP_SI+xgct_VGP_SI)*(temp1_VSI_BP+xgct_VSI_BP)+(pInst->temp1+xgct)*(+(+temp1_VSI_BP_VGP_SI+xgct_VSI_BP_VGP_SI)-0.0))+0.0))));
  temp2_VSI_BP_VSI_BP=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VSI_BP+xgct_VSI_BP)+((((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP))))*d10_sqrt0)+0.0*((temp1_VSI_BP+xgct_VSI_BP)+(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))*d10_sqrt0)+0.5*(+(+(+temp1_VSI_BP_VSI_BP+xgct_VSI_BP_VSI_BP)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP))))*(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))+d10_sqrt0*(+(+(+(+temp1_VSI_BP_VSI_BP+xgct_VSI_BP_VSI_BP)-0.0)*(pInst->temp1+xgct)+(temp1_VSI_BP+xgct_VSI_BP)*(temp1_VSI_BP+xgct_VSI_BP)+(temp1_VSI_BP+xgct_VSI_BP)*(temp1_VSI_BP+xgct_VSI_BP)+(pInst->temp1+xgct)*(+(+temp1_VSI_BP_VSI_BP+xgct_VSI_BP_VSI_BP)-0.0))+0.0))));
#endif
#endif
temp2=(0.5*((pInst->temp1+xgct)+d00_sqrt0));
EXIT_IF_ISNAN((0.5*((pInst->temp1+xgct)+d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,temp2)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,temp2)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xsct0_VDI_SI=(0.5*(temp1_VDI_SI-((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0))));
#if defined(_DERIVATE2)
  xsct0_VDI_SI_VDI_SI=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VDI_SI-(((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0))))+0.0*(temp1_VDI_SI-((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0)))+0.5*(+temp1_VDI_SI_VDI_SI-(+Gf_VDI_SI_VDI_SI*d00_sqrt0+Gf_VDI_SI*temp2_VDI_SI*d10_sqrt0+Gf_VDI_SI*temp2_VDI_SI*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VDI_SI*temp2_VDI_SI+d10_sqrt0*temp2_VDI_SI_VDI_SI))));
  xsct0_VDI_SI_VGP_SI=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VGP_SI-(((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0))))+0.0*(temp1_VDI_SI-((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0)))+0.5*(+temp1_VDI_SI_VGP_SI-(+Gf_VDI_SI_VGP_SI*d00_sqrt0+Gf_VDI_SI*temp2_VGP_SI*d10_sqrt0+Gf_VGP_SI*temp2_VDI_SI*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VGP_SI*temp2_VDI_SI+d10_sqrt0*temp2_VDI_SI_VGP_SI))));
  xsct0_VDI_SI_VSI_BP=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VSI_BP-(((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0))))+0.0*(temp1_VDI_SI-((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0)))+0.5*(+temp1_VDI_SI_VSI_BP-(+Gf_VDI_SI_VSI_BP*d00_sqrt0+Gf_VDI_SI*temp2_VSI_BP*d10_sqrt0+Gf_VSI_BP*temp2_VDI_SI*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VSI_BP*temp2_VDI_SI+d10_sqrt0*temp2_VDI_SI_VSI_BP))));
#endif
xsct0_VGP_SI=(0.5*(temp1_VGP_SI-((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0))));
#if defined(_DERIVATE2)
  xsct0_VGP_SI_VDI_SI=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VDI_SI-(((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0))))+0.0*(temp1_VGP_SI-((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0)))+0.5*(+temp1_VGP_SI_VDI_SI-(+Gf_VGP_SI_VDI_SI*d00_sqrt0+Gf_VGP_SI*temp2_VDI_SI*d10_sqrt0+Gf_VDI_SI*temp2_VGP_SI*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VDI_SI*temp2_VGP_SI+d10_sqrt0*temp2_VGP_SI_VDI_SI))));
  xsct0_VGP_SI_VGP_SI=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VGP_SI-(((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0))))+0.0*(temp1_VGP_SI-((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0)))+0.5*(+temp1_VGP_SI_VGP_SI-(+Gf_VGP_SI_VGP_SI*d00_sqrt0+Gf_VGP_SI*temp2_VGP_SI*d10_sqrt0+Gf_VGP_SI*temp2_VGP_SI*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VGP_SI*temp2_VGP_SI+d10_sqrt0*temp2_VGP_SI_VGP_SI))));
  xsct0_VGP_SI_VSI_BP=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VSI_BP-(((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0))))+0.0*(temp1_VGP_SI-((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0)))+0.5*(+temp1_VGP_SI_VSI_BP-(+Gf_VGP_SI_VSI_BP*d00_sqrt0+Gf_VGP_SI*temp2_VSI_BP*d10_sqrt0+Gf_VSI_BP*temp2_VGP_SI*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VSI_BP*temp2_VGP_SI+d10_sqrt0*temp2_VGP_SI_VSI_BP))));
#endif
xsct0_VSI_BP=(0.5*(temp1_VSI_BP-((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0))));
#if defined(_DERIVATE2)
  xsct0_VSI_BP_VDI_SI=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VDI_SI-(((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0))))+0.0*(temp1_VSI_BP-((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0)))+0.5*(+temp1_VSI_BP_VDI_SI-(+Gf_VSI_BP_VDI_SI*d00_sqrt0+Gf_VSI_BP*temp2_VDI_SI*d10_sqrt0+Gf_VDI_SI*temp2_VSI_BP*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VDI_SI*temp2_VSI_BP+d10_sqrt0*temp2_VSI_BP_VDI_SI))));
  xsct0_VSI_BP_VGP_SI=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VGP_SI-(((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0))))+0.0*(temp1_VSI_BP-((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0)))+0.5*(+temp1_VSI_BP_VGP_SI-(+Gf_VSI_BP_VGP_SI*d00_sqrt0+Gf_VSI_BP*temp2_VGP_SI*d10_sqrt0+Gf_VGP_SI*temp2_VSI_BP*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VGP_SI*temp2_VSI_BP+d10_sqrt0*temp2_VSI_BP_VGP_SI))));
  xsct0_VSI_BP_VSI_BP=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VSI_BP-(((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0))))+0.0*(temp1_VSI_BP-((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0)))+0.5*(+temp1_VSI_BP_VSI_BP-(+Gf_VSI_BP_VSI_BP*d00_sqrt0+Gf_VSI_BP*temp2_VSI_BP*d10_sqrt0+Gf_VSI_BP*temp2_VSI_BP*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VSI_BP*temp2_VSI_BP+d10_sqrt0*temp2_VSI_BP_VSI_BP))));
#endif
#endif
xsct0=(0.5*(pInst->temp1-(Gf*d00_sqrt0)));
EXIT_IF_ISNAN((0.5*(pInst->temp1-(Gf*d00_sqrt0))))
}
xbct=(phib*pModel->inv_phit);
EXIT_IF_ISNAN((phib*pModel->inv_phit))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xsbstar_VGP_SI=0.0;
#if defined(_DERIVATE2)
  xsbstar_VGP_SI_VGP_SI=0.0;
  xsbstar_VGP_SI_VDI_SI=0.0;
  xsbstar_VGP_SI_VSI_BP=0.0;
#endif
xsbstar_VDI_SI=Vsbx_VDI_SI*pModel->inv_phit;
#if defined(_DERIVATE2)
  xsbstar_VDI_SI_VGP_SI=(+Vsbx_VDI_SI_VGP_SI*pModel->inv_phit+Vsbx_VDI_SI*0.0+Vsbx_VGP_SI*0.0+Vsbx*0.0);
  xsbstar_VDI_SI_VDI_SI=(+Vsbx_VDI_SI_VDI_SI*pModel->inv_phit+Vsbx_VDI_SI*0.0+Vsbx_VDI_SI*0.0+Vsbx*0.0);
  xsbstar_VDI_SI_VSI_BP=(+Vsbx_VDI_SI_VSI_BP*pModel->inv_phit+Vsbx_VDI_SI*0.0+Vsbx_VSI_BP*0.0+Vsbx*0.0);
#endif
xsbstar_VSI_BP=Vsbx_VSI_BP*pModel->inv_phit;
#if defined(_DERIVATE2)
  xsbstar_VSI_BP_VGP_SI=(+Vsbx_VSI_BP_VGP_SI*pModel->inv_phit+Vsbx_VSI_BP*0.0+Vsbx_VGP_SI*0.0+Vsbx*0.0);
  xsbstar_VSI_BP_VDI_SI=(+Vsbx_VSI_BP_VDI_SI*pModel->inv_phit+Vsbx_VSI_BP*0.0+Vsbx_VDI_SI*0.0+Vsbx*0.0);
  xsbstar_VSI_BP_VSI_BP=(+Vsbx_VSI_BP_VSI_BP*pModel->inv_phit+Vsbx_VSI_BP*0.0+Vsbx_VSI_BP*0.0+Vsbx*0.0);
#endif
#endif
xsbstar=(Vsbx*pModel->inv_phit);
EXIT_IF_ISNAN((Vsbx*pModel->inv_phit))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=xsbstar_VDI_SI;
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=(+(+0.0+xsbstar_VDI_SI_VDI_SI)+0.0);
  temp1_VDI_SI_VGP_SI=(+(+0.0+xsbstar_VDI_SI_VGP_SI)+0.0);
  temp1_VDI_SI_VSI_BP=(+(+0.0+xsbstar_VDI_SI_VSI_BP)+0.0);
#endif
temp1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=0.0;
  temp1_VGP_SI_VGP_SI=0.0;
  temp1_VGP_SI_VSI_BP=0.0;
#endif
temp1_VSI_BP=xsbstar_VSI_BP;
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=(+(+0.0+xsbstar_VSI_BP_VDI_SI)+0.0);
  temp1_VSI_BP_VGP_SI=(+(+0.0+xsbstar_VSI_BP_VGP_SI)+0.0);
  temp1_VSI_BP_VSI_BP=(+(+0.0+xsbstar_VSI_BP_VSI_BP)+0.0);
#endif
#endif
pInst->temp1=((xbct+xsbstar)+2.0);
EXIT_IF_ISNAN(((xbct+xsbstar)+2.0))
{
double m00_sqrt(d00_sqrt0,(((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xsct_VDI_SI=(0.5*((xsct0_VDI_SI+temp1_VDI_SI)-(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  xsct_VDI_SI_VDI_SI=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VDI_SI+temp1_VDI_SI)-((((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI))))*d10_sqrt0)+0.0*((xsct0_VDI_SI+temp1_VDI_SI)-(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))*d10_sqrt0)+0.5*(+(+xsct0_VDI_SI_VDI_SI+temp1_VDI_SI_VDI_SI)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI))))*(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))+d10_sqrt0*(+(+(+xsct0_VDI_SI_VDI_SI-temp1_VDI_SI_VDI_SI)*(xsct0-pInst->temp1)+(xsct0_VDI_SI-temp1_VDI_SI)*(xsct0_VDI_SI-temp1_VDI_SI)+(xsct0_VDI_SI-temp1_VDI_SI)*(xsct0_VDI_SI-temp1_VDI_SI)+(xsct0-pInst->temp1)*(+xsct0_VDI_SI_VDI_SI-temp1_VDI_SI_VDI_SI))+0.0))));
  xsct_VDI_SI_VGP_SI=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VGP_SI+temp1_VGP_SI)-((((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI))))*d10_sqrt0)+0.0*((xsct0_VDI_SI+temp1_VDI_SI)-(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))*d10_sqrt0)+0.5*(+(+xsct0_VDI_SI_VGP_SI+temp1_VDI_SI_VGP_SI)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI))))*(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))+d10_sqrt0*(+(+(+xsct0_VDI_SI_VGP_SI-temp1_VDI_SI_VGP_SI)*(xsct0-pInst->temp1)+(xsct0_VDI_SI-temp1_VDI_SI)*(xsct0_VGP_SI-temp1_VGP_SI)+(xsct0_VGP_SI-temp1_VGP_SI)*(xsct0_VDI_SI-temp1_VDI_SI)+(xsct0-pInst->temp1)*(+xsct0_VDI_SI_VGP_SI-temp1_VDI_SI_VGP_SI))+0.0))));
  xsct_VDI_SI_VSI_BP=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VSI_BP+temp1_VSI_BP)-((((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP))))*d10_sqrt0)+0.0*((xsct0_VDI_SI+temp1_VDI_SI)-(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))*d10_sqrt0)+0.5*(+(+xsct0_VDI_SI_VSI_BP+temp1_VDI_SI_VSI_BP)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP))))*(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))+d10_sqrt0*(+(+(+xsct0_VDI_SI_VSI_BP-temp1_VDI_SI_VSI_BP)*(xsct0-pInst->temp1)+(xsct0_VDI_SI-temp1_VDI_SI)*(xsct0_VSI_BP-temp1_VSI_BP)+(xsct0_VSI_BP-temp1_VSI_BP)*(xsct0_VDI_SI-temp1_VDI_SI)+(xsct0-pInst->temp1)*(+xsct0_VDI_SI_VSI_BP-temp1_VDI_SI_VSI_BP))+0.0))));
#endif
xsct_VGP_SI=(0.5*((xsct0_VGP_SI+temp1_VGP_SI)-(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  xsct_VGP_SI_VDI_SI=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VDI_SI+temp1_VDI_SI)-((((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI))))*d10_sqrt0)+0.0*((xsct0_VGP_SI+temp1_VGP_SI)-(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))*d10_sqrt0)+0.5*(+(+xsct0_VGP_SI_VDI_SI+temp1_VGP_SI_VDI_SI)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI))))*(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))+d10_sqrt0*(+(+(+xsct0_VGP_SI_VDI_SI-temp1_VGP_SI_VDI_SI)*(xsct0-pInst->temp1)+(xsct0_VGP_SI-temp1_VGP_SI)*(xsct0_VDI_SI-temp1_VDI_SI)+(xsct0_VDI_SI-temp1_VDI_SI)*(xsct0_VGP_SI-temp1_VGP_SI)+(xsct0-pInst->temp1)*(+xsct0_VGP_SI_VDI_SI-temp1_VGP_SI_VDI_SI))+0.0))));
  xsct_VGP_SI_VGP_SI=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VGP_SI+temp1_VGP_SI)-((((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI))))*d10_sqrt0)+0.0*((xsct0_VGP_SI+temp1_VGP_SI)-(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))*d10_sqrt0)+0.5*(+(+xsct0_VGP_SI_VGP_SI+temp1_VGP_SI_VGP_SI)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI))))*(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))+d10_sqrt0*(+(+(+xsct0_VGP_SI_VGP_SI-temp1_VGP_SI_VGP_SI)*(xsct0-pInst->temp1)+(xsct0_VGP_SI-temp1_VGP_SI)*(xsct0_VGP_SI-temp1_VGP_SI)+(xsct0_VGP_SI-temp1_VGP_SI)*(xsct0_VGP_SI-temp1_VGP_SI)+(xsct0-pInst->temp1)*(+xsct0_VGP_SI_VGP_SI-temp1_VGP_SI_VGP_SI))+0.0))));
  xsct_VGP_SI_VSI_BP=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VSI_BP+temp1_VSI_BP)-((((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP))))*d10_sqrt0)+0.0*((xsct0_VGP_SI+temp1_VGP_SI)-(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))*d10_sqrt0)+0.5*(+(+xsct0_VGP_SI_VSI_BP+temp1_VGP_SI_VSI_BP)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP))))*(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))+d10_sqrt0*(+(+(+xsct0_VGP_SI_VSI_BP-temp1_VGP_SI_VSI_BP)*(xsct0-pInst->temp1)+(xsct0_VGP_SI-temp1_VGP_SI)*(xsct0_VSI_BP-temp1_VSI_BP)+(xsct0_VSI_BP-temp1_VSI_BP)*(xsct0_VGP_SI-temp1_VGP_SI)+(xsct0-pInst->temp1)*(+xsct0_VGP_SI_VSI_BP-temp1_VGP_SI_VSI_BP))+0.0))));
#endif
xsct_VSI_BP=(0.5*((xsct0_VSI_BP+temp1_VSI_BP)-(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))*d10_sqrt0));
#if defined(_DERIVATE2)
  xsct_VSI_BP_VDI_SI=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VDI_SI+temp1_VDI_SI)-((((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI))))*d10_sqrt0)+0.0*((xsct0_VSI_BP+temp1_VSI_BP)-(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))*d10_sqrt0)+0.5*(+(+xsct0_VSI_BP_VDI_SI+temp1_VSI_BP_VDI_SI)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI))))*(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))+d10_sqrt0*(+(+(+xsct0_VSI_BP_VDI_SI-temp1_VSI_BP_VDI_SI)*(xsct0-pInst->temp1)+(xsct0_VSI_BP-temp1_VSI_BP)*(xsct0_VDI_SI-temp1_VDI_SI)+(xsct0_VDI_SI-temp1_VDI_SI)*(xsct0_VSI_BP-temp1_VSI_BP)+(xsct0-pInst->temp1)*(+xsct0_VSI_BP_VDI_SI-temp1_VSI_BP_VDI_SI))+0.0))));
  xsct_VSI_BP_VGP_SI=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VGP_SI+temp1_VGP_SI)-((((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI))))*d10_sqrt0)+0.0*((xsct0_VSI_BP+temp1_VSI_BP)-(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))*d10_sqrt0)+0.5*(+(+xsct0_VSI_BP_VGP_SI+temp1_VSI_BP_VGP_SI)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI))))*(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))+d10_sqrt0*(+(+(+xsct0_VSI_BP_VGP_SI-temp1_VSI_BP_VGP_SI)*(xsct0-pInst->temp1)+(xsct0_VSI_BP-temp1_VSI_BP)*(xsct0_VGP_SI-temp1_VGP_SI)+(xsct0_VGP_SI-temp1_VGP_SI)*(xsct0_VSI_BP-temp1_VSI_BP)+(xsct0-pInst->temp1)*(+xsct0_VSI_BP_VGP_SI-temp1_VSI_BP_VGP_SI))+0.0))));
  xsct_VSI_BP_VSI_BP=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VSI_BP+temp1_VSI_BP)-((((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP))))*d10_sqrt0)+0.0*((xsct0_VSI_BP+temp1_VSI_BP)-(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))*d10_sqrt0)+0.5*(+(+xsct0_VSI_BP_VSI_BP+temp1_VSI_BP_VSI_BP)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP))))*(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))+d10_sqrt0*(+(+(+xsct0_VSI_BP_VSI_BP-temp1_VSI_BP_VSI_BP)*(xsct0-pInst->temp1)+(xsct0_VSI_BP-temp1_VSI_BP)*(xsct0_VSI_BP-temp1_VSI_BP)+(xsct0_VSI_BP-temp1_VSI_BP)*(xsct0_VSI_BP-temp1_VSI_BP)+(xsct0-pInst->temp1)*(+xsct0_VSI_BP_VSI_BP-temp1_VSI_BP_VSI_BP))+0.0))));
#endif
#endif
xsct=(0.5*((xsct0+pInst->temp1)-d00_sqrt0));
EXIT_IF_ISNAN((0.5*((xsct0+pInst->temp1)-d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=(pInst->CTG_T*(xsct_VDI_SI-((1.0+pInst->CTB_i)*xsbstar_VDI_SI)));
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VDI_SI-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VDI_SI))))+0.0*(xsct_VDI_SI-((1.0+pInst->CTB_i)*xsbstar_VDI_SI))+pInst->CTG_T*(+xsct_VDI_SI_VDI_SI-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VDI_SI)+0.0*xsbstar_VDI_SI+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VDI_SI_VDI_SI))));
  temp2_VDI_SI_VGP_SI=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VGP_SI-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VGP_SI))))+0.0*(xsct_VDI_SI-((1.0+pInst->CTB_i)*xsbstar_VDI_SI))+pInst->CTG_T*(+xsct_VDI_SI_VGP_SI-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VGP_SI)+0.0*xsbstar_VDI_SI+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VDI_SI_VGP_SI))));
  temp2_VDI_SI_VSI_BP=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VSI_BP-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VSI_BP))))+0.0*(xsct_VDI_SI-((1.0+pInst->CTB_i)*xsbstar_VDI_SI))+pInst->CTG_T*(+xsct_VDI_SI_VSI_BP-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VSI_BP)+0.0*xsbstar_VDI_SI+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VDI_SI_VSI_BP))));
#endif
temp2_VGP_SI=(pInst->CTG_T*(xsct_VGP_SI-((1.0+pInst->CTB_i)*xsbstar_VGP_SI)));
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VDI_SI-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VDI_SI))))+0.0*(xsct_VGP_SI-((1.0+pInst->CTB_i)*xsbstar_VGP_SI))+pInst->CTG_T*(+xsct_VGP_SI_VDI_SI-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VDI_SI)+0.0*xsbstar_VGP_SI+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VGP_SI_VDI_SI))));
  temp2_VGP_SI_VGP_SI=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VGP_SI-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VGP_SI))))+0.0*(xsct_VGP_SI-((1.0+pInst->CTB_i)*xsbstar_VGP_SI))+pInst->CTG_T*(+xsct_VGP_SI_VGP_SI-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VGP_SI)+0.0*xsbstar_VGP_SI+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VGP_SI_VGP_SI))));
  temp2_VGP_SI_VSI_BP=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VSI_BP-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VSI_BP))))+0.0*(xsct_VGP_SI-((1.0+pInst->CTB_i)*xsbstar_VGP_SI))+pInst->CTG_T*(+xsct_VGP_SI_VSI_BP-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VSI_BP)+0.0*xsbstar_VGP_SI+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VGP_SI_VSI_BP))));
#endif
temp2_VSI_BP=(pInst->CTG_T*(xsct_VSI_BP-((1.0+pInst->CTB_i)*xsbstar_VSI_BP)));
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VDI_SI-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VDI_SI))))+0.0*(xsct_VSI_BP-((1.0+pInst->CTB_i)*xsbstar_VSI_BP))+pInst->CTG_T*(+xsct_VSI_BP_VDI_SI-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VDI_SI)+0.0*xsbstar_VSI_BP+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VSI_BP_VDI_SI))));
  temp2_VSI_BP_VGP_SI=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VGP_SI-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VGP_SI))))+0.0*(xsct_VSI_BP-((1.0+pInst->CTB_i)*xsbstar_VSI_BP))+pInst->CTG_T*(+xsct_VSI_BP_VGP_SI-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VGP_SI)+0.0*xsbstar_VSI_BP+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VSI_BP_VGP_SI))));
  temp2_VSI_BP_VSI_BP=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VSI_BP-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VSI_BP))))+0.0*(xsct_VSI_BP-((1.0+pInst->CTB_i)*xsbstar_VSI_BP))+pInst->CTG_T*(+xsct_VSI_BP_VSI_BP-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VSI_BP)+0.0*xsbstar_VSI_BP+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VSI_BP_VSI_BP))));
#endif
#endif
temp2=(pInst->CTG_T*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar))));
EXIT_IF_ISNAN((pInst->CTG_T*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))))
if
((temp2>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,temp2)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
dCTG_VDI_SI=temp2_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  dCTG_VDI_SI_VDI_SI=(m20_exp(temp2)*temp2_VDI_SI*temp2_VDI_SI+d10_exp0*temp2_VDI_SI_VDI_SI);
  dCTG_VDI_SI_VGP_SI=(m20_exp(temp2)*temp2_VGP_SI*temp2_VDI_SI+d10_exp0*temp2_VDI_SI_VGP_SI);
  dCTG_VDI_SI_VSI_BP=(m20_exp(temp2)*temp2_VSI_BP*temp2_VDI_SI+d10_exp0*temp2_VDI_SI_VSI_BP);
#endif
dCTG_VGP_SI=temp2_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  dCTG_VGP_SI_VDI_SI=(m20_exp(temp2)*temp2_VDI_SI*temp2_VGP_SI+d10_exp0*temp2_VGP_SI_VDI_SI);
  dCTG_VGP_SI_VGP_SI=(m20_exp(temp2)*temp2_VGP_SI*temp2_VGP_SI+d10_exp0*temp2_VGP_SI_VGP_SI);
  dCTG_VGP_SI_VSI_BP=(m20_exp(temp2)*temp2_VSI_BP*temp2_VGP_SI+d10_exp0*temp2_VGP_SI_VSI_BP);
#endif
dCTG_VSI_BP=temp2_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  dCTG_VSI_BP_VDI_SI=(m20_exp(temp2)*temp2_VDI_SI*temp2_VSI_BP+d10_exp0*temp2_VSI_BP_VDI_SI);
  dCTG_VSI_BP_VGP_SI=(m20_exp(temp2)*temp2_VGP_SI*temp2_VSI_BP+d10_exp0*temp2_VSI_BP_VGP_SI);
  dCTG_VSI_BP_VSI_BP=(m20_exp(temp2)*temp2_VSI_BP*temp2_VSI_BP+d10_exp0*temp2_VSI_BP_VSI_BP);
#endif
#endif
dCTG=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
dCTG_VDI_SI=(-1.0e-100*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  dCTG_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VDI_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VDI_SI)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01))))))+(-temp2_VDI_SI)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VDI_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VDI_SI)*((-temp2_VDI_SI)*3.3333333333333333e-01)+(-temp2_VDI_SI)*(-temp2_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VDI_SI_VDI_SI)*3.3333333333333333e-01+(-temp2_VDI_SI)*0.0+(-temp2_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))*((((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
  dCTG_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VDI_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VDI_SI)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01))))))+(-temp2_VGP_SI)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VDI_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VDI_SI)*((-temp2_VGP_SI)*3.3333333333333333e-01)+(-temp2_VGP_SI)*(-temp2_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VDI_SI_VGP_SI)*3.3333333333333333e-01+(-temp2_VDI_SI)*0.0+(-temp2_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))*((((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
  dCTG_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VDI_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VDI_SI)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01))))))+(-temp2_VSI_BP)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VDI_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VDI_SI)*((-temp2_VSI_BP)*3.3333333333333333e-01)+(-temp2_VSI_BP)*(-temp2_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VDI_SI_VSI_BP)*3.3333333333333333e-01+(-temp2_VDI_SI)*0.0+(-temp2_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))*((((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
#endif
dCTG_VGP_SI=(-1.0e-100*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  dCTG_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VGP_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VGP_SI)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01))))))+(-temp2_VDI_SI)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VGP_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VGP_SI)*((-temp2_VDI_SI)*3.3333333333333333e-01)+(-temp2_VDI_SI)*(-temp2_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VGP_SI_VDI_SI)*3.3333333333333333e-01+(-temp2_VGP_SI)*0.0+(-temp2_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))*((((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
  dCTG_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VGP_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VGP_SI)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01))))))+(-temp2_VGP_SI)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VGP_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VGP_SI)*((-temp2_VGP_SI)*3.3333333333333333e-01)+(-temp2_VGP_SI)*(-temp2_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VGP_SI_VGP_SI)*3.3333333333333333e-01+(-temp2_VGP_SI)*0.0+(-temp2_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))*((((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
  dCTG_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VGP_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VGP_SI)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01))))))+(-temp2_VSI_BP)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VGP_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VGP_SI)*((-temp2_VSI_BP)*3.3333333333333333e-01)+(-temp2_VSI_BP)*(-temp2_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VGP_SI_VSI_BP)*3.3333333333333333e-01+(-temp2_VGP_SI)*0.0+(-temp2_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))*((((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
#endif
dCTG_VSI_BP=(-1.0e-100*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  dCTG_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VSI_BP_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VSI_BP)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01))))))+(-temp2_VDI_SI)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VSI_BP_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VSI_BP)*((-temp2_VDI_SI)*3.3333333333333333e-01)+(-temp2_VDI_SI)*(-temp2_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VSI_BP_VDI_SI)*3.3333333333333333e-01+(-temp2_VSI_BP)*0.0+(-temp2_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))*((((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
  dCTG_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VSI_BP_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VSI_BP)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01))))))+(-temp2_VGP_SI)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VSI_BP_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VSI_BP)*((-temp2_VGP_SI)*3.3333333333333333e-01)+(-temp2_VGP_SI)*(-temp2_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VSI_BP_VGP_SI)*3.3333333333333333e-01+(-temp2_VSI_BP)*0.0+(-temp2_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))*((((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
  dCTG_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VSI_BP_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VSI_BP)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01))))))+(-temp2_VSI_BP)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VSI_BP_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VSI_BP)*((-temp2_VSI_BP)*3.3333333333333333e-01)+(-temp2_VSI_BP)*(-temp2_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VSI_BP_VSI_BP)*3.3333333333333333e-01+(-temp2_VSI_BP)*0.0+(-temp2_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))*((((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
#endif
#endif
dCTG=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
ct_fact_VDI_SI=(pInst->CT_T*dCTG_VDI_SI);
#if defined(_DERIVATE2)
  ct_fact_VDI_SI_VDI_SI=(+0.0+(+0.0*dCTG+0.0*dCTG_VDI_SI+0.0*dCTG_VDI_SI+pInst->CT_T*dCTG_VDI_SI_VDI_SI));
  ct_fact_VDI_SI_VGP_SI=(+0.0+(+0.0*dCTG+0.0*dCTG_VGP_SI+0.0*dCTG_VDI_SI+pInst->CT_T*dCTG_VDI_SI_VGP_SI));
  ct_fact_VDI_SI_VSI_BP=(+0.0+(+0.0*dCTG+0.0*dCTG_VSI_BP+0.0*dCTG_VDI_SI+pInst->CT_T*dCTG_VDI_SI_VSI_BP));
#endif
ct_fact_VGP_SI=(pInst->CT_T*dCTG_VGP_SI);
#if defined(_DERIVATE2)
  ct_fact_VGP_SI_VDI_SI=(+0.0+(+0.0*dCTG+0.0*dCTG_VDI_SI+0.0*dCTG_VGP_SI+pInst->CT_T*dCTG_VGP_SI_VDI_SI));
  ct_fact_VGP_SI_VGP_SI=(+0.0+(+0.0*dCTG+0.0*dCTG_VGP_SI+0.0*dCTG_VGP_SI+pInst->CT_T*dCTG_VGP_SI_VGP_SI));
  ct_fact_VGP_SI_VSI_BP=(+0.0+(+0.0*dCTG+0.0*dCTG_VSI_BP+0.0*dCTG_VGP_SI+pInst->CT_T*dCTG_VGP_SI_VSI_BP));
#endif
ct_fact_VSI_BP=(pInst->CT_T*dCTG_VSI_BP);
#if defined(_DERIVATE2)
  ct_fact_VSI_BP_VDI_SI=(+0.0+(+0.0*dCTG+0.0*dCTG_VDI_SI+0.0*dCTG_VSI_BP+pInst->CT_T*dCTG_VSI_BP_VDI_SI));
  ct_fact_VSI_BP_VGP_SI=(+0.0+(+0.0*dCTG+0.0*dCTG_VGP_SI+0.0*dCTG_VSI_BP+pInst->CT_T*dCTG_VSI_BP_VGP_SI));
  ct_fact_VSI_BP_VSI_BP=(+0.0+(+0.0*dCTG+0.0*dCTG_VSI_BP+0.0*dCTG_VSI_BP+pInst->CT_T*dCTG_VSI_BP_VSI_BP));
#endif
#endif
ct_fact=(1.0+(pInst->CT_T*dCTG));
EXIT_IF_ISNAN((1.0+(pInst->CT_T*dCTG)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
phit1_VDI_SI=(((pModel->phit*ct_fact_VDI_SI)*(1.0+dphit1))+((pModel->phit*ct_fact)*dphit1_VDI_SI));
#if defined(_DERIVATE2)
  phit1_VDI_SI_VDI_SI=(+(+0.0*ct_fact+0.0*ct_fact_VDI_SI+0.0*ct_fact_VDI_SI+pModel->phit*ct_fact_VDI_SI_VDI_SI)*(1.0+dphit1)+(pModel->phit*ct_fact_VDI_SI)*dphit1_VDI_SI+((pModel->phit*ct_fact_VDI_SI))*dphit1_VDI_SI+(pModel->phit*ct_fact)*(+0.0+dphit1_VDI_SI_VDI_SI));
  phit1_VDI_SI_VGP_SI=(+(+0.0*ct_fact+0.0*ct_fact_VGP_SI+0.0*ct_fact_VDI_SI+pModel->phit*ct_fact_VDI_SI_VGP_SI)*(1.0+dphit1)+(pModel->phit*ct_fact_VDI_SI)*dphit1_VGP_SI+((pModel->phit*ct_fact_VGP_SI))*dphit1_VDI_SI+(pModel->phit*ct_fact)*(+0.0+dphit1_VDI_SI_VGP_SI));
  phit1_VDI_SI_VSI_BP=(+(+0.0*ct_fact+0.0*ct_fact_VSI_BP+0.0*ct_fact_VDI_SI+pModel->phit*ct_fact_VDI_SI_VSI_BP)*(1.0+dphit1)+(pModel->phit*ct_fact_VDI_SI)*dphit1_VSI_BP+((pModel->phit*ct_fact_VSI_BP))*dphit1_VDI_SI+(pModel->phit*ct_fact)*(+0.0+dphit1_VDI_SI_VSI_BP));
#endif
phit1_VGP_SI=(((pModel->phit*ct_fact_VGP_SI)*(1.0+dphit1))+((pModel->phit*ct_fact)*dphit1_VGP_SI));
#if defined(_DERIVATE2)
  phit1_VGP_SI_VDI_SI=(+(+0.0*ct_fact+0.0*ct_fact_VDI_SI+0.0*ct_fact_VGP_SI+pModel->phit*ct_fact_VGP_SI_VDI_SI)*(1.0+dphit1)+(pModel->phit*ct_fact_VGP_SI)*dphit1_VDI_SI+((pModel->phit*ct_fact_VDI_SI))*dphit1_VGP_SI+(pModel->phit*ct_fact)*(+0.0+dphit1_VGP_SI_VDI_SI));
  phit1_VGP_SI_VGP_SI=(+(+0.0*ct_fact+0.0*ct_fact_VGP_SI+0.0*ct_fact_VGP_SI+pModel->phit*ct_fact_VGP_SI_VGP_SI)*(1.0+dphit1)+(pModel->phit*ct_fact_VGP_SI)*dphit1_VGP_SI+((pModel->phit*ct_fact_VGP_SI))*dphit1_VGP_SI+(pModel->phit*ct_fact)*(+0.0+dphit1_VGP_SI_VGP_SI));
  phit1_VGP_SI_VSI_BP=(+(+0.0*ct_fact+0.0*ct_fact_VSI_BP+0.0*ct_fact_VGP_SI+pModel->phit*ct_fact_VGP_SI_VSI_BP)*(1.0+dphit1)+(pModel->phit*ct_fact_VGP_SI)*dphit1_VSI_BP+((pModel->phit*ct_fact_VSI_BP))*dphit1_VGP_SI+(pModel->phit*ct_fact)*(+0.0+dphit1_VGP_SI_VSI_BP));
#endif
phit1_VSI_BP=(((pModel->phit*ct_fact_VSI_BP)*(1.0+dphit1))+((pModel->phit*ct_fact)*dphit1_VSI_BP));
#if defined(_DERIVATE2)
  phit1_VSI_BP_VDI_SI=(+(+0.0*ct_fact+0.0*ct_fact_VDI_SI+0.0*ct_fact_VSI_BP+pModel->phit*ct_fact_VSI_BP_VDI_SI)*(1.0+dphit1)+(pModel->phit*ct_fact_VSI_BP)*dphit1_VDI_SI+((pModel->phit*ct_fact_VDI_SI))*dphit1_VSI_BP+(pModel->phit*ct_fact)*(+0.0+dphit1_VSI_BP_VDI_SI));
  phit1_VSI_BP_VGP_SI=(+(+0.0*ct_fact+0.0*ct_fact_VGP_SI+0.0*ct_fact_VSI_BP+pModel->phit*ct_fact_VSI_BP_VGP_SI)*(1.0+dphit1)+(pModel->phit*ct_fact_VSI_BP)*dphit1_VGP_SI+((pModel->phit*ct_fact_VGP_SI))*dphit1_VSI_BP+(pModel->phit*ct_fact)*(+0.0+dphit1_VSI_BP_VGP_SI));
  phit1_VSI_BP_VSI_BP=(+(+0.0*ct_fact+0.0*ct_fact_VSI_BP+0.0*ct_fact_VSI_BP+pModel->phit*ct_fact_VSI_BP_VSI_BP)*(1.0+dphit1)+(pModel->phit*ct_fact_VSI_BP)*dphit1_VSI_BP+((pModel->phit*ct_fact_VSI_BP))*dphit1_VSI_BP+(pModel->phit*ct_fact)*(+0.0+dphit1_VSI_BP_VSI_BP));
#endif
#endif
pInst->phit1=((pModel->phit*ct_fact)*(1.0+dphit1));
EXIT_IF_ISNAN(((pModel->phit*ct_fact)*(1.0+dphit1)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
inv_phit1_VDI_SI=(-phit1_VDI_SI/pInst->phit1/pInst->phit1);
#if defined(_DERIVATE2)
  inv_phit1_VDI_SI_VDI_SI=(0.0/pInst->phit1-(0.0*phit1_VDI_SI+0.0*phit1_VDI_SI+1.0*phit1_VDI_SI_VDI_SI)/pInst->phit1/pInst->phit1+2*1.0*phit1_VDI_SI*phit1_VDI_SI/pInst->phit1/pInst->phit1/pInst->phit1);
  inv_phit1_VDI_SI_VGP_SI=(0.0/pInst->phit1-(0.0*phit1_VGP_SI+0.0*phit1_VDI_SI+1.0*phit1_VDI_SI_VGP_SI)/pInst->phit1/pInst->phit1+2*1.0*phit1_VDI_SI*phit1_VGP_SI/pInst->phit1/pInst->phit1/pInst->phit1);
  inv_phit1_VDI_SI_VSI_BP=(0.0/pInst->phit1-(0.0*phit1_VSI_BP+0.0*phit1_VDI_SI+1.0*phit1_VDI_SI_VSI_BP)/pInst->phit1/pInst->phit1+2*1.0*phit1_VDI_SI*phit1_VSI_BP/pInst->phit1/pInst->phit1/pInst->phit1);
#endif
inv_phit1_VGP_SI=(-phit1_VGP_SI/pInst->phit1/pInst->phit1);
#if defined(_DERIVATE2)
  inv_phit1_VGP_SI_VDI_SI=(0.0/pInst->phit1-(0.0*phit1_VDI_SI+0.0*phit1_VGP_SI+1.0*phit1_VGP_SI_VDI_SI)/pInst->phit1/pInst->phit1+2*1.0*phit1_VGP_SI*phit1_VDI_SI/pInst->phit1/pInst->phit1/pInst->phit1);
  inv_phit1_VGP_SI_VGP_SI=(0.0/pInst->phit1-(0.0*phit1_VGP_SI+0.0*phit1_VGP_SI+1.0*phit1_VGP_SI_VGP_SI)/pInst->phit1/pInst->phit1+2*1.0*phit1_VGP_SI*phit1_VGP_SI/pInst->phit1/pInst->phit1/pInst->phit1);
  inv_phit1_VGP_SI_VSI_BP=(0.0/pInst->phit1-(0.0*phit1_VSI_BP+0.0*phit1_VGP_SI+1.0*phit1_VGP_SI_VSI_BP)/pInst->phit1/pInst->phit1+2*1.0*phit1_VGP_SI*phit1_VSI_BP/pInst->phit1/pInst->phit1/pInst->phit1);
#endif
inv_phit1_VSI_BP=(-phit1_VSI_BP/pInst->phit1/pInst->phit1);
#if defined(_DERIVATE2)
  inv_phit1_VSI_BP_VDI_SI=(0.0/pInst->phit1-(0.0*phit1_VDI_SI+0.0*phit1_VSI_BP+1.0*phit1_VSI_BP_VDI_SI)/pInst->phit1/pInst->phit1+2*1.0*phit1_VSI_BP*phit1_VDI_SI/pInst->phit1/pInst->phit1/pInst->phit1);
  inv_phit1_VSI_BP_VGP_SI=(0.0/pInst->phit1-(0.0*phit1_VGP_SI+0.0*phit1_VSI_BP+1.0*phit1_VSI_BP_VGP_SI)/pInst->phit1/pInst->phit1+2*1.0*phit1_VSI_BP*phit1_VGP_SI/pInst->phit1/pInst->phit1/pInst->phit1);
  inv_phit1_VSI_BP_VSI_BP=(0.0/pInst->phit1-(0.0*phit1_VSI_BP+0.0*phit1_VSI_BP+1.0*phit1_VSI_BP_VSI_BP)/pInst->phit1/pInst->phit1+2*1.0*phit1_VSI_BP*phit1_VSI_BP/pInst->phit1/pInst->phit1/pInst->phit1);
#endif
#endif
inv_phit1=(1.0/pInst->phit1);
EXIT_IF_ISNAN((1.0/pInst->phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xg_VDI_SI=((Vgb1_VDI_SI*inv_phit1)+(Vgb1*inv_phit1_VDI_SI));
#if defined(_DERIVATE2)
  xg_VDI_SI_VDI_SI=(+Vgb1_VDI_SI_VDI_SI*inv_phit1+Vgb1_VDI_SI*inv_phit1_VDI_SI+Vgb1_VDI_SI*inv_phit1_VDI_SI+Vgb1*inv_phit1_VDI_SI_VDI_SI);
  xg_VDI_SI_VGP_SI=(+Vgb1_VDI_SI_VGP_SI*inv_phit1+Vgb1_VDI_SI*inv_phit1_VGP_SI+Vgb1_VGP_SI*inv_phit1_VDI_SI+Vgb1*inv_phit1_VDI_SI_VGP_SI);
  xg_VDI_SI_VSI_BP=(+Vgb1_VDI_SI_VSI_BP*inv_phit1+Vgb1_VDI_SI*inv_phit1_VSI_BP+Vgb1_VSI_BP*inv_phit1_VDI_SI+Vgb1*inv_phit1_VDI_SI_VSI_BP);
#endif
xg_VGP_SI=((Vgb1_VGP_SI*inv_phit1)+(Vgb1*inv_phit1_VGP_SI));
#if defined(_DERIVATE2)
  xg_VGP_SI_VDI_SI=(+Vgb1_VGP_SI_VDI_SI*inv_phit1+Vgb1_VGP_SI*inv_phit1_VDI_SI+Vgb1_VDI_SI*inv_phit1_VGP_SI+Vgb1*inv_phit1_VGP_SI_VDI_SI);
  xg_VGP_SI_VGP_SI=(+Vgb1_VGP_SI_VGP_SI*inv_phit1+Vgb1_VGP_SI*inv_phit1_VGP_SI+Vgb1_VGP_SI*inv_phit1_VGP_SI+Vgb1*inv_phit1_VGP_SI_VGP_SI);
  xg_VGP_SI_VSI_BP=(+Vgb1_VGP_SI_VSI_BP*inv_phit1+Vgb1_VGP_SI*inv_phit1_VSI_BP+Vgb1_VSI_BP*inv_phit1_VGP_SI+Vgb1*inv_phit1_VGP_SI_VSI_BP);
#endif
xg_VSI_BP=((Vgb1_VSI_BP*inv_phit1)+(Vgb1*inv_phit1_VSI_BP));
#if defined(_DERIVATE2)
  xg_VSI_BP_VDI_SI=(+Vgb1_VSI_BP_VDI_SI*inv_phit1+Vgb1_VSI_BP*inv_phit1_VDI_SI+Vgb1_VDI_SI*inv_phit1_VSI_BP+Vgb1*inv_phit1_VSI_BP_VDI_SI);
  xg_VSI_BP_VGP_SI=(+Vgb1_VSI_BP_VGP_SI*inv_phit1+Vgb1_VSI_BP*inv_phit1_VGP_SI+Vgb1_VGP_SI*inv_phit1_VSI_BP+Vgb1*inv_phit1_VSI_BP_VGP_SI);
  xg_VSI_BP_VSI_BP=(+Vgb1_VSI_BP_VSI_BP*inv_phit1+Vgb1_VSI_BP*inv_phit1_VSI_BP+Vgb1_VSI_BP*inv_phit1_VSI_BP+Vgb1*inv_phit1_VSI_BP_VSI_BP);
#endif
#endif
xg=(Vgb1*inv_phit1);
EXIT_IF_ISNAN((Vgb1*inv_phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xi_VDI_SI=Gf_VDI_SI*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  xi_VDI_SI_VDI_SI=(+0.0+(+Gf_VDI_SI_VDI_SI*7.0710678118654746e-01+Gf_VDI_SI*0.0+Gf_VDI_SI*0.0+Gf*0.0));
  xi_VDI_SI_VGP_SI=(+0.0+(+Gf_VDI_SI_VGP_SI*7.0710678118654746e-01+Gf_VDI_SI*0.0+Gf_VGP_SI*0.0+Gf*0.0));
  xi_VDI_SI_VSI_BP=(+0.0+(+Gf_VDI_SI_VSI_BP*7.0710678118654746e-01+Gf_VDI_SI*0.0+Gf_VSI_BP*0.0+Gf*0.0));
#endif
xi_VGP_SI=Gf_VGP_SI*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  xi_VGP_SI_VDI_SI=(+0.0+(+Gf_VGP_SI_VDI_SI*7.0710678118654746e-01+Gf_VGP_SI*0.0+Gf_VDI_SI*0.0+Gf*0.0));
  xi_VGP_SI_VGP_SI=(+0.0+(+Gf_VGP_SI_VGP_SI*7.0710678118654746e-01+Gf_VGP_SI*0.0+Gf_VGP_SI*0.0+Gf*0.0));
  xi_VGP_SI_VSI_BP=(+0.0+(+Gf_VGP_SI_VSI_BP*7.0710678118654746e-01+Gf_VGP_SI*0.0+Gf_VSI_BP*0.0+Gf*0.0));
#endif
xi_VSI_BP=Gf_VSI_BP*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  xi_VSI_BP_VDI_SI=(+0.0+(+Gf_VSI_BP_VDI_SI*7.0710678118654746e-01+Gf_VSI_BP*0.0+Gf_VDI_SI*0.0+Gf*0.0));
  xi_VSI_BP_VGP_SI=(+0.0+(+Gf_VSI_BP_VGP_SI*7.0710678118654746e-01+Gf_VSI_BP*0.0+Gf_VGP_SI*0.0+Gf*0.0));
  xi_VSI_BP_VSI_BP=(+0.0+(+Gf_VSI_BP_VSI_BP*7.0710678118654746e-01+Gf_VSI_BP*0.0+Gf_VSI_BP*0.0+Gf*0.0));
#endif
#endif
xi=(1.0+(Gf*7.0710678118654746e-01));
EXIT_IF_ISNAN((1.0+(Gf*7.0710678118654746e-01)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
inv_xi_VDI_SI=(-xi_VDI_SI/xi/xi);
#if defined(_DERIVATE2)
  inv_xi_VDI_SI_VDI_SI=(0.0/xi-(0.0*xi_VDI_SI+0.0*xi_VDI_SI+1.0*xi_VDI_SI_VDI_SI)/xi/xi+2*1.0*xi_VDI_SI*xi_VDI_SI/xi/xi/xi);
  inv_xi_VDI_SI_VGP_SI=(0.0/xi-(0.0*xi_VGP_SI+0.0*xi_VDI_SI+1.0*xi_VDI_SI_VGP_SI)/xi/xi+2*1.0*xi_VDI_SI*xi_VGP_SI/xi/xi/xi);
  inv_xi_VDI_SI_VSI_BP=(0.0/xi-(0.0*xi_VSI_BP+0.0*xi_VDI_SI+1.0*xi_VDI_SI_VSI_BP)/xi/xi+2*1.0*xi_VDI_SI*xi_VSI_BP/xi/xi/xi);
#endif
inv_xi_VGP_SI=(-xi_VGP_SI/xi/xi);
#if defined(_DERIVATE2)
  inv_xi_VGP_SI_VDI_SI=(0.0/xi-(0.0*xi_VDI_SI+0.0*xi_VGP_SI+1.0*xi_VGP_SI_VDI_SI)/xi/xi+2*1.0*xi_VGP_SI*xi_VDI_SI/xi/xi/xi);
  inv_xi_VGP_SI_VGP_SI=(0.0/xi-(0.0*xi_VGP_SI+0.0*xi_VGP_SI+1.0*xi_VGP_SI_VGP_SI)/xi/xi+2*1.0*xi_VGP_SI*xi_VGP_SI/xi/xi/xi);
  inv_xi_VGP_SI_VSI_BP=(0.0/xi-(0.0*xi_VSI_BP+0.0*xi_VGP_SI+1.0*xi_VGP_SI_VSI_BP)/xi/xi+2*1.0*xi_VGP_SI*xi_VSI_BP/xi/xi/xi);
#endif
inv_xi_VSI_BP=(-xi_VSI_BP/xi/xi);
#if defined(_DERIVATE2)
  inv_xi_VSI_BP_VDI_SI=(0.0/xi-(0.0*xi_VDI_SI+0.0*xi_VSI_BP+1.0*xi_VSI_BP_VDI_SI)/xi/xi+2*1.0*xi_VSI_BP*xi_VDI_SI/xi/xi/xi);
  inv_xi_VSI_BP_VGP_SI=(0.0/xi-(0.0*xi_VGP_SI+0.0*xi_VSI_BP+1.0*xi_VSI_BP_VGP_SI)/xi/xi+2*1.0*xi_VSI_BP*xi_VGP_SI/xi/xi/xi);
  inv_xi_VSI_BP_VSI_BP=(0.0/xi-(0.0*xi_VSI_BP+0.0*xi_VSI_BP+1.0*xi_VSI_BP_VSI_BP)/xi/xi+2*1.0*xi_VSI_BP*xi_VSI_BP/xi/xi/xi);
#endif
#endif
inv_xi=(1.0/xi);
EXIT_IF_ISNAN((1.0/xi))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ux_VDI_SI=((Vsbstar_VDI_SI*inv_phit1)+(Vsbstar*inv_phit1_VDI_SI));
#if defined(_DERIVATE2)
  Ux_VDI_SI_VDI_SI=(+Vsbstar_VDI_SI_VDI_SI*inv_phit1+Vsbstar_VDI_SI*inv_phit1_VDI_SI+Vsbstar_VDI_SI*inv_phit1_VDI_SI+Vsbstar*inv_phit1_VDI_SI_VDI_SI);
  Ux_VDI_SI_VSI_BP=(+Vsbstar_VDI_SI_VSI_BP*inv_phit1+Vsbstar_VDI_SI*inv_phit1_VSI_BP+Vsbstar_VSI_BP*inv_phit1_VDI_SI+Vsbstar*inv_phit1_VDI_SI_VSI_BP);
  Ux_VDI_SI_VGP_SI=(+Vsbstar_VDI_SI_VGP_SI*inv_phit1+Vsbstar_VDI_SI*inv_phit1_VGP_SI+Vsbstar_VGP_SI*inv_phit1_VDI_SI+Vsbstar*inv_phit1_VDI_SI_VGP_SI);
#endif
Ux_VSI_BP=((Vsbstar_VSI_BP*inv_phit1)+(Vsbstar*inv_phit1_VSI_BP));
#if defined(_DERIVATE2)
  Ux_VSI_BP_VDI_SI=(+Vsbstar_VSI_BP_VDI_SI*inv_phit1+Vsbstar_VSI_BP*inv_phit1_VDI_SI+Vsbstar_VDI_SI*inv_phit1_VSI_BP+Vsbstar*inv_phit1_VSI_BP_VDI_SI);
  Ux_VSI_BP_VSI_BP=(+Vsbstar_VSI_BP_VSI_BP*inv_phit1+Vsbstar_VSI_BP*inv_phit1_VSI_BP+Vsbstar_VSI_BP*inv_phit1_VSI_BP+Vsbstar*inv_phit1_VSI_BP_VSI_BP);
  Ux_VSI_BP_VGP_SI=(+Vsbstar_VSI_BP_VGP_SI*inv_phit1+Vsbstar_VSI_BP*inv_phit1_VGP_SI+Vsbstar_VGP_SI*inv_phit1_VSI_BP+Vsbstar*inv_phit1_VSI_BP_VGP_SI);
#endif
Ux_VGP_SI=((Vsbstar_VGP_SI*inv_phit1)+(Vsbstar*inv_phit1_VGP_SI));
#if defined(_DERIVATE2)
  Ux_VGP_SI_VDI_SI=(+Vsbstar_VGP_SI_VDI_SI*inv_phit1+Vsbstar_VGP_SI*inv_phit1_VDI_SI+Vsbstar_VDI_SI*inv_phit1_VGP_SI+Vsbstar*inv_phit1_VGP_SI_VDI_SI);
  Ux_VGP_SI_VSI_BP=(+Vsbstar_VGP_SI_VSI_BP*inv_phit1+Vsbstar_VGP_SI*inv_phit1_VSI_BP+Vsbstar_VSI_BP*inv_phit1_VGP_SI+Vsbstar*inv_phit1_VGP_SI_VSI_BP);
  Ux_VGP_SI_VGP_SI=(+Vsbstar_VGP_SI_VGP_SI*inv_phit1+Vsbstar_VGP_SI*inv_phit1_VGP_SI+Vsbstar_VGP_SI*inv_phit1_VGP_SI+Vsbstar*inv_phit1_VGP_SI_VGP_SI);
#endif
#endif
Ux=(Vsbstar*inv_phit1);
EXIT_IF_ISNAN((Vsbstar*inv_phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xn_s_VDI_SI=((phib*inv_phit1_VDI_SI)+Ux_VDI_SI);
#if defined(_DERIVATE2)
  xn_s_VDI_SI_VDI_SI=(+(+0.0*inv_phit1+0.0*inv_phit1_VDI_SI+0.0*inv_phit1_VDI_SI+phib*inv_phit1_VDI_SI_VDI_SI)+Ux_VDI_SI_VDI_SI);
  xn_s_VDI_SI_VGP_SI=(+(+0.0*inv_phit1+0.0*inv_phit1_VGP_SI+0.0*inv_phit1_VDI_SI+phib*inv_phit1_VDI_SI_VGP_SI)+Ux_VDI_SI_VGP_SI);
  xn_s_VDI_SI_VSI_BP=(+(+0.0*inv_phit1+0.0*inv_phit1_VSI_BP+0.0*inv_phit1_VDI_SI+phib*inv_phit1_VDI_SI_VSI_BP)+Ux_VDI_SI_VSI_BP);
#endif
xn_s_VGP_SI=((phib*inv_phit1_VGP_SI)+Ux_VGP_SI);
#if defined(_DERIVATE2)
  xn_s_VGP_SI_VDI_SI=(+(+0.0*inv_phit1+0.0*inv_phit1_VDI_SI+0.0*inv_phit1_VGP_SI+phib*inv_phit1_VGP_SI_VDI_SI)+Ux_VGP_SI_VDI_SI);
  xn_s_VGP_SI_VGP_SI=(+(+0.0*inv_phit1+0.0*inv_phit1_VGP_SI+0.0*inv_phit1_VGP_SI+phib*inv_phit1_VGP_SI_VGP_SI)+Ux_VGP_SI_VGP_SI);
  xn_s_VGP_SI_VSI_BP=(+(+0.0*inv_phit1+0.0*inv_phit1_VSI_BP+0.0*inv_phit1_VGP_SI+phib*inv_phit1_VGP_SI_VSI_BP)+Ux_VGP_SI_VSI_BP);
#endif
xn_s_VSI_BP=((phib*inv_phit1_VSI_BP)+Ux_VSI_BP);
#if defined(_DERIVATE2)
  xn_s_VSI_BP_VDI_SI=(+(+0.0*inv_phit1+0.0*inv_phit1_VDI_SI+0.0*inv_phit1_VSI_BP+phib*inv_phit1_VSI_BP_VDI_SI)+Ux_VSI_BP_VDI_SI);
  xn_s_VSI_BP_VGP_SI=(+(+0.0*inv_phit1+0.0*inv_phit1_VGP_SI+0.0*inv_phit1_VSI_BP+phib*inv_phit1_VSI_BP_VGP_SI)+Ux_VSI_BP_VGP_SI);
  xn_s_VSI_BP_VSI_BP=(+(+0.0*inv_phit1+0.0*inv_phit1_VSI_BP+0.0*inv_phit1_VSI_BP+phib*inv_phit1_VSI_BP_VSI_BP)+Ux_VSI_BP_VSI_BP);
#endif
#endif
xn_s=((phib*inv_phit1)+Ux);
EXIT_IF_ISNAN(((phib*inv_phit1)+Ux))
if
((xn_s<4.6051701859880916e+02))
{
{
double m00_exp(d00_exp0,(-xn_s))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_ns_VDI_SI=(-xn_s_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  delta_ns_VDI_SI_VDI_SI=(m20_exp((-xn_s))*(-xn_s_VDI_SI)*(-xn_s_VDI_SI)+d10_exp0*0.0);
  delta_ns_VDI_SI_VGP_SI=(m20_exp((-xn_s))*(-xn_s_VGP_SI)*(-xn_s_VDI_SI)+d10_exp0*0.0);
  delta_ns_VDI_SI_VSI_BP=(m20_exp((-xn_s))*(-xn_s_VSI_BP)*(-xn_s_VDI_SI)+d10_exp0*0.0);
#endif
delta_ns_VGP_SI=(-xn_s_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  delta_ns_VGP_SI_VDI_SI=(m20_exp((-xn_s))*(-xn_s_VDI_SI)*(-xn_s_VGP_SI)+d10_exp0*0.0);
  delta_ns_VGP_SI_VGP_SI=(m20_exp((-xn_s))*(-xn_s_VGP_SI)*(-xn_s_VGP_SI)+d10_exp0*0.0);
  delta_ns_VGP_SI_VSI_BP=(m20_exp((-xn_s))*(-xn_s_VSI_BP)*(-xn_s_VGP_SI)+d10_exp0*0.0);
#endif
delta_ns_VSI_BP=(-xn_s_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  delta_ns_VSI_BP_VDI_SI=(m20_exp((-xn_s))*(-xn_s_VDI_SI)*(-xn_s_VSI_BP)+d10_exp0*0.0);
  delta_ns_VSI_BP_VGP_SI=(m20_exp((-xn_s))*(-xn_s_VGP_SI)*(-xn_s_VSI_BP)+d10_exp0*0.0);
  delta_ns_VSI_BP_VSI_BP=(m20_exp((-xn_s))*(-xn_s_VSI_BP)*(-xn_s_VSI_BP)+d10_exp0*0.0);
#endif
#endif
delta_ns=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_ns_VDI_SI=(-1.0e-200*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  delta_ns_VDI_SI_VDI_SI=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VDI_SI*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01))))))+xn_s_VDI_SI*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01))))+0.0*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01))+0.5*(+(+xn_s_VDI_SI_VDI_SI-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VDI_SI*(xn_s_VDI_SI*3.3333333333333333e-01)+xn_s_VDI_SI*xn_s_VDI_SI*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+xn_s_VDI_SI*0.0+xn_s_VDI_SI*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))*(((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  delta_ns_VDI_SI_VGP_SI=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VDI_SI*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01))))))+xn_s_VGP_SI*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01))))+0.0*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01))+0.5*(+(+xn_s_VDI_SI_VGP_SI-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VDI_SI*(xn_s_VGP_SI*3.3333333333333333e-01)+xn_s_VGP_SI*xn_s_VDI_SI*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+xn_s_VDI_SI*0.0+xn_s_VGP_SI*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))*(((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  delta_ns_VDI_SI_VSI_BP=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VDI_SI*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01))))))+xn_s_VSI_BP*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01))))+0.0*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01))+0.5*(+(+xn_s_VDI_SI_VSI_BP-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VDI_SI*(xn_s_VSI_BP*3.3333333333333333e-01)+xn_s_VSI_BP*xn_s_VDI_SI*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+xn_s_VDI_SI*0.0+xn_s_VSI_BP*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))*(((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#endif
delta_ns_VGP_SI=(-1.0e-200*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  delta_ns_VGP_SI_VDI_SI=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VGP_SI*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01))))))+xn_s_VDI_SI*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01))))+0.0*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01))+0.5*(+(+xn_s_VGP_SI_VDI_SI-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VGP_SI*(xn_s_VDI_SI*3.3333333333333333e-01)+xn_s_VDI_SI*xn_s_VGP_SI*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+xn_s_VGP_SI*0.0+xn_s_VDI_SI*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))*(((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  delta_ns_VGP_SI_VGP_SI=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VGP_SI*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01))))))+xn_s_VGP_SI*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01))))+0.0*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01))+0.5*(+(+xn_s_VGP_SI_VGP_SI-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VGP_SI*(xn_s_VGP_SI*3.3333333333333333e-01)+xn_s_VGP_SI*xn_s_VGP_SI*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+xn_s_VGP_SI*0.0+xn_s_VGP_SI*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))*(((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  delta_ns_VGP_SI_VSI_BP=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VGP_SI*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01))))))+xn_s_VSI_BP*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01))))+0.0*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01))+0.5*(+(+xn_s_VGP_SI_VSI_BP-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VGP_SI*(xn_s_VSI_BP*3.3333333333333333e-01)+xn_s_VSI_BP*xn_s_VGP_SI*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+xn_s_VGP_SI*0.0+xn_s_VSI_BP*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))*(((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#endif
delta_ns_VSI_BP=(-1.0e-200*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  delta_ns_VSI_BP_VDI_SI=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VSI_BP*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01))))))+xn_s_VDI_SI*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01))))+0.0*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01))+0.5*(+(+xn_s_VSI_BP_VDI_SI-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VSI_BP*(xn_s_VDI_SI*3.3333333333333333e-01)+xn_s_VDI_SI*xn_s_VSI_BP*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+xn_s_VSI_BP*0.0+xn_s_VDI_SI*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))*(((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  delta_ns_VSI_BP_VGP_SI=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VSI_BP*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01))))))+xn_s_VGP_SI*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01))))+0.0*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01))+0.5*(+(+xn_s_VSI_BP_VGP_SI-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VSI_BP*(xn_s_VGP_SI*3.3333333333333333e-01)+xn_s_VGP_SI*xn_s_VSI_BP*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+xn_s_VSI_BP*0.0+xn_s_VGP_SI*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))*(((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  delta_ns_VSI_BP_VSI_BP=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VSI_BP*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01))))))+xn_s_VSI_BP*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01))))+0.0*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01))+0.5*(+(+xn_s_VSI_BP_VSI_BP-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VSI_BP*(xn_s_VSI_BP*3.3333333333333333e-01)+xn_s_VSI_BP*xn_s_VSI_BP*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+xn_s_VSI_BP*0.0+xn_s_VSI_BP*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))*(((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#endif
#endif
delta_ns=(1.0e-200/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-200/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
margin_VDI_SI=(1.0e-5*xi_VDI_SI);
margin_VGP_SI=(1.0e-5*xi_VGP_SI);
margin_VSI_BP=(1.0e-5*xi_VSI_BP);
#endif
margin=(1.0e-5*xi);
EXIT_IF_ISNAN((1.0e-5*xi))
{
double m00_fabs(d00_fabs0,xg)
if
((d00_fabs0<=margin))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp1_VDI_SI=((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  SP_S_temp1_VDI_SI_VDI_SI=(+(+(+inv_xi_VDI_SI_VDI_SI*inv_xi+inv_xi_VDI_SI*inv_xi_VDI_SI+inv_xi_VDI_SI*inv_xi_VDI_SI+inv_xi*inv_xi_VDI_SI_VDI_SI)*1.6666666666666667e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*0.0+(((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VDI_SI_VGP_SI=(+(+(+inv_xi_VDI_SI_VGP_SI*inv_xi+inv_xi_VDI_SI*inv_xi_VGP_SI+inv_xi_VGP_SI*inv_xi_VDI_SI+inv_xi*inv_xi_VDI_SI_VGP_SI)*1.6666666666666667e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*0.0+(((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VDI_SI_VSI_BP=(+(+(+inv_xi_VDI_SI_VSI_BP*inv_xi+inv_xi_VDI_SI*inv_xi_VSI_BP+inv_xi_VSI_BP*inv_xi_VDI_SI+inv_xi*inv_xi_VDI_SI_VSI_BP)*1.6666666666666667e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*0.0+(((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
#endif
SP_S_temp1_VGP_SI=((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  SP_S_temp1_VGP_SI_VDI_SI=(+(+(+inv_xi_VGP_SI_VDI_SI*inv_xi+inv_xi_VGP_SI*inv_xi_VDI_SI+inv_xi_VDI_SI*inv_xi_VGP_SI+inv_xi*inv_xi_VGP_SI_VDI_SI)*1.6666666666666667e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*0.0+(((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VGP_SI_VGP_SI=(+(+(+inv_xi_VGP_SI_VGP_SI*inv_xi+inv_xi_VGP_SI*inv_xi_VGP_SI+inv_xi_VGP_SI*inv_xi_VGP_SI+inv_xi*inv_xi_VGP_SI_VGP_SI)*1.6666666666666667e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*0.0+(((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VGP_SI_VSI_BP=(+(+(+inv_xi_VGP_SI_VSI_BP*inv_xi+inv_xi_VGP_SI*inv_xi_VSI_BP+inv_xi_VSI_BP*inv_xi_VGP_SI+inv_xi*inv_xi_VGP_SI_VSI_BP)*1.6666666666666667e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*0.0+(((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
#endif
SP_S_temp1_VSI_BP=((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  SP_S_temp1_VSI_BP_VDI_SI=(+(+(+inv_xi_VSI_BP_VDI_SI*inv_xi+inv_xi_VSI_BP*inv_xi_VDI_SI+inv_xi_VDI_SI*inv_xi_VSI_BP+inv_xi*inv_xi_VSI_BP_VDI_SI)*1.6666666666666667e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*0.0+(((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*0.0+((((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VSI_BP_VGP_SI=(+(+(+inv_xi_VSI_BP_VGP_SI*inv_xi+inv_xi_VSI_BP*inv_xi_VGP_SI+inv_xi_VGP_SI*inv_xi_VSI_BP+inv_xi*inv_xi_VSI_BP_VGP_SI)*1.6666666666666667e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*0.0+(((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*0.0+((((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VSI_BP_VSI_BP=(+(+(+inv_xi_VSI_BP_VSI_BP*inv_xi+inv_xi_VSI_BP*inv_xi_VSI_BP+inv_xi_VSI_BP*inv_xi_VSI_BP+inv_xi*inv_xi_VSI_BP_VSI_BP)*1.6666666666666667e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*0.0+(((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*0.0+((((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
#endif
#endif
SP_S_temp1=(((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
EXIT_IF_ISNAN((((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_s_VDI_SI=((((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)))+((xg*inv_xi)*((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI))));
#if defined(_DERIVATE2)
  x_s_VDI_SI_VDI_SI=(+(+xg_VDI_SI_VDI_SI*inv_xi+xg_VDI_SI*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VDI_SI)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VDI_SI_VDI_SI*(1.0-delta_ns)+xg_VDI_SI*(-delta_ns_VDI_SI)+xg_VDI_SI*(-delta_ns_VDI_SI)+xg*(+0.0-delta_ns_VDI_SI_VDI_SI))*Gf+((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf_VDI_SI+(((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf_VDI_SI+(xg*(1.0-delta_ns))*Gf_VDI_SI_VDI_SI)*SP_S_temp1+((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1_VDI_SI+((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI)))*SP_S_temp1_VDI_SI+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI_VDI_SI)));
  x_s_VDI_SI_VGP_SI=(+(+xg_VDI_SI_VGP_SI*inv_xi+xg_VDI_SI*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VGP_SI)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VDI_SI_VGP_SI*(1.0-delta_ns)+xg_VDI_SI*(-delta_ns_VGP_SI)+xg_VGP_SI*(-delta_ns_VDI_SI)+xg*(+0.0-delta_ns_VDI_SI_VGP_SI))*Gf+((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf_VGP_SI+(((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf_VDI_SI+(xg*(1.0-delta_ns))*Gf_VDI_SI_VGP_SI)*SP_S_temp1+((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1_VGP_SI+((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI)))*SP_S_temp1_VDI_SI+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI_VGP_SI)));
  x_s_VDI_SI_VSI_BP=(+(+xg_VDI_SI_VSI_BP*inv_xi+xg_VDI_SI*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VSI_BP)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VDI_SI_VSI_BP*(1.0-delta_ns)+xg_VDI_SI*(-delta_ns_VSI_BP)+xg_VSI_BP*(-delta_ns_VDI_SI)+xg*(+0.0-delta_ns_VDI_SI_VSI_BP))*Gf+((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf_VSI_BP+(((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf_VDI_SI+(xg*(1.0-delta_ns))*Gf_VDI_SI_VSI_BP)*SP_S_temp1+((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1_VSI_BP+((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP)))*SP_S_temp1_VDI_SI+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI_VSI_BP)));
#endif
x_s_VGP_SI=((((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)))+((xg*inv_xi)*((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI))));
#if defined(_DERIVATE2)
  x_s_VGP_SI_VDI_SI=(+(+xg_VGP_SI_VDI_SI*inv_xi+xg_VGP_SI*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VDI_SI)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VGP_SI_VDI_SI*(1.0-delta_ns)+xg_VGP_SI*(-delta_ns_VDI_SI)+xg_VDI_SI*(-delta_ns_VGP_SI)+xg*(+0.0-delta_ns_VGP_SI_VDI_SI))*Gf+((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf_VDI_SI+(((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf_VGP_SI+(xg*(1.0-delta_ns))*Gf_VGP_SI_VDI_SI)*SP_S_temp1+((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1_VDI_SI+((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI)))*SP_S_temp1_VGP_SI+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI_VDI_SI)));
  x_s_VGP_SI_VGP_SI=(+(+xg_VGP_SI_VGP_SI*inv_xi+xg_VGP_SI*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VGP_SI)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VGP_SI_VGP_SI*(1.0-delta_ns)+xg_VGP_SI*(-delta_ns_VGP_SI)+xg_VGP_SI*(-delta_ns_VGP_SI)+xg*(+0.0-delta_ns_VGP_SI_VGP_SI))*Gf+((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf_VGP_SI+(((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf_VGP_SI+(xg*(1.0-delta_ns))*Gf_VGP_SI_VGP_SI)*SP_S_temp1+((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1_VGP_SI+((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI)))*SP_S_temp1_VGP_SI+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI_VGP_SI)));
  x_s_VGP_SI_VSI_BP=(+(+xg_VGP_SI_VSI_BP*inv_xi+xg_VGP_SI*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VSI_BP)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VGP_SI_VSI_BP*(1.0-delta_ns)+xg_VGP_SI*(-delta_ns_VSI_BP)+xg_VSI_BP*(-delta_ns_VGP_SI)+xg*(+0.0-delta_ns_VGP_SI_VSI_BP))*Gf+((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf_VSI_BP+(((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf_VGP_SI+(xg*(1.0-delta_ns))*Gf_VGP_SI_VSI_BP)*SP_S_temp1+((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1_VSI_BP+((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP)))*SP_S_temp1_VGP_SI+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI_VSI_BP)));
#endif
x_s_VSI_BP=((((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)))+((xg*inv_xi)*((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP))));
#if defined(_DERIVATE2)
  x_s_VSI_BP_VDI_SI=(+(+xg_VSI_BP_VDI_SI*inv_xi+xg_VSI_BP*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VDI_SI)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP))+(xg*inv_xi)*(+0.0+(+(+(+xg_VSI_BP_VDI_SI*(1.0-delta_ns)+xg_VSI_BP*(-delta_ns_VDI_SI)+xg_VDI_SI*(-delta_ns_VSI_BP)+xg*(+0.0-delta_ns_VSI_BP_VDI_SI))*Gf+((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf_VDI_SI+(((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf_VSI_BP+(xg*(1.0-delta_ns))*Gf_VSI_BP_VDI_SI)*SP_S_temp1+((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1_VDI_SI+((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI)))*SP_S_temp1_VSI_BP+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP_VDI_SI)));
  x_s_VSI_BP_VGP_SI=(+(+xg_VSI_BP_VGP_SI*inv_xi+xg_VSI_BP*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VGP_SI)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP))+(xg*inv_xi)*(+0.0+(+(+(+xg_VSI_BP_VGP_SI*(1.0-delta_ns)+xg_VSI_BP*(-delta_ns_VGP_SI)+xg_VGP_SI*(-delta_ns_VSI_BP)+xg*(+0.0-delta_ns_VSI_BP_VGP_SI))*Gf+((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf_VGP_SI+(((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf_VSI_BP+(xg*(1.0-delta_ns))*Gf_VSI_BP_VGP_SI)*SP_S_temp1+((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1_VGP_SI+((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI)))*SP_S_temp1_VSI_BP+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP_VGP_SI)));
  x_s_VSI_BP_VSI_BP=(+(+xg_VSI_BP_VSI_BP*inv_xi+xg_VSI_BP*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VSI_BP)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP))+(xg*inv_xi)*(+0.0+(+(+(+xg_VSI_BP_VSI_BP*(1.0-delta_ns)+xg_VSI_BP*(-delta_ns_VSI_BP)+xg_VSI_BP*(-delta_ns_VSI_BP)+xg*(+0.0-delta_ns_VSI_BP_VSI_BP))*Gf+((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf_VSI_BP+(((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf_VSI_BP+(xg*(1.0-delta_ns))*Gf_VSI_BP_VSI_BP)*SP_S_temp1+((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1_VSI_BP+((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP)))*SP_S_temp1_VSI_BP+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP_VSI_BP)));
#endif
#endif
x_s=((xg*inv_xi)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)));
EXIT_IF_ISNAN(((xg*inv_xi)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))))
}
else
{
if
((xg<(-margin)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_yg_VDI_SI=(-xg_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_yg_VDI_SI_VDI_SI=0.0;
  SP_S_yg_VDI_SI_VGP_SI=0.0;
  SP_S_yg_VDI_SI_VSI_BP=0.0;
#endif
SP_S_yg_VGP_SI=(-xg_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_yg_VGP_SI_VDI_SI=0.0;
  SP_S_yg_VGP_SI_VGP_SI=0.0;
  SP_S_yg_VGP_SI_VSI_BP=0.0;
#endif
SP_S_yg_VSI_BP=(-xg_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_yg_VSI_BP_VDI_SI=0.0;
  SP_S_yg_VSI_BP_VGP_SI=0.0;
  SP_S_yg_VSI_BP_VSI_BP=0.0;
#endif
#endif
SP_S_yg=(-xg);
EXIT_IF_ISNAN((-xg))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_ysub_VDI_SI=(1.25*((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_ysub_VDI_SI_VDI_SI=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI)))+0.0*((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI))+1.25*(+SP_S_yg_VDI_SI_VDI_SI*inv_xi+SP_S_yg_VDI_SI*inv_xi_VDI_SI+SP_S_yg_VDI_SI*inv_xi_VDI_SI+SP_S_yg*inv_xi_VDI_SI_VDI_SI));
  SP_S_ysub_VDI_SI_VGP_SI=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI)))+0.0*((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI))+1.25*(+SP_S_yg_VDI_SI_VGP_SI*inv_xi+SP_S_yg_VDI_SI*inv_xi_VGP_SI+SP_S_yg_VGP_SI*inv_xi_VDI_SI+SP_S_yg*inv_xi_VDI_SI_VGP_SI));
  SP_S_ysub_VDI_SI_VSI_BP=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP)))+0.0*((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI))+1.25*(+SP_S_yg_VDI_SI_VSI_BP*inv_xi+SP_S_yg_VDI_SI*inv_xi_VSI_BP+SP_S_yg_VSI_BP*inv_xi_VDI_SI+SP_S_yg*inv_xi_VDI_SI_VSI_BP));
#endif
SP_S_ysub_VGP_SI=(1.25*((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_ysub_VGP_SI_VDI_SI=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI)))+0.0*((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI))+1.25*(+SP_S_yg_VGP_SI_VDI_SI*inv_xi+SP_S_yg_VGP_SI*inv_xi_VDI_SI+SP_S_yg_VDI_SI*inv_xi_VGP_SI+SP_S_yg*inv_xi_VGP_SI_VDI_SI));
  SP_S_ysub_VGP_SI_VGP_SI=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI)))+0.0*((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI))+1.25*(+SP_S_yg_VGP_SI_VGP_SI*inv_xi+SP_S_yg_VGP_SI*inv_xi_VGP_SI+SP_S_yg_VGP_SI*inv_xi_VGP_SI+SP_S_yg*inv_xi_VGP_SI_VGP_SI));
  SP_S_ysub_VGP_SI_VSI_BP=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP)))+0.0*((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI))+1.25*(+SP_S_yg_VGP_SI_VSI_BP*inv_xi+SP_S_yg_VGP_SI*inv_xi_VSI_BP+SP_S_yg_VSI_BP*inv_xi_VGP_SI+SP_S_yg*inv_xi_VGP_SI_VSI_BP));
#endif
SP_S_ysub_VSI_BP=(1.25*((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_ysub_VSI_BP_VDI_SI=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI)))+0.0*((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP))+1.25*(+SP_S_yg_VSI_BP_VDI_SI*inv_xi+SP_S_yg_VSI_BP*inv_xi_VDI_SI+SP_S_yg_VDI_SI*inv_xi_VSI_BP+SP_S_yg*inv_xi_VSI_BP_VDI_SI));
  SP_S_ysub_VSI_BP_VGP_SI=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI)))+0.0*((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP))+1.25*(+SP_S_yg_VSI_BP_VGP_SI*inv_xi+SP_S_yg_VSI_BP*inv_xi_VGP_SI+SP_S_yg_VGP_SI*inv_xi_VSI_BP+SP_S_yg*inv_xi_VSI_BP_VGP_SI));
  SP_S_ysub_VSI_BP_VSI_BP=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP)))+0.0*((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP))+1.25*(+SP_S_yg_VSI_BP_VSI_BP*inv_xi+SP_S_yg_VSI_BP*inv_xi_VSI_BP+SP_S_yg_VSI_BP*inv_xi_VSI_BP+SP_S_yg*inv_xi_VSI_BP_VSI_BP));
#endif
#endif
SP_S_ysub=(1.25*(SP_S_yg*inv_xi));
EXIT_IF_ISNAN((1.25*(SP_S_yg*inv_xi)))
{
double m00_sqrt(d00_sqrt0,(((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_eta_VDI_SI=(0.5*(SP_S_ysub_VDI_SI-((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  SP_S_eta_VDI_SI_VDI_SI=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VDI_SI-(((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI)))*d10_sqrt0)+0.0*(SP_S_ysub_VDI_SI-((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VDI_SI_VDI_SI+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI)))*((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))+d10_sqrt0*(+(+(+SP_S_ysub_VDI_SI_VDI_SI-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VDI_SI*SP_S_ysub_VDI_SI+SP_S_ysub_VDI_SI*SP_S_ysub_VDI_SI+(SP_S_ysub-6.0)*(+SP_S_ysub_VDI_SI_VDI_SI-0.0))+0.0))));
  SP_S_eta_VDI_SI_VGP_SI=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VGP_SI-(((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI)))*d10_sqrt0)+0.0*(SP_S_ysub_VDI_SI-((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VDI_SI_VGP_SI+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI)))*((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))+d10_sqrt0*(+(+(+SP_S_ysub_VDI_SI_VGP_SI-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VDI_SI*SP_S_ysub_VGP_SI+SP_S_ysub_VGP_SI*SP_S_ysub_VDI_SI+(SP_S_ysub-6.0)*(+SP_S_ysub_VDI_SI_VGP_SI-0.0))+0.0))));
  SP_S_eta_VDI_SI_VSI_BP=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VSI_BP-(((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP)))*d10_sqrt0)+0.0*(SP_S_ysub_VDI_SI-((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VDI_SI_VSI_BP+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP)))*((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))+d10_sqrt0*(+(+(+SP_S_ysub_VDI_SI_VSI_BP-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VDI_SI*SP_S_ysub_VSI_BP+SP_S_ysub_VSI_BP*SP_S_ysub_VDI_SI+(SP_S_ysub-6.0)*(+SP_S_ysub_VDI_SI_VSI_BP-0.0))+0.0))));
#endif
SP_S_eta_VGP_SI=(0.5*(SP_S_ysub_VGP_SI-((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  SP_S_eta_VGP_SI_VDI_SI=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VDI_SI-(((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI)))*d10_sqrt0)+0.0*(SP_S_ysub_VGP_SI-((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VGP_SI_VDI_SI+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI)))*((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))+d10_sqrt0*(+(+(+SP_S_ysub_VGP_SI_VDI_SI-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VGP_SI*SP_S_ysub_VDI_SI+SP_S_ysub_VDI_SI*SP_S_ysub_VGP_SI+(SP_S_ysub-6.0)*(+SP_S_ysub_VGP_SI_VDI_SI-0.0))+0.0))));
  SP_S_eta_VGP_SI_VGP_SI=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VGP_SI-(((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI)))*d10_sqrt0)+0.0*(SP_S_ysub_VGP_SI-((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VGP_SI_VGP_SI+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI)))*((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))+d10_sqrt0*(+(+(+SP_S_ysub_VGP_SI_VGP_SI-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VGP_SI*SP_S_ysub_VGP_SI+SP_S_ysub_VGP_SI*SP_S_ysub_VGP_SI+(SP_S_ysub-6.0)*(+SP_S_ysub_VGP_SI_VGP_SI-0.0))+0.0))));
  SP_S_eta_VGP_SI_VSI_BP=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VSI_BP-(((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP)))*d10_sqrt0)+0.0*(SP_S_ysub_VGP_SI-((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VGP_SI_VSI_BP+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP)))*((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))+d10_sqrt0*(+(+(+SP_S_ysub_VGP_SI_VSI_BP-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VGP_SI*SP_S_ysub_VSI_BP+SP_S_ysub_VSI_BP*SP_S_ysub_VGP_SI+(SP_S_ysub-6.0)*(+SP_S_ysub_VGP_SI_VSI_BP-0.0))+0.0))));
#endif
SP_S_eta_VSI_BP=(0.5*(SP_S_ysub_VSI_BP-((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))*d10_sqrt0));
#if defined(_DERIVATE2)
  SP_S_eta_VSI_BP_VDI_SI=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VDI_SI-(((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI)))*d10_sqrt0)+0.0*(SP_S_ysub_VSI_BP-((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VSI_BP_VDI_SI+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI)))*((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))+d10_sqrt0*(+(+(+SP_S_ysub_VSI_BP_VDI_SI-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VSI_BP*SP_S_ysub_VDI_SI+SP_S_ysub_VDI_SI*SP_S_ysub_VSI_BP+(SP_S_ysub-6.0)*(+SP_S_ysub_VSI_BP_VDI_SI-0.0))+0.0))));
  SP_S_eta_VSI_BP_VGP_SI=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VGP_SI-(((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI)))*d10_sqrt0)+0.0*(SP_S_ysub_VSI_BP-((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VSI_BP_VGP_SI+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI)))*((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))+d10_sqrt0*(+(+(+SP_S_ysub_VSI_BP_VGP_SI-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VSI_BP*SP_S_ysub_VGP_SI+SP_S_ysub_VGP_SI*SP_S_ysub_VSI_BP+(SP_S_ysub-6.0)*(+SP_S_ysub_VSI_BP_VGP_SI-0.0))+0.0))));
  SP_S_eta_VSI_BP_VSI_BP=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VSI_BP-(((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP)))*d10_sqrt0)+0.0*(SP_S_ysub_VSI_BP-((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VSI_BP_VSI_BP+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP)))*((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))+d10_sqrt0*(+(+(+SP_S_ysub_VSI_BP_VSI_BP-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VSI_BP*SP_S_ysub_VSI_BP+SP_S_ysub_VSI_BP*SP_S_ysub_VSI_BP+(SP_S_ysub-6.0)*(+SP_S_ysub_VSI_BP_VSI_BP-0.0))+0.0))));
#endif
#endif
SP_S_eta=(0.5*((SP_S_ysub+10)-d00_sqrt0));
EXIT_IF_ISNAN((0.5*((SP_S_ysub+10)-d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(SP_S_yg_VDI_SI-SP_S_eta_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+SP_S_yg_VDI_SI_VDI_SI-SP_S_eta_VDI_SI_VDI_SI);
  SP_S_temp_VDI_SI_VGP_SI=(+SP_S_yg_VDI_SI_VGP_SI-SP_S_eta_VDI_SI_VGP_SI);
  SP_S_temp_VDI_SI_VSI_BP=(+SP_S_yg_VDI_SI_VSI_BP-SP_S_eta_VDI_SI_VSI_BP);
#endif
SP_S_temp_VGP_SI=(SP_S_yg_VGP_SI-SP_S_eta_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+SP_S_yg_VGP_SI_VDI_SI-SP_S_eta_VGP_SI_VDI_SI);
  SP_S_temp_VGP_SI_VGP_SI=(+SP_S_yg_VGP_SI_VGP_SI-SP_S_eta_VGP_SI_VGP_SI);
  SP_S_temp_VGP_SI_VSI_BP=(+SP_S_yg_VGP_SI_VSI_BP-SP_S_eta_VGP_SI_VSI_BP);
#endif
SP_S_temp_VSI_BP=(SP_S_yg_VSI_BP-SP_S_eta_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+SP_S_yg_VSI_BP_VDI_SI-SP_S_eta_VSI_BP_VDI_SI);
  SP_S_temp_VSI_BP_VGP_SI=(+SP_S_yg_VSI_BP_VGP_SI-SP_S_eta_VSI_BP_VGP_SI);
  SP_S_temp_VSI_BP_VSI_BP=(+SP_S_yg_VSI_BP_VSI_BP-SP_S_eta_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp=(SP_S_yg-SP_S_eta);
EXIT_IF_ISNAN((SP_S_yg-SP_S_eta))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_a_VDI_SI=(((SP_S_temp_VDI_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VDI_SI))+((Gf2_VDI_SI*(SP_S_eta+1.0))+(Gf2*SP_S_eta_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_a_VDI_SI_VDI_SI=(+(+SP_S_temp_VDI_SI_VDI_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VDI_SI)+(+Gf2_VDI_SI_VDI_SI*(SP_S_eta+1.0)+Gf2_VDI_SI*SP_S_eta_VDI_SI+Gf2_VDI_SI*SP_S_eta_VDI_SI+Gf2*(+SP_S_eta_VDI_SI_VDI_SI+0.0)));
  SP_S_a_VDI_SI_VGP_SI=(+(+SP_S_temp_VDI_SI_VGP_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VGP_SI)+(+Gf2_VDI_SI_VGP_SI*(SP_S_eta+1.0)+Gf2_VDI_SI*SP_S_eta_VGP_SI+Gf2_VGP_SI*SP_S_eta_VDI_SI+Gf2*(+SP_S_eta_VDI_SI_VGP_SI+0.0)));
  SP_S_a_VDI_SI_VSI_BP=(+(+SP_S_temp_VDI_SI_VSI_BP*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VSI_BP)+(+Gf2_VDI_SI_VSI_BP*(SP_S_eta+1.0)+Gf2_VDI_SI*SP_S_eta_VSI_BP+Gf2_VSI_BP*SP_S_eta_VDI_SI+Gf2*(+SP_S_eta_VDI_SI_VSI_BP+0.0)));
#endif
SP_S_a_VGP_SI=(((SP_S_temp_VGP_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VGP_SI))+((Gf2_VGP_SI*(SP_S_eta+1.0))+(Gf2*SP_S_eta_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_a_VGP_SI_VDI_SI=(+(+SP_S_temp_VGP_SI_VDI_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VDI_SI)+(+Gf2_VGP_SI_VDI_SI*(SP_S_eta+1.0)+Gf2_VGP_SI*SP_S_eta_VDI_SI+Gf2_VDI_SI*SP_S_eta_VGP_SI+Gf2*(+SP_S_eta_VGP_SI_VDI_SI+0.0)));
  SP_S_a_VGP_SI_VGP_SI=(+(+SP_S_temp_VGP_SI_VGP_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VGP_SI)+(+Gf2_VGP_SI_VGP_SI*(SP_S_eta+1.0)+Gf2_VGP_SI*SP_S_eta_VGP_SI+Gf2_VGP_SI*SP_S_eta_VGP_SI+Gf2*(+SP_S_eta_VGP_SI_VGP_SI+0.0)));
  SP_S_a_VGP_SI_VSI_BP=(+(+SP_S_temp_VGP_SI_VSI_BP*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VSI_BP)+(+Gf2_VGP_SI_VSI_BP*(SP_S_eta+1.0)+Gf2_VGP_SI*SP_S_eta_VSI_BP+Gf2_VSI_BP*SP_S_eta_VGP_SI+Gf2*(+SP_S_eta_VGP_SI_VSI_BP+0.0)));
#endif
SP_S_a_VSI_BP=(((SP_S_temp_VSI_BP*SP_S_temp)+(SP_S_temp*SP_S_temp_VSI_BP))+((Gf2_VSI_BP*(SP_S_eta+1.0))+(Gf2*SP_S_eta_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_a_VSI_BP_VDI_SI=(+(+SP_S_temp_VSI_BP_VDI_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VDI_SI)+(+Gf2_VSI_BP_VDI_SI*(SP_S_eta+1.0)+Gf2_VSI_BP*SP_S_eta_VDI_SI+Gf2_VDI_SI*SP_S_eta_VSI_BP+Gf2*(+SP_S_eta_VSI_BP_VDI_SI+0.0)));
  SP_S_a_VSI_BP_VGP_SI=(+(+SP_S_temp_VSI_BP_VGP_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VGP_SI)+(+Gf2_VSI_BP_VGP_SI*(SP_S_eta+1.0)+Gf2_VSI_BP*SP_S_eta_VGP_SI+Gf2_VGP_SI*SP_S_eta_VSI_BP+Gf2*(+SP_S_eta_VSI_BP_VGP_SI+0.0)));
  SP_S_a_VSI_BP_VSI_BP=(+(+SP_S_temp_VSI_BP_VSI_BP*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VSI_BP)+(+Gf2_VSI_BP_VSI_BP*(SP_S_eta+1.0)+Gf2_VSI_BP*SP_S_eta_VSI_BP+Gf2_VSI_BP*SP_S_eta_VSI_BP+Gf2*(+SP_S_eta_VSI_BP_VSI_BP+0.0)));
#endif
#endif
SP_S_a=((SP_S_temp*SP_S_temp)+(Gf2*(SP_S_eta+1.0)));
EXIT_IF_ISNAN(((SP_S_temp*SP_S_temp)+(Gf2*(SP_S_eta+1.0))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_c_VDI_SI=((2.0*SP_S_temp_VDI_SI)-Gf2_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_c_VDI_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VDI_SI)-Gf2_VDI_SI_VDI_SI);
  SP_S_c_VDI_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VGP_SI)-Gf2_VDI_SI_VGP_SI);
  SP_S_c_VDI_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VSI_BP)-Gf2_VDI_SI_VSI_BP);
#endif
SP_S_c_VGP_SI=((2.0*SP_S_temp_VGP_SI)-Gf2_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_c_VGP_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VDI_SI)-Gf2_VGP_SI_VDI_SI);
  SP_S_c_VGP_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VGP_SI)-Gf2_VGP_SI_VGP_SI);
  SP_S_c_VGP_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VSI_BP)-Gf2_VGP_SI_VSI_BP);
#endif
SP_S_c_VSI_BP=((2.0*SP_S_temp_VSI_BP)-Gf2_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_c_VSI_BP_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VDI_SI)-Gf2_VSI_BP_VDI_SI);
  SP_S_c_VSI_BP_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VGP_SI)-Gf2_VSI_BP_VGP_SI);
  SP_S_c_VSI_BP_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VSI_BP)-Gf2_VSI_BP_VSI_BP);
#endif
#endif
SP_S_c=((2.0*SP_S_temp)-Gf2);
EXIT_IF_ISNAN(((2.0*SP_S_temp)-Gf2))
{
double m00_logE(d00_logE0,(SP_S_a*inv_Gf2))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(SP_S_a*inv_Gf2))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_tau_VDI_SI=((-SP_S_eta_VDI_SI)+((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI))*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VDI_SI_VDI_SI=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI)))*((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI))+d10_logE0*(+SP_S_a_VDI_SI_VDI_SI*inv_Gf2+SP_S_a_VDI_SI*inv_Gf2_VDI_SI+SP_S_a_VDI_SI*inv_Gf2_VDI_SI+SP_S_a*inv_Gf2_VDI_SI_VDI_SI)));
  SP_S_tau_VDI_SI_VGP_SI=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI)))*((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI))+d10_logE0*(+SP_S_a_VDI_SI_VGP_SI*inv_Gf2+SP_S_a_VDI_SI*inv_Gf2_VGP_SI+SP_S_a_VGP_SI*inv_Gf2_VDI_SI+SP_S_a*inv_Gf2_VDI_SI_VGP_SI)));
  SP_S_tau_VDI_SI_VSI_BP=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP)))*((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI))+d10_logE0*(+SP_S_a_VDI_SI_VSI_BP*inv_Gf2+SP_S_a_VDI_SI*inv_Gf2_VSI_BP+SP_S_a_VSI_BP*inv_Gf2_VDI_SI+SP_S_a*inv_Gf2_VDI_SI_VSI_BP)));
#endif
SP_S_tau_VGP_SI=((-SP_S_eta_VGP_SI)+((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI))*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VGP_SI_VDI_SI=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI)))*((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI))+d10_logE0*(+SP_S_a_VGP_SI_VDI_SI*inv_Gf2+SP_S_a_VGP_SI*inv_Gf2_VDI_SI+SP_S_a_VDI_SI*inv_Gf2_VGP_SI+SP_S_a*inv_Gf2_VGP_SI_VDI_SI)));
  SP_S_tau_VGP_SI_VGP_SI=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI)))*((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI))+d10_logE0*(+SP_S_a_VGP_SI_VGP_SI*inv_Gf2+SP_S_a_VGP_SI*inv_Gf2_VGP_SI+SP_S_a_VGP_SI*inv_Gf2_VGP_SI+SP_S_a*inv_Gf2_VGP_SI_VGP_SI)));
  SP_S_tau_VGP_SI_VSI_BP=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP)))*((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI))+d10_logE0*(+SP_S_a_VGP_SI_VSI_BP*inv_Gf2+SP_S_a_VGP_SI*inv_Gf2_VSI_BP+SP_S_a_VSI_BP*inv_Gf2_VGP_SI+SP_S_a*inv_Gf2_VGP_SI_VSI_BP)));
#endif
SP_S_tau_VSI_BP=((-SP_S_eta_VSI_BP)+((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP))*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VSI_BP_VDI_SI=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI)))*((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP))+d10_logE0*(+SP_S_a_VSI_BP_VDI_SI*inv_Gf2+SP_S_a_VSI_BP*inv_Gf2_VDI_SI+SP_S_a_VDI_SI*inv_Gf2_VSI_BP+SP_S_a*inv_Gf2_VSI_BP_VDI_SI)));
  SP_S_tau_VSI_BP_VGP_SI=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI)))*((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP))+d10_logE0*(+SP_S_a_VSI_BP_VGP_SI*inv_Gf2+SP_S_a_VSI_BP*inv_Gf2_VGP_SI+SP_S_a_VGP_SI*inv_Gf2_VSI_BP+SP_S_a*inv_Gf2_VSI_BP_VGP_SI)));
  SP_S_tau_VSI_BP_VSI_BP=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP)))*((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP))+d10_logE0*(+SP_S_a_VSI_BP_VSI_BP*inv_Gf2+SP_S_a_VSI_BP*inv_Gf2_VSI_BP+SP_S_a_VSI_BP*inv_Gf2_VSI_BP+SP_S_a*inv_Gf2_VSI_BP_VSI_BP)));
#endif
#endif
SP_S_tau=((-SP_S_eta)+d00_logE0);
EXIT_IF_ISNAN(((-SP_S_eta)+d00_logE0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
nu_VDI_SI=(SP_S_a_VDI_SI+SP_S_c_VDI_SI);
#if defined(_DERIVATE2)
  nu_VDI_SI_VDI_SI=(+SP_S_a_VDI_SI_VDI_SI+SP_S_c_VDI_SI_VDI_SI);
  nu_VDI_SI_VGP_SI=(+SP_S_a_VDI_SI_VGP_SI+SP_S_c_VDI_SI_VGP_SI);
  nu_VDI_SI_VSI_BP=(+SP_S_a_VDI_SI_VSI_BP+SP_S_c_VDI_SI_VSI_BP);
#endif
nu_VGP_SI=(SP_S_a_VGP_SI+SP_S_c_VGP_SI);
#if defined(_DERIVATE2)
  nu_VGP_SI_VDI_SI=(+SP_S_a_VGP_SI_VDI_SI+SP_S_c_VGP_SI_VDI_SI);
  nu_VGP_SI_VGP_SI=(+SP_S_a_VGP_SI_VGP_SI+SP_S_c_VGP_SI_VGP_SI);
  nu_VGP_SI_VSI_BP=(+SP_S_a_VGP_SI_VSI_BP+SP_S_c_VGP_SI_VSI_BP);
#endif
nu_VSI_BP=(SP_S_a_VSI_BP+SP_S_c_VSI_BP);
#if defined(_DERIVATE2)
  nu_VSI_BP_VDI_SI=(+SP_S_a_VSI_BP_VDI_SI+SP_S_c_VSI_BP_VDI_SI);
  nu_VSI_BP_VGP_SI=(+SP_S_a_VSI_BP_VGP_SI+SP_S_c_VSI_BP_VGP_SI);
  nu_VSI_BP_VSI_BP=(+SP_S_a_VSI_BP_VSI_BP+SP_S_c_VSI_BP_VSI_BP);
#endif
#endif
nu=(SP_S_a+SP_S_c);
EXIT_IF_ISNAN((SP_S_a+SP_S_c))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
mutau_VDI_SI=(((nu_VDI_SI*nu)+(nu*nu_VDI_SI))+((SP_S_tau_VDI_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a))+(SP_S_tau*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-SP_S_a_VDI_SI))));
#if defined(_DERIVATE2)
  mutau_VDI_SI_VDI_SI=(+(+nu_VDI_SI_VDI_SI*nu+nu_VDI_SI*nu_VDI_SI+nu_VDI_SI*nu_VDI_SI+nu*nu_VDI_SI_VDI_SI)+(+SP_S_tau_VDI_SI_VDI_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-SP_S_a_VDI_SI)+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-SP_S_a_VDI_SI)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VDI_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VDI_SI))-SP_S_a_VDI_SI_VDI_SI)));
  mutau_VDI_SI_VGP_SI=(+(+nu_VDI_SI_VGP_SI*nu+nu_VDI_SI*nu_VGP_SI+nu_VGP_SI*nu_VDI_SI+nu*nu_VDI_SI_VGP_SI)+(+SP_S_tau_VDI_SI_VGP_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-SP_S_a_VGP_SI)+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-SP_S_a_VDI_SI)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VGP_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VGP_SI))-SP_S_a_VDI_SI_VGP_SI)));
  mutau_VDI_SI_VSI_BP=(+(+nu_VDI_SI_VSI_BP*nu+nu_VDI_SI*nu_VSI_BP+nu_VSI_BP*nu_VDI_SI+nu*nu_VDI_SI_VSI_BP)+(+SP_S_tau_VDI_SI_VSI_BP*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-SP_S_a_VSI_BP)+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-SP_S_a_VDI_SI)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VSI_BP*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VSI_BP))-SP_S_a_VDI_SI_VSI_BP)));
#endif
mutau_VGP_SI=(((nu_VGP_SI*nu)+(nu*nu_VGP_SI))+((SP_S_tau_VGP_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a))+(SP_S_tau*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-SP_S_a_VGP_SI))));
#if defined(_DERIVATE2)
  mutau_VGP_SI_VDI_SI=(+(+nu_VGP_SI_VDI_SI*nu+nu_VGP_SI*nu_VDI_SI+nu_VDI_SI*nu_VGP_SI+nu*nu_VGP_SI_VDI_SI)+(+SP_S_tau_VGP_SI_VDI_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-SP_S_a_VDI_SI)+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-SP_S_a_VGP_SI)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VDI_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VDI_SI))-SP_S_a_VGP_SI_VDI_SI)));
  mutau_VGP_SI_VGP_SI=(+(+nu_VGP_SI_VGP_SI*nu+nu_VGP_SI*nu_VGP_SI+nu_VGP_SI*nu_VGP_SI+nu*nu_VGP_SI_VGP_SI)+(+SP_S_tau_VGP_SI_VGP_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-SP_S_a_VGP_SI)+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-SP_S_a_VGP_SI)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VGP_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VGP_SI))-SP_S_a_VGP_SI_VGP_SI)));
  mutau_VGP_SI_VSI_BP=(+(+nu_VGP_SI_VSI_BP*nu+nu_VGP_SI*nu_VSI_BP+nu_VSI_BP*nu_VGP_SI+nu*nu_VGP_SI_VSI_BP)+(+SP_S_tau_VGP_SI_VSI_BP*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-SP_S_a_VSI_BP)+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-SP_S_a_VGP_SI)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VSI_BP*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VSI_BP))-SP_S_a_VGP_SI_VSI_BP)));
#endif
mutau_VSI_BP=(((nu_VSI_BP*nu)+(nu*nu_VSI_BP))+((SP_S_tau_VSI_BP*((0.5*(SP_S_c*SP_S_c))-SP_S_a))+(SP_S_tau*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-SP_S_a_VSI_BP))));
#if defined(_DERIVATE2)
  mutau_VSI_BP_VDI_SI=(+(+nu_VSI_BP_VDI_SI*nu+nu_VSI_BP*nu_VDI_SI+nu_VDI_SI*nu_VSI_BP+nu*nu_VSI_BP_VDI_SI)+(+SP_S_tau_VSI_BP_VDI_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-SP_S_a_VDI_SI)+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-SP_S_a_VSI_BP)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VDI_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VDI_SI))-SP_S_a_VSI_BP_VDI_SI)));
  mutau_VSI_BP_VGP_SI=(+(+nu_VSI_BP_VGP_SI*nu+nu_VSI_BP*nu_VGP_SI+nu_VGP_SI*nu_VSI_BP+nu*nu_VSI_BP_VGP_SI)+(+SP_S_tau_VSI_BP_VGP_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-SP_S_a_VGP_SI)+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-SP_S_a_VSI_BP)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VGP_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VGP_SI))-SP_S_a_VSI_BP_VGP_SI)));
  mutau_VSI_BP_VSI_BP=(+(+nu_VSI_BP_VSI_BP*nu+nu_VSI_BP*nu_VSI_BP+nu_VSI_BP*nu_VSI_BP+nu*nu_VSI_BP_VSI_BP)+(+SP_S_tau_VSI_BP_VSI_BP*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-SP_S_a_VSI_BP)+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-SP_S_a_VSI_BP)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VSI_BP*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VSI_BP))-SP_S_a_VSI_BP_VSI_BP)));
#endif
#endif
mutau=((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-SP_S_a)));
EXIT_IF_ISNAN(((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-SP_S_a))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_y0_VDI_SI=(SP_S_eta_VDI_SI+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
#if defined(_DERIVATE2)
  SP_S_y0_VDI_SI_VDI_SI=(+SP_S_eta_VDI_SI_VDI_SI+((+(+SP_S_a_VDI_SI_VDI_SI*nu+SP_S_a_VDI_SI*nu_VDI_SI+SP_S_a_VDI_SI*nu_VDI_SI+SP_S_a*nu_VDI_SI_VDI_SI)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VDI_SI+(+(+(+(+(nu_VDI_SI_VDI_SI/mutau-(nu_VDI_SI*mutau_VDI_SI+nu_VDI_SI*mutau_VDI_SI+nu*mutau_VDI_SI_VDI_SI)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VDI_SI)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VDI_SI)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VDI_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VDI_SI_VDI_SI))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
  SP_S_y0_VDI_SI_VGP_SI=(+SP_S_eta_VDI_SI_VGP_SI+((+(+SP_S_a_VDI_SI_VGP_SI*nu+SP_S_a_VDI_SI*nu_VGP_SI+SP_S_a_VGP_SI*nu_VDI_SI+SP_S_a*nu_VDI_SI_VGP_SI)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VGP_SI+(+(+(+(+(nu_VDI_SI_VGP_SI/mutau-(nu_VDI_SI*mutau_VGP_SI+nu_VGP_SI*mutau_VDI_SI+nu*mutau_VDI_SI_VGP_SI)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VGP_SI)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VGP_SI)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VGP_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VDI_SI_VGP_SI))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
  SP_S_y0_VDI_SI_VSI_BP=(+SP_S_eta_VDI_SI_VSI_BP+((+(+SP_S_a_VDI_SI_VSI_BP*nu+SP_S_a_VDI_SI*nu_VSI_BP+SP_S_a_VSI_BP*nu_VDI_SI+SP_S_a*nu_VDI_SI_VSI_BP)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VSI_BP+(+(+(+(+(nu_VDI_SI_VSI_BP/mutau-(nu_VDI_SI*mutau_VSI_BP+nu_VSI_BP*mutau_VDI_SI+nu*mutau_VDI_SI_VSI_BP)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VSI_BP)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VSI_BP)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VSI_BP*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VDI_SI_VSI_BP))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
#endif
SP_S_y0_VGP_SI=(SP_S_eta_VGP_SI+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
#if defined(_DERIVATE2)
  SP_S_y0_VGP_SI_VDI_SI=(+SP_S_eta_VGP_SI_VDI_SI+((+(+SP_S_a_VGP_SI_VDI_SI*nu+SP_S_a_VGP_SI*nu_VDI_SI+SP_S_a_VDI_SI*nu_VGP_SI+SP_S_a*nu_VGP_SI_VDI_SI)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VDI_SI+(+(+(+(+(nu_VGP_SI_VDI_SI/mutau-(nu_VGP_SI*mutau_VDI_SI+nu_VDI_SI*mutau_VGP_SI+nu*mutau_VGP_SI_VDI_SI)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VDI_SI)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VDI_SI)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VDI_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VGP_SI_VDI_SI))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
  SP_S_y0_VGP_SI_VGP_SI=(+SP_S_eta_VGP_SI_VGP_SI+((+(+SP_S_a_VGP_SI_VGP_SI*nu+SP_S_a_VGP_SI*nu_VGP_SI+SP_S_a_VGP_SI*nu_VGP_SI+SP_S_a*nu_VGP_SI_VGP_SI)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VGP_SI+(+(+(+(+(nu_VGP_SI_VGP_SI/mutau-(nu_VGP_SI*mutau_VGP_SI+nu_VGP_SI*mutau_VGP_SI+nu*mutau_VGP_SI_VGP_SI)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VGP_SI)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VGP_SI)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VGP_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VGP_SI_VGP_SI))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
  SP_S_y0_VGP_SI_VSI_BP=(+SP_S_eta_VGP_SI_VSI_BP+((+(+SP_S_a_VGP_SI_VSI_BP*nu+SP_S_a_VGP_SI*nu_VSI_BP+SP_S_a_VSI_BP*nu_VGP_SI+SP_S_a*nu_VGP_SI_VSI_BP)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VSI_BP+(+(+(+(+(nu_VGP_SI_VSI_BP/mutau-(nu_VGP_SI*mutau_VSI_BP+nu_VSI_BP*mutau_VGP_SI+nu*mutau_VGP_SI_VSI_BP)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VSI_BP)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VSI_BP)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VSI_BP*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VGP_SI_VSI_BP))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
#endif
SP_S_y0_VSI_BP=(SP_S_eta_VSI_BP+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
#if defined(_DERIVATE2)
  SP_S_y0_VSI_BP_VDI_SI=(+SP_S_eta_VSI_BP_VDI_SI+((+(+SP_S_a_VSI_BP_VDI_SI*nu+SP_S_a_VSI_BP*nu_VDI_SI+SP_S_a_VDI_SI*nu_VSI_BP+SP_S_a*nu_VSI_BP_VDI_SI)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VDI_SI+(+(+(+(+(nu_VSI_BP_VDI_SI/mutau-(nu_VSI_BP*mutau_VDI_SI+nu_VDI_SI*mutau_VSI_BP+nu*mutau_VSI_BP_VDI_SI)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VDI_SI)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VDI_SI)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VDI_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VSI_BP_VDI_SI))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
  SP_S_y0_VSI_BP_VGP_SI=(+SP_S_eta_VSI_BP_VGP_SI+((+(+SP_S_a_VSI_BP_VGP_SI*nu+SP_S_a_VSI_BP*nu_VGP_SI+SP_S_a_VGP_SI*nu_VSI_BP+SP_S_a*nu_VSI_BP_VGP_SI)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VGP_SI+(+(+(+(+(nu_VSI_BP_VGP_SI/mutau-(nu_VSI_BP*mutau_VGP_SI+nu_VGP_SI*mutau_VSI_BP+nu*mutau_VSI_BP_VGP_SI)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VGP_SI)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VGP_SI)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VGP_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VSI_BP_VGP_SI))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
  SP_S_y0_VSI_BP_VSI_BP=(+SP_S_eta_VSI_BP_VSI_BP+((+(+SP_S_a_VSI_BP_VSI_BP*nu+SP_S_a_VSI_BP*nu_VSI_BP+SP_S_a_VSI_BP*nu_VSI_BP+SP_S_a*nu_VSI_BP_VSI_BP)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VSI_BP+(+(+(+(+(nu_VSI_BP_VSI_BP/mutau-(nu_VSI_BP*mutau_VSI_BP+nu_VSI_BP*mutau_VSI_BP+nu*mutau_VSI_BP_VSI_BP)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VSI_BP)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VSI_BP)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VSI_BP*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VSI_BP_VSI_BP))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
#endif
#endif
SP_S_y0=(SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
EXIT_IF_ISNAN((SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))))))
if
((SP_S_y0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,SP_S_y0)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=SP_S_y0_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(m20_exp(SP_S_y0)*SP_S_y0_VDI_SI*SP_S_y0_VDI_SI+d10_exp0*SP_S_y0_VDI_SI_VDI_SI);
  SP_S_delta0_VDI_SI_VGP_SI=(m20_exp(SP_S_y0)*SP_S_y0_VGP_SI*SP_S_y0_VDI_SI+d10_exp0*SP_S_y0_VDI_SI_VGP_SI);
  SP_S_delta0_VDI_SI_VSI_BP=(m20_exp(SP_S_y0)*SP_S_y0_VSI_BP*SP_S_y0_VDI_SI+d10_exp0*SP_S_y0_VDI_SI_VSI_BP);
#endif
SP_S_delta0_VGP_SI=SP_S_y0_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(m20_exp(SP_S_y0)*SP_S_y0_VDI_SI*SP_S_y0_VGP_SI+d10_exp0*SP_S_y0_VGP_SI_VDI_SI);
  SP_S_delta0_VGP_SI_VGP_SI=(m20_exp(SP_S_y0)*SP_S_y0_VGP_SI*SP_S_y0_VGP_SI+d10_exp0*SP_S_y0_VGP_SI_VGP_SI);
  SP_S_delta0_VGP_SI_VSI_BP=(m20_exp(SP_S_y0)*SP_S_y0_VSI_BP*SP_S_y0_VGP_SI+d10_exp0*SP_S_y0_VGP_SI_VSI_BP);
#endif
SP_S_delta0_VSI_BP=SP_S_y0_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(m20_exp(SP_S_y0)*SP_S_y0_VDI_SI*SP_S_y0_VSI_BP+d10_exp0*SP_S_y0_VSI_BP_VDI_SI);
  SP_S_delta0_VSI_BP_VGP_SI=(m20_exp(SP_S_y0)*SP_S_y0_VGP_SI*SP_S_y0_VSI_BP+d10_exp0*SP_S_y0_VSI_BP_VGP_SI);
  SP_S_delta0_VSI_BP_VSI_BP=(m20_exp(SP_S_y0)*SP_S_y0_VSI_BP*SP_S_y0_VSI_BP+d10_exp0*SP_S_y0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_delta0=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=(1.0e100*((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VDI_SI*((0.5*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01))))))+SP_S_y0_VDI_SI*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VDI_SI_VDI_SI-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VDI_SI*(SP_S_y0_VDI_SI*3.3333333333333333e-01)+SP_S_y0_VDI_SI*SP_S_y0_VDI_SI*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_y0_VDI_SI*0.0+SP_S_y0_VDI_SI*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
  SP_S_delta0_VDI_SI_VGP_SI=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VDI_SI*((0.5*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01))))))+SP_S_y0_VGP_SI*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VDI_SI_VGP_SI-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VDI_SI*(SP_S_y0_VGP_SI*3.3333333333333333e-01)+SP_S_y0_VGP_SI*SP_S_y0_VDI_SI*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_y0_VDI_SI*0.0+SP_S_y0_VGP_SI*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
  SP_S_delta0_VDI_SI_VSI_BP=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VDI_SI*((0.5*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01))))))+SP_S_y0_VSI_BP*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VDI_SI_VSI_BP-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VDI_SI*(SP_S_y0_VSI_BP*3.3333333333333333e-01)+SP_S_y0_VSI_BP*SP_S_y0_VDI_SI*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_y0_VDI_SI*0.0+SP_S_y0_VSI_BP*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
#endif
SP_S_delta0_VGP_SI=(1.0e100*((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VGP_SI*((0.5*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01))))))+SP_S_y0_VDI_SI*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VGP_SI_VDI_SI-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VGP_SI*(SP_S_y0_VDI_SI*3.3333333333333333e-01)+SP_S_y0_VDI_SI*SP_S_y0_VGP_SI*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_y0_VGP_SI*0.0+SP_S_y0_VDI_SI*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
  SP_S_delta0_VGP_SI_VGP_SI=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VGP_SI*((0.5*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01))))))+SP_S_y0_VGP_SI*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VGP_SI_VGP_SI-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VGP_SI*(SP_S_y0_VGP_SI*3.3333333333333333e-01)+SP_S_y0_VGP_SI*SP_S_y0_VGP_SI*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_y0_VGP_SI*0.0+SP_S_y0_VGP_SI*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
  SP_S_delta0_VGP_SI_VSI_BP=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VGP_SI*((0.5*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01))))))+SP_S_y0_VSI_BP*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VGP_SI_VSI_BP-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VGP_SI*(SP_S_y0_VSI_BP*3.3333333333333333e-01)+SP_S_y0_VSI_BP*SP_S_y0_VGP_SI*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_y0_VGP_SI*0.0+SP_S_y0_VSI_BP*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
#endif
SP_S_delta0_VSI_BP=(1.0e100*((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VSI_BP*((0.5*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01))))))+SP_S_y0_VDI_SI*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VSI_BP_VDI_SI-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VSI_BP*(SP_S_y0_VDI_SI*3.3333333333333333e-01)+SP_S_y0_VDI_SI*SP_S_y0_VSI_BP*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_y0_VSI_BP*0.0+SP_S_y0_VDI_SI*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
  SP_S_delta0_VSI_BP_VGP_SI=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VSI_BP*((0.5*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01))))))+SP_S_y0_VGP_SI*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VSI_BP_VGP_SI-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VSI_BP*(SP_S_y0_VGP_SI*3.3333333333333333e-01)+SP_S_y0_VGP_SI*SP_S_y0_VSI_BP*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_y0_VSI_BP*0.0+SP_S_y0_VGP_SI*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
  SP_S_delta0_VSI_BP_VSI_BP=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VSI_BP*((0.5*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01))))))+SP_S_y0_VSI_BP*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VSI_BP_VSI_BP-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VSI_BP*(SP_S_y0_VSI_BP*3.3333333333333333e-01)+SP_S_y0_VSI_BP*SP_S_y0_VSI_BP*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_y0_VSI_BP*0.0+SP_S_y0_VSI_BP*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
SP_S_delta0=(1.0e100*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=(-SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VGP_SI=(-SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VSI_BP=(-SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
#endif
SP_S_delta1=(1.0/SP_S_delta0);
EXIT_IF_ISNAN((1.0/SP_S_delta0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))+0.0*((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))+1.0*(+0.0+(+SP_S_y0_VDI_SI_VDI_SI*SP_S_y0+SP_S_y0_VDI_SI*SP_S_y0_VDI_SI+SP_S_y0_VDI_SI*SP_S_y0_VDI_SI+SP_S_y0*SP_S_y0_VDI_SI_VDI_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
  SP_S_temp_VDI_SI_VGP_SI=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))+0.0*((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))+1.0*(+0.0+(+SP_S_y0_VDI_SI_VGP_SI*SP_S_y0+SP_S_y0_VDI_SI*SP_S_y0_VGP_SI+SP_S_y0_VGP_SI*SP_S_y0_VDI_SI+SP_S_y0*SP_S_y0_VDI_SI_VGP_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
  SP_S_temp_VDI_SI_VSI_BP=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))+0.0*((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))+1.0*(+0.0+(+SP_S_y0_VDI_SI_VSI_BP*SP_S_y0+SP_S_y0_VDI_SI*SP_S_y0_VSI_BP+SP_S_y0_VSI_BP*SP_S_y0_VDI_SI+SP_S_y0*SP_S_y0_VDI_SI_VSI_BP)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
#endif
SP_S_temp_VGP_SI=(-((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))+0.0*((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))+1.0*(+0.0+(+SP_S_y0_VGP_SI_VDI_SI*SP_S_y0+SP_S_y0_VGP_SI*SP_S_y0_VDI_SI+SP_S_y0_VDI_SI*SP_S_y0_VGP_SI+SP_S_y0*SP_S_y0_VGP_SI_VDI_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
  SP_S_temp_VGP_SI_VGP_SI=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))+0.0*((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))+1.0*(+0.0+(+SP_S_y0_VGP_SI_VGP_SI*SP_S_y0+SP_S_y0_VGP_SI*SP_S_y0_VGP_SI+SP_S_y0_VGP_SI*SP_S_y0_VGP_SI+SP_S_y0*SP_S_y0_VGP_SI_VGP_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
  SP_S_temp_VGP_SI_VSI_BP=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))+0.0*((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))+1.0*(+0.0+(+SP_S_y0_VGP_SI_VSI_BP*SP_S_y0+SP_S_y0_VGP_SI*SP_S_y0_VSI_BP+SP_S_y0_VSI_BP*SP_S_y0_VGP_SI+SP_S_y0*SP_S_y0_VGP_SI_VSI_BP)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
#endif
SP_S_temp_VSI_BP=(-((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))+0.0*((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))+1.0*(+0.0+(+SP_S_y0_VSI_BP_VDI_SI*SP_S_y0+SP_S_y0_VSI_BP*SP_S_y0_VDI_SI+SP_S_y0_VDI_SI*SP_S_y0_VSI_BP+SP_S_y0*SP_S_y0_VSI_BP_VDI_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
  SP_S_temp_VSI_BP_VGP_SI=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))+0.0*((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))+1.0*(+0.0+(+SP_S_y0_VSI_BP_VGP_SI*SP_S_y0+SP_S_y0_VSI_BP*SP_S_y0_VGP_SI+SP_S_y0_VGP_SI*SP_S_y0_VSI_BP+SP_S_y0*SP_S_y0_VSI_BP_VGP_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
  SP_S_temp_VSI_BP_VSI_BP=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))+0.0*((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))+1.0*(+0.0+(+SP_S_y0_VSI_BP_VSI_BP*SP_S_y0+SP_S_y0_VSI_BP*SP_S_y0_VSI_BP+SP_S_y0_VSI_BP*SP_S_y0_VSI_BP+SP_S_y0*SP_S_y0_VSI_BP_VSI_BP)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
#endif
#endif
SP_S_temp=(1.0/(2.0+(SP_S_y0*SP_S_y0)));
EXIT_IF_ISNAN((1.0/(2.0+(SP_S_y0*SP_S_y0))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi0_VDI_SI=((((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*SP_S_temp)+((SP_S_y0*SP_S_y0)*SP_S_temp_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VDI_SI_VDI_SI=(+(+SP_S_y0_VDI_SI_VDI_SI*SP_S_y0+SP_S_y0_VDI_SI*SP_S_y0_VDI_SI+SP_S_y0_VDI_SI*SP_S_y0_VDI_SI+SP_S_y0*SP_S_y0_VDI_SI_VDI_SI)*SP_S_temp+((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*SP_S_temp_VDI_SI+(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))*SP_S_temp_VDI_SI+(SP_S_y0*SP_S_y0)*SP_S_temp_VDI_SI_VDI_SI);
  SP_S_xi0_VDI_SI_VGP_SI=(+(+SP_S_y0_VDI_SI_VGP_SI*SP_S_y0+SP_S_y0_VDI_SI*SP_S_y0_VGP_SI+SP_S_y0_VGP_SI*SP_S_y0_VDI_SI+SP_S_y0*SP_S_y0_VDI_SI_VGP_SI)*SP_S_temp+((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*SP_S_temp_VGP_SI+(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))*SP_S_temp_VDI_SI+(SP_S_y0*SP_S_y0)*SP_S_temp_VDI_SI_VGP_SI);
  SP_S_xi0_VDI_SI_VSI_BP=(+(+SP_S_y0_VDI_SI_VSI_BP*SP_S_y0+SP_S_y0_VDI_SI*SP_S_y0_VSI_BP+SP_S_y0_VSI_BP*SP_S_y0_VDI_SI+SP_S_y0*SP_S_y0_VDI_SI_VSI_BP)*SP_S_temp+((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*SP_S_temp_VSI_BP+(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))*SP_S_temp_VDI_SI+(SP_S_y0*SP_S_y0)*SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_xi0_VGP_SI=((((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*SP_S_temp)+((SP_S_y0*SP_S_y0)*SP_S_temp_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VGP_SI_VDI_SI=(+(+SP_S_y0_VGP_SI_VDI_SI*SP_S_y0+SP_S_y0_VGP_SI*SP_S_y0_VDI_SI+SP_S_y0_VDI_SI*SP_S_y0_VGP_SI+SP_S_y0*SP_S_y0_VGP_SI_VDI_SI)*SP_S_temp+((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*SP_S_temp_VDI_SI+(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))*SP_S_temp_VGP_SI+(SP_S_y0*SP_S_y0)*SP_S_temp_VGP_SI_VDI_SI);
  SP_S_xi0_VGP_SI_VGP_SI=(+(+SP_S_y0_VGP_SI_VGP_SI*SP_S_y0+SP_S_y0_VGP_SI*SP_S_y0_VGP_SI+SP_S_y0_VGP_SI*SP_S_y0_VGP_SI+SP_S_y0*SP_S_y0_VGP_SI_VGP_SI)*SP_S_temp+((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*SP_S_temp_VGP_SI+(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))*SP_S_temp_VGP_SI+(SP_S_y0*SP_S_y0)*SP_S_temp_VGP_SI_VGP_SI);
  SP_S_xi0_VGP_SI_VSI_BP=(+(+SP_S_y0_VGP_SI_VSI_BP*SP_S_y0+SP_S_y0_VGP_SI*SP_S_y0_VSI_BP+SP_S_y0_VSI_BP*SP_S_y0_VGP_SI+SP_S_y0*SP_S_y0_VGP_SI_VSI_BP)*SP_S_temp+((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*SP_S_temp_VSI_BP+(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))*SP_S_temp_VGP_SI+(SP_S_y0*SP_S_y0)*SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_xi0_VSI_BP=((((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*SP_S_temp)+((SP_S_y0*SP_S_y0)*SP_S_temp_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi0_VSI_BP_VDI_SI=(+(+SP_S_y0_VSI_BP_VDI_SI*SP_S_y0+SP_S_y0_VSI_BP*SP_S_y0_VDI_SI+SP_S_y0_VDI_SI*SP_S_y0_VSI_BP+SP_S_y0*SP_S_y0_VSI_BP_VDI_SI)*SP_S_temp+((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*SP_S_temp_VDI_SI+(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))*SP_S_temp_VSI_BP+(SP_S_y0*SP_S_y0)*SP_S_temp_VSI_BP_VDI_SI);
  SP_S_xi0_VSI_BP_VGP_SI=(+(+SP_S_y0_VSI_BP_VGP_SI*SP_S_y0+SP_S_y0_VSI_BP*SP_S_y0_VGP_SI+SP_S_y0_VGP_SI*SP_S_y0_VSI_BP+SP_S_y0*SP_S_y0_VSI_BP_VGP_SI)*SP_S_temp+((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*SP_S_temp_VGP_SI+(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))*SP_S_temp_VSI_BP+(SP_S_y0*SP_S_y0)*SP_S_temp_VSI_BP_VGP_SI);
  SP_S_xi0_VSI_BP_VSI_BP=(+(+SP_S_y0_VSI_BP_VSI_BP*SP_S_y0+SP_S_y0_VSI_BP*SP_S_y0_VSI_BP+SP_S_y0_VSI_BP*SP_S_y0_VSI_BP+SP_S_y0*SP_S_y0_VSI_BP_VSI_BP)*SP_S_temp+((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*SP_S_temp_VSI_BP+(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))*SP_S_temp_VSI_BP+(SP_S_y0*SP_S_y0)*SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi0=((SP_S_y0*SP_S_y0)*SP_S_temp);
EXIT_IF_ISNAN(((SP_S_y0*SP_S_y0)*SP_S_temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi1_VDI_SI=(4.0*((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VDI_SI_VDI_SI=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_y0_VDI_SI_VDI_SI*SP_S_temp+SP_S_y0_VDI_SI*SP_S_temp_VDI_SI+SP_S_y0_VDI_SI*SP_S_temp_VDI_SI+SP_S_y0*SP_S_temp_VDI_SI_VDI_SI)*SP_S_temp+((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp_VDI_SI+(((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI)))*SP_S_temp_VDI_SI+(SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI_VDI_SI));
  SP_S_xi1_VDI_SI_VGP_SI=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_y0_VDI_SI_VGP_SI*SP_S_temp+SP_S_y0_VDI_SI*SP_S_temp_VGP_SI+SP_S_y0_VGP_SI*SP_S_temp_VDI_SI+SP_S_y0*SP_S_temp_VDI_SI_VGP_SI)*SP_S_temp+((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp_VGP_SI+(((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI)))*SP_S_temp_VDI_SI+(SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI_VGP_SI));
  SP_S_xi1_VDI_SI_VSI_BP=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_y0_VDI_SI_VSI_BP*SP_S_temp+SP_S_y0_VDI_SI*SP_S_temp_VSI_BP+SP_S_y0_VSI_BP*SP_S_temp_VDI_SI+SP_S_y0*SP_S_temp_VDI_SI_VSI_BP)*SP_S_temp+((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp_VSI_BP+(((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP)))*SP_S_temp_VDI_SI+(SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI_VSI_BP));
#endif
SP_S_xi1_VGP_SI=(4.0*((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VGP_SI_VDI_SI=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_y0_VGP_SI_VDI_SI*SP_S_temp+SP_S_y0_VGP_SI*SP_S_temp_VDI_SI+SP_S_y0_VDI_SI*SP_S_temp_VGP_SI+SP_S_y0*SP_S_temp_VGP_SI_VDI_SI)*SP_S_temp+((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp_VDI_SI+(((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI)))*SP_S_temp_VGP_SI+(SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI_VDI_SI));
  SP_S_xi1_VGP_SI_VGP_SI=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_y0_VGP_SI_VGP_SI*SP_S_temp+SP_S_y0_VGP_SI*SP_S_temp_VGP_SI+SP_S_y0_VGP_SI*SP_S_temp_VGP_SI+SP_S_y0*SP_S_temp_VGP_SI_VGP_SI)*SP_S_temp+((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp_VGP_SI+(((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI)))*SP_S_temp_VGP_SI+(SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI_VGP_SI));
  SP_S_xi1_VGP_SI_VSI_BP=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_y0_VGP_SI_VSI_BP*SP_S_temp+SP_S_y0_VGP_SI*SP_S_temp_VSI_BP+SP_S_y0_VSI_BP*SP_S_temp_VGP_SI+SP_S_y0*SP_S_temp_VGP_SI_VSI_BP)*SP_S_temp+((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp_VSI_BP+(((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP)))*SP_S_temp_VGP_SI+(SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI_VSI_BP));
#endif
SP_S_xi1_VSI_BP=(4.0*((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_xi1_VSI_BP_VDI_SI=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_y0_VSI_BP_VDI_SI*SP_S_temp+SP_S_y0_VSI_BP*SP_S_temp_VDI_SI+SP_S_y0_VDI_SI*SP_S_temp_VSI_BP+SP_S_y0*SP_S_temp_VSI_BP_VDI_SI)*SP_S_temp+((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp_VDI_SI+(((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI)))*SP_S_temp_VSI_BP+(SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP_VDI_SI));
  SP_S_xi1_VSI_BP_VGP_SI=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_y0_VSI_BP_VGP_SI*SP_S_temp+SP_S_y0_VSI_BP*SP_S_temp_VGP_SI+SP_S_y0_VGP_SI*SP_S_temp_VSI_BP+SP_S_y0*SP_S_temp_VSI_BP_VGP_SI)*SP_S_temp+((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp_VGP_SI+(((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI)))*SP_S_temp_VSI_BP+(SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP_VGP_SI));
  SP_S_xi1_VSI_BP_VSI_BP=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_y0_VSI_BP_VSI_BP*SP_S_temp+SP_S_y0_VSI_BP*SP_S_temp_VSI_BP+SP_S_y0_VSI_BP*SP_S_temp_VSI_BP+SP_S_y0*SP_S_temp_VSI_BP_VSI_BP)*SP_S_temp+((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp_VSI_BP+(((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP)))*SP_S_temp_VSI_BP+(SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP_VSI_BP));
#endif
#endif
SP_S_xi1=(4.0*((SP_S_y0*SP_S_temp)*SP_S_temp));
EXIT_IF_ISNAN((4.0*((SP_S_y0*SP_S_temp)*SP_S_temp)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi2_VDI_SI=((((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VDI_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VDI_SI);
  SP_S_xi2_VDI_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VGP_SI);
  SP_S_xi2_VDI_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_xi2_VGP_SI=((((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VGP_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VDI_SI);
  SP_S_xi2_VGP_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VGP_SI);
  SP_S_xi2_VGP_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_xi2_VSI_BP=((((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi2_VSI_BP_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VDI_SI);
  SP_S_xi2_VSI_BP_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VGP_SI);
  SP_S_xi2_VSI_BP_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi2=((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
EXIT_IF_ISNAN(((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(SP_S_yg_VDI_SI-SP_S_y0_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+SP_S_yg_VDI_SI_VDI_SI-SP_S_y0_VDI_SI_VDI_SI);
  SP_S_temp_VDI_SI_VGP_SI=(+SP_S_yg_VDI_SI_VGP_SI-SP_S_y0_VDI_SI_VGP_SI);
  SP_S_temp_VDI_SI_VSI_BP=(+SP_S_yg_VDI_SI_VSI_BP-SP_S_y0_VDI_SI_VSI_BP);
#endif
SP_S_temp_VGP_SI=(SP_S_yg_VGP_SI-SP_S_y0_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+SP_S_yg_VGP_SI_VDI_SI-SP_S_y0_VGP_SI_VDI_SI);
  SP_S_temp_VGP_SI_VGP_SI=(+SP_S_yg_VGP_SI_VGP_SI-SP_S_y0_VGP_SI_VGP_SI);
  SP_S_temp_VGP_SI_VSI_BP=(+SP_S_yg_VGP_SI_VSI_BP-SP_S_y0_VGP_SI_VSI_BP);
#endif
SP_S_temp_VSI_BP=(SP_S_yg_VSI_BP-SP_S_y0_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+SP_S_yg_VSI_BP_VDI_SI-SP_S_y0_VSI_BP_VDI_SI);
  SP_S_temp_VSI_BP_VGP_SI=(+SP_S_yg_VSI_BP_VGP_SI-SP_S_y0_VSI_BP_VGP_SI);
  SP_S_temp_VSI_BP_VSI_BP=(+SP_S_yg_VSI_BP_VSI_BP-SP_S_y0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp=(SP_S_yg-SP_S_y0);
EXIT_IF_ISNAN((SP_S_yg-SP_S_y0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp1_VDI_SI=((delta_ns_VDI_SI*SP_S_delta1)+(delta_ns*SP_S_delta1_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_temp1_VDI_SI_VDI_SI=(+delta_ns_VDI_SI_VDI_SI*SP_S_delta1+delta_ns_VDI_SI*SP_S_delta1_VDI_SI+delta_ns_VDI_SI*SP_S_delta1_VDI_SI+delta_ns*SP_S_delta1_VDI_SI_VDI_SI);
  SP_S_temp1_VDI_SI_VGP_SI=(+delta_ns_VDI_SI_VGP_SI*SP_S_delta1+delta_ns_VDI_SI*SP_S_delta1_VGP_SI+delta_ns_VGP_SI*SP_S_delta1_VDI_SI+delta_ns*SP_S_delta1_VDI_SI_VGP_SI);
  SP_S_temp1_VDI_SI_VSI_BP=(+delta_ns_VDI_SI_VSI_BP*SP_S_delta1+delta_ns_VDI_SI*SP_S_delta1_VSI_BP+delta_ns_VSI_BP*SP_S_delta1_VDI_SI+delta_ns*SP_S_delta1_VDI_SI_VSI_BP);
#endif
SP_S_temp1_VGP_SI=((delta_ns_VGP_SI*SP_S_delta1)+(delta_ns*SP_S_delta1_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_temp1_VGP_SI_VDI_SI=(+delta_ns_VGP_SI_VDI_SI*SP_S_delta1+delta_ns_VGP_SI*SP_S_delta1_VDI_SI+delta_ns_VDI_SI*SP_S_delta1_VGP_SI+delta_ns*SP_S_delta1_VGP_SI_VDI_SI);
  SP_S_temp1_VGP_SI_VGP_SI=(+delta_ns_VGP_SI_VGP_SI*SP_S_delta1+delta_ns_VGP_SI*SP_S_delta1_VGP_SI+delta_ns_VGP_SI*SP_S_delta1_VGP_SI+delta_ns*SP_S_delta1_VGP_SI_VGP_SI);
  SP_S_temp1_VGP_SI_VSI_BP=(+delta_ns_VGP_SI_VSI_BP*SP_S_delta1+delta_ns_VGP_SI*SP_S_delta1_VSI_BP+delta_ns_VSI_BP*SP_S_delta1_VGP_SI+delta_ns*SP_S_delta1_VGP_SI_VSI_BP);
#endif
SP_S_temp1_VSI_BP=((delta_ns_VSI_BP*SP_S_delta1)+(delta_ns*SP_S_delta1_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_temp1_VSI_BP_VDI_SI=(+delta_ns_VSI_BP_VDI_SI*SP_S_delta1+delta_ns_VSI_BP*SP_S_delta1_VDI_SI+delta_ns_VDI_SI*SP_S_delta1_VSI_BP+delta_ns*SP_S_delta1_VSI_BP_VDI_SI);
  SP_S_temp1_VSI_BP_VGP_SI=(+delta_ns_VSI_BP_VGP_SI*SP_S_delta1+delta_ns_VSI_BP*SP_S_delta1_VGP_SI+delta_ns_VGP_SI*SP_S_delta1_VSI_BP+delta_ns*SP_S_delta1_VSI_BP_VGP_SI);
  SP_S_temp1_VSI_BP_VSI_BP=(+delta_ns_VSI_BP_VSI_BP*SP_S_delta1+delta_ns_VSI_BP*SP_S_delta1_VSI_BP+delta_ns_VSI_BP*SP_S_delta1_VSI_BP+delta_ns*SP_S_delta1_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp1=(delta_ns*SP_S_delta1);
EXIT_IF_ISNAN((delta_ns*SP_S_delta1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_pC_VDI_SI=((2.0*SP_S_temp_VDI_SI)+((Gf2_VDI_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1))))+(Gf2*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI)))))));
#if defined(_DERIVATE2)
  SP_S_pC_VDI_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VDI_SI)+(+Gf2_VDI_SI_VDI_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VDI_SI*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+(((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI)))))+Gf2_VDI_SI*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI))))+Gf2*(+(+(+SP_S_delta0_VDI_SI_VDI_SI-0.0)-SP_S_temp1_VDI_SI_VDI_SI)+(+delta_ns_VDI_SI_VDI_SI*(1.0-SP_S_xi1)+delta_ns_VDI_SI*(-SP_S_xi1_VDI_SI)+delta_ns_VDI_SI*(-SP_S_xi1_VDI_SI)+delta_ns*(+0.0-SP_S_xi1_VDI_SI_VDI_SI)))));
  SP_S_pC_VDI_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VGP_SI)+(+Gf2_VDI_SI_VGP_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VDI_SI*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+(((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI)))))+Gf2_VGP_SI*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI))))+Gf2*(+(+(+SP_S_delta0_VDI_SI_VGP_SI-0.0)-SP_S_temp1_VDI_SI_VGP_SI)+(+delta_ns_VDI_SI_VGP_SI*(1.0-SP_S_xi1)+delta_ns_VDI_SI*(-SP_S_xi1_VGP_SI)+delta_ns_VGP_SI*(-SP_S_xi1_VDI_SI)+delta_ns*(+0.0-SP_S_xi1_VDI_SI_VGP_SI)))));
  SP_S_pC_VDI_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VSI_BP)+(+Gf2_VDI_SI_VSI_BP*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VDI_SI*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+(((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP)))))+Gf2_VSI_BP*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI))))+Gf2*(+(+(+SP_S_delta0_VDI_SI_VSI_BP-0.0)-SP_S_temp1_VDI_SI_VSI_BP)+(+delta_ns_VDI_SI_VSI_BP*(1.0-SP_S_xi1)+delta_ns_VDI_SI*(-SP_S_xi1_VSI_BP)+delta_ns_VSI_BP*(-SP_S_xi1_VDI_SI)+delta_ns*(+0.0-SP_S_xi1_VDI_SI_VSI_BP)))));
#endif
SP_S_pC_VGP_SI=((2.0*SP_S_temp_VGP_SI)+((Gf2_VGP_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1))))+(Gf2*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI)))))));
#if defined(_DERIVATE2)
  SP_S_pC_VGP_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VDI_SI)+(+Gf2_VGP_SI_VDI_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VGP_SI*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+(((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI)))))+Gf2_VDI_SI*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI))))+Gf2*(+(+(+SP_S_delta0_VGP_SI_VDI_SI-0.0)-SP_S_temp1_VGP_SI_VDI_SI)+(+delta_ns_VGP_SI_VDI_SI*(1.0-SP_S_xi1)+delta_ns_VGP_SI*(-SP_S_xi1_VDI_SI)+delta_ns_VDI_SI*(-SP_S_xi1_VGP_SI)+delta_ns*(+0.0-SP_S_xi1_VGP_SI_VDI_SI)))));
  SP_S_pC_VGP_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VGP_SI)+(+Gf2_VGP_SI_VGP_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VGP_SI*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+(((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI)))))+Gf2_VGP_SI*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI))))+Gf2*(+(+(+SP_S_delta0_VGP_SI_VGP_SI-0.0)-SP_S_temp1_VGP_SI_VGP_SI)+(+delta_ns_VGP_SI_VGP_SI*(1.0-SP_S_xi1)+delta_ns_VGP_SI*(-SP_S_xi1_VGP_SI)+delta_ns_VGP_SI*(-SP_S_xi1_VGP_SI)+delta_ns*(+0.0-SP_S_xi1_VGP_SI_VGP_SI)))));
  SP_S_pC_VGP_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VSI_BP)+(+Gf2_VGP_SI_VSI_BP*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VGP_SI*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+(((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP)))))+Gf2_VSI_BP*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI))))+Gf2*(+(+(+SP_S_delta0_VGP_SI_VSI_BP-0.0)-SP_S_temp1_VGP_SI_VSI_BP)+(+delta_ns_VGP_SI_VSI_BP*(1.0-SP_S_xi1)+delta_ns_VGP_SI*(-SP_S_xi1_VSI_BP)+delta_ns_VSI_BP*(-SP_S_xi1_VGP_SI)+delta_ns*(+0.0-SP_S_xi1_VGP_SI_VSI_BP)))));
#endif
SP_S_pC_VSI_BP=((2.0*SP_S_temp_VSI_BP)+((Gf2_VSI_BP*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1))))+(Gf2*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP)))))));
#if defined(_DERIVATE2)
  SP_S_pC_VSI_BP_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VDI_SI)+(+Gf2_VSI_BP_VDI_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VSI_BP*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+(((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI)))))+Gf2_VDI_SI*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP))))+Gf2*(+(+(+SP_S_delta0_VSI_BP_VDI_SI-0.0)-SP_S_temp1_VSI_BP_VDI_SI)+(+delta_ns_VSI_BP_VDI_SI*(1.0-SP_S_xi1)+delta_ns_VSI_BP*(-SP_S_xi1_VDI_SI)+delta_ns_VDI_SI*(-SP_S_xi1_VSI_BP)+delta_ns*(+0.0-SP_S_xi1_VSI_BP_VDI_SI)))));
  SP_S_pC_VSI_BP_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VGP_SI)+(+Gf2_VSI_BP_VGP_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VSI_BP*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+(((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI)))))+Gf2_VGP_SI*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP))))+Gf2*(+(+(+SP_S_delta0_VSI_BP_VGP_SI-0.0)-SP_S_temp1_VSI_BP_VGP_SI)+(+delta_ns_VSI_BP_VGP_SI*(1.0-SP_S_xi1)+delta_ns_VSI_BP*(-SP_S_xi1_VGP_SI)+delta_ns_VGP_SI*(-SP_S_xi1_VSI_BP)+delta_ns*(+0.0-SP_S_xi1_VSI_BP_VGP_SI)))));
  SP_S_pC_VSI_BP_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VSI_BP)+(+Gf2_VSI_BP_VSI_BP*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VSI_BP*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+(((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP)))))+Gf2_VSI_BP*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP))))+Gf2*(+(+(+SP_S_delta0_VSI_BP_VSI_BP-0.0)-SP_S_temp1_VSI_BP_VSI_BP)+(+delta_ns_VSI_BP_VSI_BP*(1.0-SP_S_xi1)+delta_ns_VSI_BP*(-SP_S_xi1_VSI_BP)+delta_ns_VSI_BP*(-SP_S_xi1_VSI_BP)+delta_ns*(+0.0-SP_S_xi1_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_pC=((2.0*SP_S_temp)+(Gf2*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))));
EXIT_IF_ISNAN(((2.0*SP_S_temp)+(Gf2*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_qC_VDI_SI=(((SP_S_temp_VDI_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VDI_SI))-((Gf2_VDI_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0))))+(Gf2*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VDI_SI_VDI_SI=(+(+SP_S_temp_VDI_SI_VDI_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VDI_SI)-(+Gf2_VDI_SI_VDI_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+(((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta0_VDI_SI_VDI_SI-SP_S_y0_VDI_SI_VDI_SI)-0.0)+SP_S_temp1_VDI_SI_VDI_SI)+(+delta_ns_VDI_SI_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VDI_SI*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)+delta_ns_VDI_SI*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)+delta_ns*(+(+SP_S_y0_VDI_SI_VDI_SI-0.0)-SP_S_xi0_VDI_SI_VDI_SI)))));
  SP_S_qC_VDI_SI_VGP_SI=(+(+SP_S_temp_VDI_SI_VGP_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VGP_SI)-(+Gf2_VDI_SI_VGP_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+(((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta0_VDI_SI_VGP_SI-SP_S_y0_VDI_SI_VGP_SI)-0.0)+SP_S_temp1_VDI_SI_VGP_SI)+(+delta_ns_VDI_SI_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VDI_SI*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)+delta_ns_VGP_SI*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)+delta_ns*(+(+SP_S_y0_VDI_SI_VGP_SI-0.0)-SP_S_xi0_VDI_SI_VGP_SI)))));
  SP_S_qC_VDI_SI_VSI_BP=(+(+SP_S_temp_VDI_SI_VSI_BP*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VSI_BP)-(+Gf2_VDI_SI_VSI_BP*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+(((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta0_VDI_SI_VSI_BP-SP_S_y0_VDI_SI_VSI_BP)-0.0)+SP_S_temp1_VDI_SI_VSI_BP)+(+delta_ns_VDI_SI_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VDI_SI*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)+delta_ns_VSI_BP*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)+delta_ns*(+(+SP_S_y0_VDI_SI_VSI_BP-0.0)-SP_S_xi0_VDI_SI_VSI_BP)))));
#endif
SP_S_qC_VGP_SI=(((SP_S_temp_VGP_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VGP_SI))-((Gf2_VGP_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0))))+(Gf2*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VGP_SI_VDI_SI=(+(+SP_S_temp_VGP_SI_VDI_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VDI_SI)-(+Gf2_VGP_SI_VDI_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+(((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta0_VGP_SI_VDI_SI-SP_S_y0_VGP_SI_VDI_SI)-0.0)+SP_S_temp1_VGP_SI_VDI_SI)+(+delta_ns_VGP_SI_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VGP_SI*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)+delta_ns_VDI_SI*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)+delta_ns*(+(+SP_S_y0_VGP_SI_VDI_SI-0.0)-SP_S_xi0_VGP_SI_VDI_SI)))));
  SP_S_qC_VGP_SI_VGP_SI=(+(+SP_S_temp_VGP_SI_VGP_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VGP_SI)-(+Gf2_VGP_SI_VGP_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+(((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta0_VGP_SI_VGP_SI-SP_S_y0_VGP_SI_VGP_SI)-0.0)+SP_S_temp1_VGP_SI_VGP_SI)+(+delta_ns_VGP_SI_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VGP_SI*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)+delta_ns_VGP_SI*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)+delta_ns*(+(+SP_S_y0_VGP_SI_VGP_SI-0.0)-SP_S_xi0_VGP_SI_VGP_SI)))));
  SP_S_qC_VGP_SI_VSI_BP=(+(+SP_S_temp_VGP_SI_VSI_BP*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VSI_BP)-(+Gf2_VGP_SI_VSI_BP*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+(((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta0_VGP_SI_VSI_BP-SP_S_y0_VGP_SI_VSI_BP)-0.0)+SP_S_temp1_VGP_SI_VSI_BP)+(+delta_ns_VGP_SI_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VGP_SI*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)+delta_ns_VSI_BP*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)+delta_ns*(+(+SP_S_y0_VGP_SI_VSI_BP-0.0)-SP_S_xi0_VGP_SI_VSI_BP)))));
#endif
SP_S_qC_VSI_BP=(((SP_S_temp_VSI_BP*SP_S_temp)+(SP_S_temp*SP_S_temp_VSI_BP))-((Gf2_VSI_BP*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0))))+(Gf2*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VSI_BP_VDI_SI=(+(+SP_S_temp_VSI_BP_VDI_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VDI_SI)-(+Gf2_VSI_BP_VDI_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+(((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta0_VSI_BP_VDI_SI-SP_S_y0_VSI_BP_VDI_SI)-0.0)+SP_S_temp1_VSI_BP_VDI_SI)+(+delta_ns_VSI_BP_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VSI_BP*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)+delta_ns_VDI_SI*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)+delta_ns*(+(+SP_S_y0_VSI_BP_VDI_SI-0.0)-SP_S_xi0_VSI_BP_VDI_SI)))));
  SP_S_qC_VSI_BP_VGP_SI=(+(+SP_S_temp_VSI_BP_VGP_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VGP_SI)-(+Gf2_VSI_BP_VGP_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+(((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta0_VSI_BP_VGP_SI-SP_S_y0_VSI_BP_VGP_SI)-0.0)+SP_S_temp1_VSI_BP_VGP_SI)+(+delta_ns_VSI_BP_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VSI_BP*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)+delta_ns_VGP_SI*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)+delta_ns*(+(+SP_S_y0_VSI_BP_VGP_SI-0.0)-SP_S_xi0_VSI_BP_VGP_SI)))));
  SP_S_qC_VSI_BP_VSI_BP=(+(+SP_S_temp_VSI_BP_VSI_BP*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VSI_BP)-(+Gf2_VSI_BP_VSI_BP*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+(((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta0_VSI_BP_VSI_BP-SP_S_y0_VSI_BP_VSI_BP)-0.0)+SP_S_temp1_VSI_BP_VSI_BP)+(+delta_ns_VSI_BP_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VSI_BP*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)+delta_ns_VSI_BP*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)+delta_ns*(+(+SP_S_y0_VSI_BP_VSI_BP-0.0)-SP_S_xi0_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_qC=((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))));
EXIT_IF_ISNAN(((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-((Gf2_VDI_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2)))+(Gf2*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+0.0-(+Gf2_VDI_SI_VDI_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta0_VDI_SI_VDI_SI+SP_S_temp1_VDI_SI_VDI_SI)-(+delta_ns_VDI_SI_VDI_SI*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VDI_SI))));
  SP_S_temp_VDI_SI_VGP_SI=(+0.0-(+Gf2_VDI_SI_VGP_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta0_VDI_SI_VGP_SI+SP_S_temp1_VDI_SI_VGP_SI)-(+delta_ns_VDI_SI_VGP_SI*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VGP_SI))));
  SP_S_temp_VDI_SI_VSI_BP=(+0.0-(+Gf2_VDI_SI_VSI_BP*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta0_VDI_SI_VSI_BP+SP_S_temp1_VDI_SI_VSI_BP)-(+delta_ns_VDI_SI_VSI_BP*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VSI_BP))));
#endif
SP_S_temp_VGP_SI=(-((Gf2_VGP_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2)))+(Gf2*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+0.0-(+Gf2_VGP_SI_VDI_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta0_VGP_SI_VDI_SI+SP_S_temp1_VGP_SI_VDI_SI)-(+delta_ns_VGP_SI_VDI_SI*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VDI_SI))));
  SP_S_temp_VGP_SI_VGP_SI=(+0.0-(+Gf2_VGP_SI_VGP_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta0_VGP_SI_VGP_SI+SP_S_temp1_VGP_SI_VGP_SI)-(+delta_ns_VGP_SI_VGP_SI*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VGP_SI))));
  SP_S_temp_VGP_SI_VSI_BP=(+0.0-(+Gf2_VGP_SI_VSI_BP*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta0_VGP_SI_VSI_BP+SP_S_temp1_VGP_SI_VSI_BP)-(+delta_ns_VGP_SI_VSI_BP*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VSI_BP))));
#endif
SP_S_temp_VSI_BP=(-((Gf2_VSI_BP*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2)))+(Gf2*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+0.0-(+Gf2_VSI_BP_VDI_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta0_VSI_BP_VDI_SI+SP_S_temp1_VSI_BP_VDI_SI)-(+delta_ns_VSI_BP_VDI_SI*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VDI_SI))));
  SP_S_temp_VSI_BP_VGP_SI=(+0.0-(+Gf2_VSI_BP_VGP_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta0_VSI_BP_VGP_SI+SP_S_temp1_VSI_BP_VGP_SI)-(+delta_ns_VSI_BP_VGP_SI*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VGP_SI))));
  SP_S_temp_VSI_BP_VSI_BP=(+0.0-(+Gf2_VSI_BP_VSI_BP*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta0_VSI_BP_VSI_BP+SP_S_temp1_VSI_BP_VSI_BP)-(+delta_ns_VSI_BP_VSI_BP*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VSI_BP))));
#endif
#endif
SP_S_temp=(2.0-(Gf2*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))));
EXIT_IF_ISNAN((2.0-(Gf2*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2)))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(((SP_S_pC_VDI_SI*SP_S_pC)+(SP_S_pC*SP_S_pC_VDI_SI))-(2.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+(+SP_S_pC_VDI_SI_VDI_SI*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VDI_SI*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VDI_SI)));
  SP_S_temp_VDI_SI_VGP_SI=(+(+SP_S_pC_VDI_SI_VGP_SI*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VGP_SI*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VGP_SI)));
  SP_S_temp_VDI_SI_VSI_BP=(+(+SP_S_pC_VDI_SI_VSI_BP*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VSI_BP*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VSI_BP)));
#endif
SP_S_temp_VGP_SI=(((SP_S_pC_VGP_SI*SP_S_pC)+(SP_S_pC*SP_S_pC_VGP_SI))-(2.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+(+SP_S_pC_VGP_SI_VDI_SI*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VDI_SI*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VDI_SI)));
  SP_S_temp_VGP_SI_VGP_SI=(+(+SP_S_pC_VGP_SI_VGP_SI*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VGP_SI*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VGP_SI)));
  SP_S_temp_VGP_SI_VSI_BP=(+(+SP_S_pC_VGP_SI_VSI_BP*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VSI_BP*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VSI_BP)));
#endif
SP_S_temp_VSI_BP=(((SP_S_pC_VSI_BP*SP_S_pC)+(SP_S_pC*SP_S_pC_VSI_BP))-(2.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+(+SP_S_pC_VSI_BP_VDI_SI*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VDI_SI*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VDI_SI)));
  SP_S_temp_VSI_BP_VGP_SI=(+(+SP_S_pC_VSI_BP_VGP_SI*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VGP_SI*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VGP_SI)));
  SP_S_temp_VSI_BP_VSI_BP=(+(+SP_S_pC_VSI_BP_VSI_BP*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VSI_BP*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VSI_BP)));
#endif
#endif
SP_S_temp=((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
EXIT_IF_ISNAN(((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp))))
{
double m00_sqrt(d00_sqrt0,SP_S_temp)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,SP_S_temp)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_s_VDI_SI=((-SP_S_y0_VDI_SI)-(2.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_s_VDI_SI_VDI_SI=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VDI_SI_VGP_SI=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VDI_SI_VSI_BP=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
x_s_VGP_SI=((-SP_S_y0_VGP_SI)-(2.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_s_VGP_SI_VDI_SI=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VGP_SI_VGP_SI=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VGP_SI_VSI_BP=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
x_s_VSI_BP=((-SP_S_y0_VSI_BP)-(2.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_s_VSI_BP_VDI_SI=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VSI_BP_VGP_SI=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VSI_BP_VSI_BP=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
#endif
x_s=((-SP_S_y0)-(2.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))));
EXIT_IF_ISNAN(((-SP_S_y0)-(2.0*(SP_S_qC/(SP_S_pC+d00_sqrt0)))))
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_xg1_VDI_SI=(-Gf_VDI_SI*7.324648775608221e-001/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
#if defined(_DERIVATE2)
  SP_xg1_VDI_SI_VDI_SI=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VDI_SI*7.324648775608221e-001)+0.0*Gf_VDI_SI*7.324648775608221e-001+1.0*(+0.0+(+Gf_VDI_SI_VDI_SI*7.324648775608221e-001+Gf_VDI_SI*0.0+Gf_VDI_SI*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VDI_SI*7.324648775608221e-001*(Gf_VDI_SI*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
  SP_xg1_VDI_SI_VGP_SI=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VGP_SI*7.324648775608221e-001)+0.0*Gf_VDI_SI*7.324648775608221e-001+1.0*(+0.0+(+Gf_VDI_SI_VGP_SI*7.324648775608221e-001+Gf_VDI_SI*0.0+Gf_VGP_SI*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VDI_SI*7.324648775608221e-001*(Gf_VGP_SI*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
  SP_xg1_VDI_SI_VSI_BP=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VSI_BP*7.324648775608221e-001)+0.0*Gf_VDI_SI*7.324648775608221e-001+1.0*(+0.0+(+Gf_VDI_SI_VSI_BP*7.324648775608221e-001+Gf_VDI_SI*0.0+Gf_VSI_BP*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VDI_SI*7.324648775608221e-001*(Gf_VSI_BP*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
#endif
SP_xg1_VGP_SI=(-Gf_VGP_SI*7.324648775608221e-001/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
#if defined(_DERIVATE2)
  SP_xg1_VGP_SI_VDI_SI=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VDI_SI*7.324648775608221e-001)+0.0*Gf_VGP_SI*7.324648775608221e-001+1.0*(+0.0+(+Gf_VGP_SI_VDI_SI*7.324648775608221e-001+Gf_VGP_SI*0.0+Gf_VDI_SI*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VGP_SI*7.324648775608221e-001*(Gf_VDI_SI*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
  SP_xg1_VGP_SI_VGP_SI=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VGP_SI*7.324648775608221e-001)+0.0*Gf_VGP_SI*7.324648775608221e-001+1.0*(+0.0+(+Gf_VGP_SI_VGP_SI*7.324648775608221e-001+Gf_VGP_SI*0.0+Gf_VGP_SI*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VGP_SI*7.324648775608221e-001*(Gf_VGP_SI*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
  SP_xg1_VGP_SI_VSI_BP=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VSI_BP*7.324648775608221e-001)+0.0*Gf_VGP_SI*7.324648775608221e-001+1.0*(+0.0+(+Gf_VGP_SI_VSI_BP*7.324648775608221e-001+Gf_VGP_SI*0.0+Gf_VSI_BP*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VGP_SI*7.324648775608221e-001*(Gf_VSI_BP*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
#endif
SP_xg1_VSI_BP=(-Gf_VSI_BP*7.324648775608221e-001/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
#if defined(_DERIVATE2)
  SP_xg1_VSI_BP_VDI_SI=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VDI_SI*7.324648775608221e-001)+0.0*Gf_VSI_BP*7.324648775608221e-001+1.0*(+0.0+(+Gf_VSI_BP_VDI_SI*7.324648775608221e-001+Gf_VSI_BP*0.0+Gf_VDI_SI*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VSI_BP*7.324648775608221e-001*(Gf_VDI_SI*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
  SP_xg1_VSI_BP_VGP_SI=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VGP_SI*7.324648775608221e-001)+0.0*Gf_VSI_BP*7.324648775608221e-001+1.0*(+0.0+(+Gf_VSI_BP_VGP_SI*7.324648775608221e-001+Gf_VSI_BP*0.0+Gf_VGP_SI*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VSI_BP*7.324648775608221e-001*(Gf_VGP_SI*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
  SP_xg1_VSI_BP_VSI_BP=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VSI_BP*7.324648775608221e-001)+0.0*Gf_VSI_BP*7.324648775608221e-001+1.0*(+0.0+(+Gf_VSI_BP_VSI_BP*7.324648775608221e-001+Gf_VSI_BP*0.0+Gf_VSI_BP*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VSI_BP*7.324648775608221e-001*(Gf_VSI_BP*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
#endif
#endif
SP_xg1=(1.0/(1.25+(Gf*7.324648775608221e-001)));
EXIT_IF_ISNAN((1.0/(1.25+(Gf*7.324648775608221e-001))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_A_fac_VDI_SI=((((xi_VDI_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI))*SP_xg1)+((((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_A_fac_VDI_SI_VDI_SI=(+(+(+(+xi_VDI_SI_VDI_SI*1.25+xi_VDI_SI*0.0+xi_VDI_SI*0.0+xi*0.0)*SP_xg1+xi_VDI_SI*1.25*SP_xg1_VDI_SI+(xi_VDI_SI*1.25)*SP_xg1_VDI_SI+(xi*1.25)*SP_xg1_VDI_SI_VDI_SI)-0.0)*SP_xg1+((xi_VDI_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI))*SP_xg1_VDI_SI+((((xi_VDI_SI*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI)))*SP_xg1_VDI_SI+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VDI_SI_VDI_SI);
  SP_S_A_fac_VDI_SI_VGP_SI=(+(+(+(+xi_VDI_SI_VGP_SI*1.25+xi_VDI_SI*0.0+xi_VGP_SI*0.0+xi*0.0)*SP_xg1+xi_VDI_SI*1.25*SP_xg1_VGP_SI+(xi_VGP_SI*1.25)*SP_xg1_VDI_SI+(xi*1.25)*SP_xg1_VDI_SI_VGP_SI)-0.0)*SP_xg1+((xi_VDI_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI))*SP_xg1_VGP_SI+((((xi_VGP_SI*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI)))*SP_xg1_VDI_SI+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VDI_SI_VGP_SI);
  SP_S_A_fac_VDI_SI_VSI_BP=(+(+(+(+xi_VDI_SI_VSI_BP*1.25+xi_VDI_SI*0.0+xi_VSI_BP*0.0+xi*0.0)*SP_xg1+xi_VDI_SI*1.25*SP_xg1_VSI_BP+(xi_VSI_BP*1.25)*SP_xg1_VDI_SI+(xi*1.25)*SP_xg1_VDI_SI_VSI_BP)-0.0)*SP_xg1+((xi_VDI_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI))*SP_xg1_VSI_BP+((((xi_VSI_BP*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP)))*SP_xg1_VDI_SI+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VDI_SI_VSI_BP);
#endif
SP_S_A_fac_VGP_SI=((((xi_VGP_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI))*SP_xg1)+((((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_A_fac_VGP_SI_VDI_SI=(+(+(+(+xi_VGP_SI_VDI_SI*1.25+xi_VGP_SI*0.0+xi_VDI_SI*0.0+xi*0.0)*SP_xg1+xi_VGP_SI*1.25*SP_xg1_VDI_SI+(xi_VDI_SI*1.25)*SP_xg1_VGP_SI+(xi*1.25)*SP_xg1_VGP_SI_VDI_SI)-0.0)*SP_xg1+((xi_VGP_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI))*SP_xg1_VDI_SI+((((xi_VDI_SI*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI)))*SP_xg1_VGP_SI+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VGP_SI_VDI_SI);
  SP_S_A_fac_VGP_SI_VGP_SI=(+(+(+(+xi_VGP_SI_VGP_SI*1.25+xi_VGP_SI*0.0+xi_VGP_SI*0.0+xi*0.0)*SP_xg1+xi_VGP_SI*1.25*SP_xg1_VGP_SI+(xi_VGP_SI*1.25)*SP_xg1_VGP_SI+(xi*1.25)*SP_xg1_VGP_SI_VGP_SI)-0.0)*SP_xg1+((xi_VGP_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI))*SP_xg1_VGP_SI+((((xi_VGP_SI*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI)))*SP_xg1_VGP_SI+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VGP_SI_VGP_SI);
  SP_S_A_fac_VGP_SI_VSI_BP=(+(+(+(+xi_VGP_SI_VSI_BP*1.25+xi_VGP_SI*0.0+xi_VSI_BP*0.0+xi*0.0)*SP_xg1+xi_VGP_SI*1.25*SP_xg1_VSI_BP+(xi_VSI_BP*1.25)*SP_xg1_VGP_SI+(xi*1.25)*SP_xg1_VGP_SI_VSI_BP)-0.0)*SP_xg1+((xi_VGP_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI))*SP_xg1_VSI_BP+((((xi_VSI_BP*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP)))*SP_xg1_VGP_SI+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VGP_SI_VSI_BP);
#endif
SP_S_A_fac_VSI_BP=((((xi_VSI_BP*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP))*SP_xg1)+((((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_A_fac_VSI_BP_VDI_SI=(+(+(+(+xi_VSI_BP_VDI_SI*1.25+xi_VSI_BP*0.0+xi_VDI_SI*0.0+xi*0.0)*SP_xg1+xi_VSI_BP*1.25*SP_xg1_VDI_SI+(xi_VDI_SI*1.25)*SP_xg1_VSI_BP+(xi*1.25)*SP_xg1_VSI_BP_VDI_SI)-0.0)*SP_xg1+((xi_VSI_BP*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP))*SP_xg1_VDI_SI+((((xi_VDI_SI*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI)))*SP_xg1_VSI_BP+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VSI_BP_VDI_SI);
  SP_S_A_fac_VSI_BP_VGP_SI=(+(+(+(+xi_VSI_BP_VGP_SI*1.25+xi_VSI_BP*0.0+xi_VGP_SI*0.0+xi*0.0)*SP_xg1+xi_VSI_BP*1.25*SP_xg1_VGP_SI+(xi_VGP_SI*1.25)*SP_xg1_VSI_BP+(xi*1.25)*SP_xg1_VSI_BP_VGP_SI)-0.0)*SP_xg1+((xi_VSI_BP*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP))*SP_xg1_VGP_SI+((((xi_VGP_SI*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI)))*SP_xg1_VSI_BP+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VSI_BP_VGP_SI);
  SP_S_A_fac_VSI_BP_VSI_BP=(+(+(+(+xi_VSI_BP_VSI_BP*1.25+xi_VSI_BP*0.0+xi_VSI_BP*0.0+xi*0.0)*SP_xg1+xi_VSI_BP*1.25*SP_xg1_VSI_BP+(xi_VSI_BP*1.25)*SP_xg1_VSI_BP+(xi*1.25)*SP_xg1_VSI_BP_VSI_BP)-0.0)*SP_xg1+((xi_VSI_BP*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP))*SP_xg1_VSI_BP+((((xi_VSI_BP*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP)))*SP_xg1_VSI_BP+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VSI_BP_VSI_BP);
#endif
#endif
SP_S_A_fac=((((xi*1.25)*SP_xg1)-1.0)*SP_xg1);
EXIT_IF_ISNAN(((((xi*1.25)*SP_xg1)-1.0)*SP_xg1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xbar_VDI_SI=((((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(1.0+(SP_S_A_fac*xg)))+((xg*inv_xi)*((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI))));
#if defined(_DERIVATE2)
  SP_S_xbar_VDI_SI_VDI_SI=(+(+xg_VDI_SI_VDI_SI*inv_xi+xg_VDI_SI*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VDI_SI)*(1.0+(SP_S_A_fac*xg))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VDI_SI_VDI_SI*xg+SP_S_A_fac_VDI_SI*xg_VDI_SI+SP_S_A_fac_VDI_SI*xg_VDI_SI+SP_S_A_fac*xg_VDI_SI_VDI_SI)));
  SP_S_xbar_VDI_SI_VGP_SI=(+(+xg_VDI_SI_VGP_SI*inv_xi+xg_VDI_SI*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VGP_SI)*(1.0+(SP_S_A_fac*xg))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VDI_SI_VGP_SI*xg+SP_S_A_fac_VDI_SI*xg_VGP_SI+SP_S_A_fac_VGP_SI*xg_VDI_SI+SP_S_A_fac*xg_VDI_SI_VGP_SI)));
  SP_S_xbar_VDI_SI_VSI_BP=(+(+xg_VDI_SI_VSI_BP*inv_xi+xg_VDI_SI*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VSI_BP)*(1.0+(SP_S_A_fac*xg))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VDI_SI_VSI_BP*xg+SP_S_A_fac_VDI_SI*xg_VSI_BP+SP_S_A_fac_VSI_BP*xg_VDI_SI+SP_S_A_fac*xg_VDI_SI_VSI_BP)));
#endif
SP_S_xbar_VGP_SI=((((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(1.0+(SP_S_A_fac*xg)))+((xg*inv_xi)*((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI))));
#if defined(_DERIVATE2)
  SP_S_xbar_VGP_SI_VDI_SI=(+(+xg_VGP_SI_VDI_SI*inv_xi+xg_VGP_SI*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VDI_SI)*(1.0+(SP_S_A_fac*xg))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VGP_SI_VDI_SI*xg+SP_S_A_fac_VGP_SI*xg_VDI_SI+SP_S_A_fac_VDI_SI*xg_VGP_SI+SP_S_A_fac*xg_VGP_SI_VDI_SI)));
  SP_S_xbar_VGP_SI_VGP_SI=(+(+xg_VGP_SI_VGP_SI*inv_xi+xg_VGP_SI*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VGP_SI)*(1.0+(SP_S_A_fac*xg))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VGP_SI_VGP_SI*xg+SP_S_A_fac_VGP_SI*xg_VGP_SI+SP_S_A_fac_VGP_SI*xg_VGP_SI+SP_S_A_fac*xg_VGP_SI_VGP_SI)));
  SP_S_xbar_VGP_SI_VSI_BP=(+(+xg_VGP_SI_VSI_BP*inv_xi+xg_VGP_SI*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VSI_BP)*(1.0+(SP_S_A_fac*xg))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VGP_SI_VSI_BP*xg+SP_S_A_fac_VGP_SI*xg_VSI_BP+SP_S_A_fac_VSI_BP*xg_VGP_SI+SP_S_A_fac*xg_VGP_SI_VSI_BP)));
#endif
SP_S_xbar_VSI_BP=((((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(1.0+(SP_S_A_fac*xg)))+((xg*inv_xi)*((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP))));
#if defined(_DERIVATE2)
  SP_S_xbar_VSI_BP_VDI_SI=(+(+xg_VSI_BP_VDI_SI*inv_xi+xg_VSI_BP*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VDI_SI)*(1.0+(SP_S_A_fac*xg))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VSI_BP_VDI_SI*xg+SP_S_A_fac_VSI_BP*xg_VDI_SI+SP_S_A_fac_VDI_SI*xg_VSI_BP+SP_S_A_fac*xg_VSI_BP_VDI_SI)));
  SP_S_xbar_VSI_BP_VGP_SI=(+(+xg_VSI_BP_VGP_SI*inv_xi+xg_VSI_BP*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VGP_SI)*(1.0+(SP_S_A_fac*xg))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VSI_BP_VGP_SI*xg+SP_S_A_fac_VSI_BP*xg_VGP_SI+SP_S_A_fac_VGP_SI*xg_VSI_BP+SP_S_A_fac*xg_VSI_BP_VGP_SI)));
  SP_S_xbar_VSI_BP_VSI_BP=(+(+xg_VSI_BP_VSI_BP*inv_xi+xg_VSI_BP*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VSI_BP)*(1.0+(SP_S_A_fac*xg))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VSI_BP_VSI_BP*xg+SP_S_A_fac_VSI_BP*xg_VSI_BP+SP_S_A_fac_VSI_BP*xg_VSI_BP+SP_S_A_fac*xg_VSI_BP_VSI_BP)));
#endif
#endif
SP_S_xbar=((xg*inv_xi)*(1.0+(SP_S_A_fac*xg)));
EXIT_IF_ISNAN(((xg*inv_xi)*(1.0+(SP_S_A_fac*xg))))
if
(((-SP_S_xbar)>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(-SP_S_xbar))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-SP_S_xbar_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VDI_SI)*(-SP_S_xbar_VDI_SI)+d10_exp0*0.0);
  SP_S_temp_VDI_SI_VGP_SI=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VGP_SI)*(-SP_S_xbar_VDI_SI)+d10_exp0*0.0);
  SP_S_temp_VDI_SI_VSI_BP=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VSI_BP)*(-SP_S_xbar_VDI_SI)+d10_exp0*0.0);
#endif
SP_S_temp_VGP_SI=(-SP_S_xbar_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VDI_SI)*(-SP_S_xbar_VGP_SI)+d10_exp0*0.0);
  SP_S_temp_VGP_SI_VGP_SI=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VGP_SI)*(-SP_S_xbar_VGP_SI)+d10_exp0*0.0);
  SP_S_temp_VGP_SI_VSI_BP=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VSI_BP)*(-SP_S_xbar_VGP_SI)+d10_exp0*0.0);
#endif
SP_S_temp_VSI_BP=(-SP_S_xbar_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VDI_SI)*(-SP_S_xbar_VSI_BP)+d10_exp0*0.0);
  SP_S_temp_VSI_BP_VGP_SI=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VGP_SI)*(-SP_S_xbar_VSI_BP)+d10_exp0*0.0);
  SP_S_temp_VSI_BP_VSI_BP=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VSI_BP)*(-SP_S_xbar_VSI_BP)+d10_exp0*0.0);
#endif
#endif
SP_S_temp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-1.0e-100*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VDI_SI))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VDI_SI))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VDI_SI))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)+(-(-SP_S_xbar_VDI_SI))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VDI_SI))*0.0+(-(-SP_S_xbar_VDI_SI))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
  SP_S_temp_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VDI_SI))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VGP_SI))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VDI_SI))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)+(-(-SP_S_xbar_VGP_SI))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VDI_SI))*0.0+(-(-SP_S_xbar_VGP_SI))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
  SP_S_temp_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VDI_SI))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VSI_BP))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VDI_SI))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)+(-(-SP_S_xbar_VSI_BP))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VDI_SI))*0.0+(-(-SP_S_xbar_VSI_BP))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
#endif
SP_S_temp_VGP_SI=(-1.0e-100*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VGP_SI))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VDI_SI))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VGP_SI))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)+(-(-SP_S_xbar_VDI_SI))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VGP_SI))*0.0+(-(-SP_S_xbar_VDI_SI))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
  SP_S_temp_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VGP_SI))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VGP_SI))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VGP_SI))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)+(-(-SP_S_xbar_VGP_SI))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VGP_SI))*0.0+(-(-SP_S_xbar_VGP_SI))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
  SP_S_temp_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VGP_SI))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VSI_BP))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VGP_SI))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)+(-(-SP_S_xbar_VSI_BP))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VGP_SI))*0.0+(-(-SP_S_xbar_VSI_BP))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
#endif
SP_S_temp_VSI_BP=(-1.0e-100*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VSI_BP))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VDI_SI))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VSI_BP))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)+(-(-SP_S_xbar_VDI_SI))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VSI_BP))*0.0+(-(-SP_S_xbar_VDI_SI))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
  SP_S_temp_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VSI_BP))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VGP_SI))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VSI_BP))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)+(-(-SP_S_xbar_VGP_SI))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VSI_BP))*0.0+(-(-SP_S_xbar_VGP_SI))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
  SP_S_temp_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VSI_BP))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VSI_BP))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VSI_BP))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)+(-(-SP_S_xbar_VSI_BP))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VSI_BP))*0.0+(-(-SP_S_xbar_VSI_BP))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
#endif
#endif
SP_S_temp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_w_VDI_SI=(-SP_S_temp_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_w_VDI_SI_VDI_SI=(+0.0-SP_S_temp_VDI_SI_VDI_SI);
  SP_S_w_VDI_SI_VGP_SI=(+0.0-SP_S_temp_VDI_SI_VGP_SI);
  SP_S_w_VDI_SI_VSI_BP=(+0.0-SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_w_VGP_SI=(-SP_S_temp_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_w_VGP_SI_VDI_SI=(+0.0-SP_S_temp_VGP_SI_VDI_SI);
  SP_S_w_VGP_SI_VGP_SI=(+0.0-SP_S_temp_VGP_SI_VGP_SI);
  SP_S_w_VGP_SI_VSI_BP=(+0.0-SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_w_VSI_BP=(-SP_S_temp_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_w_VSI_BP_VDI_SI=(+0.0-SP_S_temp_VSI_BP_VDI_SI);
  SP_S_w_VSI_BP_VGP_SI=(+0.0-SP_S_temp_VSI_BP_VGP_SI);
  SP_S_w_VSI_BP_VSI_BP=(+0.0-SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_w=(1.0-SP_S_temp);
EXIT_IF_ISNAN((1.0-SP_S_temp))
{
double m00_sqrt(d00_sqrt0,((xg+(Gf2*0.25))-SP_S_w))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((xg+(Gf2*0.25))-SP_S_w))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_x1_VDI_SI=((xg_VDI_SI+Gf2_VDI_SI*0.5)-((Gf_VDI_SI*d00_sqrt0)+(Gf*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)*d10_sqrt0)));
#if defined(_DERIVATE2)
  SP_S_x1_VDI_SI_VDI_SI=(+(+xg_VDI_SI_VDI_SI+(+Gf2_VDI_SI_VDI_SI*0.5+Gf2_VDI_SI*0.0+Gf2_VDI_SI*0.0+Gf2*0.0))-(+Gf_VDI_SI_VDI_SI*d00_sqrt0+Gf_VDI_SI*((xg_VDI_SI+(Gf2_VDI_SI*0.25))-SP_S_w_VDI_SI)*d10_sqrt0+Gf_VDI_SI*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VDI_SI+(Gf2_VDI_SI*0.25))-SP_S_w_VDI_SI)*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)+d10_sqrt0*(+(+xg_VDI_SI_VDI_SI+(+Gf2_VDI_SI_VDI_SI*0.25+Gf2_VDI_SI*0.0+Gf2_VDI_SI*0.0+Gf2*0.0))-SP_S_w_VDI_SI_VDI_SI))));
  SP_S_x1_VDI_SI_VGP_SI=(+(+xg_VDI_SI_VGP_SI+(+Gf2_VDI_SI_VGP_SI*0.5+Gf2_VDI_SI*0.0+Gf2_VGP_SI*0.0+Gf2*0.0))-(+Gf_VDI_SI_VGP_SI*d00_sqrt0+Gf_VDI_SI*((xg_VGP_SI+(Gf2_VGP_SI*0.25))-SP_S_w_VGP_SI)*d10_sqrt0+Gf_VGP_SI*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VGP_SI+(Gf2_VGP_SI*0.25))-SP_S_w_VGP_SI)*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)+d10_sqrt0*(+(+xg_VDI_SI_VGP_SI+(+Gf2_VDI_SI_VGP_SI*0.25+Gf2_VDI_SI*0.0+Gf2_VGP_SI*0.0+Gf2*0.0))-SP_S_w_VDI_SI_VGP_SI))));
  SP_S_x1_VDI_SI_VSI_BP=(+(+xg_VDI_SI_VSI_BP+(+Gf2_VDI_SI_VSI_BP*0.5+Gf2_VDI_SI*0.0+Gf2_VSI_BP*0.0+Gf2*0.0))-(+Gf_VDI_SI_VSI_BP*d00_sqrt0+Gf_VDI_SI*((xg_VSI_BP+(Gf2_VSI_BP*0.25))-SP_S_w_VSI_BP)*d10_sqrt0+Gf_VSI_BP*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VSI_BP+(Gf2_VSI_BP*0.25))-SP_S_w_VSI_BP)*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)+d10_sqrt0*(+(+xg_VDI_SI_VSI_BP+(+Gf2_VDI_SI_VSI_BP*0.25+Gf2_VDI_SI*0.0+Gf2_VSI_BP*0.0+Gf2*0.0))-SP_S_w_VDI_SI_VSI_BP))));
#endif
SP_S_x1_VGP_SI=((xg_VGP_SI+Gf2_VGP_SI*0.5)-((Gf_VGP_SI*d00_sqrt0)+(Gf*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)*d10_sqrt0)));
#if defined(_DERIVATE2)
  SP_S_x1_VGP_SI_VDI_SI=(+(+xg_VGP_SI_VDI_SI+(+Gf2_VGP_SI_VDI_SI*0.5+Gf2_VGP_SI*0.0+Gf2_VDI_SI*0.0+Gf2*0.0))-(+Gf_VGP_SI_VDI_SI*d00_sqrt0+Gf_VGP_SI*((xg_VDI_SI+(Gf2_VDI_SI*0.25))-SP_S_w_VDI_SI)*d10_sqrt0+Gf_VDI_SI*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VDI_SI+(Gf2_VDI_SI*0.25))-SP_S_w_VDI_SI)*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)+d10_sqrt0*(+(+xg_VGP_SI_VDI_SI+(+Gf2_VGP_SI_VDI_SI*0.25+Gf2_VGP_SI*0.0+Gf2_VDI_SI*0.0+Gf2*0.0))-SP_S_w_VGP_SI_VDI_SI))));
  SP_S_x1_VGP_SI_VGP_SI=(+(+xg_VGP_SI_VGP_SI+(+Gf2_VGP_SI_VGP_SI*0.5+Gf2_VGP_SI*0.0+Gf2_VGP_SI*0.0+Gf2*0.0))-(+Gf_VGP_SI_VGP_SI*d00_sqrt0+Gf_VGP_SI*((xg_VGP_SI+(Gf2_VGP_SI*0.25))-SP_S_w_VGP_SI)*d10_sqrt0+Gf_VGP_SI*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VGP_SI+(Gf2_VGP_SI*0.25))-SP_S_w_VGP_SI)*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)+d10_sqrt0*(+(+xg_VGP_SI_VGP_SI+(+Gf2_VGP_SI_VGP_SI*0.25+Gf2_VGP_SI*0.0+Gf2_VGP_SI*0.0+Gf2*0.0))-SP_S_w_VGP_SI_VGP_SI))));
  SP_S_x1_VGP_SI_VSI_BP=(+(+xg_VGP_SI_VSI_BP+(+Gf2_VGP_SI_VSI_BP*0.5+Gf2_VGP_SI*0.0+Gf2_VSI_BP*0.0+Gf2*0.0))-(+Gf_VGP_SI_VSI_BP*d00_sqrt0+Gf_VGP_SI*((xg_VSI_BP+(Gf2_VSI_BP*0.25))-SP_S_w_VSI_BP)*d10_sqrt0+Gf_VSI_BP*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VSI_BP+(Gf2_VSI_BP*0.25))-SP_S_w_VSI_BP)*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)+d10_sqrt0*(+(+xg_VGP_SI_VSI_BP+(+Gf2_VGP_SI_VSI_BP*0.25+Gf2_VGP_SI*0.0+Gf2_VSI_BP*0.0+Gf2*0.0))-SP_S_w_VGP_SI_VSI_BP))));
#endif
SP_S_x1_VSI_BP=((xg_VSI_BP+Gf2_VSI_BP*0.5)-((Gf_VSI_BP*d00_sqrt0)+(Gf*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)*d10_sqrt0)));
#if defined(_DERIVATE2)
  SP_S_x1_VSI_BP_VDI_SI=(+(+xg_VSI_BP_VDI_SI+(+Gf2_VSI_BP_VDI_SI*0.5+Gf2_VSI_BP*0.0+Gf2_VDI_SI*0.0+Gf2*0.0))-(+Gf_VSI_BP_VDI_SI*d00_sqrt0+Gf_VSI_BP*((xg_VDI_SI+(Gf2_VDI_SI*0.25))-SP_S_w_VDI_SI)*d10_sqrt0+Gf_VDI_SI*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VDI_SI+(Gf2_VDI_SI*0.25))-SP_S_w_VDI_SI)*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)+d10_sqrt0*(+(+xg_VSI_BP_VDI_SI+(+Gf2_VSI_BP_VDI_SI*0.25+Gf2_VSI_BP*0.0+Gf2_VDI_SI*0.0+Gf2*0.0))-SP_S_w_VSI_BP_VDI_SI))));
  SP_S_x1_VSI_BP_VGP_SI=(+(+xg_VSI_BP_VGP_SI+(+Gf2_VSI_BP_VGP_SI*0.5+Gf2_VSI_BP*0.0+Gf2_VGP_SI*0.0+Gf2*0.0))-(+Gf_VSI_BP_VGP_SI*d00_sqrt0+Gf_VSI_BP*((xg_VGP_SI+(Gf2_VGP_SI*0.25))-SP_S_w_VGP_SI)*d10_sqrt0+Gf_VGP_SI*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VGP_SI+(Gf2_VGP_SI*0.25))-SP_S_w_VGP_SI)*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)+d10_sqrt0*(+(+xg_VSI_BP_VGP_SI+(+Gf2_VSI_BP_VGP_SI*0.25+Gf2_VSI_BP*0.0+Gf2_VGP_SI*0.0+Gf2*0.0))-SP_S_w_VSI_BP_VGP_SI))));
  SP_S_x1_VSI_BP_VSI_BP=(+(+xg_VSI_BP_VSI_BP+(+Gf2_VSI_BP_VSI_BP*0.5+Gf2_VSI_BP*0.0+Gf2_VSI_BP*0.0+Gf2*0.0))-(+Gf_VSI_BP_VSI_BP*d00_sqrt0+Gf_VSI_BP*((xg_VSI_BP+(Gf2_VSI_BP*0.25))-SP_S_w_VSI_BP)*d10_sqrt0+Gf_VSI_BP*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VSI_BP+(Gf2_VSI_BP*0.25))-SP_S_w_VSI_BP)*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)+d10_sqrt0*(+(+xg_VSI_BP_VSI_BP+(+Gf2_VSI_BP_VSI_BP*0.25+Gf2_VSI_BP*0.0+Gf2_VSI_BP*0.0+Gf2*0.0))-SP_S_w_VSI_BP_VSI_BP))));
#endif
#endif
SP_S_x1=((xg+(Gf2*0.5))-(Gf*d00_sqrt0));
EXIT_IF_ISNAN(((xg+(Gf2*0.5))-(Gf*d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_bx_VDI_SI=xn_s_VDI_SI;
#if defined(_DERIVATE2)
  SP_S_bx_VDI_SI_VDI_SI=(+xn_s_VDI_SI_VDI_SI+0.0);
  SP_S_bx_VDI_SI_VGP_SI=(+xn_s_VDI_SI_VGP_SI+0.0);
  SP_S_bx_VDI_SI_VSI_BP=(+xn_s_VDI_SI_VSI_BP+0.0);
#endif
SP_S_bx_VGP_SI=xn_s_VGP_SI;
#if defined(_DERIVATE2)
  SP_S_bx_VGP_SI_VDI_SI=(+xn_s_VGP_SI_VDI_SI+0.0);
  SP_S_bx_VGP_SI_VGP_SI=(+xn_s_VGP_SI_VGP_SI+0.0);
  SP_S_bx_VGP_SI_VSI_BP=(+xn_s_VGP_SI_VSI_BP+0.0);
#endif
SP_S_bx_VSI_BP=xn_s_VSI_BP;
#if defined(_DERIVATE2)
  SP_S_bx_VSI_BP_VDI_SI=(+xn_s_VSI_BP_VDI_SI+0.0);
  SP_S_bx_VSI_BP_VGP_SI=(+xn_s_VSI_BP_VGP_SI+0.0);
  SP_S_bx_VSI_BP_VSI_BP=(+xn_s_VSI_BP_VSI_BP+0.0);
#endif
#endif
SP_S_bx=(xn_s+3.0);
EXIT_IF_ISNAN((xn_s+3.0))
{
double m00_sqrt(d00_sqrt0,(((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))
double m00_sqrt(d00_sqrt1,((SP_S_bx*SP_S_bx)+5.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))
double m10_sqrt(d10_sqrt1,d00_sqrt1,((SP_S_bx*SP_S_bx)+5.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_eta_VDI_SI=((0.5*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0))-(0.5*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)));
#if defined(_DERIVATE2)
  SP_S_eta_VDI_SI_VDI_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VDI_SI_VDI_SI+SP_S_bx_VDI_SI_VDI_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VDI_SI_VDI_SI-SP_S_bx_VDI_SI_VDI_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VDI_SI_VDI_SI-SP_S_bx_VDI_SI_VDI_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VDI_SI-(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VDI_SI_VDI_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))+d10_sqrt1*(+(+SP_S_bx_VDI_SI_VDI_SI*SP_S_bx+SP_S_bx_VDI_SI*SP_S_bx_VDI_SI+SP_S_bx_VDI_SI*SP_S_bx_VDI_SI+SP_S_bx*SP_S_bx_VDI_SI_VDI_SI)+0.0)))));
  SP_S_eta_VDI_SI_VGP_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VDI_SI_VGP_SI+SP_S_bx_VDI_SI_VGP_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VDI_SI_VGP_SI-SP_S_bx_VDI_SI_VGP_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VDI_SI_VGP_SI-SP_S_bx_VDI_SI_VGP_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VGP_SI-(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VDI_SI_VGP_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))+d10_sqrt1*(+(+SP_S_bx_VDI_SI_VGP_SI*SP_S_bx+SP_S_bx_VDI_SI*SP_S_bx_VGP_SI+SP_S_bx_VGP_SI*SP_S_bx_VDI_SI+SP_S_bx*SP_S_bx_VDI_SI_VGP_SI)+0.0)))));
  SP_S_eta_VDI_SI_VSI_BP=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*d10_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VDI_SI_VSI_BP+SP_S_bx_VDI_SI_VSI_BP)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VDI_SI_VSI_BP-SP_S_bx_VDI_SI_VSI_BP)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VDI_SI_VSI_BP-SP_S_bx_VDI_SI_VSI_BP))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VSI_BP-(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*d10_sqrt1)+0.0*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VDI_SI_VSI_BP-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))+d10_sqrt1*(+(+SP_S_bx_VDI_SI_VSI_BP*SP_S_bx+SP_S_bx_VDI_SI*SP_S_bx_VSI_BP+SP_S_bx_VSI_BP*SP_S_bx_VDI_SI+SP_S_bx*SP_S_bx_VDI_SI_VSI_BP)+0.0)))));
#endif
SP_S_eta_VGP_SI=((0.5*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0))-(0.5*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)));
#if defined(_DERIVATE2)
  SP_S_eta_VGP_SI_VDI_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VGP_SI_VDI_SI+SP_S_bx_VGP_SI_VDI_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VGP_SI_VDI_SI-SP_S_bx_VGP_SI_VDI_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VGP_SI_VDI_SI-SP_S_bx_VGP_SI_VDI_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VDI_SI-(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VGP_SI_VDI_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))+d10_sqrt1*(+(+SP_S_bx_VGP_SI_VDI_SI*SP_S_bx+SP_S_bx_VGP_SI*SP_S_bx_VDI_SI+SP_S_bx_VDI_SI*SP_S_bx_VGP_SI+SP_S_bx*SP_S_bx_VGP_SI_VDI_SI)+0.0)))));
  SP_S_eta_VGP_SI_VGP_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VGP_SI_VGP_SI+SP_S_bx_VGP_SI_VGP_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VGP_SI_VGP_SI-SP_S_bx_VGP_SI_VGP_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VGP_SI_VGP_SI-SP_S_bx_VGP_SI_VGP_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VGP_SI-(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VGP_SI_VGP_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))+d10_sqrt1*(+(+SP_S_bx_VGP_SI_VGP_SI*SP_S_bx+SP_S_bx_VGP_SI*SP_S_bx_VGP_SI+SP_S_bx_VGP_SI*SP_S_bx_VGP_SI+SP_S_bx*SP_S_bx_VGP_SI_VGP_SI)+0.0)))));
  SP_S_eta_VGP_SI_VSI_BP=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*d10_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VGP_SI_VSI_BP+SP_S_bx_VGP_SI_VSI_BP)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VGP_SI_VSI_BP-SP_S_bx_VGP_SI_VSI_BP)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VGP_SI_VSI_BP-SP_S_bx_VGP_SI_VSI_BP))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VSI_BP-(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*d10_sqrt1)+0.0*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VGP_SI_VSI_BP-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))+d10_sqrt1*(+(+SP_S_bx_VGP_SI_VSI_BP*SP_S_bx+SP_S_bx_VGP_SI*SP_S_bx_VSI_BP+SP_S_bx_VSI_BP*SP_S_bx_VGP_SI+SP_S_bx*SP_S_bx_VGP_SI_VSI_BP)+0.0)))));
#endif
SP_S_eta_VSI_BP=((0.5*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0))-(0.5*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)));
#if defined(_DERIVATE2)
  SP_S_eta_VSI_BP_VDI_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VSI_BP_VDI_SI+SP_S_bx_VSI_BP_VDI_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))+d10_sqrt0*(+(+(+SP_S_x1_VSI_BP_VDI_SI-SP_S_bx_VSI_BP_VDI_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VSI_BP_VDI_SI-SP_S_bx_VSI_BP_VDI_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VDI_SI-(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)+0.5*(+SP_S_bx_VSI_BP_VDI_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))+d10_sqrt1*(+(+SP_S_bx_VSI_BP_VDI_SI*SP_S_bx+SP_S_bx_VSI_BP*SP_S_bx_VDI_SI+SP_S_bx_VDI_SI*SP_S_bx_VSI_BP+SP_S_bx*SP_S_bx_VSI_BP_VDI_SI)+0.0)))));
  SP_S_eta_VSI_BP_VGP_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VSI_BP_VGP_SI+SP_S_bx_VSI_BP_VGP_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))+d10_sqrt0*(+(+(+SP_S_x1_VSI_BP_VGP_SI-SP_S_bx_VSI_BP_VGP_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VSI_BP_VGP_SI-SP_S_bx_VSI_BP_VGP_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VGP_SI-(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)+0.5*(+SP_S_bx_VSI_BP_VGP_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))+d10_sqrt1*(+(+SP_S_bx_VSI_BP_VGP_SI*SP_S_bx+SP_S_bx_VSI_BP*SP_S_bx_VGP_SI+SP_S_bx_VGP_SI*SP_S_bx_VSI_BP+SP_S_bx*SP_S_bx_VSI_BP_VGP_SI)+0.0)))));
  SP_S_eta_VSI_BP_VSI_BP=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*d10_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VSI_BP_VSI_BP+SP_S_bx_VSI_BP_VSI_BP)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))+d10_sqrt0*(+(+(+SP_S_x1_VSI_BP_VSI_BP-SP_S_bx_VSI_BP_VSI_BP)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VSI_BP_VSI_BP-SP_S_bx_VSI_BP_VSI_BP))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VSI_BP-(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*d10_sqrt1)+0.0*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)+0.5*(+SP_S_bx_VSI_BP_VSI_BP-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))+d10_sqrt1*(+(+SP_S_bx_VSI_BP_VSI_BP*SP_S_bx+SP_S_bx_VSI_BP*SP_S_bx_VSI_BP+SP_S_bx_VSI_BP*SP_S_bx_VSI_BP+SP_S_bx*SP_S_bx_VSI_BP_VSI_BP)+0.0)))));
#endif
#endif
SP_S_eta=((0.5*((SP_S_x1+SP_S_bx)-d00_sqrt0))-(0.5*(SP_S_bx-d00_sqrt1)));
EXIT_IF_ISNAN(((0.5*((SP_S_x1+SP_S_bx)-d00_sqrt0))-(0.5*(SP_S_bx-d00_sqrt1))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(xg_VDI_SI-SP_S_eta_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+xg_VDI_SI_VDI_SI-SP_S_eta_VDI_SI_VDI_SI);
  SP_S_temp_VDI_SI_VGP_SI=(+xg_VDI_SI_VGP_SI-SP_S_eta_VDI_SI_VGP_SI);
  SP_S_temp_VDI_SI_VSI_BP=(+xg_VDI_SI_VSI_BP-SP_S_eta_VDI_SI_VSI_BP);
#endif
SP_S_temp_VGP_SI=(xg_VGP_SI-SP_S_eta_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+xg_VGP_SI_VDI_SI-SP_S_eta_VGP_SI_VDI_SI);
  SP_S_temp_VGP_SI_VGP_SI=(+xg_VGP_SI_VGP_SI-SP_S_eta_VGP_SI_VGP_SI);
  SP_S_temp_VGP_SI_VSI_BP=(+xg_VGP_SI_VSI_BP-SP_S_eta_VGP_SI_VSI_BP);
#endif
SP_S_temp_VSI_BP=(xg_VSI_BP-SP_S_eta_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+xg_VSI_BP_VDI_SI-SP_S_eta_VSI_BP_VDI_SI);
  SP_S_temp_VSI_BP_VGP_SI=(+xg_VSI_BP_VGP_SI-SP_S_eta_VSI_BP_VGP_SI);
  SP_S_temp_VSI_BP_VSI_BP=(+xg_VSI_BP_VSI_BP-SP_S_eta_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp=(xg-SP_S_eta);
EXIT_IF_ISNAN((xg-SP_S_eta))
{
double m00_exp(d00_exp0,(-SP_S_eta))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp1_VDI_SI=(-SP_S_eta_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp1_VDI_SI_VDI_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VDI_SI)*(-SP_S_eta_VDI_SI)+d10_exp0*0.0);
  SP_S_temp1_VDI_SI_VGP_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VGP_SI)*(-SP_S_eta_VDI_SI)+d10_exp0*0.0);
  SP_S_temp1_VDI_SI_VSI_BP=(m20_exp((-SP_S_eta))*(-SP_S_eta_VSI_BP)*(-SP_S_eta_VDI_SI)+d10_exp0*0.0);
#endif
SP_S_temp1_VGP_SI=(-SP_S_eta_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp1_VGP_SI_VDI_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VDI_SI)*(-SP_S_eta_VGP_SI)+d10_exp0*0.0);
  SP_S_temp1_VGP_SI_VGP_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VGP_SI)*(-SP_S_eta_VGP_SI)+d10_exp0*0.0);
  SP_S_temp1_VGP_SI_VSI_BP=(m20_exp((-SP_S_eta))*(-SP_S_eta_VSI_BP)*(-SP_S_eta_VGP_SI)+d10_exp0*0.0);
#endif
SP_S_temp1_VSI_BP=(-SP_S_eta_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp1_VSI_BP_VDI_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VDI_SI)*(-SP_S_eta_VSI_BP)+d10_exp0*0.0);
  SP_S_temp1_VSI_BP_VGP_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VGP_SI)*(-SP_S_eta_VSI_BP)+d10_exp0*0.0);
  SP_S_temp1_VSI_BP_VSI_BP=(m20_exp((-SP_S_eta))*(-SP_S_eta_VSI_BP)*(-SP_S_eta_VSI_BP)+d10_exp0*0.0);
#endif
#endif
SP_S_temp1=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp2_VDI_SI=(-((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#if defined(_DERIVATE2)
  SP_S_temp2_VDI_SI_VDI_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))+0.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))+1.0*(+0.0+(+SP_S_eta_VDI_SI_VDI_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VDI_SI_VGP_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))+0.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))+1.0*(+0.0+(+SP_S_eta_VDI_SI_VGP_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VDI_SI_VSI_BP=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))+0.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))+1.0*(+0.0+(+SP_S_eta_VDI_SI_VSI_BP*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#endif
SP_S_temp2_VGP_SI=(-((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#if defined(_DERIVATE2)
  SP_S_temp2_VGP_SI_VDI_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))+0.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))+1.0*(+0.0+(+SP_S_eta_VGP_SI_VDI_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VGP_SI_VGP_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))+0.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))+1.0*(+0.0+(+SP_S_eta_VGP_SI_VGP_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VGP_SI_VSI_BP=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))+0.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))+1.0*(+0.0+(+SP_S_eta_VGP_SI_VSI_BP*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#endif
SP_S_temp2_VSI_BP=(-((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#if defined(_DERIVATE2)
  SP_S_temp2_VSI_BP_VDI_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))+0.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))+1.0*(+0.0+(+SP_S_eta_VSI_BP_VDI_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VSI_BP_VGP_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))+0.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))+1.0*(+0.0+(+SP_S_eta_VSI_BP_VGP_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VSI_BP_VSI_BP=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))+0.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))+1.0*(+0.0+(+SP_S_eta_VSI_BP_VSI_BP*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#endif
#endif
SP_S_temp2=(1.0/(2.0+(SP_S_eta*SP_S_eta)));
EXIT_IF_ISNAN((1.0/(2.0+(SP_S_eta*SP_S_eta))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi0_VDI_SI=((((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VDI_SI_VDI_SI=(+(+SP_S_eta_VDI_SI_VDI_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI_VDI_SI);
  SP_S_xi0_VDI_SI_VGP_SI=(+(+SP_S_eta_VDI_SI_VGP_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI_VGP_SI);
  SP_S_xi0_VDI_SI_VSI_BP=(+(+SP_S_eta_VDI_SI_VSI_BP*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI_VSI_BP);
#endif
SP_S_xi0_VGP_SI=((((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VGP_SI_VDI_SI=(+(+SP_S_eta_VGP_SI_VDI_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI_VDI_SI);
  SP_S_xi0_VGP_SI_VGP_SI=(+(+SP_S_eta_VGP_SI_VGP_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI_VGP_SI);
  SP_S_xi0_VGP_SI_VSI_BP=(+(+SP_S_eta_VGP_SI_VSI_BP*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI_VSI_BP);
#endif
SP_S_xi0_VSI_BP=((((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi0_VSI_BP_VDI_SI=(+(+SP_S_eta_VSI_BP_VDI_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VDI_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP_VDI_SI);
  SP_S_xi0_VSI_BP_VGP_SI=(+(+SP_S_eta_VSI_BP_VGP_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VGP_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP_VGP_SI);
  SP_S_xi0_VSI_BP_VSI_BP=(+(+SP_S_eta_VSI_BP_VSI_BP*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VSI_BP)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi0=((SP_S_eta*SP_S_eta)*SP_S_temp2);
EXIT_IF_ISNAN(((SP_S_eta*SP_S_eta)*SP_S_temp2))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi1_VDI_SI=(4.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VDI_SI_VDI_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)))+0.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI))+4.0*(+(+SP_S_eta_VDI_SI_VDI_SI*SP_S_temp2+SP_S_eta_VDI_SI*SP_S_temp2_VDI_SI+SP_S_eta_VDI_SI*SP_S_temp2_VDI_SI+SP_S_eta*SP_S_temp2_VDI_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI_VDI_SI));
  SP_S_xi1_VDI_SI_VGP_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)))+0.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI))+4.0*(+(+SP_S_eta_VDI_SI_VGP_SI*SP_S_temp2+SP_S_eta_VDI_SI*SP_S_temp2_VGP_SI+SP_S_eta_VGP_SI*SP_S_temp2_VDI_SI+SP_S_eta*SP_S_temp2_VDI_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI_VGP_SI));
  SP_S_xi1_VDI_SI_VSI_BP=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)))+0.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI))+4.0*(+(+SP_S_eta_VDI_SI_VSI_BP*SP_S_temp2+SP_S_eta_VDI_SI*SP_S_temp2_VSI_BP+SP_S_eta_VSI_BP*SP_S_temp2_VDI_SI+SP_S_eta*SP_S_temp2_VDI_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI_VSI_BP));
#endif
SP_S_xi1_VGP_SI=(4.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VGP_SI_VDI_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)))+0.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI))+4.0*(+(+SP_S_eta_VGP_SI_VDI_SI*SP_S_temp2+SP_S_eta_VGP_SI*SP_S_temp2_VDI_SI+SP_S_eta_VDI_SI*SP_S_temp2_VGP_SI+SP_S_eta*SP_S_temp2_VGP_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI_VDI_SI));
  SP_S_xi1_VGP_SI_VGP_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)))+0.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI))+4.0*(+(+SP_S_eta_VGP_SI_VGP_SI*SP_S_temp2+SP_S_eta_VGP_SI*SP_S_temp2_VGP_SI+SP_S_eta_VGP_SI*SP_S_temp2_VGP_SI+SP_S_eta*SP_S_temp2_VGP_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI_VGP_SI));
  SP_S_xi1_VGP_SI_VSI_BP=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)))+0.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI))+4.0*(+(+SP_S_eta_VGP_SI_VSI_BP*SP_S_temp2+SP_S_eta_VGP_SI*SP_S_temp2_VSI_BP+SP_S_eta_VSI_BP*SP_S_temp2_VGP_SI+SP_S_eta*SP_S_temp2_VGP_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI_VSI_BP));
#endif
SP_S_xi1_VSI_BP=(4.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_xi1_VSI_BP_VDI_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)))+0.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP))+4.0*(+(+SP_S_eta_VSI_BP_VDI_SI*SP_S_temp2+SP_S_eta_VSI_BP*SP_S_temp2_VDI_SI+SP_S_eta_VDI_SI*SP_S_temp2_VSI_BP+SP_S_eta*SP_S_temp2_VSI_BP_VDI_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP_VDI_SI));
  SP_S_xi1_VSI_BP_VGP_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)))+0.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP))+4.0*(+(+SP_S_eta_VSI_BP_VGP_SI*SP_S_temp2+SP_S_eta_VSI_BP*SP_S_temp2_VGP_SI+SP_S_eta_VGP_SI*SP_S_temp2_VSI_BP+SP_S_eta*SP_S_temp2_VSI_BP_VGP_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP_VGP_SI));
  SP_S_xi1_VSI_BP_VSI_BP=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)))+0.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP))+4.0*(+(+SP_S_eta_VSI_BP_VSI_BP*SP_S_temp2+SP_S_eta_VSI_BP*SP_S_temp2_VSI_BP+SP_S_eta_VSI_BP*SP_S_temp2_VSI_BP+SP_S_eta*SP_S_temp2_VSI_BP_VSI_BP)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP_VSI_BP));
#endif
#endif
SP_S_xi1=(4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
EXIT_IF_ISNAN((4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi2_VDI_SI=((((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2)+((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VDI_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VDI_SI+0.0*SP_S_temp2_VDI_SI+8.0*SP_S_temp2_VDI_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VDI_SI))*SP_S_temp2+((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2_VDI_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI_VDI_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2_VDI_SI+((((((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI)))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI_VDI_SI);
  SP_S_xi2_VDI_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VGP_SI+0.0*SP_S_temp2_VDI_SI+8.0*SP_S_temp2_VDI_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VGP_SI))*SP_S_temp2+((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2_VDI_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI_VGP_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2_VGP_SI+((((((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI)))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI_VGP_SI);
  SP_S_xi2_VDI_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VSI_BP+0.0*SP_S_temp2_VDI_SI+8.0*SP_S_temp2_VDI_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VSI_BP))*SP_S_temp2+((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2_VDI_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI_VSI_BP)*SP_S_temp2+((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2_VSI_BP+((((((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP)))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI_VSI_BP);
#endif
SP_S_xi2_VGP_SI=((((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2)+((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VGP_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VDI_SI+0.0*SP_S_temp2_VGP_SI+8.0*SP_S_temp2_VGP_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VDI_SI))*SP_S_temp2+((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2_VGP_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI_VDI_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2_VDI_SI+((((((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI)))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI_VDI_SI);
  SP_S_xi2_VGP_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VGP_SI+0.0*SP_S_temp2_VGP_SI+8.0*SP_S_temp2_VGP_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VGP_SI))*SP_S_temp2+((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2_VGP_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI_VGP_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2_VGP_SI+((((((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI)))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI_VGP_SI);
  SP_S_xi2_VGP_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VSI_BP+0.0*SP_S_temp2_VGP_SI+8.0*SP_S_temp2_VGP_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VSI_BP))*SP_S_temp2+((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2_VGP_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI_VSI_BP)*SP_S_temp2+((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2_VSI_BP+((((((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP)))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI_VSI_BP);
#endif
SP_S_xi2_VSI_BP=((((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2)+((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi2_VSI_BP_VDI_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VDI_SI+0.0*SP_S_temp2_VSI_BP+8.0*SP_S_temp2_VSI_BP_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VDI_SI))*SP_S_temp2+((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2_VSI_BP+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP_VDI_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2_VDI_SI+((((((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI)))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP_VDI_SI);
  SP_S_xi2_VSI_BP_VGP_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VGP_SI+0.0*SP_S_temp2_VSI_BP+8.0*SP_S_temp2_VSI_BP_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VGP_SI))*SP_S_temp2+((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2_VSI_BP+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP_VGP_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2_VGP_SI+((((((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI)))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP_VGP_SI);
  SP_S_xi2_VSI_BP_VSI_BP=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VSI_BP+0.0*SP_S_temp2_VSI_BP+8.0*SP_S_temp2_VSI_BP_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VSI_BP))*SP_S_temp2+((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2_VSI_BP+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP_VSI_BP)*SP_S_temp2+((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2_VSI_BP+((((((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP)))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi2=((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
EXIT_IF_ISNAN(((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2))
{
double m00_max(d00_max0,1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))))
#if defined(_DERIVATEFORDDX)
double m11_max(d11_max0,d00_max0,1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_a_VDI_SI=(d11_max0*(((SP_S_temp_VDI_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VDI_SI))-((Gf2_VDI_SI*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))+(Gf2*((SP_S_temp1_VDI_SI+SP_S_eta_VDI_SI)-((delta_ns_VDI_SI*((SP_S_eta+1.0)+SP_S_xi0))+(delta_ns*(SP_S_eta_VDI_SI+SP_S_xi0_VDI_SI))))))));
#if defined(_DERIVATE2)
  SP_S_a_VDI_SI_VDI_SI=fixme;
  SP_S_a_VDI_SI_VGP_SI=fixme;
  SP_S_a_VDI_SI_VSI_BP=fixme;
#endif
SP_S_a_VGP_SI=(d11_max0*(((SP_S_temp_VGP_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VGP_SI))-((Gf2_VGP_SI*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))+(Gf2*((SP_S_temp1_VGP_SI+SP_S_eta_VGP_SI)-((delta_ns_VGP_SI*((SP_S_eta+1.0)+SP_S_xi0))+(delta_ns*(SP_S_eta_VGP_SI+SP_S_xi0_VGP_SI))))))));
#if defined(_DERIVATE2)
  SP_S_a_VGP_SI_VDI_SI=fixme;
  SP_S_a_VGP_SI_VGP_SI=fixme;
  SP_S_a_VGP_SI_VSI_BP=fixme;
#endif
SP_S_a_VSI_BP=(d11_max0*(((SP_S_temp_VSI_BP*SP_S_temp)+(SP_S_temp*SP_S_temp_VSI_BP))-((Gf2_VSI_BP*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))+(Gf2*((SP_S_temp1_VSI_BP+SP_S_eta_VSI_BP)-((delta_ns_VSI_BP*((SP_S_eta+1.0)+SP_S_xi0))+(delta_ns*(SP_S_eta_VSI_BP+SP_S_xi0_VSI_BP))))))));
#if defined(_DERIVATE2)
  SP_S_a_VSI_BP_VDI_SI=fixme;
  SP_S_a_VSI_BP_VGP_SI=fixme;
  SP_S_a_VSI_BP_VSI_BP=fixme;
#endif
#endif
SP_S_a=d00_max0;
EXIT_IF_ISNAN(d00_max0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_b_VDI_SI=(-(0.5*((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))));
#if defined(_DERIVATE2)
  SP_S_b_VDI_SI_VDI_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))))+0.0*((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))+0.5*(+Gf2_VDI_SI_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*(SP_S_temp1_VDI_SI-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+SP_S_temp1_VDI_SI_VDI_SI-(+delta_ns_VDI_SI_VDI_SI*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VDI_SI)))));
  SP_S_b_VDI_SI_VGP_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))))+0.0*((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))+0.5*(+Gf2_VDI_SI_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*(SP_S_temp1_VGP_SI-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+SP_S_temp1_VDI_SI_VGP_SI-(+delta_ns_VDI_SI_VGP_SI*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VGP_SI)))));
  SP_S_b_VDI_SI_VSI_BP=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))))+0.0*((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))+0.5*(+Gf2_VDI_SI_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*(SP_S_temp1_VSI_BP-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+SP_S_temp1_VDI_SI_VSI_BP-(+delta_ns_VDI_SI_VSI_BP*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VSI_BP)))));
#endif
SP_S_b_VGP_SI=(-(0.5*((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))));
#if defined(_DERIVATE2)
  SP_S_b_VGP_SI_VDI_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))))+0.0*((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))+0.5*(+Gf2_VGP_SI_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*(SP_S_temp1_VDI_SI-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+SP_S_temp1_VGP_SI_VDI_SI-(+delta_ns_VGP_SI_VDI_SI*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VDI_SI)))));
  SP_S_b_VGP_SI_VGP_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))))+0.0*((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))+0.5*(+Gf2_VGP_SI_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*(SP_S_temp1_VGP_SI-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+SP_S_temp1_VGP_SI_VGP_SI-(+delta_ns_VGP_SI_VGP_SI*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VGP_SI)))));
  SP_S_b_VGP_SI_VSI_BP=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))))+0.0*((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))+0.5*(+Gf2_VGP_SI_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*(SP_S_temp1_VSI_BP-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+SP_S_temp1_VGP_SI_VSI_BP-(+delta_ns_VGP_SI_VSI_BP*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VSI_BP)))));
#endif
SP_S_b_VSI_BP=(-(0.5*((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))));
#if defined(_DERIVATE2)
  SP_S_b_VSI_BP_VDI_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))))+0.0*((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))+0.5*(+Gf2_VSI_BP_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*(SP_S_temp1_VDI_SI-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+SP_S_temp1_VSI_BP_VDI_SI-(+delta_ns_VSI_BP_VDI_SI*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VDI_SI)))));
  SP_S_b_VSI_BP_VGP_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))))+0.0*((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))+0.5*(+Gf2_VSI_BP_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*(SP_S_temp1_VGP_SI-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+SP_S_temp1_VSI_BP_VGP_SI-(+delta_ns_VSI_BP_VGP_SI*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VGP_SI)))));
  SP_S_b_VSI_BP_VSI_BP=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))))+0.0*((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))+0.5*(+Gf2_VSI_BP_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*(SP_S_temp1_VSI_BP-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+SP_S_temp1_VSI_BP_VSI_BP-(+delta_ns_VSI_BP_VSI_BP*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_b=(1.0-(0.5*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))));
EXIT_IF_ISNAN((1.0-(0.5*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_c_VDI_SI=((2.0*SP_S_temp_VDI_SI)+((Gf2_VDI_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1))))+(Gf2*((-SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_c_VDI_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VDI_SI)+(+Gf2_VDI_SI_VDI_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VDI_SI*((-SP_S_temp1_VDI_SI)-(((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*((-SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI)))+Gf2*(+(+0.0-SP_S_temp1_VDI_SI_VDI_SI)-(+delta_ns_VDI_SI_VDI_SI*(1.0+SP_S_xi1)+delta_ns_VDI_SI*SP_S_xi1_VDI_SI+delta_ns_VDI_SI*SP_S_xi1_VDI_SI+delta_ns*(+0.0+SP_S_xi1_VDI_SI_VDI_SI)))));
  SP_S_c_VDI_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VGP_SI)+(+Gf2_VDI_SI_VGP_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VDI_SI*((-SP_S_temp1_VGP_SI)-(((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*((-SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI)))+Gf2*(+(+0.0-SP_S_temp1_VDI_SI_VGP_SI)-(+delta_ns_VDI_SI_VGP_SI*(1.0+SP_S_xi1)+delta_ns_VDI_SI*SP_S_xi1_VGP_SI+delta_ns_VGP_SI*SP_S_xi1_VDI_SI+delta_ns*(+0.0+SP_S_xi1_VDI_SI_VGP_SI)))));
  SP_S_c_VDI_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VSI_BP)+(+Gf2_VDI_SI_VSI_BP*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VDI_SI*((-SP_S_temp1_VSI_BP)-(((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*((-SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI)))+Gf2*(+(+0.0-SP_S_temp1_VDI_SI_VSI_BP)-(+delta_ns_VDI_SI_VSI_BP*(1.0+SP_S_xi1)+delta_ns_VDI_SI*SP_S_xi1_VSI_BP+delta_ns_VSI_BP*SP_S_xi1_VDI_SI+delta_ns*(+0.0+SP_S_xi1_VDI_SI_VSI_BP)))));
#endif
SP_S_c_VGP_SI=((2.0*SP_S_temp_VGP_SI)+((Gf2_VGP_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1))))+(Gf2*((-SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_c_VGP_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VDI_SI)+(+Gf2_VGP_SI_VDI_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VGP_SI*((-SP_S_temp1_VDI_SI)-(((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*((-SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI)))+Gf2*(+(+0.0-SP_S_temp1_VGP_SI_VDI_SI)-(+delta_ns_VGP_SI_VDI_SI*(1.0+SP_S_xi1)+delta_ns_VGP_SI*SP_S_xi1_VDI_SI+delta_ns_VDI_SI*SP_S_xi1_VGP_SI+delta_ns*(+0.0+SP_S_xi1_VGP_SI_VDI_SI)))));
  SP_S_c_VGP_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VGP_SI)+(+Gf2_VGP_SI_VGP_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VGP_SI*((-SP_S_temp1_VGP_SI)-(((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*((-SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI)))+Gf2*(+(+0.0-SP_S_temp1_VGP_SI_VGP_SI)-(+delta_ns_VGP_SI_VGP_SI*(1.0+SP_S_xi1)+delta_ns_VGP_SI*SP_S_xi1_VGP_SI+delta_ns_VGP_SI*SP_S_xi1_VGP_SI+delta_ns*(+0.0+SP_S_xi1_VGP_SI_VGP_SI)))));
  SP_S_c_VGP_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VSI_BP)+(+Gf2_VGP_SI_VSI_BP*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VGP_SI*((-SP_S_temp1_VSI_BP)-(((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*((-SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI)))+Gf2*(+(+0.0-SP_S_temp1_VGP_SI_VSI_BP)-(+delta_ns_VGP_SI_VSI_BP*(1.0+SP_S_xi1)+delta_ns_VGP_SI*SP_S_xi1_VSI_BP+delta_ns_VSI_BP*SP_S_xi1_VGP_SI+delta_ns*(+0.0+SP_S_xi1_VGP_SI_VSI_BP)))));
#endif
SP_S_c_VSI_BP=((2.0*SP_S_temp_VSI_BP)+((Gf2_VSI_BP*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1))))+(Gf2*((-SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_c_VSI_BP_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VDI_SI)+(+Gf2_VSI_BP_VDI_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VSI_BP*((-SP_S_temp1_VDI_SI)-(((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*((-SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP)))+Gf2*(+(+0.0-SP_S_temp1_VSI_BP_VDI_SI)-(+delta_ns_VSI_BP_VDI_SI*(1.0+SP_S_xi1)+delta_ns_VSI_BP*SP_S_xi1_VDI_SI+delta_ns_VDI_SI*SP_S_xi1_VSI_BP+delta_ns*(+0.0+SP_S_xi1_VSI_BP_VDI_SI)))));
  SP_S_c_VSI_BP_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VGP_SI)+(+Gf2_VSI_BP_VGP_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VSI_BP*((-SP_S_temp1_VGP_SI)-(((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*((-SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP)))+Gf2*(+(+0.0-SP_S_temp1_VSI_BP_VGP_SI)-(+delta_ns_VSI_BP_VGP_SI*(1.0+SP_S_xi1)+delta_ns_VSI_BP*SP_S_xi1_VGP_SI+delta_ns_VGP_SI*SP_S_xi1_VSI_BP+delta_ns*(+0.0+SP_S_xi1_VSI_BP_VGP_SI)))));
  SP_S_c_VSI_BP_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VSI_BP)+(+Gf2_VSI_BP_VSI_BP*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VSI_BP*((-SP_S_temp1_VSI_BP)-(((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*((-SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP)))+Gf2*(+(+0.0-SP_S_temp1_VSI_BP_VSI_BP)-(+delta_ns_VSI_BP_VSI_BP*(1.0+SP_S_xi1)+delta_ns_VSI_BP*SP_S_xi1_VSI_BP+delta_ns_VSI_BP*SP_S_xi1_VSI_BP+delta_ns*(+0.0+SP_S_xi1_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_c=((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))));
EXIT_IF_ISNAN(((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1))))))
{
double m00_logE(d00_logE0,(SP_S_a/Gf2))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(SP_S_a/Gf2))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_tau_VDI_SI=((xn_s_VDI_SI-SP_S_eta_VDI_SI)+((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VDI_SI_VDI_SI=(+(+xn_s_VDI_SI_VDI_SI-SP_S_eta_VDI_SI_VDI_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VDI_SI_VDI_SI/Gf2-(SP_S_a_VDI_SI*Gf2_VDI_SI+SP_S_a_VDI_SI*Gf2_VDI_SI+SP_S_a*Gf2_VDI_SI_VDI_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VDI_SI*Gf2_VDI_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VDI_SI_VGP_SI=(+(+xn_s_VDI_SI_VGP_SI-SP_S_eta_VDI_SI_VGP_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VDI_SI_VGP_SI/Gf2-(SP_S_a_VDI_SI*Gf2_VGP_SI+SP_S_a_VGP_SI*Gf2_VDI_SI+SP_S_a*Gf2_VDI_SI_VGP_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VDI_SI*Gf2_VGP_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VDI_SI_VSI_BP=(+(+xn_s_VDI_SI_VSI_BP-SP_S_eta_VDI_SI_VSI_BP)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VDI_SI_VSI_BP/Gf2-(SP_S_a_VDI_SI*Gf2_VSI_BP+SP_S_a_VSI_BP*Gf2_VDI_SI+SP_S_a*Gf2_VDI_SI_VSI_BP)/Gf2/Gf2+2*SP_S_a*Gf2_VDI_SI*Gf2_VSI_BP/Gf2/Gf2/Gf2)));
#endif
SP_S_tau_VGP_SI=((xn_s_VGP_SI-SP_S_eta_VGP_SI)+((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VGP_SI_VDI_SI=(+(+xn_s_VGP_SI_VDI_SI-SP_S_eta_VGP_SI_VDI_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VGP_SI_VDI_SI/Gf2-(SP_S_a_VGP_SI*Gf2_VDI_SI+SP_S_a_VDI_SI*Gf2_VGP_SI+SP_S_a*Gf2_VGP_SI_VDI_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VGP_SI*Gf2_VDI_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VGP_SI_VGP_SI=(+(+xn_s_VGP_SI_VGP_SI-SP_S_eta_VGP_SI_VGP_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VGP_SI_VGP_SI/Gf2-(SP_S_a_VGP_SI*Gf2_VGP_SI+SP_S_a_VGP_SI*Gf2_VGP_SI+SP_S_a*Gf2_VGP_SI_VGP_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VGP_SI*Gf2_VGP_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VGP_SI_VSI_BP=(+(+xn_s_VGP_SI_VSI_BP-SP_S_eta_VGP_SI_VSI_BP)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VGP_SI_VSI_BP/Gf2-(SP_S_a_VGP_SI*Gf2_VSI_BP+SP_S_a_VSI_BP*Gf2_VGP_SI+SP_S_a*Gf2_VGP_SI_VSI_BP)/Gf2/Gf2+2*SP_S_a*Gf2_VGP_SI*Gf2_VSI_BP/Gf2/Gf2/Gf2)));
#endif
SP_S_tau_VSI_BP=((xn_s_VSI_BP-SP_S_eta_VSI_BP)+((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VSI_BP_VDI_SI=(+(+xn_s_VSI_BP_VDI_SI-SP_S_eta_VSI_BP_VDI_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)+d10_logE0*(SP_S_a_VSI_BP_VDI_SI/Gf2-(SP_S_a_VSI_BP*Gf2_VDI_SI+SP_S_a_VDI_SI*Gf2_VSI_BP+SP_S_a*Gf2_VSI_BP_VDI_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VSI_BP*Gf2_VDI_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VSI_BP_VGP_SI=(+(+xn_s_VSI_BP_VGP_SI-SP_S_eta_VSI_BP_VGP_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)+d10_logE0*(SP_S_a_VSI_BP_VGP_SI/Gf2-(SP_S_a_VSI_BP*Gf2_VGP_SI+SP_S_a_VGP_SI*Gf2_VSI_BP+SP_S_a*Gf2_VSI_BP_VGP_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VSI_BP*Gf2_VGP_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VSI_BP_VSI_BP=(+(+xn_s_VSI_BP_VSI_BP-SP_S_eta_VSI_BP_VSI_BP)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)+d10_logE0*(SP_S_a_VSI_BP_VSI_BP/Gf2-(SP_S_a_VSI_BP*Gf2_VSI_BP+SP_S_a_VSI_BP*Gf2_VSI_BP+SP_S_a*Gf2_VSI_BP_VSI_BP)/Gf2/Gf2+2*SP_S_a*Gf2_VSI_BP*Gf2_VSI_BP/Gf2/Gf2/Gf2)));
#endif
#endif
SP_S_tau=((xn_s-SP_S_eta)+d00_logE0);
EXIT_IF_ISNAN(((xn_s-SP_S_eta)+d00_logE0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
nu_VDI_SI=(SP_S_a_VDI_SI+SP_S_c_VDI_SI);
#if defined(_DERIVATE2)
  nu_VDI_SI_VDI_SI=(+SP_S_a_VDI_SI_VDI_SI+SP_S_c_VDI_SI_VDI_SI);
  nu_VDI_SI_VGP_SI=(+SP_S_a_VDI_SI_VGP_SI+SP_S_c_VDI_SI_VGP_SI);
  nu_VDI_SI_VSI_BP=(+SP_S_a_VDI_SI_VSI_BP+SP_S_c_VDI_SI_VSI_BP);
#endif
nu_VGP_SI=(SP_S_a_VGP_SI+SP_S_c_VGP_SI);
#if defined(_DERIVATE2)
  nu_VGP_SI_VDI_SI=(+SP_S_a_VGP_SI_VDI_SI+SP_S_c_VGP_SI_VDI_SI);
  nu_VGP_SI_VGP_SI=(+SP_S_a_VGP_SI_VGP_SI+SP_S_c_VGP_SI_VGP_SI);
  nu_VGP_SI_VSI_BP=(+SP_S_a_VGP_SI_VSI_BP+SP_S_c_VGP_SI_VSI_BP);
#endif
nu_VSI_BP=(SP_S_a_VSI_BP+SP_S_c_VSI_BP);
#if defined(_DERIVATE2)
  nu_VSI_BP_VDI_SI=(+SP_S_a_VSI_BP_VDI_SI+SP_S_c_VSI_BP_VDI_SI);
  nu_VSI_BP_VGP_SI=(+SP_S_a_VSI_BP_VGP_SI+SP_S_c_VSI_BP_VGP_SI);
  nu_VSI_BP_VSI_BP=(+SP_S_a_VSI_BP_VSI_BP+SP_S_c_VSI_BP_VSI_BP);
#endif
#endif
nu=(SP_S_a+SP_S_c);
EXIT_IF_ISNAN((SP_S_a+SP_S_c))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
mutau_VDI_SI=(((nu_VDI_SI*nu)+(nu*nu_VDI_SI))+((SP_S_tau_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))+(SP_S_tau*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))));
#if defined(_DERIVATE2)
  mutau_VDI_SI_VDI_SI=(+(+nu_VDI_SI_VDI_SI*nu+nu_VDI_SI*nu_VDI_SI+nu_VDI_SI*nu_VDI_SI+nu*nu_VDI_SI_VDI_SI)+(+SP_S_tau_VDI_SI_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VDI_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VDI_SI))-(+SP_S_a_VDI_SI_VDI_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VDI_SI))));
  mutau_VDI_SI_VGP_SI=(+(+nu_VDI_SI_VGP_SI*nu+nu_VDI_SI*nu_VGP_SI+nu_VGP_SI*nu_VDI_SI+nu*nu_VDI_SI_VGP_SI)+(+SP_S_tau_VDI_SI_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VGP_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VGP_SI))-(+SP_S_a_VDI_SI_VGP_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VGP_SI))));
  mutau_VDI_SI_VSI_BP=(+(+nu_VDI_SI_VSI_BP*nu+nu_VDI_SI*nu_VSI_BP+nu_VSI_BP*nu_VDI_SI+nu*nu_VDI_SI_VSI_BP)+(+SP_S_tau_VDI_SI_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VSI_BP*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VSI_BP))-(+SP_S_a_VDI_SI_VSI_BP*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VSI_BP))));
#endif
mutau_VGP_SI=(((nu_VGP_SI*nu)+(nu*nu_VGP_SI))+((SP_S_tau_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))+(SP_S_tau*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))));
#if defined(_DERIVATE2)
  mutau_VGP_SI_VDI_SI=(+(+nu_VGP_SI_VDI_SI*nu+nu_VGP_SI*nu_VDI_SI+nu_VDI_SI*nu_VGP_SI+nu*nu_VGP_SI_VDI_SI)+(+SP_S_tau_VGP_SI_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VDI_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VDI_SI))-(+SP_S_a_VGP_SI_VDI_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VDI_SI))));
  mutau_VGP_SI_VGP_SI=(+(+nu_VGP_SI_VGP_SI*nu+nu_VGP_SI*nu_VGP_SI+nu_VGP_SI*nu_VGP_SI+nu*nu_VGP_SI_VGP_SI)+(+SP_S_tau_VGP_SI_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VGP_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VGP_SI))-(+SP_S_a_VGP_SI_VGP_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VGP_SI))));
  mutau_VGP_SI_VSI_BP=(+(+nu_VGP_SI_VSI_BP*nu+nu_VGP_SI*nu_VSI_BP+nu_VSI_BP*nu_VGP_SI+nu*nu_VGP_SI_VSI_BP)+(+SP_S_tau_VGP_SI_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VSI_BP*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VSI_BP))-(+SP_S_a_VGP_SI_VSI_BP*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VSI_BP))));
#endif
mutau_VSI_BP=(((nu_VSI_BP*nu)+(nu*nu_VSI_BP))+((SP_S_tau_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))+(SP_S_tau*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))));
#if defined(_DERIVATE2)
  mutau_VSI_BP_VDI_SI=(+(+nu_VSI_BP_VDI_SI*nu+nu_VSI_BP*nu_VDI_SI+nu_VDI_SI*nu_VSI_BP+nu*nu_VSI_BP_VDI_SI)+(+SP_S_tau_VSI_BP_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VDI_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VDI_SI))-(+SP_S_a_VSI_BP_VDI_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VDI_SI))));
  mutau_VSI_BP_VGP_SI=(+(+nu_VSI_BP_VGP_SI*nu+nu_VSI_BP*nu_VGP_SI+nu_VGP_SI*nu_VSI_BP+nu*nu_VSI_BP_VGP_SI)+(+SP_S_tau_VSI_BP_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VGP_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VGP_SI))-(+SP_S_a_VSI_BP_VGP_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VGP_SI))));
  mutau_VSI_BP_VSI_BP=(+(+nu_VSI_BP_VSI_BP*nu+nu_VSI_BP*nu_VSI_BP+nu_VSI_BP*nu_VSI_BP+nu*nu_VSI_BP_VSI_BP)+(+SP_S_tau_VSI_BP_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VSI_BP*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VSI_BP))-(+SP_S_a_VSI_BP_VSI_BP*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VSI_BP))));
#endif
#endif
mutau=((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
EXIT_IF_ISNAN(((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_x0_VDI_SI=(SP_S_eta_VDI_SI+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#if defined(_DERIVATE2)
  SP_S_x0_VDI_SI_VDI_SI=(+SP_S_eta_VDI_SI_VDI_SI+((+(+SP_S_a_VDI_SI_VDI_SI*nu+SP_S_a_VDI_SI*nu_VDI_SI+SP_S_a_VDI_SI*nu_VDI_SI+SP_S_a*nu_VDI_SI_VDI_SI)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VDI_SI+(+(+(+(+(nu_VDI_SI_VDI_SI/mutau-(nu_VDI_SI*mutau_VDI_SI+nu_VDI_SI*mutau_VDI_SI+nu*mutau_VDI_SI_VDI_SI)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VDI_SI)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VDI_SI)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VDI_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VDI_SI_VDI_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VDI_SI_VGP_SI=(+SP_S_eta_VDI_SI_VGP_SI+((+(+SP_S_a_VDI_SI_VGP_SI*nu+SP_S_a_VDI_SI*nu_VGP_SI+SP_S_a_VGP_SI*nu_VDI_SI+SP_S_a*nu_VDI_SI_VGP_SI)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VGP_SI+(+(+(+(+(nu_VDI_SI_VGP_SI/mutau-(nu_VDI_SI*mutau_VGP_SI+nu_VGP_SI*mutau_VDI_SI+nu*mutau_VDI_SI_VGP_SI)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VGP_SI)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VGP_SI)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VGP_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VDI_SI_VGP_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VDI_SI_VSI_BP=(+SP_S_eta_VDI_SI_VSI_BP+((+(+SP_S_a_VDI_SI_VSI_BP*nu+SP_S_a_VDI_SI*nu_VSI_BP+SP_S_a_VSI_BP*nu_VDI_SI+SP_S_a*nu_VDI_SI_VSI_BP)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VSI_BP+(+(+(+(+(nu_VDI_SI_VSI_BP/mutau-(nu_VDI_SI*mutau_VSI_BP+nu_VSI_BP*mutau_VDI_SI+nu*mutau_VDI_SI_VSI_BP)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VSI_BP)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VSI_BP)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VSI_BP*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VDI_SI_VSI_BP*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#endif
SP_S_x0_VGP_SI=(SP_S_eta_VGP_SI+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#if defined(_DERIVATE2)
  SP_S_x0_VGP_SI_VDI_SI=(+SP_S_eta_VGP_SI_VDI_SI+((+(+SP_S_a_VGP_SI_VDI_SI*nu+SP_S_a_VGP_SI*nu_VDI_SI+SP_S_a_VDI_SI*nu_VGP_SI+SP_S_a*nu_VGP_SI_VDI_SI)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VDI_SI+(+(+(+(+(nu_VGP_SI_VDI_SI/mutau-(nu_VGP_SI*mutau_VDI_SI+nu_VDI_SI*mutau_VGP_SI+nu*mutau_VGP_SI_VDI_SI)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VDI_SI)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VDI_SI)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VDI_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VGP_SI_VDI_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VGP_SI_VGP_SI=(+SP_S_eta_VGP_SI_VGP_SI+((+(+SP_S_a_VGP_SI_VGP_SI*nu+SP_S_a_VGP_SI*nu_VGP_SI+SP_S_a_VGP_SI*nu_VGP_SI+SP_S_a*nu_VGP_SI_VGP_SI)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VGP_SI+(+(+(+(+(nu_VGP_SI_VGP_SI/mutau-(nu_VGP_SI*mutau_VGP_SI+nu_VGP_SI*mutau_VGP_SI+nu*mutau_VGP_SI_VGP_SI)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VGP_SI)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VGP_SI)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VGP_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VGP_SI_VGP_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VGP_SI_VSI_BP=(+SP_S_eta_VGP_SI_VSI_BP+((+(+SP_S_a_VGP_SI_VSI_BP*nu+SP_S_a_VGP_SI*nu_VSI_BP+SP_S_a_VSI_BP*nu_VGP_SI+SP_S_a*nu_VGP_SI_VSI_BP)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VSI_BP+(+(+(+(+(nu_VGP_SI_VSI_BP/mutau-(nu_VGP_SI*mutau_VSI_BP+nu_VSI_BP*mutau_VGP_SI+nu*mutau_VGP_SI_VSI_BP)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VSI_BP)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VSI_BP)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VSI_BP*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VGP_SI_VSI_BP*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#endif
SP_S_x0_VSI_BP=(SP_S_eta_VSI_BP+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#if defined(_DERIVATE2)
  SP_S_x0_VSI_BP_VDI_SI=(+SP_S_eta_VSI_BP_VDI_SI+((+(+SP_S_a_VSI_BP_VDI_SI*nu+SP_S_a_VSI_BP*nu_VDI_SI+SP_S_a_VDI_SI*nu_VSI_BP+SP_S_a*nu_VSI_BP_VDI_SI)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VDI_SI+(+(+(+(+(nu_VSI_BP_VDI_SI/mutau-(nu_VSI_BP*mutau_VDI_SI+nu_VDI_SI*mutau_VSI_BP+nu*mutau_VSI_BP_VDI_SI)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VDI_SI)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VDI_SI)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VDI_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VSI_BP_VDI_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VSI_BP_VGP_SI=(+SP_S_eta_VSI_BP_VGP_SI+((+(+SP_S_a_VSI_BP_VGP_SI*nu+SP_S_a_VSI_BP*nu_VGP_SI+SP_S_a_VGP_SI*nu_VSI_BP+SP_S_a*nu_VSI_BP_VGP_SI)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VGP_SI+(+(+(+(+(nu_VSI_BP_VGP_SI/mutau-(nu_VSI_BP*mutau_VGP_SI+nu_VGP_SI*mutau_VSI_BP+nu*mutau_VSI_BP_VGP_SI)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VGP_SI)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VGP_SI)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VGP_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VSI_BP_VGP_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VSI_BP_VSI_BP=(+SP_S_eta_VSI_BP_VSI_BP+((+(+SP_S_a_VSI_BP_VSI_BP*nu+SP_S_a_VSI_BP*nu_VSI_BP+SP_S_a_VSI_BP*nu_VSI_BP+SP_S_a*nu_VSI_BP_VSI_BP)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VSI_BP+(+(+(+(+(nu_VSI_BP_VSI_BP/mutau-(nu_VSI_BP*mutau_VSI_BP+nu_VSI_BP*mutau_VSI_BP+nu*mutau_VSI_BP_VSI_BP)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VSI_BP)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VSI_BP)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VSI_BP*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VSI_BP_VSI_BP*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#endif
#endif
SP_S_x0=(SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
EXIT_IF_ISNAN((SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))))))
if
((SP_S_x0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,SP_S_x0)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=SP_S_x0_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(m20_exp(SP_S_x0)*SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+d10_exp0*SP_S_x0_VDI_SI_VDI_SI);
  SP_S_delta0_VDI_SI_VGP_SI=(m20_exp(SP_S_x0)*SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+d10_exp0*SP_S_x0_VDI_SI_VGP_SI);
  SP_S_delta0_VDI_SI_VSI_BP=(m20_exp(SP_S_x0)*SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+d10_exp0*SP_S_x0_VDI_SI_VSI_BP);
#endif
SP_S_delta0_VGP_SI=SP_S_x0_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(m20_exp(SP_S_x0)*SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+d10_exp0*SP_S_x0_VGP_SI_VDI_SI);
  SP_S_delta0_VGP_SI_VGP_SI=(m20_exp(SP_S_x0)*SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+d10_exp0*SP_S_x0_VGP_SI_VGP_SI);
  SP_S_delta0_VGP_SI_VSI_BP=(m20_exp(SP_S_x0)*SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+d10_exp0*SP_S_x0_VGP_SI_VSI_BP);
#endif
SP_S_delta0_VSI_BP=SP_S_x0_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(m20_exp(SP_S_x0)*SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+d10_exp0*SP_S_x0_VSI_BP_VDI_SI);
  SP_S_delta0_VSI_BP_VGP_SI=(m20_exp(SP_S_x0)*SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+d10_exp0*SP_S_x0_VSI_BP_VGP_SI);
  SP_S_delta0_VSI_BP_VSI_BP=(m20_exp(SP_S_x0)*SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+d10_exp0*SP_S_x0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_delta0=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=(-SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VGP_SI=(-SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VSI_BP=(-SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
#endif
SP_S_delta1=(1.0/SP_S_delta0);
EXIT_IF_ISNAN((1.0/SP_S_delta0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=((delta_ns_VDI_SI*SP_S_delta0)+(delta_ns*SP_S_delta0_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(+delta_ns_VDI_SI_VDI_SI*SP_S_delta0+delta_ns_VDI_SI*SP_S_delta0_VDI_SI+delta_ns_VDI_SI*SP_S_delta0_VDI_SI+delta_ns*SP_S_delta0_VDI_SI_VDI_SI);
  SP_S_delta0_VDI_SI_VGP_SI=(+delta_ns_VDI_SI_VGP_SI*SP_S_delta0+delta_ns_VDI_SI*SP_S_delta0_VGP_SI+delta_ns_VGP_SI*SP_S_delta0_VDI_SI+delta_ns*SP_S_delta0_VDI_SI_VGP_SI);
  SP_S_delta0_VDI_SI_VSI_BP=(+delta_ns_VDI_SI_VSI_BP*SP_S_delta0+delta_ns_VDI_SI*SP_S_delta0_VSI_BP+delta_ns_VSI_BP*SP_S_delta0_VDI_SI+delta_ns*SP_S_delta0_VDI_SI_VSI_BP);
#endif
SP_S_delta0_VGP_SI=((delta_ns_VGP_SI*SP_S_delta0)+(delta_ns*SP_S_delta0_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(+delta_ns_VGP_SI_VDI_SI*SP_S_delta0+delta_ns_VGP_SI*SP_S_delta0_VDI_SI+delta_ns_VDI_SI*SP_S_delta0_VGP_SI+delta_ns*SP_S_delta0_VGP_SI_VDI_SI);
  SP_S_delta0_VGP_SI_VGP_SI=(+delta_ns_VGP_SI_VGP_SI*SP_S_delta0+delta_ns_VGP_SI*SP_S_delta0_VGP_SI+delta_ns_VGP_SI*SP_S_delta0_VGP_SI+delta_ns*SP_S_delta0_VGP_SI_VGP_SI);
  SP_S_delta0_VGP_SI_VSI_BP=(+delta_ns_VGP_SI_VSI_BP*SP_S_delta0+delta_ns_VGP_SI*SP_S_delta0_VSI_BP+delta_ns_VSI_BP*SP_S_delta0_VGP_SI+delta_ns*SP_S_delta0_VGP_SI_VSI_BP);
#endif
SP_S_delta0_VSI_BP=((delta_ns_VSI_BP*SP_S_delta0)+(delta_ns*SP_S_delta0_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(+delta_ns_VSI_BP_VDI_SI*SP_S_delta0+delta_ns_VSI_BP*SP_S_delta0_VDI_SI+delta_ns_VDI_SI*SP_S_delta0_VSI_BP+delta_ns*SP_S_delta0_VSI_BP_VDI_SI);
  SP_S_delta0_VSI_BP_VGP_SI=(+delta_ns_VSI_BP_VGP_SI*SP_S_delta0+delta_ns_VSI_BP*SP_S_delta0_VGP_SI+delta_ns_VGP_SI*SP_S_delta0_VSI_BP+delta_ns*SP_S_delta0_VSI_BP_VGP_SI);
  SP_S_delta0_VSI_BP_VSI_BP=(+delta_ns_VSI_BP_VSI_BP*SP_S_delta0+delta_ns_VSI_BP*SP_S_delta0_VSI_BP+delta_ns_VSI_BP*SP_S_delta0_VSI_BP+delta_ns*SP_S_delta0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_delta0=(delta_ns*SP_S_delta0);
EXIT_IF_ISNAN((delta_ns*SP_S_delta0))
}
else
{
if
((SP_S_x0>(xn_s-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(SP_S_x0-xn_s))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=(SP_S_x0_VDI_SI-xn_s_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VDI_SI-xn_s_VDI_SI)*(SP_S_x0_VDI_SI-xn_s_VDI_SI)+d10_exp0*(+SP_S_x0_VDI_SI_VDI_SI-xn_s_VDI_SI_VDI_SI));
  SP_S_delta0_VDI_SI_VGP_SI=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VGP_SI-xn_s_VGP_SI)*(SP_S_x0_VDI_SI-xn_s_VDI_SI)+d10_exp0*(+SP_S_x0_VDI_SI_VGP_SI-xn_s_VDI_SI_VGP_SI));
  SP_S_delta0_VDI_SI_VSI_BP=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VSI_BP-xn_s_VSI_BP)*(SP_S_x0_VDI_SI-xn_s_VDI_SI)+d10_exp0*(+SP_S_x0_VDI_SI_VSI_BP-xn_s_VDI_SI_VSI_BP));
#endif
SP_S_delta0_VGP_SI=(SP_S_x0_VGP_SI-xn_s_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VDI_SI-xn_s_VDI_SI)*(SP_S_x0_VGP_SI-xn_s_VGP_SI)+d10_exp0*(+SP_S_x0_VGP_SI_VDI_SI-xn_s_VGP_SI_VDI_SI));
  SP_S_delta0_VGP_SI_VGP_SI=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VGP_SI-xn_s_VGP_SI)*(SP_S_x0_VGP_SI-xn_s_VGP_SI)+d10_exp0*(+SP_S_x0_VGP_SI_VGP_SI-xn_s_VGP_SI_VGP_SI));
  SP_S_delta0_VGP_SI_VSI_BP=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VSI_BP-xn_s_VSI_BP)*(SP_S_x0_VGP_SI-xn_s_VGP_SI)+d10_exp0*(+SP_S_x0_VGP_SI_VSI_BP-xn_s_VGP_SI_VSI_BP));
#endif
SP_S_delta0_VSI_BP=(SP_S_x0_VSI_BP-xn_s_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VDI_SI-xn_s_VDI_SI)*(SP_S_x0_VSI_BP-xn_s_VSI_BP)+d10_exp0*(+SP_S_x0_VSI_BP_VDI_SI-xn_s_VSI_BP_VDI_SI));
  SP_S_delta0_VSI_BP_VGP_SI=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VGP_SI-xn_s_VGP_SI)*(SP_S_x0_VSI_BP-xn_s_VSI_BP)+d10_exp0*(+SP_S_x0_VSI_BP_VGP_SI-xn_s_VSI_BP_VGP_SI));
  SP_S_delta0_VSI_BP_VSI_BP=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VSI_BP-xn_s_VSI_BP)*(SP_S_x0_VSI_BP-xn_s_VSI_BP)+d10_exp0*(+SP_S_x0_VSI_BP_VSI_BP-xn_s_VSI_BP_VSI_BP));
#endif
#endif
SP_S_delta0=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=((delta_ns_VDI_SI*SP_S_delta0-delta_ns*SP_S_delta0_VDI_SI)/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(delta_ns_VDI_SI_VDI_SI/SP_S_delta0-(delta_ns_VDI_SI*SP_S_delta0_VDI_SI+delta_ns_VDI_SI*SP_S_delta0_VDI_SI+delta_ns*SP_S_delta0_VDI_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VDI_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VGP_SI=(delta_ns_VDI_SI_VGP_SI/SP_S_delta0-(delta_ns_VDI_SI*SP_S_delta0_VGP_SI+delta_ns_VGP_SI*SP_S_delta0_VDI_SI+delta_ns*SP_S_delta0_VDI_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VDI_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VSI_BP=(delta_ns_VDI_SI_VSI_BP/SP_S_delta0-(delta_ns_VDI_SI*SP_S_delta0_VSI_BP+delta_ns_VSI_BP*SP_S_delta0_VDI_SI+delta_ns*SP_S_delta0_VDI_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VDI_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VGP_SI=((delta_ns_VGP_SI*SP_S_delta0-delta_ns*SP_S_delta0_VGP_SI)/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(delta_ns_VGP_SI_VDI_SI/SP_S_delta0-(delta_ns_VGP_SI*SP_S_delta0_VDI_SI+delta_ns_VDI_SI*SP_S_delta0_VGP_SI+delta_ns*SP_S_delta0_VGP_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VGP_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VGP_SI=(delta_ns_VGP_SI_VGP_SI/SP_S_delta0-(delta_ns_VGP_SI*SP_S_delta0_VGP_SI+delta_ns_VGP_SI*SP_S_delta0_VGP_SI+delta_ns*SP_S_delta0_VGP_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VGP_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VSI_BP=(delta_ns_VGP_SI_VSI_BP/SP_S_delta0-(delta_ns_VGP_SI*SP_S_delta0_VSI_BP+delta_ns_VSI_BP*SP_S_delta0_VGP_SI+delta_ns*SP_S_delta0_VGP_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VGP_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VSI_BP=((delta_ns_VSI_BP*SP_S_delta0-delta_ns*SP_S_delta0_VSI_BP)/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(delta_ns_VSI_BP_VDI_SI/SP_S_delta0-(delta_ns_VSI_BP*SP_S_delta0_VDI_SI+delta_ns_VDI_SI*SP_S_delta0_VSI_BP+delta_ns*SP_S_delta0_VSI_BP_VDI_SI)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VSI_BP*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VGP_SI=(delta_ns_VSI_BP_VGP_SI/SP_S_delta0-(delta_ns_VSI_BP*SP_S_delta0_VGP_SI+delta_ns_VGP_SI*SP_S_delta0_VSI_BP+delta_ns*SP_S_delta0_VSI_BP_VGP_SI)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VSI_BP*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VSI_BP=(delta_ns_VSI_BP_VSI_BP/SP_S_delta0-(delta_ns_VSI_BP*SP_S_delta0_VSI_BP+delta_ns_VSI_BP*SP_S_delta0_VSI_BP+delta_ns*SP_S_delta0_VSI_BP_VSI_BP)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VSI_BP*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
#endif
SP_S_delta1=(delta_ns/SP_S_delta0);
EXIT_IF_ISNAN((delta_ns/SP_S_delta0))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=(-1.0e-100*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*0.0+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VDI_SI_VGP_SI=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*0.0+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VDI_SI_VSI_BP=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*0.0+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta0_VGP_SI=(-1.0e-100*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*0.0+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VGP_SI_VGP_SI=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*0.0+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VGP_SI_VSI_BP=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*0.0+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta0_VSI_BP=(-1.0e-100*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*0.0+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VSI_BP_VGP_SI=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*0.0+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VSI_BP_VSI_BP=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*0.0+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
SP_S_delta0=(1.0e-100/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=(-1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VDI_SI*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))))+SP_S_x0_VDI_SI*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VDI_SI_VDI_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VDI_SI*(SP_S_x0_VDI_SI*3.3333333333333333e-01)+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VDI_SI*0.0+SP_S_x0_VDI_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VDI_SI_VGP_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VDI_SI*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))))+SP_S_x0_VGP_SI*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VDI_SI_VGP_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VDI_SI*(SP_S_x0_VGP_SI*3.3333333333333333e-01)+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VDI_SI*0.0+SP_S_x0_VGP_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VDI_SI_VSI_BP=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VDI_SI*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))))+SP_S_x0_VSI_BP*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VDI_SI_VSI_BP-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VDI_SI*(SP_S_x0_VSI_BP*3.3333333333333333e-01)+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_x0_VDI_SI*0.0+SP_S_x0_VSI_BP*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta1_VGP_SI=(-1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VGP_SI*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))))+SP_S_x0_VDI_SI*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VGP_SI_VDI_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VGP_SI*(SP_S_x0_VDI_SI*3.3333333333333333e-01)+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VGP_SI*0.0+SP_S_x0_VDI_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VGP_SI_VGP_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VGP_SI*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))))+SP_S_x0_VGP_SI*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VGP_SI_VGP_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VGP_SI*(SP_S_x0_VGP_SI*3.3333333333333333e-01)+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VGP_SI*0.0+SP_S_x0_VGP_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VGP_SI_VSI_BP=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VGP_SI*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))))+SP_S_x0_VSI_BP*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VGP_SI_VSI_BP-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VGP_SI*(SP_S_x0_VSI_BP*3.3333333333333333e-01)+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_x0_VGP_SI*0.0+SP_S_x0_VSI_BP*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta1_VSI_BP=(-1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VSI_BP*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))))+SP_S_x0_VDI_SI*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VSI_BP_VDI_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VSI_BP*(SP_S_x0_VDI_SI*3.3333333333333333e-01)+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VSI_BP*0.0+SP_S_x0_VDI_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VSI_BP_VGP_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VSI_BP*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))))+SP_S_x0_VGP_SI*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VSI_BP_VGP_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VSI_BP*(SP_S_x0_VGP_SI*3.3333333333333333e-01)+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VSI_BP*0.0+SP_S_x0_VGP_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VSI_BP_VSI_BP=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VSI_BP*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))))+SP_S_x0_VSI_BP*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VSI_BP_VSI_BP-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VSI_BP*(SP_S_x0_VSI_BP*3.3333333333333333e-01)+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_x0_VSI_BP*0.0+SP_S_x0_VSI_BP*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
SP_S_delta1=(1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))+0.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))+1.0*(+0.0+(+SP_S_x0_VDI_SI_VDI_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VDI_SI_VGP_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))+0.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))+1.0*(+0.0+(+SP_S_x0_VDI_SI_VGP_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VDI_SI_VSI_BP=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))+0.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))+1.0*(+0.0+(+SP_S_x0_VDI_SI_VSI_BP*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#endif
SP_S_temp_VGP_SI=(-((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))+0.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))+1.0*(+0.0+(+SP_S_x0_VGP_SI_VDI_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VGP_SI_VGP_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))+0.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))+1.0*(+0.0+(+SP_S_x0_VGP_SI_VGP_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VGP_SI_VSI_BP=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))+0.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))+1.0*(+0.0+(+SP_S_x0_VGP_SI_VSI_BP*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#endif
SP_S_temp_VSI_BP=(-((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))+0.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))+1.0*(+0.0+(+SP_S_x0_VSI_BP_VDI_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VSI_BP_VGP_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))+0.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))+1.0*(+0.0+(+SP_S_x0_VSI_BP_VGP_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VSI_BP_VSI_BP=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))+0.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))+1.0*(+0.0+(+SP_S_x0_VSI_BP_VSI_BP*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#endif
#endif
SP_S_temp=(1.0/(2.0+(SP_S_x0*SP_S_x0)));
EXIT_IF_ISNAN((1.0/(2.0+(SP_S_x0*SP_S_x0))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi0_VDI_SI=((((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VDI_SI_VDI_SI=(+(+SP_S_x0_VDI_SI_VDI_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI_VDI_SI);
  SP_S_xi0_VDI_SI_VGP_SI=(+(+SP_S_x0_VDI_SI_VGP_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI_VGP_SI);
  SP_S_xi0_VDI_SI_VSI_BP=(+(+SP_S_x0_VDI_SI_VSI_BP*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_xi0_VGP_SI=((((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VGP_SI_VDI_SI=(+(+SP_S_x0_VGP_SI_VDI_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI_VDI_SI);
  SP_S_xi0_VGP_SI_VGP_SI=(+(+SP_S_x0_VGP_SI_VGP_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI_VGP_SI);
  SP_S_xi0_VGP_SI_VSI_BP=(+(+SP_S_x0_VGP_SI_VSI_BP*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_xi0_VSI_BP=((((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi0_VSI_BP_VDI_SI=(+(+SP_S_x0_VSI_BP_VDI_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VDI_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP_VDI_SI);
  SP_S_xi0_VSI_BP_VGP_SI=(+(+SP_S_x0_VSI_BP_VGP_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VGP_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP_VGP_SI);
  SP_S_xi0_VSI_BP_VSI_BP=(+(+SP_S_x0_VSI_BP_VSI_BP*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VSI_BP)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi0=((SP_S_x0*SP_S_x0)*SP_S_temp);
EXIT_IF_ISNAN(((SP_S_x0*SP_S_x0)*SP_S_temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi1_VDI_SI=(4.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VDI_SI_VDI_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_x0_VDI_SI_VDI_SI*SP_S_temp+SP_S_x0_VDI_SI*SP_S_temp_VDI_SI+SP_S_x0_VDI_SI*SP_S_temp_VDI_SI+SP_S_x0*SP_S_temp_VDI_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI_VDI_SI));
  SP_S_xi1_VDI_SI_VGP_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_x0_VDI_SI_VGP_SI*SP_S_temp+SP_S_x0_VDI_SI*SP_S_temp_VGP_SI+SP_S_x0_VGP_SI*SP_S_temp_VDI_SI+SP_S_x0*SP_S_temp_VDI_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI_VGP_SI));
  SP_S_xi1_VDI_SI_VSI_BP=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_x0_VDI_SI_VSI_BP*SP_S_temp+SP_S_x0_VDI_SI*SP_S_temp_VSI_BP+SP_S_x0_VSI_BP*SP_S_temp_VDI_SI+SP_S_x0*SP_S_temp_VDI_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI_VSI_BP));
#endif
SP_S_xi1_VGP_SI=(4.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VGP_SI_VDI_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_x0_VGP_SI_VDI_SI*SP_S_temp+SP_S_x0_VGP_SI*SP_S_temp_VDI_SI+SP_S_x0_VDI_SI*SP_S_temp_VGP_SI+SP_S_x0*SP_S_temp_VGP_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI_VDI_SI));
  SP_S_xi1_VGP_SI_VGP_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_x0_VGP_SI_VGP_SI*SP_S_temp+SP_S_x0_VGP_SI*SP_S_temp_VGP_SI+SP_S_x0_VGP_SI*SP_S_temp_VGP_SI+SP_S_x0*SP_S_temp_VGP_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI_VGP_SI));
  SP_S_xi1_VGP_SI_VSI_BP=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_x0_VGP_SI_VSI_BP*SP_S_temp+SP_S_x0_VGP_SI*SP_S_temp_VSI_BP+SP_S_x0_VSI_BP*SP_S_temp_VGP_SI+SP_S_x0*SP_S_temp_VGP_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI_VSI_BP));
#endif
SP_S_xi1_VSI_BP=(4.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_xi1_VSI_BP_VDI_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_x0_VSI_BP_VDI_SI*SP_S_temp+SP_S_x0_VSI_BP*SP_S_temp_VDI_SI+SP_S_x0_VDI_SI*SP_S_temp_VSI_BP+SP_S_x0*SP_S_temp_VSI_BP_VDI_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP_VDI_SI));
  SP_S_xi1_VSI_BP_VGP_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_x0_VSI_BP_VGP_SI*SP_S_temp+SP_S_x0_VSI_BP*SP_S_temp_VGP_SI+SP_S_x0_VGP_SI*SP_S_temp_VSI_BP+SP_S_x0*SP_S_temp_VSI_BP_VGP_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP_VGP_SI));
  SP_S_xi1_VSI_BP_VSI_BP=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_x0_VSI_BP_VSI_BP*SP_S_temp+SP_S_x0_VSI_BP*SP_S_temp_VSI_BP+SP_S_x0_VSI_BP*SP_S_temp_VSI_BP+SP_S_x0*SP_S_temp_VSI_BP_VSI_BP)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP_VSI_BP));
#endif
#endif
SP_S_xi1=(4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
EXIT_IF_ISNAN((4.0*((SP_S_x0*SP_S_temp)*SP_S_temp)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi2_VDI_SI=((((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VDI_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VDI_SI);
  SP_S_xi2_VDI_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VGP_SI);
  SP_S_xi2_VDI_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_xi2_VGP_SI=((((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VGP_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VDI_SI);
  SP_S_xi2_VGP_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VGP_SI);
  SP_S_xi2_VGP_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_xi2_VSI_BP=((((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi2_VSI_BP_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VDI_SI);
  SP_S_xi2_VSI_BP_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VGP_SI);
  SP_S_xi2_VSI_BP_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi2=((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
EXIT_IF_ISNAN(((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(xg_VDI_SI-SP_S_x0_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+xg_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI);
  SP_S_temp_VDI_SI_VGP_SI=(+xg_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI);
  SP_S_temp_VDI_SI_VSI_BP=(+xg_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP);
#endif
SP_S_temp_VGP_SI=(xg_VGP_SI-SP_S_x0_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+xg_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI);
  SP_S_temp_VGP_SI_VGP_SI=(+xg_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI);
  SP_S_temp_VGP_SI_VSI_BP=(+xg_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP);
#endif
SP_S_temp_VSI_BP=(xg_VSI_BP-SP_S_x0_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+xg_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI);
  SP_S_temp_VSI_BP_VGP_SI=(+xg_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI);
  SP_S_temp_VSI_BP_VSI_BP=(+xg_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp=(xg-SP_S_x0);
EXIT_IF_ISNAN((xg-SP_S_x0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_pC_VDI_SI=((2.0*SP_S_temp_VDI_SI)+((Gf2_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1))))+(Gf2*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_pC_VDI_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VDI_SI)+(+Gf2_VDI_SI_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VDI_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VDI_SI_VDI_SI)+SP_S_delta0_VDI_SI_VDI_SI)-(+delta_ns_VDI_SI_VDI_SI*(1.0+SP_S_xi1)+delta_ns_VDI_SI*SP_S_xi1_VDI_SI+delta_ns_VDI_SI*SP_S_xi1_VDI_SI+delta_ns*(+0.0+SP_S_xi1_VDI_SI_VDI_SI)))));
  SP_S_pC_VDI_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VGP_SI)+(+Gf2_VDI_SI_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VDI_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VDI_SI_VGP_SI)+SP_S_delta0_VDI_SI_VGP_SI)-(+delta_ns_VDI_SI_VGP_SI*(1.0+SP_S_xi1)+delta_ns_VDI_SI*SP_S_xi1_VGP_SI+delta_ns_VGP_SI*SP_S_xi1_VDI_SI+delta_ns*(+0.0+SP_S_xi1_VDI_SI_VGP_SI)))));
  SP_S_pC_VDI_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VSI_BP)+(+Gf2_VDI_SI_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VDI_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VDI_SI_VSI_BP)+SP_S_delta0_VDI_SI_VSI_BP)-(+delta_ns_VDI_SI_VSI_BP*(1.0+SP_S_xi1)+delta_ns_VDI_SI*SP_S_xi1_VSI_BP+delta_ns_VSI_BP*SP_S_xi1_VDI_SI+delta_ns*(+0.0+SP_S_xi1_VDI_SI_VSI_BP)))));
#endif
SP_S_pC_VGP_SI=((2.0*SP_S_temp_VGP_SI)+((Gf2_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1))))+(Gf2*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_pC_VGP_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VDI_SI)+(+Gf2_VGP_SI_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VGP_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VGP_SI_VDI_SI)+SP_S_delta0_VGP_SI_VDI_SI)-(+delta_ns_VGP_SI_VDI_SI*(1.0+SP_S_xi1)+delta_ns_VGP_SI*SP_S_xi1_VDI_SI+delta_ns_VDI_SI*SP_S_xi1_VGP_SI+delta_ns*(+0.0+SP_S_xi1_VGP_SI_VDI_SI)))));
  SP_S_pC_VGP_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VGP_SI)+(+Gf2_VGP_SI_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VGP_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VGP_SI_VGP_SI)+SP_S_delta0_VGP_SI_VGP_SI)-(+delta_ns_VGP_SI_VGP_SI*(1.0+SP_S_xi1)+delta_ns_VGP_SI*SP_S_xi1_VGP_SI+delta_ns_VGP_SI*SP_S_xi1_VGP_SI+delta_ns*(+0.0+SP_S_xi1_VGP_SI_VGP_SI)))));
  SP_S_pC_VGP_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VSI_BP)+(+Gf2_VGP_SI_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VGP_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VGP_SI_VSI_BP)+SP_S_delta0_VGP_SI_VSI_BP)-(+delta_ns_VGP_SI_VSI_BP*(1.0+SP_S_xi1)+delta_ns_VGP_SI*SP_S_xi1_VSI_BP+delta_ns_VSI_BP*SP_S_xi1_VGP_SI+delta_ns*(+0.0+SP_S_xi1_VGP_SI_VSI_BP)))));
#endif
SP_S_pC_VSI_BP=((2.0*SP_S_temp_VSI_BP)+((Gf2_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1))))+(Gf2*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_pC_VSI_BP_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VDI_SI)+(+Gf2_VSI_BP_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VSI_BP*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP)))+Gf2*(+(+(+0.0-SP_S_delta1_VSI_BP_VDI_SI)+SP_S_delta0_VSI_BP_VDI_SI)-(+delta_ns_VSI_BP_VDI_SI*(1.0+SP_S_xi1)+delta_ns_VSI_BP*SP_S_xi1_VDI_SI+delta_ns_VDI_SI*SP_S_xi1_VSI_BP+delta_ns*(+0.0+SP_S_xi1_VSI_BP_VDI_SI)))));
  SP_S_pC_VSI_BP_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VGP_SI)+(+Gf2_VSI_BP_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VSI_BP*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP)))+Gf2*(+(+(+0.0-SP_S_delta1_VSI_BP_VGP_SI)+SP_S_delta0_VSI_BP_VGP_SI)-(+delta_ns_VSI_BP_VGP_SI*(1.0+SP_S_xi1)+delta_ns_VSI_BP*SP_S_xi1_VGP_SI+delta_ns_VGP_SI*SP_S_xi1_VSI_BP+delta_ns*(+0.0+SP_S_xi1_VSI_BP_VGP_SI)))));
  SP_S_pC_VSI_BP_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VSI_BP)+(+Gf2_VSI_BP_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VSI_BP*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP)))+Gf2*(+(+(+0.0-SP_S_delta1_VSI_BP_VSI_BP)+SP_S_delta0_VSI_BP_VSI_BP)-(+delta_ns_VSI_BP_VSI_BP*(1.0+SP_S_xi1)+delta_ns_VSI_BP*SP_S_xi1_VSI_BP+delta_ns_VSI_BP*SP_S_xi1_VSI_BP+delta_ns*(+0.0+SP_S_xi1_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_pC=((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))));
EXIT_IF_ISNAN(((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_qC_VDI_SI=(((SP_S_temp_VDI_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VDI_SI))-((Gf2_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0))))+(Gf2*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VDI_SI_VDI_SI=(+(+SP_S_temp_VDI_SI_VDI_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VDI_SI)-(+Gf2_VDI_SI_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta1_VDI_SI_VDI_SI+SP_S_x0_VDI_SI_VDI_SI)-0.0)+SP_S_delta0_VDI_SI_VDI_SI)-(+delta_ns_VDI_SI_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VDI_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_ns_VDI_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_ns*(+(+SP_S_x0_VDI_SI_VDI_SI+0.0)+SP_S_xi0_VDI_SI_VDI_SI)))));
  SP_S_qC_VDI_SI_VGP_SI=(+(+SP_S_temp_VDI_SI_VGP_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VGP_SI)-(+Gf2_VDI_SI_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta1_VDI_SI_VGP_SI+SP_S_x0_VDI_SI_VGP_SI)-0.0)+SP_S_delta0_VDI_SI_VGP_SI)-(+delta_ns_VDI_SI_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VDI_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_ns_VGP_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_ns*(+(+SP_S_x0_VDI_SI_VGP_SI+0.0)+SP_S_xi0_VDI_SI_VGP_SI)))));
  SP_S_qC_VDI_SI_VSI_BP=(+(+SP_S_temp_VDI_SI_VSI_BP*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VSI_BP)-(+Gf2_VDI_SI_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta1_VDI_SI_VSI_BP+SP_S_x0_VDI_SI_VSI_BP)-0.0)+SP_S_delta0_VDI_SI_VSI_BP)-(+delta_ns_VDI_SI_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VDI_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_ns_VSI_BP*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_ns*(+(+SP_S_x0_VDI_SI_VSI_BP+0.0)+SP_S_xi0_VDI_SI_VSI_BP)))));
#endif
SP_S_qC_VGP_SI=(((SP_S_temp_VGP_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VGP_SI))-((Gf2_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0))))+(Gf2*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VGP_SI_VDI_SI=(+(+SP_S_temp_VGP_SI_VDI_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VDI_SI)-(+Gf2_VGP_SI_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta1_VGP_SI_VDI_SI+SP_S_x0_VGP_SI_VDI_SI)-0.0)+SP_S_delta0_VGP_SI_VDI_SI)-(+delta_ns_VGP_SI_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VGP_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_ns_VDI_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_ns*(+(+SP_S_x0_VGP_SI_VDI_SI+0.0)+SP_S_xi0_VGP_SI_VDI_SI)))));
  SP_S_qC_VGP_SI_VGP_SI=(+(+SP_S_temp_VGP_SI_VGP_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VGP_SI)-(+Gf2_VGP_SI_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta1_VGP_SI_VGP_SI+SP_S_x0_VGP_SI_VGP_SI)-0.0)+SP_S_delta0_VGP_SI_VGP_SI)-(+delta_ns_VGP_SI_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VGP_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_ns_VGP_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_ns*(+(+SP_S_x0_VGP_SI_VGP_SI+0.0)+SP_S_xi0_VGP_SI_VGP_SI)))));
  SP_S_qC_VGP_SI_VSI_BP=(+(+SP_S_temp_VGP_SI_VSI_BP*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VSI_BP)-(+Gf2_VGP_SI_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta1_VGP_SI_VSI_BP+SP_S_x0_VGP_SI_VSI_BP)-0.0)+SP_S_delta0_VGP_SI_VSI_BP)-(+delta_ns_VGP_SI_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VGP_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_ns_VSI_BP*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_ns*(+(+SP_S_x0_VGP_SI_VSI_BP+0.0)+SP_S_xi0_VGP_SI_VSI_BP)))));
#endif
SP_S_qC_VSI_BP=(((SP_S_temp_VSI_BP*SP_S_temp)+(SP_S_temp*SP_S_temp_VSI_BP))-((Gf2_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0))))+(Gf2*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VSI_BP_VDI_SI=(+(+SP_S_temp_VSI_BP_VDI_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VDI_SI)-(+Gf2_VSI_BP_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta1_VSI_BP_VDI_SI+SP_S_x0_VSI_BP_VDI_SI)-0.0)+SP_S_delta0_VSI_BP_VDI_SI)-(+delta_ns_VSI_BP_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VSI_BP*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_ns_VDI_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_ns*(+(+SP_S_x0_VSI_BP_VDI_SI+0.0)+SP_S_xi0_VSI_BP_VDI_SI)))));
  SP_S_qC_VSI_BP_VGP_SI=(+(+SP_S_temp_VSI_BP_VGP_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VGP_SI)-(+Gf2_VSI_BP_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta1_VSI_BP_VGP_SI+SP_S_x0_VSI_BP_VGP_SI)-0.0)+SP_S_delta0_VSI_BP_VGP_SI)-(+delta_ns_VSI_BP_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VSI_BP*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_ns_VGP_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_ns*(+(+SP_S_x0_VSI_BP_VGP_SI+0.0)+SP_S_xi0_VSI_BP_VGP_SI)))));
  SP_S_qC_VSI_BP_VSI_BP=(+(+SP_S_temp_VSI_BP_VSI_BP*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VSI_BP)-(+Gf2_VSI_BP_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta1_VSI_BP_VSI_BP+SP_S_x0_VSI_BP_VSI_BP)-0.0)+SP_S_delta0_VSI_BP_VSI_BP)-(+delta_ns_VSI_BP_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VSI_BP*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_ns_VSI_BP*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_ns*(+(+SP_S_x0_VSI_BP_VSI_BP+0.0)+SP_S_xi0_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_qC=((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))));
EXIT_IF_ISNAN(((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-((Gf2_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2)))+(Gf2*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+0.0-(+Gf2_VDI_SI_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta1_VDI_SI_VDI_SI+SP_S_delta0_VDI_SI_VDI_SI)-(+delta_ns_VDI_SI_VDI_SI*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VDI_SI))));
  SP_S_temp_VDI_SI_VGP_SI=(+0.0-(+Gf2_VDI_SI_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta1_VDI_SI_VGP_SI+SP_S_delta0_VDI_SI_VGP_SI)-(+delta_ns_VDI_SI_VGP_SI*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VGP_SI))));
  SP_S_temp_VDI_SI_VSI_BP=(+0.0-(+Gf2_VDI_SI_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta1_VDI_SI_VSI_BP+SP_S_delta0_VDI_SI_VSI_BP)-(+delta_ns_VDI_SI_VSI_BP*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VSI_BP))));
#endif
SP_S_temp_VGP_SI=(-((Gf2_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2)))+(Gf2*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+0.0-(+Gf2_VGP_SI_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta1_VGP_SI_VDI_SI+SP_S_delta0_VGP_SI_VDI_SI)-(+delta_ns_VGP_SI_VDI_SI*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VDI_SI))));
  SP_S_temp_VGP_SI_VGP_SI=(+0.0-(+Gf2_VGP_SI_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta1_VGP_SI_VGP_SI+SP_S_delta0_VGP_SI_VGP_SI)-(+delta_ns_VGP_SI_VGP_SI*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VGP_SI))));
  SP_S_temp_VGP_SI_VSI_BP=(+0.0-(+Gf2_VGP_SI_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta1_VGP_SI_VSI_BP+SP_S_delta0_VGP_SI_VSI_BP)-(+delta_ns_VGP_SI_VSI_BP*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VSI_BP))));
#endif
SP_S_temp_VSI_BP=(-((Gf2_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2)))+(Gf2*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+0.0-(+Gf2_VSI_BP_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta1_VSI_BP_VDI_SI+SP_S_delta0_VSI_BP_VDI_SI)-(+delta_ns_VSI_BP_VDI_SI*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VDI_SI))));
  SP_S_temp_VSI_BP_VGP_SI=(+0.0-(+Gf2_VSI_BP_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta1_VSI_BP_VGP_SI+SP_S_delta0_VSI_BP_VGP_SI)-(+delta_ns_VSI_BP_VGP_SI*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VGP_SI))));
  SP_S_temp_VSI_BP_VSI_BP=(+0.0-(+Gf2_VSI_BP_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta1_VSI_BP_VSI_BP+SP_S_delta0_VSI_BP_VSI_BP)-(+delta_ns_VSI_BP_VSI_BP*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VSI_BP))));
#endif
#endif
SP_S_temp=(2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))));
EXIT_IF_ISNAN((2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2)))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(((SP_S_pC_VDI_SI*SP_S_pC)+(SP_S_pC*SP_S_pC_VDI_SI))-(2.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+(+SP_S_pC_VDI_SI_VDI_SI*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VDI_SI*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VDI_SI)));
  SP_S_temp_VDI_SI_VGP_SI=(+(+SP_S_pC_VDI_SI_VGP_SI*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VGP_SI*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VGP_SI)));
  SP_S_temp_VDI_SI_VSI_BP=(+(+SP_S_pC_VDI_SI_VSI_BP*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VSI_BP*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VSI_BP)));
#endif
SP_S_temp_VGP_SI=(((SP_S_pC_VGP_SI*SP_S_pC)+(SP_S_pC*SP_S_pC_VGP_SI))-(2.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+(+SP_S_pC_VGP_SI_VDI_SI*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VDI_SI*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VDI_SI)));
  SP_S_temp_VGP_SI_VGP_SI=(+(+SP_S_pC_VGP_SI_VGP_SI*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VGP_SI*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VGP_SI)));
  SP_S_temp_VGP_SI_VSI_BP=(+(+SP_S_pC_VGP_SI_VSI_BP*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VSI_BP*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VSI_BP)));
#endif
SP_S_temp_VSI_BP=(((SP_S_pC_VSI_BP*SP_S_pC)+(SP_S_pC*SP_S_pC_VSI_BP))-(2.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+(+SP_S_pC_VSI_BP_VDI_SI*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VDI_SI*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VDI_SI)));
  SP_S_temp_VSI_BP_VGP_SI=(+(+SP_S_pC_VSI_BP_VGP_SI*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VGP_SI*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VGP_SI)));
  SP_S_temp_VSI_BP_VSI_BP=(+(+SP_S_pC_VSI_BP_VSI_BP*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VSI_BP*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VSI_BP)));
#endif
#endif
SP_S_temp=((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
EXIT_IF_ISNAN(((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp))))
{
double m00_sqrt(d00_sqrt0,SP_S_temp)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,SP_S_temp)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_s_VDI_SI=(SP_S_x0_VDI_SI+(2.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_s_VDI_SI_VDI_SI=(+SP_S_x0_VDI_SI_VDI_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VDI_SI_VGP_SI=(+SP_S_x0_VDI_SI_VGP_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VDI_SI_VSI_BP=(+SP_S_x0_VDI_SI_VSI_BP+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
x_s_VGP_SI=(SP_S_x0_VGP_SI+(2.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_s_VGP_SI_VDI_SI=(+SP_S_x0_VGP_SI_VDI_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VGP_SI_VGP_SI=(+SP_S_x0_VGP_SI_VGP_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VGP_SI_VSI_BP=(+SP_S_x0_VGP_SI_VSI_BP+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
x_s_VSI_BP=(SP_S_x0_VSI_BP+(2.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_s_VSI_BP_VDI_SI=(+SP_S_x0_VSI_BP_VDI_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VSI_BP_VGP_SI=(+SP_S_x0_VSI_BP_VGP_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VSI_BP_VSI_BP=(+SP_S_x0_VSI_BP_VSI_BP+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
#endif
x_s=(SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))));
EXIT_IF_ISNAN((SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+d00_sqrt0)))))
}
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_d_VDI_SI=x_s_VDI_SI;
#if defined(_DERIVATE2)
  x_d_VDI_SI_VDI_SI=x_s_VDI_SI_VDI_SI;
  x_d_VDI_SI_VGP_SI=x_s_VDI_SI_VGP_SI;
  x_d_VDI_SI_VSI_BP=x_s_VDI_SI_VSI_BP;
#endif
x_d_VGP_SI=x_s_VGP_SI;
#if defined(_DERIVATE2)
  x_d_VGP_SI_VDI_SI=x_s_VGP_SI_VDI_SI;
  x_d_VGP_SI_VGP_SI=x_s_VGP_SI_VGP_SI;
  x_d_VGP_SI_VSI_BP=x_s_VGP_SI_VSI_BP;
#endif
x_d_VSI_BP=x_s_VSI_BP;
#if defined(_DERIVATE2)
  x_d_VSI_BP_VDI_SI=x_s_VSI_BP_VDI_SI;
  x_d_VSI_BP_VGP_SI=x_s_VSI_BP_VGP_SI;
  x_d_VSI_BP_VSI_BP=x_s_VSI_BP_VSI_BP;
#endif
#endif
x_d=x_s;
EXIT_IF_ISNAN(x_s)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
x_m_VDI_SI=x_s_VDI_SI;
#if defined(_DERIVATE2)
  x_m_VDI_SI_VDI_SI=x_s_VDI_SI_VDI_SI;
  x_m_VDI_SI_VGP_SI=x_s_VDI_SI_VGP_SI;
  x_m_VDI_SI_VSI_BP=x_s_VDI_SI_VSI_BP;
#endif
x_m_VGP_SI=x_s_VGP_SI;
#if defined(_DERIVATE2)
  x_m_VGP_SI_VDI_SI=x_s_VGP_SI_VDI_SI;
  x_m_VGP_SI_VGP_SI=x_s_VGP_SI_VGP_SI;
  x_m_VGP_SI_VSI_BP=x_s_VGP_SI_VSI_BP;
#endif
x_m_VSI_BP=x_s_VSI_BP;
#if defined(_DERIVATE2)
  x_m_VSI_BP_VDI_SI=x_s_VSI_BP_VDI_SI;
  x_m_VSI_BP_VGP_SI=x_s_VSI_BP_VGP_SI;
  x_m_VSI_BP_VSI_BP=x_s_VSI_BP_VSI_BP;
#endif
#endif
x_m=x_s;
EXIT_IF_ISNAN(x_s)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_ds_VDI_SI=0.0;
#if defined(_DERIVATE2)
  x_ds_VDI_SI_VDI_SI=0.0;
  x_ds_VDI_SI_VGP_SI=0.0;
  x_ds_VDI_SI_VSI_BP=0.0;
#endif
x_ds_VGP_SI=0.0;
#if defined(_DERIVATE2)
  x_ds_VGP_SI_VDI_SI=0.0;
  x_ds_VGP_SI_VGP_SI=0.0;
  x_ds_VGP_SI_VSI_BP=0.0;
#endif
x_ds_VSI_BP=0.0;
#if defined(_DERIVATE2)
  x_ds_VSI_BP_VDI_SI=0.0;
  x_ds_VSI_BP_VGP_SI=0.0;
  x_ds_VSI_BP_VSI_BP=0.0;
#endif
#endif
x_ds=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vdsat_lim_VDI_SI=(3.912023005*phit1_VDI_SI);
#if defined(_DERIVATE2)
  Vdsat_lim_VDI_SI_VDI_SI=(+0.0*pInst->phit1+0.0*phit1_VDI_SI+0.0*phit1_VDI_SI+3.912023005*phit1_VDI_SI_VDI_SI);
  Vdsat_lim_VDI_SI_VGP_SI=(+0.0*pInst->phit1+0.0*phit1_VGP_SI+0.0*phit1_VDI_SI+3.912023005*phit1_VDI_SI_VGP_SI);
  Vdsat_lim_VDI_SI_VSI_BP=(+0.0*pInst->phit1+0.0*phit1_VSI_BP+0.0*phit1_VDI_SI+3.912023005*phit1_VDI_SI_VSI_BP);
#endif
Vdsat_lim_VGP_SI=(3.912023005*phit1_VGP_SI);
#if defined(_DERIVATE2)
  Vdsat_lim_VGP_SI_VDI_SI=(+0.0*pInst->phit1+0.0*phit1_VDI_SI+0.0*phit1_VGP_SI+3.912023005*phit1_VGP_SI_VDI_SI);
  Vdsat_lim_VGP_SI_VGP_SI=(+0.0*pInst->phit1+0.0*phit1_VGP_SI+0.0*phit1_VGP_SI+3.912023005*phit1_VGP_SI_VGP_SI);
  Vdsat_lim_VGP_SI_VSI_BP=(+0.0*pInst->phit1+0.0*phit1_VSI_BP+0.0*phit1_VGP_SI+3.912023005*phit1_VGP_SI_VSI_BP);
#endif
Vdsat_lim_VSI_BP=(3.912023005*phit1_VSI_BP);
#if defined(_DERIVATE2)
  Vdsat_lim_VSI_BP_VDI_SI=(+0.0*pInst->phit1+0.0*phit1_VDI_SI+0.0*phit1_VSI_BP+3.912023005*phit1_VSI_BP_VDI_SI);
  Vdsat_lim_VSI_BP_VGP_SI=(+0.0*pInst->phit1+0.0*phit1_VGP_SI+0.0*phit1_VSI_BP+3.912023005*phit1_VSI_BP_VGP_SI);
  Vdsat_lim_VSI_BP_VSI_BP=(+0.0*pInst->phit1+0.0*phit1_VSI_BP+0.0*phit1_VSI_BP+3.912023005*phit1_VSI_BP_VSI_BP);
#endif
#endif
Vdsat_lim=(3.912023005*pInst->phit1);
EXIT_IF_ISNAN((3.912023005*pInst->phit1))
if
((xg<=0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
qis_VDI_SI=0.0;
#if defined(_DERIVATE2)
  qis_VDI_SI_VDI_SI=0.0;
  qis_VDI_SI_VGP_SI=0.0;
  qis_VDI_SI_VSI_BP=0.0;
#endif
qis_VGP_SI=0.0;
#if defined(_DERIVATE2)
  qis_VGP_SI_VDI_SI=0.0;
  qis_VGP_SI_VGP_SI=0.0;
  qis_VGP_SI_VSI_BP=0.0;
#endif
qis_VSI_BP=0.0;
#if defined(_DERIVATE2)
  qis_VSI_BP_VDI_SI=0.0;
  qis_VSI_BP_VGP_SI=0.0;
  qis_VSI_BP_VSI_BP=0.0;
#endif
#endif
qis=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgm_VDI_SI=(xg_VDI_SI-x_s_VDI_SI);
#if defined(_DERIVATE2)
  xgm_VDI_SI_VDI_SI=(+xg_VDI_SI_VDI_SI-x_s_VDI_SI_VDI_SI);
  xgm_VDI_SI_VGP_SI=(+xg_VDI_SI_VGP_SI-x_s_VDI_SI_VGP_SI);
  xgm_VDI_SI_VSI_BP=(+xg_VDI_SI_VSI_BP-x_s_VDI_SI_VSI_BP);
#endif
xgm_VGP_SI=(xg_VGP_SI-x_s_VGP_SI);
#if defined(_DERIVATE2)
  xgm_VGP_SI_VDI_SI=(+xg_VGP_SI_VDI_SI-x_s_VGP_SI_VDI_SI);
  xgm_VGP_SI_VGP_SI=(+xg_VGP_SI_VGP_SI-x_s_VGP_SI_VGP_SI);
  xgm_VGP_SI_VSI_BP=(+xg_VGP_SI_VSI_BP-x_s_VGP_SI_VSI_BP);
#endif
xgm_VSI_BP=(xg_VSI_BP-x_s_VSI_BP);
#if defined(_DERIVATE2)
  xgm_VSI_BP_VDI_SI=(+xg_VSI_BP_VDI_SI-x_s_VSI_BP_VDI_SI);
  xgm_VSI_BP_VGP_SI=(+xg_VSI_BP_VGP_SI-x_s_VSI_BP_VGP_SI);
  xgm_VSI_BP_VSI_BP=(+xg_VSI_BP_VSI_BP-x_s_VSI_BP_VSI_BP);
#endif
#endif
xgm=(xg-x_s);
EXIT_IF_ISNAN((xg-x_s))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Voxm_VDI_SI=((xgm_VDI_SI*pInst->phit1)+(xgm*phit1_VDI_SI));
#if defined(_DERIVATE2)
  Voxm_VDI_SI_VDI_SI=(+xgm_VDI_SI_VDI_SI*pInst->phit1+xgm_VDI_SI*phit1_VDI_SI+xgm_VDI_SI*phit1_VDI_SI+xgm*phit1_VDI_SI_VDI_SI);
  Voxm_VDI_SI_VGP_SI=(+xgm_VDI_SI_VGP_SI*pInst->phit1+xgm_VDI_SI*phit1_VGP_SI+xgm_VGP_SI*phit1_VDI_SI+xgm*phit1_VDI_SI_VGP_SI);
  Voxm_VDI_SI_VSI_BP=(+xgm_VDI_SI_VSI_BP*pInst->phit1+xgm_VDI_SI*phit1_VSI_BP+xgm_VSI_BP*phit1_VDI_SI+xgm*phit1_VDI_SI_VSI_BP);
#endif
Voxm_VGP_SI=((xgm_VGP_SI*pInst->phit1)+(xgm*phit1_VGP_SI));
#if defined(_DERIVATE2)
  Voxm_VGP_SI_VDI_SI=(+xgm_VGP_SI_VDI_SI*pInst->phit1+xgm_VGP_SI*phit1_VDI_SI+xgm_VDI_SI*phit1_VGP_SI+xgm*phit1_VGP_SI_VDI_SI);
  Voxm_VGP_SI_VGP_SI=(+xgm_VGP_SI_VGP_SI*pInst->phit1+xgm_VGP_SI*phit1_VGP_SI+xgm_VGP_SI*phit1_VGP_SI+xgm*phit1_VGP_SI_VGP_SI);
  Voxm_VGP_SI_VSI_BP=(+xgm_VGP_SI_VSI_BP*pInst->phit1+xgm_VGP_SI*phit1_VSI_BP+xgm_VSI_BP*phit1_VGP_SI+xgm*phit1_VGP_SI_VSI_BP);
#endif
Voxm_VSI_BP=((xgm_VSI_BP*pInst->phit1)+(xgm*phit1_VSI_BP));
#if defined(_DERIVATE2)
  Voxm_VSI_BP_VDI_SI=(+xgm_VSI_BP_VDI_SI*pInst->phit1+xgm_VSI_BP*phit1_VDI_SI+xgm_VDI_SI*phit1_VSI_BP+xgm*phit1_VSI_BP_VDI_SI);
  Voxm_VSI_BP_VGP_SI=(+xgm_VSI_BP_VGP_SI*pInst->phit1+xgm_VSI_BP*phit1_VGP_SI+xgm_VGP_SI*phit1_VSI_BP+xgm*phit1_VSI_BP_VGP_SI);
  Voxm_VSI_BP_VSI_BP=(+xgm_VSI_BP_VSI_BP*pInst->phit1+xgm_VSI_BP*phit1_VSI_BP+xgm_VSI_BP*phit1_VSI_BP+xgm*phit1_VSI_BP_VSI_BP);
#endif
#endif
Voxm=(xgm*pInst->phit1);
EXIT_IF_ISNAN((xgm*pInst->phit1))
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
qeff1_VDI_SI=Voxm_VDI_SI;
#if defined(_DERIVATE2)
  qeff1_VDI_SI_VDI_SI=Voxm_VDI_SI_VDI_SI;
  qeff1_VDI_SI_VGP_SI=Voxm_VDI_SI_VGP_SI;
  qeff1_VDI_SI_VSI_BP=Voxm_VDI_SI_VSI_BP;
#endif
qeff1_VGP_SI=Voxm_VGP_SI;
#if defined(_DERIVATE2)
  qeff1_VGP_SI_VDI_SI=Voxm_VGP_SI_VDI_SI;
  qeff1_VGP_SI_VGP_SI=Voxm_VGP_SI_VGP_SI;
  qeff1_VGP_SI_VSI_BP=Voxm_VGP_SI_VSI_BP;
#endif
qeff1_VSI_BP=Voxm_VSI_BP;
#if defined(_DERIVATE2)
  qeff1_VSI_BP_VDI_SI=Voxm_VSI_BP_VDI_SI;
  qeff1_VSI_BP_VGP_SI=Voxm_VSI_BP_VGP_SI;
  qeff1_VSI_BP_VSI_BP=Voxm_VSI_BP_VSI_BP;
#endif
#endif
qeff1=Voxm;
EXIT_IF_ISNAN(Voxm)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Vdsat_VDI_SI=Vdsat_lim_VDI_SI;
#if defined(_DERIVATE2)
  Vdsat_VDI_SI_VDI_SI=Vdsat_lim_VDI_SI_VDI_SI;
  Vdsat_VDI_SI_VGP_SI=Vdsat_lim_VDI_SI_VGP_SI;
  Vdsat_VDI_SI_VSI_BP=Vdsat_lim_VDI_SI_VSI_BP;
#endif
Vdsat_VGP_SI=Vdsat_lim_VGP_SI;
#if defined(_DERIVATE2)
  Vdsat_VGP_SI_VDI_SI=Vdsat_lim_VGP_SI_VDI_SI;
  Vdsat_VGP_SI_VGP_SI=Vdsat_lim_VGP_SI_VGP_SI;
  Vdsat_VGP_SI_VSI_BP=Vdsat_lim_VGP_SI_VSI_BP;
#endif
Vdsat_VSI_BP=Vdsat_lim_VSI_BP;
#if defined(_DERIVATE2)
  Vdsat_VSI_BP_VDI_SI=Vdsat_lim_VSI_BP_VDI_SI;
  Vdsat_VSI_BP_VGP_SI=Vdsat_lim_VSI_BP_VGP_SI;
  Vdsat_VSI_BP_VSI_BP=Vdsat_lim_VSI_BP_VSI_BP;
#endif
#endif
Vdsat=Vdsat_lim;
EXIT_IF_ISNAN(Vdsat_lim)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vdse_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Vdse_VGP_SI_VGP_SI=0.0;
  Vdse_VGP_SI_VSI_BP=0.0;
  Vdse_VGP_SI_VDI_SI=0.0;
#endif
Vdse_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Vdse_VSI_BP_VGP_SI=0.0;
  Vdse_VSI_BP_VSI_BP=0.0;
  Vdse_VSI_BP_VDI_SI=0.0;
#endif
Vdse_VDI_SI=Vds_VDI_SI;
#if defined(_DERIVATE2)
  Vdse_VDI_SI_VGP_SI=0.0;
  Vdse_VDI_SI_VSI_BP=0.0;
  Vdse_VDI_SI_VDI_SI=Vds_VDI_SI_VDI_SI;
#endif
#endif
Vdse=Vds;
EXIT_IF_ISNAN(Vds)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_1s_VDI_SI=0.0;
#if defined(_DERIVATE2)
  delta_1s_VDI_SI_VDI_SI=0.0;
  delta_1s_VDI_SI_VGP_SI=0.0;
  delta_1s_VDI_SI_VSI_BP=0.0;
#endif
delta_1s_VGP_SI=0.0;
#if defined(_DERIVATE2)
  delta_1s_VGP_SI_VDI_SI=0.0;
  delta_1s_VGP_SI_VGP_SI=0.0;
  delta_1s_VGP_SI_VSI_BP=0.0;
#endif
delta_1s_VSI_BP=0.0;
#if defined(_DERIVATE2)
  delta_1s_VSI_BP_VDI_SI=0.0;
  delta_1s_VSI_BP_VGP_SI=0.0;
  delta_1s_VSI_BP_VSI_BP=0.0;
#endif
#endif
delta_1s=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))+0.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))+1.0*(+0.0+(+x_s_VGP_SI_VGP_SI*x_s+x_s_VGP_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VGP_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
  temp_VGP_SI_VDI_SI=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))+0.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))+1.0*(+0.0+(+x_s_VGP_SI_VDI_SI*x_s+x_s_VGP_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VDI_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
  temp_VGP_SI_VSI_BP=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))+0.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))+1.0*(+0.0+(+x_s_VGP_SI_VSI_BP*x_s+x_s_VGP_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VGP_SI+x_s*x_s_VGP_SI_VSI_BP)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
#endif
temp_VDI_SI=(-((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))+0.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))+1.0*(+0.0+(+x_s_VDI_SI_VGP_SI*x_s+x_s_VDI_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VGP_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
  temp_VDI_SI_VDI_SI=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))+0.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))+1.0*(+0.0+(+x_s_VDI_SI_VDI_SI*x_s+x_s_VDI_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VDI_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
  temp_VDI_SI_VSI_BP=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))+0.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))+1.0*(+0.0+(+x_s_VDI_SI_VSI_BP*x_s+x_s_VDI_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VDI_SI+x_s*x_s_VDI_SI_VSI_BP)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
#endif
temp_VSI_BP=(-((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))+0.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))+1.0*(+0.0+(+x_s_VSI_BP_VGP_SI*x_s+x_s_VSI_BP*x_s_VGP_SI+x_s_VGP_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VGP_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
  temp_VSI_BP_VDI_SI=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))+0.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))+1.0*(+0.0+(+x_s_VSI_BP_VDI_SI*x_s+x_s_VSI_BP*x_s_VDI_SI+x_s_VDI_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VDI_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
  temp_VSI_BP_VSI_BP=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))+0.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))+1.0*(+0.0+(+x_s_VSI_BP_VSI_BP*x_s+x_s_VSI_BP*x_s_VSI_BP+x_s_VSI_BP*x_s_VSI_BP+x_s*x_s_VSI_BP_VSI_BP)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
#endif
#endif
temp=(1.0/(2.0+(x_s*x_s)));
EXIT_IF_ISNAN((1.0/(2.0+(x_s*x_s))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xi0s_VDI_SI=((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*temp)+((x_s*x_s)*temp_VDI_SI));
#if defined(_DERIVATE2)
  xi0s_VDI_SI_VDI_SI=(+(+x_s_VDI_SI_VDI_SI*x_s+x_s_VDI_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VDI_SI)*temp+((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*temp_VDI_SI+(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*temp_VDI_SI+(x_s*x_s)*temp_VDI_SI_VDI_SI);
  xi0s_VDI_SI_VGP_SI=(+(+x_s_VDI_SI_VGP_SI*x_s+x_s_VDI_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VGP_SI)*temp+((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*temp_VGP_SI+(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*temp_VDI_SI+(x_s*x_s)*temp_VDI_SI_VGP_SI);
  xi0s_VDI_SI_VSI_BP=(+(+x_s_VDI_SI_VSI_BP*x_s+x_s_VDI_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VDI_SI+x_s*x_s_VDI_SI_VSI_BP)*temp+((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*temp_VSI_BP+(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*temp_VDI_SI+(x_s*x_s)*temp_VDI_SI_VSI_BP);
#endif
xi0s_VGP_SI=((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*temp)+((x_s*x_s)*temp_VGP_SI));
#if defined(_DERIVATE2)
  xi0s_VGP_SI_VDI_SI=(+(+x_s_VGP_SI_VDI_SI*x_s+x_s_VGP_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VDI_SI)*temp+((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*temp_VDI_SI+(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*temp_VGP_SI+(x_s*x_s)*temp_VGP_SI_VDI_SI);
  xi0s_VGP_SI_VGP_SI=(+(+x_s_VGP_SI_VGP_SI*x_s+x_s_VGP_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VGP_SI)*temp+((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*temp_VGP_SI+(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*temp_VGP_SI+(x_s*x_s)*temp_VGP_SI_VGP_SI);
  xi0s_VGP_SI_VSI_BP=(+(+x_s_VGP_SI_VSI_BP*x_s+x_s_VGP_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VGP_SI+x_s*x_s_VGP_SI_VSI_BP)*temp+((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*temp_VSI_BP+(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*temp_VGP_SI+(x_s*x_s)*temp_VGP_SI_VSI_BP);
#endif
xi0s_VSI_BP=((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*temp)+((x_s*x_s)*temp_VSI_BP));
#if defined(_DERIVATE2)
  xi0s_VSI_BP_VDI_SI=(+(+x_s_VSI_BP_VDI_SI*x_s+x_s_VSI_BP*x_s_VDI_SI+x_s_VDI_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VDI_SI)*temp+((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*temp_VDI_SI+(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*temp_VSI_BP+(x_s*x_s)*temp_VSI_BP_VDI_SI);
  xi0s_VSI_BP_VGP_SI=(+(+x_s_VSI_BP_VGP_SI*x_s+x_s_VSI_BP*x_s_VGP_SI+x_s_VGP_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VGP_SI)*temp+((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*temp_VGP_SI+(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*temp_VSI_BP+(x_s*x_s)*temp_VSI_BP_VGP_SI);
  xi0s_VSI_BP_VSI_BP=(+(+x_s_VSI_BP_VSI_BP*x_s+x_s_VSI_BP*x_s_VSI_BP+x_s_VSI_BP*x_s_VSI_BP+x_s*x_s_VSI_BP_VSI_BP)*temp+((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*temp_VSI_BP+(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*temp_VSI_BP+(x_s*x_s)*temp_VSI_BP_VSI_BP);
#endif
#endif
xi0s=((x_s*x_s)*temp);
EXIT_IF_ISNAN(((x_s*x_s)*temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xi1s_VDI_SI=(4.0*((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp)+((x_s*temp)*temp_VDI_SI)));
#if defined(_DERIVATE2)
  xi1s_VDI_SI_VDI_SI=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))*temp)+((x_s*temp)*temp_VDI_SI)))+0.0*((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp)+((x_s*temp)*temp_VDI_SI))+4.0*(+(+x_s_VDI_SI_VDI_SI*temp+x_s_VDI_SI*temp_VDI_SI+x_s_VDI_SI*temp_VDI_SI+x_s*temp_VDI_SI_VDI_SI)*temp+((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp_VDI_SI+(((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))*temp_VDI_SI+(x_s*temp)*temp_VDI_SI_VDI_SI));
  xi1s_VDI_SI_VGP_SI=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))*temp)+((x_s*temp)*temp_VGP_SI)))+0.0*((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp)+((x_s*temp)*temp_VDI_SI))+4.0*(+(+x_s_VDI_SI_VGP_SI*temp+x_s_VDI_SI*temp_VGP_SI+x_s_VGP_SI*temp_VDI_SI+x_s*temp_VDI_SI_VGP_SI)*temp+((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp_VGP_SI+(((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))*temp_VDI_SI+(x_s*temp)*temp_VDI_SI_VGP_SI));
  xi1s_VDI_SI_VSI_BP=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))*temp)+((x_s*temp)*temp_VSI_BP)))+0.0*((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp)+((x_s*temp)*temp_VDI_SI))+4.0*(+(+x_s_VDI_SI_VSI_BP*temp+x_s_VDI_SI*temp_VSI_BP+x_s_VSI_BP*temp_VDI_SI+x_s*temp_VDI_SI_VSI_BP)*temp+((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp_VSI_BP+(((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))*temp_VDI_SI+(x_s*temp)*temp_VDI_SI_VSI_BP));
#endif
xi1s_VGP_SI=(4.0*((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp)+((x_s*temp)*temp_VGP_SI)));
#if defined(_DERIVATE2)
  xi1s_VGP_SI_VDI_SI=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))*temp)+((x_s*temp)*temp_VDI_SI)))+0.0*((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp)+((x_s*temp)*temp_VGP_SI))+4.0*(+(+x_s_VGP_SI_VDI_SI*temp+x_s_VGP_SI*temp_VDI_SI+x_s_VDI_SI*temp_VGP_SI+x_s*temp_VGP_SI_VDI_SI)*temp+((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp_VDI_SI+(((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))*temp_VGP_SI+(x_s*temp)*temp_VGP_SI_VDI_SI));
  xi1s_VGP_SI_VGP_SI=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))*temp)+((x_s*temp)*temp_VGP_SI)))+0.0*((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp)+((x_s*temp)*temp_VGP_SI))+4.0*(+(+x_s_VGP_SI_VGP_SI*temp+x_s_VGP_SI*temp_VGP_SI+x_s_VGP_SI*temp_VGP_SI+x_s*temp_VGP_SI_VGP_SI)*temp+((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp_VGP_SI+(((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))*temp_VGP_SI+(x_s*temp)*temp_VGP_SI_VGP_SI));
  xi1s_VGP_SI_VSI_BP=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))*temp)+((x_s*temp)*temp_VSI_BP)))+0.0*((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp)+((x_s*temp)*temp_VGP_SI))+4.0*(+(+x_s_VGP_SI_VSI_BP*temp+x_s_VGP_SI*temp_VSI_BP+x_s_VSI_BP*temp_VGP_SI+x_s*temp_VGP_SI_VSI_BP)*temp+((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp_VSI_BP+(((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))*temp_VGP_SI+(x_s*temp)*temp_VGP_SI_VSI_BP));
#endif
xi1s_VSI_BP=(4.0*((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp)+((x_s*temp)*temp_VSI_BP)));
#if defined(_DERIVATE2)
  xi1s_VSI_BP_VDI_SI=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))*temp)+((x_s*temp)*temp_VDI_SI)))+0.0*((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp)+((x_s*temp)*temp_VSI_BP))+4.0*(+(+x_s_VSI_BP_VDI_SI*temp+x_s_VSI_BP*temp_VDI_SI+x_s_VDI_SI*temp_VSI_BP+x_s*temp_VSI_BP_VDI_SI)*temp+((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp_VDI_SI+(((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))*temp_VSI_BP+(x_s*temp)*temp_VSI_BP_VDI_SI));
  xi1s_VSI_BP_VGP_SI=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))*temp)+((x_s*temp)*temp_VGP_SI)))+0.0*((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp)+((x_s*temp)*temp_VSI_BP))+4.0*(+(+x_s_VSI_BP_VGP_SI*temp+x_s_VSI_BP*temp_VGP_SI+x_s_VGP_SI*temp_VSI_BP+x_s*temp_VSI_BP_VGP_SI)*temp+((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp_VGP_SI+(((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))*temp_VSI_BP+(x_s*temp)*temp_VSI_BP_VGP_SI));
  xi1s_VSI_BP_VSI_BP=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))*temp)+((x_s*temp)*temp_VSI_BP)))+0.0*((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp)+((x_s*temp)*temp_VSI_BP))+4.0*(+(+x_s_VSI_BP_VSI_BP*temp+x_s_VSI_BP*temp_VSI_BP+x_s_VSI_BP*temp_VSI_BP+x_s*temp_VSI_BP_VSI_BP)*temp+((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp_VSI_BP+(((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))*temp_VSI_BP+(x_s*temp)*temp_VSI_BP_VSI_BP));
#endif
#endif
xi1s=(4.0*((x_s*temp)*temp));
EXIT_IF_ISNAN((4.0*((x_s*temp)*temp)))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xi2s_VGP_SI=((((((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI))*temp)+((((8.0*temp)-(12.0*xi0s))*temp)*temp_VGP_SI));
#if defined(_DERIVATE2)
  xi2s_VGP_SI_VGP_SI=(+(+(+(+0.0*temp+0.0*temp_VGP_SI+0.0*temp_VGP_SI+8.0*temp_VGP_SI_VGP_SI)-(+0.0*xi0s+0.0*xi0s_VGP_SI+0.0*xi0s_VGP_SI+12.0*xi0s_VGP_SI_VGP_SI))*temp+((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp_VGP_SI+(((8.0*temp_VGP_SI))-((12.0*xi0s_VGP_SI)))*temp_VGP_SI+((8.0*temp)-(12.0*xi0s))*temp_VGP_SI_VGP_SI)*temp+((((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI))*temp_VGP_SI+((((((8.0*temp_VGP_SI))-((12.0*xi0s_VGP_SI)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI)))*temp_VGP_SI+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VGP_SI_VGP_SI);
  xi2s_VGP_SI_VDI_SI=(+(+(+(+0.0*temp+0.0*temp_VDI_SI+0.0*temp_VGP_SI+8.0*temp_VGP_SI_VDI_SI)-(+0.0*xi0s+0.0*xi0s_VDI_SI+0.0*xi0s_VGP_SI+12.0*xi0s_VGP_SI_VDI_SI))*temp+((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp_VDI_SI+(((8.0*temp_VDI_SI))-((12.0*xi0s_VDI_SI)))*temp_VGP_SI+((8.0*temp)-(12.0*xi0s))*temp_VGP_SI_VDI_SI)*temp+((((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI))*temp_VDI_SI+((((((8.0*temp_VDI_SI))-((12.0*xi0s_VDI_SI)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI)))*temp_VGP_SI+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VGP_SI_VDI_SI);
  xi2s_VGP_SI_VSI_BP=(+(+(+(+0.0*temp+0.0*temp_VSI_BP+0.0*temp_VGP_SI+8.0*temp_VGP_SI_VSI_BP)-(+0.0*xi0s+0.0*xi0s_VSI_BP+0.0*xi0s_VGP_SI+12.0*xi0s_VGP_SI_VSI_BP))*temp+((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp_VSI_BP+(((8.0*temp_VSI_BP))-((12.0*xi0s_VSI_BP)))*temp_VGP_SI+((8.0*temp)-(12.0*xi0s))*temp_VGP_SI_VSI_BP)*temp+((((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI))*temp_VSI_BP+((((((8.0*temp_VSI_BP))-((12.0*xi0s_VSI_BP)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP)))*temp_VGP_SI+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VGP_SI_VSI_BP);
#endif
xi2s_VDI_SI=((((((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI))*temp)+((((8.0*temp)-(12.0*xi0s))*temp)*temp_VDI_SI));
#if defined(_DERIVATE2)
  xi2s_VDI_SI_VGP_SI=(+(+(+(+0.0*temp+0.0*temp_VGP_SI+0.0*temp_VDI_SI+8.0*temp_VDI_SI_VGP_SI)-(+0.0*xi0s+0.0*xi0s_VGP_SI+0.0*xi0s_VDI_SI+12.0*xi0s_VDI_SI_VGP_SI))*temp+((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp_VGP_SI+(((8.0*temp_VGP_SI))-((12.0*xi0s_VGP_SI)))*temp_VDI_SI+((8.0*temp)-(12.0*xi0s))*temp_VDI_SI_VGP_SI)*temp+((((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI))*temp_VGP_SI+((((((8.0*temp_VGP_SI))-((12.0*xi0s_VGP_SI)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI)))*temp_VDI_SI+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VDI_SI_VGP_SI);
  xi2s_VDI_SI_VDI_SI=(+(+(+(+0.0*temp+0.0*temp_VDI_SI+0.0*temp_VDI_SI+8.0*temp_VDI_SI_VDI_SI)-(+0.0*xi0s+0.0*xi0s_VDI_SI+0.0*xi0s_VDI_SI+12.0*xi0s_VDI_SI_VDI_SI))*temp+((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp_VDI_SI+(((8.0*temp_VDI_SI))-((12.0*xi0s_VDI_SI)))*temp_VDI_SI+((8.0*temp)-(12.0*xi0s))*temp_VDI_SI_VDI_SI)*temp+((((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI))*temp_VDI_SI+((((((8.0*temp_VDI_SI))-((12.0*xi0s_VDI_SI)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI)))*temp_VDI_SI+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VDI_SI_VDI_SI);
  xi2s_VDI_SI_VSI_BP=(+(+(+(+0.0*temp+0.0*temp_VSI_BP+0.0*temp_VDI_SI+8.0*temp_VDI_SI_VSI_BP)-(+0.0*xi0s+0.0*xi0s_VSI_BP+0.0*xi0s_VDI_SI+12.0*xi0s_VDI_SI_VSI_BP))*temp+((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp_VSI_BP+(((8.0*temp_VSI_BP))-((12.0*xi0s_VSI_BP)))*temp_VDI_SI+((8.0*temp)-(12.0*xi0s))*temp_VDI_SI_VSI_BP)*temp+((((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI))*temp_VSI_BP+((((((8.0*temp_VSI_BP))-((12.0*xi0s_VSI_BP)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP)))*temp_VDI_SI+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VDI_SI_VSI_BP);
#endif
xi2s_VSI_BP=((((((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP))*temp)+((((8.0*temp)-(12.0*xi0s))*temp)*temp_VSI_BP));
#if defined(_DERIVATE2)
  xi2s_VSI_BP_VGP_SI=(+(+(+(+0.0*temp+0.0*temp_VGP_SI+0.0*temp_VSI_BP+8.0*temp_VSI_BP_VGP_SI)-(+0.0*xi0s+0.0*xi0s_VGP_SI+0.0*xi0s_VSI_BP+12.0*xi0s_VSI_BP_VGP_SI))*temp+((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp_VGP_SI+(((8.0*temp_VGP_SI))-((12.0*xi0s_VGP_SI)))*temp_VSI_BP+((8.0*temp)-(12.0*xi0s))*temp_VSI_BP_VGP_SI)*temp+((((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP))*temp_VGP_SI+((((((8.0*temp_VGP_SI))-((12.0*xi0s_VGP_SI)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI)))*temp_VSI_BP+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VSI_BP_VGP_SI);
  xi2s_VSI_BP_VDI_SI=(+(+(+(+0.0*temp+0.0*temp_VDI_SI+0.0*temp_VSI_BP+8.0*temp_VSI_BP_VDI_SI)-(+0.0*xi0s+0.0*xi0s_VDI_SI+0.0*xi0s_VSI_BP+12.0*xi0s_VSI_BP_VDI_SI))*temp+((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp_VDI_SI+(((8.0*temp_VDI_SI))-((12.0*xi0s_VDI_SI)))*temp_VSI_BP+((8.0*temp)-(12.0*xi0s))*temp_VSI_BP_VDI_SI)*temp+((((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP))*temp_VDI_SI+((((((8.0*temp_VDI_SI))-((12.0*xi0s_VDI_SI)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI)))*temp_VSI_BP+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VSI_BP_VDI_SI);
  xi2s_VSI_BP_VSI_BP=(+(+(+(+0.0*temp+0.0*temp_VSI_BP+0.0*temp_VSI_BP+8.0*temp_VSI_BP_VSI_BP)-(+0.0*xi0s+0.0*xi0s_VSI_BP+0.0*xi0s_VSI_BP+12.0*xi0s_VSI_BP_VSI_BP))*temp+((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp_VSI_BP+(((8.0*temp_VSI_BP))-((12.0*xi0s_VSI_BP)))*temp_VSI_BP+((8.0*temp)-(12.0*xi0s))*temp_VSI_BP_VSI_BP)*temp+((((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP))*temp_VSI_BP+((((((8.0*temp_VSI_BP))-((12.0*xi0s_VSI_BP)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP)))*temp_VSI_BP+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VSI_BP_VSI_BP);
#endif
#endif
xi2s=((((8.0*temp)-(12.0*xi0s))*temp)*temp);
EXIT_IF_ISNAN(((((8.0*temp)-(12.0*xi0s))*temp)*temp))
if
((x_s<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,x_s)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_1s_VDI_SI=x_s_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  delta_1s_VDI_SI_VDI_SI=(m20_exp(x_s)*x_s_VDI_SI*x_s_VDI_SI+d10_exp0*x_s_VDI_SI_VDI_SI);
  delta_1s_VDI_SI_VGP_SI=(m20_exp(x_s)*x_s_VGP_SI*x_s_VDI_SI+d10_exp0*x_s_VDI_SI_VGP_SI);
  delta_1s_VDI_SI_VSI_BP=(m20_exp(x_s)*x_s_VSI_BP*x_s_VDI_SI+d10_exp0*x_s_VDI_SI_VSI_BP);
#endif
delta_1s_VGP_SI=x_s_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  delta_1s_VGP_SI_VDI_SI=(m20_exp(x_s)*x_s_VDI_SI*x_s_VGP_SI+d10_exp0*x_s_VGP_SI_VDI_SI);
  delta_1s_VGP_SI_VGP_SI=(m20_exp(x_s)*x_s_VGP_SI*x_s_VGP_SI+d10_exp0*x_s_VGP_SI_VGP_SI);
  delta_1s_VGP_SI_VSI_BP=(m20_exp(x_s)*x_s_VSI_BP*x_s_VGP_SI+d10_exp0*x_s_VGP_SI_VSI_BP);
#endif
delta_1s_VSI_BP=x_s_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  delta_1s_VSI_BP_VDI_SI=(m20_exp(x_s)*x_s_VDI_SI*x_s_VSI_BP+d10_exp0*x_s_VSI_BP_VDI_SI);
  delta_1s_VSI_BP_VGP_SI=(m20_exp(x_s)*x_s_VGP_SI*x_s_VSI_BP+d10_exp0*x_s_VSI_BP_VGP_SI);
  delta_1s_VSI_BP_VSI_BP=(m20_exp(x_s)*x_s_VSI_BP*x_s_VSI_BP+d10_exp0*x_s_VSI_BP_VSI_BP);
#endif
#endif
delta_1s=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Es_VDI_SI=(-delta_1s_VDI_SI/delta_1s/delta_1s);
#if defined(_DERIVATE2)
  Es_VDI_SI_VDI_SI=(0.0/delta_1s-(0.0*delta_1s_VDI_SI+0.0*delta_1s_VDI_SI+1.0*delta_1s_VDI_SI_VDI_SI)/delta_1s/delta_1s+2*1.0*delta_1s_VDI_SI*delta_1s_VDI_SI/delta_1s/delta_1s/delta_1s);
  Es_VDI_SI_VGP_SI=(0.0/delta_1s-(0.0*delta_1s_VGP_SI+0.0*delta_1s_VDI_SI+1.0*delta_1s_VDI_SI_VGP_SI)/delta_1s/delta_1s+2*1.0*delta_1s_VDI_SI*delta_1s_VGP_SI/delta_1s/delta_1s/delta_1s);
  Es_VDI_SI_VSI_BP=(0.0/delta_1s-(0.0*delta_1s_VSI_BP+0.0*delta_1s_VDI_SI+1.0*delta_1s_VDI_SI_VSI_BP)/delta_1s/delta_1s+2*1.0*delta_1s_VDI_SI*delta_1s_VSI_BP/delta_1s/delta_1s/delta_1s);
#endif
Es_VGP_SI=(-delta_1s_VGP_SI/delta_1s/delta_1s);
#if defined(_DERIVATE2)
  Es_VGP_SI_VDI_SI=(0.0/delta_1s-(0.0*delta_1s_VDI_SI+0.0*delta_1s_VGP_SI+1.0*delta_1s_VGP_SI_VDI_SI)/delta_1s/delta_1s+2*1.0*delta_1s_VGP_SI*delta_1s_VDI_SI/delta_1s/delta_1s/delta_1s);
  Es_VGP_SI_VGP_SI=(0.0/delta_1s-(0.0*delta_1s_VGP_SI+0.0*delta_1s_VGP_SI+1.0*delta_1s_VGP_SI_VGP_SI)/delta_1s/delta_1s+2*1.0*delta_1s_VGP_SI*delta_1s_VGP_SI/delta_1s/delta_1s/delta_1s);
  Es_VGP_SI_VSI_BP=(0.0/delta_1s-(0.0*delta_1s_VSI_BP+0.0*delta_1s_VGP_SI+1.0*delta_1s_VGP_SI_VSI_BP)/delta_1s/delta_1s+2*1.0*delta_1s_VGP_SI*delta_1s_VSI_BP/delta_1s/delta_1s/delta_1s);
#endif
Es_VSI_BP=(-delta_1s_VSI_BP/delta_1s/delta_1s);
#if defined(_DERIVATE2)
  Es_VSI_BP_VDI_SI=(0.0/delta_1s-(0.0*delta_1s_VDI_SI+0.0*delta_1s_VSI_BP+1.0*delta_1s_VSI_BP_VDI_SI)/delta_1s/delta_1s+2*1.0*delta_1s_VSI_BP*delta_1s_VDI_SI/delta_1s/delta_1s/delta_1s);
  Es_VSI_BP_VGP_SI=(0.0/delta_1s-(0.0*delta_1s_VGP_SI+0.0*delta_1s_VSI_BP+1.0*delta_1s_VSI_BP_VGP_SI)/delta_1s/delta_1s+2*1.0*delta_1s_VSI_BP*delta_1s_VGP_SI/delta_1s/delta_1s/delta_1s);
  Es_VSI_BP_VSI_BP=(0.0/delta_1s-(0.0*delta_1s_VSI_BP+0.0*delta_1s_VSI_BP+1.0*delta_1s_VSI_BP_VSI_BP)/delta_1s/delta_1s+2*1.0*delta_1s_VSI_BP*delta_1s_VSI_BP/delta_1s/delta_1s/delta_1s);
#endif
#endif
Es=(1.0/delta_1s);
EXIT_IF_ISNAN((1.0/delta_1s))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_1s_VDI_SI=((delta_ns_VDI_SI*delta_1s)+(delta_ns*delta_1s_VDI_SI));
#if defined(_DERIVATE2)
  delta_1s_VDI_SI_VDI_SI=(+delta_ns_VDI_SI_VDI_SI*delta_1s+delta_ns_VDI_SI*delta_1s_VDI_SI+delta_ns_VDI_SI*delta_1s_VDI_SI+delta_ns*delta_1s_VDI_SI_VDI_SI);
  delta_1s_VDI_SI_VGP_SI=(+delta_ns_VDI_SI_VGP_SI*delta_1s+delta_ns_VDI_SI*delta_1s_VGP_SI+delta_ns_VGP_SI*delta_1s_VDI_SI+delta_ns*delta_1s_VDI_SI_VGP_SI);
  delta_1s_VDI_SI_VSI_BP=(+delta_ns_VDI_SI_VSI_BP*delta_1s+delta_ns_VDI_SI*delta_1s_VSI_BP+delta_ns_VSI_BP*delta_1s_VDI_SI+delta_ns*delta_1s_VDI_SI_VSI_BP);
#endif
delta_1s_VGP_SI=((delta_ns_VGP_SI*delta_1s)+(delta_ns*delta_1s_VGP_SI));
#if defined(_DERIVATE2)
  delta_1s_VGP_SI_VDI_SI=(+delta_ns_VGP_SI_VDI_SI*delta_1s+delta_ns_VGP_SI*delta_1s_VDI_SI+delta_ns_VDI_SI*delta_1s_VGP_SI+delta_ns*delta_1s_VGP_SI_VDI_SI);
  delta_1s_VGP_SI_VGP_SI=(+delta_ns_VGP_SI_VGP_SI*delta_1s+delta_ns_VGP_SI*delta_1s_VGP_SI+delta_ns_VGP_SI*delta_1s_VGP_SI+delta_ns*delta_1s_VGP_SI_VGP_SI);
  delta_1s_VGP_SI_VSI_BP=(+delta_ns_VGP_SI_VSI_BP*delta_1s+delta_ns_VGP_SI*delta_1s_VSI_BP+delta_ns_VSI_BP*delta_1s_VGP_SI+delta_ns*delta_1s_VGP_SI_VSI_BP);
#endif
delta_1s_VSI_BP=((delta_ns_VSI_BP*delta_1s)+(delta_ns*delta_1s_VSI_BP));
#if defined(_DERIVATE2)
  delta_1s_VSI_BP_VDI_SI=(+delta_ns_VSI_BP_VDI_SI*delta_1s+delta_ns_VSI_BP*delta_1s_VDI_SI+delta_ns_VDI_SI*delta_1s_VSI_BP+delta_ns*delta_1s_VSI_BP_VDI_SI);
  delta_1s_VSI_BP_VGP_SI=(+delta_ns_VSI_BP_VGP_SI*delta_1s+delta_ns_VSI_BP*delta_1s_VGP_SI+delta_ns_VGP_SI*delta_1s_VSI_BP+delta_ns*delta_1s_VSI_BP_VGP_SI);
  delta_1s_VSI_BP_VSI_BP=(+delta_ns_VSI_BP_VSI_BP*delta_1s+delta_ns_VSI_BP*delta_1s_VSI_BP+delta_ns_VSI_BP*delta_1s_VSI_BP+delta_ns*delta_1s_VSI_BP_VSI_BP);
#endif
#endif
delta_1s=(delta_ns*delta_1s);
EXIT_IF_ISNAN((delta_ns*delta_1s))
}
else
{
if
((x_s>(xn_s-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(x_s-xn_s))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_1s_VDI_SI=(x_s_VDI_SI-xn_s_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  delta_1s_VDI_SI_VDI_SI=(m20_exp((x_s-xn_s))*(x_s_VDI_SI-xn_s_VDI_SI)*(x_s_VDI_SI-xn_s_VDI_SI)+d10_exp0*(+x_s_VDI_SI_VDI_SI-xn_s_VDI_SI_VDI_SI));
  delta_1s_VDI_SI_VGP_SI=(m20_exp((x_s-xn_s))*(x_s_VGP_SI-xn_s_VGP_SI)*(x_s_VDI_SI-xn_s_VDI_SI)+d10_exp0*(+x_s_VDI_SI_VGP_SI-xn_s_VDI_SI_VGP_SI));
  delta_1s_VDI_SI_VSI_BP=(m20_exp((x_s-xn_s))*(x_s_VSI_BP-xn_s_VSI_BP)*(x_s_VDI_SI-xn_s_VDI_SI)+d10_exp0*(+x_s_VDI_SI_VSI_BP-xn_s_VDI_SI_VSI_BP));
#endif
delta_1s_VGP_SI=(x_s_VGP_SI-xn_s_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  delta_1s_VGP_SI_VDI_SI=(m20_exp((x_s-xn_s))*(x_s_VDI_SI-xn_s_VDI_SI)*(x_s_VGP_SI-xn_s_VGP_SI)+d10_exp0*(+x_s_VGP_SI_VDI_SI-xn_s_VGP_SI_VDI_SI));
  delta_1s_VGP_SI_VGP_SI=(m20_exp((x_s-xn_s))*(x_s_VGP_SI-xn_s_VGP_SI)*(x_s_VGP_SI-xn_s_VGP_SI)+d10_exp0*(+x_s_VGP_SI_VGP_SI-xn_s_VGP_SI_VGP_SI));
  delta_1s_VGP_SI_VSI_BP=(m20_exp((x_s-xn_s))*(x_s_VSI_BP-xn_s_VSI_BP)*(x_s_VGP_SI-xn_s_VGP_SI)+d10_exp0*(+x_s_VGP_SI_VSI_BP-xn_s_VGP_SI_VSI_BP));
#endif
delta_1s_VSI_BP=(x_s_VSI_BP-xn_s_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  delta_1s_VSI_BP_VDI_SI=(m20_exp((x_s-xn_s))*(x_s_VDI_SI-xn_s_VDI_SI)*(x_s_VSI_BP-xn_s_VSI_BP)+d10_exp0*(+x_s_VSI_BP_VDI_SI-xn_s_VSI_BP_VDI_SI));
  delta_1s_VSI_BP_VGP_SI=(m20_exp((x_s-xn_s))*(x_s_VGP_SI-xn_s_VGP_SI)*(x_s_VSI_BP-xn_s_VSI_BP)+d10_exp0*(+x_s_VSI_BP_VGP_SI-xn_s_VSI_BP_VGP_SI));
  delta_1s_VSI_BP_VSI_BP=(m20_exp((x_s-xn_s))*(x_s_VSI_BP-xn_s_VSI_BP)*(x_s_VSI_BP-xn_s_VSI_BP)+d10_exp0*(+x_s_VSI_BP_VSI_BP-xn_s_VSI_BP_VSI_BP));
#endif
#endif
delta_1s=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Es_VDI_SI=((delta_ns_VDI_SI*delta_1s-delta_ns*delta_1s_VDI_SI)/delta_1s/delta_1s);
#if defined(_DERIVATE2)
  Es_VDI_SI_VDI_SI=(delta_ns_VDI_SI_VDI_SI/delta_1s-(delta_ns_VDI_SI*delta_1s_VDI_SI+delta_ns_VDI_SI*delta_1s_VDI_SI+delta_ns*delta_1s_VDI_SI_VDI_SI)/delta_1s/delta_1s+2*delta_ns*delta_1s_VDI_SI*delta_1s_VDI_SI/delta_1s/delta_1s/delta_1s);
  Es_VDI_SI_VGP_SI=(delta_ns_VDI_SI_VGP_SI/delta_1s-(delta_ns_VDI_SI*delta_1s_VGP_SI+delta_ns_VGP_SI*delta_1s_VDI_SI+delta_ns*delta_1s_VDI_SI_VGP_SI)/delta_1s/delta_1s+2*delta_ns*delta_1s_VDI_SI*delta_1s_VGP_SI/delta_1s/delta_1s/delta_1s);
  Es_VDI_SI_VSI_BP=(delta_ns_VDI_SI_VSI_BP/delta_1s-(delta_ns_VDI_SI*delta_1s_VSI_BP+delta_ns_VSI_BP*delta_1s_VDI_SI+delta_ns*delta_1s_VDI_SI_VSI_BP)/delta_1s/delta_1s+2*delta_ns*delta_1s_VDI_SI*delta_1s_VSI_BP/delta_1s/delta_1s/delta_1s);
#endif
Es_VGP_SI=((delta_ns_VGP_SI*delta_1s-delta_ns*delta_1s_VGP_SI)/delta_1s/delta_1s);
#if defined(_DERIVATE2)
  Es_VGP_SI_VDI_SI=(delta_ns_VGP_SI_VDI_SI/delta_1s-(delta_ns_VGP_SI*delta_1s_VDI_SI+delta_ns_VDI_SI*delta_1s_VGP_SI+delta_ns*delta_1s_VGP_SI_VDI_SI)/delta_1s/delta_1s+2*delta_ns*delta_1s_VGP_SI*delta_1s_VDI_SI/delta_1s/delta_1s/delta_1s);
  Es_VGP_SI_VGP_SI=(delta_ns_VGP_SI_VGP_SI/delta_1s-(delta_ns_VGP_SI*delta_1s_VGP_SI+delta_ns_VGP_SI*delta_1s_VGP_SI+delta_ns*delta_1s_VGP_SI_VGP_SI)/delta_1s/delta_1s+2*delta_ns*delta_1s_VGP_SI*delta_1s_VGP_SI/delta_1s/delta_1s/delta_1s);
  Es_VGP_SI_VSI_BP=(delta_ns_VGP_SI_VSI_BP/delta_1s-(delta_ns_VGP_SI*delta_1s_VSI_BP+delta_ns_VSI_BP*delta_1s_VGP_SI+delta_ns*delta_1s_VGP_SI_VSI_BP)/delta_1s/delta_1s+2*delta_ns*delta_1s_VGP_SI*delta_1s_VSI_BP/delta_1s/delta_1s/delta_1s);
#endif
Es_VSI_BP=((delta_ns_VSI_BP*delta_1s-delta_ns*delta_1s_VSI_BP)/delta_1s/delta_1s);
#if defined(_DERIVATE2)
  Es_VSI_BP_VDI_SI=(delta_ns_VSI_BP_VDI_SI/delta_1s-(delta_ns_VSI_BP*delta_1s_VDI_SI+delta_ns_VDI_SI*delta_1s_VSI_BP+delta_ns*delta_1s_VSI_BP_VDI_SI)/delta_1s/delta_1s+2*delta_ns*delta_1s_VSI_BP*delta_1s_VDI_SI/delta_1s/delta_1s/delta_1s);
  Es_VSI_BP_VGP_SI=(delta_ns_VSI_BP_VGP_SI/delta_1s-(delta_ns_VSI_BP*delta_1s_VGP_SI+delta_ns_VGP_SI*delta_1s_VSI_BP+delta_ns*delta_1s_VSI_BP_VGP_SI)/delta_1s/delta_1s+2*delta_ns*delta_1s_VSI_BP*delta_1s_VGP_SI/delta_1s/delta_1s/delta_1s);
  Es_VSI_BP_VSI_BP=(delta_ns_VSI_BP_VSI_BP/delta_1s-(delta_ns_VSI_BP*delta_1s_VSI_BP+delta_ns_VSI_BP*delta_1s_VSI_BP+delta_ns*delta_1s_VSI_BP_VSI_BP)/delta_1s/delta_1s+2*delta_ns*delta_1s_VSI_BP*delta_1s_VSI_BP/delta_1s/delta_1s/delta_1s);
#endif
#endif
Es=(delta_ns/delta_1s);
EXIT_IF_ISNAN((delta_ns/delta_1s))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_1s_VDI_SI=(-1.0e-100*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  delta_1s_VDI_SI_VDI_SI=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VDI_SI_VDI_SI-x_s_VDI_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VDI_SI-x_s_VDI_SI)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))))))+(xn_s_VDI_SI-x_s_VDI_SI)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VDI_SI_VDI_SI-x_s_VDI_SI_VDI_SI)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VDI_SI-x_s_VDI_SI)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)+(xn_s_VDI_SI-x_s_VDI_SI)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VDI_SI_VDI_SI-x_s_VDI_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_s_VDI_SI-x_s_VDI_SI)*0.0+(xn_s_VDI_SI-x_s_VDI_SI)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  delta_1s_VDI_SI_VGP_SI=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VDI_SI_VGP_SI-x_s_VDI_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VDI_SI-x_s_VDI_SI)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))))))+(xn_s_VGP_SI-x_s_VGP_SI)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VDI_SI_VGP_SI-x_s_VDI_SI_VGP_SI)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VDI_SI-x_s_VDI_SI)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)+(xn_s_VGP_SI-x_s_VGP_SI)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VDI_SI_VGP_SI-x_s_VDI_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_s_VDI_SI-x_s_VDI_SI)*0.0+(xn_s_VGP_SI-x_s_VGP_SI)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  delta_1s_VDI_SI_VSI_BP=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VDI_SI_VSI_BP-x_s_VDI_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VDI_SI-x_s_VDI_SI)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))))))+(xn_s_VSI_BP-x_s_VSI_BP)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VDI_SI_VSI_BP-x_s_VDI_SI_VSI_BP)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VDI_SI-x_s_VDI_SI)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)+(xn_s_VSI_BP-x_s_VSI_BP)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VDI_SI_VSI_BP-x_s_VDI_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_s_VDI_SI-x_s_VDI_SI)*0.0+(xn_s_VSI_BP-x_s_VSI_BP)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
delta_1s_VGP_SI=(-1.0e-100*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  delta_1s_VGP_SI_VDI_SI=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VGP_SI_VDI_SI-x_s_VGP_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VGP_SI-x_s_VGP_SI)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))))))+(xn_s_VDI_SI-x_s_VDI_SI)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VGP_SI_VDI_SI-x_s_VGP_SI_VDI_SI)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VGP_SI-x_s_VGP_SI)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)+(xn_s_VDI_SI-x_s_VDI_SI)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VGP_SI_VDI_SI-x_s_VGP_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_s_VGP_SI-x_s_VGP_SI)*0.0+(xn_s_VDI_SI-x_s_VDI_SI)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  delta_1s_VGP_SI_VGP_SI=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VGP_SI_VGP_SI-x_s_VGP_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VGP_SI-x_s_VGP_SI)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))))))+(xn_s_VGP_SI-x_s_VGP_SI)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VGP_SI_VGP_SI-x_s_VGP_SI_VGP_SI)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VGP_SI-x_s_VGP_SI)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)+(xn_s_VGP_SI-x_s_VGP_SI)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VGP_SI_VGP_SI-x_s_VGP_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_s_VGP_SI-x_s_VGP_SI)*0.0+(xn_s_VGP_SI-x_s_VGP_SI)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  delta_1s_VGP_SI_VSI_BP=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VGP_SI_VSI_BP-x_s_VGP_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VGP_SI-x_s_VGP_SI)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))))))+(xn_s_VSI_BP-x_s_VSI_BP)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VGP_SI_VSI_BP-x_s_VGP_SI_VSI_BP)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VGP_SI-x_s_VGP_SI)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)+(xn_s_VSI_BP-x_s_VSI_BP)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VGP_SI_VSI_BP-x_s_VGP_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_s_VGP_SI-x_s_VGP_SI)*0.0+(xn_s_VSI_BP-x_s_VSI_BP)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
delta_1s_VSI_BP=(-1.0e-100*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  delta_1s_VSI_BP_VDI_SI=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VSI_BP_VDI_SI-x_s_VSI_BP_VDI_SI)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VSI_BP-x_s_VSI_BP)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))))))+(xn_s_VDI_SI-x_s_VDI_SI)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VSI_BP_VDI_SI-x_s_VSI_BP_VDI_SI)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VSI_BP-x_s_VSI_BP)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)+(xn_s_VDI_SI-x_s_VDI_SI)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VSI_BP_VDI_SI-x_s_VSI_BP_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_s_VSI_BP-x_s_VSI_BP)*0.0+(xn_s_VDI_SI-x_s_VDI_SI)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  delta_1s_VSI_BP_VGP_SI=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VSI_BP_VGP_SI-x_s_VSI_BP_VGP_SI)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VSI_BP-x_s_VSI_BP)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))))))+(xn_s_VGP_SI-x_s_VGP_SI)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VSI_BP_VGP_SI-x_s_VSI_BP_VGP_SI)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VSI_BP-x_s_VSI_BP)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)+(xn_s_VGP_SI-x_s_VGP_SI)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VSI_BP_VGP_SI-x_s_VSI_BP_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_s_VSI_BP-x_s_VSI_BP)*0.0+(xn_s_VGP_SI-x_s_VGP_SI)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  delta_1s_VSI_BP_VSI_BP=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VSI_BP_VSI_BP-x_s_VSI_BP_VSI_BP)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VSI_BP-x_s_VSI_BP)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))))))+(xn_s_VSI_BP-x_s_VSI_BP)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VSI_BP_VSI_BP-x_s_VSI_BP_VSI_BP)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VSI_BP-x_s_VSI_BP)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)+(xn_s_VSI_BP-x_s_VSI_BP)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VSI_BP_VSI_BP-x_s_VSI_BP_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_s_VSI_BP-x_s_VSI_BP)*0.0+(xn_s_VSI_BP-x_s_VSI_BP)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
delta_1s=(1.0e-100/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Es_VDI_SI=(-1.0e-100*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Es_VDI_SI_VDI_SI=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VDI_SI*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01))))))+x_s_VDI_SI*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01))))+0.0*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_s_VDI_SI_VDI_SI-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VDI_SI*(x_s_VDI_SI*3.3333333333333333e-01)+x_s_VDI_SI*x_s_VDI_SI*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+x_s_VDI_SI*0.0+x_s_VDI_SI*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))*(((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Es_VDI_SI_VGP_SI=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VDI_SI*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01))))))+x_s_VGP_SI*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01))))+0.0*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_s_VDI_SI_VGP_SI-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VDI_SI*(x_s_VGP_SI*3.3333333333333333e-01)+x_s_VGP_SI*x_s_VDI_SI*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+x_s_VDI_SI*0.0+x_s_VGP_SI*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))*(((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Es_VDI_SI_VSI_BP=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VDI_SI*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01))))))+x_s_VSI_BP*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01))))+0.0*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_s_VDI_SI_VSI_BP-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VDI_SI*(x_s_VSI_BP*3.3333333333333333e-01)+x_s_VSI_BP*x_s_VDI_SI*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+x_s_VDI_SI*0.0+x_s_VSI_BP*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))*(((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
Es_VGP_SI=(-1.0e-100*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Es_VGP_SI_VDI_SI=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VGP_SI*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01))))))+x_s_VDI_SI*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01))))+0.0*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_s_VGP_SI_VDI_SI-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VGP_SI*(x_s_VDI_SI*3.3333333333333333e-01)+x_s_VDI_SI*x_s_VGP_SI*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+x_s_VGP_SI*0.0+x_s_VDI_SI*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))*(((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Es_VGP_SI_VGP_SI=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VGP_SI*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01))))))+x_s_VGP_SI*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01))))+0.0*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_s_VGP_SI_VGP_SI-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VGP_SI*(x_s_VGP_SI*3.3333333333333333e-01)+x_s_VGP_SI*x_s_VGP_SI*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+x_s_VGP_SI*0.0+x_s_VGP_SI*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))*(((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Es_VGP_SI_VSI_BP=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VGP_SI*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01))))))+x_s_VSI_BP*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01))))+0.0*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_s_VGP_SI_VSI_BP-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VGP_SI*(x_s_VSI_BP*3.3333333333333333e-01)+x_s_VSI_BP*x_s_VGP_SI*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+x_s_VGP_SI*0.0+x_s_VSI_BP*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))*(((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
Es_VSI_BP=(-1.0e-100*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Es_VSI_BP_VDI_SI=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VSI_BP*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01))))))+x_s_VDI_SI*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01))))+0.0*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_s_VSI_BP_VDI_SI-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VSI_BP*(x_s_VDI_SI*3.3333333333333333e-01)+x_s_VDI_SI*x_s_VSI_BP*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+x_s_VSI_BP*0.0+x_s_VDI_SI*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))*(((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Es_VSI_BP_VGP_SI=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VSI_BP*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01))))))+x_s_VGP_SI*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01))))+0.0*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_s_VSI_BP_VGP_SI-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VSI_BP*(x_s_VGP_SI*3.3333333333333333e-01)+x_s_VGP_SI*x_s_VSI_BP*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+x_s_VSI_BP*0.0+x_s_VGP_SI*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))*(((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Es_VSI_BP_VSI_BP=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VSI_BP*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01))))))+x_s_VSI_BP*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01))))+0.0*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_s_VSI_BP_VSI_BP-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VSI_BP*(x_s_VSI_BP*3.3333333333333333e-01)+x_s_VSI_BP*x_s_VSI_BP*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+x_s_VSI_BP*0.0+x_s_VSI_BP*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))*(((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
Es=(1.0e-100/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ds_VDI_SI=(delta_1s_VDI_SI-((delta_ns_VDI_SI*((x_s+1.0)+xi0s))+(delta_ns*(x_s_VDI_SI+xi0s_VDI_SI))));
#if defined(_DERIVATE2)
  Ds_VDI_SI_VDI_SI=(+delta_1s_VDI_SI_VDI_SI-(+delta_ns_VDI_SI_VDI_SI*((x_s+1.0)+xi0s)+delta_ns_VDI_SI*(x_s_VDI_SI+xi0s_VDI_SI)+delta_ns_VDI_SI*(x_s_VDI_SI+xi0s_VDI_SI)+delta_ns*(+(+x_s_VDI_SI_VDI_SI+0.0)+xi0s_VDI_SI_VDI_SI)));
  Ds_VDI_SI_VGP_SI=(+delta_1s_VDI_SI_VGP_SI-(+delta_ns_VDI_SI_VGP_SI*((x_s+1.0)+xi0s)+delta_ns_VDI_SI*(x_s_VGP_SI+xi0s_VGP_SI)+delta_ns_VGP_SI*(x_s_VDI_SI+xi0s_VDI_SI)+delta_ns*(+(+x_s_VDI_SI_VGP_SI+0.0)+xi0s_VDI_SI_VGP_SI)));
  Ds_VDI_SI_VSI_BP=(+delta_1s_VDI_SI_VSI_BP-(+delta_ns_VDI_SI_VSI_BP*((x_s+1.0)+xi0s)+delta_ns_VDI_SI*(x_s_VSI_BP+xi0s_VSI_BP)+delta_ns_VSI_BP*(x_s_VDI_SI+xi0s_VDI_SI)+delta_ns*(+(+x_s_VDI_SI_VSI_BP+0.0)+xi0s_VDI_SI_VSI_BP)));
#endif
Ds_VGP_SI=(delta_1s_VGP_SI-((delta_ns_VGP_SI*((x_s+1.0)+xi0s))+(delta_ns*(x_s_VGP_SI+xi0s_VGP_SI))));
#if defined(_DERIVATE2)
  Ds_VGP_SI_VDI_SI=(+delta_1s_VGP_SI_VDI_SI-(+delta_ns_VGP_SI_VDI_SI*((x_s+1.0)+xi0s)+delta_ns_VGP_SI*(x_s_VDI_SI+xi0s_VDI_SI)+delta_ns_VDI_SI*(x_s_VGP_SI+xi0s_VGP_SI)+delta_ns*(+(+x_s_VGP_SI_VDI_SI+0.0)+xi0s_VGP_SI_VDI_SI)));
  Ds_VGP_SI_VGP_SI=(+delta_1s_VGP_SI_VGP_SI-(+delta_ns_VGP_SI_VGP_SI*((x_s+1.0)+xi0s)+delta_ns_VGP_SI*(x_s_VGP_SI+xi0s_VGP_SI)+delta_ns_VGP_SI*(x_s_VGP_SI+xi0s_VGP_SI)+delta_ns*(+(+x_s_VGP_SI_VGP_SI+0.0)+xi0s_VGP_SI_VGP_SI)));
  Ds_VGP_SI_VSI_BP=(+delta_1s_VGP_SI_VSI_BP-(+delta_ns_VGP_SI_VSI_BP*((x_s+1.0)+xi0s)+delta_ns_VGP_SI*(x_s_VSI_BP+xi0s_VSI_BP)+delta_ns_VSI_BP*(x_s_VGP_SI+xi0s_VGP_SI)+delta_ns*(+(+x_s_VGP_SI_VSI_BP+0.0)+xi0s_VGP_SI_VSI_BP)));
#endif
Ds_VSI_BP=(delta_1s_VSI_BP-((delta_ns_VSI_BP*((x_s+1.0)+xi0s))+(delta_ns*(x_s_VSI_BP+xi0s_VSI_BP))));
#if defined(_DERIVATE2)
  Ds_VSI_BP_VDI_SI=(+delta_1s_VSI_BP_VDI_SI-(+delta_ns_VSI_BP_VDI_SI*((x_s+1.0)+xi0s)+delta_ns_VSI_BP*(x_s_VDI_SI+xi0s_VDI_SI)+delta_ns_VDI_SI*(x_s_VSI_BP+xi0s_VSI_BP)+delta_ns*(+(+x_s_VSI_BP_VDI_SI+0.0)+xi0s_VSI_BP_VDI_SI)));
  Ds_VSI_BP_VGP_SI=(+delta_1s_VSI_BP_VGP_SI-(+delta_ns_VSI_BP_VGP_SI*((x_s+1.0)+xi0s)+delta_ns_VSI_BP*(x_s_VGP_SI+xi0s_VGP_SI)+delta_ns_VGP_SI*(x_s_VSI_BP+xi0s_VSI_BP)+delta_ns*(+(+x_s_VSI_BP_VGP_SI+0.0)+xi0s_VSI_BP_VGP_SI)));
  Ds_VSI_BP_VSI_BP=(+delta_1s_VSI_BP_VSI_BP-(+delta_ns_VSI_BP_VSI_BP*((x_s+1.0)+xi0s)+delta_ns_VSI_BP*(x_s_VSI_BP+xi0s_VSI_BP)+delta_ns_VSI_BP*(x_s_VSI_BP+xi0s_VSI_BP)+delta_ns*(+(+x_s_VSI_BP_VSI_BP+0.0)+xi0s_VSI_BP_VSI_BP)));
#endif
#endif
Ds=(delta_1s-(delta_ns*((x_s+1.0)+xi0s)));
EXIT_IF_ISNAN((delta_1s-(delta_ns*((x_s+1.0)+xi0s))))
if
((x_s<1.0e-5))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ps_VDI_SI=(0.5*((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI)))))))));
#if defined(_DERIVATE2)
  Ps_VDI_SI_VDI_SI=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))))))))+0.0*((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))))+0.5*(+(+x_s_VDI_SI_VDI_SI*x_s+x_s_VDI_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VDI_SI)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI)))))))))+(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))+0.0*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))+3.3333333333333333e-01*(+x_s_VDI_SI_VDI_SI*(1.0-(0.25*x_s))+x_s_VDI_SI*(-((0.25*x_s_VDI_SI)))+x_s_VDI_SI*(-(0.25*x_s_VDI_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VDI_SI+0.25*x_s_VDI_SI_VDI_SI)))))));
  Ps_VDI_SI_VGP_SI=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))))))))+0.0*((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))))+0.5*(+(+x_s_VDI_SI_VGP_SI*x_s+x_s_VDI_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VGP_SI)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI)))))))))+(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))+0.0*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))+3.3333333333333333e-01*(+x_s_VDI_SI_VGP_SI*(1.0-(0.25*x_s))+x_s_VDI_SI*(-((0.25*x_s_VGP_SI)))+x_s_VGP_SI*(-(0.25*x_s_VDI_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VDI_SI+0.25*x_s_VDI_SI_VGP_SI)))))));
  Ps_VDI_SI_VSI_BP=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))))))))+0.0*((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))))+0.5*(+(+x_s_VDI_SI_VSI_BP*x_s+x_s_VDI_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VDI_SI+x_s*x_s_VDI_SI_VSI_BP)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP)))))))))+(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))+0.0*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))+3.3333333333333333e-01*(+x_s_VDI_SI_VSI_BP*(1.0-(0.25*x_s))+x_s_VDI_SI*(-((0.25*x_s_VSI_BP)))+x_s_VSI_BP*(-(0.25*x_s_VDI_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VDI_SI+0.25*x_s_VDI_SI_VSI_BP)))))));
#endif
Ps_VGP_SI=(0.5*((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI)))))))));
#if defined(_DERIVATE2)
  Ps_VGP_SI_VDI_SI=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))))))))+0.0*((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))))+0.5*(+(+x_s_VGP_SI_VDI_SI*x_s+x_s_VGP_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VDI_SI)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI)))))))))+(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))+0.0*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))+3.3333333333333333e-01*(+x_s_VGP_SI_VDI_SI*(1.0-(0.25*x_s))+x_s_VGP_SI*(-((0.25*x_s_VDI_SI)))+x_s_VDI_SI*(-(0.25*x_s_VGP_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VGP_SI+0.25*x_s_VGP_SI_VDI_SI)))))));
  Ps_VGP_SI_VGP_SI=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))))))))+0.0*((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))))+0.5*(+(+x_s_VGP_SI_VGP_SI*x_s+x_s_VGP_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VGP_SI)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI)))))))))+(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))+0.0*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))+3.3333333333333333e-01*(+x_s_VGP_SI_VGP_SI*(1.0-(0.25*x_s))+x_s_VGP_SI*(-((0.25*x_s_VGP_SI)))+x_s_VGP_SI*(-(0.25*x_s_VGP_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VGP_SI+0.25*x_s_VGP_SI_VGP_SI)))))));
  Ps_VGP_SI_VSI_BP=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))))))))+0.0*((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))))+0.5*(+(+x_s_VGP_SI_VSI_BP*x_s+x_s_VGP_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VGP_SI+x_s*x_s_VGP_SI_VSI_BP)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP)))))))))+(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))+0.0*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))+3.3333333333333333e-01*(+x_s_VGP_SI_VSI_BP*(1.0-(0.25*x_s))+x_s_VGP_SI*(-((0.25*x_s_VSI_BP)))+x_s_VSI_BP*(-(0.25*x_s_VGP_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VGP_SI+0.25*x_s_VGP_SI_VSI_BP)))))));
#endif
Ps_VSI_BP=(0.5*((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP)))))))));
#if defined(_DERIVATE2)
  Ps_VSI_BP_VDI_SI=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))))))))+0.0*((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))))+0.5*(+(+x_s_VSI_BP_VDI_SI*x_s+x_s_VSI_BP*x_s_VDI_SI+x_s_VDI_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VDI_SI)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI)))))))))+(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))+0.0*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))+3.3333333333333333e-01*(+x_s_VSI_BP_VDI_SI*(1.0-(0.25*x_s))+x_s_VSI_BP*(-((0.25*x_s_VDI_SI)))+x_s_VDI_SI*(-(0.25*x_s_VSI_BP))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VSI_BP+0.25*x_s_VSI_BP_VDI_SI)))))));
  Ps_VSI_BP_VGP_SI=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))))))))+0.0*((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))))+0.5*(+(+x_s_VSI_BP_VGP_SI*x_s+x_s_VSI_BP*x_s_VGP_SI+x_s_VGP_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VGP_SI)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI)))))))))+(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))+0.0*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))+3.3333333333333333e-01*(+x_s_VSI_BP_VGP_SI*(1.0-(0.25*x_s))+x_s_VSI_BP*(-((0.25*x_s_VGP_SI)))+x_s_VGP_SI*(-(0.25*x_s_VSI_BP))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VSI_BP+0.25*x_s_VSI_BP_VGP_SI)))))));
  Ps_VSI_BP_VSI_BP=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))))))))+0.0*((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))))+0.5*(+(+x_s_VSI_BP_VSI_BP*x_s+x_s_VSI_BP*x_s_VSI_BP+x_s_VSI_BP*x_s_VSI_BP+x_s*x_s_VSI_BP_VSI_BP)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP)))))))))+(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))+0.0*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))+3.3333333333333333e-01*(+x_s_VSI_BP_VSI_BP*(1.0-(0.25*x_s))+x_s_VSI_BP*(-((0.25*x_s_VSI_BP)))+x_s_VSI_BP*(-(0.25*x_s_VSI_BP))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VSI_BP+0.25*x_s_VSI_BP_VSI_BP)))))));
#endif
#endif
Ps=(0.5*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))));
EXIT_IF_ISNAN((0.5*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ds_VDI_SI=(1.6666666666666667e-01*((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VDI_SI))));
#if defined(_DERIVATE2)
  Ds_VDI_SI_VDI_SI=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VDI_SI)))))+0.0*((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VDI_SI)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VDI_SI_VDI_SI*x_s+delta_ns_VDI_SI*x_s_VDI_SI+delta_ns_VDI_SI*x_s_VDI_SI+delta_ns*x_s_VDI_SI_VDI_SI)*x_s+((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s_VDI_SI+(((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s_VDI_SI+(delta_ns*x_s)*x_s_VDI_SI_VDI_SI)*x_s+((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s_VDI_SI+((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s_VDI_SI+((delta_ns*x_s)*x_s)*x_s_VDI_SI_VDI_SI)*(1.0+(1.75*x_s))+((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*((1.75*x_s_VDI_SI))+(((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI)))*(1.75*x_s_VDI_SI)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VDI_SI+1.75*x_s_VDI_SI_VDI_SI))));
  Ds_VDI_SI_VGP_SI=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VGP_SI)))))+0.0*((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VDI_SI)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VDI_SI_VGP_SI*x_s+delta_ns_VDI_SI*x_s_VGP_SI+delta_ns_VGP_SI*x_s_VDI_SI+delta_ns*x_s_VDI_SI_VGP_SI)*x_s+((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s_VGP_SI+(((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s_VDI_SI+(delta_ns*x_s)*x_s_VDI_SI_VGP_SI)*x_s+((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s_VGP_SI+((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s_VDI_SI+((delta_ns*x_s)*x_s)*x_s_VDI_SI_VGP_SI)*(1.0+(1.75*x_s))+((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*((1.75*x_s_VGP_SI))+(((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI)))*(1.75*x_s_VDI_SI)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VDI_SI+1.75*x_s_VDI_SI_VGP_SI))));
  Ds_VDI_SI_VSI_BP=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VSI_BP)))))+0.0*((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VDI_SI)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VDI_SI_VSI_BP*x_s+delta_ns_VDI_SI*x_s_VSI_BP+delta_ns_VSI_BP*x_s_VDI_SI+delta_ns*x_s_VDI_SI_VSI_BP)*x_s+((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s_VSI_BP+(((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s_VDI_SI+(delta_ns*x_s)*x_s_VDI_SI_VSI_BP)*x_s+((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s_VSI_BP+((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s_VDI_SI+((delta_ns*x_s)*x_s)*x_s_VDI_SI_VSI_BP)*(1.0+(1.75*x_s))+((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*((1.75*x_s_VSI_BP))+(((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP)))*(1.75*x_s_VDI_SI)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VDI_SI+1.75*x_s_VDI_SI_VSI_BP))));
#endif
Ds_VGP_SI=(1.6666666666666667e-01*((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VGP_SI))));
#if defined(_DERIVATE2)
  Ds_VGP_SI_VDI_SI=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VDI_SI)))))+0.0*((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VGP_SI)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VGP_SI_VDI_SI*x_s+delta_ns_VGP_SI*x_s_VDI_SI+delta_ns_VDI_SI*x_s_VGP_SI+delta_ns*x_s_VGP_SI_VDI_SI)*x_s+((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s_VDI_SI+(((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s_VGP_SI+(delta_ns*x_s)*x_s_VGP_SI_VDI_SI)*x_s+((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s_VDI_SI+((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s_VGP_SI+((delta_ns*x_s)*x_s)*x_s_VGP_SI_VDI_SI)*(1.0+(1.75*x_s))+((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*((1.75*x_s_VDI_SI))+(((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI)))*(1.75*x_s_VGP_SI)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VGP_SI+1.75*x_s_VGP_SI_VDI_SI))));
  Ds_VGP_SI_VGP_SI=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VGP_SI)))))+0.0*((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VGP_SI)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VGP_SI_VGP_SI*x_s+delta_ns_VGP_SI*x_s_VGP_SI+delta_ns_VGP_SI*x_s_VGP_SI+delta_ns*x_s_VGP_SI_VGP_SI)*x_s+((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s_VGP_SI+(((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s_VGP_SI+(delta_ns*x_s)*x_s_VGP_SI_VGP_SI)*x_s+((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s_VGP_SI+((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s_VGP_SI+((delta_ns*x_s)*x_s)*x_s_VGP_SI_VGP_SI)*(1.0+(1.75*x_s))+((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*((1.75*x_s_VGP_SI))+(((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI)))*(1.75*x_s_VGP_SI)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VGP_SI+1.75*x_s_VGP_SI_VGP_SI))));
  Ds_VGP_SI_VSI_BP=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VSI_BP)))))+0.0*((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VGP_SI)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VGP_SI_VSI_BP*x_s+delta_ns_VGP_SI*x_s_VSI_BP+delta_ns_VSI_BP*x_s_VGP_SI+delta_ns*x_s_VGP_SI_VSI_BP)*x_s+((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s_VSI_BP+(((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s_VGP_SI+(delta_ns*x_s)*x_s_VGP_SI_VSI_BP)*x_s+((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s_VSI_BP+((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s_VGP_SI+((delta_ns*x_s)*x_s)*x_s_VGP_SI_VSI_BP)*(1.0+(1.75*x_s))+((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*((1.75*x_s_VSI_BP))+(((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP)))*(1.75*x_s_VGP_SI)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VGP_SI+1.75*x_s_VGP_SI_VSI_BP))));
#endif
Ds_VSI_BP=(1.6666666666666667e-01*((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VSI_BP))));
#if defined(_DERIVATE2)
  Ds_VSI_BP_VDI_SI=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VDI_SI)))))+0.0*((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VSI_BP)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VSI_BP_VDI_SI*x_s+delta_ns_VSI_BP*x_s_VDI_SI+delta_ns_VDI_SI*x_s_VSI_BP+delta_ns*x_s_VSI_BP_VDI_SI)*x_s+((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s_VDI_SI+(((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s_VSI_BP+(delta_ns*x_s)*x_s_VSI_BP_VDI_SI)*x_s+((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s_VDI_SI+((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s_VSI_BP+((delta_ns*x_s)*x_s)*x_s_VSI_BP_VDI_SI)*(1.0+(1.75*x_s))+((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*((1.75*x_s_VDI_SI))+(((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI)))*(1.75*x_s_VSI_BP)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VSI_BP+1.75*x_s_VSI_BP_VDI_SI))));
  Ds_VSI_BP_VGP_SI=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VGP_SI)))))+0.0*((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VSI_BP)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VSI_BP_VGP_SI*x_s+delta_ns_VSI_BP*x_s_VGP_SI+delta_ns_VGP_SI*x_s_VSI_BP+delta_ns*x_s_VSI_BP_VGP_SI)*x_s+((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s_VGP_SI+(((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s_VSI_BP+(delta_ns*x_s)*x_s_VSI_BP_VGP_SI)*x_s+((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s_VGP_SI+((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s_VSI_BP+((delta_ns*x_s)*x_s)*x_s_VSI_BP_VGP_SI)*(1.0+(1.75*x_s))+((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*((1.75*x_s_VGP_SI))+(((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI)))*(1.75*x_s_VSI_BP)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VSI_BP+1.75*x_s_VSI_BP_VGP_SI))));
  Ds_VSI_BP_VSI_BP=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VSI_BP)))))+0.0*((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VSI_BP)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VSI_BP_VSI_BP*x_s+delta_ns_VSI_BP*x_s_VSI_BP+delta_ns_VSI_BP*x_s_VSI_BP+delta_ns*x_s_VSI_BP_VSI_BP)*x_s+((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s_VSI_BP+(((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s_VSI_BP+(delta_ns*x_s)*x_s_VSI_BP_VSI_BP)*x_s+((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s_VSI_BP+((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s_VSI_BP+((delta_ns*x_s)*x_s)*x_s_VSI_BP_VSI_BP)*(1.0+(1.75*x_s))+((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*((1.75*x_s_VSI_BP))+(((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP)))*(1.75*x_s_VSI_BP)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VSI_BP+1.75*x_s_VSI_BP_VSI_BP))));
#endif
#endif
Ds=(1.6666666666666667e-01*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s))));
EXIT_IF_ISNAN((1.6666666666666667e-01*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))))
{
double m00_sqrt(d00_sqrt0,(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))*d10_sqrt0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI)))))))))*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))+0.0*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))+3.3333333333333333e-01*(+x_s_VGP_SI_VGP_SI*(1.0-(0.25*x_s))+x_s_VGP_SI*(-((0.25*x_s_VGP_SI)))+x_s_VGP_SI*(-(0.25*x_s_VGP_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VGP_SI+0.25*x_s_VGP_SI_VGP_SI))))));
  temp_VGP_SI_VDI_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI)))))))))*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))+0.0*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))+3.3333333333333333e-01*(+x_s_VGP_SI_VDI_SI*(1.0-(0.25*x_s))+x_s_VGP_SI*(-((0.25*x_s_VDI_SI)))+x_s_VDI_SI*(-(0.25*x_s_VGP_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VGP_SI+0.25*x_s_VGP_SI_VDI_SI))))));
  temp_VGP_SI_VSI_BP=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP)))))))))*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))+0.0*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))+3.3333333333333333e-01*(+x_s_VGP_SI_VSI_BP*(1.0-(0.25*x_s))+x_s_VGP_SI*(-((0.25*x_s_VSI_BP)))+x_s_VSI_BP*(-(0.25*x_s_VGP_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VGP_SI+0.25*x_s_VGP_SI_VSI_BP))))));
#endif
temp_VDI_SI=(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))*d10_sqrt0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI)))))))))*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))+0.0*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))+3.3333333333333333e-01*(+x_s_VDI_SI_VGP_SI*(1.0-(0.25*x_s))+x_s_VDI_SI*(-((0.25*x_s_VGP_SI)))+x_s_VGP_SI*(-(0.25*x_s_VDI_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VDI_SI+0.25*x_s_VDI_SI_VGP_SI))))));
  temp_VDI_SI_VDI_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI)))))))))*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))+0.0*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))+3.3333333333333333e-01*(+x_s_VDI_SI_VDI_SI*(1.0-(0.25*x_s))+x_s_VDI_SI*(-((0.25*x_s_VDI_SI)))+x_s_VDI_SI*(-(0.25*x_s_VDI_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VDI_SI+0.25*x_s_VDI_SI_VDI_SI))))));
  temp_VDI_SI_VSI_BP=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP)))))))))*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))+0.0*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))+3.3333333333333333e-01*(+x_s_VDI_SI_VSI_BP*(1.0-(0.25*x_s))+x_s_VDI_SI*(-((0.25*x_s_VSI_BP)))+x_s_VSI_BP*(-(0.25*x_s_VDI_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VDI_SI+0.25*x_s_VDI_SI_VSI_BP))))));
#endif
temp_VSI_BP=(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))*d10_sqrt0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI)))))))))*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))+0.0*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))+3.3333333333333333e-01*(+x_s_VSI_BP_VGP_SI*(1.0-(0.25*x_s))+x_s_VSI_BP*(-((0.25*x_s_VGP_SI)))+x_s_VGP_SI*(-(0.25*x_s_VSI_BP))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VSI_BP+0.25*x_s_VSI_BP_VGP_SI))))));
  temp_VSI_BP_VDI_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI)))))))))*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))+0.0*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))+3.3333333333333333e-01*(+x_s_VSI_BP_VDI_SI*(1.0-(0.25*x_s))+x_s_VSI_BP*(-((0.25*x_s_VDI_SI)))+x_s_VDI_SI*(-(0.25*x_s_VSI_BP))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VSI_BP+0.25*x_s_VSI_BP_VDI_SI))))));
  temp_VSI_BP_VSI_BP=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP)))))))))*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))+0.0*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))+3.3333333333333333e-01*(+x_s_VSI_BP_VSI_BP*(1.0-(0.25*x_s))+x_s_VSI_BP*(-((0.25*x_s_VSI_BP)))+x_s_VSI_BP*(-(0.25*x_s_VSI_BP))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VSI_BP+0.25*x_s_VSI_BP_VSI_BP))))));
#endif
#endif
temp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
sqm_VDI_SI=(7.0710678118654746e-01*((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)));
#if defined(_DERIVATE2)
  sqm_VDI_SI_VDI_SI=(+0.0*(x_s*temp)+0.0*(((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))+0.0*((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))+7.0710678118654746e-01*(+x_s_VDI_SI_VDI_SI*temp+x_s_VDI_SI*temp_VDI_SI+x_s_VDI_SI*temp_VDI_SI+x_s*temp_VDI_SI_VDI_SI));
  sqm_VDI_SI_VGP_SI=(+0.0*(x_s*temp)+0.0*(((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))+0.0*((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))+7.0710678118654746e-01*(+x_s_VDI_SI_VGP_SI*temp+x_s_VDI_SI*temp_VGP_SI+x_s_VGP_SI*temp_VDI_SI+x_s*temp_VDI_SI_VGP_SI));
  sqm_VDI_SI_VSI_BP=(+0.0*(x_s*temp)+0.0*(((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))+0.0*((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))+7.0710678118654746e-01*(+x_s_VDI_SI_VSI_BP*temp+x_s_VDI_SI*temp_VSI_BP+x_s_VSI_BP*temp_VDI_SI+x_s*temp_VDI_SI_VSI_BP));
#endif
sqm_VGP_SI=(7.0710678118654746e-01*((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)));
#if defined(_DERIVATE2)
  sqm_VGP_SI_VDI_SI=(+0.0*(x_s*temp)+0.0*(((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))+0.0*((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))+7.0710678118654746e-01*(+x_s_VGP_SI_VDI_SI*temp+x_s_VGP_SI*temp_VDI_SI+x_s_VDI_SI*temp_VGP_SI+x_s*temp_VGP_SI_VDI_SI));
  sqm_VGP_SI_VGP_SI=(+0.0*(x_s*temp)+0.0*(((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))+0.0*((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))+7.0710678118654746e-01*(+x_s_VGP_SI_VGP_SI*temp+x_s_VGP_SI*temp_VGP_SI+x_s_VGP_SI*temp_VGP_SI+x_s*temp_VGP_SI_VGP_SI));
  sqm_VGP_SI_VSI_BP=(+0.0*(x_s*temp)+0.0*(((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))+0.0*((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))+7.0710678118654746e-01*(+x_s_VGP_SI_VSI_BP*temp+x_s_VGP_SI*temp_VSI_BP+x_s_VSI_BP*temp_VGP_SI+x_s*temp_VGP_SI_VSI_BP));
#endif
sqm_VSI_BP=(7.0710678118654746e-01*((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)));
#if defined(_DERIVATE2)
  sqm_VSI_BP_VDI_SI=(+0.0*(x_s*temp)+0.0*(((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))+0.0*((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))+7.0710678118654746e-01*(+x_s_VSI_BP_VDI_SI*temp+x_s_VSI_BP*temp_VDI_SI+x_s_VDI_SI*temp_VSI_BP+x_s*temp_VSI_BP_VDI_SI));
  sqm_VSI_BP_VGP_SI=(+0.0*(x_s*temp)+0.0*(((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))+0.0*((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))+7.0710678118654746e-01*(+x_s_VSI_BP_VGP_SI*temp+x_s_VSI_BP*temp_VGP_SI+x_s_VGP_SI*temp_VSI_BP+x_s*temp_VSI_BP_VGP_SI));
  sqm_VSI_BP_VSI_BP=(+0.0*(x_s*temp)+0.0*(((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))+0.0*((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))+7.0710678118654746e-01*(+x_s_VSI_BP_VSI_BP*temp+x_s_VSI_BP*temp_VSI_BP+x_s_VSI_BP*temp_VSI_BP+x_s*temp_VSI_BP_VSI_BP));
#endif
#endif
sqm=(7.0710678118654746e-01*(x_s*temp));
EXIT_IF_ISNAN((7.0710678118654746e-01*(x_s*temp)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
alpha_VDI_SI=((((Gf_VDI_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))*temp-((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI)/temp/temp);
#if defined(_DERIVATE2)
  alpha_VDI_SI_VDI_SI=(+0.0+((+(+Gf_VDI_SI_VDI_SI*7.0710678118654746e-01+Gf_VDI_SI*0.0+Gf_VDI_SI*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VDI_SI*7.0710678118654746e-01*((-((0.5*x_s_VDI_SI)))+((1.6666666666666667e-01*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))+(Gf_VDI_SI*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VDI_SI+0.5*x_s_VDI_SI_VDI_SI))+(+0.0*(x_s*x_s)+0.0*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))+0.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))+1.6666666666666667e-01*(+x_s_VDI_SI_VDI_SI*x_s+x_s_VDI_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VDI_SI))))/temp-(((Gf_VDI_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))*temp_VDI_SI+((((Gf_VDI_SI*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VDI_SI)))+((1.6666666666666667e-01*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))))))))*temp_VDI_SI+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI_VDI_SI)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI*temp_VDI_SI/temp/temp/temp));
  alpha_VDI_SI_VGP_SI=(+0.0+((+(+Gf_VDI_SI_VGP_SI*7.0710678118654746e-01+Gf_VDI_SI*0.0+Gf_VGP_SI*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VDI_SI*7.0710678118654746e-01*((-((0.5*x_s_VGP_SI)))+((1.6666666666666667e-01*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))+(Gf_VGP_SI*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VDI_SI+0.5*x_s_VDI_SI_VGP_SI))+(+0.0*(x_s*x_s)+0.0*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))+0.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))+1.6666666666666667e-01*(+x_s_VDI_SI_VGP_SI*x_s+x_s_VDI_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VGP_SI))))/temp-(((Gf_VDI_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))*temp_VGP_SI+((((Gf_VGP_SI*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VGP_SI)))+((1.6666666666666667e-01*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))))))))*temp_VDI_SI+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI_VGP_SI)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI*temp_VGP_SI/temp/temp/temp));
  alpha_VDI_SI_VSI_BP=(+0.0+((+(+Gf_VDI_SI_VSI_BP*7.0710678118654746e-01+Gf_VDI_SI*0.0+Gf_VSI_BP*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VDI_SI*7.0710678118654746e-01*((-((0.5*x_s_VSI_BP)))+((1.6666666666666667e-01*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))+(Gf_VSI_BP*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VDI_SI+0.5*x_s_VDI_SI_VSI_BP))+(+0.0*(x_s*x_s)+0.0*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))+0.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))+1.6666666666666667e-01*(+x_s_VDI_SI_VSI_BP*x_s+x_s_VDI_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VDI_SI+x_s*x_s_VDI_SI_VSI_BP))))/temp-(((Gf_VDI_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))*temp_VSI_BP+((((Gf_VSI_BP*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VSI_BP)))+((1.6666666666666667e-01*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))))))))*temp_VDI_SI+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI_VSI_BP)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI*temp_VSI_BP/temp/temp/temp));
#endif
alpha_VGP_SI=((((Gf_VGP_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))*temp-((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI)/temp/temp);
#if defined(_DERIVATE2)
  alpha_VGP_SI_VDI_SI=(+0.0+((+(+Gf_VGP_SI_VDI_SI*7.0710678118654746e-01+Gf_VGP_SI*0.0+Gf_VDI_SI*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VGP_SI*7.0710678118654746e-01*((-((0.5*x_s_VDI_SI)))+((1.6666666666666667e-01*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))+(Gf_VDI_SI*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VGP_SI+0.5*x_s_VGP_SI_VDI_SI))+(+0.0*(x_s*x_s)+0.0*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))+0.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))+1.6666666666666667e-01*(+x_s_VGP_SI_VDI_SI*x_s+x_s_VGP_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VDI_SI))))/temp-(((Gf_VGP_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))*temp_VDI_SI+((((Gf_VDI_SI*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VDI_SI)))+((1.6666666666666667e-01*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))))))))*temp_VGP_SI+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI_VDI_SI)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI*temp_VDI_SI/temp/temp/temp));
  alpha_VGP_SI_VGP_SI=(+0.0+((+(+Gf_VGP_SI_VGP_SI*7.0710678118654746e-01+Gf_VGP_SI*0.0+Gf_VGP_SI*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VGP_SI*7.0710678118654746e-01*((-((0.5*x_s_VGP_SI)))+((1.6666666666666667e-01*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))+(Gf_VGP_SI*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VGP_SI+0.5*x_s_VGP_SI_VGP_SI))+(+0.0*(x_s*x_s)+0.0*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))+0.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))+1.6666666666666667e-01*(+x_s_VGP_SI_VGP_SI*x_s+x_s_VGP_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VGP_SI))))/temp-(((Gf_VGP_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))*temp_VGP_SI+((((Gf_VGP_SI*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VGP_SI)))+((1.6666666666666667e-01*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))))))))*temp_VGP_SI+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI_VGP_SI)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI*temp_VGP_SI/temp/temp/temp));
  alpha_VGP_SI_VSI_BP=(+0.0+((+(+Gf_VGP_SI_VSI_BP*7.0710678118654746e-01+Gf_VGP_SI*0.0+Gf_VSI_BP*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VGP_SI*7.0710678118654746e-01*((-((0.5*x_s_VSI_BP)))+((1.6666666666666667e-01*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))+(Gf_VSI_BP*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VGP_SI+0.5*x_s_VGP_SI_VSI_BP))+(+0.0*(x_s*x_s)+0.0*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))+0.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))+1.6666666666666667e-01*(+x_s_VGP_SI_VSI_BP*x_s+x_s_VGP_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VGP_SI+x_s*x_s_VGP_SI_VSI_BP))))/temp-(((Gf_VGP_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))*temp_VSI_BP+((((Gf_VSI_BP*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VSI_BP)))+((1.6666666666666667e-01*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))))))))*temp_VGP_SI+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI_VSI_BP)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI*temp_VSI_BP/temp/temp/temp));
#endif
alpha_VSI_BP=((((Gf_VSI_BP*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))*temp-((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP)/temp/temp);
#if defined(_DERIVATE2)
  alpha_VSI_BP_VDI_SI=(+0.0+((+(+Gf_VSI_BP_VDI_SI*7.0710678118654746e-01+Gf_VSI_BP*0.0+Gf_VDI_SI*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VSI_BP*7.0710678118654746e-01*((-((0.5*x_s_VDI_SI)))+((1.6666666666666667e-01*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))+(Gf_VDI_SI*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VSI_BP+0.5*x_s_VSI_BP_VDI_SI))+(+0.0*(x_s*x_s)+0.0*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))+0.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))+1.6666666666666667e-01*(+x_s_VSI_BP_VDI_SI*x_s+x_s_VSI_BP*x_s_VDI_SI+x_s_VDI_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VDI_SI))))/temp-(((Gf_VSI_BP*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))*temp_VDI_SI+((((Gf_VDI_SI*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VDI_SI)))+((1.6666666666666667e-01*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))))))))*temp_VSI_BP+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP_VDI_SI)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP*temp_VDI_SI/temp/temp/temp));
  alpha_VSI_BP_VGP_SI=(+0.0+((+(+Gf_VSI_BP_VGP_SI*7.0710678118654746e-01+Gf_VSI_BP*0.0+Gf_VGP_SI*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VSI_BP*7.0710678118654746e-01*((-((0.5*x_s_VGP_SI)))+((1.6666666666666667e-01*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))+(Gf_VGP_SI*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VSI_BP+0.5*x_s_VSI_BP_VGP_SI))+(+0.0*(x_s*x_s)+0.0*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))+0.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))+1.6666666666666667e-01*(+x_s_VSI_BP_VGP_SI*x_s+x_s_VSI_BP*x_s_VGP_SI+x_s_VGP_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VGP_SI))))/temp-(((Gf_VSI_BP*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))*temp_VGP_SI+((((Gf_VGP_SI*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VGP_SI)))+((1.6666666666666667e-01*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))))))))*temp_VSI_BP+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP_VGP_SI)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP*temp_VGP_SI/temp/temp/temp));
  alpha_VSI_BP_VSI_BP=(+0.0+((+(+Gf_VSI_BP_VSI_BP*7.0710678118654746e-01+Gf_VSI_BP*0.0+Gf_VSI_BP*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VSI_BP*7.0710678118654746e-01*((-((0.5*x_s_VSI_BP)))+((1.6666666666666667e-01*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))+(Gf_VSI_BP*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VSI_BP+0.5*x_s_VSI_BP_VSI_BP))+(+0.0*(x_s*x_s)+0.0*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))+0.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))+1.6666666666666667e-01*(+x_s_VSI_BP_VSI_BP*x_s+x_s_VSI_BP*x_s_VSI_BP+x_s_VSI_BP*x_s_VSI_BP+x_s*x_s_VSI_BP_VSI_BP))))/temp-(((Gf_VSI_BP*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))*temp_VSI_BP+((((Gf_VSI_BP*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VSI_BP)))+((1.6666666666666667e-01*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))))))))*temp_VSI_BP+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP_VSI_BP)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP*temp_VSI_BP/temp/temp/temp));
#endif
#endif
alpha=(1.0+(((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))/temp));
EXIT_IF_ISNAN((1.0+(((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))/temp)))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ps_VDI_SI=(x_s_VDI_SI+Es_VDI_SI);
#if defined(_DERIVATE2)
  Ps_VDI_SI_VDI_SI=(+(+x_s_VDI_SI_VDI_SI-0.0)+Es_VDI_SI_VDI_SI);
  Ps_VDI_SI_VGP_SI=(+(+x_s_VDI_SI_VGP_SI-0.0)+Es_VDI_SI_VGP_SI);
  Ps_VDI_SI_VSI_BP=(+(+x_s_VDI_SI_VSI_BP-0.0)+Es_VDI_SI_VSI_BP);
#endif
Ps_VGP_SI=(x_s_VGP_SI+Es_VGP_SI);
#if defined(_DERIVATE2)
  Ps_VGP_SI_VDI_SI=(+(+x_s_VGP_SI_VDI_SI-0.0)+Es_VGP_SI_VDI_SI);
  Ps_VGP_SI_VGP_SI=(+(+x_s_VGP_SI_VGP_SI-0.0)+Es_VGP_SI_VGP_SI);
  Ps_VGP_SI_VSI_BP=(+(+x_s_VGP_SI_VSI_BP-0.0)+Es_VGP_SI_VSI_BP);
#endif
Ps_VSI_BP=(x_s_VSI_BP+Es_VSI_BP);
#if defined(_DERIVATE2)
  Ps_VSI_BP_VDI_SI=(+(+x_s_VSI_BP_VDI_SI-0.0)+Es_VSI_BP_VDI_SI);
  Ps_VSI_BP_VGP_SI=(+(+x_s_VSI_BP_VGP_SI-0.0)+Es_VSI_BP_VGP_SI);
  Ps_VSI_BP_VSI_BP=(+(+x_s_VSI_BP_VSI_BP-0.0)+Es_VSI_BP_VSI_BP);
#endif
#endif
Ps=((x_s-1.0)+Es);
EXIT_IF_ISNAN(((x_s-1.0)+Es))
{
double m00_sqrt(d00_sqrt0,Ps)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,Ps)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
sqm_VDI_SI=Ps_VDI_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  sqm_VDI_SI_VDI_SI=(m20_sqrt(Ps)*Ps_VDI_SI*Ps_VDI_SI+d10_sqrt0*Ps_VDI_SI_VDI_SI);
  sqm_VDI_SI_VGP_SI=(m20_sqrt(Ps)*Ps_VGP_SI*Ps_VDI_SI+d10_sqrt0*Ps_VDI_SI_VGP_SI);
  sqm_VDI_SI_VSI_BP=(m20_sqrt(Ps)*Ps_VSI_BP*Ps_VDI_SI+d10_sqrt0*Ps_VDI_SI_VSI_BP);
#endif
sqm_VGP_SI=Ps_VGP_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  sqm_VGP_SI_VDI_SI=(m20_sqrt(Ps)*Ps_VDI_SI*Ps_VGP_SI+d10_sqrt0*Ps_VGP_SI_VDI_SI);
  sqm_VGP_SI_VGP_SI=(m20_sqrt(Ps)*Ps_VGP_SI*Ps_VGP_SI+d10_sqrt0*Ps_VGP_SI_VGP_SI);
  sqm_VGP_SI_VSI_BP=(m20_sqrt(Ps)*Ps_VSI_BP*Ps_VGP_SI+d10_sqrt0*Ps_VGP_SI_VSI_BP);
#endif
sqm_VSI_BP=Ps_VSI_BP*d10_sqrt0;
#if defined(_DERIVATE2)
  sqm_VSI_BP_VDI_SI=(m20_sqrt(Ps)*Ps_VDI_SI*Ps_VSI_BP+d10_sqrt0*Ps_VSI_BP_VDI_SI);
  sqm_VSI_BP_VGP_SI=(m20_sqrt(Ps)*Ps_VGP_SI*Ps_VSI_BP+d10_sqrt0*Ps_VSI_BP_VGP_SI);
  sqm_VSI_BP_VSI_BP=(m20_sqrt(Ps)*Ps_VSI_BP*Ps_VSI_BP+d10_sqrt0*Ps_VSI_BP_VSI_BP);
#endif
#endif
sqm=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
alpha_VDI_SI=(0.5*((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm));
#if defined(_DERIVATE2)
  alpha_VDI_SI_VDI_SI=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI))))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm)+0.0*((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm)+0.5*((+Gf_VDI_SI_VDI_SI*(1.0-Es)+Gf_VDI_SI*(-Es_VDI_SI)+Gf_VDI_SI*(-Es_VDI_SI)+Gf*(+0.0-Es_VDI_SI_VDI_SI))/sqm-(((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm_VDI_SI+(((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI))))*sqm_VDI_SI+(Gf*(1.0-Es))*sqm_VDI_SI_VDI_SI)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VDI_SI*sqm_VDI_SI/sqm/sqm/sqm)));
  alpha_VDI_SI_VGP_SI=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI))))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm)+0.0*((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm)+0.5*((+Gf_VDI_SI_VGP_SI*(1.0-Es)+Gf_VDI_SI*(-Es_VGP_SI)+Gf_VGP_SI*(-Es_VDI_SI)+Gf*(+0.0-Es_VDI_SI_VGP_SI))/sqm-(((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm_VGP_SI+(((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI))))*sqm_VDI_SI+(Gf*(1.0-Es))*sqm_VDI_SI_VGP_SI)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VDI_SI*sqm_VGP_SI/sqm/sqm/sqm)));
  alpha_VDI_SI_VSI_BP=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP))))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm)+0.0*((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm)+0.5*((+Gf_VDI_SI_VSI_BP*(1.0-Es)+Gf_VDI_SI*(-Es_VSI_BP)+Gf_VSI_BP*(-Es_VDI_SI)+Gf*(+0.0-Es_VDI_SI_VSI_BP))/sqm-(((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm_VSI_BP+(((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP))))*sqm_VDI_SI+(Gf*(1.0-Es))*sqm_VDI_SI_VSI_BP)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VDI_SI*sqm_VSI_BP/sqm/sqm/sqm)));
#endif
alpha_VGP_SI=(0.5*((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm));
#if defined(_DERIVATE2)
  alpha_VGP_SI_VDI_SI=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI))))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm)+0.0*((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm)+0.5*((+Gf_VGP_SI_VDI_SI*(1.0-Es)+Gf_VGP_SI*(-Es_VDI_SI)+Gf_VDI_SI*(-Es_VGP_SI)+Gf*(+0.0-Es_VGP_SI_VDI_SI))/sqm-(((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm_VDI_SI+(((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI))))*sqm_VGP_SI+(Gf*(1.0-Es))*sqm_VGP_SI_VDI_SI)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VGP_SI*sqm_VDI_SI/sqm/sqm/sqm)));
  alpha_VGP_SI_VGP_SI=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI))))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm)+0.0*((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm)+0.5*((+Gf_VGP_SI_VGP_SI*(1.0-Es)+Gf_VGP_SI*(-Es_VGP_SI)+Gf_VGP_SI*(-Es_VGP_SI)+Gf*(+0.0-Es_VGP_SI_VGP_SI))/sqm-(((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm_VGP_SI+(((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI))))*sqm_VGP_SI+(Gf*(1.0-Es))*sqm_VGP_SI_VGP_SI)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VGP_SI*sqm_VGP_SI/sqm/sqm/sqm)));
  alpha_VGP_SI_VSI_BP=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP))))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm)+0.0*((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm)+0.5*((+Gf_VGP_SI_VSI_BP*(1.0-Es)+Gf_VGP_SI*(-Es_VSI_BP)+Gf_VSI_BP*(-Es_VGP_SI)+Gf*(+0.0-Es_VGP_SI_VSI_BP))/sqm-(((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm_VSI_BP+(((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP))))*sqm_VGP_SI+(Gf*(1.0-Es))*sqm_VGP_SI_VSI_BP)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VGP_SI*sqm_VSI_BP/sqm/sqm/sqm)));
#endif
alpha_VSI_BP=(0.5*((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm));
#if defined(_DERIVATE2)
  alpha_VSI_BP_VDI_SI=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI))))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm)+0.0*((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm)+0.5*((+Gf_VSI_BP_VDI_SI*(1.0-Es)+Gf_VSI_BP*(-Es_VDI_SI)+Gf_VDI_SI*(-Es_VSI_BP)+Gf*(+0.0-Es_VSI_BP_VDI_SI))/sqm-(((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm_VDI_SI+(((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI))))*sqm_VSI_BP+(Gf*(1.0-Es))*sqm_VSI_BP_VDI_SI)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VSI_BP*sqm_VDI_SI/sqm/sqm/sqm)));
  alpha_VSI_BP_VGP_SI=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI))))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm)+0.0*((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm)+0.5*((+Gf_VSI_BP_VGP_SI*(1.0-Es)+Gf_VSI_BP*(-Es_VGP_SI)+Gf_VGP_SI*(-Es_VSI_BP)+Gf*(+0.0-Es_VSI_BP_VGP_SI))/sqm-(((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm_VGP_SI+(((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI))))*sqm_VSI_BP+(Gf*(1.0-Es))*sqm_VSI_BP_VGP_SI)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VSI_BP*sqm_VGP_SI/sqm/sqm/sqm)));
  alpha_VSI_BP_VSI_BP=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP))))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm)+0.0*((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm)+0.5*((+Gf_VSI_BP_VSI_BP*(1.0-Es)+Gf_VSI_BP*(-Es_VSI_BP)+Gf_VSI_BP*(-Es_VSI_BP)+Gf*(+0.0-Es_VSI_BP_VSI_BP))/sqm-(((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm_VSI_BP+(((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP))))*sqm_VSI_BP+(Gf*(1.0-Es))*sqm_VSI_BP_VSI_BP)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VSI_BP*sqm_VSI_BP/sqm/sqm/sqm)));
#endif
#endif
alpha=(1.0+(0.5*((Gf*(1.0-Es))/sqm)));
EXIT_IF_ISNAN((1.0+(0.5*((Gf*(1.0-Es))/sqm))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Em_VDI_SI=Es_VDI_SI;
#if defined(_DERIVATE2)
  Em_VDI_SI_VDI_SI=Es_VDI_SI_VDI_SI;
  Em_VDI_SI_VGP_SI=Es_VDI_SI_VGP_SI;
  Em_VDI_SI_VSI_BP=Es_VDI_SI_VSI_BP;
#endif
Em_VGP_SI=Es_VGP_SI;
#if defined(_DERIVATE2)
  Em_VGP_SI_VDI_SI=Es_VGP_SI_VDI_SI;
  Em_VGP_SI_VGP_SI=Es_VGP_SI_VGP_SI;
  Em_VGP_SI_VSI_BP=Es_VGP_SI_VSI_BP;
#endif
Em_VSI_BP=Es_VSI_BP;
#if defined(_DERIVATE2)
  Em_VSI_BP_VDI_SI=Es_VSI_BP_VDI_SI;
  Em_VSI_BP_VGP_SI=Es_VSI_BP_VGP_SI;
  Em_VSI_BP_VSI_BP=Es_VSI_BP_VSI_BP;
#endif
#endif
Em=Es;
EXIT_IF_ISNAN(Es)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ed_VDI_SI=Em_VDI_SI;
#if defined(_DERIVATE2)
  Ed_VDI_SI_VDI_SI=Em_VDI_SI_VDI_SI;
  Ed_VDI_SI_VGP_SI=Em_VDI_SI_VGP_SI;
  Ed_VDI_SI_VSI_BP=Em_VDI_SI_VSI_BP;
#endif
Ed_VGP_SI=Em_VGP_SI;
#if defined(_DERIVATE2)
  Ed_VGP_SI_VDI_SI=Em_VGP_SI_VDI_SI;
  Ed_VGP_SI_VGP_SI=Em_VGP_SI_VGP_SI;
  Ed_VGP_SI_VSI_BP=Em_VGP_SI_VSI_BP;
#endif
Ed_VSI_BP=Em_VSI_BP;
#if defined(_DERIVATE2)
  Ed_VSI_BP_VDI_SI=Em_VSI_BP_VDI_SI;
  Ed_VSI_BP_VGP_SI=Em_VSI_BP_VGP_SI;
  Ed_VSI_BP_VSI_BP=Em_VSI_BP_VSI_BP;
#endif
#endif
Ed=Em;
EXIT_IF_ISNAN(Em)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dm_VDI_SI=Ds_VDI_SI;
#if defined(_DERIVATE2)
  Dm_VDI_SI_VDI_SI=Ds_VDI_SI_VDI_SI;
  Dm_VDI_SI_VGP_SI=Ds_VDI_SI_VGP_SI;
  Dm_VDI_SI_VSI_BP=Ds_VDI_SI_VSI_BP;
#endif
Dm_VGP_SI=Ds_VGP_SI;
#if defined(_DERIVATE2)
  Dm_VGP_SI_VDI_SI=Ds_VGP_SI_VDI_SI;
  Dm_VGP_SI_VGP_SI=Ds_VGP_SI_VGP_SI;
  Dm_VGP_SI_VSI_BP=Ds_VGP_SI_VSI_BP;
#endif
Dm_VSI_BP=Ds_VSI_BP;
#if defined(_DERIVATE2)
  Dm_VSI_BP_VDI_SI=Ds_VSI_BP_VDI_SI;
  Dm_VSI_BP_VGP_SI=Ds_VSI_BP_VGP_SI;
  Dm_VSI_BP_VSI_BP=Ds_VSI_BP_VSI_BP;
#endif
#endif
Dm=Ds;
EXIT_IF_ISNAN(Ds)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dd_VDI_SI=Dm_VDI_SI;
#if defined(_DERIVATE2)
  Dd_VDI_SI_VDI_SI=Dm_VDI_SI_VDI_SI;
  Dd_VDI_SI_VGP_SI=Dm_VDI_SI_VGP_SI;
  Dd_VDI_SI_VSI_BP=Dm_VDI_SI_VSI_BP;
#endif
Dd_VGP_SI=Dm_VGP_SI;
#if defined(_DERIVATE2)
  Dd_VGP_SI_VDI_SI=Dm_VGP_SI_VDI_SI;
  Dd_VGP_SI_VGP_SI=Dm_VGP_SI_VGP_SI;
  Dd_VGP_SI_VSI_BP=Dm_VGP_SI_VSI_BP;
#endif
Dd_VSI_BP=Dm_VSI_BP;
#if defined(_DERIVATE2)
  Dd_VSI_BP_VDI_SI=Dm_VSI_BP_VDI_SI;
  Dd_VSI_BP_VGP_SI=Dm_VSI_BP_VGP_SI;
  Dd_VSI_BP_VSI_BP=Dm_VSI_BP_VSI_BP;
#endif
#endif
Dd=Dm;
EXIT_IF_ISNAN(Dm)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Rxcor_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Rxcor_VGP_SI_VGP_SI=0.0;
  Rxcor_VGP_SI_VDI_SI=0.0;
  Rxcor_VGP_SI_VSI_BP=0.0;
#endif
Rxcor_VDI_SI=((((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)*(1.0+(pInst->XCOR_T*Vsbx))-(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VDI_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
#if defined(_DERIVATE2)
  Rxcor_VDI_SI_VGP_SI=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VGP_SI+(0.0)*Vsbx_VDI_SI+(0.2*pInst->XCOR_T)*Vsbx_VDI_SI_VGP_SI))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)*((pInst->XCOR_T*Vsbx_VGP_SI))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VGP_SI)))*(pInst->XCOR_T*Vsbx_VDI_SI)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->XCOR_T*Vsbx_VDI_SI_VGP_SI)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VDI_SI)*((pInst->XCOR_T*Vsbx_VGP_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
  Rxcor_VDI_SI_VDI_SI=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VDI_SI+(0.0)*Vsbx_VDI_SI+(0.2*pInst->XCOR_T)*Vsbx_VDI_SI_VDI_SI))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)*((pInst->XCOR_T*Vsbx_VDI_SI))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)))*(pInst->XCOR_T*Vsbx_VDI_SI)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->XCOR_T*Vsbx_VDI_SI_VDI_SI)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VDI_SI)*((pInst->XCOR_T*Vsbx_VDI_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
  Rxcor_VDI_SI_VSI_BP=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VSI_BP+(0.0)*Vsbx_VDI_SI+(0.2*pInst->XCOR_T)*Vsbx_VDI_SI_VSI_BP))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)*((pInst->XCOR_T*Vsbx_VSI_BP))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)))*(pInst->XCOR_T*Vsbx_VDI_SI)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->XCOR_T*Vsbx_VDI_SI_VSI_BP)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VDI_SI)*((pInst->XCOR_T*Vsbx_VSI_BP))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
#endif
Rxcor_VSI_BP=((((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)*(1.0+(pInst->XCOR_T*Vsbx))-(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VSI_BP))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
#if defined(_DERIVATE2)
  Rxcor_VSI_BP_VGP_SI=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VGP_SI+(0.0)*Vsbx_VSI_BP+(0.2*pInst->XCOR_T)*Vsbx_VSI_BP_VGP_SI))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)*((pInst->XCOR_T*Vsbx_VGP_SI))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VGP_SI)))*(pInst->XCOR_T*Vsbx_VSI_BP)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->XCOR_T*Vsbx_VSI_BP_VGP_SI)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VSI_BP)*((pInst->XCOR_T*Vsbx_VGP_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
  Rxcor_VSI_BP_VDI_SI=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VDI_SI+(0.0)*Vsbx_VSI_BP+(0.2*pInst->XCOR_T)*Vsbx_VSI_BP_VDI_SI))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)*((pInst->XCOR_T*Vsbx_VDI_SI))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)))*(pInst->XCOR_T*Vsbx_VSI_BP)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->XCOR_T*Vsbx_VSI_BP_VDI_SI)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VSI_BP)*((pInst->XCOR_T*Vsbx_VDI_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
  Rxcor_VSI_BP_VSI_BP=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VSI_BP+(0.0)*Vsbx_VSI_BP+(0.2*pInst->XCOR_T)*Vsbx_VSI_BP_VSI_BP))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)*((pInst->XCOR_T*Vsbx_VSI_BP))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)))*(pInst->XCOR_T*Vsbx_VSI_BP)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->XCOR_T*Vsbx_VSI_BP_VSI_BP)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VSI_BP)*((pInst->XCOR_T*Vsbx_VSI_BP))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
#endif
#endif
Rxcor=((1.0+((0.2*pInst->XCOR_T)*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
EXIT_IF_ISNAN(((1.0+((0.2*pInst->XCOR_T)*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))))
if
((Ds>1.0e-100))
{
{
double m00_sqrt(d00_sqrt0,(Ps+Ds))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(Ps+Ds))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgs_VDI_SI=((Gf_VDI_SI*d00_sqrt0)+(Gf*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgs_VDI_SI_VDI_SI=(+Gf_VDI_SI_VDI_SI*d00_sqrt0+Gf_VDI_SI*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VDI_SI+Ds_VDI_SI)*(Ps_VDI_SI+Ds_VDI_SI)+d10_sqrt0*(+Ps_VDI_SI_VDI_SI+Ds_VDI_SI_VDI_SI)));
  xgs_VDI_SI_VGP_SI=(+Gf_VDI_SI_VGP_SI*d00_sqrt0+Gf_VDI_SI*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VGP_SI+Ds_VGP_SI)*(Ps_VDI_SI+Ds_VDI_SI)+d10_sqrt0*(+Ps_VDI_SI_VGP_SI+Ds_VDI_SI_VGP_SI)));
  xgs_VDI_SI_VSI_BP=(+Gf_VDI_SI_VSI_BP*d00_sqrt0+Gf_VDI_SI*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VSI_BP+Ds_VSI_BP)*(Ps_VDI_SI+Ds_VDI_SI)+d10_sqrt0*(+Ps_VDI_SI_VSI_BP+Ds_VDI_SI_VSI_BP)));
#endif
xgs_VGP_SI=((Gf_VGP_SI*d00_sqrt0)+(Gf*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgs_VGP_SI_VDI_SI=(+Gf_VGP_SI_VDI_SI*d00_sqrt0+Gf_VGP_SI*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VDI_SI+Ds_VDI_SI)*(Ps_VGP_SI+Ds_VGP_SI)+d10_sqrt0*(+Ps_VGP_SI_VDI_SI+Ds_VGP_SI_VDI_SI)));
  xgs_VGP_SI_VGP_SI=(+Gf_VGP_SI_VGP_SI*d00_sqrt0+Gf_VGP_SI*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VGP_SI+Ds_VGP_SI)*(Ps_VGP_SI+Ds_VGP_SI)+d10_sqrt0*(+Ps_VGP_SI_VGP_SI+Ds_VGP_SI_VGP_SI)));
  xgs_VGP_SI_VSI_BP=(+Gf_VGP_SI_VSI_BP*d00_sqrt0+Gf_VGP_SI*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VSI_BP+Ds_VSI_BP)*(Ps_VGP_SI+Ds_VGP_SI)+d10_sqrt0*(+Ps_VGP_SI_VSI_BP+Ds_VGP_SI_VSI_BP)));
#endif
xgs_VSI_BP=((Gf_VSI_BP*d00_sqrt0)+(Gf*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgs_VSI_BP_VDI_SI=(+Gf_VSI_BP_VDI_SI*d00_sqrt0+Gf_VSI_BP*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VDI_SI+Ds_VDI_SI)*(Ps_VSI_BP+Ds_VSI_BP)+d10_sqrt0*(+Ps_VSI_BP_VDI_SI+Ds_VSI_BP_VDI_SI)));
  xgs_VSI_BP_VGP_SI=(+Gf_VSI_BP_VGP_SI*d00_sqrt0+Gf_VSI_BP*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VGP_SI+Ds_VGP_SI)*(Ps_VSI_BP+Ds_VSI_BP)+d10_sqrt0*(+Ps_VSI_BP_VGP_SI+Ds_VSI_BP_VGP_SI)));
  xgs_VSI_BP_VSI_BP=(+Gf_VSI_BP_VSI_BP*d00_sqrt0+Gf_VSI_BP*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VSI_BP+Ds_VSI_BP)*(Ps_VSI_BP+Ds_VSI_BP)+d10_sqrt0*(+Ps_VSI_BP_VSI_BP+Ds_VSI_BP_VSI_BP)));
#endif
#endif
xgs=(Gf*d00_sqrt0);
EXIT_IF_ISNAN((Gf*d00_sqrt0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
qis_VDI_SI=((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(xgs+(Gf*sqm))-((Gf2*Ds)*pInst->phit1)*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
#if defined(_DERIVATE2)
  qis_VDI_SI_VDI_SI=((+(+Gf2_VDI_SI_VDI_SI*Ds+Gf2_VDI_SI*Ds_VDI_SI+Gf2_VDI_SI*Ds_VDI_SI+Gf2*Ds_VDI_SI_VDI_SI)*pInst->phit1+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*phit1_VDI_SI+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*phit1_VDI_SI+(Gf2*Ds)*phit1_VDI_SI_VDI_SI)/(xgs+(Gf*sqm))-(((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(xgs_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))+((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VDI_SI_VDI_SI+(+Gf_VDI_SI_VDI_SI*sqm+Gf_VDI_SI*sqm_VDI_SI+Gf_VDI_SI*sqm_VDI_SI+Gf*sqm_VDI_SI_VDI_SI)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))*(xgs_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
  qis_VDI_SI_VGP_SI=((+(+Gf2_VDI_SI_VGP_SI*Ds+Gf2_VDI_SI*Ds_VGP_SI+Gf2_VGP_SI*Ds_VDI_SI+Gf2*Ds_VDI_SI_VGP_SI)*pInst->phit1+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*phit1_VGP_SI+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*phit1_VDI_SI+(Gf2*Ds)*phit1_VDI_SI_VGP_SI)/(xgs+(Gf*sqm))-(((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(xgs_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))+((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VDI_SI_VGP_SI+(+Gf_VDI_SI_VGP_SI*sqm+Gf_VDI_SI*sqm_VGP_SI+Gf_VGP_SI*sqm_VDI_SI+Gf*sqm_VDI_SI_VGP_SI)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))*(xgs_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
  qis_VDI_SI_VSI_BP=((+(+Gf2_VDI_SI_VSI_BP*Ds+Gf2_VDI_SI*Ds_VSI_BP+Gf2_VSI_BP*Ds_VDI_SI+Gf2*Ds_VDI_SI_VSI_BP)*pInst->phit1+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*phit1_VSI_BP+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*phit1_VDI_SI+(Gf2*Ds)*phit1_VDI_SI_VSI_BP)/(xgs+(Gf*sqm))-(((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(xgs_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))+((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VDI_SI_VSI_BP+(+Gf_VDI_SI_VSI_BP*sqm+Gf_VDI_SI*sqm_VSI_BP+Gf_VSI_BP*sqm_VDI_SI+Gf*sqm_VDI_SI_VSI_BP)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))*(xgs_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
#endif
qis_VGP_SI=((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(xgs+(Gf*sqm))-((Gf2*Ds)*pInst->phit1)*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
#if defined(_DERIVATE2)
  qis_VGP_SI_VDI_SI=((+(+Gf2_VGP_SI_VDI_SI*Ds+Gf2_VGP_SI*Ds_VDI_SI+Gf2_VDI_SI*Ds_VGP_SI+Gf2*Ds_VGP_SI_VDI_SI)*pInst->phit1+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*phit1_VDI_SI+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*phit1_VGP_SI+(Gf2*Ds)*phit1_VGP_SI_VDI_SI)/(xgs+(Gf*sqm))-(((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(xgs_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))+((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VGP_SI_VDI_SI+(+Gf_VGP_SI_VDI_SI*sqm+Gf_VGP_SI*sqm_VDI_SI+Gf_VDI_SI*sqm_VGP_SI+Gf*sqm_VGP_SI_VDI_SI)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))*(xgs_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
  qis_VGP_SI_VGP_SI=((+(+Gf2_VGP_SI_VGP_SI*Ds+Gf2_VGP_SI*Ds_VGP_SI+Gf2_VGP_SI*Ds_VGP_SI+Gf2*Ds_VGP_SI_VGP_SI)*pInst->phit1+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*phit1_VGP_SI+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*phit1_VGP_SI+(Gf2*Ds)*phit1_VGP_SI_VGP_SI)/(xgs+(Gf*sqm))-(((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(xgs_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))+((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VGP_SI_VGP_SI+(+Gf_VGP_SI_VGP_SI*sqm+Gf_VGP_SI*sqm_VGP_SI+Gf_VGP_SI*sqm_VGP_SI+Gf*sqm_VGP_SI_VGP_SI)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))*(xgs_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
  qis_VGP_SI_VSI_BP=((+(+Gf2_VGP_SI_VSI_BP*Ds+Gf2_VGP_SI*Ds_VSI_BP+Gf2_VSI_BP*Ds_VGP_SI+Gf2*Ds_VGP_SI_VSI_BP)*pInst->phit1+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*phit1_VSI_BP+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*phit1_VGP_SI+(Gf2*Ds)*phit1_VGP_SI_VSI_BP)/(xgs+(Gf*sqm))-(((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(xgs_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))+((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VGP_SI_VSI_BP+(+Gf_VGP_SI_VSI_BP*sqm+Gf_VGP_SI*sqm_VSI_BP+Gf_VSI_BP*sqm_VGP_SI+Gf*sqm_VGP_SI_VSI_BP)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))*(xgs_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
#endif
qis_VSI_BP=((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(xgs+(Gf*sqm))-((Gf2*Ds)*pInst->phit1)*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
#if defined(_DERIVATE2)
  qis_VSI_BP_VDI_SI=((+(+Gf2_VSI_BP_VDI_SI*Ds+Gf2_VSI_BP*Ds_VDI_SI+Gf2_VDI_SI*Ds_VSI_BP+Gf2*Ds_VSI_BP_VDI_SI)*pInst->phit1+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*phit1_VDI_SI+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*phit1_VSI_BP+(Gf2*Ds)*phit1_VSI_BP_VDI_SI)/(xgs+(Gf*sqm))-(((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(xgs_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))+((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VSI_BP_VDI_SI+(+Gf_VSI_BP_VDI_SI*sqm+Gf_VSI_BP*sqm_VDI_SI+Gf_VDI_SI*sqm_VSI_BP+Gf*sqm_VSI_BP_VDI_SI)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))*(xgs_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
  qis_VSI_BP_VGP_SI=((+(+Gf2_VSI_BP_VGP_SI*Ds+Gf2_VSI_BP*Ds_VGP_SI+Gf2_VGP_SI*Ds_VSI_BP+Gf2*Ds_VSI_BP_VGP_SI)*pInst->phit1+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*phit1_VGP_SI+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*phit1_VSI_BP+(Gf2*Ds)*phit1_VSI_BP_VGP_SI)/(xgs+(Gf*sqm))-(((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(xgs_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))+((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VSI_BP_VGP_SI+(+Gf_VSI_BP_VGP_SI*sqm+Gf_VSI_BP*sqm_VGP_SI+Gf_VGP_SI*sqm_VSI_BP+Gf*sqm_VSI_BP_VGP_SI)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))*(xgs_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
  qis_VSI_BP_VSI_BP=((+(+Gf2_VSI_BP_VSI_BP*Ds+Gf2_VSI_BP*Ds_VSI_BP+Gf2_VSI_BP*Ds_VSI_BP+Gf2*Ds_VSI_BP_VSI_BP)*pInst->phit1+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*phit1_VSI_BP+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*phit1_VSI_BP+(Gf2*Ds)*phit1_VSI_BP_VSI_BP)/(xgs+(Gf*sqm))-(((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(xgs_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))+((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VSI_BP_VSI_BP+(+Gf_VSI_BP_VSI_BP*sqm+Gf_VSI_BP*sqm_VSI_BP+Gf_VSI_BP*sqm_VSI_BP+Gf*sqm_VSI_BP_VSI_BP)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))*(xgs_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
#endif
#endif
qis=(((Gf2*Ds)*pInst->phit1)/(xgs+(Gf*sqm)));
EXIT_IF_ISNAN((((Gf2*Ds)*pInst->phit1)/(xgs+(Gf*sqm))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qbs_VDI_SI=((((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*pInst->phit1)+((sqm*Gf)*phit1_VDI_SI));
#if defined(_DERIVATE2)
  qbs_VDI_SI_VDI_SI=(+(+sqm_VDI_SI_VDI_SI*Gf+sqm_VDI_SI*Gf_VDI_SI+sqm_VDI_SI*Gf_VDI_SI+sqm*Gf_VDI_SI_VDI_SI)*pInst->phit1+((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*phit1_VDI_SI+(((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI)))*phit1_VDI_SI+(sqm*Gf)*phit1_VDI_SI_VDI_SI);
  qbs_VDI_SI_VGP_SI=(+(+sqm_VDI_SI_VGP_SI*Gf+sqm_VDI_SI*Gf_VGP_SI+sqm_VGP_SI*Gf_VDI_SI+sqm*Gf_VDI_SI_VGP_SI)*pInst->phit1+((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*phit1_VGP_SI+(((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI)))*phit1_VDI_SI+(sqm*Gf)*phit1_VDI_SI_VGP_SI);
  qbs_VDI_SI_VSI_BP=(+(+sqm_VDI_SI_VSI_BP*Gf+sqm_VDI_SI*Gf_VSI_BP+sqm_VSI_BP*Gf_VDI_SI+sqm*Gf_VDI_SI_VSI_BP)*pInst->phit1+((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*phit1_VSI_BP+(((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP)))*phit1_VDI_SI+(sqm*Gf)*phit1_VDI_SI_VSI_BP);
#endif
qbs_VGP_SI=((((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*pInst->phit1)+((sqm*Gf)*phit1_VGP_SI));
#if defined(_DERIVATE2)
  qbs_VGP_SI_VDI_SI=(+(+sqm_VGP_SI_VDI_SI*Gf+sqm_VGP_SI*Gf_VDI_SI+sqm_VDI_SI*Gf_VGP_SI+sqm*Gf_VGP_SI_VDI_SI)*pInst->phit1+((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*phit1_VDI_SI+(((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI)))*phit1_VGP_SI+(sqm*Gf)*phit1_VGP_SI_VDI_SI);
  qbs_VGP_SI_VGP_SI=(+(+sqm_VGP_SI_VGP_SI*Gf+sqm_VGP_SI*Gf_VGP_SI+sqm_VGP_SI*Gf_VGP_SI+sqm*Gf_VGP_SI_VGP_SI)*pInst->phit1+((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*phit1_VGP_SI+(((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI)))*phit1_VGP_SI+(sqm*Gf)*phit1_VGP_SI_VGP_SI);
  qbs_VGP_SI_VSI_BP=(+(+sqm_VGP_SI_VSI_BP*Gf+sqm_VGP_SI*Gf_VSI_BP+sqm_VSI_BP*Gf_VGP_SI+sqm*Gf_VGP_SI_VSI_BP)*pInst->phit1+((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*phit1_VSI_BP+(((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP)))*phit1_VGP_SI+(sqm*Gf)*phit1_VGP_SI_VSI_BP);
#endif
qbs_VSI_BP=((((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*pInst->phit1)+((sqm*Gf)*phit1_VSI_BP));
#if defined(_DERIVATE2)
  qbs_VSI_BP_VDI_SI=(+(+sqm_VSI_BP_VDI_SI*Gf+sqm_VSI_BP*Gf_VDI_SI+sqm_VDI_SI*Gf_VSI_BP+sqm*Gf_VSI_BP_VDI_SI)*pInst->phit1+((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*phit1_VDI_SI+(((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI)))*phit1_VSI_BP+(sqm*Gf)*phit1_VSI_BP_VDI_SI);
  qbs_VSI_BP_VGP_SI=(+(+sqm_VSI_BP_VGP_SI*Gf+sqm_VSI_BP*Gf_VGP_SI+sqm_VGP_SI*Gf_VSI_BP+sqm*Gf_VSI_BP_VGP_SI)*pInst->phit1+((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*phit1_VGP_SI+(((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI)))*phit1_VSI_BP+(sqm*Gf)*phit1_VSI_BP_VGP_SI);
  qbs_VSI_BP_VSI_BP=(+(+sqm_VSI_BP_VSI_BP*Gf+sqm_VSI_BP*Gf_VSI_BP+sqm_VSI_BP*Gf_VSI_BP+sqm*Gf_VSI_BP_VSI_BP)*pInst->phit1+((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*phit1_VSI_BP+(((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP)))*phit1_VSI_BP+(sqm*Gf)*phit1_VSI_BP_VSI_BP);
#endif
#endif
qbs=((sqm*Gf)*pInst->phit1);
EXIT_IF_ISNAN(((sqm*Gf)*pInst->phit1))
if
((pInst->RSB_i<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
rhob_VGP_SI=0.0;
#if defined(_DERIVATE2)
  rhob_VGP_SI_VGP_SI=0.0;
  rhob_VGP_SI_VDI_SI=0.0;
  rhob_VGP_SI_VSI_BP=0.0;
#endif
rhob_VDI_SI=(-(-(pInst->RSB_i*Vsbx_VDI_SI))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
#if defined(_DERIVATE2)
  rhob_VDI_SI_VGP_SI=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VGP_SI)))+0.0*(-(pInst->RSB_i*Vsbx_VDI_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->RSB_i*Vsbx_VDI_SI_VGP_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VDI_SI))*(-((pInst->RSB_i*Vsbx_VGP_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
  rhob_VDI_SI_VDI_SI=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VDI_SI)))+0.0*(-(pInst->RSB_i*Vsbx_VDI_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->RSB_i*Vsbx_VDI_SI_VDI_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VDI_SI))*(-((pInst->RSB_i*Vsbx_VDI_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
  rhob_VDI_SI_VSI_BP=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VSI_BP)))+0.0*(-(pInst->RSB_i*Vsbx_VDI_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->RSB_i*Vsbx_VDI_SI_VSI_BP)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VDI_SI))*(-((pInst->RSB_i*Vsbx_VSI_BP)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
#endif
rhob_VSI_BP=(-(-(pInst->RSB_i*Vsbx_VSI_BP))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
#if defined(_DERIVATE2)
  rhob_VSI_BP_VGP_SI=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VGP_SI)))+0.0*(-(pInst->RSB_i*Vsbx_VSI_BP))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->RSB_i*Vsbx_VSI_BP_VGP_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VSI_BP))*(-((pInst->RSB_i*Vsbx_VGP_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
  rhob_VSI_BP_VDI_SI=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VDI_SI)))+0.0*(-(pInst->RSB_i*Vsbx_VSI_BP))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->RSB_i*Vsbx_VSI_BP_VDI_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VSI_BP))*(-((pInst->RSB_i*Vsbx_VDI_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
  rhob_VSI_BP_VSI_BP=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VSI_BP)))+0.0*(-(pInst->RSB_i*Vsbx_VSI_BP))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->RSB_i*Vsbx_VSI_BP_VSI_BP)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VSI_BP))*(-((pInst->RSB_i*Vsbx_VSI_BP)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
#endif
#endif
rhob=(1.0/(1.0-(pInst->RSB_i*Vsbx)));
EXIT_IF_ISNAN((1.0/(1.0-(pInst->RSB_i*Vsbx))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
rhob_VGP_SI=0.0;
#if defined(_DERIVATE2)
  rhob_VGP_SI_VGP_SI=0.0;
  rhob_VGP_SI_VDI_SI=0.0;
  rhob_VGP_SI_VSI_BP=0.0;
#endif
rhob_VDI_SI=(pInst->RSB_i*Vsbx_VDI_SI);
#if defined(_DERIVATE2)
  rhob_VDI_SI_VGP_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->RSB_i*Vsbx_VDI_SI_VGP_SI));
  rhob_VDI_SI_VDI_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->RSB_i*Vsbx_VDI_SI_VDI_SI));
  rhob_VDI_SI_VSI_BP=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->RSB_i*Vsbx_VDI_SI_VSI_BP));
#endif
rhob_VSI_BP=(pInst->RSB_i*Vsbx_VSI_BP);
#if defined(_DERIVATE2)
  rhob_VSI_BP_VGP_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->RSB_i*Vsbx_VSI_BP_VGP_SI));
  rhob_VSI_BP_VDI_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->RSB_i*Vsbx_VSI_BP_VDI_SI));
  rhob_VSI_BP_VSI_BP=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->RSB_i*Vsbx_VSI_BP_VSI_BP));
#endif
#endif
rhob=(1.0+(pInst->RSB_i*Vsbx));
EXIT_IF_ISNAN((1.0+(pInst->RSB_i*Vsbx)))
}
if
((pInst->RSG_i<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(pInst->RSG_i*qis_VGP_SI));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0-(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VGP_SI+pInst->RSG_i*qis_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(+0.0-(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VGP_SI+pInst->RSG_i*qis_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(+0.0-(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VGP_SI+pInst->RSG_i*qis_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=(-(pInst->RSG_i*qis_VDI_SI));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0-(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VDI_SI+pInst->RSG_i*qis_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(+0.0-(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VDI_SI+pInst->RSG_i*qis_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(+0.0-(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VDI_SI+pInst->RSG_i*qis_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=(-(pInst->RSG_i*qis_VSI_BP));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0-(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VSI_BP+pInst->RSG_i*qis_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(+0.0-(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VSI_BP+pInst->RSG_i*qis_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(+0.0-(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VSI_BP+pInst->RSG_i*qis_VSI_BP_VSI_BP));
#endif
#endif
temp=(1.0-(pInst->RSG_i*qis));
EXIT_IF_ISNAN((1.0-(pInst->RSG_i*qis)))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(pInst->RSG_i*qis_VGP_SI)/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VGP_SI))+0.0*(pInst->RSG_i*qis_VGP_SI)+1.0*(+0.0+(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VGP_SI+pInst->RSG_i*qis_VGP_SI_VGP_SI)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VGP_SI)*((pInst->RSG_i*qis_VGP_SI))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
  temp_VGP_SI_VDI_SI=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VDI_SI))+0.0*(pInst->RSG_i*qis_VGP_SI)+1.0*(+0.0+(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VGP_SI+pInst->RSG_i*qis_VGP_SI_VDI_SI)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VGP_SI)*((pInst->RSG_i*qis_VDI_SI))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
  temp_VGP_SI_VSI_BP=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VSI_BP))+0.0*(pInst->RSG_i*qis_VGP_SI)+1.0*(+0.0+(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VGP_SI+pInst->RSG_i*qis_VGP_SI_VSI_BP)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VGP_SI)*((pInst->RSG_i*qis_VSI_BP))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
#endif
temp_VDI_SI=(-(pInst->RSG_i*qis_VDI_SI)/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VGP_SI))+0.0*(pInst->RSG_i*qis_VDI_SI)+1.0*(+0.0+(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VDI_SI+pInst->RSG_i*qis_VDI_SI_VGP_SI)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VDI_SI)*((pInst->RSG_i*qis_VGP_SI))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
  temp_VDI_SI_VDI_SI=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VDI_SI))+0.0*(pInst->RSG_i*qis_VDI_SI)+1.0*(+0.0+(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VDI_SI+pInst->RSG_i*qis_VDI_SI_VDI_SI)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VDI_SI)*((pInst->RSG_i*qis_VDI_SI))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
  temp_VDI_SI_VSI_BP=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VSI_BP))+0.0*(pInst->RSG_i*qis_VDI_SI)+1.0*(+0.0+(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VDI_SI+pInst->RSG_i*qis_VDI_SI_VSI_BP)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VDI_SI)*((pInst->RSG_i*qis_VSI_BP))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
#endif
temp_VSI_BP=(-(pInst->RSG_i*qis_VSI_BP)/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VGP_SI))+0.0*(pInst->RSG_i*qis_VSI_BP)+1.0*(+0.0+(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VSI_BP+pInst->RSG_i*qis_VSI_BP_VGP_SI)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VSI_BP)*((pInst->RSG_i*qis_VGP_SI))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
  temp_VSI_BP_VDI_SI=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VDI_SI))+0.0*(pInst->RSG_i*qis_VSI_BP)+1.0*(+0.0+(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VSI_BP+pInst->RSG_i*qis_VSI_BP_VDI_SI)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VSI_BP)*((pInst->RSG_i*qis_VDI_SI))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
  temp_VSI_BP_VSI_BP=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VSI_BP))+0.0*(pInst->RSG_i*qis_VSI_BP)+1.0*(+0.0+(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VSI_BP+pInst->RSG_i*qis_VSI_BP_VSI_BP)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VSI_BP)*((pInst->RSG_i*qis_VSI_BP))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
#endif
#endif
temp=(1.0/(1.0+(pInst->RSG_i*qis)));
EXIT_IF_ISNAN((1.0/(1.0+(pInst->RSG_i*qis))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
GR_VDI_SI=(pInst->THER_i*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis)+((rhob*temp)*qis_VDI_SI)));
#if defined(_DERIVATE2)
  GR_VDI_SI_VDI_SI=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qis)+((rhob*temp)*qis_VDI_SI)))+0.0*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis)+((rhob*temp)*qis_VDI_SI))+pInst->THER_i*(+(+rhob_VDI_SI_VDI_SI*temp+rhob_VDI_SI*temp_VDI_SI+rhob_VDI_SI*temp_VDI_SI+rhob*temp_VDI_SI_VDI_SI)*qis+((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis_VDI_SI+(((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qis_VDI_SI+(rhob*temp)*qis_VDI_SI_VDI_SI));
  GR_VDI_SI_VSI_BP=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qis)+((rhob*temp)*qis_VSI_BP)))+0.0*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis)+((rhob*temp)*qis_VDI_SI))+pInst->THER_i*(+(+rhob_VDI_SI_VSI_BP*temp+rhob_VDI_SI*temp_VSI_BP+rhob_VSI_BP*temp_VDI_SI+rhob*temp_VDI_SI_VSI_BP)*qis+((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis_VSI_BP+(((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qis_VDI_SI+(rhob*temp)*qis_VDI_SI_VSI_BP));
  GR_VDI_SI_VGP_SI=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qis)+((rhob*temp)*qis_VGP_SI)))+0.0*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis)+((rhob*temp)*qis_VDI_SI))+pInst->THER_i*(+(+rhob_VDI_SI_VGP_SI*temp+rhob_VDI_SI*temp_VGP_SI+rhob_VGP_SI*temp_VDI_SI+rhob*temp_VDI_SI_VGP_SI)*qis+((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis_VGP_SI+(((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qis_VDI_SI+(rhob*temp)*qis_VDI_SI_VGP_SI));
#endif
GR_VSI_BP=(pInst->THER_i*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis)+((rhob*temp)*qis_VSI_BP)));
#if defined(_DERIVATE2)
  GR_VSI_BP_VDI_SI=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qis)+((rhob*temp)*qis_VDI_SI)))+0.0*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis)+((rhob*temp)*qis_VSI_BP))+pInst->THER_i*(+(+rhob_VSI_BP_VDI_SI*temp+rhob_VSI_BP*temp_VDI_SI+rhob_VDI_SI*temp_VSI_BP+rhob*temp_VSI_BP_VDI_SI)*qis+((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis_VDI_SI+(((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qis_VSI_BP+(rhob*temp)*qis_VSI_BP_VDI_SI));
  GR_VSI_BP_VSI_BP=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qis)+((rhob*temp)*qis_VSI_BP)))+0.0*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis)+((rhob*temp)*qis_VSI_BP))+pInst->THER_i*(+(+rhob_VSI_BP_VSI_BP*temp+rhob_VSI_BP*temp_VSI_BP+rhob_VSI_BP*temp_VSI_BP+rhob*temp_VSI_BP_VSI_BP)*qis+((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis_VSI_BP+(((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qis_VSI_BP+(rhob*temp)*qis_VSI_BP_VSI_BP));
  GR_VSI_BP_VGP_SI=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qis)+((rhob*temp)*qis_VGP_SI)))+0.0*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis)+((rhob*temp)*qis_VSI_BP))+pInst->THER_i*(+(+rhob_VSI_BP_VGP_SI*temp+rhob_VSI_BP*temp_VGP_SI+rhob_VGP_SI*temp_VSI_BP+rhob*temp_VSI_BP_VGP_SI)*qis+((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis_VGP_SI+(((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qis_VSI_BP+(rhob*temp)*qis_VSI_BP_VGP_SI));
#endif
GR_VGP_SI=(pInst->THER_i*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis)+((rhob*temp)*qis_VGP_SI)));
#if defined(_DERIVATE2)
  GR_VGP_SI_VDI_SI=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qis)+((rhob*temp)*qis_VDI_SI)))+0.0*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis)+((rhob*temp)*qis_VGP_SI))+pInst->THER_i*(+(+rhob_VGP_SI_VDI_SI*temp+rhob_VGP_SI*temp_VDI_SI+rhob_VDI_SI*temp_VGP_SI+rhob*temp_VGP_SI_VDI_SI)*qis+((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis_VDI_SI+(((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qis_VGP_SI+(rhob*temp)*qis_VGP_SI_VDI_SI));
  GR_VGP_SI_VSI_BP=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qis)+((rhob*temp)*qis_VSI_BP)))+0.0*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis)+((rhob*temp)*qis_VGP_SI))+pInst->THER_i*(+(+rhob_VGP_SI_VSI_BP*temp+rhob_VGP_SI*temp_VSI_BP+rhob_VSI_BP*temp_VGP_SI+rhob*temp_VGP_SI_VSI_BP)*qis+((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis_VSI_BP+(((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qis_VGP_SI+(rhob*temp)*qis_VGP_SI_VSI_BP));
  GR_VGP_SI_VGP_SI=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qis)+((rhob*temp)*qis_VGP_SI)))+0.0*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis)+((rhob*temp)*qis_VGP_SI))+pInst->THER_i*(+(+rhob_VGP_SI_VGP_SI*temp+rhob_VGP_SI*temp_VGP_SI+rhob_VGP_SI*temp_VGP_SI+rhob*temp_VGP_SI_VGP_SI)*qis+((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis_VGP_SI+(((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qis_VGP_SI+(rhob*temp)*qis_VGP_SI_VGP_SI));
#endif
#endif
GR=(pInst->THER_i*((rhob*temp)*qis));
EXIT_IF_ISNAN((pInst->THER_i*((rhob*temp)*qis)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Eeffm_VDI_SI=(pInst->E_eff0*(qbs_VDI_SI+(pInst->eta_mu*qis_VDI_SI)));
#if defined(_DERIVATE2)
  Eeffm_VDI_SI_VDI_SI=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VDI_SI+((pInst->eta_mu*qis_VDI_SI)))+0.0*(qbs_VDI_SI+(pInst->eta_mu*qis_VDI_SI))+pInst->E_eff0*(+qbs_VDI_SI_VDI_SI+(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VDI_SI+pInst->eta_mu*qis_VDI_SI_VDI_SI)));
  Eeffm_VDI_SI_VGP_SI=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VGP_SI+((pInst->eta_mu*qis_VGP_SI)))+0.0*(qbs_VDI_SI+(pInst->eta_mu*qis_VDI_SI))+pInst->E_eff0*(+qbs_VDI_SI_VGP_SI+(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VDI_SI+pInst->eta_mu*qis_VDI_SI_VGP_SI)));
  Eeffm_VDI_SI_VSI_BP=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VSI_BP+((pInst->eta_mu*qis_VSI_BP)))+0.0*(qbs_VDI_SI+(pInst->eta_mu*qis_VDI_SI))+pInst->E_eff0*(+qbs_VDI_SI_VSI_BP+(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VDI_SI+pInst->eta_mu*qis_VDI_SI_VSI_BP)));
#endif
Eeffm_VGP_SI=(pInst->E_eff0*(qbs_VGP_SI+(pInst->eta_mu*qis_VGP_SI)));
#if defined(_DERIVATE2)
  Eeffm_VGP_SI_VDI_SI=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VDI_SI+((pInst->eta_mu*qis_VDI_SI)))+0.0*(qbs_VGP_SI+(pInst->eta_mu*qis_VGP_SI))+pInst->E_eff0*(+qbs_VGP_SI_VDI_SI+(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VGP_SI+pInst->eta_mu*qis_VGP_SI_VDI_SI)));
  Eeffm_VGP_SI_VGP_SI=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VGP_SI+((pInst->eta_mu*qis_VGP_SI)))+0.0*(qbs_VGP_SI+(pInst->eta_mu*qis_VGP_SI))+pInst->E_eff0*(+qbs_VGP_SI_VGP_SI+(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VGP_SI+pInst->eta_mu*qis_VGP_SI_VGP_SI)));
  Eeffm_VGP_SI_VSI_BP=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VSI_BP+((pInst->eta_mu*qis_VSI_BP)))+0.0*(qbs_VGP_SI+(pInst->eta_mu*qis_VGP_SI))+pInst->E_eff0*(+qbs_VGP_SI_VSI_BP+(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VGP_SI+pInst->eta_mu*qis_VGP_SI_VSI_BP)));
#endif
Eeffm_VSI_BP=(pInst->E_eff0*(qbs_VSI_BP+(pInst->eta_mu*qis_VSI_BP)));
#if defined(_DERIVATE2)
  Eeffm_VSI_BP_VDI_SI=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VDI_SI+((pInst->eta_mu*qis_VDI_SI)))+0.0*(qbs_VSI_BP+(pInst->eta_mu*qis_VSI_BP))+pInst->E_eff0*(+qbs_VSI_BP_VDI_SI+(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VSI_BP+pInst->eta_mu*qis_VSI_BP_VDI_SI)));
  Eeffm_VSI_BP_VGP_SI=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VGP_SI+((pInst->eta_mu*qis_VGP_SI)))+0.0*(qbs_VSI_BP+(pInst->eta_mu*qis_VSI_BP))+pInst->E_eff0*(+qbs_VSI_BP_VGP_SI+(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VSI_BP+pInst->eta_mu*qis_VSI_BP_VGP_SI)));
  Eeffm_VSI_BP_VSI_BP=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VSI_BP+((pInst->eta_mu*qis_VSI_BP)))+0.0*(qbs_VSI_BP+(pInst->eta_mu*qis_VSI_BP))+pInst->E_eff0*(+qbs_VSI_BP_VSI_BP+(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VSI_BP+pInst->eta_mu*qis_VSI_BP_VSI_BP)));
#endif
#endif
Eeffm=(pInst->E_eff0*(qbs+(pInst->eta_mu*qis)));
EXIT_IF_ISNAN((pInst->E_eff0*(qbs+(pInst->eta_mu*qis))))
{
double m00_logE(d00_logE0,(Ps/((Ps+Ds)+1.0e-14)))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(Ps/((Ps+Ds)+1.0e-14)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*d10_logE0;
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VDI_SI_VDI_SI/((Ps+Ds)+1.0e-14)-(Ps_VDI_SI*(Ps_VDI_SI+Ds_VDI_SI)+Ps_VDI_SI*(Ps_VDI_SI+Ds_VDI_SI)+Ps*(+(+Ps_VDI_SI_VDI_SI+Ds_VDI_SI_VDI_SI)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VDI_SI+Ds_VDI_SI)*(Ps_VDI_SI+Ds_VDI_SI)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
  temp1_VDI_SI_VGP_SI=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VDI_SI_VGP_SI/((Ps+Ds)+1.0e-14)-(Ps_VDI_SI*(Ps_VGP_SI+Ds_VGP_SI)+Ps_VGP_SI*(Ps_VDI_SI+Ds_VDI_SI)+Ps*(+(+Ps_VDI_SI_VGP_SI+Ds_VDI_SI_VGP_SI)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VDI_SI+Ds_VDI_SI)*(Ps_VGP_SI+Ds_VGP_SI)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
  temp1_VDI_SI_VSI_BP=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VDI_SI_VSI_BP/((Ps+Ds)+1.0e-14)-(Ps_VDI_SI*(Ps_VSI_BP+Ds_VSI_BP)+Ps_VSI_BP*(Ps_VDI_SI+Ds_VDI_SI)+Ps*(+(+Ps_VDI_SI_VSI_BP+Ds_VDI_SI_VSI_BP)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VDI_SI+Ds_VDI_SI)*(Ps_VSI_BP+Ds_VSI_BP)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
#endif
temp1_VGP_SI=((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*d10_logE0;
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VGP_SI_VDI_SI/((Ps+Ds)+1.0e-14)-(Ps_VGP_SI*(Ps_VDI_SI+Ds_VDI_SI)+Ps_VDI_SI*(Ps_VGP_SI+Ds_VGP_SI)+Ps*(+(+Ps_VGP_SI_VDI_SI+Ds_VGP_SI_VDI_SI)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VGP_SI+Ds_VGP_SI)*(Ps_VDI_SI+Ds_VDI_SI)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
  temp1_VGP_SI_VGP_SI=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VGP_SI_VGP_SI/((Ps+Ds)+1.0e-14)-(Ps_VGP_SI*(Ps_VGP_SI+Ds_VGP_SI)+Ps_VGP_SI*(Ps_VGP_SI+Ds_VGP_SI)+Ps*(+(+Ps_VGP_SI_VGP_SI+Ds_VGP_SI_VGP_SI)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VGP_SI+Ds_VGP_SI)*(Ps_VGP_SI+Ds_VGP_SI)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
  temp1_VGP_SI_VSI_BP=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VGP_SI_VSI_BP/((Ps+Ds)+1.0e-14)-(Ps_VGP_SI*(Ps_VSI_BP+Ds_VSI_BP)+Ps_VSI_BP*(Ps_VGP_SI+Ds_VGP_SI)+Ps*(+(+Ps_VGP_SI_VSI_BP+Ds_VGP_SI_VSI_BP)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VGP_SI+Ds_VGP_SI)*(Ps_VSI_BP+Ds_VSI_BP)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
#endif
temp1_VSI_BP=((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*d10_logE0;
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VSI_BP_VDI_SI/((Ps+Ds)+1.0e-14)-(Ps_VSI_BP*(Ps_VDI_SI+Ds_VDI_SI)+Ps_VDI_SI*(Ps_VSI_BP+Ds_VSI_BP)+Ps*(+(+Ps_VSI_BP_VDI_SI+Ds_VSI_BP_VDI_SI)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VSI_BP+Ds_VSI_BP)*(Ps_VDI_SI+Ds_VDI_SI)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
  temp1_VSI_BP_VGP_SI=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VSI_BP_VGP_SI/((Ps+Ds)+1.0e-14)-(Ps_VSI_BP*(Ps_VGP_SI+Ds_VGP_SI)+Ps_VGP_SI*(Ps_VSI_BP+Ds_VSI_BP)+Ps*(+(+Ps_VSI_BP_VGP_SI+Ds_VSI_BP_VGP_SI)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VSI_BP+Ds_VSI_BP)*(Ps_VGP_SI+Ds_VGP_SI)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
  temp1_VSI_BP_VSI_BP=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VSI_BP_VSI_BP/((Ps+Ds)+1.0e-14)-(Ps_VSI_BP*(Ps_VSI_BP+Ds_VSI_BP)+Ps_VSI_BP*(Ps_VSI_BP+Ds_VSI_BP)+Ps*(+(+Ps_VSI_BP_VSI_BP+Ds_VSI_BP_VSI_BP)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VSI_BP+Ds_VSI_BP)*(Ps_VSI_BP+Ds_VSI_BP)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
#endif
#endif
pInst->temp1=d00_logE0;
EXIT_IF_ISNAN(d00_logE0)
}
{
double m00_pow(d00_pow0,(Eeffm*pInst->MUE_T),pInst->THEMU_T)
double m00_exp(d00_exp1,((0.5*pInst->THECS_T)*pInst->temp1))
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(Eeffm*pInst->MUE_T),pInst->THEMU_T)
#define d10_exp1 d00_exp1
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Mutmp_VDI_SI=((d10_pow0*Eeffm_VDI_SI*pInst->MUE_T)+(pInst->CS_T*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1));
#if defined(_DERIVATE2)
  Mutmp_VDI_SI_VDI_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*((0.5*pInst->THECS_T)*temp1_VDI_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VDI_SI+(0.0)*temp1_VDI_SI+(0.5*pInst->THECS_T)*temp1_VDI_SI_VDI_SI))));
  Mutmp_VDI_SI_VGP_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*((0.5*pInst->THECS_T)*temp1_VDI_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VGP_SI+(0.0)*temp1_VDI_SI+(0.5*pInst->THECS_T)*temp1_VDI_SI_VGP_SI))));
  Mutmp_VDI_SI_VSI_BP=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*((0.5*pInst->THECS_T)*temp1_VDI_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VSI_BP+(0.0)*temp1_VDI_SI+(0.5*pInst->THECS_T)*temp1_VDI_SI_VSI_BP))));
#endif
Mutmp_VGP_SI=((d10_pow0*Eeffm_VGP_SI*pInst->MUE_T)+(pInst->CS_T*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1));
#if defined(_DERIVATE2)
  Mutmp_VGP_SI_VDI_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*((0.5*pInst->THECS_T)*temp1_VGP_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VDI_SI+(0.0)*temp1_VGP_SI+(0.5*pInst->THECS_T)*temp1_VGP_SI_VDI_SI))));
  Mutmp_VGP_SI_VGP_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*((0.5*pInst->THECS_T)*temp1_VGP_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VGP_SI+(0.0)*temp1_VGP_SI+(0.5*pInst->THECS_T)*temp1_VGP_SI_VGP_SI))));
  Mutmp_VGP_SI_VSI_BP=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*((0.5*pInst->THECS_T)*temp1_VGP_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VSI_BP+(0.0)*temp1_VGP_SI+(0.5*pInst->THECS_T)*temp1_VGP_SI_VSI_BP))));
#endif
Mutmp_VSI_BP=((d10_pow0*Eeffm_VSI_BP*pInst->MUE_T)+(pInst->CS_T*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1));
#if defined(_DERIVATE2)
  Mutmp_VSI_BP_VDI_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*((0.5*pInst->THECS_T)*temp1_VSI_BP)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VDI_SI+(0.0)*temp1_VSI_BP+(0.5*pInst->THECS_T)*temp1_VSI_BP_VDI_SI))));
  Mutmp_VSI_BP_VGP_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*((0.5*pInst->THECS_T)*temp1_VSI_BP)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VGP_SI+(0.0)*temp1_VSI_BP+(0.5*pInst->THECS_T)*temp1_VSI_BP_VGP_SI))));
  Mutmp_VSI_BP_VSI_BP=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*((0.5*pInst->THECS_T)*temp1_VSI_BP)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VSI_BP+(0.0)*temp1_VSI_BP+(0.5*pInst->THECS_T)*temp1_VSI_BP_VSI_BP))));
#endif
#endif
Mutmp=(d00_pow0+(pInst->CS_T*d00_exp1));
EXIT_IF_ISNAN((d00_pow0+(pInst->CS_T*d00_exp1)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gmob_VDI_SI=(((Mutmp_VDI_SI+GR_VDI_SI)*Rxcor)+(((1.0+Mutmp)+GR)*Rxcor_VDI_SI));
#if defined(_DERIVATE2)
  Gmob_VDI_SI_VDI_SI=(+(+(+0.0+Mutmp_VDI_SI_VDI_SI)+GR_VDI_SI_VDI_SI)*Rxcor+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VDI_SI+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VDI_SI+((1.0+Mutmp)+GR)*Rxcor_VDI_SI_VDI_SI);
  Gmob_VDI_SI_VGP_SI=(+(+(+0.0+Mutmp_VDI_SI_VGP_SI)+GR_VDI_SI_VGP_SI)*Rxcor+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VGP_SI+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VDI_SI+((1.0+Mutmp)+GR)*Rxcor_VDI_SI_VGP_SI);
  Gmob_VDI_SI_VSI_BP=(+(+(+0.0+Mutmp_VDI_SI_VSI_BP)+GR_VDI_SI_VSI_BP)*Rxcor+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VSI_BP+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VDI_SI+((1.0+Mutmp)+GR)*Rxcor_VDI_SI_VSI_BP);
#endif
Gmob_VGP_SI=(((Mutmp_VGP_SI+GR_VGP_SI)*Rxcor)+(((1.0+Mutmp)+GR)*Rxcor_VGP_SI));
#if defined(_DERIVATE2)
  Gmob_VGP_SI_VDI_SI=(+(+(+0.0+Mutmp_VGP_SI_VDI_SI)+GR_VGP_SI_VDI_SI)*Rxcor+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VDI_SI+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VGP_SI+((1.0+Mutmp)+GR)*Rxcor_VGP_SI_VDI_SI);
  Gmob_VGP_SI_VGP_SI=(+(+(+0.0+Mutmp_VGP_SI_VGP_SI)+GR_VGP_SI_VGP_SI)*Rxcor+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VGP_SI+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VGP_SI+((1.0+Mutmp)+GR)*Rxcor_VGP_SI_VGP_SI);
  Gmob_VGP_SI_VSI_BP=(+(+(+0.0+Mutmp_VGP_SI_VSI_BP)+GR_VGP_SI_VSI_BP)*Rxcor+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VSI_BP+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VGP_SI+((1.0+Mutmp)+GR)*Rxcor_VGP_SI_VSI_BP);
#endif
Gmob_VSI_BP=(((Mutmp_VSI_BP+GR_VSI_BP)*Rxcor)+(((1.0+Mutmp)+GR)*Rxcor_VSI_BP));
#if defined(_DERIVATE2)
  Gmob_VSI_BP_VDI_SI=(+(+(+0.0+Mutmp_VSI_BP_VDI_SI)+GR_VSI_BP_VDI_SI)*Rxcor+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VDI_SI+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VSI_BP+((1.0+Mutmp)+GR)*Rxcor_VSI_BP_VDI_SI);
  Gmob_VSI_BP_VGP_SI=(+(+(+0.0+Mutmp_VSI_BP_VGP_SI)+GR_VSI_BP_VGP_SI)*Rxcor+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VGP_SI+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VSI_BP+((1.0+Mutmp)+GR)*Rxcor_VSI_BP_VGP_SI);
  Gmob_VSI_BP_VSI_BP=(+(+(+0.0+Mutmp_VSI_BP_VSI_BP)+GR_VSI_BP_VSI_BP)*Rxcor+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VSI_BP+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VSI_BP+((1.0+Mutmp)+GR)*Rxcor_VSI_BP_VSI_BP);
#endif
#endif
Gmob=(((1.0+Mutmp)+GR)*Rxcor);
EXIT_IF_ISNAN((((1.0+Mutmp)+GR)*Rxcor))
if
((pInst->THESATB_i<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xitsb_VGP_SI=0.0;
#if defined(_DERIVATE2)
  xitsb_VGP_SI_VGP_SI=0.0;
  xitsb_VGP_SI_VDI_SI=0.0;
  xitsb_VGP_SI_VSI_BP=0.0;
#endif
xitsb_VDI_SI=(-(-(pInst->THESATB_i*Vsbx_VDI_SI))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
#if defined(_DERIVATE2)
  xitsb_VDI_SI_VGP_SI=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VGP_SI)))+0.0*(-(pInst->THESATB_i*Vsbx_VDI_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->THESATB_i*Vsbx_VDI_SI_VGP_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VDI_SI))*(-((pInst->THESATB_i*Vsbx_VGP_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
  xitsb_VDI_SI_VDI_SI=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VDI_SI)))+0.0*(-(pInst->THESATB_i*Vsbx_VDI_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->THESATB_i*Vsbx_VDI_SI_VDI_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VDI_SI))*(-((pInst->THESATB_i*Vsbx_VDI_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
  xitsb_VDI_SI_VSI_BP=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VSI_BP)))+0.0*(-(pInst->THESATB_i*Vsbx_VDI_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->THESATB_i*Vsbx_VDI_SI_VSI_BP)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VDI_SI))*(-((pInst->THESATB_i*Vsbx_VSI_BP)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
#endif
xitsb_VSI_BP=(-(-(pInst->THESATB_i*Vsbx_VSI_BP))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
#if defined(_DERIVATE2)
  xitsb_VSI_BP_VGP_SI=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VGP_SI)))+0.0*(-(pInst->THESATB_i*Vsbx_VSI_BP))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->THESATB_i*Vsbx_VSI_BP_VGP_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VSI_BP))*(-((pInst->THESATB_i*Vsbx_VGP_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
  xitsb_VSI_BP_VDI_SI=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VDI_SI)))+0.0*(-(pInst->THESATB_i*Vsbx_VSI_BP))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->THESATB_i*Vsbx_VSI_BP_VDI_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VSI_BP))*(-((pInst->THESATB_i*Vsbx_VDI_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
  xitsb_VSI_BP_VSI_BP=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VSI_BP)))+0.0*(-(pInst->THESATB_i*Vsbx_VSI_BP))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->THESATB_i*Vsbx_VSI_BP_VSI_BP)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VSI_BP))*(-((pInst->THESATB_i*Vsbx_VSI_BP)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
#endif
#endif
xitsb=(1.0/(1.0-(pInst->THESATB_i*Vsbx)));
EXIT_IF_ISNAN((1.0/(1.0-(pInst->THESATB_i*Vsbx))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xitsb_VGP_SI=0.0;
#if defined(_DERIVATE2)
  xitsb_VGP_SI_VGP_SI=0.0;
  xitsb_VGP_SI_VDI_SI=0.0;
  xitsb_VGP_SI_VSI_BP=0.0;
#endif
xitsb_VDI_SI=(pInst->THESATB_i*Vsbx_VDI_SI);
#if defined(_DERIVATE2)
  xitsb_VDI_SI_VGP_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->THESATB_i*Vsbx_VDI_SI_VGP_SI));
  xitsb_VDI_SI_VDI_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->THESATB_i*Vsbx_VDI_SI_VDI_SI));
  xitsb_VDI_SI_VSI_BP=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->THESATB_i*Vsbx_VDI_SI_VSI_BP));
#endif
xitsb_VSI_BP=(pInst->THESATB_i*Vsbx_VSI_BP);
#if defined(_DERIVATE2)
  xitsb_VSI_BP_VGP_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->THESATB_i*Vsbx_VSI_BP_VGP_SI));
  xitsb_VSI_BP_VDI_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->THESATB_i*Vsbx_VSI_BP_VDI_SI));
  xitsb_VSI_BP_VSI_BP=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->THESATB_i*Vsbx_VSI_BP_VSI_BP));
#endif
#endif
xitsb=(1.0+(pInst->THESATB_i*Vsbx));
EXIT_IF_ISNAN((1.0+(pInst->THESATB_i*Vsbx)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=((qis_VDI_SI*xitsb)+(qis*xitsb_VDI_SI));
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(+qis_VDI_SI_VDI_SI*xitsb+qis_VDI_SI*xitsb_VDI_SI+qis_VDI_SI*xitsb_VDI_SI+qis*xitsb_VDI_SI_VDI_SI);
  temp2_VDI_SI_VGP_SI=(+qis_VDI_SI_VGP_SI*xitsb+qis_VDI_SI*xitsb_VGP_SI+qis_VGP_SI*xitsb_VDI_SI+qis*xitsb_VDI_SI_VGP_SI);
  temp2_VDI_SI_VSI_BP=(+qis_VDI_SI_VSI_BP*xitsb+qis_VDI_SI*xitsb_VSI_BP+qis_VSI_BP*xitsb_VDI_SI+qis*xitsb_VDI_SI_VSI_BP);
#endif
temp2_VGP_SI=((qis_VGP_SI*xitsb)+(qis*xitsb_VGP_SI));
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(+qis_VGP_SI_VDI_SI*xitsb+qis_VGP_SI*xitsb_VDI_SI+qis_VDI_SI*xitsb_VGP_SI+qis*xitsb_VGP_SI_VDI_SI);
  temp2_VGP_SI_VGP_SI=(+qis_VGP_SI_VGP_SI*xitsb+qis_VGP_SI*xitsb_VGP_SI+qis_VGP_SI*xitsb_VGP_SI+qis*xitsb_VGP_SI_VGP_SI);
  temp2_VGP_SI_VSI_BP=(+qis_VGP_SI_VSI_BP*xitsb+qis_VGP_SI*xitsb_VSI_BP+qis_VSI_BP*xitsb_VGP_SI+qis*xitsb_VGP_SI_VSI_BP);
#endif
temp2_VSI_BP=((qis_VSI_BP*xitsb)+(qis*xitsb_VSI_BP));
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(+qis_VSI_BP_VDI_SI*xitsb+qis_VSI_BP*xitsb_VDI_SI+qis_VDI_SI*xitsb_VSI_BP+qis*xitsb_VSI_BP_VDI_SI);
  temp2_VSI_BP_VGP_SI=(+qis_VSI_BP_VGP_SI*xitsb+qis_VSI_BP*xitsb_VGP_SI+qis_VGP_SI*xitsb_VSI_BP+qis*xitsb_VSI_BP_VGP_SI);
  temp2_VSI_BP_VSI_BP=(+qis_VSI_BP_VSI_BP*xitsb+qis_VSI_BP*xitsb_VSI_BP+qis_VSI_BP*xitsb_VSI_BP+qis*xitsb_VSI_BP_VSI_BP);
#endif
#endif
temp2=(qis*xitsb);
EXIT_IF_ISNAN((qis*xitsb))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
wsat_VDI_SI=(100.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2)));
#if defined(_DERIVATE2)
  wsat_VDI_SI_VDI_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VDI_SI_VDI_SI/(100.0+temp2)-(temp2_VDI_SI*temp2_VDI_SI+temp2_VDI_SI*temp2_VDI_SI+temp2*(+0.0+temp2_VDI_SI_VDI_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VDI_SI*temp2_VDI_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VDI_SI_VGP_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VDI_SI_VGP_SI/(100.0+temp2)-(temp2_VDI_SI*temp2_VGP_SI+temp2_VGP_SI*temp2_VDI_SI+temp2*(+0.0+temp2_VDI_SI_VGP_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VDI_SI*temp2_VGP_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VDI_SI_VSI_BP=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VDI_SI_VSI_BP/(100.0+temp2)-(temp2_VDI_SI*temp2_VSI_BP+temp2_VSI_BP*temp2_VDI_SI+temp2*(+0.0+temp2_VDI_SI_VSI_BP))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VDI_SI*temp2_VSI_BP/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
#endif
wsat_VGP_SI=(100.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2)));
#if defined(_DERIVATE2)
  wsat_VGP_SI_VDI_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VGP_SI_VDI_SI/(100.0+temp2)-(temp2_VGP_SI*temp2_VDI_SI+temp2_VDI_SI*temp2_VGP_SI+temp2*(+0.0+temp2_VGP_SI_VDI_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VGP_SI*temp2_VDI_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VGP_SI_VGP_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VGP_SI_VGP_SI/(100.0+temp2)-(temp2_VGP_SI*temp2_VGP_SI+temp2_VGP_SI*temp2_VGP_SI+temp2*(+0.0+temp2_VGP_SI_VGP_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VGP_SI*temp2_VGP_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VGP_SI_VSI_BP=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VGP_SI_VSI_BP/(100.0+temp2)-(temp2_VGP_SI*temp2_VSI_BP+temp2_VSI_BP*temp2_VGP_SI+temp2*(+0.0+temp2_VGP_SI_VSI_BP))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VGP_SI*temp2_VSI_BP/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
#endif
wsat_VSI_BP=(100.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2)));
#if defined(_DERIVATE2)
  wsat_VSI_BP_VDI_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VSI_BP_VDI_SI/(100.0+temp2)-(temp2_VSI_BP*temp2_VDI_SI+temp2_VDI_SI*temp2_VSI_BP+temp2*(+0.0+temp2_VSI_BP_VDI_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VSI_BP*temp2_VDI_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VSI_BP_VGP_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VSI_BP_VGP_SI/(100.0+temp2)-(temp2_VSI_BP*temp2_VGP_SI+temp2_VGP_SI*temp2_VSI_BP+temp2*(+0.0+temp2_VSI_BP_VGP_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VSI_BP*temp2_VGP_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VSI_BP_VSI_BP=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VSI_BP_VSI_BP/(100.0+temp2)-(temp2_VSI_BP*temp2_VSI_BP+temp2_VSI_BP*temp2_VSI_BP+temp2*(+0.0+temp2_VSI_BP_VSI_BP))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VSI_BP*temp2_VSI_BP/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
#endif
#endif
wsat=(100.0*(temp2/(100.0+temp2)));
EXIT_IF_ISNAN((100.0*(temp2/(100.0+temp2))))
if
((pInst->THESATG_i<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(-(pInst->THESATG_i*wsat_VGP_SI))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VGP_SI)))+0.0*(-(pInst->THESATG_i*wsat_VGP_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VGP_SI))*(-((pInst->THESATG_i*wsat_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VGP_SI_VDI_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VDI_SI)))+0.0*(-(pInst->THESATG_i*wsat_VGP_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VGP_SI))*(-((pInst->THESATG_i*wsat_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VGP_SI_VSI_BP=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VSI_BP)))+0.0*(-(pInst->THESATG_i*wsat_VGP_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VGP_SI))*(-((pInst->THESATG_i*wsat_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#endif
temp_VDI_SI=(-(-(pInst->THESATG_i*wsat_VDI_SI))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VGP_SI)))+0.0*(-(pInst->THESATG_i*wsat_VDI_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VDI_SI))*(-((pInst->THESATG_i*wsat_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VDI_SI_VDI_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VDI_SI)))+0.0*(-(pInst->THESATG_i*wsat_VDI_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VDI_SI))*(-((pInst->THESATG_i*wsat_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VDI_SI_VSI_BP=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VSI_BP)))+0.0*(-(pInst->THESATG_i*wsat_VDI_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VDI_SI))*(-((pInst->THESATG_i*wsat_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#endif
temp_VSI_BP=(-(-(pInst->THESATG_i*wsat_VSI_BP))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VGP_SI)))+0.0*(-(pInst->THESATG_i*wsat_VSI_BP))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VSI_BP))*(-((pInst->THESATG_i*wsat_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VSI_BP_VDI_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VDI_SI)))+0.0*(-(pInst->THESATG_i*wsat_VSI_BP))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VSI_BP))*(-((pInst->THESATG_i*wsat_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VSI_BP_VSI_BP=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VSI_BP)))+0.0*(-(pInst->THESATG_i*wsat_VSI_BP))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VSI_BP))*(-((pInst->THESATG_i*wsat_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#endif
#endif
temp=(1.0/(1.0-(pInst->THESATG_i*wsat)));
EXIT_IF_ISNAN((1.0/(1.0-(pInst->THESATG_i*wsat))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(pInst->THESATG_i*wsat_VGP_SI);
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0+(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(+0.0+(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(+0.0+(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=(pInst->THESATG_i*wsat_VDI_SI);
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0+(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(+0.0+(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(+0.0+(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=(pInst->THESATG_i*wsat_VSI_BP);
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0+(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(+0.0+(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(+0.0+(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VSI_BP));
#endif
#endif
temp=(1.0+(pInst->THESATG_i*wsat));
EXIT_IF_ISNAN((1.0+(pInst->THESATG_i*wsat)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
thesat1_VGP_SI=(thesatloc*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob));
#if defined(_DERIVATE2)
  thesat1_VGP_SI_VGP_SI=(+0.0*(temp/Gmob)+0.0*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob)+0.0*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob)+thesatloc*(temp_VGP_SI_VGP_SI/Gmob-(temp_VGP_SI*Gmob_VGP_SI+temp_VGP_SI*Gmob_VGP_SI+temp*Gmob_VGP_SI_VGP_SI)/Gmob/Gmob+2*temp*Gmob_VGP_SI*Gmob_VGP_SI/Gmob/Gmob/Gmob));
  thesat1_VGP_SI_VDI_SI=(+0.0*(temp/Gmob)+0.0*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob)+0.0*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob)+thesatloc*(temp_VGP_SI_VDI_SI/Gmob-(temp_VGP_SI*Gmob_VDI_SI+temp_VDI_SI*Gmob_VGP_SI+temp*Gmob_VGP_SI_VDI_SI)/Gmob/Gmob+2*temp*Gmob_VGP_SI*Gmob_VDI_SI/Gmob/Gmob/Gmob));
  thesat1_VGP_SI_VSI_BP=(+0.0*(temp/Gmob)+0.0*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob)+0.0*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob)+thesatloc*(temp_VGP_SI_VSI_BP/Gmob-(temp_VGP_SI*Gmob_VSI_BP+temp_VSI_BP*Gmob_VGP_SI+temp*Gmob_VGP_SI_VSI_BP)/Gmob/Gmob+2*temp*Gmob_VGP_SI*Gmob_VSI_BP/Gmob/Gmob/Gmob));
#endif
thesat1_VDI_SI=(thesatloc*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob));
#if defined(_DERIVATE2)
  thesat1_VDI_SI_VGP_SI=(+0.0*(temp/Gmob)+0.0*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob)+0.0*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob)+thesatloc*(temp_VDI_SI_VGP_SI/Gmob-(temp_VDI_SI*Gmob_VGP_SI+temp_VGP_SI*Gmob_VDI_SI+temp*Gmob_VDI_SI_VGP_SI)/Gmob/Gmob+2*temp*Gmob_VDI_SI*Gmob_VGP_SI/Gmob/Gmob/Gmob));
  thesat1_VDI_SI_VDI_SI=(+0.0*(temp/Gmob)+0.0*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob)+0.0*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob)+thesatloc*(temp_VDI_SI_VDI_SI/Gmob-(temp_VDI_SI*Gmob_VDI_SI+temp_VDI_SI*Gmob_VDI_SI+temp*Gmob_VDI_SI_VDI_SI)/Gmob/Gmob+2*temp*Gmob_VDI_SI*Gmob_VDI_SI/Gmob/Gmob/Gmob));
  thesat1_VDI_SI_VSI_BP=(+0.0*(temp/Gmob)+0.0*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob)+0.0*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob)+thesatloc*(temp_VDI_SI_VSI_BP/Gmob-(temp_VDI_SI*Gmob_VSI_BP+temp_VSI_BP*Gmob_VDI_SI+temp*Gmob_VDI_SI_VSI_BP)/Gmob/Gmob+2*temp*Gmob_VDI_SI*Gmob_VSI_BP/Gmob/Gmob/Gmob));
#endif
thesat1_VSI_BP=(thesatloc*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob));
#if defined(_DERIVATE2)
  thesat1_VSI_BP_VGP_SI=(+0.0*(temp/Gmob)+0.0*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob)+0.0*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob)+thesatloc*(temp_VSI_BP_VGP_SI/Gmob-(temp_VSI_BP*Gmob_VGP_SI+temp_VGP_SI*Gmob_VSI_BP+temp*Gmob_VSI_BP_VGP_SI)/Gmob/Gmob+2*temp*Gmob_VSI_BP*Gmob_VGP_SI/Gmob/Gmob/Gmob));
  thesat1_VSI_BP_VDI_SI=(+0.0*(temp/Gmob)+0.0*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob)+0.0*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob)+thesatloc*(temp_VSI_BP_VDI_SI/Gmob-(temp_VSI_BP*Gmob_VDI_SI+temp_VDI_SI*Gmob_VSI_BP+temp*Gmob_VSI_BP_VDI_SI)/Gmob/Gmob+2*temp*Gmob_VSI_BP*Gmob_VDI_SI/Gmob/Gmob/Gmob));
  thesat1_VSI_BP_VSI_BP=(+0.0*(temp/Gmob)+0.0*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob)+0.0*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob)+thesatloc*(temp_VSI_BP_VSI_BP/Gmob-(temp_VSI_BP*Gmob_VSI_BP+temp_VSI_BP*Gmob_VSI_BP+temp*Gmob_VSI_BP_VSI_BP)/Gmob/Gmob+2*temp*Gmob_VSI_BP*Gmob_VSI_BP/Gmob/Gmob/Gmob));
#endif
#endif
thesat1=(thesatloc*(temp/Gmob));
EXIT_IF_ISNAN((thesatloc*(temp/Gmob)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
phi_inf_VDI_SI=(((qis_VDI_SI*alpha-qis*alpha_VDI_SI)/alpha/alpha)+phit1_VDI_SI);
#if defined(_DERIVATE2)
  phi_inf_VDI_SI_VDI_SI=(+(qis_VDI_SI_VDI_SI/alpha-(qis_VDI_SI*alpha_VDI_SI+qis_VDI_SI*alpha_VDI_SI+qis*alpha_VDI_SI_VDI_SI)/alpha/alpha+2*qis*alpha_VDI_SI*alpha_VDI_SI/alpha/alpha/alpha)+phit1_VDI_SI_VDI_SI);
  phi_inf_VDI_SI_VGP_SI=(+(qis_VDI_SI_VGP_SI/alpha-(qis_VDI_SI*alpha_VGP_SI+qis_VGP_SI*alpha_VDI_SI+qis*alpha_VDI_SI_VGP_SI)/alpha/alpha+2*qis*alpha_VDI_SI*alpha_VGP_SI/alpha/alpha/alpha)+phit1_VDI_SI_VGP_SI);
  phi_inf_VDI_SI_VSI_BP=(+(qis_VDI_SI_VSI_BP/alpha-(qis_VDI_SI*alpha_VSI_BP+qis_VSI_BP*alpha_VDI_SI+qis*alpha_VDI_SI_VSI_BP)/alpha/alpha+2*qis*alpha_VDI_SI*alpha_VSI_BP/alpha/alpha/alpha)+phit1_VDI_SI_VSI_BP);
#endif
phi_inf_VGP_SI=(((qis_VGP_SI*alpha-qis*alpha_VGP_SI)/alpha/alpha)+phit1_VGP_SI);
#if defined(_DERIVATE2)
  phi_inf_VGP_SI_VDI_SI=(+(qis_VGP_SI_VDI_SI/alpha-(qis_VGP_SI*alpha_VDI_SI+qis_VDI_SI*alpha_VGP_SI+qis*alpha_VGP_SI_VDI_SI)/alpha/alpha+2*qis*alpha_VGP_SI*alpha_VDI_SI/alpha/alpha/alpha)+phit1_VGP_SI_VDI_SI);
  phi_inf_VGP_SI_VGP_SI=(+(qis_VGP_SI_VGP_SI/alpha-(qis_VGP_SI*alpha_VGP_SI+qis_VGP_SI*alpha_VGP_SI+qis*alpha_VGP_SI_VGP_SI)/alpha/alpha+2*qis*alpha_VGP_SI*alpha_VGP_SI/alpha/alpha/alpha)+phit1_VGP_SI_VGP_SI);
  phi_inf_VGP_SI_VSI_BP=(+(qis_VGP_SI_VSI_BP/alpha-(qis_VGP_SI*alpha_VSI_BP+qis_VSI_BP*alpha_VGP_SI+qis*alpha_VGP_SI_VSI_BP)/alpha/alpha+2*qis*alpha_VGP_SI*alpha_VSI_BP/alpha/alpha/alpha)+phit1_VGP_SI_VSI_BP);
#endif
phi_inf_VSI_BP=(((qis_VSI_BP*alpha-qis*alpha_VSI_BP)/alpha/alpha)+phit1_VSI_BP);
#if defined(_DERIVATE2)
  phi_inf_VSI_BP_VDI_SI=(+(qis_VSI_BP_VDI_SI/alpha-(qis_VSI_BP*alpha_VDI_SI+qis_VDI_SI*alpha_VSI_BP+qis*alpha_VSI_BP_VDI_SI)/alpha/alpha+2*qis*alpha_VSI_BP*alpha_VDI_SI/alpha/alpha/alpha)+phit1_VSI_BP_VDI_SI);
  phi_inf_VSI_BP_VGP_SI=(+(qis_VSI_BP_VGP_SI/alpha-(qis_VSI_BP*alpha_VGP_SI+qis_VGP_SI*alpha_VSI_BP+qis*alpha_VSI_BP_VGP_SI)/alpha/alpha+2*qis*alpha_VSI_BP*alpha_VGP_SI/alpha/alpha/alpha)+phit1_VSI_BP_VGP_SI);
  phi_inf_VSI_BP_VSI_BP=(+(qis_VSI_BP_VSI_BP/alpha-(qis_VSI_BP*alpha_VSI_BP+qis_VSI_BP*alpha_VSI_BP+qis*alpha_VSI_BP_VSI_BP)/alpha/alpha+2*qis*alpha_VSI_BP*alpha_VSI_BP/alpha/alpha/alpha)+phit1_VSI_BP_VSI_BP);
#endif
#endif
phi_inf=((qis/alpha)+pInst->phit1);
EXIT_IF_ISNAN(((qis/alpha)+pInst->phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
ysat_VGP_SI=((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI))*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  ysat_VGP_SI_VGP_SI=(+(+thesat1_VGP_SI_VGP_SI*phi_inf+thesat1_VGP_SI*phi_inf_VGP_SI+thesat1_VGP_SI*phi_inf_VGP_SI+thesat1*phi_inf_VGP_SI_VGP_SI)*7.0710678118654746e-01+((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI))*0.0+(((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI)))*0.0+(thesat1*phi_inf)*0.0);
  ysat_VGP_SI_VDI_SI=(+(+thesat1_VGP_SI_VDI_SI*phi_inf+thesat1_VGP_SI*phi_inf_VDI_SI+thesat1_VDI_SI*phi_inf_VGP_SI+thesat1*phi_inf_VGP_SI_VDI_SI)*7.0710678118654746e-01+((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI))*0.0+(((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI)))*0.0+(thesat1*phi_inf)*0.0);
  ysat_VGP_SI_VSI_BP=(+(+thesat1_VGP_SI_VSI_BP*phi_inf+thesat1_VGP_SI*phi_inf_VSI_BP+thesat1_VSI_BP*phi_inf_VGP_SI+thesat1*phi_inf_VGP_SI_VSI_BP)*7.0710678118654746e-01+((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI))*0.0+(((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP)))*0.0+(thesat1*phi_inf)*0.0);
#endif
ysat_VDI_SI=((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI))*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  ysat_VDI_SI_VGP_SI=(+(+thesat1_VDI_SI_VGP_SI*phi_inf+thesat1_VDI_SI*phi_inf_VGP_SI+thesat1_VGP_SI*phi_inf_VDI_SI+thesat1*phi_inf_VDI_SI_VGP_SI)*7.0710678118654746e-01+((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI))*0.0+(((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI)))*0.0+(thesat1*phi_inf)*0.0);
  ysat_VDI_SI_VDI_SI=(+(+thesat1_VDI_SI_VDI_SI*phi_inf+thesat1_VDI_SI*phi_inf_VDI_SI+thesat1_VDI_SI*phi_inf_VDI_SI+thesat1*phi_inf_VDI_SI_VDI_SI)*7.0710678118654746e-01+((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI))*0.0+(((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI)))*0.0+(thesat1*phi_inf)*0.0);
  ysat_VDI_SI_VSI_BP=(+(+thesat1_VDI_SI_VSI_BP*phi_inf+thesat1_VDI_SI*phi_inf_VSI_BP+thesat1_VSI_BP*phi_inf_VDI_SI+thesat1*phi_inf_VDI_SI_VSI_BP)*7.0710678118654746e-01+((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI))*0.0+(((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP)))*0.0+(thesat1*phi_inf)*0.0);
#endif
ysat_VSI_BP=((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP))*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  ysat_VSI_BP_VGP_SI=(+(+thesat1_VSI_BP_VGP_SI*phi_inf+thesat1_VSI_BP*phi_inf_VGP_SI+thesat1_VGP_SI*phi_inf_VSI_BP+thesat1*phi_inf_VSI_BP_VGP_SI)*7.0710678118654746e-01+((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP))*0.0+(((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI)))*0.0+(thesat1*phi_inf)*0.0);
  ysat_VSI_BP_VDI_SI=(+(+thesat1_VSI_BP_VDI_SI*phi_inf+thesat1_VSI_BP*phi_inf_VDI_SI+thesat1_VDI_SI*phi_inf_VSI_BP+thesat1*phi_inf_VSI_BP_VDI_SI)*7.0710678118654746e-01+((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP))*0.0+(((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI)))*0.0+(thesat1*phi_inf)*0.0);
  ysat_VSI_BP_VSI_BP=(+(+thesat1_VSI_BP_VSI_BP*phi_inf+thesat1_VSI_BP*phi_inf_VSI_BP+thesat1_VSI_BP*phi_inf_VSI_BP+thesat1*phi_inf_VSI_BP_VSI_BP)*7.0710678118654746e-01+((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP))*0.0+(((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP)))*0.0+(thesat1*phi_inf)*0.0);
#endif
#endif
ysat=((thesat1*phi_inf)*7.0710678118654746e-01);
EXIT_IF_ISNAN(((thesat1*phi_inf)*7.0710678118654746e-01))
if
((pModel->CHNL_TYPE==(-1)))
{
{
double m00_sqrt(d00_sqrt0,(1.0+ysat))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+ysat))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
ysat_VGP_SI=((ysat_VGP_SI*d00_sqrt0-ysat*ysat_VGP_SI*d10_sqrt0)/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  ysat_VGP_SI_VGP_SI=(ysat_VGP_SI_VGP_SI/d00_sqrt0-(ysat_VGP_SI*ysat_VGP_SI*d10_sqrt0+ysat_VGP_SI*ysat_VGP_SI*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VGP_SI*ysat_VGP_SI+d10_sqrt0*(+0.0+ysat_VGP_SI_VGP_SI)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VGP_SI*d10_sqrt0*ysat_VGP_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  ysat_VGP_SI_VDI_SI=(ysat_VGP_SI_VDI_SI/d00_sqrt0-(ysat_VGP_SI*ysat_VDI_SI*d10_sqrt0+ysat_VDI_SI*ysat_VGP_SI*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VDI_SI*ysat_VGP_SI+d10_sqrt0*(+0.0+ysat_VGP_SI_VDI_SI)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VGP_SI*d10_sqrt0*ysat_VDI_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  ysat_VGP_SI_VSI_BP=(ysat_VGP_SI_VSI_BP/d00_sqrt0-(ysat_VGP_SI*ysat_VSI_BP*d10_sqrt0+ysat_VSI_BP*ysat_VGP_SI*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VSI_BP*ysat_VGP_SI+d10_sqrt0*(+0.0+ysat_VGP_SI_VSI_BP)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VGP_SI*d10_sqrt0*ysat_VSI_BP*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
ysat_VDI_SI=((ysat_VDI_SI*d00_sqrt0-ysat*ysat_VDI_SI*d10_sqrt0)/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  ysat_VDI_SI_VGP_SI=(ysat_VDI_SI_VGP_SI/d00_sqrt0-(ysat_VDI_SI*ysat_VGP_SI*d10_sqrt0+ysat_VGP_SI*ysat_VDI_SI*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VGP_SI*ysat_VDI_SI+d10_sqrt0*(+0.0+ysat_VDI_SI_VGP_SI)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VDI_SI*d10_sqrt0*ysat_VGP_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  ysat_VDI_SI_VDI_SI=(ysat_VDI_SI_VDI_SI/d00_sqrt0-(ysat_VDI_SI*ysat_VDI_SI*d10_sqrt0+ysat_VDI_SI*ysat_VDI_SI*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VDI_SI*ysat_VDI_SI+d10_sqrt0*(+0.0+ysat_VDI_SI_VDI_SI)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VDI_SI*d10_sqrt0*ysat_VDI_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  ysat_VDI_SI_VSI_BP=(ysat_VDI_SI_VSI_BP/d00_sqrt0-(ysat_VDI_SI*ysat_VSI_BP*d10_sqrt0+ysat_VSI_BP*ysat_VDI_SI*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VSI_BP*ysat_VDI_SI+d10_sqrt0*(+0.0+ysat_VDI_SI_VSI_BP)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VDI_SI*d10_sqrt0*ysat_VSI_BP*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
ysat_VSI_BP=((ysat_VSI_BP*d00_sqrt0-ysat*ysat_VSI_BP*d10_sqrt0)/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  ysat_VSI_BP_VGP_SI=(ysat_VSI_BP_VGP_SI/d00_sqrt0-(ysat_VSI_BP*ysat_VGP_SI*d10_sqrt0+ysat_VGP_SI*ysat_VSI_BP*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VGP_SI*ysat_VSI_BP+d10_sqrt0*(+0.0+ysat_VSI_BP_VGP_SI)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VSI_BP*d10_sqrt0*ysat_VGP_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  ysat_VSI_BP_VDI_SI=(ysat_VSI_BP_VDI_SI/d00_sqrt0-(ysat_VSI_BP*ysat_VDI_SI*d10_sqrt0+ysat_VDI_SI*ysat_VSI_BP*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VDI_SI*ysat_VSI_BP+d10_sqrt0*(+0.0+ysat_VSI_BP_VDI_SI)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VSI_BP*d10_sqrt0*ysat_VDI_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  ysat_VSI_BP_VSI_BP=(ysat_VSI_BP_VSI_BP/d00_sqrt0-(ysat_VSI_BP*ysat_VSI_BP*d10_sqrt0+ysat_VSI_BP*ysat_VSI_BP*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VSI_BP*ysat_VSI_BP+d10_sqrt0*(+0.0+ysat_VSI_BP_VSI_BP)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VSI_BP*d10_sqrt0*ysat_VSI_BP*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
#endif
ysat=(ysat/d00_sqrt0);
EXIT_IF_ISNAN((ysat/d00_sqrt0))
}
}
{
double m00_sqrt(d00_sqrt0,(1.0+(4.0*ysat)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+(4.0*ysat)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
za_VGP_SI=(-2.0*(4.0*ysat_VGP_SI)*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#if defined(_DERIVATE2)
  za_VGP_SI_VGP_SI=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VGP_SI))*d10_sqrt0+0.0*(4.0*ysat_VGP_SI)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VGP_SI))*(4.0*ysat_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VGP_SI+0.0*ysat_VGP_SI+4.0*ysat_VGP_SI_VGP_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VGP_SI)*d10_sqrt0*((4.0*ysat_VGP_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
  za_VGP_SI_VDI_SI=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VDI_SI))*d10_sqrt0+0.0*(4.0*ysat_VGP_SI)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VDI_SI))*(4.0*ysat_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VDI_SI+0.0*ysat_VGP_SI+4.0*ysat_VGP_SI_VDI_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VGP_SI)*d10_sqrt0*((4.0*ysat_VDI_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
  za_VGP_SI_VSI_BP=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VSI_BP))*d10_sqrt0+0.0*(4.0*ysat_VGP_SI)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VSI_BP))*(4.0*ysat_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VSI_BP+0.0*ysat_VGP_SI+4.0*ysat_VGP_SI_VSI_BP)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VGP_SI)*d10_sqrt0*((4.0*ysat_VSI_BP))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#endif
za_VDI_SI=(-2.0*(4.0*ysat_VDI_SI)*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#if defined(_DERIVATE2)
  za_VDI_SI_VGP_SI=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VGP_SI))*d10_sqrt0+0.0*(4.0*ysat_VDI_SI)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VGP_SI))*(4.0*ysat_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VGP_SI+0.0*ysat_VDI_SI+4.0*ysat_VDI_SI_VGP_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VDI_SI)*d10_sqrt0*((4.0*ysat_VGP_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
  za_VDI_SI_VDI_SI=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VDI_SI))*d10_sqrt0+0.0*(4.0*ysat_VDI_SI)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VDI_SI))*(4.0*ysat_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VDI_SI+0.0*ysat_VDI_SI+4.0*ysat_VDI_SI_VDI_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VDI_SI)*d10_sqrt0*((4.0*ysat_VDI_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
  za_VDI_SI_VSI_BP=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VSI_BP))*d10_sqrt0+0.0*(4.0*ysat_VDI_SI)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VSI_BP))*(4.0*ysat_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VSI_BP+0.0*ysat_VDI_SI+4.0*ysat_VDI_SI_VSI_BP)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VDI_SI)*d10_sqrt0*((4.0*ysat_VSI_BP))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#endif
za_VSI_BP=(-2.0*(4.0*ysat_VSI_BP)*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#if defined(_DERIVATE2)
  za_VSI_BP_VGP_SI=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VGP_SI))*d10_sqrt0+0.0*(4.0*ysat_VSI_BP)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VGP_SI))*(4.0*ysat_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VGP_SI+0.0*ysat_VSI_BP+4.0*ysat_VSI_BP_VGP_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VSI_BP)*d10_sqrt0*((4.0*ysat_VGP_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
  za_VSI_BP_VDI_SI=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VDI_SI))*d10_sqrt0+0.0*(4.0*ysat_VSI_BP)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VDI_SI))*(4.0*ysat_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VDI_SI+0.0*ysat_VSI_BP+4.0*ysat_VSI_BP_VDI_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VSI_BP)*d10_sqrt0*((4.0*ysat_VDI_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
  za_VSI_BP_VSI_BP=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VSI_BP))*d10_sqrt0+0.0*(4.0*ysat_VSI_BP)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VSI_BP))*(4.0*ysat_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VSI_BP+0.0*ysat_VSI_BP+4.0*ysat_VSI_BP_VSI_BP)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VSI_BP)*d10_sqrt0*((4.0*ysat_VSI_BP))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#endif
#endif
za=(2.0/(1.0+d00_sqrt0));
EXIT_IF_ISNAN((2.0/(1.0+d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=((za_VDI_SI*ysat)+(za*ysat_VDI_SI));
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=(+za_VDI_SI_VDI_SI*ysat+za_VDI_SI*ysat_VDI_SI+za_VDI_SI*ysat_VDI_SI+za*ysat_VDI_SI_VDI_SI);
  temp1_VDI_SI_VGP_SI=(+za_VDI_SI_VGP_SI*ysat+za_VDI_SI*ysat_VGP_SI+za_VGP_SI*ysat_VDI_SI+za*ysat_VDI_SI_VGP_SI);
  temp1_VDI_SI_VSI_BP=(+za_VDI_SI_VSI_BP*ysat+za_VDI_SI*ysat_VSI_BP+za_VSI_BP*ysat_VDI_SI+za*ysat_VDI_SI_VSI_BP);
#endif
temp1_VGP_SI=((za_VGP_SI*ysat)+(za*ysat_VGP_SI));
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=(+za_VGP_SI_VDI_SI*ysat+za_VGP_SI*ysat_VDI_SI+za_VDI_SI*ysat_VGP_SI+za*ysat_VGP_SI_VDI_SI);
  temp1_VGP_SI_VGP_SI=(+za_VGP_SI_VGP_SI*ysat+za_VGP_SI*ysat_VGP_SI+za_VGP_SI*ysat_VGP_SI+za*ysat_VGP_SI_VGP_SI);
  temp1_VGP_SI_VSI_BP=(+za_VGP_SI_VSI_BP*ysat+za_VGP_SI*ysat_VSI_BP+za_VSI_BP*ysat_VGP_SI+za*ysat_VGP_SI_VSI_BP);
#endif
temp1_VSI_BP=((za_VSI_BP*ysat)+(za*ysat_VSI_BP));
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=(+za_VSI_BP_VDI_SI*ysat+za_VSI_BP*ysat_VDI_SI+za_VDI_SI*ysat_VSI_BP+za*ysat_VSI_BP_VDI_SI);
  temp1_VSI_BP_VGP_SI=(+za_VSI_BP_VGP_SI*ysat+za_VSI_BP*ysat_VGP_SI+za_VGP_SI*ysat_VSI_BP+za*ysat_VSI_BP_VGP_SI);
  temp1_VSI_BP_VSI_BP=(+za_VSI_BP_VSI_BP*ysat+za_VSI_BP*ysat_VSI_BP+za_VSI_BP*ysat_VSI_BP+za*ysat_VSI_BP_VSI_BP);
#endif
#endif
pInst->temp1=(za*ysat);
EXIT_IF_ISNAN((za*ysat))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Phi_0_VDI_SI=((((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI))*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))))+((phi_inf*za)*(0.86*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
#if defined(_DERIVATE2)
  Phi_0_VDI_SI_VDI_SI=(+(+phi_inf_VDI_SI_VDI_SI*za+phi_inf_VDI_SI*za_VDI_SI+phi_inf_VDI_SI*za_VDI_SI+phi_inf*za_VDI_SI_VDI_SI)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI))*((0.86*(((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI)))*(0.86*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VDI_SI_VDI_SI*(1.0-(pInst->temp1*za))+temp1_VDI_SI*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI))))+temp1_VDI_SI*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))+pInst->temp1*(+0.0-(+temp1_VDI_SI_VDI_SI*za+temp1_VDI_SI*za_VDI_SI+temp1_VDI_SI*za_VDI_SI+pInst->temp1*za_VDI_SI_VDI_SI)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))))+(((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))+0.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))+4.0*(+(+temp1_VDI_SI_VDI_SI*pInst->temp1+temp1_VDI_SI*temp1_VDI_SI+temp1_VDI_SI*temp1_VDI_SI+pInst->temp1*temp1_VDI_SI_VDI_SI)*za+((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za_VDI_SI+(((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za_VDI_SI+(pInst->temp1*pInst->temp1)*za_VDI_SI_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
  Phi_0_VDI_SI_VGP_SI=(+(+phi_inf_VDI_SI_VGP_SI*za+phi_inf_VDI_SI*za_VGP_SI+phi_inf_VGP_SI*za_VDI_SI+phi_inf*za_VDI_SI_VGP_SI)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI))*((0.86*(((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI)))*(0.86*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VDI_SI_VGP_SI*(1.0-(pInst->temp1*za))+temp1_VDI_SI*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI))))+temp1_VGP_SI*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))+pInst->temp1*(+0.0-(+temp1_VDI_SI_VGP_SI*za+temp1_VDI_SI*za_VGP_SI+temp1_VGP_SI*za_VDI_SI+pInst->temp1*za_VDI_SI_VGP_SI)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))))+(((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))+0.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))+4.0*(+(+temp1_VDI_SI_VGP_SI*pInst->temp1+temp1_VDI_SI*temp1_VGP_SI+temp1_VGP_SI*temp1_VDI_SI+pInst->temp1*temp1_VDI_SI_VGP_SI)*za+((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za_VGP_SI+(((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za_VDI_SI+(pInst->temp1*pInst->temp1)*za_VDI_SI_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
  Phi_0_VDI_SI_VSI_BP=(+(+phi_inf_VDI_SI_VSI_BP*za+phi_inf_VDI_SI*za_VSI_BP+phi_inf_VSI_BP*za_VDI_SI+phi_inf*za_VDI_SI_VSI_BP)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI))*((0.86*(((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP)))*(0.86*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VDI_SI_VSI_BP*(1.0-(pInst->temp1*za))+temp1_VDI_SI*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP))))+temp1_VSI_BP*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))+pInst->temp1*(+0.0-(+temp1_VDI_SI_VSI_BP*za+temp1_VDI_SI*za_VSI_BP+temp1_VSI_BP*za_VDI_SI+pInst->temp1*za_VDI_SI_VSI_BP)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))))+(((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))+0.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))+4.0*(+(+temp1_VDI_SI_VSI_BP*pInst->temp1+temp1_VDI_SI*temp1_VSI_BP+temp1_VSI_BP*temp1_VDI_SI+pInst->temp1*temp1_VDI_SI_VSI_BP)*za+((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za_VSI_BP+(((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za_VDI_SI+(pInst->temp1*pInst->temp1)*za_VDI_SI_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
#endif
Phi_0_VGP_SI=((((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI))*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))))+((phi_inf*za)*(0.86*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
#if defined(_DERIVATE2)
  Phi_0_VGP_SI_VDI_SI=(+(+phi_inf_VGP_SI_VDI_SI*za+phi_inf_VGP_SI*za_VDI_SI+phi_inf_VDI_SI*za_VGP_SI+phi_inf*za_VGP_SI_VDI_SI)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI))*((0.86*(((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI)))*(0.86*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VGP_SI_VDI_SI*(1.0-(pInst->temp1*za))+temp1_VGP_SI*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI))))+temp1_VDI_SI*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))+pInst->temp1*(+0.0-(+temp1_VGP_SI_VDI_SI*za+temp1_VGP_SI*za_VDI_SI+temp1_VDI_SI*za_VGP_SI+pInst->temp1*za_VGP_SI_VDI_SI)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))))+(((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))+0.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))+4.0*(+(+temp1_VGP_SI_VDI_SI*pInst->temp1+temp1_VGP_SI*temp1_VDI_SI+temp1_VDI_SI*temp1_VGP_SI+pInst->temp1*temp1_VGP_SI_VDI_SI)*za+((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za_VDI_SI+(((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za_VGP_SI+(pInst->temp1*pInst->temp1)*za_VGP_SI_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
  Phi_0_VGP_SI_VGP_SI=(+(+phi_inf_VGP_SI_VGP_SI*za+phi_inf_VGP_SI*za_VGP_SI+phi_inf_VGP_SI*za_VGP_SI+phi_inf*za_VGP_SI_VGP_SI)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI))*((0.86*(((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI)))*(0.86*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VGP_SI_VGP_SI*(1.0-(pInst->temp1*za))+temp1_VGP_SI*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI))))+temp1_VGP_SI*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))+pInst->temp1*(+0.0-(+temp1_VGP_SI_VGP_SI*za+temp1_VGP_SI*za_VGP_SI+temp1_VGP_SI*za_VGP_SI+pInst->temp1*za_VGP_SI_VGP_SI)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))))+(((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))+0.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))+4.0*(+(+temp1_VGP_SI_VGP_SI*pInst->temp1+temp1_VGP_SI*temp1_VGP_SI+temp1_VGP_SI*temp1_VGP_SI+pInst->temp1*temp1_VGP_SI_VGP_SI)*za+((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za_VGP_SI+(((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za_VGP_SI+(pInst->temp1*pInst->temp1)*za_VGP_SI_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
  Phi_0_VGP_SI_VSI_BP=(+(+phi_inf_VGP_SI_VSI_BP*za+phi_inf_VGP_SI*za_VSI_BP+phi_inf_VSI_BP*za_VGP_SI+phi_inf*za_VGP_SI_VSI_BP)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI))*((0.86*(((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP)))*(0.86*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VGP_SI_VSI_BP*(1.0-(pInst->temp1*za))+temp1_VGP_SI*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP))))+temp1_VSI_BP*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))+pInst->temp1*(+0.0-(+temp1_VGP_SI_VSI_BP*za+temp1_VGP_SI*za_VSI_BP+temp1_VSI_BP*za_VGP_SI+pInst->temp1*za_VGP_SI_VSI_BP)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))))+(((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))+0.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))+4.0*(+(+temp1_VGP_SI_VSI_BP*pInst->temp1+temp1_VGP_SI*temp1_VSI_BP+temp1_VSI_BP*temp1_VGP_SI+pInst->temp1*temp1_VGP_SI_VSI_BP)*za+((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za_VSI_BP+(((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za_VGP_SI+(pInst->temp1*pInst->temp1)*za_VGP_SI_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
#endif
Phi_0_VSI_BP=((((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP))*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))))+((phi_inf*za)*(0.86*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
#if defined(_DERIVATE2)
  Phi_0_VSI_BP_VDI_SI=(+(+phi_inf_VSI_BP_VDI_SI*za+phi_inf_VSI_BP*za_VDI_SI+phi_inf_VDI_SI*za_VSI_BP+phi_inf*za_VSI_BP_VDI_SI)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP))*((0.86*(((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI)))*(0.86*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VSI_BP_VDI_SI*(1.0-(pInst->temp1*za))+temp1_VSI_BP*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI))))+temp1_VDI_SI*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))+pInst->temp1*(+0.0-(+temp1_VSI_BP_VDI_SI*za+temp1_VSI_BP*za_VDI_SI+temp1_VDI_SI*za_VSI_BP+pInst->temp1*za_VSI_BP_VDI_SI)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))))+(((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))+0.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))+4.0*(+(+temp1_VSI_BP_VDI_SI*pInst->temp1+temp1_VSI_BP*temp1_VDI_SI+temp1_VDI_SI*temp1_VSI_BP+pInst->temp1*temp1_VSI_BP_VDI_SI)*za+((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za_VDI_SI+(((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za_VSI_BP+(pInst->temp1*pInst->temp1)*za_VSI_BP_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
  Phi_0_VSI_BP_VGP_SI=(+(+phi_inf_VSI_BP_VGP_SI*za+phi_inf_VSI_BP*za_VGP_SI+phi_inf_VGP_SI*za_VSI_BP+phi_inf*za_VSI_BP_VGP_SI)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP))*((0.86*(((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI)))*(0.86*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VSI_BP_VGP_SI*(1.0-(pInst->temp1*za))+temp1_VSI_BP*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI))))+temp1_VGP_SI*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))+pInst->temp1*(+0.0-(+temp1_VSI_BP_VGP_SI*za+temp1_VSI_BP*za_VGP_SI+temp1_VGP_SI*za_VSI_BP+pInst->temp1*za_VSI_BP_VGP_SI)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))))+(((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))+0.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))+4.0*(+(+temp1_VSI_BP_VGP_SI*pInst->temp1+temp1_VSI_BP*temp1_VGP_SI+temp1_VGP_SI*temp1_VSI_BP+pInst->temp1*temp1_VSI_BP_VGP_SI)*za+((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za_VGP_SI+(((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za_VSI_BP+(pInst->temp1*pInst->temp1)*za_VSI_BP_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
  Phi_0_VSI_BP_VSI_BP=(+(+phi_inf_VSI_BP_VSI_BP*za+phi_inf_VSI_BP*za_VSI_BP+phi_inf_VSI_BP*za_VSI_BP+phi_inf*za_VSI_BP_VSI_BP)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP))*((0.86*(((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP)))*(0.86*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VSI_BP_VSI_BP*(1.0-(pInst->temp1*za))+temp1_VSI_BP*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP))))+temp1_VSI_BP*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))+pInst->temp1*(+0.0-(+temp1_VSI_BP_VSI_BP*za+temp1_VSI_BP*za_VSI_BP+temp1_VSI_BP*za_VSI_BP+pInst->temp1*za_VSI_BP_VSI_BP)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))))+(((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))+0.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))+4.0*(+(+temp1_VSI_BP_VSI_BP*pInst->temp1+temp1_VSI_BP*temp1_VSI_BP+temp1_VSI_BP*temp1_VSI_BP+pInst->temp1*temp1_VSI_BP_VSI_BP)*za+((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za_VSI_BP+(((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za_VSI_BP+(pInst->temp1*pInst->temp1)*za_VSI_BP_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
#endif
#endif
Phi_0=((phi_inf*za)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
EXIT_IF_ISNAN(((phi_inf*za)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
asat_VDI_SI=(xgs_VDI_SI+(0.5*Gf2_VDI_SI));
#if defined(_DERIVATE2)
  asat_VDI_SI_VDI_SI=(+xgs_VDI_SI_VDI_SI+(+0.0*Gf2+0.0*Gf2_VDI_SI+0.0*Gf2_VDI_SI+0.5*Gf2_VDI_SI_VDI_SI));
  asat_VDI_SI_VGP_SI=(+xgs_VDI_SI_VGP_SI+(+0.0*Gf2+0.0*Gf2_VGP_SI+0.0*Gf2_VDI_SI+0.5*Gf2_VDI_SI_VGP_SI));
  asat_VDI_SI_VSI_BP=(+xgs_VDI_SI_VSI_BP+(+0.0*Gf2+0.0*Gf2_VSI_BP+0.0*Gf2_VDI_SI+0.5*Gf2_VDI_SI_VSI_BP));
#endif
asat_VGP_SI=(xgs_VGP_SI+(0.5*Gf2_VGP_SI));
#if defined(_DERIVATE2)
  asat_VGP_SI_VDI_SI=(+xgs_VGP_SI_VDI_SI+(+0.0*Gf2+0.0*Gf2_VDI_SI+0.0*Gf2_VGP_SI+0.5*Gf2_VGP_SI_VDI_SI));
  asat_VGP_SI_VGP_SI=(+xgs_VGP_SI_VGP_SI+(+0.0*Gf2+0.0*Gf2_VGP_SI+0.0*Gf2_VGP_SI+0.5*Gf2_VGP_SI_VGP_SI));
  asat_VGP_SI_VSI_BP=(+xgs_VGP_SI_VSI_BP+(+0.0*Gf2+0.0*Gf2_VSI_BP+0.0*Gf2_VGP_SI+0.5*Gf2_VGP_SI_VSI_BP));
#endif
asat_VSI_BP=(xgs_VSI_BP+(0.5*Gf2_VSI_BP));
#if defined(_DERIVATE2)
  asat_VSI_BP_VDI_SI=(+xgs_VSI_BP_VDI_SI+(+0.0*Gf2+0.0*Gf2_VDI_SI+0.0*Gf2_VSI_BP+0.5*Gf2_VSI_BP_VDI_SI));
  asat_VSI_BP_VGP_SI=(+xgs_VSI_BP_VGP_SI+(+0.0*Gf2+0.0*Gf2_VGP_SI+0.0*Gf2_VSI_BP+0.5*Gf2_VSI_BP_VGP_SI));
  asat_VSI_BP_VSI_BP=(+xgs_VSI_BP_VSI_BP+(+0.0*Gf2+0.0*Gf2_VSI_BP+0.0*Gf2_VSI_BP+0.5*Gf2_VSI_BP_VSI_BP));
#endif
#endif
asat=(xgs+(0.5*Gf2));
EXIT_IF_ISNAN((xgs+(0.5*Gf2)))
{
double m00_sqrt(d00_sqrt0,((asat*asat)-((Gf2*Ds)*0.98)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((asat*asat)-((Gf2*Ds)*0.98)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Phi_2_VDI_SI=(0.98*((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
#if defined(_DERIVATE2)
  Phi_2_VDI_SI_VDI_SI=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VDI_SI_VDI_SI*Ds+Gf2_VDI_SI*Ds_VDI_SI+Gf2_VDI_SI*Ds_VDI_SI+Gf2*Ds_VDI_SI_VDI_SI)*pInst->phit1+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*phit1_VDI_SI+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*phit1_VDI_SI+(Gf2*Ds)*phit1_VDI_SI_VDI_SI)/(asat+d00_sqrt0)-(((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0)+((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VDI_SI_VDI_SI+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)+d10_sqrt0*(+(+asat_VDI_SI_VDI_SI*asat+asat_VDI_SI*asat_VDI_SI+asat_VDI_SI*asat_VDI_SI+asat*asat_VDI_SI_VDI_SI)-(+(+Gf2_VDI_SI_VDI_SI*Ds+Gf2_VDI_SI*Ds_VDI_SI+Gf2_VDI_SI*Ds_VDI_SI+Gf2*Ds_VDI_SI_VDI_SI)*0.98+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.0+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0)*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
  Phi_2_VDI_SI_VGP_SI=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VDI_SI_VGP_SI*Ds+Gf2_VDI_SI*Ds_VGP_SI+Gf2_VGP_SI*Ds_VDI_SI+Gf2*Ds_VDI_SI_VGP_SI)*pInst->phit1+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*phit1_VGP_SI+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*phit1_VDI_SI+(Gf2*Ds)*phit1_VDI_SI_VGP_SI)/(asat+d00_sqrt0)-(((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0)+((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VDI_SI_VGP_SI+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)+d10_sqrt0*(+(+asat_VDI_SI_VGP_SI*asat+asat_VDI_SI*asat_VGP_SI+asat_VGP_SI*asat_VDI_SI+asat*asat_VDI_SI_VGP_SI)-(+(+Gf2_VDI_SI_VGP_SI*Ds+Gf2_VDI_SI*Ds_VGP_SI+Gf2_VGP_SI*Ds_VDI_SI+Gf2*Ds_VDI_SI_VGP_SI)*0.98+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.0+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0)*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
  Phi_2_VDI_SI_VSI_BP=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VDI_SI_VSI_BP*Ds+Gf2_VDI_SI*Ds_VSI_BP+Gf2_VSI_BP*Ds_VDI_SI+Gf2*Ds_VDI_SI_VSI_BP)*pInst->phit1+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*phit1_VSI_BP+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*phit1_VDI_SI+(Gf2*Ds)*phit1_VDI_SI_VSI_BP)/(asat+d00_sqrt0)-(((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0)+((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VDI_SI_VSI_BP+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)+d10_sqrt0*(+(+asat_VDI_SI_VSI_BP*asat+asat_VDI_SI*asat_VSI_BP+asat_VSI_BP*asat_VDI_SI+asat*asat_VDI_SI_VSI_BP)-(+(+Gf2_VDI_SI_VSI_BP*Ds+Gf2_VDI_SI*Ds_VSI_BP+Gf2_VSI_BP*Ds_VDI_SI+Gf2*Ds_VDI_SI_VSI_BP)*0.98+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.0+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0)*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
#endif
Phi_2_VGP_SI=(0.98*((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
#if defined(_DERIVATE2)
  Phi_2_VGP_SI_VDI_SI=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VGP_SI_VDI_SI*Ds+Gf2_VGP_SI*Ds_VDI_SI+Gf2_VDI_SI*Ds_VGP_SI+Gf2*Ds_VGP_SI_VDI_SI)*pInst->phit1+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*phit1_VDI_SI+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*phit1_VGP_SI+(Gf2*Ds)*phit1_VGP_SI_VDI_SI)/(asat+d00_sqrt0)-(((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0)+((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VGP_SI_VDI_SI+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)+d10_sqrt0*(+(+asat_VGP_SI_VDI_SI*asat+asat_VGP_SI*asat_VDI_SI+asat_VDI_SI*asat_VGP_SI+asat*asat_VGP_SI_VDI_SI)-(+(+Gf2_VGP_SI_VDI_SI*Ds+Gf2_VGP_SI*Ds_VDI_SI+Gf2_VDI_SI*Ds_VGP_SI+Gf2*Ds_VGP_SI_VDI_SI)*0.98+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.0+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0)*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
  Phi_2_VGP_SI_VGP_SI=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VGP_SI_VGP_SI*Ds+Gf2_VGP_SI*Ds_VGP_SI+Gf2_VGP_SI*Ds_VGP_SI+Gf2*Ds_VGP_SI_VGP_SI)*pInst->phit1+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*phit1_VGP_SI+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*phit1_VGP_SI+(Gf2*Ds)*phit1_VGP_SI_VGP_SI)/(asat+d00_sqrt0)-(((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0)+((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VGP_SI_VGP_SI+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)+d10_sqrt0*(+(+asat_VGP_SI_VGP_SI*asat+asat_VGP_SI*asat_VGP_SI+asat_VGP_SI*asat_VGP_SI+asat*asat_VGP_SI_VGP_SI)-(+(+Gf2_VGP_SI_VGP_SI*Ds+Gf2_VGP_SI*Ds_VGP_SI+Gf2_VGP_SI*Ds_VGP_SI+Gf2*Ds_VGP_SI_VGP_SI)*0.98+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.0+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0)*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
  Phi_2_VGP_SI_VSI_BP=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VGP_SI_VSI_BP*Ds+Gf2_VGP_SI*Ds_VSI_BP+Gf2_VSI_BP*Ds_VGP_SI+Gf2*Ds_VGP_SI_VSI_BP)*pInst->phit1+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*phit1_VSI_BP+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*phit1_VGP_SI+(Gf2*Ds)*phit1_VGP_SI_VSI_BP)/(asat+d00_sqrt0)-(((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0)+((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VGP_SI_VSI_BP+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)+d10_sqrt0*(+(+asat_VGP_SI_VSI_BP*asat+asat_VGP_SI*asat_VSI_BP+asat_VSI_BP*asat_VGP_SI+asat*asat_VGP_SI_VSI_BP)-(+(+Gf2_VGP_SI_VSI_BP*Ds+Gf2_VGP_SI*Ds_VSI_BP+Gf2_VSI_BP*Ds_VGP_SI+Gf2*Ds_VGP_SI_VSI_BP)*0.98+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.0+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0)*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
#endif
Phi_2_VSI_BP=(0.98*((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
#if defined(_DERIVATE2)
  Phi_2_VSI_BP_VDI_SI=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VSI_BP_VDI_SI*Ds+Gf2_VSI_BP*Ds_VDI_SI+Gf2_VDI_SI*Ds_VSI_BP+Gf2*Ds_VSI_BP_VDI_SI)*pInst->phit1+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*phit1_VDI_SI+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*phit1_VSI_BP+(Gf2*Ds)*phit1_VSI_BP_VDI_SI)/(asat+d00_sqrt0)-(((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0)+((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VSI_BP_VDI_SI+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)+d10_sqrt0*(+(+asat_VSI_BP_VDI_SI*asat+asat_VSI_BP*asat_VDI_SI+asat_VDI_SI*asat_VSI_BP+asat*asat_VSI_BP_VDI_SI)-(+(+Gf2_VSI_BP_VDI_SI*Ds+Gf2_VSI_BP*Ds_VDI_SI+Gf2_VDI_SI*Ds_VSI_BP+Gf2*Ds_VSI_BP_VDI_SI)*0.98+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.0+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0)*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
  Phi_2_VSI_BP_VGP_SI=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VSI_BP_VGP_SI*Ds+Gf2_VSI_BP*Ds_VGP_SI+Gf2_VGP_SI*Ds_VSI_BP+Gf2*Ds_VSI_BP_VGP_SI)*pInst->phit1+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*phit1_VGP_SI+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*phit1_VSI_BP+(Gf2*Ds)*phit1_VSI_BP_VGP_SI)/(asat+d00_sqrt0)-(((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0)+((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VSI_BP_VGP_SI+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)+d10_sqrt0*(+(+asat_VSI_BP_VGP_SI*asat+asat_VSI_BP*asat_VGP_SI+asat_VGP_SI*asat_VSI_BP+asat*asat_VSI_BP_VGP_SI)-(+(+Gf2_VSI_BP_VGP_SI*Ds+Gf2_VSI_BP*Ds_VGP_SI+Gf2_VGP_SI*Ds_VSI_BP+Gf2*Ds_VSI_BP_VGP_SI)*0.98+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.0+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0)*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
  Phi_2_VSI_BP_VSI_BP=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VSI_BP_VSI_BP*Ds+Gf2_VSI_BP*Ds_VSI_BP+Gf2_VSI_BP*Ds_VSI_BP+Gf2*Ds_VSI_BP_VSI_BP)*pInst->phit1+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*phit1_VSI_BP+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*phit1_VSI_BP+(Gf2*Ds)*phit1_VSI_BP_VSI_BP)/(asat+d00_sqrt0)-(((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0)+((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VSI_BP_VSI_BP+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)+d10_sqrt0*(+(+asat_VSI_BP_VSI_BP*asat+asat_VSI_BP*asat_VSI_BP+asat_VSI_BP*asat_VSI_BP+asat*asat_VSI_BP_VSI_BP)-(+(+Gf2_VSI_BP_VSI_BP*Ds+Gf2_VSI_BP*Ds_VSI_BP+Gf2_VSI_BP*Ds_VSI_BP+Gf2*Ds_VSI_BP_VSI_BP)*0.98+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.0+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0)*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
#endif
#endif
Phi_2=(0.98*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0)));
EXIT_IF_ISNAN((0.98*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Phi_0_2_VDI_SI=(Phi_0_VDI_SI+Phi_2_VDI_SI);
#if defined(_DERIVATE2)
  Phi_0_2_VDI_SI_VDI_SI=(+Phi_0_VDI_SI_VDI_SI+Phi_2_VDI_SI_VDI_SI);
  Phi_0_2_VDI_SI_VGP_SI=(+Phi_0_VDI_SI_VGP_SI+Phi_2_VDI_SI_VGP_SI);
  Phi_0_2_VDI_SI_VSI_BP=(+Phi_0_VDI_SI_VSI_BP+Phi_2_VDI_SI_VSI_BP);
#endif
Phi_0_2_VGP_SI=(Phi_0_VGP_SI+Phi_2_VGP_SI);
#if defined(_DERIVATE2)
  Phi_0_2_VGP_SI_VDI_SI=(+Phi_0_VGP_SI_VDI_SI+Phi_2_VGP_SI_VDI_SI);
  Phi_0_2_VGP_SI_VGP_SI=(+Phi_0_VGP_SI_VGP_SI+Phi_2_VGP_SI_VGP_SI);
  Phi_0_2_VGP_SI_VSI_BP=(+Phi_0_VGP_SI_VSI_BP+Phi_2_VGP_SI_VSI_BP);
#endif
Phi_0_2_VSI_BP=(Phi_0_VSI_BP+Phi_2_VSI_BP);
#if defined(_DERIVATE2)
  Phi_0_2_VSI_BP_VDI_SI=(+Phi_0_VSI_BP_VDI_SI+Phi_2_VSI_BP_VDI_SI);
  Phi_0_2_VSI_BP_VGP_SI=(+Phi_0_VSI_BP_VGP_SI+Phi_2_VSI_BP_VGP_SI);
  Phi_0_2_VSI_BP_VSI_BP=(+Phi_0_VSI_BP_VSI_BP+Phi_2_VSI_BP_VSI_BP);
#endif
#endif
Phi_0_2=(Phi_0+Phi_2);
EXIT_IF_ISNAN((Phi_0+Phi_2))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Phi0_Phi2_VDI_SI=(2.0*((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI)));
#if defined(_DERIVATE2)
  Phi0_Phi2_VDI_SI_VDI_SI=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI)))+0.0*((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI))+2.0*(+Phi_0_VDI_SI_VDI_SI*Phi_2+Phi_0_VDI_SI*Phi_2_VDI_SI+Phi_0_VDI_SI*Phi_2_VDI_SI+Phi_0*Phi_2_VDI_SI_VDI_SI));
  Phi0_Phi2_VDI_SI_VGP_SI=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI)))+0.0*((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI))+2.0*(+Phi_0_VDI_SI_VGP_SI*Phi_2+Phi_0_VDI_SI*Phi_2_VGP_SI+Phi_0_VGP_SI*Phi_2_VDI_SI+Phi_0*Phi_2_VDI_SI_VGP_SI));
  Phi0_Phi2_VDI_SI_VSI_BP=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP)))+0.0*((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI))+2.0*(+Phi_0_VDI_SI_VSI_BP*Phi_2+Phi_0_VDI_SI*Phi_2_VSI_BP+Phi_0_VSI_BP*Phi_2_VDI_SI+Phi_0*Phi_2_VDI_SI_VSI_BP));
#endif
Phi0_Phi2_VGP_SI=(2.0*((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI)));
#if defined(_DERIVATE2)
  Phi0_Phi2_VGP_SI_VDI_SI=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI)))+0.0*((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI))+2.0*(+Phi_0_VGP_SI_VDI_SI*Phi_2+Phi_0_VGP_SI*Phi_2_VDI_SI+Phi_0_VDI_SI*Phi_2_VGP_SI+Phi_0*Phi_2_VGP_SI_VDI_SI));
  Phi0_Phi2_VGP_SI_VGP_SI=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI)))+0.0*((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI))+2.0*(+Phi_0_VGP_SI_VGP_SI*Phi_2+Phi_0_VGP_SI*Phi_2_VGP_SI+Phi_0_VGP_SI*Phi_2_VGP_SI+Phi_0*Phi_2_VGP_SI_VGP_SI));
  Phi0_Phi2_VGP_SI_VSI_BP=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP)))+0.0*((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI))+2.0*(+Phi_0_VGP_SI_VSI_BP*Phi_2+Phi_0_VGP_SI*Phi_2_VSI_BP+Phi_0_VSI_BP*Phi_2_VGP_SI+Phi_0*Phi_2_VGP_SI_VSI_BP));
#endif
Phi0_Phi2_VSI_BP=(2.0*((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP)));
#if defined(_DERIVATE2)
  Phi0_Phi2_VSI_BP_VDI_SI=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI)))+0.0*((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP))+2.0*(+Phi_0_VSI_BP_VDI_SI*Phi_2+Phi_0_VSI_BP*Phi_2_VDI_SI+Phi_0_VDI_SI*Phi_2_VSI_BP+Phi_0*Phi_2_VSI_BP_VDI_SI));
  Phi0_Phi2_VSI_BP_VGP_SI=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI)))+0.0*((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP))+2.0*(+Phi_0_VSI_BP_VGP_SI*Phi_2+Phi_0_VSI_BP*Phi_2_VGP_SI+Phi_0_VGP_SI*Phi_2_VSI_BP+Phi_0*Phi_2_VSI_BP_VGP_SI));
  Phi0_Phi2_VSI_BP_VSI_BP=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP)))+0.0*((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP))+2.0*(+Phi_0_VSI_BP_VSI_BP*Phi_2+Phi_0_VSI_BP*Phi_2_VSI_BP+Phi_0_VSI_BP*Phi_2_VSI_BP+Phi_0*Phi_2_VSI_BP_VSI_BP));
#endif
#endif
Phi0_Phi2=(2.0*(Phi_0*Phi_2));
EXIT_IF_ISNAN((2.0*(Phi_0*Phi_2)))
{
double m00_sqrt(d00_sqrt0,((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Phi_sat_VDI_SI=((Phi0_Phi2_VDI_SI*(Phi_0_2+d00_sqrt0)-Phi0_Phi2*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
#if defined(_DERIVATE2)
  Phi_sat_VDI_SI_VDI_SI=(Phi0_Phi2_VDI_SI_VDI_SI/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VDI_SI*(Phi_0_2_VDI_SI+((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*d10_sqrt0)+Phi0_Phi2_VDI_SI*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VDI_SI_VDI_SI+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))+d10_sqrt0*(+(+Phi_0_2_VDI_SI_VDI_SI*Phi_0_2+Phi_0_2_VDI_SI*Phi_0_2_VDI_SI+Phi_0_2_VDI_SI*Phi_0_2_VDI_SI+Phi_0_2*Phi_0_2_VDI_SI_VDI_SI)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VDI_SI+0.0*Phi0_Phi2_VDI_SI+1.98*Phi0_Phi2_VDI_SI_VDI_SI)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0)*(Phi_0_2_VDI_SI+((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
  Phi_sat_VDI_SI_VGP_SI=(Phi0_Phi2_VDI_SI_VGP_SI/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VDI_SI*(Phi_0_2_VGP_SI+((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*d10_sqrt0)+Phi0_Phi2_VGP_SI*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VDI_SI_VGP_SI+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))+d10_sqrt0*(+(+Phi_0_2_VDI_SI_VGP_SI*Phi_0_2+Phi_0_2_VDI_SI*Phi_0_2_VGP_SI+Phi_0_2_VGP_SI*Phi_0_2_VDI_SI+Phi_0_2*Phi_0_2_VDI_SI_VGP_SI)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VGP_SI+0.0*Phi0_Phi2_VDI_SI+1.98*Phi0_Phi2_VDI_SI_VGP_SI)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0)*(Phi_0_2_VGP_SI+((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
  Phi_sat_VDI_SI_VSI_BP=(Phi0_Phi2_VDI_SI_VSI_BP/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VDI_SI*(Phi_0_2_VSI_BP+((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*d10_sqrt0)+Phi0_Phi2_VSI_BP*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VDI_SI_VSI_BP+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))+d10_sqrt0*(+(+Phi_0_2_VDI_SI_VSI_BP*Phi_0_2+Phi_0_2_VDI_SI*Phi_0_2_VSI_BP+Phi_0_2_VSI_BP*Phi_0_2_VDI_SI+Phi_0_2*Phi_0_2_VDI_SI_VSI_BP)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VSI_BP+0.0*Phi0_Phi2_VDI_SI+1.98*Phi0_Phi2_VDI_SI_VSI_BP)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0)*(Phi_0_2_VSI_BP+((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
#endif
Phi_sat_VGP_SI=((Phi0_Phi2_VGP_SI*(Phi_0_2+d00_sqrt0)-Phi0_Phi2*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
#if defined(_DERIVATE2)
  Phi_sat_VGP_SI_VDI_SI=(Phi0_Phi2_VGP_SI_VDI_SI/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VGP_SI*(Phi_0_2_VDI_SI+((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*d10_sqrt0)+Phi0_Phi2_VDI_SI*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VGP_SI_VDI_SI+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))+d10_sqrt0*(+(+Phi_0_2_VGP_SI_VDI_SI*Phi_0_2+Phi_0_2_VGP_SI*Phi_0_2_VDI_SI+Phi_0_2_VDI_SI*Phi_0_2_VGP_SI+Phi_0_2*Phi_0_2_VGP_SI_VDI_SI)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VDI_SI+0.0*Phi0_Phi2_VGP_SI+1.98*Phi0_Phi2_VGP_SI_VDI_SI)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0)*(Phi_0_2_VDI_SI+((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
  Phi_sat_VGP_SI_VGP_SI=(Phi0_Phi2_VGP_SI_VGP_SI/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VGP_SI*(Phi_0_2_VGP_SI+((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*d10_sqrt0)+Phi0_Phi2_VGP_SI*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VGP_SI_VGP_SI+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))+d10_sqrt0*(+(+Phi_0_2_VGP_SI_VGP_SI*Phi_0_2+Phi_0_2_VGP_SI*Phi_0_2_VGP_SI+Phi_0_2_VGP_SI*Phi_0_2_VGP_SI+Phi_0_2*Phi_0_2_VGP_SI_VGP_SI)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VGP_SI+0.0*Phi0_Phi2_VGP_SI+1.98*Phi0_Phi2_VGP_SI_VGP_SI)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0)*(Phi_0_2_VGP_SI+((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
  Phi_sat_VGP_SI_VSI_BP=(Phi0_Phi2_VGP_SI_VSI_BP/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VGP_SI*(Phi_0_2_VSI_BP+((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*d10_sqrt0)+Phi0_Phi2_VSI_BP*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VGP_SI_VSI_BP+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))+d10_sqrt0*(+(+Phi_0_2_VGP_SI_VSI_BP*Phi_0_2+Phi_0_2_VGP_SI*Phi_0_2_VSI_BP+Phi_0_2_VSI_BP*Phi_0_2_VGP_SI+Phi_0_2*Phi_0_2_VGP_SI_VSI_BP)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VSI_BP+0.0*Phi0_Phi2_VGP_SI+1.98*Phi0_Phi2_VGP_SI_VSI_BP)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0)*(Phi_0_2_VSI_BP+((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
#endif
Phi_sat_VSI_BP=((Phi0_Phi2_VSI_BP*(Phi_0_2+d00_sqrt0)-Phi0_Phi2*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
#if defined(_DERIVATE2)
  Phi_sat_VSI_BP_VDI_SI=(Phi0_Phi2_VSI_BP_VDI_SI/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VSI_BP*(Phi_0_2_VDI_SI+((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*d10_sqrt0)+Phi0_Phi2_VDI_SI*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VSI_BP_VDI_SI+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))+d10_sqrt0*(+(+Phi_0_2_VSI_BP_VDI_SI*Phi_0_2+Phi_0_2_VSI_BP*Phi_0_2_VDI_SI+Phi_0_2_VDI_SI*Phi_0_2_VSI_BP+Phi_0_2*Phi_0_2_VSI_BP_VDI_SI)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VDI_SI+0.0*Phi0_Phi2_VSI_BP+1.98*Phi0_Phi2_VSI_BP_VDI_SI)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0)*(Phi_0_2_VDI_SI+((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
  Phi_sat_VSI_BP_VGP_SI=(Phi0_Phi2_VSI_BP_VGP_SI/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VSI_BP*(Phi_0_2_VGP_SI+((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*d10_sqrt0)+Phi0_Phi2_VGP_SI*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VSI_BP_VGP_SI+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))+d10_sqrt0*(+(+Phi_0_2_VSI_BP_VGP_SI*Phi_0_2+Phi_0_2_VSI_BP*Phi_0_2_VGP_SI+Phi_0_2_VGP_SI*Phi_0_2_VSI_BP+Phi_0_2*Phi_0_2_VSI_BP_VGP_SI)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VGP_SI+0.0*Phi0_Phi2_VSI_BP+1.98*Phi0_Phi2_VSI_BP_VGP_SI)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0)*(Phi_0_2_VGP_SI+((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
  Phi_sat_VSI_BP_VSI_BP=(Phi0_Phi2_VSI_BP_VSI_BP/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VSI_BP*(Phi_0_2_VSI_BP+((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*d10_sqrt0)+Phi0_Phi2_VSI_BP*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VSI_BP_VSI_BP+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))+d10_sqrt0*(+(+Phi_0_2_VSI_BP_VSI_BP*Phi_0_2+Phi_0_2_VSI_BP*Phi_0_2_VSI_BP+Phi_0_2_VSI_BP*Phi_0_2_VSI_BP+Phi_0_2*Phi_0_2_VSI_BP_VSI_BP)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VSI_BP+0.0*Phi0_Phi2_VSI_BP+1.98*Phi0_Phi2_VSI_BP_VSI_BP)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0)*(Phi_0_2_VSI_BP+((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
#endif
#endif
Phi_sat=(Phi0_Phi2/(Phi_0_2+d00_sqrt0));
EXIT_IF_ISNAN((Phi0_Phi2/(Phi_0_2+d00_sqrt0)))
}
{
double m00_logE(d00_logE0,(1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Vdsat_VDI_SI=(Phi_sat_VDI_SI-((phit1_VDI_SI*d00_logE0)+(pInst->phit1*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0)));
#if defined(_DERIVATE2)
  Vdsat_VDI_SI_VDI_SI=(+Phi_sat_VDI_SI_VDI_SI-(+phit1_VDI_SI_VDI_SI*d00_logE0+phit1_VDI_SI*((((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VDI_SI*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VDI_SI_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VDI_SI*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI))))+Phi_sat_VDI_SI*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))+Phi_sat*(+Phi_sat_VDI_SI_VDI_SI-(+(+0.0*asat+0.0*asat_VDI_SI+0.0*asat_VDI_SI+2.0*asat_VDI_SI_VDI_SI)*pInst->phit1+(2.0*asat_VDI_SI)*phit1_VDI_SI+((2.0*asat_VDI_SI))*phit1_VDI_SI+(2.0*asat)*phit1_VDI_SI_VDI_SI)))*inv_Gf2+((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2_VDI_SI+(((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2_VDI_SI+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI_VDI_SI)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))+((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VDI_SI_VDI_SI*pInst->phit1+phit1_VDI_SI*phit1_VDI_SI+phit1_VDI_SI*phit1_VDI_SI+pInst->phit1*phit1_VDI_SI_VDI_SI)*Ds+((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds_VDI_SI+(((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds_VDI_SI+(pInst->phit1*pInst->phit1)*Ds_VDI_SI_VDI_SI))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
  Vdsat_VDI_SI_VGP_SI=(+Phi_sat_VDI_SI_VGP_SI-(+phit1_VDI_SI_VGP_SI*d00_logE0+phit1_VDI_SI*((((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VGP_SI*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VDI_SI_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VDI_SI*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI))))+Phi_sat_VGP_SI*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))+Phi_sat*(+Phi_sat_VDI_SI_VGP_SI-(+(+0.0*asat+0.0*asat_VGP_SI+0.0*asat_VDI_SI+2.0*asat_VDI_SI_VGP_SI)*pInst->phit1+(2.0*asat_VDI_SI)*phit1_VGP_SI+((2.0*asat_VGP_SI))*phit1_VDI_SI+(2.0*asat)*phit1_VDI_SI_VGP_SI)))*inv_Gf2+((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2_VGP_SI+(((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2_VDI_SI+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI_VGP_SI)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))+((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VDI_SI_VGP_SI*pInst->phit1+phit1_VDI_SI*phit1_VGP_SI+phit1_VGP_SI*phit1_VDI_SI+pInst->phit1*phit1_VDI_SI_VGP_SI)*Ds+((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds_VGP_SI+(((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds_VDI_SI+(pInst->phit1*pInst->phit1)*Ds_VDI_SI_VGP_SI))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
  Vdsat_VDI_SI_VSI_BP=(+Phi_sat_VDI_SI_VSI_BP-(+phit1_VDI_SI_VSI_BP*d00_logE0+phit1_VDI_SI*((((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VSI_BP*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VDI_SI_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VDI_SI*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP))))+Phi_sat_VSI_BP*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))+Phi_sat*(+Phi_sat_VDI_SI_VSI_BP-(+(+0.0*asat+0.0*asat_VSI_BP+0.0*asat_VDI_SI+2.0*asat_VDI_SI_VSI_BP)*pInst->phit1+(2.0*asat_VDI_SI)*phit1_VSI_BP+((2.0*asat_VSI_BP))*phit1_VDI_SI+(2.0*asat)*phit1_VDI_SI_VSI_BP)))*inv_Gf2+((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2_VSI_BP+(((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2_VDI_SI+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI_VSI_BP)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))+((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VDI_SI_VSI_BP*pInst->phit1+phit1_VDI_SI*phit1_VSI_BP+phit1_VSI_BP*phit1_VDI_SI+pInst->phit1*phit1_VDI_SI_VSI_BP)*Ds+((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds_VSI_BP+(((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds_VDI_SI+(pInst->phit1*pInst->phit1)*Ds_VDI_SI_VSI_BP))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
#endif
Vdsat_VGP_SI=(Phi_sat_VGP_SI-((phit1_VGP_SI*d00_logE0)+(pInst->phit1*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0)));
#if defined(_DERIVATE2)
  Vdsat_VGP_SI_VDI_SI=(+Phi_sat_VGP_SI_VDI_SI-(+phit1_VGP_SI_VDI_SI*d00_logE0+phit1_VGP_SI*((((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VDI_SI*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VGP_SI_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VGP_SI*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI))))+Phi_sat_VDI_SI*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))+Phi_sat*(+Phi_sat_VGP_SI_VDI_SI-(+(+0.0*asat+0.0*asat_VDI_SI+0.0*asat_VGP_SI+2.0*asat_VGP_SI_VDI_SI)*pInst->phit1+(2.0*asat_VGP_SI)*phit1_VDI_SI+((2.0*asat_VDI_SI))*phit1_VGP_SI+(2.0*asat)*phit1_VGP_SI_VDI_SI)))*inv_Gf2+((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2_VDI_SI+(((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2_VGP_SI+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI_VDI_SI)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))+((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VGP_SI_VDI_SI*pInst->phit1+phit1_VGP_SI*phit1_VDI_SI+phit1_VDI_SI*phit1_VGP_SI+pInst->phit1*phit1_VGP_SI_VDI_SI)*Ds+((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds_VDI_SI+(((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds_VGP_SI+(pInst->phit1*pInst->phit1)*Ds_VGP_SI_VDI_SI))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
  Vdsat_VGP_SI_VGP_SI=(+Phi_sat_VGP_SI_VGP_SI-(+phit1_VGP_SI_VGP_SI*d00_logE0+phit1_VGP_SI*((((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VGP_SI*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VGP_SI_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VGP_SI*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI))))+Phi_sat_VGP_SI*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))+Phi_sat*(+Phi_sat_VGP_SI_VGP_SI-(+(+0.0*asat+0.0*asat_VGP_SI+0.0*asat_VGP_SI+2.0*asat_VGP_SI_VGP_SI)*pInst->phit1+(2.0*asat_VGP_SI)*phit1_VGP_SI+((2.0*asat_VGP_SI))*phit1_VGP_SI+(2.0*asat)*phit1_VGP_SI_VGP_SI)))*inv_Gf2+((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2_VGP_SI+(((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2_VGP_SI+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI_VGP_SI)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))+((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VGP_SI_VGP_SI*pInst->phit1+phit1_VGP_SI*phit1_VGP_SI+phit1_VGP_SI*phit1_VGP_SI+pInst->phit1*phit1_VGP_SI_VGP_SI)*Ds+((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds_VGP_SI+(((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds_VGP_SI+(pInst->phit1*pInst->phit1)*Ds_VGP_SI_VGP_SI))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
  Vdsat_VGP_SI_VSI_BP=(+Phi_sat_VGP_SI_VSI_BP-(+phit1_VGP_SI_VSI_BP*d00_logE0+phit1_VGP_SI*((((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VSI_BP*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VGP_SI_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VGP_SI*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP))))+Phi_sat_VSI_BP*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))+Phi_sat*(+Phi_sat_VGP_SI_VSI_BP-(+(+0.0*asat+0.0*asat_VSI_BP+0.0*asat_VGP_SI+2.0*asat_VGP_SI_VSI_BP)*pInst->phit1+(2.0*asat_VGP_SI)*phit1_VSI_BP+((2.0*asat_VSI_BP))*phit1_VGP_SI+(2.0*asat)*phit1_VGP_SI_VSI_BP)))*inv_Gf2+((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2_VSI_BP+(((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2_VGP_SI+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI_VSI_BP)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))+((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VGP_SI_VSI_BP*pInst->phit1+phit1_VGP_SI*phit1_VSI_BP+phit1_VSI_BP*phit1_VGP_SI+pInst->phit1*phit1_VGP_SI_VSI_BP)*Ds+((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds_VSI_BP+(((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds_VGP_SI+(pInst->phit1*pInst->phit1)*Ds_VGP_SI_VSI_BP))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
#endif
Vdsat_VSI_BP=(Phi_sat_VSI_BP-((phit1_VSI_BP*d00_logE0)+(pInst->phit1*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0)));
#if defined(_DERIVATE2)
  Vdsat_VSI_BP_VDI_SI=(+Phi_sat_VSI_BP_VDI_SI-(+phit1_VSI_BP_VDI_SI*d00_logE0+phit1_VSI_BP*((((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VDI_SI*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VSI_BP_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VSI_BP*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI))))+Phi_sat_VDI_SI*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))+Phi_sat*(+Phi_sat_VSI_BP_VDI_SI-(+(+0.0*asat+0.0*asat_VDI_SI+0.0*asat_VSI_BP+2.0*asat_VSI_BP_VDI_SI)*pInst->phit1+(2.0*asat_VSI_BP)*phit1_VDI_SI+((2.0*asat_VDI_SI))*phit1_VSI_BP+(2.0*asat)*phit1_VSI_BP_VDI_SI)))*inv_Gf2+((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2_VDI_SI+(((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2_VSI_BP+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP_VDI_SI)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))+((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VSI_BP_VDI_SI*pInst->phit1+phit1_VSI_BP*phit1_VDI_SI+phit1_VDI_SI*phit1_VSI_BP+pInst->phit1*phit1_VSI_BP_VDI_SI)*Ds+((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds_VDI_SI+(((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds_VSI_BP+(pInst->phit1*pInst->phit1)*Ds_VSI_BP_VDI_SI))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
  Vdsat_VSI_BP_VGP_SI=(+Phi_sat_VSI_BP_VGP_SI-(+phit1_VSI_BP_VGP_SI*d00_logE0+phit1_VSI_BP*((((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VGP_SI*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VSI_BP_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VSI_BP*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI))))+Phi_sat_VGP_SI*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))+Phi_sat*(+Phi_sat_VSI_BP_VGP_SI-(+(+0.0*asat+0.0*asat_VGP_SI+0.0*asat_VSI_BP+2.0*asat_VSI_BP_VGP_SI)*pInst->phit1+(2.0*asat_VSI_BP)*phit1_VGP_SI+((2.0*asat_VGP_SI))*phit1_VSI_BP+(2.0*asat)*phit1_VSI_BP_VGP_SI)))*inv_Gf2+((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2_VGP_SI+(((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2_VSI_BP+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP_VGP_SI)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))+((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VSI_BP_VGP_SI*pInst->phit1+phit1_VSI_BP*phit1_VGP_SI+phit1_VGP_SI*phit1_VSI_BP+pInst->phit1*phit1_VSI_BP_VGP_SI)*Ds+((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds_VGP_SI+(((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds_VSI_BP+(pInst->phit1*pInst->phit1)*Ds_VSI_BP_VGP_SI))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
  Vdsat_VSI_BP_VSI_BP=(+Phi_sat_VSI_BP_VSI_BP-(+phit1_VSI_BP_VSI_BP*d00_logE0+phit1_VSI_BP*((((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VSI_BP*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VSI_BP_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VSI_BP*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP))))+Phi_sat_VSI_BP*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))+Phi_sat*(+Phi_sat_VSI_BP_VSI_BP-(+(+0.0*asat+0.0*asat_VSI_BP+0.0*asat_VSI_BP+2.0*asat_VSI_BP_VSI_BP)*pInst->phit1+(2.0*asat_VSI_BP)*phit1_VSI_BP+((2.0*asat_VSI_BP))*phit1_VSI_BP+(2.0*asat)*phit1_VSI_BP_VSI_BP)))*inv_Gf2+((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2_VSI_BP+(((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2_VSI_BP+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP_VSI_BP)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))+((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VSI_BP_VSI_BP*pInst->phit1+phit1_VSI_BP*phit1_VSI_BP+phit1_VSI_BP*phit1_VSI_BP+pInst->phit1*phit1_VSI_BP_VSI_BP)*Ds+((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds_VSI_BP+(((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds_VSI_BP+(pInst->phit1*pInst->phit1)*Ds_VSI_BP_VSI_BP))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
#endif
#endif
Vdsat=(Phi_sat-(pInst->phit1*d00_logE0));
EXIT_IF_ISNAN((Phi_sat-(pInst->phit1*d00_logE0)))
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Vdsat_VDI_SI=Vdsat_lim_VDI_SI;
#if defined(_DERIVATE2)
  Vdsat_VDI_SI_VDI_SI=Vdsat_lim_VDI_SI_VDI_SI;
  Vdsat_VDI_SI_VGP_SI=Vdsat_lim_VDI_SI_VGP_SI;
  Vdsat_VDI_SI_VSI_BP=Vdsat_lim_VDI_SI_VSI_BP;
#endif
Vdsat_VGP_SI=Vdsat_lim_VGP_SI;
#if defined(_DERIVATE2)
  Vdsat_VGP_SI_VDI_SI=Vdsat_lim_VGP_SI_VDI_SI;
  Vdsat_VGP_SI_VGP_SI=Vdsat_lim_VGP_SI_VGP_SI;
  Vdsat_VGP_SI_VSI_BP=Vdsat_lim_VGP_SI_VSI_BP;
#endif
Vdsat_VSI_BP=Vdsat_lim_VSI_BP;
#if defined(_DERIVATE2)
  Vdsat_VSI_BP_VDI_SI=Vdsat_lim_VSI_BP_VDI_SI;
  Vdsat_VSI_BP_VGP_SI=Vdsat_lim_VSI_BP_VGP_SI;
  Vdsat_VSI_BP_VSI_BP=Vdsat_lim_VSI_BP_VSI_BP;
#endif
#endif
Vdsat=Vdsat_lim;
EXIT_IF_ISNAN(Vdsat_lim)
}
{
double m00_pow(d00_pow0,(Vds/Vdsat),axloc)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(Vds/Vdsat),axloc)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(d10_pow0*(-Vds*Vdsat_VGP_SI/Vdsat/Vdsat));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=fixme;
  temp_VGP_SI_VDI_SI=fixme;
  temp_VGP_SI_VSI_BP=fixme;
#endif
temp_VDI_SI=(d10_pow0*((Vds_VDI_SI*Vdsat-Vds*Vdsat_VDI_SI)/Vdsat/Vdsat));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=fixme;
  temp_VDI_SI_VDI_SI=fixme;
  temp_VDI_SI_VSI_BP=fixme;
#endif
temp_VSI_BP=(d10_pow0*(-Vds*Vdsat_VSI_BP/Vdsat/Vdsat));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=fixme;
  temp_VSI_BP_VDI_SI=fixme;
  temp_VSI_BP_VSI_BP=fixme;
#endif
#endif
temp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=0.0;
  temp1_VDI_SI_VGP_SI=0.0;
  temp1_VDI_SI_VSI_BP=0.0;
#endif
temp1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=0.0;
  temp1_VGP_SI_VGP_SI=0.0;
  temp1_VGP_SI_VSI_BP=0.0;
#endif
temp1_VSI_BP=0.0;
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=0.0;
  temp1_VSI_BP_VGP_SI=0.0;
  temp1_VSI_BP_VSI_BP=0.0;
#endif
#endif
pInst->temp1=((-1.0)/axloc);
EXIT_IF_ISNAN(((-1.0)/axloc))
{
double m00_pow(d00_pow0,(1.0+temp),pInst->temp1)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0+temp),pInst->temp1)
double m11_pow(d11_pow0,d00_pow0,(1.0+temp),pInst->temp1)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vdse_VGP_SI=(Vds*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI));
#if defined(_DERIVATE2)
  Vdse_VGP_SI_VGP_SI=(+0.0*d00_pow0+0.0*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI)+0.0*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI)+Vds*fixme);
  Vdse_VGP_SI_VSI_BP=(+0.0*d00_pow0+0.0*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP)+0.0*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI)+Vds*fixme);
  Vdse_VGP_SI_VDI_SI=(+0.0*d00_pow0+0.0*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)+Vds_VDI_SI*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI)+Vds*fixme);
#endif
Vdse_VSI_BP=(Vds*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP));
#if defined(_DERIVATE2)
  Vdse_VSI_BP_VGP_SI=(+0.0*d00_pow0+0.0*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI)+0.0*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP)+Vds*fixme);
  Vdse_VSI_BP_VSI_BP=(+0.0*d00_pow0+0.0*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP)+0.0*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP)+Vds*fixme);
  Vdse_VSI_BP_VDI_SI=(+0.0*d00_pow0+0.0*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)+Vds_VDI_SI*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP)+Vds*fixme);
#endif
Vdse_VDI_SI=((Vds_VDI_SI*d00_pow0)+(Vds*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)));
#if defined(_DERIVATE2)
  Vdse_VDI_SI_VGP_SI=(+0.0*d00_pow0+Vds_VDI_SI*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI)+0.0*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)+Vds*fixme);
  Vdse_VDI_SI_VSI_BP=(+0.0*d00_pow0+Vds_VDI_SI*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP)+0.0*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)+Vds*fixme);
  Vdse_VDI_SI_VDI_SI=(+Vds_VDI_SI_VDI_SI*d00_pow0+Vds_VDI_SI*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)+Vds_VDI_SI*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)+Vds*fixme);
#endif
#endif
Vdse=(Vds*d00_pow0);
EXIT_IF_ISNAN((Vds*d00_pow0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Udse_VGP_SI=((Vdse_VGP_SI*inv_phit1)+(Vdse*inv_phit1_VGP_SI));
#if defined(_DERIVATE2)
  Udse_VGP_SI_VGP_SI=(+Vdse_VGP_SI_VGP_SI*inv_phit1+Vdse_VGP_SI*inv_phit1_VGP_SI+Vdse_VGP_SI*inv_phit1_VGP_SI+Vdse*inv_phit1_VGP_SI_VGP_SI);
  Udse_VGP_SI_VSI_BP=(+Vdse_VGP_SI_VSI_BP*inv_phit1+Vdse_VGP_SI*inv_phit1_VSI_BP+Vdse_VSI_BP*inv_phit1_VGP_SI+Vdse*inv_phit1_VGP_SI_VSI_BP);
  Udse_VGP_SI_VDI_SI=(+Vdse_VGP_SI_VDI_SI*inv_phit1+Vdse_VGP_SI*inv_phit1_VDI_SI+Vdse_VDI_SI*inv_phit1_VGP_SI+Vdse*inv_phit1_VGP_SI_VDI_SI);
#endif
Udse_VSI_BP=((Vdse_VSI_BP*inv_phit1)+(Vdse*inv_phit1_VSI_BP));
#if defined(_DERIVATE2)
  Udse_VSI_BP_VGP_SI=(+Vdse_VSI_BP_VGP_SI*inv_phit1+Vdse_VSI_BP*inv_phit1_VGP_SI+Vdse_VGP_SI*inv_phit1_VSI_BP+Vdse*inv_phit1_VSI_BP_VGP_SI);
  Udse_VSI_BP_VSI_BP=(+Vdse_VSI_BP_VSI_BP*inv_phit1+Vdse_VSI_BP*inv_phit1_VSI_BP+Vdse_VSI_BP*inv_phit1_VSI_BP+Vdse*inv_phit1_VSI_BP_VSI_BP);
  Udse_VSI_BP_VDI_SI=(+Vdse_VSI_BP_VDI_SI*inv_phit1+Vdse_VSI_BP*inv_phit1_VDI_SI+Vdse_VDI_SI*inv_phit1_VSI_BP+Vdse*inv_phit1_VSI_BP_VDI_SI);
#endif
Udse_VDI_SI=((Vdse_VDI_SI*inv_phit1)+(Vdse*inv_phit1_VDI_SI));
#if defined(_DERIVATE2)
  Udse_VDI_SI_VGP_SI=(+Vdse_VDI_SI_VGP_SI*inv_phit1+Vdse_VDI_SI*inv_phit1_VGP_SI+Vdse_VGP_SI*inv_phit1_VDI_SI+Vdse*inv_phit1_VDI_SI_VGP_SI);
  Udse_VDI_SI_VSI_BP=(+Vdse_VDI_SI_VSI_BP*inv_phit1+Vdse_VDI_SI*inv_phit1_VSI_BP+Vdse_VSI_BP*inv_phit1_VDI_SI+Vdse*inv_phit1_VDI_SI_VSI_BP);
  Udse_VDI_SI_VDI_SI=(+Vdse_VDI_SI_VDI_SI*inv_phit1+Vdse_VDI_SI*inv_phit1_VDI_SI+Vdse_VDI_SI*inv_phit1_VDI_SI+Vdse*inv_phit1_VDI_SI_VDI_SI);
#endif
#endif
Udse=(Vdse*inv_phit1);
EXIT_IF_ISNAN((Vdse*inv_phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xn_d_VDI_SI=(xn_s_VDI_SI+Udse_VDI_SI);
#if defined(_DERIVATE2)
  xn_d_VDI_SI_VDI_SI=(+xn_s_VDI_SI_VDI_SI+Udse_VDI_SI_VDI_SI);
  xn_d_VDI_SI_VGP_SI=(+xn_s_VDI_SI_VGP_SI+Udse_VDI_SI_VGP_SI);
  xn_d_VDI_SI_VSI_BP=(+xn_s_VDI_SI_VSI_BP+Udse_VDI_SI_VSI_BP);
#endif
xn_d_VGP_SI=(xn_s_VGP_SI+Udse_VGP_SI);
#if defined(_DERIVATE2)
  xn_d_VGP_SI_VDI_SI=(+xn_s_VGP_SI_VDI_SI+Udse_VGP_SI_VDI_SI);
  xn_d_VGP_SI_VGP_SI=(+xn_s_VGP_SI_VGP_SI+Udse_VGP_SI_VGP_SI);
  xn_d_VGP_SI_VSI_BP=(+xn_s_VGP_SI_VSI_BP+Udse_VGP_SI_VSI_BP);
#endif
xn_d_VSI_BP=(xn_s_VSI_BP+Udse_VSI_BP);
#if defined(_DERIVATE2)
  xn_d_VSI_BP_VDI_SI=(+xn_s_VSI_BP_VDI_SI+Udse_VSI_BP_VDI_SI);
  xn_d_VSI_BP_VGP_SI=(+xn_s_VSI_BP_VGP_SI+Udse_VSI_BP_VGP_SI);
  xn_d_VSI_BP_VSI_BP=(+xn_s_VSI_BP_VSI_BP+Udse_VSI_BP_VSI_BP);
#endif
#endif
xn_d=(xn_s+Udse);
EXIT_IF_ISNAN((xn_s+Udse))
if
((Udse<4.6051701859880916e+02))
{
{
double m00_exp(d00_exp0,(-Udse))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
k_ds_VGP_SI=(-Udse_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  k_ds_VGP_SI_VGP_SI=(m20_exp((-Udse))*(-Udse_VGP_SI)*(-Udse_VGP_SI)+d10_exp0*0.0);
  k_ds_VGP_SI_VSI_BP=(m20_exp((-Udse))*(-Udse_VSI_BP)*(-Udse_VGP_SI)+d10_exp0*0.0);
  k_ds_VGP_SI_VDI_SI=(m20_exp((-Udse))*(-Udse_VDI_SI)*(-Udse_VGP_SI)+d10_exp0*0.0);
#endif
k_ds_VSI_BP=(-Udse_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  k_ds_VSI_BP_VGP_SI=(m20_exp((-Udse))*(-Udse_VGP_SI)*(-Udse_VSI_BP)+d10_exp0*0.0);
  k_ds_VSI_BP_VSI_BP=(m20_exp((-Udse))*(-Udse_VSI_BP)*(-Udse_VSI_BP)+d10_exp0*0.0);
  k_ds_VSI_BP_VDI_SI=(m20_exp((-Udse))*(-Udse_VDI_SI)*(-Udse_VSI_BP)+d10_exp0*0.0);
#endif
k_ds_VDI_SI=(-Udse_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  k_ds_VDI_SI_VGP_SI=(m20_exp((-Udse))*(-Udse_VGP_SI)*(-Udse_VDI_SI)+d10_exp0*0.0);
  k_ds_VDI_SI_VSI_BP=(m20_exp((-Udse))*(-Udse_VSI_BP)*(-Udse_VDI_SI)+d10_exp0*0.0);
  k_ds_VDI_SI_VDI_SI=(m20_exp((-Udse))*(-Udse_VDI_SI)*(-Udse_VDI_SI)+d10_exp0*0.0);
#endif
#endif
k_ds=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
k_ds_VGP_SI=(-1.0e-200*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  k_ds_VGP_SI_VGP_SI=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VGP_SI*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01))))))+Udse_VGP_SI*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01))))+0.0*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01))+0.5*(+(+Udse_VGP_SI_VGP_SI-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VGP_SI*(Udse_VGP_SI*3.3333333333333333e-01)+Udse_VGP_SI*Udse_VGP_SI*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+Udse_VGP_SI*0.0+Udse_VGP_SI*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))*(((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  k_ds_VGP_SI_VSI_BP=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VGP_SI*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01))))))+Udse_VSI_BP*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01))))+0.0*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01))+0.5*(+(+Udse_VGP_SI_VSI_BP-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VGP_SI*(Udse_VSI_BP*3.3333333333333333e-01)+Udse_VSI_BP*Udse_VGP_SI*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+Udse_VGP_SI*0.0+Udse_VSI_BP*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))*(((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  k_ds_VGP_SI_VDI_SI=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VGP_SI*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01))))))+Udse_VDI_SI*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01))))+0.0*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01))+0.5*(+(+Udse_VGP_SI_VDI_SI-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VGP_SI*(Udse_VDI_SI*3.3333333333333333e-01)+Udse_VDI_SI*Udse_VGP_SI*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+Udse_VGP_SI*0.0+Udse_VDI_SI*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))*(((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#endif
k_ds_VSI_BP=(-1.0e-200*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  k_ds_VSI_BP_VGP_SI=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VSI_BP*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01))))))+Udse_VGP_SI*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01))))+0.0*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01))+0.5*(+(+Udse_VSI_BP_VGP_SI-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VSI_BP*(Udse_VGP_SI*3.3333333333333333e-01)+Udse_VGP_SI*Udse_VSI_BP*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+Udse_VSI_BP*0.0+Udse_VGP_SI*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))*(((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  k_ds_VSI_BP_VSI_BP=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VSI_BP*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01))))))+Udse_VSI_BP*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01))))+0.0*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01))+0.5*(+(+Udse_VSI_BP_VSI_BP-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VSI_BP*(Udse_VSI_BP*3.3333333333333333e-01)+Udse_VSI_BP*Udse_VSI_BP*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+Udse_VSI_BP*0.0+Udse_VSI_BP*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))*(((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  k_ds_VSI_BP_VDI_SI=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VSI_BP*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01))))))+Udse_VDI_SI*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01))))+0.0*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01))+0.5*(+(+Udse_VSI_BP_VDI_SI-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VSI_BP*(Udse_VDI_SI*3.3333333333333333e-01)+Udse_VDI_SI*Udse_VSI_BP*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+Udse_VSI_BP*0.0+Udse_VDI_SI*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))*(((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#endif
k_ds_VDI_SI=(-1.0e-200*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  k_ds_VDI_SI_VGP_SI=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VDI_SI*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01))))))+Udse_VGP_SI*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01))))+0.0*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01))+0.5*(+(+Udse_VDI_SI_VGP_SI-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VDI_SI*(Udse_VGP_SI*3.3333333333333333e-01)+Udse_VGP_SI*Udse_VDI_SI*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+Udse_VDI_SI*0.0+Udse_VGP_SI*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))*(((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  k_ds_VDI_SI_VSI_BP=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VDI_SI*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01))))))+Udse_VSI_BP*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01))))+0.0*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01))+0.5*(+(+Udse_VDI_SI_VSI_BP-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VDI_SI*(Udse_VSI_BP*3.3333333333333333e-01)+Udse_VSI_BP*Udse_VDI_SI*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+Udse_VDI_SI*0.0+Udse_VSI_BP*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))*(((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  k_ds_VDI_SI_VDI_SI=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VDI_SI*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01))))))+Udse_VDI_SI*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01))))+0.0*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01))+0.5*(+(+Udse_VDI_SI_VDI_SI-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VDI_SI*(Udse_VDI_SI*3.3333333333333333e-01)+Udse_VDI_SI*Udse_VDI_SI*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+Udse_VDI_SI*0.0+Udse_VDI_SI*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))*(((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#endif
#endif
k_ds=(1.0e-200/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-200/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
delta_nd_VDI_SI=((delta_ns_VDI_SI*k_ds)+(delta_ns*k_ds_VDI_SI));
#if defined(_DERIVATE2)
  delta_nd_VDI_SI_VDI_SI=(+delta_ns_VDI_SI_VDI_SI*k_ds+delta_ns_VDI_SI*k_ds_VDI_SI+delta_ns_VDI_SI*k_ds_VDI_SI+delta_ns*k_ds_VDI_SI_VDI_SI);
  delta_nd_VDI_SI_VGP_SI=(+delta_ns_VDI_SI_VGP_SI*k_ds+delta_ns_VDI_SI*k_ds_VGP_SI+delta_ns_VGP_SI*k_ds_VDI_SI+delta_ns*k_ds_VDI_SI_VGP_SI);
  delta_nd_VDI_SI_VSI_BP=(+delta_ns_VDI_SI_VSI_BP*k_ds+delta_ns_VDI_SI*k_ds_VSI_BP+delta_ns_VSI_BP*k_ds_VDI_SI+delta_ns*k_ds_VDI_SI_VSI_BP);
#endif
delta_nd_VGP_SI=((delta_ns_VGP_SI*k_ds)+(delta_ns*k_ds_VGP_SI));
#if defined(_DERIVATE2)
  delta_nd_VGP_SI_VDI_SI=(+delta_ns_VGP_SI_VDI_SI*k_ds+delta_ns_VGP_SI*k_ds_VDI_SI+delta_ns_VDI_SI*k_ds_VGP_SI+delta_ns*k_ds_VGP_SI_VDI_SI);
  delta_nd_VGP_SI_VGP_SI=(+delta_ns_VGP_SI_VGP_SI*k_ds+delta_ns_VGP_SI*k_ds_VGP_SI+delta_ns_VGP_SI*k_ds_VGP_SI+delta_ns*k_ds_VGP_SI_VGP_SI);
  delta_nd_VGP_SI_VSI_BP=(+delta_ns_VGP_SI_VSI_BP*k_ds+delta_ns_VGP_SI*k_ds_VSI_BP+delta_ns_VSI_BP*k_ds_VGP_SI+delta_ns*k_ds_VGP_SI_VSI_BP);
#endif
delta_nd_VSI_BP=((delta_ns_VSI_BP*k_ds)+(delta_ns*k_ds_VSI_BP));
#if defined(_DERIVATE2)
  delta_nd_VSI_BP_VDI_SI=(+delta_ns_VSI_BP_VDI_SI*k_ds+delta_ns_VSI_BP*k_ds_VDI_SI+delta_ns_VDI_SI*k_ds_VSI_BP+delta_ns*k_ds_VSI_BP_VDI_SI);
  delta_nd_VSI_BP_VGP_SI=(+delta_ns_VSI_BP_VGP_SI*k_ds+delta_ns_VSI_BP*k_ds_VGP_SI+delta_ns_VGP_SI*k_ds_VSI_BP+delta_ns*k_ds_VSI_BP_VGP_SI);
  delta_nd_VSI_BP_VSI_BP=(+delta_ns_VSI_BP_VSI_BP*k_ds+delta_ns_VSI_BP*k_ds_VSI_BP+delta_ns_VSI_BP*k_ds_VSI_BP+delta_ns*k_ds_VSI_BP_VSI_BP);
#endif
#endif
delta_nd=(delta_ns*k_ds);
EXIT_IF_ISNAN((delta_ns*k_ds))
{
double m00_fabs(d00_fabs0,xg)
if
((d00_fabs0<=margin))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp1_VDI_SI=((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  SP_S_temp1_VDI_SI_VDI_SI=(+(+(+inv_xi_VDI_SI_VDI_SI*inv_xi+inv_xi_VDI_SI*inv_xi_VDI_SI+inv_xi_VDI_SI*inv_xi_VDI_SI+inv_xi*inv_xi_VDI_SI_VDI_SI)*1.6666666666666667e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*0.0+(((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VDI_SI_VGP_SI=(+(+(+inv_xi_VDI_SI_VGP_SI*inv_xi+inv_xi_VDI_SI*inv_xi_VGP_SI+inv_xi_VGP_SI*inv_xi_VDI_SI+inv_xi*inv_xi_VDI_SI_VGP_SI)*1.6666666666666667e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*0.0+(((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VDI_SI_VSI_BP=(+(+(+inv_xi_VDI_SI_VSI_BP*inv_xi+inv_xi_VDI_SI*inv_xi_VSI_BP+inv_xi_VSI_BP*inv_xi_VDI_SI+inv_xi*inv_xi_VDI_SI_VSI_BP)*1.6666666666666667e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*0.0+(((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
#endif
SP_S_temp1_VGP_SI=((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  SP_S_temp1_VGP_SI_VDI_SI=(+(+(+inv_xi_VGP_SI_VDI_SI*inv_xi+inv_xi_VGP_SI*inv_xi_VDI_SI+inv_xi_VDI_SI*inv_xi_VGP_SI+inv_xi*inv_xi_VGP_SI_VDI_SI)*1.6666666666666667e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*0.0+(((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VGP_SI_VGP_SI=(+(+(+inv_xi_VGP_SI_VGP_SI*inv_xi+inv_xi_VGP_SI*inv_xi_VGP_SI+inv_xi_VGP_SI*inv_xi_VGP_SI+inv_xi*inv_xi_VGP_SI_VGP_SI)*1.6666666666666667e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*0.0+(((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VGP_SI_VSI_BP=(+(+(+inv_xi_VGP_SI_VSI_BP*inv_xi+inv_xi_VGP_SI*inv_xi_VSI_BP+inv_xi_VSI_BP*inv_xi_VGP_SI+inv_xi*inv_xi_VGP_SI_VSI_BP)*1.6666666666666667e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*0.0+(((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
#endif
SP_S_temp1_VSI_BP=((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  SP_S_temp1_VSI_BP_VDI_SI=(+(+(+inv_xi_VSI_BP_VDI_SI*inv_xi+inv_xi_VSI_BP*inv_xi_VDI_SI+inv_xi_VDI_SI*inv_xi_VSI_BP+inv_xi*inv_xi_VSI_BP_VDI_SI)*1.6666666666666667e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*0.0+(((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*0.0+((((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VSI_BP_VGP_SI=(+(+(+inv_xi_VSI_BP_VGP_SI*inv_xi+inv_xi_VSI_BP*inv_xi_VGP_SI+inv_xi_VGP_SI*inv_xi_VSI_BP+inv_xi*inv_xi_VSI_BP_VGP_SI)*1.6666666666666667e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*0.0+(((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*0.0+((((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VSI_BP_VSI_BP=(+(+(+inv_xi_VSI_BP_VSI_BP*inv_xi+inv_xi_VSI_BP*inv_xi_VSI_BP+inv_xi_VSI_BP*inv_xi_VSI_BP+inv_xi*inv_xi_VSI_BP_VSI_BP)*1.6666666666666667e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*0.0+(((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*0.0+((((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
#endif
#endif
SP_S_temp1=(((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
EXIT_IF_ISNAN((((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_d_VDI_SI=((((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)))+((xg*inv_xi)*((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI))));
#if defined(_DERIVATE2)
  x_d_VDI_SI_VDI_SI=(+(+xg_VDI_SI_VDI_SI*inv_xi+xg_VDI_SI*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VDI_SI)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VDI_SI_VDI_SI*(1.0-delta_nd)+xg_VDI_SI*(-delta_nd_VDI_SI)+xg_VDI_SI*(-delta_nd_VDI_SI)+xg*(+0.0-delta_nd_VDI_SI_VDI_SI))*Gf+((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf_VDI_SI+(((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf_VDI_SI+(xg*(1.0-delta_nd))*Gf_VDI_SI_VDI_SI)*SP_S_temp1+((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1_VDI_SI+((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI)))*SP_S_temp1_VDI_SI+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI_VDI_SI)));
  x_d_VDI_SI_VGP_SI=(+(+xg_VDI_SI_VGP_SI*inv_xi+xg_VDI_SI*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VGP_SI)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VDI_SI_VGP_SI*(1.0-delta_nd)+xg_VDI_SI*(-delta_nd_VGP_SI)+xg_VGP_SI*(-delta_nd_VDI_SI)+xg*(+0.0-delta_nd_VDI_SI_VGP_SI))*Gf+((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf_VGP_SI+(((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf_VDI_SI+(xg*(1.0-delta_nd))*Gf_VDI_SI_VGP_SI)*SP_S_temp1+((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1_VGP_SI+((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI)))*SP_S_temp1_VDI_SI+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI_VGP_SI)));
  x_d_VDI_SI_VSI_BP=(+(+xg_VDI_SI_VSI_BP*inv_xi+xg_VDI_SI*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VSI_BP)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VDI_SI_VSI_BP*(1.0-delta_nd)+xg_VDI_SI*(-delta_nd_VSI_BP)+xg_VSI_BP*(-delta_nd_VDI_SI)+xg*(+0.0-delta_nd_VDI_SI_VSI_BP))*Gf+((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf_VSI_BP+(((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf_VDI_SI+(xg*(1.0-delta_nd))*Gf_VDI_SI_VSI_BP)*SP_S_temp1+((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1_VSI_BP+((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP)))*SP_S_temp1_VDI_SI+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI_VSI_BP)));
#endif
x_d_VGP_SI=((((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)))+((xg*inv_xi)*((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI))));
#if defined(_DERIVATE2)
  x_d_VGP_SI_VDI_SI=(+(+xg_VGP_SI_VDI_SI*inv_xi+xg_VGP_SI*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VDI_SI)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VGP_SI_VDI_SI*(1.0-delta_nd)+xg_VGP_SI*(-delta_nd_VDI_SI)+xg_VDI_SI*(-delta_nd_VGP_SI)+xg*(+0.0-delta_nd_VGP_SI_VDI_SI))*Gf+((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf_VDI_SI+(((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf_VGP_SI+(xg*(1.0-delta_nd))*Gf_VGP_SI_VDI_SI)*SP_S_temp1+((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1_VDI_SI+((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI)))*SP_S_temp1_VGP_SI+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI_VDI_SI)));
  x_d_VGP_SI_VGP_SI=(+(+xg_VGP_SI_VGP_SI*inv_xi+xg_VGP_SI*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VGP_SI)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VGP_SI_VGP_SI*(1.0-delta_nd)+xg_VGP_SI*(-delta_nd_VGP_SI)+xg_VGP_SI*(-delta_nd_VGP_SI)+xg*(+0.0-delta_nd_VGP_SI_VGP_SI))*Gf+((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf_VGP_SI+(((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf_VGP_SI+(xg*(1.0-delta_nd))*Gf_VGP_SI_VGP_SI)*SP_S_temp1+((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1_VGP_SI+((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI)))*SP_S_temp1_VGP_SI+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI_VGP_SI)));
  x_d_VGP_SI_VSI_BP=(+(+xg_VGP_SI_VSI_BP*inv_xi+xg_VGP_SI*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VSI_BP)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VGP_SI_VSI_BP*(1.0-delta_nd)+xg_VGP_SI*(-delta_nd_VSI_BP)+xg_VSI_BP*(-delta_nd_VGP_SI)+xg*(+0.0-delta_nd_VGP_SI_VSI_BP))*Gf+((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf_VSI_BP+(((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf_VGP_SI+(xg*(1.0-delta_nd))*Gf_VGP_SI_VSI_BP)*SP_S_temp1+((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1_VSI_BP+((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP)))*SP_S_temp1_VGP_SI+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI_VSI_BP)));
#endif
x_d_VSI_BP=((((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)))+((xg*inv_xi)*((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP))));
#if defined(_DERIVATE2)
  x_d_VSI_BP_VDI_SI=(+(+xg_VSI_BP_VDI_SI*inv_xi+xg_VSI_BP*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VDI_SI)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP))+(xg*inv_xi)*(+0.0+(+(+(+xg_VSI_BP_VDI_SI*(1.0-delta_nd)+xg_VSI_BP*(-delta_nd_VDI_SI)+xg_VDI_SI*(-delta_nd_VSI_BP)+xg*(+0.0-delta_nd_VSI_BP_VDI_SI))*Gf+((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf_VDI_SI+(((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf_VSI_BP+(xg*(1.0-delta_nd))*Gf_VSI_BP_VDI_SI)*SP_S_temp1+((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1_VDI_SI+((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI)))*SP_S_temp1_VSI_BP+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP_VDI_SI)));
  x_d_VSI_BP_VGP_SI=(+(+xg_VSI_BP_VGP_SI*inv_xi+xg_VSI_BP*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VGP_SI)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP))+(xg*inv_xi)*(+0.0+(+(+(+xg_VSI_BP_VGP_SI*(1.0-delta_nd)+xg_VSI_BP*(-delta_nd_VGP_SI)+xg_VGP_SI*(-delta_nd_VSI_BP)+xg*(+0.0-delta_nd_VSI_BP_VGP_SI))*Gf+((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf_VGP_SI+(((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf_VSI_BP+(xg*(1.0-delta_nd))*Gf_VSI_BP_VGP_SI)*SP_S_temp1+((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1_VGP_SI+((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI)))*SP_S_temp1_VSI_BP+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP_VGP_SI)));
  x_d_VSI_BP_VSI_BP=(+(+xg_VSI_BP_VSI_BP*inv_xi+xg_VSI_BP*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VSI_BP)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP))+(xg*inv_xi)*(+0.0+(+(+(+xg_VSI_BP_VSI_BP*(1.0-delta_nd)+xg_VSI_BP*(-delta_nd_VSI_BP)+xg_VSI_BP*(-delta_nd_VSI_BP)+xg*(+0.0-delta_nd_VSI_BP_VSI_BP))*Gf+((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf_VSI_BP+(((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf_VSI_BP+(xg*(1.0-delta_nd))*Gf_VSI_BP_VSI_BP)*SP_S_temp1+((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1_VSI_BP+((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP)))*SP_S_temp1_VSI_BP+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP_VSI_BP)));
#endif
#endif
x_d=((xg*inv_xi)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)));
EXIT_IF_ISNAN(((xg*inv_xi)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_bx_VDI_SI=xn_d_VDI_SI;
#if defined(_DERIVATE2)
  SP_S_bx_VDI_SI_VDI_SI=(+xn_d_VDI_SI_VDI_SI+0.0);
  SP_S_bx_VDI_SI_VGP_SI=(+xn_d_VDI_SI_VGP_SI+0.0);
  SP_S_bx_VDI_SI_VSI_BP=(+xn_d_VDI_SI_VSI_BP+0.0);
#endif
SP_S_bx_VGP_SI=xn_d_VGP_SI;
#if defined(_DERIVATE2)
  SP_S_bx_VGP_SI_VDI_SI=(+xn_d_VGP_SI_VDI_SI+0.0);
  SP_S_bx_VGP_SI_VGP_SI=(+xn_d_VGP_SI_VGP_SI+0.0);
  SP_S_bx_VGP_SI_VSI_BP=(+xn_d_VGP_SI_VSI_BP+0.0);
#endif
SP_S_bx_VSI_BP=xn_d_VSI_BP;
#if defined(_DERIVATE2)
  SP_S_bx_VSI_BP_VDI_SI=(+xn_d_VSI_BP_VDI_SI+0.0);
  SP_S_bx_VSI_BP_VGP_SI=(+xn_d_VSI_BP_VGP_SI+0.0);
  SP_S_bx_VSI_BP_VSI_BP=(+xn_d_VSI_BP_VSI_BP+0.0);
#endif
#endif
SP_S_bx=(xn_d+3);
EXIT_IF_ISNAN((xn_d+3))
{
double m00_sqrt(d00_sqrt0,(((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))
double m00_sqrt(d00_sqrt1,((SP_S_bx*SP_S_bx)+5.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))
double m10_sqrt(d10_sqrt1,d00_sqrt1,((SP_S_bx*SP_S_bx)+5.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_eta_VDI_SI=((0.5*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0))-(0.5*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)));
#if defined(_DERIVATE2)
  SP_S_eta_VDI_SI_VDI_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VDI_SI_VDI_SI+SP_S_bx_VDI_SI_VDI_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VDI_SI_VDI_SI-SP_S_bx_VDI_SI_VDI_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VDI_SI_VDI_SI-SP_S_bx_VDI_SI_VDI_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VDI_SI-(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VDI_SI_VDI_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))+d10_sqrt1*(+(+SP_S_bx_VDI_SI_VDI_SI*SP_S_bx+SP_S_bx_VDI_SI*SP_S_bx_VDI_SI+SP_S_bx_VDI_SI*SP_S_bx_VDI_SI+SP_S_bx*SP_S_bx_VDI_SI_VDI_SI)+0.0)))));
  SP_S_eta_VDI_SI_VGP_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VDI_SI_VGP_SI+SP_S_bx_VDI_SI_VGP_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VDI_SI_VGP_SI-SP_S_bx_VDI_SI_VGP_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VDI_SI_VGP_SI-SP_S_bx_VDI_SI_VGP_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VGP_SI-(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VDI_SI_VGP_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))+d10_sqrt1*(+(+SP_S_bx_VDI_SI_VGP_SI*SP_S_bx+SP_S_bx_VDI_SI*SP_S_bx_VGP_SI+SP_S_bx_VGP_SI*SP_S_bx_VDI_SI+SP_S_bx*SP_S_bx_VDI_SI_VGP_SI)+0.0)))));
  SP_S_eta_VDI_SI_VSI_BP=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*d10_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VDI_SI_VSI_BP+SP_S_bx_VDI_SI_VSI_BP)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VDI_SI_VSI_BP-SP_S_bx_VDI_SI_VSI_BP)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VDI_SI_VSI_BP-SP_S_bx_VDI_SI_VSI_BP))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VSI_BP-(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*d10_sqrt1)+0.0*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VDI_SI_VSI_BP-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))+d10_sqrt1*(+(+SP_S_bx_VDI_SI_VSI_BP*SP_S_bx+SP_S_bx_VDI_SI*SP_S_bx_VSI_BP+SP_S_bx_VSI_BP*SP_S_bx_VDI_SI+SP_S_bx*SP_S_bx_VDI_SI_VSI_BP)+0.0)))));
#endif
SP_S_eta_VGP_SI=((0.5*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0))-(0.5*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)));
#if defined(_DERIVATE2)
  SP_S_eta_VGP_SI_VDI_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VGP_SI_VDI_SI+SP_S_bx_VGP_SI_VDI_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VGP_SI_VDI_SI-SP_S_bx_VGP_SI_VDI_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VGP_SI_VDI_SI-SP_S_bx_VGP_SI_VDI_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VDI_SI-(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VGP_SI_VDI_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))+d10_sqrt1*(+(+SP_S_bx_VGP_SI_VDI_SI*SP_S_bx+SP_S_bx_VGP_SI*SP_S_bx_VDI_SI+SP_S_bx_VDI_SI*SP_S_bx_VGP_SI+SP_S_bx*SP_S_bx_VGP_SI_VDI_SI)+0.0)))));
  SP_S_eta_VGP_SI_VGP_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VGP_SI_VGP_SI+SP_S_bx_VGP_SI_VGP_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VGP_SI_VGP_SI-SP_S_bx_VGP_SI_VGP_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VGP_SI_VGP_SI-SP_S_bx_VGP_SI_VGP_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VGP_SI-(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VGP_SI_VGP_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))+d10_sqrt1*(+(+SP_S_bx_VGP_SI_VGP_SI*SP_S_bx+SP_S_bx_VGP_SI*SP_S_bx_VGP_SI+SP_S_bx_VGP_SI*SP_S_bx_VGP_SI+SP_S_bx*SP_S_bx_VGP_SI_VGP_SI)+0.0)))));
  SP_S_eta_VGP_SI_VSI_BP=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*d10_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VGP_SI_VSI_BP+SP_S_bx_VGP_SI_VSI_BP)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VGP_SI_VSI_BP-SP_S_bx_VGP_SI_VSI_BP)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VGP_SI_VSI_BP-SP_S_bx_VGP_SI_VSI_BP))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VSI_BP-(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*d10_sqrt1)+0.0*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VGP_SI_VSI_BP-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))+d10_sqrt1*(+(+SP_S_bx_VGP_SI_VSI_BP*SP_S_bx+SP_S_bx_VGP_SI*SP_S_bx_VSI_BP+SP_S_bx_VSI_BP*SP_S_bx_VGP_SI+SP_S_bx*SP_S_bx_VGP_SI_VSI_BP)+0.0)))));
#endif
SP_S_eta_VSI_BP=((0.5*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0))-(0.5*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)));
#if defined(_DERIVATE2)
  SP_S_eta_VSI_BP_VDI_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VSI_BP_VDI_SI+SP_S_bx_VSI_BP_VDI_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))+d10_sqrt0*(+(+(+SP_S_x1_VSI_BP_VDI_SI-SP_S_bx_VSI_BP_VDI_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VSI_BP_VDI_SI-SP_S_bx_VSI_BP_VDI_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VDI_SI-(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)+0.5*(+SP_S_bx_VSI_BP_VDI_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))+d10_sqrt1*(+(+SP_S_bx_VSI_BP_VDI_SI*SP_S_bx+SP_S_bx_VSI_BP*SP_S_bx_VDI_SI+SP_S_bx_VDI_SI*SP_S_bx_VSI_BP+SP_S_bx*SP_S_bx_VSI_BP_VDI_SI)+0.0)))));
  SP_S_eta_VSI_BP_VGP_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VSI_BP_VGP_SI+SP_S_bx_VSI_BP_VGP_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))+d10_sqrt0*(+(+(+SP_S_x1_VSI_BP_VGP_SI-SP_S_bx_VSI_BP_VGP_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VSI_BP_VGP_SI-SP_S_bx_VSI_BP_VGP_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VGP_SI-(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)+0.5*(+SP_S_bx_VSI_BP_VGP_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))+d10_sqrt1*(+(+SP_S_bx_VSI_BP_VGP_SI*SP_S_bx+SP_S_bx_VSI_BP*SP_S_bx_VGP_SI+SP_S_bx_VGP_SI*SP_S_bx_VSI_BP+SP_S_bx*SP_S_bx_VSI_BP_VGP_SI)+0.0)))));
  SP_S_eta_VSI_BP_VSI_BP=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*d10_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VSI_BP_VSI_BP+SP_S_bx_VSI_BP_VSI_BP)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))+d10_sqrt0*(+(+(+SP_S_x1_VSI_BP_VSI_BP-SP_S_bx_VSI_BP_VSI_BP)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VSI_BP_VSI_BP-SP_S_bx_VSI_BP_VSI_BP))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VSI_BP-(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*d10_sqrt1)+0.0*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)+0.5*(+SP_S_bx_VSI_BP_VSI_BP-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))+d10_sqrt1*(+(+SP_S_bx_VSI_BP_VSI_BP*SP_S_bx+SP_S_bx_VSI_BP*SP_S_bx_VSI_BP+SP_S_bx_VSI_BP*SP_S_bx_VSI_BP+SP_S_bx*SP_S_bx_VSI_BP_VSI_BP)+0.0)))));
#endif
#endif
SP_S_eta=((0.5*((SP_S_x1+SP_S_bx)-d00_sqrt0))-(0.5*(SP_S_bx-d00_sqrt1)));
EXIT_IF_ISNAN(((0.5*((SP_S_x1+SP_S_bx)-d00_sqrt0))-(0.5*(SP_S_bx-d00_sqrt1))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(xg_VDI_SI-SP_S_eta_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+xg_VDI_SI_VDI_SI-SP_S_eta_VDI_SI_VDI_SI);
  SP_S_temp_VDI_SI_VGP_SI=(+xg_VDI_SI_VGP_SI-SP_S_eta_VDI_SI_VGP_SI);
  SP_S_temp_VDI_SI_VSI_BP=(+xg_VDI_SI_VSI_BP-SP_S_eta_VDI_SI_VSI_BP);
#endif
SP_S_temp_VGP_SI=(xg_VGP_SI-SP_S_eta_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+xg_VGP_SI_VDI_SI-SP_S_eta_VGP_SI_VDI_SI);
  SP_S_temp_VGP_SI_VGP_SI=(+xg_VGP_SI_VGP_SI-SP_S_eta_VGP_SI_VGP_SI);
  SP_S_temp_VGP_SI_VSI_BP=(+xg_VGP_SI_VSI_BP-SP_S_eta_VGP_SI_VSI_BP);
#endif
SP_S_temp_VSI_BP=(xg_VSI_BP-SP_S_eta_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+xg_VSI_BP_VDI_SI-SP_S_eta_VSI_BP_VDI_SI);
  SP_S_temp_VSI_BP_VGP_SI=(+xg_VSI_BP_VGP_SI-SP_S_eta_VSI_BP_VGP_SI);
  SP_S_temp_VSI_BP_VSI_BP=(+xg_VSI_BP_VSI_BP-SP_S_eta_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp=(xg-SP_S_eta);
EXIT_IF_ISNAN((xg-SP_S_eta))
{
double m00_exp(d00_exp0,(-SP_S_eta))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp1_VDI_SI=(-SP_S_eta_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp1_VDI_SI_VDI_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VDI_SI)*(-SP_S_eta_VDI_SI)+d10_exp0*0.0);
  SP_S_temp1_VDI_SI_VGP_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VGP_SI)*(-SP_S_eta_VDI_SI)+d10_exp0*0.0);
  SP_S_temp1_VDI_SI_VSI_BP=(m20_exp((-SP_S_eta))*(-SP_S_eta_VSI_BP)*(-SP_S_eta_VDI_SI)+d10_exp0*0.0);
#endif
SP_S_temp1_VGP_SI=(-SP_S_eta_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp1_VGP_SI_VDI_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VDI_SI)*(-SP_S_eta_VGP_SI)+d10_exp0*0.0);
  SP_S_temp1_VGP_SI_VGP_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VGP_SI)*(-SP_S_eta_VGP_SI)+d10_exp0*0.0);
  SP_S_temp1_VGP_SI_VSI_BP=(m20_exp((-SP_S_eta))*(-SP_S_eta_VSI_BP)*(-SP_S_eta_VGP_SI)+d10_exp0*0.0);
#endif
SP_S_temp1_VSI_BP=(-SP_S_eta_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp1_VSI_BP_VDI_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VDI_SI)*(-SP_S_eta_VSI_BP)+d10_exp0*0.0);
  SP_S_temp1_VSI_BP_VGP_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VGP_SI)*(-SP_S_eta_VSI_BP)+d10_exp0*0.0);
  SP_S_temp1_VSI_BP_VSI_BP=(m20_exp((-SP_S_eta))*(-SP_S_eta_VSI_BP)*(-SP_S_eta_VSI_BP)+d10_exp0*0.0);
#endif
#endif
SP_S_temp1=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp2_VDI_SI=(-((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#if defined(_DERIVATE2)
  SP_S_temp2_VDI_SI_VDI_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))+0.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))+1.0*(+0.0+(+SP_S_eta_VDI_SI_VDI_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VDI_SI_VGP_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))+0.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))+1.0*(+0.0+(+SP_S_eta_VDI_SI_VGP_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VDI_SI_VSI_BP=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))+0.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))+1.0*(+0.0+(+SP_S_eta_VDI_SI_VSI_BP*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#endif
SP_S_temp2_VGP_SI=(-((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#if defined(_DERIVATE2)
  SP_S_temp2_VGP_SI_VDI_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))+0.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))+1.0*(+0.0+(+SP_S_eta_VGP_SI_VDI_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VGP_SI_VGP_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))+0.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))+1.0*(+0.0+(+SP_S_eta_VGP_SI_VGP_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VGP_SI_VSI_BP=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))+0.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))+1.0*(+0.0+(+SP_S_eta_VGP_SI_VSI_BP*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#endif
SP_S_temp2_VSI_BP=(-((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#if defined(_DERIVATE2)
  SP_S_temp2_VSI_BP_VDI_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))+0.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))+1.0*(+0.0+(+SP_S_eta_VSI_BP_VDI_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VSI_BP_VGP_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))+0.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))+1.0*(+0.0+(+SP_S_eta_VSI_BP_VGP_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VSI_BP_VSI_BP=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))+0.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))+1.0*(+0.0+(+SP_S_eta_VSI_BP_VSI_BP*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#endif
#endif
SP_S_temp2=(1.0/(2.0+(SP_S_eta*SP_S_eta)));
EXIT_IF_ISNAN((1.0/(2.0+(SP_S_eta*SP_S_eta))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi0_VDI_SI=((((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VDI_SI_VDI_SI=(+(+SP_S_eta_VDI_SI_VDI_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI_VDI_SI);
  SP_S_xi0_VDI_SI_VGP_SI=(+(+SP_S_eta_VDI_SI_VGP_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI_VGP_SI);
  SP_S_xi0_VDI_SI_VSI_BP=(+(+SP_S_eta_VDI_SI_VSI_BP*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI_VSI_BP);
#endif
SP_S_xi0_VGP_SI=((((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VGP_SI_VDI_SI=(+(+SP_S_eta_VGP_SI_VDI_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI_VDI_SI);
  SP_S_xi0_VGP_SI_VGP_SI=(+(+SP_S_eta_VGP_SI_VGP_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI_VGP_SI);
  SP_S_xi0_VGP_SI_VSI_BP=(+(+SP_S_eta_VGP_SI_VSI_BP*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI_VSI_BP);
#endif
SP_S_xi0_VSI_BP=((((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi0_VSI_BP_VDI_SI=(+(+SP_S_eta_VSI_BP_VDI_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VDI_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP_VDI_SI);
  SP_S_xi0_VSI_BP_VGP_SI=(+(+SP_S_eta_VSI_BP_VGP_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VGP_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP_VGP_SI);
  SP_S_xi0_VSI_BP_VSI_BP=(+(+SP_S_eta_VSI_BP_VSI_BP*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VSI_BP)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi0=((SP_S_eta*SP_S_eta)*SP_S_temp2);
EXIT_IF_ISNAN(((SP_S_eta*SP_S_eta)*SP_S_temp2))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi1_VDI_SI=(4.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VDI_SI_VDI_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)))+0.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI))+4.0*(+(+SP_S_eta_VDI_SI_VDI_SI*SP_S_temp2+SP_S_eta_VDI_SI*SP_S_temp2_VDI_SI+SP_S_eta_VDI_SI*SP_S_temp2_VDI_SI+SP_S_eta*SP_S_temp2_VDI_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI_VDI_SI));
  SP_S_xi1_VDI_SI_VGP_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)))+0.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI))+4.0*(+(+SP_S_eta_VDI_SI_VGP_SI*SP_S_temp2+SP_S_eta_VDI_SI*SP_S_temp2_VGP_SI+SP_S_eta_VGP_SI*SP_S_temp2_VDI_SI+SP_S_eta*SP_S_temp2_VDI_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI_VGP_SI));
  SP_S_xi1_VDI_SI_VSI_BP=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)))+0.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI))+4.0*(+(+SP_S_eta_VDI_SI_VSI_BP*SP_S_temp2+SP_S_eta_VDI_SI*SP_S_temp2_VSI_BP+SP_S_eta_VSI_BP*SP_S_temp2_VDI_SI+SP_S_eta*SP_S_temp2_VDI_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI_VSI_BP));
#endif
SP_S_xi1_VGP_SI=(4.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VGP_SI_VDI_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)))+0.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI))+4.0*(+(+SP_S_eta_VGP_SI_VDI_SI*SP_S_temp2+SP_S_eta_VGP_SI*SP_S_temp2_VDI_SI+SP_S_eta_VDI_SI*SP_S_temp2_VGP_SI+SP_S_eta*SP_S_temp2_VGP_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI_VDI_SI));
  SP_S_xi1_VGP_SI_VGP_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)))+0.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI))+4.0*(+(+SP_S_eta_VGP_SI_VGP_SI*SP_S_temp2+SP_S_eta_VGP_SI*SP_S_temp2_VGP_SI+SP_S_eta_VGP_SI*SP_S_temp2_VGP_SI+SP_S_eta*SP_S_temp2_VGP_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI_VGP_SI));
  SP_S_xi1_VGP_SI_VSI_BP=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)))+0.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI))+4.0*(+(+SP_S_eta_VGP_SI_VSI_BP*SP_S_temp2+SP_S_eta_VGP_SI*SP_S_temp2_VSI_BP+SP_S_eta_VSI_BP*SP_S_temp2_VGP_SI+SP_S_eta*SP_S_temp2_VGP_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI_VSI_BP));
#endif
SP_S_xi1_VSI_BP=(4.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_xi1_VSI_BP_VDI_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)))+0.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP))+4.0*(+(+SP_S_eta_VSI_BP_VDI_SI*SP_S_temp2+SP_S_eta_VSI_BP*SP_S_temp2_VDI_SI+SP_S_eta_VDI_SI*SP_S_temp2_VSI_BP+SP_S_eta*SP_S_temp2_VSI_BP_VDI_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP_VDI_SI));
  SP_S_xi1_VSI_BP_VGP_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)))+0.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP))+4.0*(+(+SP_S_eta_VSI_BP_VGP_SI*SP_S_temp2+SP_S_eta_VSI_BP*SP_S_temp2_VGP_SI+SP_S_eta_VGP_SI*SP_S_temp2_VSI_BP+SP_S_eta*SP_S_temp2_VSI_BP_VGP_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP_VGP_SI));
  SP_S_xi1_VSI_BP_VSI_BP=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)))+0.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP))+4.0*(+(+SP_S_eta_VSI_BP_VSI_BP*SP_S_temp2+SP_S_eta_VSI_BP*SP_S_temp2_VSI_BP+SP_S_eta_VSI_BP*SP_S_temp2_VSI_BP+SP_S_eta*SP_S_temp2_VSI_BP_VSI_BP)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP_VSI_BP));
#endif
#endif
SP_S_xi1=(4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
EXIT_IF_ISNAN((4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi2_VDI_SI=((((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2)+((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VDI_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VDI_SI+0.0*SP_S_temp2_VDI_SI+8.0*SP_S_temp2_VDI_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VDI_SI))*SP_S_temp2+((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2_VDI_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI_VDI_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2_VDI_SI+((((((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI)))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI_VDI_SI);
  SP_S_xi2_VDI_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VGP_SI+0.0*SP_S_temp2_VDI_SI+8.0*SP_S_temp2_VDI_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VGP_SI))*SP_S_temp2+((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2_VDI_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI_VGP_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2_VGP_SI+((((((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI)))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI_VGP_SI);
  SP_S_xi2_VDI_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VSI_BP+0.0*SP_S_temp2_VDI_SI+8.0*SP_S_temp2_VDI_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VSI_BP))*SP_S_temp2+((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2_VDI_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI_VSI_BP)*SP_S_temp2+((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2_VSI_BP+((((((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP)))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI_VSI_BP);
#endif
SP_S_xi2_VGP_SI=((((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2)+((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VGP_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VDI_SI+0.0*SP_S_temp2_VGP_SI+8.0*SP_S_temp2_VGP_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VDI_SI))*SP_S_temp2+((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2_VGP_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI_VDI_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2_VDI_SI+((((((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI)))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI_VDI_SI);
  SP_S_xi2_VGP_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VGP_SI+0.0*SP_S_temp2_VGP_SI+8.0*SP_S_temp2_VGP_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VGP_SI))*SP_S_temp2+((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2_VGP_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI_VGP_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2_VGP_SI+((((((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI)))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI_VGP_SI);
  SP_S_xi2_VGP_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VSI_BP+0.0*SP_S_temp2_VGP_SI+8.0*SP_S_temp2_VGP_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VSI_BP))*SP_S_temp2+((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2_VGP_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI_VSI_BP)*SP_S_temp2+((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2_VSI_BP+((((((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP)))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI_VSI_BP);
#endif
SP_S_xi2_VSI_BP=((((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2)+((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi2_VSI_BP_VDI_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VDI_SI+0.0*SP_S_temp2_VSI_BP+8.0*SP_S_temp2_VSI_BP_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VDI_SI))*SP_S_temp2+((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2_VSI_BP+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP_VDI_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2_VDI_SI+((((((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI)))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP_VDI_SI);
  SP_S_xi2_VSI_BP_VGP_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VGP_SI+0.0*SP_S_temp2_VSI_BP+8.0*SP_S_temp2_VSI_BP_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VGP_SI))*SP_S_temp2+((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2_VSI_BP+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP_VGP_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2_VGP_SI+((((((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI)))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP_VGP_SI);
  SP_S_xi2_VSI_BP_VSI_BP=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VSI_BP+0.0*SP_S_temp2_VSI_BP+8.0*SP_S_temp2_VSI_BP_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VSI_BP))*SP_S_temp2+((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2_VSI_BP+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP_VSI_BP)*SP_S_temp2+((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2_VSI_BP+((((((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP)))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi2=((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
EXIT_IF_ISNAN(((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2))
{
double m00_max(d00_max0,1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))))
#if defined(_DERIVATEFORDDX)
double m11_max(d11_max0,d00_max0,1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_a_VDI_SI=(d11_max0*(((SP_S_temp_VDI_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VDI_SI))-((Gf2_VDI_SI*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))+(Gf2*((SP_S_temp1_VDI_SI+SP_S_eta_VDI_SI)-((delta_nd_VDI_SI*((SP_S_eta+1.0)+SP_S_xi0))+(delta_nd*(SP_S_eta_VDI_SI+SP_S_xi0_VDI_SI))))))));
#if defined(_DERIVATE2)
  SP_S_a_VDI_SI_VDI_SI=fixme;
  SP_S_a_VDI_SI_VGP_SI=fixme;
  SP_S_a_VDI_SI_VSI_BP=fixme;
#endif
SP_S_a_VGP_SI=(d11_max0*(((SP_S_temp_VGP_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VGP_SI))-((Gf2_VGP_SI*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))+(Gf2*((SP_S_temp1_VGP_SI+SP_S_eta_VGP_SI)-((delta_nd_VGP_SI*((SP_S_eta+1.0)+SP_S_xi0))+(delta_nd*(SP_S_eta_VGP_SI+SP_S_xi0_VGP_SI))))))));
#if defined(_DERIVATE2)
  SP_S_a_VGP_SI_VDI_SI=fixme;
  SP_S_a_VGP_SI_VGP_SI=fixme;
  SP_S_a_VGP_SI_VSI_BP=fixme;
#endif
SP_S_a_VSI_BP=(d11_max0*(((SP_S_temp_VSI_BP*SP_S_temp)+(SP_S_temp*SP_S_temp_VSI_BP))-((Gf2_VSI_BP*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))+(Gf2*((SP_S_temp1_VSI_BP+SP_S_eta_VSI_BP)-((delta_nd_VSI_BP*((SP_S_eta+1.0)+SP_S_xi0))+(delta_nd*(SP_S_eta_VSI_BP+SP_S_xi0_VSI_BP))))))));
#if defined(_DERIVATE2)
  SP_S_a_VSI_BP_VDI_SI=fixme;
  SP_S_a_VSI_BP_VGP_SI=fixme;
  SP_S_a_VSI_BP_VSI_BP=fixme;
#endif
#endif
SP_S_a=d00_max0;
EXIT_IF_ISNAN(d00_max0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_b_VDI_SI=(-(0.5*((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))));
#if defined(_DERIVATE2)
  SP_S_b_VDI_SI_VDI_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))))+0.0*((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))+0.5*(+Gf2_VDI_SI_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VDI_SI*(SP_S_temp1_VDI_SI-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))+Gf2*(+SP_S_temp1_VDI_SI_VDI_SI-(+delta_nd_VDI_SI_VDI_SI*SP_S_xi2+delta_nd_VDI_SI*SP_S_xi2_VDI_SI+delta_nd_VDI_SI*SP_S_xi2_VDI_SI+delta_nd*SP_S_xi2_VDI_SI_VDI_SI)))));
  SP_S_b_VDI_SI_VGP_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))))+0.0*((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))+0.5*(+Gf2_VDI_SI_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VDI_SI*(SP_S_temp1_VGP_SI-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))+Gf2*(+SP_S_temp1_VDI_SI_VGP_SI-(+delta_nd_VDI_SI_VGP_SI*SP_S_xi2+delta_nd_VDI_SI*SP_S_xi2_VGP_SI+delta_nd_VGP_SI*SP_S_xi2_VDI_SI+delta_nd*SP_S_xi2_VDI_SI_VGP_SI)))));
  SP_S_b_VDI_SI_VSI_BP=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))))+0.0*((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))+0.5*(+Gf2_VDI_SI_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VDI_SI*(SP_S_temp1_VSI_BP-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))+Gf2*(+SP_S_temp1_VDI_SI_VSI_BP-(+delta_nd_VDI_SI_VSI_BP*SP_S_xi2+delta_nd_VDI_SI*SP_S_xi2_VSI_BP+delta_nd_VSI_BP*SP_S_xi2_VDI_SI+delta_nd*SP_S_xi2_VDI_SI_VSI_BP)))));
#endif
SP_S_b_VGP_SI=(-(0.5*((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))));
#if defined(_DERIVATE2)
  SP_S_b_VGP_SI_VDI_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))))+0.0*((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))+0.5*(+Gf2_VGP_SI_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VGP_SI*(SP_S_temp1_VDI_SI-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))+Gf2*(+SP_S_temp1_VGP_SI_VDI_SI-(+delta_nd_VGP_SI_VDI_SI*SP_S_xi2+delta_nd_VGP_SI*SP_S_xi2_VDI_SI+delta_nd_VDI_SI*SP_S_xi2_VGP_SI+delta_nd*SP_S_xi2_VGP_SI_VDI_SI)))));
  SP_S_b_VGP_SI_VGP_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))))+0.0*((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))+0.5*(+Gf2_VGP_SI_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VGP_SI*(SP_S_temp1_VGP_SI-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))+Gf2*(+SP_S_temp1_VGP_SI_VGP_SI-(+delta_nd_VGP_SI_VGP_SI*SP_S_xi2+delta_nd_VGP_SI*SP_S_xi2_VGP_SI+delta_nd_VGP_SI*SP_S_xi2_VGP_SI+delta_nd*SP_S_xi2_VGP_SI_VGP_SI)))));
  SP_S_b_VGP_SI_VSI_BP=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))))+0.0*((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))+0.5*(+Gf2_VGP_SI_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VGP_SI*(SP_S_temp1_VSI_BP-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))+Gf2*(+SP_S_temp1_VGP_SI_VSI_BP-(+delta_nd_VGP_SI_VSI_BP*SP_S_xi2+delta_nd_VGP_SI*SP_S_xi2_VSI_BP+delta_nd_VSI_BP*SP_S_xi2_VGP_SI+delta_nd*SP_S_xi2_VGP_SI_VSI_BP)))));
#endif
SP_S_b_VSI_BP=(-(0.5*((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))));
#if defined(_DERIVATE2)
  SP_S_b_VSI_BP_VDI_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))))+0.0*((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))+0.5*(+Gf2_VSI_BP_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VSI_BP*(SP_S_temp1_VDI_SI-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))+Gf2*(+SP_S_temp1_VSI_BP_VDI_SI-(+delta_nd_VSI_BP_VDI_SI*SP_S_xi2+delta_nd_VSI_BP*SP_S_xi2_VDI_SI+delta_nd_VDI_SI*SP_S_xi2_VSI_BP+delta_nd*SP_S_xi2_VSI_BP_VDI_SI)))));
  SP_S_b_VSI_BP_VGP_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))))+0.0*((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))+0.5*(+Gf2_VSI_BP_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VSI_BP*(SP_S_temp1_VGP_SI-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))+Gf2*(+SP_S_temp1_VSI_BP_VGP_SI-(+delta_nd_VSI_BP_VGP_SI*SP_S_xi2+delta_nd_VSI_BP*SP_S_xi2_VGP_SI+delta_nd_VGP_SI*SP_S_xi2_VSI_BP+delta_nd*SP_S_xi2_VSI_BP_VGP_SI)))));
  SP_S_b_VSI_BP_VSI_BP=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))))+0.0*((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))+0.5*(+Gf2_VSI_BP_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VSI_BP*(SP_S_temp1_VSI_BP-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))+Gf2*(+SP_S_temp1_VSI_BP_VSI_BP-(+delta_nd_VSI_BP_VSI_BP*SP_S_xi2+delta_nd_VSI_BP*SP_S_xi2_VSI_BP+delta_nd_VSI_BP*SP_S_xi2_VSI_BP+delta_nd*SP_S_xi2_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_b=(1.0-(0.5*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))));
EXIT_IF_ISNAN((1.0-(0.5*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_c_VDI_SI=((2.0*SP_S_temp_VDI_SI)+((Gf2_VDI_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1))))+(Gf2*((-SP_S_temp1_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_c_VDI_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VDI_SI)+(+Gf2_VDI_SI_VDI_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VDI_SI*((-SP_S_temp1_VDI_SI)-(((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*((-SP_S_temp1_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI)))+Gf2*(+(+0.0-SP_S_temp1_VDI_SI_VDI_SI)-(+delta_nd_VDI_SI_VDI_SI*(1.0+SP_S_xi1)+delta_nd_VDI_SI*SP_S_xi1_VDI_SI+delta_nd_VDI_SI*SP_S_xi1_VDI_SI+delta_nd*(+0.0+SP_S_xi1_VDI_SI_VDI_SI)))));
  SP_S_c_VDI_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VGP_SI)+(+Gf2_VDI_SI_VGP_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VDI_SI*((-SP_S_temp1_VGP_SI)-(((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*((-SP_S_temp1_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI)))+Gf2*(+(+0.0-SP_S_temp1_VDI_SI_VGP_SI)-(+delta_nd_VDI_SI_VGP_SI*(1.0+SP_S_xi1)+delta_nd_VDI_SI*SP_S_xi1_VGP_SI+delta_nd_VGP_SI*SP_S_xi1_VDI_SI+delta_nd*(+0.0+SP_S_xi1_VDI_SI_VGP_SI)))));
  SP_S_c_VDI_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VSI_BP)+(+Gf2_VDI_SI_VSI_BP*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VDI_SI*((-SP_S_temp1_VSI_BP)-(((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*((-SP_S_temp1_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI)))+Gf2*(+(+0.0-SP_S_temp1_VDI_SI_VSI_BP)-(+delta_nd_VDI_SI_VSI_BP*(1.0+SP_S_xi1)+delta_nd_VDI_SI*SP_S_xi1_VSI_BP+delta_nd_VSI_BP*SP_S_xi1_VDI_SI+delta_nd*(+0.0+SP_S_xi1_VDI_SI_VSI_BP)))));
#endif
SP_S_c_VGP_SI=((2.0*SP_S_temp_VGP_SI)+((Gf2_VGP_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1))))+(Gf2*((-SP_S_temp1_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_c_VGP_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VDI_SI)+(+Gf2_VGP_SI_VDI_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VGP_SI*((-SP_S_temp1_VDI_SI)-(((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*((-SP_S_temp1_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI)))+Gf2*(+(+0.0-SP_S_temp1_VGP_SI_VDI_SI)-(+delta_nd_VGP_SI_VDI_SI*(1.0+SP_S_xi1)+delta_nd_VGP_SI*SP_S_xi1_VDI_SI+delta_nd_VDI_SI*SP_S_xi1_VGP_SI+delta_nd*(+0.0+SP_S_xi1_VGP_SI_VDI_SI)))));
  SP_S_c_VGP_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VGP_SI)+(+Gf2_VGP_SI_VGP_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VGP_SI*((-SP_S_temp1_VGP_SI)-(((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*((-SP_S_temp1_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI)))+Gf2*(+(+0.0-SP_S_temp1_VGP_SI_VGP_SI)-(+delta_nd_VGP_SI_VGP_SI*(1.0+SP_S_xi1)+delta_nd_VGP_SI*SP_S_xi1_VGP_SI+delta_nd_VGP_SI*SP_S_xi1_VGP_SI+delta_nd*(+0.0+SP_S_xi1_VGP_SI_VGP_SI)))));
  SP_S_c_VGP_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VSI_BP)+(+Gf2_VGP_SI_VSI_BP*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VGP_SI*((-SP_S_temp1_VSI_BP)-(((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*((-SP_S_temp1_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI)))+Gf2*(+(+0.0-SP_S_temp1_VGP_SI_VSI_BP)-(+delta_nd_VGP_SI_VSI_BP*(1.0+SP_S_xi1)+delta_nd_VGP_SI*SP_S_xi1_VSI_BP+delta_nd_VSI_BP*SP_S_xi1_VGP_SI+delta_nd*(+0.0+SP_S_xi1_VGP_SI_VSI_BP)))));
#endif
SP_S_c_VSI_BP=((2.0*SP_S_temp_VSI_BP)+((Gf2_VSI_BP*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1))))+(Gf2*((-SP_S_temp1_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_c_VSI_BP_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VDI_SI)+(+Gf2_VSI_BP_VDI_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VSI_BP*((-SP_S_temp1_VDI_SI)-(((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*((-SP_S_temp1_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP)))+Gf2*(+(+0.0-SP_S_temp1_VSI_BP_VDI_SI)-(+delta_nd_VSI_BP_VDI_SI*(1.0+SP_S_xi1)+delta_nd_VSI_BP*SP_S_xi1_VDI_SI+delta_nd_VDI_SI*SP_S_xi1_VSI_BP+delta_nd*(+0.0+SP_S_xi1_VSI_BP_VDI_SI)))));
  SP_S_c_VSI_BP_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VGP_SI)+(+Gf2_VSI_BP_VGP_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VSI_BP*((-SP_S_temp1_VGP_SI)-(((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*((-SP_S_temp1_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP)))+Gf2*(+(+0.0-SP_S_temp1_VSI_BP_VGP_SI)-(+delta_nd_VSI_BP_VGP_SI*(1.0+SP_S_xi1)+delta_nd_VSI_BP*SP_S_xi1_VGP_SI+delta_nd_VGP_SI*SP_S_xi1_VSI_BP+delta_nd*(+0.0+SP_S_xi1_VSI_BP_VGP_SI)))));
  SP_S_c_VSI_BP_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VSI_BP)+(+Gf2_VSI_BP_VSI_BP*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VSI_BP*((-SP_S_temp1_VSI_BP)-(((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*((-SP_S_temp1_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP)))+Gf2*(+(+0.0-SP_S_temp1_VSI_BP_VSI_BP)-(+delta_nd_VSI_BP_VSI_BP*(1.0+SP_S_xi1)+delta_nd_VSI_BP*SP_S_xi1_VSI_BP+delta_nd_VSI_BP*SP_S_xi1_VSI_BP+delta_nd*(+0.0+SP_S_xi1_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_c=((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))));
EXIT_IF_ISNAN(((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1))))))
{
double m00_logE(d00_logE0,(SP_S_a/Gf2))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(SP_S_a/Gf2))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_tau_VDI_SI=((xn_d_VDI_SI-SP_S_eta_VDI_SI)+((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VDI_SI_VDI_SI=(+(+xn_d_VDI_SI_VDI_SI-SP_S_eta_VDI_SI_VDI_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VDI_SI_VDI_SI/Gf2-(SP_S_a_VDI_SI*Gf2_VDI_SI+SP_S_a_VDI_SI*Gf2_VDI_SI+SP_S_a*Gf2_VDI_SI_VDI_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VDI_SI*Gf2_VDI_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VDI_SI_VGP_SI=(+(+xn_d_VDI_SI_VGP_SI-SP_S_eta_VDI_SI_VGP_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VDI_SI_VGP_SI/Gf2-(SP_S_a_VDI_SI*Gf2_VGP_SI+SP_S_a_VGP_SI*Gf2_VDI_SI+SP_S_a*Gf2_VDI_SI_VGP_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VDI_SI*Gf2_VGP_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VDI_SI_VSI_BP=(+(+xn_d_VDI_SI_VSI_BP-SP_S_eta_VDI_SI_VSI_BP)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VDI_SI_VSI_BP/Gf2-(SP_S_a_VDI_SI*Gf2_VSI_BP+SP_S_a_VSI_BP*Gf2_VDI_SI+SP_S_a*Gf2_VDI_SI_VSI_BP)/Gf2/Gf2+2*SP_S_a*Gf2_VDI_SI*Gf2_VSI_BP/Gf2/Gf2/Gf2)));
#endif
SP_S_tau_VGP_SI=((xn_d_VGP_SI-SP_S_eta_VGP_SI)+((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VGP_SI_VDI_SI=(+(+xn_d_VGP_SI_VDI_SI-SP_S_eta_VGP_SI_VDI_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VGP_SI_VDI_SI/Gf2-(SP_S_a_VGP_SI*Gf2_VDI_SI+SP_S_a_VDI_SI*Gf2_VGP_SI+SP_S_a*Gf2_VGP_SI_VDI_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VGP_SI*Gf2_VDI_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VGP_SI_VGP_SI=(+(+xn_d_VGP_SI_VGP_SI-SP_S_eta_VGP_SI_VGP_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VGP_SI_VGP_SI/Gf2-(SP_S_a_VGP_SI*Gf2_VGP_SI+SP_S_a_VGP_SI*Gf2_VGP_SI+SP_S_a*Gf2_VGP_SI_VGP_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VGP_SI*Gf2_VGP_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VGP_SI_VSI_BP=(+(+xn_d_VGP_SI_VSI_BP-SP_S_eta_VGP_SI_VSI_BP)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VGP_SI_VSI_BP/Gf2-(SP_S_a_VGP_SI*Gf2_VSI_BP+SP_S_a_VSI_BP*Gf2_VGP_SI+SP_S_a*Gf2_VGP_SI_VSI_BP)/Gf2/Gf2+2*SP_S_a*Gf2_VGP_SI*Gf2_VSI_BP/Gf2/Gf2/Gf2)));
#endif
SP_S_tau_VSI_BP=((xn_d_VSI_BP-SP_S_eta_VSI_BP)+((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VSI_BP_VDI_SI=(+(+xn_d_VSI_BP_VDI_SI-SP_S_eta_VSI_BP_VDI_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)+d10_logE0*(SP_S_a_VSI_BP_VDI_SI/Gf2-(SP_S_a_VSI_BP*Gf2_VDI_SI+SP_S_a_VDI_SI*Gf2_VSI_BP+SP_S_a*Gf2_VSI_BP_VDI_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VSI_BP*Gf2_VDI_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VSI_BP_VGP_SI=(+(+xn_d_VSI_BP_VGP_SI-SP_S_eta_VSI_BP_VGP_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)+d10_logE0*(SP_S_a_VSI_BP_VGP_SI/Gf2-(SP_S_a_VSI_BP*Gf2_VGP_SI+SP_S_a_VGP_SI*Gf2_VSI_BP+SP_S_a*Gf2_VSI_BP_VGP_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VSI_BP*Gf2_VGP_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VSI_BP_VSI_BP=(+(+xn_d_VSI_BP_VSI_BP-SP_S_eta_VSI_BP_VSI_BP)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)+d10_logE0*(SP_S_a_VSI_BP_VSI_BP/Gf2-(SP_S_a_VSI_BP*Gf2_VSI_BP+SP_S_a_VSI_BP*Gf2_VSI_BP+SP_S_a*Gf2_VSI_BP_VSI_BP)/Gf2/Gf2+2*SP_S_a*Gf2_VSI_BP*Gf2_VSI_BP/Gf2/Gf2/Gf2)));
#endif
#endif
SP_S_tau=((xn_d-SP_S_eta)+d00_logE0);
EXIT_IF_ISNAN(((xn_d-SP_S_eta)+d00_logE0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
nu_VDI_SI=(SP_S_a_VDI_SI+SP_S_c_VDI_SI);
#if defined(_DERIVATE2)
  nu_VDI_SI_VDI_SI=(+SP_S_a_VDI_SI_VDI_SI+SP_S_c_VDI_SI_VDI_SI);
  nu_VDI_SI_VGP_SI=(+SP_S_a_VDI_SI_VGP_SI+SP_S_c_VDI_SI_VGP_SI);
  nu_VDI_SI_VSI_BP=(+SP_S_a_VDI_SI_VSI_BP+SP_S_c_VDI_SI_VSI_BP);
#endif
nu_VGP_SI=(SP_S_a_VGP_SI+SP_S_c_VGP_SI);
#if defined(_DERIVATE2)
  nu_VGP_SI_VDI_SI=(+SP_S_a_VGP_SI_VDI_SI+SP_S_c_VGP_SI_VDI_SI);
  nu_VGP_SI_VGP_SI=(+SP_S_a_VGP_SI_VGP_SI+SP_S_c_VGP_SI_VGP_SI);
  nu_VGP_SI_VSI_BP=(+SP_S_a_VGP_SI_VSI_BP+SP_S_c_VGP_SI_VSI_BP);
#endif
nu_VSI_BP=(SP_S_a_VSI_BP+SP_S_c_VSI_BP);
#if defined(_DERIVATE2)
  nu_VSI_BP_VDI_SI=(+SP_S_a_VSI_BP_VDI_SI+SP_S_c_VSI_BP_VDI_SI);
  nu_VSI_BP_VGP_SI=(+SP_S_a_VSI_BP_VGP_SI+SP_S_c_VSI_BP_VGP_SI);
  nu_VSI_BP_VSI_BP=(+SP_S_a_VSI_BP_VSI_BP+SP_S_c_VSI_BP_VSI_BP);
#endif
#endif
nu=(SP_S_a+SP_S_c);
EXIT_IF_ISNAN((SP_S_a+SP_S_c))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
mutau_VDI_SI=(((nu_VDI_SI*nu)+(nu*nu_VDI_SI))+((SP_S_tau_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))+(SP_S_tau*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))));
#if defined(_DERIVATE2)
  mutau_VDI_SI_VDI_SI=(+(+nu_VDI_SI_VDI_SI*nu+nu_VDI_SI*nu_VDI_SI+nu_VDI_SI*nu_VDI_SI+nu*nu_VDI_SI_VDI_SI)+(+SP_S_tau_VDI_SI_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VDI_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VDI_SI))-(+SP_S_a_VDI_SI_VDI_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VDI_SI))));
  mutau_VDI_SI_VGP_SI=(+(+nu_VDI_SI_VGP_SI*nu+nu_VDI_SI*nu_VGP_SI+nu_VGP_SI*nu_VDI_SI+nu*nu_VDI_SI_VGP_SI)+(+SP_S_tau_VDI_SI_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VGP_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VGP_SI))-(+SP_S_a_VDI_SI_VGP_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VGP_SI))));
  mutau_VDI_SI_VSI_BP=(+(+nu_VDI_SI_VSI_BP*nu+nu_VDI_SI*nu_VSI_BP+nu_VSI_BP*nu_VDI_SI+nu*nu_VDI_SI_VSI_BP)+(+SP_S_tau_VDI_SI_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VSI_BP*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VSI_BP))-(+SP_S_a_VDI_SI_VSI_BP*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VSI_BP))));
#endif
mutau_VGP_SI=(((nu_VGP_SI*nu)+(nu*nu_VGP_SI))+((SP_S_tau_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))+(SP_S_tau*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))));
#if defined(_DERIVATE2)
  mutau_VGP_SI_VDI_SI=(+(+nu_VGP_SI_VDI_SI*nu+nu_VGP_SI*nu_VDI_SI+nu_VDI_SI*nu_VGP_SI+nu*nu_VGP_SI_VDI_SI)+(+SP_S_tau_VGP_SI_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VDI_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VDI_SI))-(+SP_S_a_VGP_SI_VDI_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VDI_SI))));
  mutau_VGP_SI_VGP_SI=(+(+nu_VGP_SI_VGP_SI*nu+nu_VGP_SI*nu_VGP_SI+nu_VGP_SI*nu_VGP_SI+nu*nu_VGP_SI_VGP_SI)+(+SP_S_tau_VGP_SI_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VGP_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VGP_SI))-(+SP_S_a_VGP_SI_VGP_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VGP_SI))));
  mutau_VGP_SI_VSI_BP=(+(+nu_VGP_SI_VSI_BP*nu+nu_VGP_SI*nu_VSI_BP+nu_VSI_BP*nu_VGP_SI+nu*nu_VGP_SI_VSI_BP)+(+SP_S_tau_VGP_SI_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VSI_BP*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VSI_BP))-(+SP_S_a_VGP_SI_VSI_BP*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VSI_BP))));
#endif
mutau_VSI_BP=(((nu_VSI_BP*nu)+(nu*nu_VSI_BP))+((SP_S_tau_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))+(SP_S_tau*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))));
#if defined(_DERIVATE2)
  mutau_VSI_BP_VDI_SI=(+(+nu_VSI_BP_VDI_SI*nu+nu_VSI_BP*nu_VDI_SI+nu_VDI_SI*nu_VSI_BP+nu*nu_VSI_BP_VDI_SI)+(+SP_S_tau_VSI_BP_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VDI_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VDI_SI))-(+SP_S_a_VSI_BP_VDI_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VDI_SI))));
  mutau_VSI_BP_VGP_SI=(+(+nu_VSI_BP_VGP_SI*nu+nu_VSI_BP*nu_VGP_SI+nu_VGP_SI*nu_VSI_BP+nu*nu_VSI_BP_VGP_SI)+(+SP_S_tau_VSI_BP_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VGP_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VGP_SI))-(+SP_S_a_VSI_BP_VGP_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VGP_SI))));
  mutau_VSI_BP_VSI_BP=(+(+nu_VSI_BP_VSI_BP*nu+nu_VSI_BP*nu_VSI_BP+nu_VSI_BP*nu_VSI_BP+nu*nu_VSI_BP_VSI_BP)+(+SP_S_tau_VSI_BP_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VSI_BP*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VSI_BP))-(+SP_S_a_VSI_BP_VSI_BP*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VSI_BP))));
#endif
#endif
mutau=((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
EXIT_IF_ISNAN(((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_x0_VDI_SI=(SP_S_eta_VDI_SI+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#if defined(_DERIVATE2)
  SP_S_x0_VDI_SI_VDI_SI=(+SP_S_eta_VDI_SI_VDI_SI+((+(+SP_S_a_VDI_SI_VDI_SI*nu+SP_S_a_VDI_SI*nu_VDI_SI+SP_S_a_VDI_SI*nu_VDI_SI+SP_S_a*nu_VDI_SI_VDI_SI)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VDI_SI+(+(+(+(+(nu_VDI_SI_VDI_SI/mutau-(nu_VDI_SI*mutau_VDI_SI+nu_VDI_SI*mutau_VDI_SI+nu*mutau_VDI_SI_VDI_SI)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VDI_SI)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VDI_SI)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VDI_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VDI_SI_VDI_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VDI_SI_VGP_SI=(+SP_S_eta_VDI_SI_VGP_SI+((+(+SP_S_a_VDI_SI_VGP_SI*nu+SP_S_a_VDI_SI*nu_VGP_SI+SP_S_a_VGP_SI*nu_VDI_SI+SP_S_a*nu_VDI_SI_VGP_SI)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VGP_SI+(+(+(+(+(nu_VDI_SI_VGP_SI/mutau-(nu_VDI_SI*mutau_VGP_SI+nu_VGP_SI*mutau_VDI_SI+nu*mutau_VDI_SI_VGP_SI)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VGP_SI)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VGP_SI)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VGP_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VDI_SI_VGP_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VDI_SI_VSI_BP=(+SP_S_eta_VDI_SI_VSI_BP+((+(+SP_S_a_VDI_SI_VSI_BP*nu+SP_S_a_VDI_SI*nu_VSI_BP+SP_S_a_VSI_BP*nu_VDI_SI+SP_S_a*nu_VDI_SI_VSI_BP)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VSI_BP+(+(+(+(+(nu_VDI_SI_VSI_BP/mutau-(nu_VDI_SI*mutau_VSI_BP+nu_VSI_BP*mutau_VDI_SI+nu*mutau_VDI_SI_VSI_BP)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VSI_BP)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VSI_BP)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VSI_BP*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VDI_SI_VSI_BP*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#endif
SP_S_x0_VGP_SI=(SP_S_eta_VGP_SI+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#if defined(_DERIVATE2)
  SP_S_x0_VGP_SI_VDI_SI=(+SP_S_eta_VGP_SI_VDI_SI+((+(+SP_S_a_VGP_SI_VDI_SI*nu+SP_S_a_VGP_SI*nu_VDI_SI+SP_S_a_VDI_SI*nu_VGP_SI+SP_S_a*nu_VGP_SI_VDI_SI)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VDI_SI+(+(+(+(+(nu_VGP_SI_VDI_SI/mutau-(nu_VGP_SI*mutau_VDI_SI+nu_VDI_SI*mutau_VGP_SI+nu*mutau_VGP_SI_VDI_SI)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VDI_SI)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VDI_SI)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VDI_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VGP_SI_VDI_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VGP_SI_VGP_SI=(+SP_S_eta_VGP_SI_VGP_SI+((+(+SP_S_a_VGP_SI_VGP_SI*nu+SP_S_a_VGP_SI*nu_VGP_SI+SP_S_a_VGP_SI*nu_VGP_SI+SP_S_a*nu_VGP_SI_VGP_SI)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VGP_SI+(+(+(+(+(nu_VGP_SI_VGP_SI/mutau-(nu_VGP_SI*mutau_VGP_SI+nu_VGP_SI*mutau_VGP_SI+nu*mutau_VGP_SI_VGP_SI)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VGP_SI)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VGP_SI)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VGP_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VGP_SI_VGP_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VGP_SI_VSI_BP=(+SP_S_eta_VGP_SI_VSI_BP+((+(+SP_S_a_VGP_SI_VSI_BP*nu+SP_S_a_VGP_SI*nu_VSI_BP+SP_S_a_VSI_BP*nu_VGP_SI+SP_S_a*nu_VGP_SI_VSI_BP)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VSI_BP+(+(+(+(+(nu_VGP_SI_VSI_BP/mutau-(nu_VGP_SI*mutau_VSI_BP+nu_VSI_BP*mutau_VGP_SI+nu*mutau_VGP_SI_VSI_BP)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VSI_BP)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VSI_BP)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VSI_BP*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VGP_SI_VSI_BP*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#endif
SP_S_x0_VSI_BP=(SP_S_eta_VSI_BP+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#if defined(_DERIVATE2)
  SP_S_x0_VSI_BP_VDI_SI=(+SP_S_eta_VSI_BP_VDI_SI+((+(+SP_S_a_VSI_BP_VDI_SI*nu+SP_S_a_VSI_BP*nu_VDI_SI+SP_S_a_VDI_SI*nu_VSI_BP+SP_S_a*nu_VSI_BP_VDI_SI)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VDI_SI+(+(+(+(+(nu_VSI_BP_VDI_SI/mutau-(nu_VSI_BP*mutau_VDI_SI+nu_VDI_SI*mutau_VSI_BP+nu*mutau_VSI_BP_VDI_SI)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VDI_SI)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VDI_SI)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VDI_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VSI_BP_VDI_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VSI_BP_VGP_SI=(+SP_S_eta_VSI_BP_VGP_SI+((+(+SP_S_a_VSI_BP_VGP_SI*nu+SP_S_a_VSI_BP*nu_VGP_SI+SP_S_a_VGP_SI*nu_VSI_BP+SP_S_a*nu_VSI_BP_VGP_SI)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VGP_SI+(+(+(+(+(nu_VSI_BP_VGP_SI/mutau-(nu_VSI_BP*mutau_VGP_SI+nu_VGP_SI*mutau_VSI_BP+nu*mutau_VSI_BP_VGP_SI)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VGP_SI)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VGP_SI)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VGP_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VSI_BP_VGP_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VSI_BP_VSI_BP=(+SP_S_eta_VSI_BP_VSI_BP+((+(+SP_S_a_VSI_BP_VSI_BP*nu+SP_S_a_VSI_BP*nu_VSI_BP+SP_S_a_VSI_BP*nu_VSI_BP+SP_S_a*nu_VSI_BP_VSI_BP)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VSI_BP+(+(+(+(+(nu_VSI_BP_VSI_BP/mutau-(nu_VSI_BP*mutau_VSI_BP+nu_VSI_BP*mutau_VSI_BP+nu*mutau_VSI_BP_VSI_BP)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VSI_BP)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VSI_BP)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VSI_BP*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VSI_BP_VSI_BP*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#endif
#endif
SP_S_x0=(SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
EXIT_IF_ISNAN((SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))))))
if
((SP_S_x0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,SP_S_x0)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=SP_S_x0_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(m20_exp(SP_S_x0)*SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+d10_exp0*SP_S_x0_VDI_SI_VDI_SI);
  SP_S_delta0_VDI_SI_VGP_SI=(m20_exp(SP_S_x0)*SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+d10_exp0*SP_S_x0_VDI_SI_VGP_SI);
  SP_S_delta0_VDI_SI_VSI_BP=(m20_exp(SP_S_x0)*SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+d10_exp0*SP_S_x0_VDI_SI_VSI_BP);
#endif
SP_S_delta0_VGP_SI=SP_S_x0_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(m20_exp(SP_S_x0)*SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+d10_exp0*SP_S_x0_VGP_SI_VDI_SI);
  SP_S_delta0_VGP_SI_VGP_SI=(m20_exp(SP_S_x0)*SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+d10_exp0*SP_S_x0_VGP_SI_VGP_SI);
  SP_S_delta0_VGP_SI_VSI_BP=(m20_exp(SP_S_x0)*SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+d10_exp0*SP_S_x0_VGP_SI_VSI_BP);
#endif
SP_S_delta0_VSI_BP=SP_S_x0_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(m20_exp(SP_S_x0)*SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+d10_exp0*SP_S_x0_VSI_BP_VDI_SI);
  SP_S_delta0_VSI_BP_VGP_SI=(m20_exp(SP_S_x0)*SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+d10_exp0*SP_S_x0_VSI_BP_VGP_SI);
  SP_S_delta0_VSI_BP_VSI_BP=(m20_exp(SP_S_x0)*SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+d10_exp0*SP_S_x0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_delta0=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=(-SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VGP_SI=(-SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VSI_BP=(-SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
#endif
SP_S_delta1=(1.0/SP_S_delta0);
EXIT_IF_ISNAN((1.0/SP_S_delta0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=((delta_nd_VDI_SI*SP_S_delta0)+(delta_nd*SP_S_delta0_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(+delta_nd_VDI_SI_VDI_SI*SP_S_delta0+delta_nd_VDI_SI*SP_S_delta0_VDI_SI+delta_nd_VDI_SI*SP_S_delta0_VDI_SI+delta_nd*SP_S_delta0_VDI_SI_VDI_SI);
  SP_S_delta0_VDI_SI_VGP_SI=(+delta_nd_VDI_SI_VGP_SI*SP_S_delta0+delta_nd_VDI_SI*SP_S_delta0_VGP_SI+delta_nd_VGP_SI*SP_S_delta0_VDI_SI+delta_nd*SP_S_delta0_VDI_SI_VGP_SI);
  SP_S_delta0_VDI_SI_VSI_BP=(+delta_nd_VDI_SI_VSI_BP*SP_S_delta0+delta_nd_VDI_SI*SP_S_delta0_VSI_BP+delta_nd_VSI_BP*SP_S_delta0_VDI_SI+delta_nd*SP_S_delta0_VDI_SI_VSI_BP);
#endif
SP_S_delta0_VGP_SI=((delta_nd_VGP_SI*SP_S_delta0)+(delta_nd*SP_S_delta0_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(+delta_nd_VGP_SI_VDI_SI*SP_S_delta0+delta_nd_VGP_SI*SP_S_delta0_VDI_SI+delta_nd_VDI_SI*SP_S_delta0_VGP_SI+delta_nd*SP_S_delta0_VGP_SI_VDI_SI);
  SP_S_delta0_VGP_SI_VGP_SI=(+delta_nd_VGP_SI_VGP_SI*SP_S_delta0+delta_nd_VGP_SI*SP_S_delta0_VGP_SI+delta_nd_VGP_SI*SP_S_delta0_VGP_SI+delta_nd*SP_S_delta0_VGP_SI_VGP_SI);
  SP_S_delta0_VGP_SI_VSI_BP=(+delta_nd_VGP_SI_VSI_BP*SP_S_delta0+delta_nd_VGP_SI*SP_S_delta0_VSI_BP+delta_nd_VSI_BP*SP_S_delta0_VGP_SI+delta_nd*SP_S_delta0_VGP_SI_VSI_BP);
#endif
SP_S_delta0_VSI_BP=((delta_nd_VSI_BP*SP_S_delta0)+(delta_nd*SP_S_delta0_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(+delta_nd_VSI_BP_VDI_SI*SP_S_delta0+delta_nd_VSI_BP*SP_S_delta0_VDI_SI+delta_nd_VDI_SI*SP_S_delta0_VSI_BP+delta_nd*SP_S_delta0_VSI_BP_VDI_SI);
  SP_S_delta0_VSI_BP_VGP_SI=(+delta_nd_VSI_BP_VGP_SI*SP_S_delta0+delta_nd_VSI_BP*SP_S_delta0_VGP_SI+delta_nd_VGP_SI*SP_S_delta0_VSI_BP+delta_nd*SP_S_delta0_VSI_BP_VGP_SI);
  SP_S_delta0_VSI_BP_VSI_BP=(+delta_nd_VSI_BP_VSI_BP*SP_S_delta0+delta_nd_VSI_BP*SP_S_delta0_VSI_BP+delta_nd_VSI_BP*SP_S_delta0_VSI_BP+delta_nd*SP_S_delta0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_delta0=(delta_nd*SP_S_delta0);
EXIT_IF_ISNAN((delta_nd*SP_S_delta0))
}
else
{
if
((SP_S_x0>(xn_d-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(SP_S_x0-xn_d))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=(SP_S_x0_VDI_SI-xn_d_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VDI_SI-xn_d_VDI_SI)*(SP_S_x0_VDI_SI-xn_d_VDI_SI)+d10_exp0*(+SP_S_x0_VDI_SI_VDI_SI-xn_d_VDI_SI_VDI_SI));
  SP_S_delta0_VDI_SI_VGP_SI=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VGP_SI-xn_d_VGP_SI)*(SP_S_x0_VDI_SI-xn_d_VDI_SI)+d10_exp0*(+SP_S_x0_VDI_SI_VGP_SI-xn_d_VDI_SI_VGP_SI));
  SP_S_delta0_VDI_SI_VSI_BP=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VSI_BP-xn_d_VSI_BP)*(SP_S_x0_VDI_SI-xn_d_VDI_SI)+d10_exp0*(+SP_S_x0_VDI_SI_VSI_BP-xn_d_VDI_SI_VSI_BP));
#endif
SP_S_delta0_VGP_SI=(SP_S_x0_VGP_SI-xn_d_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VDI_SI-xn_d_VDI_SI)*(SP_S_x0_VGP_SI-xn_d_VGP_SI)+d10_exp0*(+SP_S_x0_VGP_SI_VDI_SI-xn_d_VGP_SI_VDI_SI));
  SP_S_delta0_VGP_SI_VGP_SI=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VGP_SI-xn_d_VGP_SI)*(SP_S_x0_VGP_SI-xn_d_VGP_SI)+d10_exp0*(+SP_S_x0_VGP_SI_VGP_SI-xn_d_VGP_SI_VGP_SI));
  SP_S_delta0_VGP_SI_VSI_BP=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VSI_BP-xn_d_VSI_BP)*(SP_S_x0_VGP_SI-xn_d_VGP_SI)+d10_exp0*(+SP_S_x0_VGP_SI_VSI_BP-xn_d_VGP_SI_VSI_BP));
#endif
SP_S_delta0_VSI_BP=(SP_S_x0_VSI_BP-xn_d_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VDI_SI-xn_d_VDI_SI)*(SP_S_x0_VSI_BP-xn_d_VSI_BP)+d10_exp0*(+SP_S_x0_VSI_BP_VDI_SI-xn_d_VSI_BP_VDI_SI));
  SP_S_delta0_VSI_BP_VGP_SI=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VGP_SI-xn_d_VGP_SI)*(SP_S_x0_VSI_BP-xn_d_VSI_BP)+d10_exp0*(+SP_S_x0_VSI_BP_VGP_SI-xn_d_VSI_BP_VGP_SI));
  SP_S_delta0_VSI_BP_VSI_BP=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VSI_BP-xn_d_VSI_BP)*(SP_S_x0_VSI_BP-xn_d_VSI_BP)+d10_exp0*(+SP_S_x0_VSI_BP_VSI_BP-xn_d_VSI_BP_VSI_BP));
#endif
#endif
SP_S_delta0=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=((delta_nd_VDI_SI*SP_S_delta0-delta_nd*SP_S_delta0_VDI_SI)/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(delta_nd_VDI_SI_VDI_SI/SP_S_delta0-(delta_nd_VDI_SI*SP_S_delta0_VDI_SI+delta_nd_VDI_SI*SP_S_delta0_VDI_SI+delta_nd*SP_S_delta0_VDI_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VDI_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VGP_SI=(delta_nd_VDI_SI_VGP_SI/SP_S_delta0-(delta_nd_VDI_SI*SP_S_delta0_VGP_SI+delta_nd_VGP_SI*SP_S_delta0_VDI_SI+delta_nd*SP_S_delta0_VDI_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VDI_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VSI_BP=(delta_nd_VDI_SI_VSI_BP/SP_S_delta0-(delta_nd_VDI_SI*SP_S_delta0_VSI_BP+delta_nd_VSI_BP*SP_S_delta0_VDI_SI+delta_nd*SP_S_delta0_VDI_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VDI_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VGP_SI=((delta_nd_VGP_SI*SP_S_delta0-delta_nd*SP_S_delta0_VGP_SI)/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(delta_nd_VGP_SI_VDI_SI/SP_S_delta0-(delta_nd_VGP_SI*SP_S_delta0_VDI_SI+delta_nd_VDI_SI*SP_S_delta0_VGP_SI+delta_nd*SP_S_delta0_VGP_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VGP_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VGP_SI=(delta_nd_VGP_SI_VGP_SI/SP_S_delta0-(delta_nd_VGP_SI*SP_S_delta0_VGP_SI+delta_nd_VGP_SI*SP_S_delta0_VGP_SI+delta_nd*SP_S_delta0_VGP_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VGP_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VSI_BP=(delta_nd_VGP_SI_VSI_BP/SP_S_delta0-(delta_nd_VGP_SI*SP_S_delta0_VSI_BP+delta_nd_VSI_BP*SP_S_delta0_VGP_SI+delta_nd*SP_S_delta0_VGP_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VGP_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VSI_BP=((delta_nd_VSI_BP*SP_S_delta0-delta_nd*SP_S_delta0_VSI_BP)/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(delta_nd_VSI_BP_VDI_SI/SP_S_delta0-(delta_nd_VSI_BP*SP_S_delta0_VDI_SI+delta_nd_VDI_SI*SP_S_delta0_VSI_BP+delta_nd*SP_S_delta0_VSI_BP_VDI_SI)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VSI_BP*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VGP_SI=(delta_nd_VSI_BP_VGP_SI/SP_S_delta0-(delta_nd_VSI_BP*SP_S_delta0_VGP_SI+delta_nd_VGP_SI*SP_S_delta0_VSI_BP+delta_nd*SP_S_delta0_VSI_BP_VGP_SI)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VSI_BP*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VSI_BP=(delta_nd_VSI_BP_VSI_BP/SP_S_delta0-(delta_nd_VSI_BP*SP_S_delta0_VSI_BP+delta_nd_VSI_BP*SP_S_delta0_VSI_BP+delta_nd*SP_S_delta0_VSI_BP_VSI_BP)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VSI_BP*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
#endif
SP_S_delta1=(delta_nd/SP_S_delta0);
EXIT_IF_ISNAN((delta_nd/SP_S_delta0))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=(-1.0e-100*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*0.0+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VDI_SI_VGP_SI=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*0.0+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VDI_SI_VSI_BP=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*0.0+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta0_VGP_SI=(-1.0e-100*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*0.0+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VGP_SI_VGP_SI=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*0.0+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VGP_SI_VSI_BP=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*0.0+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta0_VSI_BP=(-1.0e-100*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*0.0+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VSI_BP_VGP_SI=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*0.0+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VSI_BP_VSI_BP=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*0.0+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
SP_S_delta0=(1.0e-100/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=(-1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VDI_SI*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))))+SP_S_x0_VDI_SI*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VDI_SI_VDI_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VDI_SI*(SP_S_x0_VDI_SI*3.3333333333333333e-01)+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VDI_SI*0.0+SP_S_x0_VDI_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VDI_SI_VGP_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VDI_SI*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))))+SP_S_x0_VGP_SI*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VDI_SI_VGP_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VDI_SI*(SP_S_x0_VGP_SI*3.3333333333333333e-01)+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VDI_SI*0.0+SP_S_x0_VGP_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VDI_SI_VSI_BP=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VDI_SI*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))))+SP_S_x0_VSI_BP*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VDI_SI_VSI_BP-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VDI_SI*(SP_S_x0_VSI_BP*3.3333333333333333e-01)+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_x0_VDI_SI*0.0+SP_S_x0_VSI_BP*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta1_VGP_SI=(-1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VGP_SI*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))))+SP_S_x0_VDI_SI*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VGP_SI_VDI_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VGP_SI*(SP_S_x0_VDI_SI*3.3333333333333333e-01)+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VGP_SI*0.0+SP_S_x0_VDI_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VGP_SI_VGP_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VGP_SI*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))))+SP_S_x0_VGP_SI*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VGP_SI_VGP_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VGP_SI*(SP_S_x0_VGP_SI*3.3333333333333333e-01)+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VGP_SI*0.0+SP_S_x0_VGP_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VGP_SI_VSI_BP=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VGP_SI*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))))+SP_S_x0_VSI_BP*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VGP_SI_VSI_BP-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VGP_SI*(SP_S_x0_VSI_BP*3.3333333333333333e-01)+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_x0_VGP_SI*0.0+SP_S_x0_VSI_BP*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta1_VSI_BP=(-1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VSI_BP*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))))+SP_S_x0_VDI_SI*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VSI_BP_VDI_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VSI_BP*(SP_S_x0_VDI_SI*3.3333333333333333e-01)+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VSI_BP*0.0+SP_S_x0_VDI_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VSI_BP_VGP_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VSI_BP*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))))+SP_S_x0_VGP_SI*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VSI_BP_VGP_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VSI_BP*(SP_S_x0_VGP_SI*3.3333333333333333e-01)+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VSI_BP*0.0+SP_S_x0_VGP_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VSI_BP_VSI_BP=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VSI_BP*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))))+SP_S_x0_VSI_BP*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VSI_BP_VSI_BP-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VSI_BP*(SP_S_x0_VSI_BP*3.3333333333333333e-01)+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_x0_VSI_BP*0.0+SP_S_x0_VSI_BP*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
SP_S_delta1=(1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))+0.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))+1.0*(+0.0+(+SP_S_x0_VDI_SI_VDI_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VDI_SI_VGP_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))+0.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))+1.0*(+0.0+(+SP_S_x0_VDI_SI_VGP_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VDI_SI_VSI_BP=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))+0.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))+1.0*(+0.0+(+SP_S_x0_VDI_SI_VSI_BP*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#endif
SP_S_temp_VGP_SI=(-((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))+0.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))+1.0*(+0.0+(+SP_S_x0_VGP_SI_VDI_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VGP_SI_VGP_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))+0.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))+1.0*(+0.0+(+SP_S_x0_VGP_SI_VGP_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VGP_SI_VSI_BP=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))+0.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))+1.0*(+0.0+(+SP_S_x0_VGP_SI_VSI_BP*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#endif
SP_S_temp_VSI_BP=(-((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))+0.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))+1.0*(+0.0+(+SP_S_x0_VSI_BP_VDI_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VSI_BP_VGP_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))+0.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))+1.0*(+0.0+(+SP_S_x0_VSI_BP_VGP_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VSI_BP_VSI_BP=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))+0.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))+1.0*(+0.0+(+SP_S_x0_VSI_BP_VSI_BP*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#endif
#endif
SP_S_temp=(1.0/(2.0+(SP_S_x0*SP_S_x0)));
EXIT_IF_ISNAN((1.0/(2.0+(SP_S_x0*SP_S_x0))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi0_VDI_SI=((((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VDI_SI_VDI_SI=(+(+SP_S_x0_VDI_SI_VDI_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI_VDI_SI);
  SP_S_xi0_VDI_SI_VGP_SI=(+(+SP_S_x0_VDI_SI_VGP_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI_VGP_SI);
  SP_S_xi0_VDI_SI_VSI_BP=(+(+SP_S_x0_VDI_SI_VSI_BP*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_xi0_VGP_SI=((((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VGP_SI_VDI_SI=(+(+SP_S_x0_VGP_SI_VDI_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI_VDI_SI);
  SP_S_xi0_VGP_SI_VGP_SI=(+(+SP_S_x0_VGP_SI_VGP_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI_VGP_SI);
  SP_S_xi0_VGP_SI_VSI_BP=(+(+SP_S_x0_VGP_SI_VSI_BP*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_xi0_VSI_BP=((((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi0_VSI_BP_VDI_SI=(+(+SP_S_x0_VSI_BP_VDI_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VDI_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP_VDI_SI);
  SP_S_xi0_VSI_BP_VGP_SI=(+(+SP_S_x0_VSI_BP_VGP_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VGP_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP_VGP_SI);
  SP_S_xi0_VSI_BP_VSI_BP=(+(+SP_S_x0_VSI_BP_VSI_BP*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VSI_BP)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi0=((SP_S_x0*SP_S_x0)*SP_S_temp);
EXIT_IF_ISNAN(((SP_S_x0*SP_S_x0)*SP_S_temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi1_VDI_SI=(4.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VDI_SI_VDI_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_x0_VDI_SI_VDI_SI*SP_S_temp+SP_S_x0_VDI_SI*SP_S_temp_VDI_SI+SP_S_x0_VDI_SI*SP_S_temp_VDI_SI+SP_S_x0*SP_S_temp_VDI_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI_VDI_SI));
  SP_S_xi1_VDI_SI_VGP_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_x0_VDI_SI_VGP_SI*SP_S_temp+SP_S_x0_VDI_SI*SP_S_temp_VGP_SI+SP_S_x0_VGP_SI*SP_S_temp_VDI_SI+SP_S_x0*SP_S_temp_VDI_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI_VGP_SI));
  SP_S_xi1_VDI_SI_VSI_BP=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_x0_VDI_SI_VSI_BP*SP_S_temp+SP_S_x0_VDI_SI*SP_S_temp_VSI_BP+SP_S_x0_VSI_BP*SP_S_temp_VDI_SI+SP_S_x0*SP_S_temp_VDI_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI_VSI_BP));
#endif
SP_S_xi1_VGP_SI=(4.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VGP_SI_VDI_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_x0_VGP_SI_VDI_SI*SP_S_temp+SP_S_x0_VGP_SI*SP_S_temp_VDI_SI+SP_S_x0_VDI_SI*SP_S_temp_VGP_SI+SP_S_x0*SP_S_temp_VGP_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI_VDI_SI));
  SP_S_xi1_VGP_SI_VGP_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_x0_VGP_SI_VGP_SI*SP_S_temp+SP_S_x0_VGP_SI*SP_S_temp_VGP_SI+SP_S_x0_VGP_SI*SP_S_temp_VGP_SI+SP_S_x0*SP_S_temp_VGP_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI_VGP_SI));
  SP_S_xi1_VGP_SI_VSI_BP=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_x0_VGP_SI_VSI_BP*SP_S_temp+SP_S_x0_VGP_SI*SP_S_temp_VSI_BP+SP_S_x0_VSI_BP*SP_S_temp_VGP_SI+SP_S_x0*SP_S_temp_VGP_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI_VSI_BP));
#endif
SP_S_xi1_VSI_BP=(4.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_xi1_VSI_BP_VDI_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_x0_VSI_BP_VDI_SI*SP_S_temp+SP_S_x0_VSI_BP*SP_S_temp_VDI_SI+SP_S_x0_VDI_SI*SP_S_temp_VSI_BP+SP_S_x0*SP_S_temp_VSI_BP_VDI_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP_VDI_SI));
  SP_S_xi1_VSI_BP_VGP_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_x0_VSI_BP_VGP_SI*SP_S_temp+SP_S_x0_VSI_BP*SP_S_temp_VGP_SI+SP_S_x0_VGP_SI*SP_S_temp_VSI_BP+SP_S_x0*SP_S_temp_VSI_BP_VGP_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP_VGP_SI));
  SP_S_xi1_VSI_BP_VSI_BP=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_x0_VSI_BP_VSI_BP*SP_S_temp+SP_S_x0_VSI_BP*SP_S_temp_VSI_BP+SP_S_x0_VSI_BP*SP_S_temp_VSI_BP+SP_S_x0*SP_S_temp_VSI_BP_VSI_BP)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP_VSI_BP));
#endif
#endif
SP_S_xi1=(4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
EXIT_IF_ISNAN((4.0*((SP_S_x0*SP_S_temp)*SP_S_temp)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi2_VDI_SI=((((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VDI_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VDI_SI);
  SP_S_xi2_VDI_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VGP_SI);
  SP_S_xi2_VDI_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_xi2_VGP_SI=((((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VGP_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VDI_SI);
  SP_S_xi2_VGP_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VGP_SI);
  SP_S_xi2_VGP_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_xi2_VSI_BP=((((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi2_VSI_BP_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VDI_SI);
  SP_S_xi2_VSI_BP_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VGP_SI);
  SP_S_xi2_VSI_BP_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi2=((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
EXIT_IF_ISNAN(((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(xg_VDI_SI-SP_S_x0_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+xg_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI);
  SP_S_temp_VDI_SI_VGP_SI=(+xg_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI);
  SP_S_temp_VDI_SI_VSI_BP=(+xg_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP);
#endif
SP_S_temp_VGP_SI=(xg_VGP_SI-SP_S_x0_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+xg_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI);
  SP_S_temp_VGP_SI_VGP_SI=(+xg_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI);
  SP_S_temp_VGP_SI_VSI_BP=(+xg_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP);
#endif
SP_S_temp_VSI_BP=(xg_VSI_BP-SP_S_x0_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+xg_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI);
  SP_S_temp_VSI_BP_VGP_SI=(+xg_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI);
  SP_S_temp_VSI_BP_VSI_BP=(+xg_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp=(xg-SP_S_x0);
EXIT_IF_ISNAN((xg-SP_S_x0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_pC_VDI_SI=((2.0*SP_S_temp_VDI_SI)+((Gf2_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1))))+(Gf2*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_pC_VDI_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VDI_SI)+(+Gf2_VDI_SI_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VDI_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VDI_SI_VDI_SI)+SP_S_delta0_VDI_SI_VDI_SI)-(+delta_nd_VDI_SI_VDI_SI*(1.0+SP_S_xi1)+delta_nd_VDI_SI*SP_S_xi1_VDI_SI+delta_nd_VDI_SI*SP_S_xi1_VDI_SI+delta_nd*(+0.0+SP_S_xi1_VDI_SI_VDI_SI)))));
  SP_S_pC_VDI_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VGP_SI)+(+Gf2_VDI_SI_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VDI_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VDI_SI_VGP_SI)+SP_S_delta0_VDI_SI_VGP_SI)-(+delta_nd_VDI_SI_VGP_SI*(1.0+SP_S_xi1)+delta_nd_VDI_SI*SP_S_xi1_VGP_SI+delta_nd_VGP_SI*SP_S_xi1_VDI_SI+delta_nd*(+0.0+SP_S_xi1_VDI_SI_VGP_SI)))));
  SP_S_pC_VDI_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VSI_BP)+(+Gf2_VDI_SI_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VDI_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VDI_SI_VSI_BP)+SP_S_delta0_VDI_SI_VSI_BP)-(+delta_nd_VDI_SI_VSI_BP*(1.0+SP_S_xi1)+delta_nd_VDI_SI*SP_S_xi1_VSI_BP+delta_nd_VSI_BP*SP_S_xi1_VDI_SI+delta_nd*(+0.0+SP_S_xi1_VDI_SI_VSI_BP)))));
#endif
SP_S_pC_VGP_SI=((2.0*SP_S_temp_VGP_SI)+((Gf2_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1))))+(Gf2*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_pC_VGP_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VDI_SI)+(+Gf2_VGP_SI_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VGP_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VGP_SI_VDI_SI)+SP_S_delta0_VGP_SI_VDI_SI)-(+delta_nd_VGP_SI_VDI_SI*(1.0+SP_S_xi1)+delta_nd_VGP_SI*SP_S_xi1_VDI_SI+delta_nd_VDI_SI*SP_S_xi1_VGP_SI+delta_nd*(+0.0+SP_S_xi1_VGP_SI_VDI_SI)))));
  SP_S_pC_VGP_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VGP_SI)+(+Gf2_VGP_SI_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VGP_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VGP_SI_VGP_SI)+SP_S_delta0_VGP_SI_VGP_SI)-(+delta_nd_VGP_SI_VGP_SI*(1.0+SP_S_xi1)+delta_nd_VGP_SI*SP_S_xi1_VGP_SI+delta_nd_VGP_SI*SP_S_xi1_VGP_SI+delta_nd*(+0.0+SP_S_xi1_VGP_SI_VGP_SI)))));
  SP_S_pC_VGP_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VSI_BP)+(+Gf2_VGP_SI_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VGP_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VGP_SI_VSI_BP)+SP_S_delta0_VGP_SI_VSI_BP)-(+delta_nd_VGP_SI_VSI_BP*(1.0+SP_S_xi1)+delta_nd_VGP_SI*SP_S_xi1_VSI_BP+delta_nd_VSI_BP*SP_S_xi1_VGP_SI+delta_nd*(+0.0+SP_S_xi1_VGP_SI_VSI_BP)))));
#endif
SP_S_pC_VSI_BP=((2.0*SP_S_temp_VSI_BP)+((Gf2_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1))))+(Gf2*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_pC_VSI_BP_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VDI_SI)+(+Gf2_VSI_BP_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VSI_BP*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP)))+Gf2*(+(+(+0.0-SP_S_delta1_VSI_BP_VDI_SI)+SP_S_delta0_VSI_BP_VDI_SI)-(+delta_nd_VSI_BP_VDI_SI*(1.0+SP_S_xi1)+delta_nd_VSI_BP*SP_S_xi1_VDI_SI+delta_nd_VDI_SI*SP_S_xi1_VSI_BP+delta_nd*(+0.0+SP_S_xi1_VSI_BP_VDI_SI)))));
  SP_S_pC_VSI_BP_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VGP_SI)+(+Gf2_VSI_BP_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VSI_BP*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP)))+Gf2*(+(+(+0.0-SP_S_delta1_VSI_BP_VGP_SI)+SP_S_delta0_VSI_BP_VGP_SI)-(+delta_nd_VSI_BP_VGP_SI*(1.0+SP_S_xi1)+delta_nd_VSI_BP*SP_S_xi1_VGP_SI+delta_nd_VGP_SI*SP_S_xi1_VSI_BP+delta_nd*(+0.0+SP_S_xi1_VSI_BP_VGP_SI)))));
  SP_S_pC_VSI_BP_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VSI_BP)+(+Gf2_VSI_BP_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VSI_BP*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP)))+Gf2*(+(+(+0.0-SP_S_delta1_VSI_BP_VSI_BP)+SP_S_delta0_VSI_BP_VSI_BP)-(+delta_nd_VSI_BP_VSI_BP*(1.0+SP_S_xi1)+delta_nd_VSI_BP*SP_S_xi1_VSI_BP+delta_nd_VSI_BP*SP_S_xi1_VSI_BP+delta_nd*(+0.0+SP_S_xi1_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_pC=((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))));
EXIT_IF_ISNAN(((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_qC_VDI_SI=(((SP_S_temp_VDI_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VDI_SI))-((Gf2_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0))))+(Gf2*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VDI_SI_VDI_SI=(+(+SP_S_temp_VDI_SI_VDI_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VDI_SI)-(+Gf2_VDI_SI_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta1_VDI_SI_VDI_SI+SP_S_x0_VDI_SI_VDI_SI)-0.0)+SP_S_delta0_VDI_SI_VDI_SI)-(+delta_nd_VDI_SI_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VDI_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_nd_VDI_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_nd*(+(+SP_S_x0_VDI_SI_VDI_SI+0.0)+SP_S_xi0_VDI_SI_VDI_SI)))));
  SP_S_qC_VDI_SI_VGP_SI=(+(+SP_S_temp_VDI_SI_VGP_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VGP_SI)-(+Gf2_VDI_SI_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta1_VDI_SI_VGP_SI+SP_S_x0_VDI_SI_VGP_SI)-0.0)+SP_S_delta0_VDI_SI_VGP_SI)-(+delta_nd_VDI_SI_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VDI_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_nd_VGP_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_nd*(+(+SP_S_x0_VDI_SI_VGP_SI+0.0)+SP_S_xi0_VDI_SI_VGP_SI)))));
  SP_S_qC_VDI_SI_VSI_BP=(+(+SP_S_temp_VDI_SI_VSI_BP*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VSI_BP)-(+Gf2_VDI_SI_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta1_VDI_SI_VSI_BP+SP_S_x0_VDI_SI_VSI_BP)-0.0)+SP_S_delta0_VDI_SI_VSI_BP)-(+delta_nd_VDI_SI_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VDI_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_nd_VSI_BP*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_nd*(+(+SP_S_x0_VDI_SI_VSI_BP+0.0)+SP_S_xi0_VDI_SI_VSI_BP)))));
#endif
SP_S_qC_VGP_SI=(((SP_S_temp_VGP_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VGP_SI))-((Gf2_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0))))+(Gf2*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VGP_SI_VDI_SI=(+(+SP_S_temp_VGP_SI_VDI_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VDI_SI)-(+Gf2_VGP_SI_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta1_VGP_SI_VDI_SI+SP_S_x0_VGP_SI_VDI_SI)-0.0)+SP_S_delta0_VGP_SI_VDI_SI)-(+delta_nd_VGP_SI_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VGP_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_nd_VDI_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_nd*(+(+SP_S_x0_VGP_SI_VDI_SI+0.0)+SP_S_xi0_VGP_SI_VDI_SI)))));
  SP_S_qC_VGP_SI_VGP_SI=(+(+SP_S_temp_VGP_SI_VGP_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VGP_SI)-(+Gf2_VGP_SI_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta1_VGP_SI_VGP_SI+SP_S_x0_VGP_SI_VGP_SI)-0.0)+SP_S_delta0_VGP_SI_VGP_SI)-(+delta_nd_VGP_SI_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VGP_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_nd_VGP_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_nd*(+(+SP_S_x0_VGP_SI_VGP_SI+0.0)+SP_S_xi0_VGP_SI_VGP_SI)))));
  SP_S_qC_VGP_SI_VSI_BP=(+(+SP_S_temp_VGP_SI_VSI_BP*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VSI_BP)-(+Gf2_VGP_SI_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta1_VGP_SI_VSI_BP+SP_S_x0_VGP_SI_VSI_BP)-0.0)+SP_S_delta0_VGP_SI_VSI_BP)-(+delta_nd_VGP_SI_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VGP_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_nd_VSI_BP*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_nd*(+(+SP_S_x0_VGP_SI_VSI_BP+0.0)+SP_S_xi0_VGP_SI_VSI_BP)))));
#endif
SP_S_qC_VSI_BP=(((SP_S_temp_VSI_BP*SP_S_temp)+(SP_S_temp*SP_S_temp_VSI_BP))-((Gf2_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0))))+(Gf2*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VSI_BP_VDI_SI=(+(+SP_S_temp_VSI_BP_VDI_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VDI_SI)-(+Gf2_VSI_BP_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta1_VSI_BP_VDI_SI+SP_S_x0_VSI_BP_VDI_SI)-0.0)+SP_S_delta0_VSI_BP_VDI_SI)-(+delta_nd_VSI_BP_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VSI_BP*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_nd_VDI_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_nd*(+(+SP_S_x0_VSI_BP_VDI_SI+0.0)+SP_S_xi0_VSI_BP_VDI_SI)))));
  SP_S_qC_VSI_BP_VGP_SI=(+(+SP_S_temp_VSI_BP_VGP_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VGP_SI)-(+Gf2_VSI_BP_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta1_VSI_BP_VGP_SI+SP_S_x0_VSI_BP_VGP_SI)-0.0)+SP_S_delta0_VSI_BP_VGP_SI)-(+delta_nd_VSI_BP_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VSI_BP*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_nd_VGP_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_nd*(+(+SP_S_x0_VSI_BP_VGP_SI+0.0)+SP_S_xi0_VSI_BP_VGP_SI)))));
  SP_S_qC_VSI_BP_VSI_BP=(+(+SP_S_temp_VSI_BP_VSI_BP*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VSI_BP)-(+Gf2_VSI_BP_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta1_VSI_BP_VSI_BP+SP_S_x0_VSI_BP_VSI_BP)-0.0)+SP_S_delta0_VSI_BP_VSI_BP)-(+delta_nd_VSI_BP_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VSI_BP*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_nd_VSI_BP*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_nd*(+(+SP_S_x0_VSI_BP_VSI_BP+0.0)+SP_S_xi0_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_qC=((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))));
EXIT_IF_ISNAN(((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-((Gf2_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2)))+(Gf2*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+0.0-(+Gf2_VDI_SI_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta1_VDI_SI_VDI_SI+SP_S_delta0_VDI_SI_VDI_SI)-(+delta_nd_VDI_SI_VDI_SI*SP_S_xi2+delta_nd_VDI_SI*SP_S_xi2_VDI_SI+delta_nd_VDI_SI*SP_S_xi2_VDI_SI+delta_nd*SP_S_xi2_VDI_SI_VDI_SI))));
  SP_S_temp_VDI_SI_VGP_SI=(+0.0-(+Gf2_VDI_SI_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta1_VDI_SI_VGP_SI+SP_S_delta0_VDI_SI_VGP_SI)-(+delta_nd_VDI_SI_VGP_SI*SP_S_xi2+delta_nd_VDI_SI*SP_S_xi2_VGP_SI+delta_nd_VGP_SI*SP_S_xi2_VDI_SI+delta_nd*SP_S_xi2_VDI_SI_VGP_SI))));
  SP_S_temp_VDI_SI_VSI_BP=(+0.0-(+Gf2_VDI_SI_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta1_VDI_SI_VSI_BP+SP_S_delta0_VDI_SI_VSI_BP)-(+delta_nd_VDI_SI_VSI_BP*SP_S_xi2+delta_nd_VDI_SI*SP_S_xi2_VSI_BP+delta_nd_VSI_BP*SP_S_xi2_VDI_SI+delta_nd*SP_S_xi2_VDI_SI_VSI_BP))));
#endif
SP_S_temp_VGP_SI=(-((Gf2_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2)))+(Gf2*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+0.0-(+Gf2_VGP_SI_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta1_VGP_SI_VDI_SI+SP_S_delta0_VGP_SI_VDI_SI)-(+delta_nd_VGP_SI_VDI_SI*SP_S_xi2+delta_nd_VGP_SI*SP_S_xi2_VDI_SI+delta_nd_VDI_SI*SP_S_xi2_VGP_SI+delta_nd*SP_S_xi2_VGP_SI_VDI_SI))));
  SP_S_temp_VGP_SI_VGP_SI=(+0.0-(+Gf2_VGP_SI_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta1_VGP_SI_VGP_SI+SP_S_delta0_VGP_SI_VGP_SI)-(+delta_nd_VGP_SI_VGP_SI*SP_S_xi2+delta_nd_VGP_SI*SP_S_xi2_VGP_SI+delta_nd_VGP_SI*SP_S_xi2_VGP_SI+delta_nd*SP_S_xi2_VGP_SI_VGP_SI))));
  SP_S_temp_VGP_SI_VSI_BP=(+0.0-(+Gf2_VGP_SI_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta1_VGP_SI_VSI_BP+SP_S_delta0_VGP_SI_VSI_BP)-(+delta_nd_VGP_SI_VSI_BP*SP_S_xi2+delta_nd_VGP_SI*SP_S_xi2_VSI_BP+delta_nd_VSI_BP*SP_S_xi2_VGP_SI+delta_nd*SP_S_xi2_VGP_SI_VSI_BP))));
#endif
SP_S_temp_VSI_BP=(-((Gf2_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2)))+(Gf2*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+0.0-(+Gf2_VSI_BP_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta1_VSI_BP_VDI_SI+SP_S_delta0_VSI_BP_VDI_SI)-(+delta_nd_VSI_BP_VDI_SI*SP_S_xi2+delta_nd_VSI_BP*SP_S_xi2_VDI_SI+delta_nd_VDI_SI*SP_S_xi2_VSI_BP+delta_nd*SP_S_xi2_VSI_BP_VDI_SI))));
  SP_S_temp_VSI_BP_VGP_SI=(+0.0-(+Gf2_VSI_BP_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta1_VSI_BP_VGP_SI+SP_S_delta0_VSI_BP_VGP_SI)-(+delta_nd_VSI_BP_VGP_SI*SP_S_xi2+delta_nd_VSI_BP*SP_S_xi2_VGP_SI+delta_nd_VGP_SI*SP_S_xi2_VSI_BP+delta_nd*SP_S_xi2_VSI_BP_VGP_SI))));
  SP_S_temp_VSI_BP_VSI_BP=(+0.0-(+Gf2_VSI_BP_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta1_VSI_BP_VSI_BP+SP_S_delta0_VSI_BP_VSI_BP)-(+delta_nd_VSI_BP_VSI_BP*SP_S_xi2+delta_nd_VSI_BP*SP_S_xi2_VSI_BP+delta_nd_VSI_BP*SP_S_xi2_VSI_BP+delta_nd*SP_S_xi2_VSI_BP_VSI_BP))));
#endif
#endif
SP_S_temp=(2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))));
EXIT_IF_ISNAN((2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2)))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(((SP_S_pC_VDI_SI*SP_S_pC)+(SP_S_pC*SP_S_pC_VDI_SI))-(2.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+(+SP_S_pC_VDI_SI_VDI_SI*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VDI_SI*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VDI_SI)));
  SP_S_temp_VDI_SI_VGP_SI=(+(+SP_S_pC_VDI_SI_VGP_SI*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VGP_SI*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VGP_SI)));
  SP_S_temp_VDI_SI_VSI_BP=(+(+SP_S_pC_VDI_SI_VSI_BP*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VSI_BP*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VSI_BP)));
#endif
SP_S_temp_VGP_SI=(((SP_S_pC_VGP_SI*SP_S_pC)+(SP_S_pC*SP_S_pC_VGP_SI))-(2.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+(+SP_S_pC_VGP_SI_VDI_SI*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VDI_SI*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VDI_SI)));
  SP_S_temp_VGP_SI_VGP_SI=(+(+SP_S_pC_VGP_SI_VGP_SI*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VGP_SI*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VGP_SI)));
  SP_S_temp_VGP_SI_VSI_BP=(+(+SP_S_pC_VGP_SI_VSI_BP*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VSI_BP*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VSI_BP)));
#endif
SP_S_temp_VSI_BP=(((SP_S_pC_VSI_BP*SP_S_pC)+(SP_S_pC*SP_S_pC_VSI_BP))-(2.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+(+SP_S_pC_VSI_BP_VDI_SI*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VDI_SI*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VDI_SI)));
  SP_S_temp_VSI_BP_VGP_SI=(+(+SP_S_pC_VSI_BP_VGP_SI*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VGP_SI*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VGP_SI)));
  SP_S_temp_VSI_BP_VSI_BP=(+(+SP_S_pC_VSI_BP_VSI_BP*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VSI_BP*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VSI_BP)));
#endif
#endif
SP_S_temp=((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
EXIT_IF_ISNAN(((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp))))
{
double m00_sqrt(d00_sqrt0,SP_S_temp)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,SP_S_temp)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_d_VDI_SI=(SP_S_x0_VDI_SI+(2.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_d_VDI_SI_VDI_SI=(+SP_S_x0_VDI_SI_VDI_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_d_VDI_SI_VGP_SI=(+SP_S_x0_VDI_SI_VGP_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_d_VDI_SI_VSI_BP=(+SP_S_x0_VDI_SI_VSI_BP+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
x_d_VGP_SI=(SP_S_x0_VGP_SI+(2.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_d_VGP_SI_VDI_SI=(+SP_S_x0_VGP_SI_VDI_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_d_VGP_SI_VGP_SI=(+SP_S_x0_VGP_SI_VGP_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_d_VGP_SI_VSI_BP=(+SP_S_x0_VGP_SI_VSI_BP+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
x_d_VSI_BP=(SP_S_x0_VSI_BP+(2.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_d_VSI_BP_VDI_SI=(+SP_S_x0_VSI_BP_VDI_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_d_VSI_BP_VGP_SI=(+SP_S_x0_VSI_BP_VGP_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_d_VSI_BP_VSI_BP=(+SP_S_x0_VSI_BP_VSI_BP+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
#endif
x_d=(SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))));
EXIT_IF_ISNAN((SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+d00_sqrt0)))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_ds_VDI_SI=(x_d_VDI_SI-x_s_VDI_SI);
#if defined(_DERIVATE2)
  x_ds_VDI_SI_VDI_SI=(+x_d_VDI_SI_VDI_SI-x_s_VDI_SI_VDI_SI);
  x_ds_VDI_SI_VGP_SI=(+x_d_VDI_SI_VGP_SI-x_s_VDI_SI_VGP_SI);
  x_ds_VDI_SI_VSI_BP=(+x_d_VDI_SI_VSI_BP-x_s_VDI_SI_VSI_BP);
#endif
x_ds_VGP_SI=(x_d_VGP_SI-x_s_VGP_SI);
#if defined(_DERIVATE2)
  x_ds_VGP_SI_VDI_SI=(+x_d_VGP_SI_VDI_SI-x_s_VGP_SI_VDI_SI);
  x_ds_VGP_SI_VGP_SI=(+x_d_VGP_SI_VGP_SI-x_s_VGP_SI_VGP_SI);
  x_ds_VGP_SI_VSI_BP=(+x_d_VGP_SI_VSI_BP-x_s_VGP_SI_VSI_BP);
#endif
x_ds_VSI_BP=(x_d_VSI_BP-x_s_VSI_BP);
#if defined(_DERIVATE2)
  x_ds_VSI_BP_VDI_SI=(+x_d_VSI_BP_VDI_SI-x_s_VSI_BP_VDI_SI);
  x_ds_VSI_BP_VGP_SI=(+x_d_VSI_BP_VGP_SI-x_s_VSI_BP_VGP_SI);
  x_ds_VSI_BP_VSI_BP=(+x_d_VSI_BP_VSI_BP-x_s_VSI_BP_VSI_BP);
#endif
#endif
x_ds=(x_d-x_s);
EXIT_IF_ISNAN((x_d-x_s))
if
((x_ds<1.0e-10))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
pC_VDI_SI=((2.0*(xg_VDI_SI-x_s_VDI_SI))+((Gf2_VDI_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s))))+(Gf2*(((-Es_VDI_SI)+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI))))));
#if defined(_DERIVATE2)
  pC_VDI_SI_VDI_SI=(+(+0.0*(xg-x_s)+0.0*(xg_VDI_SI-x_s_VDI_SI)+0.0*(xg_VDI_SI-x_s_VDI_SI)+2.0*(+xg_VDI_SI_VDI_SI-x_s_VDI_SI_VDI_SI))+(+Gf2_VDI_SI_VDI_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VDI_SI*(((-Es_VDI_SI)+(((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI))))-(((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI))))+Gf2_VDI_SI*(((-Es_VDI_SI)+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI)))+Gf2*(+(+(+0.0-Es_VDI_SI_VDI_SI)+(+delta_1s_VDI_SI_VDI_SI*k_ds+delta_1s_VDI_SI*k_ds_VDI_SI+delta_1s_VDI_SI*k_ds_VDI_SI+delta_1s*k_ds_VDI_SI_VDI_SI))-(+delta_nd_VDI_SI_VDI_SI*(1.0+xi1s)+delta_nd_VDI_SI*xi1s_VDI_SI+delta_nd_VDI_SI*xi1s_VDI_SI+delta_nd*(+0.0+xi1s_VDI_SI_VDI_SI)))));
  pC_VDI_SI_VGP_SI=(+(+0.0*(xg-x_s)+0.0*(xg_VGP_SI-x_s_VGP_SI)+0.0*(xg_VDI_SI-x_s_VDI_SI)+2.0*(+xg_VDI_SI_VGP_SI-x_s_VDI_SI_VGP_SI))+(+Gf2_VDI_SI_VGP_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VDI_SI*(((-Es_VGP_SI)+(((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI))))-(((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI))))+Gf2_VGP_SI*(((-Es_VDI_SI)+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI)))+Gf2*(+(+(+0.0-Es_VDI_SI_VGP_SI)+(+delta_1s_VDI_SI_VGP_SI*k_ds+delta_1s_VDI_SI*k_ds_VGP_SI+delta_1s_VGP_SI*k_ds_VDI_SI+delta_1s*k_ds_VDI_SI_VGP_SI))-(+delta_nd_VDI_SI_VGP_SI*(1.0+xi1s)+delta_nd_VDI_SI*xi1s_VGP_SI+delta_nd_VGP_SI*xi1s_VDI_SI+delta_nd*(+0.0+xi1s_VDI_SI_VGP_SI)))));
  pC_VDI_SI_VSI_BP=(+(+0.0*(xg-x_s)+0.0*(xg_VSI_BP-x_s_VSI_BP)+0.0*(xg_VDI_SI-x_s_VDI_SI)+2.0*(+xg_VDI_SI_VSI_BP-x_s_VDI_SI_VSI_BP))+(+Gf2_VDI_SI_VSI_BP*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VDI_SI*(((-Es_VSI_BP)+(((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP))))-(((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP))))+Gf2_VSI_BP*(((-Es_VDI_SI)+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI)))+Gf2*(+(+(+0.0-Es_VDI_SI_VSI_BP)+(+delta_1s_VDI_SI_VSI_BP*k_ds+delta_1s_VDI_SI*k_ds_VSI_BP+delta_1s_VSI_BP*k_ds_VDI_SI+delta_1s*k_ds_VDI_SI_VSI_BP))-(+delta_nd_VDI_SI_VSI_BP*(1.0+xi1s)+delta_nd_VDI_SI*xi1s_VSI_BP+delta_nd_VSI_BP*xi1s_VDI_SI+delta_nd*(+0.0+xi1s_VDI_SI_VSI_BP)))));
#endif
pC_VGP_SI=((2.0*(xg_VGP_SI-x_s_VGP_SI))+((Gf2_VGP_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s))))+(Gf2*(((-Es_VGP_SI)+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI))))));
#if defined(_DERIVATE2)
  pC_VGP_SI_VDI_SI=(+(+0.0*(xg-x_s)+0.0*(xg_VDI_SI-x_s_VDI_SI)+0.0*(xg_VGP_SI-x_s_VGP_SI)+2.0*(+xg_VGP_SI_VDI_SI-x_s_VGP_SI_VDI_SI))+(+Gf2_VGP_SI_VDI_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VGP_SI*(((-Es_VDI_SI)+(((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI))))-(((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI))))+Gf2_VDI_SI*(((-Es_VGP_SI)+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI)))+Gf2*(+(+(+0.0-Es_VGP_SI_VDI_SI)+(+delta_1s_VGP_SI_VDI_SI*k_ds+delta_1s_VGP_SI*k_ds_VDI_SI+delta_1s_VDI_SI*k_ds_VGP_SI+delta_1s*k_ds_VGP_SI_VDI_SI))-(+delta_nd_VGP_SI_VDI_SI*(1.0+xi1s)+delta_nd_VGP_SI*xi1s_VDI_SI+delta_nd_VDI_SI*xi1s_VGP_SI+delta_nd*(+0.0+xi1s_VGP_SI_VDI_SI)))));
  pC_VGP_SI_VGP_SI=(+(+0.0*(xg-x_s)+0.0*(xg_VGP_SI-x_s_VGP_SI)+0.0*(xg_VGP_SI-x_s_VGP_SI)+2.0*(+xg_VGP_SI_VGP_SI-x_s_VGP_SI_VGP_SI))+(+Gf2_VGP_SI_VGP_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VGP_SI*(((-Es_VGP_SI)+(((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI))))-(((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI))))+Gf2_VGP_SI*(((-Es_VGP_SI)+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI)))+Gf2*(+(+(+0.0-Es_VGP_SI_VGP_SI)+(+delta_1s_VGP_SI_VGP_SI*k_ds+delta_1s_VGP_SI*k_ds_VGP_SI+delta_1s_VGP_SI*k_ds_VGP_SI+delta_1s*k_ds_VGP_SI_VGP_SI))-(+delta_nd_VGP_SI_VGP_SI*(1.0+xi1s)+delta_nd_VGP_SI*xi1s_VGP_SI+delta_nd_VGP_SI*xi1s_VGP_SI+delta_nd*(+0.0+xi1s_VGP_SI_VGP_SI)))));
  pC_VGP_SI_VSI_BP=(+(+0.0*(xg-x_s)+0.0*(xg_VSI_BP-x_s_VSI_BP)+0.0*(xg_VGP_SI-x_s_VGP_SI)+2.0*(+xg_VGP_SI_VSI_BP-x_s_VGP_SI_VSI_BP))+(+Gf2_VGP_SI_VSI_BP*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VGP_SI*(((-Es_VSI_BP)+(((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP))))-(((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP))))+Gf2_VSI_BP*(((-Es_VGP_SI)+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI)))+Gf2*(+(+(+0.0-Es_VGP_SI_VSI_BP)+(+delta_1s_VGP_SI_VSI_BP*k_ds+delta_1s_VGP_SI*k_ds_VSI_BP+delta_1s_VSI_BP*k_ds_VGP_SI+delta_1s*k_ds_VGP_SI_VSI_BP))-(+delta_nd_VGP_SI_VSI_BP*(1.0+xi1s)+delta_nd_VGP_SI*xi1s_VSI_BP+delta_nd_VSI_BP*xi1s_VGP_SI+delta_nd*(+0.0+xi1s_VGP_SI_VSI_BP)))));
#endif
pC_VSI_BP=((2.0*(xg_VSI_BP-x_s_VSI_BP))+((Gf2_VSI_BP*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s))))+(Gf2*(((-Es_VSI_BP)+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP))))));
#if defined(_DERIVATE2)
  pC_VSI_BP_VDI_SI=(+(+0.0*(xg-x_s)+0.0*(xg_VDI_SI-x_s_VDI_SI)+0.0*(xg_VSI_BP-x_s_VSI_BP)+2.0*(+xg_VSI_BP_VDI_SI-x_s_VSI_BP_VDI_SI))+(+Gf2_VSI_BP_VDI_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VSI_BP*(((-Es_VDI_SI)+(((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI))))-(((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI))))+Gf2_VDI_SI*(((-Es_VSI_BP)+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP)))+Gf2*(+(+(+0.0-Es_VSI_BP_VDI_SI)+(+delta_1s_VSI_BP_VDI_SI*k_ds+delta_1s_VSI_BP*k_ds_VDI_SI+delta_1s_VDI_SI*k_ds_VSI_BP+delta_1s*k_ds_VSI_BP_VDI_SI))-(+delta_nd_VSI_BP_VDI_SI*(1.0+xi1s)+delta_nd_VSI_BP*xi1s_VDI_SI+delta_nd_VDI_SI*xi1s_VSI_BP+delta_nd*(+0.0+xi1s_VSI_BP_VDI_SI)))));
  pC_VSI_BP_VGP_SI=(+(+0.0*(xg-x_s)+0.0*(xg_VGP_SI-x_s_VGP_SI)+0.0*(xg_VSI_BP-x_s_VSI_BP)+2.0*(+xg_VSI_BP_VGP_SI-x_s_VSI_BP_VGP_SI))+(+Gf2_VSI_BP_VGP_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VSI_BP*(((-Es_VGP_SI)+(((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI))))-(((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI))))+Gf2_VGP_SI*(((-Es_VSI_BP)+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP)))+Gf2*(+(+(+0.0-Es_VSI_BP_VGP_SI)+(+delta_1s_VSI_BP_VGP_SI*k_ds+delta_1s_VSI_BP*k_ds_VGP_SI+delta_1s_VGP_SI*k_ds_VSI_BP+delta_1s*k_ds_VSI_BP_VGP_SI))-(+delta_nd_VSI_BP_VGP_SI*(1.0+xi1s)+delta_nd_VSI_BP*xi1s_VGP_SI+delta_nd_VGP_SI*xi1s_VSI_BP+delta_nd*(+0.0+xi1s_VSI_BP_VGP_SI)))));
  pC_VSI_BP_VSI_BP=(+(+0.0*(xg-x_s)+0.0*(xg_VSI_BP-x_s_VSI_BP)+0.0*(xg_VSI_BP-x_s_VSI_BP)+2.0*(+xg_VSI_BP_VSI_BP-x_s_VSI_BP_VSI_BP))+(+Gf2_VSI_BP_VSI_BP*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VSI_BP*(((-Es_VSI_BP)+(((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP))))-(((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP))))+Gf2_VSI_BP*(((-Es_VSI_BP)+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP)))+Gf2*(+(+(+0.0-Es_VSI_BP_VSI_BP)+(+delta_1s_VSI_BP_VSI_BP*k_ds+delta_1s_VSI_BP*k_ds_VSI_BP+delta_1s_VSI_BP*k_ds_VSI_BP+delta_1s*k_ds_VSI_BP_VSI_BP))-(+delta_nd_VSI_BP_VSI_BP*(1.0+xi1s)+delta_nd_VSI_BP*xi1s_VSI_BP+delta_nd_VSI_BP*xi1s_VSI_BP+delta_nd*(+0.0+xi1s_VSI_BP_VSI_BP)))));
#endif
#endif
pC=((2.0*(xg-x_s))+(Gf2*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))));
EXIT_IF_ISNAN(((2.0*(xg-x_s))+(Gf2*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
qC_VDI_SI=((((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI)))*Ds)+((Gf2*(1.0-k_ds))*Ds_VDI_SI));
#if defined(_DERIVATE2)
  qC_VDI_SI_VDI_SI=(+(+Gf2_VDI_SI_VDI_SI*(1.0-k_ds)+Gf2_VDI_SI*(-k_ds_VDI_SI)+Gf2_VDI_SI*(-k_ds_VDI_SI)+Gf2*(+0.0-k_ds_VDI_SI_VDI_SI))*Ds+((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI)))*Ds_VDI_SI+(((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI))))*Ds_VDI_SI+(Gf2*(1.0-k_ds))*Ds_VDI_SI_VDI_SI);
  qC_VDI_SI_VGP_SI=(+(+Gf2_VDI_SI_VGP_SI*(1.0-k_ds)+Gf2_VDI_SI*(-k_ds_VGP_SI)+Gf2_VGP_SI*(-k_ds_VDI_SI)+Gf2*(+0.0-k_ds_VDI_SI_VGP_SI))*Ds+((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI)))*Ds_VGP_SI+(((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI))))*Ds_VDI_SI+(Gf2*(1.0-k_ds))*Ds_VDI_SI_VGP_SI);
  qC_VDI_SI_VSI_BP=(+(+Gf2_VDI_SI_VSI_BP*(1.0-k_ds)+Gf2_VDI_SI*(-k_ds_VSI_BP)+Gf2_VSI_BP*(-k_ds_VDI_SI)+Gf2*(+0.0-k_ds_VDI_SI_VSI_BP))*Ds+((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI)))*Ds_VSI_BP+(((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP))))*Ds_VDI_SI+(Gf2*(1.0-k_ds))*Ds_VDI_SI_VSI_BP);
#endif
qC_VGP_SI=((((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI)))*Ds)+((Gf2*(1.0-k_ds))*Ds_VGP_SI));
#if defined(_DERIVATE2)
  qC_VGP_SI_VDI_SI=(+(+Gf2_VGP_SI_VDI_SI*(1.0-k_ds)+Gf2_VGP_SI*(-k_ds_VDI_SI)+Gf2_VDI_SI*(-k_ds_VGP_SI)+Gf2*(+0.0-k_ds_VGP_SI_VDI_SI))*Ds+((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI)))*Ds_VDI_SI+(((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI))))*Ds_VGP_SI+(Gf2*(1.0-k_ds))*Ds_VGP_SI_VDI_SI);
  qC_VGP_SI_VGP_SI=(+(+Gf2_VGP_SI_VGP_SI*(1.0-k_ds)+Gf2_VGP_SI*(-k_ds_VGP_SI)+Gf2_VGP_SI*(-k_ds_VGP_SI)+Gf2*(+0.0-k_ds_VGP_SI_VGP_SI))*Ds+((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI)))*Ds_VGP_SI+(((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI))))*Ds_VGP_SI+(Gf2*(1.0-k_ds))*Ds_VGP_SI_VGP_SI);
  qC_VGP_SI_VSI_BP=(+(+Gf2_VGP_SI_VSI_BP*(1.0-k_ds)+Gf2_VGP_SI*(-k_ds_VSI_BP)+Gf2_VSI_BP*(-k_ds_VGP_SI)+Gf2*(+0.0-k_ds_VGP_SI_VSI_BP))*Ds+((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI)))*Ds_VSI_BP+(((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP))))*Ds_VGP_SI+(Gf2*(1.0-k_ds))*Ds_VGP_SI_VSI_BP);
#endif
qC_VSI_BP=((((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP)))*Ds)+((Gf2*(1.0-k_ds))*Ds_VSI_BP));
#if defined(_DERIVATE2)
  qC_VSI_BP_VDI_SI=(+(+Gf2_VSI_BP_VDI_SI*(1.0-k_ds)+Gf2_VSI_BP*(-k_ds_VDI_SI)+Gf2_VDI_SI*(-k_ds_VSI_BP)+Gf2*(+0.0-k_ds_VSI_BP_VDI_SI))*Ds+((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP)))*Ds_VDI_SI+(((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI))))*Ds_VSI_BP+(Gf2*(1.0-k_ds))*Ds_VSI_BP_VDI_SI);
  qC_VSI_BP_VGP_SI=(+(+Gf2_VSI_BP_VGP_SI*(1.0-k_ds)+Gf2_VSI_BP*(-k_ds_VGP_SI)+Gf2_VGP_SI*(-k_ds_VSI_BP)+Gf2*(+0.0-k_ds_VSI_BP_VGP_SI))*Ds+((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP)))*Ds_VGP_SI+(((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI))))*Ds_VSI_BP+(Gf2*(1.0-k_ds))*Ds_VSI_BP_VGP_SI);
  qC_VSI_BP_VSI_BP=(+(+Gf2_VSI_BP_VSI_BP*(1.0-k_ds)+Gf2_VSI_BP*(-k_ds_VSI_BP)+Gf2_VSI_BP*(-k_ds_VSI_BP)+Gf2*(+0.0-k_ds_VSI_BP_VSI_BP))*Ds+((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP)))*Ds_VSI_BP+(((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP))))*Ds_VSI_BP+(Gf2*(1.0-k_ds))*Ds_VSI_BP_VSI_BP);
#endif
#endif
qC=((Gf2*(1.0-k_ds))*Ds);
EXIT_IF_ISNAN(((Gf2*(1.0-k_ds))*Ds))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-((Gf2_VGP_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s)))+(Gf2*((Es_VGP_SI+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI))))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0-(+Gf2_VGP_SI_VGP_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VGP_SI*((Es_VGP_SI+(((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI))))-(((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI))))+Gf2_VGP_SI*((Es_VGP_SI+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI)))+Gf2*(+(+Es_VGP_SI_VGP_SI+(+delta_1s_VGP_SI_VGP_SI*k_ds+delta_1s_VGP_SI*k_ds_VGP_SI+delta_1s_VGP_SI*k_ds_VGP_SI+delta_1s*k_ds_VGP_SI_VGP_SI))-(+delta_nd_VGP_SI_VGP_SI*xi2s+delta_nd_VGP_SI*xi2s_VGP_SI+delta_nd_VGP_SI*xi2s_VGP_SI+delta_nd*xi2s_VGP_SI_VGP_SI))));
  temp_VGP_SI_VDI_SI=(+0.0-(+Gf2_VGP_SI_VDI_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VGP_SI*((Es_VDI_SI+(((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI))))-(((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI))))+Gf2_VDI_SI*((Es_VGP_SI+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI)))+Gf2*(+(+Es_VGP_SI_VDI_SI+(+delta_1s_VGP_SI_VDI_SI*k_ds+delta_1s_VGP_SI*k_ds_VDI_SI+delta_1s_VDI_SI*k_ds_VGP_SI+delta_1s*k_ds_VGP_SI_VDI_SI))-(+delta_nd_VGP_SI_VDI_SI*xi2s+delta_nd_VGP_SI*xi2s_VDI_SI+delta_nd_VDI_SI*xi2s_VGP_SI+delta_nd*xi2s_VGP_SI_VDI_SI))));
  temp_VGP_SI_VSI_BP=(+0.0-(+Gf2_VGP_SI_VSI_BP*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VGP_SI*((Es_VSI_BP+(((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP))))-(((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP))))+Gf2_VSI_BP*((Es_VGP_SI+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI)))+Gf2*(+(+Es_VGP_SI_VSI_BP+(+delta_1s_VGP_SI_VSI_BP*k_ds+delta_1s_VGP_SI*k_ds_VSI_BP+delta_1s_VSI_BP*k_ds_VGP_SI+delta_1s*k_ds_VGP_SI_VSI_BP))-(+delta_nd_VGP_SI_VSI_BP*xi2s+delta_nd_VGP_SI*xi2s_VSI_BP+delta_nd_VSI_BP*xi2s_VGP_SI+delta_nd*xi2s_VGP_SI_VSI_BP))));
#endif
temp_VDI_SI=(-((Gf2_VDI_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s)))+(Gf2*((Es_VDI_SI+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI))))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0-(+Gf2_VDI_SI_VGP_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VDI_SI*((Es_VGP_SI+(((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI))))-(((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI))))+Gf2_VGP_SI*((Es_VDI_SI+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI)))+Gf2*(+(+Es_VDI_SI_VGP_SI+(+delta_1s_VDI_SI_VGP_SI*k_ds+delta_1s_VDI_SI*k_ds_VGP_SI+delta_1s_VGP_SI*k_ds_VDI_SI+delta_1s*k_ds_VDI_SI_VGP_SI))-(+delta_nd_VDI_SI_VGP_SI*xi2s+delta_nd_VDI_SI*xi2s_VGP_SI+delta_nd_VGP_SI*xi2s_VDI_SI+delta_nd*xi2s_VDI_SI_VGP_SI))));
  temp_VDI_SI_VDI_SI=(+0.0-(+Gf2_VDI_SI_VDI_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VDI_SI*((Es_VDI_SI+(((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI))))-(((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI))))+Gf2_VDI_SI*((Es_VDI_SI+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI)))+Gf2*(+(+Es_VDI_SI_VDI_SI+(+delta_1s_VDI_SI_VDI_SI*k_ds+delta_1s_VDI_SI*k_ds_VDI_SI+delta_1s_VDI_SI*k_ds_VDI_SI+delta_1s*k_ds_VDI_SI_VDI_SI))-(+delta_nd_VDI_SI_VDI_SI*xi2s+delta_nd_VDI_SI*xi2s_VDI_SI+delta_nd_VDI_SI*xi2s_VDI_SI+delta_nd*xi2s_VDI_SI_VDI_SI))));
  temp_VDI_SI_VSI_BP=(+0.0-(+Gf2_VDI_SI_VSI_BP*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VDI_SI*((Es_VSI_BP+(((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP))))-(((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP))))+Gf2_VSI_BP*((Es_VDI_SI+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI)))+Gf2*(+(+Es_VDI_SI_VSI_BP+(+delta_1s_VDI_SI_VSI_BP*k_ds+delta_1s_VDI_SI*k_ds_VSI_BP+delta_1s_VSI_BP*k_ds_VDI_SI+delta_1s*k_ds_VDI_SI_VSI_BP))-(+delta_nd_VDI_SI_VSI_BP*xi2s+delta_nd_VDI_SI*xi2s_VSI_BP+delta_nd_VSI_BP*xi2s_VDI_SI+delta_nd*xi2s_VDI_SI_VSI_BP))));
#endif
temp_VSI_BP=(-((Gf2_VSI_BP*((Es+(delta_1s*k_ds))-(delta_nd*xi2s)))+(Gf2*((Es_VSI_BP+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP))))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0-(+Gf2_VSI_BP_VGP_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VSI_BP*((Es_VGP_SI+(((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI))))-(((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI))))+Gf2_VGP_SI*((Es_VSI_BP+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP)))+Gf2*(+(+Es_VSI_BP_VGP_SI+(+delta_1s_VSI_BP_VGP_SI*k_ds+delta_1s_VSI_BP*k_ds_VGP_SI+delta_1s_VGP_SI*k_ds_VSI_BP+delta_1s*k_ds_VSI_BP_VGP_SI))-(+delta_nd_VSI_BP_VGP_SI*xi2s+delta_nd_VSI_BP*xi2s_VGP_SI+delta_nd_VGP_SI*xi2s_VSI_BP+delta_nd*xi2s_VSI_BP_VGP_SI))));
  temp_VSI_BP_VDI_SI=(+0.0-(+Gf2_VSI_BP_VDI_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VSI_BP*((Es_VDI_SI+(((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI))))-(((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI))))+Gf2_VDI_SI*((Es_VSI_BP+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP)))+Gf2*(+(+Es_VSI_BP_VDI_SI+(+delta_1s_VSI_BP_VDI_SI*k_ds+delta_1s_VSI_BP*k_ds_VDI_SI+delta_1s_VDI_SI*k_ds_VSI_BP+delta_1s*k_ds_VSI_BP_VDI_SI))-(+delta_nd_VSI_BP_VDI_SI*xi2s+delta_nd_VSI_BP*xi2s_VDI_SI+delta_nd_VDI_SI*xi2s_VSI_BP+delta_nd*xi2s_VSI_BP_VDI_SI))));
  temp_VSI_BP_VSI_BP=(+0.0-(+Gf2_VSI_BP_VSI_BP*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VSI_BP*((Es_VSI_BP+(((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP))))-(((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP))))+Gf2_VSI_BP*((Es_VSI_BP+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP)))+Gf2*(+(+Es_VSI_BP_VSI_BP+(+delta_1s_VSI_BP_VSI_BP*k_ds+delta_1s_VSI_BP*k_ds_VSI_BP+delta_1s_VSI_BP*k_ds_VSI_BP+delta_1s*k_ds_VSI_BP_VSI_BP))-(+delta_nd_VSI_BP_VSI_BP*xi2s+delta_nd_VSI_BP*xi2s_VSI_BP+delta_nd_VSI_BP*xi2s_VSI_BP+delta_nd*xi2s_VSI_BP_VSI_BP))));
#endif
#endif
temp=(2.0-(Gf2*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))));
EXIT_IF_ISNAN((2.0-(Gf2*((Es+(delta_1s*k_ds))-(delta_nd*xi2s)))))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(((pC_VGP_SI*pC)+(pC*pC_VGP_SI))-(2.0*((temp_VGP_SI*qC)+(temp*qC_VGP_SI))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+(+pC_VGP_SI_VGP_SI*pC+pC_VGP_SI*pC_VGP_SI+pC_VGP_SI*pC_VGP_SI+pC*pC_VGP_SI_VGP_SI)-(+0.0*(temp*qC)+0.0*(((temp_VGP_SI*qC)+(temp*qC_VGP_SI)))+0.0*((temp_VGP_SI*qC)+(temp*qC_VGP_SI))+2.0*(+temp_VGP_SI_VGP_SI*qC+temp_VGP_SI*qC_VGP_SI+temp_VGP_SI*qC_VGP_SI+temp*qC_VGP_SI_VGP_SI)));
  temp_VGP_SI_VDI_SI=(+(+pC_VGP_SI_VDI_SI*pC+pC_VGP_SI*pC_VDI_SI+pC_VDI_SI*pC_VGP_SI+pC*pC_VGP_SI_VDI_SI)-(+0.0*(temp*qC)+0.0*(((temp_VDI_SI*qC)+(temp*qC_VDI_SI)))+0.0*((temp_VGP_SI*qC)+(temp*qC_VGP_SI))+2.0*(+temp_VGP_SI_VDI_SI*qC+temp_VGP_SI*qC_VDI_SI+temp_VDI_SI*qC_VGP_SI+temp*qC_VGP_SI_VDI_SI)));
  temp_VGP_SI_VSI_BP=(+(+pC_VGP_SI_VSI_BP*pC+pC_VGP_SI*pC_VSI_BP+pC_VSI_BP*pC_VGP_SI+pC*pC_VGP_SI_VSI_BP)-(+0.0*(temp*qC)+0.0*(((temp_VSI_BP*qC)+(temp*qC_VSI_BP)))+0.0*((temp_VGP_SI*qC)+(temp*qC_VGP_SI))+2.0*(+temp_VGP_SI_VSI_BP*qC+temp_VGP_SI*qC_VSI_BP+temp_VSI_BP*qC_VGP_SI+temp*qC_VGP_SI_VSI_BP)));
#endif
temp_VDI_SI=(((pC_VDI_SI*pC)+(pC*pC_VDI_SI))-(2.0*((temp_VDI_SI*qC)+(temp*qC_VDI_SI))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+(+pC_VDI_SI_VGP_SI*pC+pC_VDI_SI*pC_VGP_SI+pC_VGP_SI*pC_VDI_SI+pC*pC_VDI_SI_VGP_SI)-(+0.0*(temp*qC)+0.0*(((temp_VGP_SI*qC)+(temp*qC_VGP_SI)))+0.0*((temp_VDI_SI*qC)+(temp*qC_VDI_SI))+2.0*(+temp_VDI_SI_VGP_SI*qC+temp_VDI_SI*qC_VGP_SI+temp_VGP_SI*qC_VDI_SI+temp*qC_VDI_SI_VGP_SI)));
  temp_VDI_SI_VDI_SI=(+(+pC_VDI_SI_VDI_SI*pC+pC_VDI_SI*pC_VDI_SI+pC_VDI_SI*pC_VDI_SI+pC*pC_VDI_SI_VDI_SI)-(+0.0*(temp*qC)+0.0*(((temp_VDI_SI*qC)+(temp*qC_VDI_SI)))+0.0*((temp_VDI_SI*qC)+(temp*qC_VDI_SI))+2.0*(+temp_VDI_SI_VDI_SI*qC+temp_VDI_SI*qC_VDI_SI+temp_VDI_SI*qC_VDI_SI+temp*qC_VDI_SI_VDI_SI)));
  temp_VDI_SI_VSI_BP=(+(+pC_VDI_SI_VSI_BP*pC+pC_VDI_SI*pC_VSI_BP+pC_VSI_BP*pC_VDI_SI+pC*pC_VDI_SI_VSI_BP)-(+0.0*(temp*qC)+0.0*(((temp_VSI_BP*qC)+(temp*qC_VSI_BP)))+0.0*((temp_VDI_SI*qC)+(temp*qC_VDI_SI))+2.0*(+temp_VDI_SI_VSI_BP*qC+temp_VDI_SI*qC_VSI_BP+temp_VSI_BP*qC_VDI_SI+temp*qC_VDI_SI_VSI_BP)));
#endif
temp_VSI_BP=(((pC_VSI_BP*pC)+(pC*pC_VSI_BP))-(2.0*((temp_VSI_BP*qC)+(temp*qC_VSI_BP))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+(+pC_VSI_BP_VGP_SI*pC+pC_VSI_BP*pC_VGP_SI+pC_VGP_SI*pC_VSI_BP+pC*pC_VSI_BP_VGP_SI)-(+0.0*(temp*qC)+0.0*(((temp_VGP_SI*qC)+(temp*qC_VGP_SI)))+0.0*((temp_VSI_BP*qC)+(temp*qC_VSI_BP))+2.0*(+temp_VSI_BP_VGP_SI*qC+temp_VSI_BP*qC_VGP_SI+temp_VGP_SI*qC_VSI_BP+temp*qC_VSI_BP_VGP_SI)));
  temp_VSI_BP_VDI_SI=(+(+pC_VSI_BP_VDI_SI*pC+pC_VSI_BP*pC_VDI_SI+pC_VDI_SI*pC_VSI_BP+pC*pC_VSI_BP_VDI_SI)-(+0.0*(temp*qC)+0.0*(((temp_VDI_SI*qC)+(temp*qC_VDI_SI)))+0.0*((temp_VSI_BP*qC)+(temp*qC_VSI_BP))+2.0*(+temp_VSI_BP_VDI_SI*qC+temp_VSI_BP*qC_VDI_SI+temp_VDI_SI*qC_VSI_BP+temp*qC_VSI_BP_VDI_SI)));
  temp_VSI_BP_VSI_BP=(+(+pC_VSI_BP_VSI_BP*pC+pC_VSI_BP*pC_VSI_BP+pC_VSI_BP*pC_VSI_BP+pC*pC_VSI_BP_VSI_BP)-(+0.0*(temp*qC)+0.0*(((temp_VSI_BP*qC)+(temp*qC_VSI_BP)))+0.0*((temp_VSI_BP*qC)+(temp*qC_VSI_BP))+2.0*(+temp_VSI_BP_VSI_BP*qC+temp_VSI_BP*qC_VSI_BP+temp_VSI_BP*qC_VSI_BP+temp*qC_VSI_BP_VSI_BP)));
#endif
#endif
temp=((pC*pC)-(2.0*(temp*qC)));
EXIT_IF_ISNAN(((pC*pC)-(2.0*(temp*qC))))
{
double m00_sqrt(d00_sqrt0,temp)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,temp)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_ds_VDI_SI=(2.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
#if defined(_DERIVATE2)
  x_ds_VDI_SI_VDI_SI=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VDI_SI_VDI_SI/(pC+d00_sqrt0)-(qC_VDI_SI*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)+qC_VDI_SI*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)+qC*(+pC_VDI_SI_VDI_SI+(m20_sqrt(temp)*temp_VDI_SI*temp_VDI_SI+d10_sqrt0*temp_VDI_SI_VDI_SI)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
  x_ds_VDI_SI_VGP_SI=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VDI_SI_VGP_SI/(pC+d00_sqrt0)-(qC_VDI_SI*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)+qC_VGP_SI*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)+qC*(+pC_VDI_SI_VGP_SI+(m20_sqrt(temp)*temp_VGP_SI*temp_VDI_SI+d10_sqrt0*temp_VDI_SI_VGP_SI)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
  x_ds_VDI_SI_VSI_BP=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VDI_SI_VSI_BP/(pC+d00_sqrt0)-(qC_VDI_SI*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)+qC_VSI_BP*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)+qC*(+pC_VDI_SI_VSI_BP+(m20_sqrt(temp)*temp_VSI_BP*temp_VDI_SI+d10_sqrt0*temp_VDI_SI_VSI_BP)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
#endif
x_ds_VGP_SI=(2.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
#if defined(_DERIVATE2)
  x_ds_VGP_SI_VDI_SI=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VGP_SI_VDI_SI/(pC+d00_sqrt0)-(qC_VGP_SI*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)+qC_VDI_SI*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)+qC*(+pC_VGP_SI_VDI_SI+(m20_sqrt(temp)*temp_VDI_SI*temp_VGP_SI+d10_sqrt0*temp_VGP_SI_VDI_SI)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
  x_ds_VGP_SI_VGP_SI=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VGP_SI_VGP_SI/(pC+d00_sqrt0)-(qC_VGP_SI*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)+qC_VGP_SI*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)+qC*(+pC_VGP_SI_VGP_SI+(m20_sqrt(temp)*temp_VGP_SI*temp_VGP_SI+d10_sqrt0*temp_VGP_SI_VGP_SI)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
  x_ds_VGP_SI_VSI_BP=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VGP_SI_VSI_BP/(pC+d00_sqrt0)-(qC_VGP_SI*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)+qC_VSI_BP*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)+qC*(+pC_VGP_SI_VSI_BP+(m20_sqrt(temp)*temp_VSI_BP*temp_VGP_SI+d10_sqrt0*temp_VGP_SI_VSI_BP)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
#endif
x_ds_VSI_BP=(2.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
#if defined(_DERIVATE2)
  x_ds_VSI_BP_VDI_SI=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VSI_BP_VDI_SI/(pC+d00_sqrt0)-(qC_VSI_BP*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)+qC_VDI_SI*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)+qC*(+pC_VSI_BP_VDI_SI+(m20_sqrt(temp)*temp_VDI_SI*temp_VSI_BP+d10_sqrt0*temp_VSI_BP_VDI_SI)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
  x_ds_VSI_BP_VGP_SI=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VSI_BP_VGP_SI/(pC+d00_sqrt0)-(qC_VSI_BP*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)+qC_VGP_SI*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)+qC*(+pC_VSI_BP_VGP_SI+(m20_sqrt(temp)*temp_VGP_SI*temp_VSI_BP+d10_sqrt0*temp_VSI_BP_VGP_SI)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
  x_ds_VSI_BP_VSI_BP=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VSI_BP_VSI_BP/(pC+d00_sqrt0)-(qC_VSI_BP*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)+qC_VSI_BP*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)+qC*(+pC_VSI_BP_VSI_BP+(m20_sqrt(temp)*temp_VSI_BP*temp_VSI_BP+d10_sqrt0*temp_VSI_BP_VSI_BP)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
#endif
#endif
x_ds=(2.0*(qC/(pC+d00_sqrt0)));
EXIT_IF_ISNAN((2.0*(qC/(pC+d00_sqrt0))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_d_VDI_SI=(x_s_VDI_SI+x_ds_VDI_SI);
#if defined(_DERIVATE2)
  x_d_VDI_SI_VDI_SI=(+x_s_VDI_SI_VDI_SI+x_ds_VDI_SI_VDI_SI);
  x_d_VDI_SI_VGP_SI=(+x_s_VDI_SI_VGP_SI+x_ds_VDI_SI_VGP_SI);
  x_d_VDI_SI_VSI_BP=(+x_s_VDI_SI_VSI_BP+x_ds_VDI_SI_VSI_BP);
#endif
x_d_VGP_SI=(x_s_VGP_SI+x_ds_VGP_SI);
#if defined(_DERIVATE2)
  x_d_VGP_SI_VDI_SI=(+x_s_VGP_SI_VDI_SI+x_ds_VGP_SI_VDI_SI);
  x_d_VGP_SI_VGP_SI=(+x_s_VGP_SI_VGP_SI+x_ds_VGP_SI_VGP_SI);
  x_d_VGP_SI_VSI_BP=(+x_s_VGP_SI_VSI_BP+x_ds_VGP_SI_VSI_BP);
#endif
x_d_VSI_BP=(x_s_VSI_BP+x_ds_VSI_BP);
#if defined(_DERIVATE2)
  x_d_VSI_BP_VDI_SI=(+x_s_VSI_BP_VDI_SI+x_ds_VSI_BP_VDI_SI);
  x_d_VSI_BP_VGP_SI=(+x_s_VSI_BP_VGP_SI+x_ds_VSI_BP_VGP_SI);
  x_d_VSI_BP_VSI_BP=(+x_s_VSI_BP_VSI_BP+x_ds_VSI_BP_VSI_BP);
#endif
#endif
x_d=(x_s+x_ds);
EXIT_IF_ISNAN((x_s+x_ds))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dps_VDI_SI=((x_ds_VDI_SI*pInst->phit1)+(x_ds*phit1_VDI_SI));
#if defined(_DERIVATE2)
  dps_VDI_SI_VDI_SI=(+x_ds_VDI_SI_VDI_SI*pInst->phit1+x_ds_VDI_SI*phit1_VDI_SI+x_ds_VDI_SI*phit1_VDI_SI+x_ds*phit1_VDI_SI_VDI_SI);
  dps_VDI_SI_VGP_SI=(+x_ds_VDI_SI_VGP_SI*pInst->phit1+x_ds_VDI_SI*phit1_VGP_SI+x_ds_VGP_SI*phit1_VDI_SI+x_ds*phit1_VDI_SI_VGP_SI);
  dps_VDI_SI_VSI_BP=(+x_ds_VDI_SI_VSI_BP*pInst->phit1+x_ds_VDI_SI*phit1_VSI_BP+x_ds_VSI_BP*phit1_VDI_SI+x_ds*phit1_VDI_SI_VSI_BP);
#endif
dps_VGP_SI=((x_ds_VGP_SI*pInst->phit1)+(x_ds*phit1_VGP_SI));
#if defined(_DERIVATE2)
  dps_VGP_SI_VDI_SI=(+x_ds_VGP_SI_VDI_SI*pInst->phit1+x_ds_VGP_SI*phit1_VDI_SI+x_ds_VDI_SI*phit1_VGP_SI+x_ds*phit1_VGP_SI_VDI_SI);
  dps_VGP_SI_VGP_SI=(+x_ds_VGP_SI_VGP_SI*pInst->phit1+x_ds_VGP_SI*phit1_VGP_SI+x_ds_VGP_SI*phit1_VGP_SI+x_ds*phit1_VGP_SI_VGP_SI);
  dps_VGP_SI_VSI_BP=(+x_ds_VGP_SI_VSI_BP*pInst->phit1+x_ds_VGP_SI*phit1_VSI_BP+x_ds_VSI_BP*phit1_VGP_SI+x_ds*phit1_VGP_SI_VSI_BP);
#endif
dps_VSI_BP=((x_ds_VSI_BP*pInst->phit1)+(x_ds*phit1_VSI_BP));
#if defined(_DERIVATE2)
  dps_VSI_BP_VDI_SI=(+x_ds_VSI_BP_VDI_SI*pInst->phit1+x_ds_VSI_BP*phit1_VDI_SI+x_ds_VDI_SI*phit1_VSI_BP+x_ds*phit1_VSI_BP_VDI_SI);
  dps_VSI_BP_VGP_SI=(+x_ds_VSI_BP_VGP_SI*pInst->phit1+x_ds_VSI_BP*phit1_VGP_SI+x_ds_VGP_SI*phit1_VSI_BP+x_ds*phit1_VSI_BP_VGP_SI);
  dps_VSI_BP_VSI_BP=(+x_ds_VSI_BP_VSI_BP*pInst->phit1+x_ds_VSI_BP*phit1_VSI_BP+x_ds_VSI_BP*phit1_VSI_BP+x_ds*phit1_VSI_BP_VSI_BP);
#endif
#endif
dps=(x_ds*pInst->phit1);
EXIT_IF_ISNAN((x_ds*pInst->phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xi0d_VDI_SI=((((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(2.0+(x_d*x_d))-(x_d*x_d)*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
#if defined(_DERIVATE2)
  xi0d_VDI_SI_VDI_SI=((+x_d_VDI_SI_VDI_SI*x_d+x_d_VDI_SI*x_d_VDI_SI+x_d_VDI_SI*x_d_VDI_SI+x_d*x_d_VDI_SI_VDI_SI)/(2.0+(x_d*x_d))-(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))+(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))+(x_d*x_d)*(+0.0+(+x_d_VDI_SI_VDI_SI*x_d+x_d_VDI_SI*x_d_VDI_SI+x_d_VDI_SI*x_d_VDI_SI+x_d*x_d_VDI_SI_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
  xi0d_VDI_SI_VGP_SI=((+x_d_VDI_SI_VGP_SI*x_d+x_d_VDI_SI*x_d_VGP_SI+x_d_VGP_SI*x_d_VDI_SI+x_d*x_d_VDI_SI_VGP_SI)/(2.0+(x_d*x_d))-(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))+(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))+(x_d*x_d)*(+0.0+(+x_d_VDI_SI_VGP_SI*x_d+x_d_VDI_SI*x_d_VGP_SI+x_d_VGP_SI*x_d_VDI_SI+x_d*x_d_VDI_SI_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
  xi0d_VDI_SI_VSI_BP=((+x_d_VDI_SI_VSI_BP*x_d+x_d_VDI_SI*x_d_VSI_BP+x_d_VSI_BP*x_d_VDI_SI+x_d*x_d_VDI_SI_VSI_BP)/(2.0+(x_d*x_d))-(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))+(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))+(x_d*x_d)*(+0.0+(+x_d_VDI_SI_VSI_BP*x_d+x_d_VDI_SI*x_d_VSI_BP+x_d_VSI_BP*x_d_VDI_SI+x_d*x_d_VDI_SI_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
#endif
xi0d_VGP_SI=((((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(2.0+(x_d*x_d))-(x_d*x_d)*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
#if defined(_DERIVATE2)
  xi0d_VGP_SI_VDI_SI=((+x_d_VGP_SI_VDI_SI*x_d+x_d_VGP_SI*x_d_VDI_SI+x_d_VDI_SI*x_d_VGP_SI+x_d*x_d_VGP_SI_VDI_SI)/(2.0+(x_d*x_d))-(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))+(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))+(x_d*x_d)*(+0.0+(+x_d_VGP_SI_VDI_SI*x_d+x_d_VGP_SI*x_d_VDI_SI+x_d_VDI_SI*x_d_VGP_SI+x_d*x_d_VGP_SI_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
  xi0d_VGP_SI_VGP_SI=((+x_d_VGP_SI_VGP_SI*x_d+x_d_VGP_SI*x_d_VGP_SI+x_d_VGP_SI*x_d_VGP_SI+x_d*x_d_VGP_SI_VGP_SI)/(2.0+(x_d*x_d))-(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))+(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))+(x_d*x_d)*(+0.0+(+x_d_VGP_SI_VGP_SI*x_d+x_d_VGP_SI*x_d_VGP_SI+x_d_VGP_SI*x_d_VGP_SI+x_d*x_d_VGP_SI_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
  xi0d_VGP_SI_VSI_BP=((+x_d_VGP_SI_VSI_BP*x_d+x_d_VGP_SI*x_d_VSI_BP+x_d_VSI_BP*x_d_VGP_SI+x_d*x_d_VGP_SI_VSI_BP)/(2.0+(x_d*x_d))-(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))+(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))+(x_d*x_d)*(+0.0+(+x_d_VGP_SI_VSI_BP*x_d+x_d_VGP_SI*x_d_VSI_BP+x_d_VSI_BP*x_d_VGP_SI+x_d*x_d_VGP_SI_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
#endif
xi0d_VSI_BP=((((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(2.0+(x_d*x_d))-(x_d*x_d)*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
#if defined(_DERIVATE2)
  xi0d_VSI_BP_VDI_SI=((+x_d_VSI_BP_VDI_SI*x_d+x_d_VSI_BP*x_d_VDI_SI+x_d_VDI_SI*x_d_VSI_BP+x_d*x_d_VSI_BP_VDI_SI)/(2.0+(x_d*x_d))-(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))+(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))+(x_d*x_d)*(+0.0+(+x_d_VSI_BP_VDI_SI*x_d+x_d_VSI_BP*x_d_VDI_SI+x_d_VDI_SI*x_d_VSI_BP+x_d*x_d_VSI_BP_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
  xi0d_VSI_BP_VGP_SI=((+x_d_VSI_BP_VGP_SI*x_d+x_d_VSI_BP*x_d_VGP_SI+x_d_VGP_SI*x_d_VSI_BP+x_d*x_d_VSI_BP_VGP_SI)/(2.0+(x_d*x_d))-(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))+(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))+(x_d*x_d)*(+0.0+(+x_d_VSI_BP_VGP_SI*x_d+x_d_VSI_BP*x_d_VGP_SI+x_d_VGP_SI*x_d_VSI_BP+x_d*x_d_VSI_BP_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
  xi0d_VSI_BP_VSI_BP=((+x_d_VSI_BP_VSI_BP*x_d+x_d_VSI_BP*x_d_VSI_BP+x_d_VSI_BP*x_d_VSI_BP+x_d*x_d_VSI_BP_VSI_BP)/(2.0+(x_d*x_d))-(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))+(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))+(x_d*x_d)*(+0.0+(+x_d_VSI_BP_VSI_BP*x_d+x_d_VSI_BP*x_d_VSI_BP+x_d_VSI_BP*x_d_VSI_BP+x_d*x_d_VSI_BP_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
#endif
#endif
xi0d=((x_d*x_d)/(2.0+(x_d*x_d)));
EXIT_IF_ISNAN(((x_d*x_d)/(2.0+(x_d*x_d))))
if
((x_d<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,(-x_d))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ed_VDI_SI=(-x_d_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  Ed_VDI_SI_VDI_SI=(m20_exp((-x_d))*(-x_d_VDI_SI)*(-x_d_VDI_SI)+d10_exp0*0.0);
  Ed_VDI_SI_VGP_SI=(m20_exp((-x_d))*(-x_d_VGP_SI)*(-x_d_VDI_SI)+d10_exp0*0.0);
  Ed_VDI_SI_VSI_BP=(m20_exp((-x_d))*(-x_d_VSI_BP)*(-x_d_VDI_SI)+d10_exp0*0.0);
#endif
Ed_VGP_SI=(-x_d_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  Ed_VGP_SI_VDI_SI=(m20_exp((-x_d))*(-x_d_VDI_SI)*(-x_d_VGP_SI)+d10_exp0*0.0);
  Ed_VGP_SI_VGP_SI=(m20_exp((-x_d))*(-x_d_VGP_SI)*(-x_d_VGP_SI)+d10_exp0*0.0);
  Ed_VGP_SI_VSI_BP=(m20_exp((-x_d))*(-x_d_VSI_BP)*(-x_d_VGP_SI)+d10_exp0*0.0);
#endif
Ed_VSI_BP=(-x_d_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  Ed_VSI_BP_VDI_SI=(m20_exp((-x_d))*(-x_d_VDI_SI)*(-x_d_VSI_BP)+d10_exp0*0.0);
  Ed_VSI_BP_VGP_SI=(m20_exp((-x_d))*(-x_d_VGP_SI)*(-x_d_VSI_BP)+d10_exp0*0.0);
  Ed_VSI_BP_VSI_BP=(m20_exp((-x_d))*(-x_d_VSI_BP)*(-x_d_VSI_BP)+d10_exp0*0.0);
#endif
#endif
Ed=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
if
((x_d<1.0e-5))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dd_VDI_SI=(((((((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI))*(1.0+(1.75*x_d)))+(((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.75*x_d_VDI_SI)));
#if defined(_DERIVATE2)
  Dd_VDI_SI_VDI_SI=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VDI_SI+0.0*delta_nd_VDI_SI+1.6666666666666667e-01*delta_nd_VDI_SI_VDI_SI)*x_d+(1.6666666666666667e-01*delta_nd_VDI_SI)*x_d_VDI_SI+((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d_VDI_SI+(1.6666666666666667e-01*delta_nd)*x_d_VDI_SI_VDI_SI)*x_d+(((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d_VDI_SI+(((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d_VDI_SI+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI_VDI_SI)*x_d+(((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d_VDI_SI+((((((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI)))*x_d_VDI_SI+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI_VDI_SI)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI))*((1.75*x_d_VDI_SI))+(((((((((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI)))*(1.75*x_d_VDI_SI)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VDI_SI+0.0*x_d_VDI_SI+1.75*x_d_VDI_SI_VDI_SI)));
  Dd_VDI_SI_VGP_SI=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VGP_SI+0.0*delta_nd_VDI_SI+1.6666666666666667e-01*delta_nd_VDI_SI_VGP_SI)*x_d+(1.6666666666666667e-01*delta_nd_VDI_SI)*x_d_VGP_SI+((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d_VDI_SI+(1.6666666666666667e-01*delta_nd)*x_d_VDI_SI_VGP_SI)*x_d+(((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d_VGP_SI+(((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d_VDI_SI+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI_VGP_SI)*x_d+(((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d_VGP_SI+((((((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI)))*x_d_VDI_SI+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI_VGP_SI)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI))*((1.75*x_d_VGP_SI))+(((((((((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI)))*(1.75*x_d_VDI_SI)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VGP_SI+0.0*x_d_VDI_SI+1.75*x_d_VDI_SI_VGP_SI)));
  Dd_VDI_SI_VSI_BP=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VSI_BP+0.0*delta_nd_VDI_SI+1.6666666666666667e-01*delta_nd_VDI_SI_VSI_BP)*x_d+(1.6666666666666667e-01*delta_nd_VDI_SI)*x_d_VSI_BP+((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d_VDI_SI+(1.6666666666666667e-01*delta_nd)*x_d_VDI_SI_VSI_BP)*x_d+(((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d_VSI_BP+(((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d_VDI_SI+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI_VSI_BP)*x_d+(((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d_VSI_BP+((((((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP)))*x_d_VDI_SI+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI_VSI_BP)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI))*((1.75*x_d_VSI_BP))+(((((((((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP)))*(1.75*x_d_VDI_SI)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VSI_BP+0.0*x_d_VDI_SI+1.75*x_d_VDI_SI_VSI_BP)));
#endif
Dd_VGP_SI=(((((((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI))*(1.0+(1.75*x_d)))+(((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.75*x_d_VGP_SI)));
#if defined(_DERIVATE2)
  Dd_VGP_SI_VDI_SI=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VDI_SI+0.0*delta_nd_VGP_SI+1.6666666666666667e-01*delta_nd_VGP_SI_VDI_SI)*x_d+(1.6666666666666667e-01*delta_nd_VGP_SI)*x_d_VDI_SI+((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d_VGP_SI+(1.6666666666666667e-01*delta_nd)*x_d_VGP_SI_VDI_SI)*x_d+(((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d_VDI_SI+(((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d_VGP_SI+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI_VDI_SI)*x_d+(((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d_VDI_SI+((((((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI)))*x_d_VGP_SI+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI_VDI_SI)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI))*((1.75*x_d_VDI_SI))+(((((((((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI)))*(1.75*x_d_VGP_SI)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VDI_SI+0.0*x_d_VGP_SI+1.75*x_d_VGP_SI_VDI_SI)));
  Dd_VGP_SI_VGP_SI=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VGP_SI+0.0*delta_nd_VGP_SI+1.6666666666666667e-01*delta_nd_VGP_SI_VGP_SI)*x_d+(1.6666666666666667e-01*delta_nd_VGP_SI)*x_d_VGP_SI+((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d_VGP_SI+(1.6666666666666667e-01*delta_nd)*x_d_VGP_SI_VGP_SI)*x_d+(((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d_VGP_SI+(((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d_VGP_SI+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI_VGP_SI)*x_d+(((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d_VGP_SI+((((((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI)))*x_d_VGP_SI+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI_VGP_SI)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI))*((1.75*x_d_VGP_SI))+(((((((((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI)))*(1.75*x_d_VGP_SI)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VGP_SI+0.0*x_d_VGP_SI+1.75*x_d_VGP_SI_VGP_SI)));
  Dd_VGP_SI_VSI_BP=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VSI_BP+0.0*delta_nd_VGP_SI+1.6666666666666667e-01*delta_nd_VGP_SI_VSI_BP)*x_d+(1.6666666666666667e-01*delta_nd_VGP_SI)*x_d_VSI_BP+((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d_VGP_SI+(1.6666666666666667e-01*delta_nd)*x_d_VGP_SI_VSI_BP)*x_d+(((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d_VSI_BP+(((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d_VGP_SI+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI_VSI_BP)*x_d+(((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d_VSI_BP+((((((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP)))*x_d_VGP_SI+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI_VSI_BP)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI))*((1.75*x_d_VSI_BP))+(((((((((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP)))*(1.75*x_d_VGP_SI)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VSI_BP+0.0*x_d_VGP_SI+1.75*x_d_VGP_SI_VSI_BP)));
#endif
Dd_VSI_BP=(((((((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP))*(1.0+(1.75*x_d)))+(((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.75*x_d_VSI_BP)));
#if defined(_DERIVATE2)
  Dd_VSI_BP_VDI_SI=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VDI_SI+0.0*delta_nd_VSI_BP+1.6666666666666667e-01*delta_nd_VSI_BP_VDI_SI)*x_d+(1.6666666666666667e-01*delta_nd_VSI_BP)*x_d_VDI_SI+((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d_VSI_BP+(1.6666666666666667e-01*delta_nd)*x_d_VSI_BP_VDI_SI)*x_d+(((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d_VDI_SI+(((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d_VSI_BP+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP_VDI_SI)*x_d+(((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d_VDI_SI+((((((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI)))*x_d_VSI_BP+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP_VDI_SI)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP))*((1.75*x_d_VDI_SI))+(((((((((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI)))*(1.75*x_d_VSI_BP)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VDI_SI+0.0*x_d_VSI_BP+1.75*x_d_VSI_BP_VDI_SI)));
  Dd_VSI_BP_VGP_SI=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VGP_SI+0.0*delta_nd_VSI_BP+1.6666666666666667e-01*delta_nd_VSI_BP_VGP_SI)*x_d+(1.6666666666666667e-01*delta_nd_VSI_BP)*x_d_VGP_SI+((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d_VSI_BP+(1.6666666666666667e-01*delta_nd)*x_d_VSI_BP_VGP_SI)*x_d+(((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d_VGP_SI+(((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d_VSI_BP+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP_VGP_SI)*x_d+(((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d_VGP_SI+((((((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI)))*x_d_VSI_BP+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP_VGP_SI)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP))*((1.75*x_d_VGP_SI))+(((((((((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI)))*(1.75*x_d_VSI_BP)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VGP_SI+0.0*x_d_VSI_BP+1.75*x_d_VSI_BP_VGP_SI)));
  Dd_VSI_BP_VSI_BP=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VSI_BP+0.0*delta_nd_VSI_BP+1.6666666666666667e-01*delta_nd_VSI_BP_VSI_BP)*x_d+(1.6666666666666667e-01*delta_nd_VSI_BP)*x_d_VSI_BP+((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d_VSI_BP+(1.6666666666666667e-01*delta_nd)*x_d_VSI_BP_VSI_BP)*x_d+(((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d_VSI_BP+(((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d_VSI_BP+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP_VSI_BP)*x_d+(((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d_VSI_BP+((((((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP)))*x_d_VSI_BP+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP_VSI_BP)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP))*((1.75*x_d_VSI_BP))+(((((((((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP)))*(1.75*x_d_VSI_BP)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VSI_BP+0.0*x_d_VSI_BP+1.75*x_d_VSI_BP_VSI_BP)));
#endif
#endif
Dd=(((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.0+(1.75*x_d)));
EXIT_IF_ISNAN((((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.0+(1.75*x_d))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dd_VDI_SI=((delta_nd_VDI_SI*((((1.0/Ed)-x_d)-1.0)-xi0d))+(delta_nd*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)));
#if defined(_DERIVATE2)
  Dd_VDI_SI_VDI_SI=(+delta_nd_VDI_SI_VDI_SI*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VDI_SI*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)+delta_nd_VDI_SI*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VDI_SI+0.0*Ed_VDI_SI+1.0*Ed_VDI_SI_VDI_SI)/Ed/Ed+2*1.0*Ed_VDI_SI*Ed_VDI_SI/Ed/Ed/Ed)-x_d_VDI_SI_VDI_SI)-0.0)-xi0d_VDI_SI_VDI_SI));
  Dd_VDI_SI_VGP_SI=(+delta_nd_VDI_SI_VGP_SI*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VDI_SI*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)+delta_nd_VGP_SI*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VGP_SI+0.0*Ed_VDI_SI+1.0*Ed_VDI_SI_VGP_SI)/Ed/Ed+2*1.0*Ed_VDI_SI*Ed_VGP_SI/Ed/Ed/Ed)-x_d_VDI_SI_VGP_SI)-0.0)-xi0d_VDI_SI_VGP_SI));
  Dd_VDI_SI_VSI_BP=(+delta_nd_VDI_SI_VSI_BP*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VDI_SI*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)+delta_nd_VSI_BP*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VSI_BP+0.0*Ed_VDI_SI+1.0*Ed_VDI_SI_VSI_BP)/Ed/Ed+2*1.0*Ed_VDI_SI*Ed_VSI_BP/Ed/Ed/Ed)-x_d_VDI_SI_VSI_BP)-0.0)-xi0d_VDI_SI_VSI_BP));
#endif
Dd_VGP_SI=((delta_nd_VGP_SI*((((1.0/Ed)-x_d)-1.0)-xi0d))+(delta_nd*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)));
#if defined(_DERIVATE2)
  Dd_VGP_SI_VDI_SI=(+delta_nd_VGP_SI_VDI_SI*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VGP_SI*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)+delta_nd_VDI_SI*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VDI_SI+0.0*Ed_VGP_SI+1.0*Ed_VGP_SI_VDI_SI)/Ed/Ed+2*1.0*Ed_VGP_SI*Ed_VDI_SI/Ed/Ed/Ed)-x_d_VGP_SI_VDI_SI)-0.0)-xi0d_VGP_SI_VDI_SI));
  Dd_VGP_SI_VGP_SI=(+delta_nd_VGP_SI_VGP_SI*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VGP_SI*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)+delta_nd_VGP_SI*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VGP_SI+0.0*Ed_VGP_SI+1.0*Ed_VGP_SI_VGP_SI)/Ed/Ed+2*1.0*Ed_VGP_SI*Ed_VGP_SI/Ed/Ed/Ed)-x_d_VGP_SI_VGP_SI)-0.0)-xi0d_VGP_SI_VGP_SI));
  Dd_VGP_SI_VSI_BP=(+delta_nd_VGP_SI_VSI_BP*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VGP_SI*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)+delta_nd_VSI_BP*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VSI_BP+0.0*Ed_VGP_SI+1.0*Ed_VGP_SI_VSI_BP)/Ed/Ed+2*1.0*Ed_VGP_SI*Ed_VSI_BP/Ed/Ed/Ed)-x_d_VGP_SI_VSI_BP)-0.0)-xi0d_VGP_SI_VSI_BP));
#endif
Dd_VSI_BP=((delta_nd_VSI_BP*((((1.0/Ed)-x_d)-1.0)-xi0d))+(delta_nd*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)));
#if defined(_DERIVATE2)
  Dd_VSI_BP_VDI_SI=(+delta_nd_VSI_BP_VDI_SI*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VSI_BP*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)+delta_nd_VDI_SI*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VDI_SI+0.0*Ed_VSI_BP+1.0*Ed_VSI_BP_VDI_SI)/Ed/Ed+2*1.0*Ed_VSI_BP*Ed_VDI_SI/Ed/Ed/Ed)-x_d_VSI_BP_VDI_SI)-0.0)-xi0d_VSI_BP_VDI_SI));
  Dd_VSI_BP_VGP_SI=(+delta_nd_VSI_BP_VGP_SI*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VSI_BP*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)+delta_nd_VGP_SI*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VGP_SI+0.0*Ed_VSI_BP+1.0*Ed_VSI_BP_VGP_SI)/Ed/Ed+2*1.0*Ed_VSI_BP*Ed_VGP_SI/Ed/Ed/Ed)-x_d_VSI_BP_VGP_SI)-0.0)-xi0d_VSI_BP_VGP_SI));
  Dd_VSI_BP_VSI_BP=(+delta_nd_VSI_BP_VSI_BP*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VSI_BP*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)+delta_nd_VSI_BP*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VSI_BP+0.0*Ed_VSI_BP+1.0*Ed_VSI_BP_VSI_BP)/Ed/Ed+2*1.0*Ed_VSI_BP*Ed_VSI_BP/Ed/Ed/Ed)-x_d_VSI_BP_VSI_BP)-0.0)-xi0d_VSI_BP_VSI_BP));
#endif
#endif
Dd=(delta_nd*((((1.0/Ed)-x_d)-1.0)-xi0d));
EXIT_IF_ISNAN((delta_nd*((((1.0/Ed)-x_d)-1.0)-xi0d)))
}
}
else
{
if
((x_d>(xn_d-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(x_d-xn_d))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(x_d_VGP_SI-xn_d_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(m20_exp((x_d-xn_d))*(x_d_VGP_SI-xn_d_VGP_SI)*(x_d_VGP_SI-xn_d_VGP_SI)+d10_exp0*(+x_d_VGP_SI_VGP_SI-xn_d_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(m20_exp((x_d-xn_d))*(x_d_VDI_SI-xn_d_VDI_SI)*(x_d_VGP_SI-xn_d_VGP_SI)+d10_exp0*(+x_d_VGP_SI_VDI_SI-xn_d_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(m20_exp((x_d-xn_d))*(x_d_VSI_BP-xn_d_VSI_BP)*(x_d_VGP_SI-xn_d_VGP_SI)+d10_exp0*(+x_d_VGP_SI_VSI_BP-xn_d_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=(x_d_VDI_SI-xn_d_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(m20_exp((x_d-xn_d))*(x_d_VGP_SI-xn_d_VGP_SI)*(x_d_VDI_SI-xn_d_VDI_SI)+d10_exp0*(+x_d_VDI_SI_VGP_SI-xn_d_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(m20_exp((x_d-xn_d))*(x_d_VDI_SI-xn_d_VDI_SI)*(x_d_VDI_SI-xn_d_VDI_SI)+d10_exp0*(+x_d_VDI_SI_VDI_SI-xn_d_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(m20_exp((x_d-xn_d))*(x_d_VSI_BP-xn_d_VSI_BP)*(x_d_VDI_SI-xn_d_VDI_SI)+d10_exp0*(+x_d_VDI_SI_VSI_BP-xn_d_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=(x_d_VSI_BP-xn_d_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(m20_exp((x_d-xn_d))*(x_d_VGP_SI-xn_d_VGP_SI)*(x_d_VSI_BP-xn_d_VSI_BP)+d10_exp0*(+x_d_VSI_BP_VGP_SI-xn_d_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(m20_exp((x_d-xn_d))*(x_d_VDI_SI-xn_d_VDI_SI)*(x_d_VSI_BP-xn_d_VSI_BP)+d10_exp0*(+x_d_VSI_BP_VDI_SI-xn_d_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(m20_exp((x_d-xn_d))*(x_d_VSI_BP-xn_d_VSI_BP)*(x_d_VSI_BP-xn_d_VSI_BP)+d10_exp0*(+x_d_VSI_BP_VSI_BP-xn_d_VSI_BP_VSI_BP));
#endif
#endif
temp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ed_VDI_SI=((delta_nd_VDI_SI*temp-delta_nd*temp_VDI_SI)/temp/temp);
#if defined(_DERIVATE2)
  Ed_VDI_SI_VDI_SI=(delta_nd_VDI_SI_VDI_SI/temp-(delta_nd_VDI_SI*temp_VDI_SI+delta_nd_VDI_SI*temp_VDI_SI+delta_nd*temp_VDI_SI_VDI_SI)/temp/temp+2*delta_nd*temp_VDI_SI*temp_VDI_SI/temp/temp/temp);
  Ed_VDI_SI_VGP_SI=(delta_nd_VDI_SI_VGP_SI/temp-(delta_nd_VDI_SI*temp_VGP_SI+delta_nd_VGP_SI*temp_VDI_SI+delta_nd*temp_VDI_SI_VGP_SI)/temp/temp+2*delta_nd*temp_VDI_SI*temp_VGP_SI/temp/temp/temp);
  Ed_VDI_SI_VSI_BP=(delta_nd_VDI_SI_VSI_BP/temp-(delta_nd_VDI_SI*temp_VSI_BP+delta_nd_VSI_BP*temp_VDI_SI+delta_nd*temp_VDI_SI_VSI_BP)/temp/temp+2*delta_nd*temp_VDI_SI*temp_VSI_BP/temp/temp/temp);
#endif
Ed_VGP_SI=((delta_nd_VGP_SI*temp-delta_nd*temp_VGP_SI)/temp/temp);
#if defined(_DERIVATE2)
  Ed_VGP_SI_VDI_SI=(delta_nd_VGP_SI_VDI_SI/temp-(delta_nd_VGP_SI*temp_VDI_SI+delta_nd_VDI_SI*temp_VGP_SI+delta_nd*temp_VGP_SI_VDI_SI)/temp/temp+2*delta_nd*temp_VGP_SI*temp_VDI_SI/temp/temp/temp);
  Ed_VGP_SI_VGP_SI=(delta_nd_VGP_SI_VGP_SI/temp-(delta_nd_VGP_SI*temp_VGP_SI+delta_nd_VGP_SI*temp_VGP_SI+delta_nd*temp_VGP_SI_VGP_SI)/temp/temp+2*delta_nd*temp_VGP_SI*temp_VGP_SI/temp/temp/temp);
  Ed_VGP_SI_VSI_BP=(delta_nd_VGP_SI_VSI_BP/temp-(delta_nd_VGP_SI*temp_VSI_BP+delta_nd_VSI_BP*temp_VGP_SI+delta_nd*temp_VGP_SI_VSI_BP)/temp/temp+2*delta_nd*temp_VGP_SI*temp_VSI_BP/temp/temp/temp);
#endif
Ed_VSI_BP=((delta_nd_VSI_BP*temp-delta_nd*temp_VSI_BP)/temp/temp);
#if defined(_DERIVATE2)
  Ed_VSI_BP_VDI_SI=(delta_nd_VSI_BP_VDI_SI/temp-(delta_nd_VSI_BP*temp_VDI_SI+delta_nd_VDI_SI*temp_VSI_BP+delta_nd*temp_VSI_BP_VDI_SI)/temp/temp+2*delta_nd*temp_VSI_BP*temp_VDI_SI/temp/temp/temp);
  Ed_VSI_BP_VGP_SI=(delta_nd_VSI_BP_VGP_SI/temp-(delta_nd_VSI_BP*temp_VGP_SI+delta_nd_VGP_SI*temp_VSI_BP+delta_nd*temp_VSI_BP_VGP_SI)/temp/temp+2*delta_nd*temp_VSI_BP*temp_VGP_SI/temp/temp/temp);
  Ed_VSI_BP_VSI_BP=(delta_nd_VSI_BP_VSI_BP/temp-(delta_nd_VSI_BP*temp_VSI_BP+delta_nd_VSI_BP*temp_VSI_BP+delta_nd*temp_VSI_BP_VSI_BP)/temp/temp+2*delta_nd*temp_VSI_BP*temp_VSI_BP/temp/temp/temp);
#endif
#endif
Ed=(delta_nd/temp);
EXIT_IF_ISNAN((delta_nd/temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dd_VDI_SI=(temp_VDI_SI-((delta_nd_VDI_SI*((x_d+1.0)+xi0d))+(delta_nd*(x_d_VDI_SI+xi0d_VDI_SI))));
#if defined(_DERIVATE2)
  Dd_VDI_SI_VDI_SI=(+temp_VDI_SI_VDI_SI-(+delta_nd_VDI_SI_VDI_SI*((x_d+1.0)+xi0d)+delta_nd_VDI_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd_VDI_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd*(+(+x_d_VDI_SI_VDI_SI+0.0)+xi0d_VDI_SI_VDI_SI)));
  Dd_VDI_SI_VGP_SI=(+temp_VDI_SI_VGP_SI-(+delta_nd_VDI_SI_VGP_SI*((x_d+1.0)+xi0d)+delta_nd_VDI_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd_VGP_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd*(+(+x_d_VDI_SI_VGP_SI+0.0)+xi0d_VDI_SI_VGP_SI)));
  Dd_VDI_SI_VSI_BP=(+temp_VDI_SI_VSI_BP-(+delta_nd_VDI_SI_VSI_BP*((x_d+1.0)+xi0d)+delta_nd_VDI_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd_VSI_BP*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd*(+(+x_d_VDI_SI_VSI_BP+0.0)+xi0d_VDI_SI_VSI_BP)));
#endif
Dd_VGP_SI=(temp_VGP_SI-((delta_nd_VGP_SI*((x_d+1.0)+xi0d))+(delta_nd*(x_d_VGP_SI+xi0d_VGP_SI))));
#if defined(_DERIVATE2)
  Dd_VGP_SI_VDI_SI=(+temp_VGP_SI_VDI_SI-(+delta_nd_VGP_SI_VDI_SI*((x_d+1.0)+xi0d)+delta_nd_VGP_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd_VDI_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd*(+(+x_d_VGP_SI_VDI_SI+0.0)+xi0d_VGP_SI_VDI_SI)));
  Dd_VGP_SI_VGP_SI=(+temp_VGP_SI_VGP_SI-(+delta_nd_VGP_SI_VGP_SI*((x_d+1.0)+xi0d)+delta_nd_VGP_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd_VGP_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd*(+(+x_d_VGP_SI_VGP_SI+0.0)+xi0d_VGP_SI_VGP_SI)));
  Dd_VGP_SI_VSI_BP=(+temp_VGP_SI_VSI_BP-(+delta_nd_VGP_SI_VSI_BP*((x_d+1.0)+xi0d)+delta_nd_VGP_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd_VSI_BP*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd*(+(+x_d_VGP_SI_VSI_BP+0.0)+xi0d_VGP_SI_VSI_BP)));
#endif
Dd_VSI_BP=(temp_VSI_BP-((delta_nd_VSI_BP*((x_d+1.0)+xi0d))+(delta_nd*(x_d_VSI_BP+xi0d_VSI_BP))));
#if defined(_DERIVATE2)
  Dd_VSI_BP_VDI_SI=(+temp_VSI_BP_VDI_SI-(+delta_nd_VSI_BP_VDI_SI*((x_d+1.0)+xi0d)+delta_nd_VSI_BP*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd_VDI_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd*(+(+x_d_VSI_BP_VDI_SI+0.0)+xi0d_VSI_BP_VDI_SI)));
  Dd_VSI_BP_VGP_SI=(+temp_VSI_BP_VGP_SI-(+delta_nd_VSI_BP_VGP_SI*((x_d+1.0)+xi0d)+delta_nd_VSI_BP*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd_VGP_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd*(+(+x_d_VSI_BP_VGP_SI+0.0)+xi0d_VSI_BP_VGP_SI)));
  Dd_VSI_BP_VSI_BP=(+temp_VSI_BP_VSI_BP-(+delta_nd_VSI_BP_VSI_BP*((x_d+1.0)+xi0d)+delta_nd_VSI_BP*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd_VSI_BP*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd*(+(+x_d_VSI_BP_VSI_BP+0.0)+xi0d_VSI_BP_VSI_BP)));
#endif
#endif
Dd=(temp-(delta_nd*((x_d+1.0)+xi0d)));
EXIT_IF_ISNAN((temp-(delta_nd*((x_d+1.0)+xi0d))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ed_VDI_SI=(-1.0e-100*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Ed_VDI_SI_VDI_SI=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VDI_SI*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01))))))+x_d_VDI_SI*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01))))+0.0*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_d_VDI_SI_VDI_SI-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VDI_SI*(x_d_VDI_SI*3.3333333333333333e-01)+x_d_VDI_SI*x_d_VDI_SI*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+x_d_VDI_SI*0.0+x_d_VDI_SI*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))*(((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Ed_VDI_SI_VGP_SI=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VDI_SI*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01))))))+x_d_VGP_SI*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01))))+0.0*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_d_VDI_SI_VGP_SI-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VDI_SI*(x_d_VGP_SI*3.3333333333333333e-01)+x_d_VGP_SI*x_d_VDI_SI*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+x_d_VDI_SI*0.0+x_d_VGP_SI*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))*(((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Ed_VDI_SI_VSI_BP=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VDI_SI*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01))))))+x_d_VSI_BP*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01))))+0.0*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_d_VDI_SI_VSI_BP-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VDI_SI*(x_d_VSI_BP*3.3333333333333333e-01)+x_d_VSI_BP*x_d_VDI_SI*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+x_d_VDI_SI*0.0+x_d_VSI_BP*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))*(((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
Ed_VGP_SI=(-1.0e-100*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Ed_VGP_SI_VDI_SI=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VGP_SI*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01))))))+x_d_VDI_SI*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01))))+0.0*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_d_VGP_SI_VDI_SI-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VGP_SI*(x_d_VDI_SI*3.3333333333333333e-01)+x_d_VDI_SI*x_d_VGP_SI*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+x_d_VGP_SI*0.0+x_d_VDI_SI*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))*(((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Ed_VGP_SI_VGP_SI=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VGP_SI*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01))))))+x_d_VGP_SI*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01))))+0.0*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_d_VGP_SI_VGP_SI-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VGP_SI*(x_d_VGP_SI*3.3333333333333333e-01)+x_d_VGP_SI*x_d_VGP_SI*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+x_d_VGP_SI*0.0+x_d_VGP_SI*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))*(((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Ed_VGP_SI_VSI_BP=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VGP_SI*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01))))))+x_d_VSI_BP*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01))))+0.0*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_d_VGP_SI_VSI_BP-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VGP_SI*(x_d_VSI_BP*3.3333333333333333e-01)+x_d_VSI_BP*x_d_VGP_SI*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+x_d_VGP_SI*0.0+x_d_VSI_BP*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))*(((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
Ed_VSI_BP=(-1.0e-100*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Ed_VSI_BP_VDI_SI=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VSI_BP*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01))))))+x_d_VDI_SI*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01))))+0.0*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_d_VSI_BP_VDI_SI-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VSI_BP*(x_d_VDI_SI*3.3333333333333333e-01)+x_d_VDI_SI*x_d_VSI_BP*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+x_d_VSI_BP*0.0+x_d_VDI_SI*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))*(((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Ed_VSI_BP_VGP_SI=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VSI_BP*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01))))))+x_d_VGP_SI*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01))))+0.0*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_d_VSI_BP_VGP_SI-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VSI_BP*(x_d_VGP_SI*3.3333333333333333e-01)+x_d_VGP_SI*x_d_VSI_BP*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+x_d_VSI_BP*0.0+x_d_VGP_SI*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))*(((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Ed_VSI_BP_VSI_BP=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VSI_BP*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01))))))+x_d_VSI_BP*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01))))+0.0*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_d_VSI_BP_VSI_BP-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VSI_BP*(x_d_VSI_BP*3.3333333333333333e-01)+x_d_VSI_BP*x_d_VSI_BP*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+x_d_VSI_BP*0.0+x_d_VSI_BP*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))*(((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
Ed=(1.0e-100/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-1.0e-100*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VGP_SI_VGP_SI-x_d_VGP_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VGP_SI-x_d_VGP_SI)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))))))+(xn_d_VGP_SI-x_d_VGP_SI)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VGP_SI_VGP_SI-x_d_VGP_SI_VGP_SI)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VGP_SI-x_d_VGP_SI)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)+(xn_d_VGP_SI-x_d_VGP_SI)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VGP_SI_VGP_SI-x_d_VGP_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_d_VGP_SI-x_d_VGP_SI)*0.0+(xn_d_VGP_SI-x_d_VGP_SI)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  temp_VGP_SI_VDI_SI=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VGP_SI_VDI_SI-x_d_VGP_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VGP_SI-x_d_VGP_SI)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))))))+(xn_d_VDI_SI-x_d_VDI_SI)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VGP_SI_VDI_SI-x_d_VGP_SI_VDI_SI)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VGP_SI-x_d_VGP_SI)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)+(xn_d_VDI_SI-x_d_VDI_SI)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VGP_SI_VDI_SI-x_d_VGP_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_d_VGP_SI-x_d_VGP_SI)*0.0+(xn_d_VDI_SI-x_d_VDI_SI)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  temp_VGP_SI_VSI_BP=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VGP_SI_VSI_BP-x_d_VGP_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VGP_SI-x_d_VGP_SI)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))))))+(xn_d_VSI_BP-x_d_VSI_BP)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VGP_SI_VSI_BP-x_d_VGP_SI_VSI_BP)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VGP_SI-x_d_VGP_SI)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)+(xn_d_VSI_BP-x_d_VSI_BP)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VGP_SI_VSI_BP-x_d_VGP_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_d_VGP_SI-x_d_VGP_SI)*0.0+(xn_d_VSI_BP-x_d_VSI_BP)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
temp_VDI_SI=(-1.0e-100*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VDI_SI_VGP_SI-x_d_VDI_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VDI_SI-x_d_VDI_SI)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))))))+(xn_d_VGP_SI-x_d_VGP_SI)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VDI_SI_VGP_SI-x_d_VDI_SI_VGP_SI)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VDI_SI-x_d_VDI_SI)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)+(xn_d_VGP_SI-x_d_VGP_SI)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VDI_SI_VGP_SI-x_d_VDI_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_d_VDI_SI-x_d_VDI_SI)*0.0+(xn_d_VGP_SI-x_d_VGP_SI)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  temp_VDI_SI_VDI_SI=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VDI_SI_VDI_SI-x_d_VDI_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VDI_SI-x_d_VDI_SI)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))))))+(xn_d_VDI_SI-x_d_VDI_SI)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VDI_SI_VDI_SI-x_d_VDI_SI_VDI_SI)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VDI_SI-x_d_VDI_SI)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)+(xn_d_VDI_SI-x_d_VDI_SI)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VDI_SI_VDI_SI-x_d_VDI_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_d_VDI_SI-x_d_VDI_SI)*0.0+(xn_d_VDI_SI-x_d_VDI_SI)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  temp_VDI_SI_VSI_BP=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VDI_SI_VSI_BP-x_d_VDI_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VDI_SI-x_d_VDI_SI)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))))))+(xn_d_VSI_BP-x_d_VSI_BP)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VDI_SI_VSI_BP-x_d_VDI_SI_VSI_BP)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VDI_SI-x_d_VDI_SI)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)+(xn_d_VSI_BP-x_d_VSI_BP)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VDI_SI_VSI_BP-x_d_VDI_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_d_VDI_SI-x_d_VDI_SI)*0.0+(xn_d_VSI_BP-x_d_VSI_BP)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
temp_VSI_BP=(-1.0e-100*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VSI_BP_VGP_SI-x_d_VSI_BP_VGP_SI)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VSI_BP-x_d_VSI_BP)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))))))+(xn_d_VGP_SI-x_d_VGP_SI)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VSI_BP_VGP_SI-x_d_VSI_BP_VGP_SI)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VSI_BP-x_d_VSI_BP)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)+(xn_d_VGP_SI-x_d_VGP_SI)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VSI_BP_VGP_SI-x_d_VSI_BP_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_d_VSI_BP-x_d_VSI_BP)*0.0+(xn_d_VGP_SI-x_d_VGP_SI)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  temp_VSI_BP_VDI_SI=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VSI_BP_VDI_SI-x_d_VSI_BP_VDI_SI)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VSI_BP-x_d_VSI_BP)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))))))+(xn_d_VDI_SI-x_d_VDI_SI)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VSI_BP_VDI_SI-x_d_VSI_BP_VDI_SI)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VSI_BP-x_d_VSI_BP)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)+(xn_d_VDI_SI-x_d_VDI_SI)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VSI_BP_VDI_SI-x_d_VSI_BP_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_d_VSI_BP-x_d_VSI_BP)*0.0+(xn_d_VDI_SI-x_d_VDI_SI)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  temp_VSI_BP_VSI_BP=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VSI_BP_VSI_BP-x_d_VSI_BP_VSI_BP)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VSI_BP-x_d_VSI_BP)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))))))+(xn_d_VSI_BP-x_d_VSI_BP)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VSI_BP_VSI_BP-x_d_VSI_BP_VSI_BP)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VSI_BP-x_d_VSI_BP)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)+(xn_d_VSI_BP-x_d_VSI_BP)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VSI_BP_VSI_BP-x_d_VSI_BP_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_d_VSI_BP-x_d_VSI_BP)*0.0+(xn_d_VSI_BP-x_d_VSI_BP)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
temp=(1.0e-100/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dd_VDI_SI=(temp_VDI_SI-((delta_nd_VDI_SI*((x_d+1.0)+xi0d))+(delta_nd*(x_d_VDI_SI+xi0d_VDI_SI))));
#if defined(_DERIVATE2)
  Dd_VDI_SI_VDI_SI=(+temp_VDI_SI_VDI_SI-(+delta_nd_VDI_SI_VDI_SI*((x_d+1.0)+xi0d)+delta_nd_VDI_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd_VDI_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd*(+(+x_d_VDI_SI_VDI_SI+0.0)+xi0d_VDI_SI_VDI_SI)));
  Dd_VDI_SI_VGP_SI=(+temp_VDI_SI_VGP_SI-(+delta_nd_VDI_SI_VGP_SI*((x_d+1.0)+xi0d)+delta_nd_VDI_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd_VGP_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd*(+(+x_d_VDI_SI_VGP_SI+0.0)+xi0d_VDI_SI_VGP_SI)));
  Dd_VDI_SI_VSI_BP=(+temp_VDI_SI_VSI_BP-(+delta_nd_VDI_SI_VSI_BP*((x_d+1.0)+xi0d)+delta_nd_VDI_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd_VSI_BP*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd*(+(+x_d_VDI_SI_VSI_BP+0.0)+xi0d_VDI_SI_VSI_BP)));
#endif
Dd_VGP_SI=(temp_VGP_SI-((delta_nd_VGP_SI*((x_d+1.0)+xi0d))+(delta_nd*(x_d_VGP_SI+xi0d_VGP_SI))));
#if defined(_DERIVATE2)
  Dd_VGP_SI_VDI_SI=(+temp_VGP_SI_VDI_SI-(+delta_nd_VGP_SI_VDI_SI*((x_d+1.0)+xi0d)+delta_nd_VGP_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd_VDI_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd*(+(+x_d_VGP_SI_VDI_SI+0.0)+xi0d_VGP_SI_VDI_SI)));
  Dd_VGP_SI_VGP_SI=(+temp_VGP_SI_VGP_SI-(+delta_nd_VGP_SI_VGP_SI*((x_d+1.0)+xi0d)+delta_nd_VGP_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd_VGP_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd*(+(+x_d_VGP_SI_VGP_SI+0.0)+xi0d_VGP_SI_VGP_SI)));
  Dd_VGP_SI_VSI_BP=(+temp_VGP_SI_VSI_BP-(+delta_nd_VGP_SI_VSI_BP*((x_d+1.0)+xi0d)+delta_nd_VGP_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd_VSI_BP*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd*(+(+x_d_VGP_SI_VSI_BP+0.0)+xi0d_VGP_SI_VSI_BP)));
#endif
Dd_VSI_BP=(temp_VSI_BP-((delta_nd_VSI_BP*((x_d+1.0)+xi0d))+(delta_nd*(x_d_VSI_BP+xi0d_VSI_BP))));
#if defined(_DERIVATE2)
  Dd_VSI_BP_VDI_SI=(+temp_VSI_BP_VDI_SI-(+delta_nd_VSI_BP_VDI_SI*((x_d+1.0)+xi0d)+delta_nd_VSI_BP*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd_VDI_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd*(+(+x_d_VSI_BP_VDI_SI+0.0)+xi0d_VSI_BP_VDI_SI)));
  Dd_VSI_BP_VGP_SI=(+temp_VSI_BP_VGP_SI-(+delta_nd_VSI_BP_VGP_SI*((x_d+1.0)+xi0d)+delta_nd_VSI_BP*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd_VGP_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd*(+(+x_d_VSI_BP_VGP_SI+0.0)+xi0d_VSI_BP_VGP_SI)));
  Dd_VSI_BP_VSI_BP=(+temp_VSI_BP_VSI_BP-(+delta_nd_VSI_BP_VSI_BP*((x_d+1.0)+xi0d)+delta_nd_VSI_BP*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd_VSI_BP*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd*(+(+x_d_VSI_BP_VSI_BP+0.0)+xi0d_VSI_BP_VSI_BP)));
#endif
#endif
Dd=(temp-(delta_nd*((x_d+1.0)+xi0d)));
EXIT_IF_ISNAN((temp-(delta_nd*((x_d+1.0)+xi0d))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
x_m_VDI_SI=(0.5*(x_s_VDI_SI+x_d_VDI_SI));
#if defined(_DERIVATE2)
  x_m_VDI_SI_VDI_SI=(+0.0*(x_s+x_d)+0.0*(x_s_VDI_SI+x_d_VDI_SI)+0.0*(x_s_VDI_SI+x_d_VDI_SI)+0.5*(+x_s_VDI_SI_VDI_SI+x_d_VDI_SI_VDI_SI));
  x_m_VDI_SI_VGP_SI=(+0.0*(x_s+x_d)+0.0*(x_s_VGP_SI+x_d_VGP_SI)+0.0*(x_s_VDI_SI+x_d_VDI_SI)+0.5*(+x_s_VDI_SI_VGP_SI+x_d_VDI_SI_VGP_SI));
  x_m_VDI_SI_VSI_BP=(+0.0*(x_s+x_d)+0.0*(x_s_VSI_BP+x_d_VSI_BP)+0.0*(x_s_VDI_SI+x_d_VDI_SI)+0.5*(+x_s_VDI_SI_VSI_BP+x_d_VDI_SI_VSI_BP));
#endif
x_m_VGP_SI=(0.5*(x_s_VGP_SI+x_d_VGP_SI));
#if defined(_DERIVATE2)
  x_m_VGP_SI_VDI_SI=(+0.0*(x_s+x_d)+0.0*(x_s_VDI_SI+x_d_VDI_SI)+0.0*(x_s_VGP_SI+x_d_VGP_SI)+0.5*(+x_s_VGP_SI_VDI_SI+x_d_VGP_SI_VDI_SI));
  x_m_VGP_SI_VGP_SI=(+0.0*(x_s+x_d)+0.0*(x_s_VGP_SI+x_d_VGP_SI)+0.0*(x_s_VGP_SI+x_d_VGP_SI)+0.5*(+x_s_VGP_SI_VGP_SI+x_d_VGP_SI_VGP_SI));
  x_m_VGP_SI_VSI_BP=(+0.0*(x_s+x_d)+0.0*(x_s_VSI_BP+x_d_VSI_BP)+0.0*(x_s_VGP_SI+x_d_VGP_SI)+0.5*(+x_s_VGP_SI_VSI_BP+x_d_VGP_SI_VSI_BP));
#endif
x_m_VSI_BP=(0.5*(x_s_VSI_BP+x_d_VSI_BP));
#if defined(_DERIVATE2)
  x_m_VSI_BP_VDI_SI=(+0.0*(x_s+x_d)+0.0*(x_s_VDI_SI+x_d_VDI_SI)+0.0*(x_s_VSI_BP+x_d_VSI_BP)+0.5*(+x_s_VSI_BP_VDI_SI+x_d_VSI_BP_VDI_SI));
  x_m_VSI_BP_VGP_SI=(+0.0*(x_s+x_d)+0.0*(x_s_VGP_SI+x_d_VGP_SI)+0.0*(x_s_VSI_BP+x_d_VSI_BP)+0.5*(+x_s_VSI_BP_VGP_SI+x_d_VSI_BP_VGP_SI));
  x_m_VSI_BP_VSI_BP=(+0.0*(x_s+x_d)+0.0*(x_s_VSI_BP+x_d_VSI_BP)+0.0*(x_s_VSI_BP+x_d_VSI_BP)+0.5*(+x_s_VSI_BP_VSI_BP+x_d_VSI_BP_VSI_BP));
#endif
#endif
x_m=(0.5*(x_s+x_d));
EXIT_IF_ISNAN((0.5*(x_s+x_d)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Em_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Em_VDI_SI_VDI_SI=0.0;
  Em_VDI_SI_VGP_SI=0.0;
  Em_VDI_SI_VSI_BP=0.0;
#endif
Em_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Em_VGP_SI_VDI_SI=0.0;
  Em_VGP_SI_VGP_SI=0.0;
  Em_VGP_SI_VSI_BP=0.0;
#endif
Em_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Em_VSI_BP_VDI_SI=0.0;
  Em_VSI_BP_VGP_SI=0.0;
  Em_VSI_BP_VSI_BP=0.0;
#endif
#endif
Em=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=((Ed_VGP_SI*Es)+(Ed*Es_VGP_SI));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+Ed_VGP_SI_VGP_SI*Es+Ed_VGP_SI*Es_VGP_SI+Ed_VGP_SI*Es_VGP_SI+Ed*Es_VGP_SI_VGP_SI);
  temp_VGP_SI_VDI_SI=(+Ed_VGP_SI_VDI_SI*Es+Ed_VGP_SI*Es_VDI_SI+Ed_VDI_SI*Es_VGP_SI+Ed*Es_VGP_SI_VDI_SI);
  temp_VGP_SI_VSI_BP=(+Ed_VGP_SI_VSI_BP*Es+Ed_VGP_SI*Es_VSI_BP+Ed_VSI_BP*Es_VGP_SI+Ed*Es_VGP_SI_VSI_BP);
#endif
temp_VDI_SI=((Ed_VDI_SI*Es)+(Ed*Es_VDI_SI));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+Ed_VDI_SI_VGP_SI*Es+Ed_VDI_SI*Es_VGP_SI+Ed_VGP_SI*Es_VDI_SI+Ed*Es_VDI_SI_VGP_SI);
  temp_VDI_SI_VDI_SI=(+Ed_VDI_SI_VDI_SI*Es+Ed_VDI_SI*Es_VDI_SI+Ed_VDI_SI*Es_VDI_SI+Ed*Es_VDI_SI_VDI_SI);
  temp_VDI_SI_VSI_BP=(+Ed_VDI_SI_VSI_BP*Es+Ed_VDI_SI*Es_VSI_BP+Ed_VSI_BP*Es_VDI_SI+Ed*Es_VDI_SI_VSI_BP);
#endif
temp_VSI_BP=((Ed_VSI_BP*Es)+(Ed*Es_VSI_BP));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+Ed_VSI_BP_VGP_SI*Es+Ed_VSI_BP*Es_VGP_SI+Ed_VGP_SI*Es_VSI_BP+Ed*Es_VSI_BP_VGP_SI);
  temp_VSI_BP_VDI_SI=(+Ed_VSI_BP_VDI_SI*Es+Ed_VSI_BP*Es_VDI_SI+Ed_VDI_SI*Es_VSI_BP+Ed*Es_VSI_BP_VDI_SI);
  temp_VSI_BP_VSI_BP=(+Ed_VSI_BP_VSI_BP*Es+Ed_VSI_BP*Es_VSI_BP+Ed_VSI_BP*Es_VSI_BP+Ed*Es_VSI_BP_VSI_BP);
#endif
#endif
temp=(Ed*Es);
EXIT_IF_ISNAN((Ed*Es))
if
((temp>0.0))
{
{
double m00_sqrt(d00_sqrt0,temp)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,temp)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Em_VDI_SI=temp_VDI_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  Em_VDI_SI_VDI_SI=(m20_sqrt(temp)*temp_VDI_SI*temp_VDI_SI+d10_sqrt0*temp_VDI_SI_VDI_SI);
  Em_VDI_SI_VGP_SI=(m20_sqrt(temp)*temp_VGP_SI*temp_VDI_SI+d10_sqrt0*temp_VDI_SI_VGP_SI);
  Em_VDI_SI_VSI_BP=(m20_sqrt(temp)*temp_VSI_BP*temp_VDI_SI+d10_sqrt0*temp_VDI_SI_VSI_BP);
#endif
Em_VGP_SI=temp_VGP_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  Em_VGP_SI_VDI_SI=(m20_sqrt(temp)*temp_VDI_SI*temp_VGP_SI+d10_sqrt0*temp_VGP_SI_VDI_SI);
  Em_VGP_SI_VGP_SI=(m20_sqrt(temp)*temp_VGP_SI*temp_VGP_SI+d10_sqrt0*temp_VGP_SI_VGP_SI);
  Em_VGP_SI_VSI_BP=(m20_sqrt(temp)*temp_VSI_BP*temp_VGP_SI+d10_sqrt0*temp_VGP_SI_VSI_BP);
#endif
Em_VSI_BP=temp_VSI_BP*d10_sqrt0;
#if defined(_DERIVATE2)
  Em_VSI_BP_VDI_SI=(m20_sqrt(temp)*temp_VDI_SI*temp_VSI_BP+d10_sqrt0*temp_VSI_BP_VDI_SI);
  Em_VSI_BP_VGP_SI=(m20_sqrt(temp)*temp_VGP_SI*temp_VSI_BP+d10_sqrt0*temp_VSI_BP_VGP_SI);
  Em_VSI_BP_VSI_BP=(m20_sqrt(temp)*temp_VSI_BP*temp_VSI_BP+d10_sqrt0*temp_VSI_BP_VSI_BP);
#endif
#endif
Em=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
D_bar_VDI_SI=(0.5*(Ds_VDI_SI+Dd_VDI_SI));
#if defined(_DERIVATE2)
  D_bar_VDI_SI_VDI_SI=(+0.0*(Ds+Dd)+0.0*(Ds_VDI_SI+Dd_VDI_SI)+0.0*(Ds_VDI_SI+Dd_VDI_SI)+0.5*(+Ds_VDI_SI_VDI_SI+Dd_VDI_SI_VDI_SI));
  D_bar_VDI_SI_VGP_SI=(+0.0*(Ds+Dd)+0.0*(Ds_VGP_SI+Dd_VGP_SI)+0.0*(Ds_VDI_SI+Dd_VDI_SI)+0.5*(+Ds_VDI_SI_VGP_SI+Dd_VDI_SI_VGP_SI));
  D_bar_VDI_SI_VSI_BP=(+0.0*(Ds+Dd)+0.0*(Ds_VSI_BP+Dd_VSI_BP)+0.0*(Ds_VDI_SI+Dd_VDI_SI)+0.5*(+Ds_VDI_SI_VSI_BP+Dd_VDI_SI_VSI_BP));
#endif
D_bar_VGP_SI=(0.5*(Ds_VGP_SI+Dd_VGP_SI));
#if defined(_DERIVATE2)
  D_bar_VGP_SI_VDI_SI=(+0.0*(Ds+Dd)+0.0*(Ds_VDI_SI+Dd_VDI_SI)+0.0*(Ds_VGP_SI+Dd_VGP_SI)+0.5*(+Ds_VGP_SI_VDI_SI+Dd_VGP_SI_VDI_SI));
  D_bar_VGP_SI_VGP_SI=(+0.0*(Ds+Dd)+0.0*(Ds_VGP_SI+Dd_VGP_SI)+0.0*(Ds_VGP_SI+Dd_VGP_SI)+0.5*(+Ds_VGP_SI_VGP_SI+Dd_VGP_SI_VGP_SI));
  D_bar_VGP_SI_VSI_BP=(+0.0*(Ds+Dd)+0.0*(Ds_VSI_BP+Dd_VSI_BP)+0.0*(Ds_VGP_SI+Dd_VGP_SI)+0.5*(+Ds_VGP_SI_VSI_BP+Dd_VGP_SI_VSI_BP));
#endif
D_bar_VSI_BP=(0.5*(Ds_VSI_BP+Dd_VSI_BP));
#if defined(_DERIVATE2)
  D_bar_VSI_BP_VDI_SI=(+0.0*(Ds+Dd)+0.0*(Ds_VDI_SI+Dd_VDI_SI)+0.0*(Ds_VSI_BP+Dd_VSI_BP)+0.5*(+Ds_VSI_BP_VDI_SI+Dd_VSI_BP_VDI_SI));
  D_bar_VSI_BP_VGP_SI=(+0.0*(Ds+Dd)+0.0*(Ds_VGP_SI+Dd_VGP_SI)+0.0*(Ds_VSI_BP+Dd_VSI_BP)+0.5*(+Ds_VSI_BP_VGP_SI+Dd_VSI_BP_VGP_SI));
  D_bar_VSI_BP_VSI_BP=(+0.0*(Ds+Dd)+0.0*(Ds_VSI_BP+Dd_VSI_BP)+0.0*(Ds_VSI_BP+Dd_VSI_BP)+0.5*(+Ds_VSI_BP_VSI_BP+Dd_VSI_BP_VSI_BP));
#endif
#endif
D_bar=(0.5*(Ds+Dd));
EXIT_IF_ISNAN((0.5*(Ds+Dd)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dm_VDI_SI=(D_bar_VDI_SI+(0.125*((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))))));
#if defined(_DERIVATE2)
  Dm_VDI_SI_VDI_SI=(+D_bar_VDI_SI_VDI_SI+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-((2.0*inv_Gf2_VDI_SI))))))+0.0*((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))))+0.125*(+(+x_ds_VDI_SI_VDI_SI*x_ds+x_ds_VDI_SI*x_ds_VDI_SI+x_ds_VDI_SI*x_ds_VDI_SI+x_ds*x_ds_VDI_SI_VDI_SI)*(Em-(2.0*inv_Gf2))+((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em_VDI_SI-((2.0*inv_Gf2_VDI_SI)))+(((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI)))*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))+(x_ds*x_ds)*(+Em_VDI_SI_VDI_SI-(+0.0*inv_Gf2+0.0*inv_Gf2_VDI_SI+0.0*inv_Gf2_VDI_SI+2.0*inv_Gf2_VDI_SI_VDI_SI)))));
  Dm_VDI_SI_VGP_SI=(+D_bar_VDI_SI_VGP_SI+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-((2.0*inv_Gf2_VGP_SI))))))+0.0*((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))))+0.125*(+(+x_ds_VDI_SI_VGP_SI*x_ds+x_ds_VDI_SI*x_ds_VGP_SI+x_ds_VGP_SI*x_ds_VDI_SI+x_ds*x_ds_VDI_SI_VGP_SI)*(Em-(2.0*inv_Gf2))+((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em_VGP_SI-((2.0*inv_Gf2_VGP_SI)))+(((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI)))*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))+(x_ds*x_ds)*(+Em_VDI_SI_VGP_SI-(+0.0*inv_Gf2+0.0*inv_Gf2_VGP_SI+0.0*inv_Gf2_VDI_SI+2.0*inv_Gf2_VDI_SI_VGP_SI)))));
  Dm_VDI_SI_VSI_BP=(+D_bar_VDI_SI_VSI_BP+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-((2.0*inv_Gf2_VSI_BP))))))+0.0*((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))))+0.125*(+(+x_ds_VDI_SI_VSI_BP*x_ds+x_ds_VDI_SI*x_ds_VSI_BP+x_ds_VSI_BP*x_ds_VDI_SI+x_ds*x_ds_VDI_SI_VSI_BP)*(Em-(2.0*inv_Gf2))+((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em_VSI_BP-((2.0*inv_Gf2_VSI_BP)))+(((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP)))*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))+(x_ds*x_ds)*(+Em_VDI_SI_VSI_BP-(+0.0*inv_Gf2+0.0*inv_Gf2_VSI_BP+0.0*inv_Gf2_VDI_SI+2.0*inv_Gf2_VDI_SI_VSI_BP)))));
#endif
Dm_VGP_SI=(D_bar_VGP_SI+(0.125*((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))))));
#if defined(_DERIVATE2)
  Dm_VGP_SI_VDI_SI=(+D_bar_VGP_SI_VDI_SI+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-((2.0*inv_Gf2_VDI_SI))))))+0.0*((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))))+0.125*(+(+x_ds_VGP_SI_VDI_SI*x_ds+x_ds_VGP_SI*x_ds_VDI_SI+x_ds_VDI_SI*x_ds_VGP_SI+x_ds*x_ds_VGP_SI_VDI_SI)*(Em-(2.0*inv_Gf2))+((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em_VDI_SI-((2.0*inv_Gf2_VDI_SI)))+(((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI)))*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))+(x_ds*x_ds)*(+Em_VGP_SI_VDI_SI-(+0.0*inv_Gf2+0.0*inv_Gf2_VDI_SI+0.0*inv_Gf2_VGP_SI+2.0*inv_Gf2_VGP_SI_VDI_SI)))));
  Dm_VGP_SI_VGP_SI=(+D_bar_VGP_SI_VGP_SI+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-((2.0*inv_Gf2_VGP_SI))))))+0.0*((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))))+0.125*(+(+x_ds_VGP_SI_VGP_SI*x_ds+x_ds_VGP_SI*x_ds_VGP_SI+x_ds_VGP_SI*x_ds_VGP_SI+x_ds*x_ds_VGP_SI_VGP_SI)*(Em-(2.0*inv_Gf2))+((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em_VGP_SI-((2.0*inv_Gf2_VGP_SI)))+(((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI)))*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))+(x_ds*x_ds)*(+Em_VGP_SI_VGP_SI-(+0.0*inv_Gf2+0.0*inv_Gf2_VGP_SI+0.0*inv_Gf2_VGP_SI+2.0*inv_Gf2_VGP_SI_VGP_SI)))));
  Dm_VGP_SI_VSI_BP=(+D_bar_VGP_SI_VSI_BP+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-((2.0*inv_Gf2_VSI_BP))))))+0.0*((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))))+0.125*(+(+x_ds_VGP_SI_VSI_BP*x_ds+x_ds_VGP_SI*x_ds_VSI_BP+x_ds_VSI_BP*x_ds_VGP_SI+x_ds*x_ds_VGP_SI_VSI_BP)*(Em-(2.0*inv_Gf2))+((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em_VSI_BP-((2.0*inv_Gf2_VSI_BP)))+(((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP)))*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))+(x_ds*x_ds)*(+Em_VGP_SI_VSI_BP-(+0.0*inv_Gf2+0.0*inv_Gf2_VSI_BP+0.0*inv_Gf2_VGP_SI+2.0*inv_Gf2_VGP_SI_VSI_BP)))));
#endif
Dm_VSI_BP=(D_bar_VSI_BP+(0.125*((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))))));
#if defined(_DERIVATE2)
  Dm_VSI_BP_VDI_SI=(+D_bar_VSI_BP_VDI_SI+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-((2.0*inv_Gf2_VDI_SI))))))+0.0*((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))))+0.125*(+(+x_ds_VSI_BP_VDI_SI*x_ds+x_ds_VSI_BP*x_ds_VDI_SI+x_ds_VDI_SI*x_ds_VSI_BP+x_ds*x_ds_VSI_BP_VDI_SI)*(Em-(2.0*inv_Gf2))+((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em_VDI_SI-((2.0*inv_Gf2_VDI_SI)))+(((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI)))*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))+(x_ds*x_ds)*(+Em_VSI_BP_VDI_SI-(+0.0*inv_Gf2+0.0*inv_Gf2_VDI_SI+0.0*inv_Gf2_VSI_BP+2.0*inv_Gf2_VSI_BP_VDI_SI)))));
  Dm_VSI_BP_VGP_SI=(+D_bar_VSI_BP_VGP_SI+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-((2.0*inv_Gf2_VGP_SI))))))+0.0*((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))))+0.125*(+(+x_ds_VSI_BP_VGP_SI*x_ds+x_ds_VSI_BP*x_ds_VGP_SI+x_ds_VGP_SI*x_ds_VSI_BP+x_ds*x_ds_VSI_BP_VGP_SI)*(Em-(2.0*inv_Gf2))+((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em_VGP_SI-((2.0*inv_Gf2_VGP_SI)))+(((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI)))*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))+(x_ds*x_ds)*(+Em_VSI_BP_VGP_SI-(+0.0*inv_Gf2+0.0*inv_Gf2_VGP_SI+0.0*inv_Gf2_VSI_BP+2.0*inv_Gf2_VSI_BP_VGP_SI)))));
  Dm_VSI_BP_VSI_BP=(+D_bar_VSI_BP_VSI_BP+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-((2.0*inv_Gf2_VSI_BP))))))+0.0*((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))))+0.125*(+(+x_ds_VSI_BP_VSI_BP*x_ds+x_ds_VSI_BP*x_ds_VSI_BP+x_ds_VSI_BP*x_ds_VSI_BP+x_ds*x_ds_VSI_BP_VSI_BP)*(Em-(2.0*inv_Gf2))+((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em_VSI_BP-((2.0*inv_Gf2_VSI_BP)))+(((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP)))*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))+(x_ds*x_ds)*(+Em_VSI_BP_VSI_BP-(+0.0*inv_Gf2+0.0*inv_Gf2_VSI_BP+0.0*inv_Gf2_VSI_BP+2.0*inv_Gf2_VSI_BP_VSI_BP)))));
#endif
#endif
Dm=(D_bar+(0.125*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))));
EXIT_IF_ISNAN((D_bar+(0.125*((x_ds*x_ds)*(Em-(2.0*inv_Gf2))))))
if
((x_m<1.0e-5))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Pm_VDI_SI=(0.5*((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI)))))))));
#if defined(_DERIVATE2)
  Pm_VDI_SI_VDI_SI=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))))))))+0.0*((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))))+0.5*(+(+x_m_VDI_SI_VDI_SI*x_m+x_m_VDI_SI*x_m_VDI_SI+x_m_VDI_SI*x_m_VDI_SI+x_m*x_m_VDI_SI_VDI_SI)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI)))))))))+(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))+0.0*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))+3.3333333333333333e-01*(+x_m_VDI_SI_VDI_SI*(1.0-(0.25*x_m))+x_m_VDI_SI*(-((0.25*x_m_VDI_SI)))+x_m_VDI_SI*(-(0.25*x_m_VDI_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VDI_SI+0.25*x_m_VDI_SI_VDI_SI)))))));
  Pm_VDI_SI_VGP_SI=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))))))))+0.0*((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))))+0.5*(+(+x_m_VDI_SI_VGP_SI*x_m+x_m_VDI_SI*x_m_VGP_SI+x_m_VGP_SI*x_m_VDI_SI+x_m*x_m_VDI_SI_VGP_SI)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI)))))))))+(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))+0.0*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))+3.3333333333333333e-01*(+x_m_VDI_SI_VGP_SI*(1.0-(0.25*x_m))+x_m_VDI_SI*(-((0.25*x_m_VGP_SI)))+x_m_VGP_SI*(-(0.25*x_m_VDI_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VDI_SI+0.25*x_m_VDI_SI_VGP_SI)))))));
  Pm_VDI_SI_VSI_BP=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))))))))+0.0*((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))))+0.5*(+(+x_m_VDI_SI_VSI_BP*x_m+x_m_VDI_SI*x_m_VSI_BP+x_m_VSI_BP*x_m_VDI_SI+x_m*x_m_VDI_SI_VSI_BP)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP)))))))))+(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))+0.0*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))+3.3333333333333333e-01*(+x_m_VDI_SI_VSI_BP*(1.0-(0.25*x_m))+x_m_VDI_SI*(-((0.25*x_m_VSI_BP)))+x_m_VSI_BP*(-(0.25*x_m_VDI_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VDI_SI+0.25*x_m_VDI_SI_VSI_BP)))))));
#endif
Pm_VGP_SI=(0.5*((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI)))))))));
#if defined(_DERIVATE2)
  Pm_VGP_SI_VDI_SI=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))))))))+0.0*((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))))+0.5*(+(+x_m_VGP_SI_VDI_SI*x_m+x_m_VGP_SI*x_m_VDI_SI+x_m_VDI_SI*x_m_VGP_SI+x_m*x_m_VGP_SI_VDI_SI)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI)))))))))+(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))+0.0*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))+3.3333333333333333e-01*(+x_m_VGP_SI_VDI_SI*(1.0-(0.25*x_m))+x_m_VGP_SI*(-((0.25*x_m_VDI_SI)))+x_m_VDI_SI*(-(0.25*x_m_VGP_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VGP_SI+0.25*x_m_VGP_SI_VDI_SI)))))));
  Pm_VGP_SI_VGP_SI=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))))))))+0.0*((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))))+0.5*(+(+x_m_VGP_SI_VGP_SI*x_m+x_m_VGP_SI*x_m_VGP_SI+x_m_VGP_SI*x_m_VGP_SI+x_m*x_m_VGP_SI_VGP_SI)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI)))))))))+(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))+0.0*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))+3.3333333333333333e-01*(+x_m_VGP_SI_VGP_SI*(1.0-(0.25*x_m))+x_m_VGP_SI*(-((0.25*x_m_VGP_SI)))+x_m_VGP_SI*(-(0.25*x_m_VGP_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VGP_SI+0.25*x_m_VGP_SI_VGP_SI)))))));
  Pm_VGP_SI_VSI_BP=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))))))))+0.0*((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))))+0.5*(+(+x_m_VGP_SI_VSI_BP*x_m+x_m_VGP_SI*x_m_VSI_BP+x_m_VSI_BP*x_m_VGP_SI+x_m*x_m_VGP_SI_VSI_BP)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP)))))))))+(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))+0.0*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))+3.3333333333333333e-01*(+x_m_VGP_SI_VSI_BP*(1.0-(0.25*x_m))+x_m_VGP_SI*(-((0.25*x_m_VSI_BP)))+x_m_VSI_BP*(-(0.25*x_m_VGP_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VGP_SI+0.25*x_m_VGP_SI_VSI_BP)))))));
#endif
Pm_VSI_BP=(0.5*((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP)))))))));
#if defined(_DERIVATE2)
  Pm_VSI_BP_VDI_SI=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))))))))+0.0*((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))))+0.5*(+(+x_m_VSI_BP_VDI_SI*x_m+x_m_VSI_BP*x_m_VDI_SI+x_m_VDI_SI*x_m_VSI_BP+x_m*x_m_VSI_BP_VDI_SI)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI)))))))))+(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))+0.0*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))+3.3333333333333333e-01*(+x_m_VSI_BP_VDI_SI*(1.0-(0.25*x_m))+x_m_VSI_BP*(-((0.25*x_m_VDI_SI)))+x_m_VDI_SI*(-(0.25*x_m_VSI_BP))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VSI_BP+0.25*x_m_VSI_BP_VDI_SI)))))));
  Pm_VSI_BP_VGP_SI=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))))))))+0.0*((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))))+0.5*(+(+x_m_VSI_BP_VGP_SI*x_m+x_m_VSI_BP*x_m_VGP_SI+x_m_VGP_SI*x_m_VSI_BP+x_m*x_m_VSI_BP_VGP_SI)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI)))))))))+(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))+0.0*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))+3.3333333333333333e-01*(+x_m_VSI_BP_VGP_SI*(1.0-(0.25*x_m))+x_m_VSI_BP*(-((0.25*x_m_VGP_SI)))+x_m_VGP_SI*(-(0.25*x_m_VSI_BP))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VSI_BP+0.25*x_m_VSI_BP_VGP_SI)))))));
  Pm_VSI_BP_VSI_BP=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))))))))+0.0*((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))))+0.5*(+(+x_m_VSI_BP_VSI_BP*x_m+x_m_VSI_BP*x_m_VSI_BP+x_m_VSI_BP*x_m_VSI_BP+x_m*x_m_VSI_BP_VSI_BP)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP)))))))))+(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))+0.0*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))+3.3333333333333333e-01*(+x_m_VSI_BP_VSI_BP*(1.0-(0.25*x_m))+x_m_VSI_BP*(-((0.25*x_m_VSI_BP)))+x_m_VSI_BP*(-(0.25*x_m_VSI_BP))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VSI_BP+0.25*x_m_VSI_BP_VSI_BP)))))));
#endif
#endif
Pm=(0.5*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))));
EXIT_IF_ISNAN((0.5*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))))
{
double m00_sqrt(d00_sqrt0,(Dm+Pm))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(Dm+Pm))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgm_VDI_SI=((Gf_VDI_SI*d00_sqrt0)+(Gf*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VDI_SI_VDI_SI=(+Gf_VDI_SI_VDI_SI*d00_sqrt0+Gf_VDI_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VDI_SI+Pm_VDI_SI_VDI_SI)));
  xgm_VDI_SI_VGP_SI=(+Gf_VDI_SI_VGP_SI*d00_sqrt0+Gf_VDI_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VGP_SI+Pm_VDI_SI_VGP_SI)));
  xgm_VDI_SI_VSI_BP=(+Gf_VDI_SI_VSI_BP*d00_sqrt0+Gf_VDI_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VSI_BP+Pm_VDI_SI_VSI_BP)));
#endif
xgm_VGP_SI=((Gf_VGP_SI*d00_sqrt0)+(Gf*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VGP_SI_VDI_SI=(+Gf_VGP_SI_VDI_SI*d00_sqrt0+Gf_VGP_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VDI_SI+Pm_VGP_SI_VDI_SI)));
  xgm_VGP_SI_VGP_SI=(+Gf_VGP_SI_VGP_SI*d00_sqrt0+Gf_VGP_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VGP_SI+Pm_VGP_SI_VGP_SI)));
  xgm_VGP_SI_VSI_BP=(+Gf_VGP_SI_VSI_BP*d00_sqrt0+Gf_VGP_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VSI_BP+Pm_VGP_SI_VSI_BP)));
#endif
xgm_VSI_BP=((Gf_VSI_BP*d00_sqrt0)+(Gf*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VSI_BP_VDI_SI=(+Gf_VSI_BP_VDI_SI*d00_sqrt0+Gf_VSI_BP*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VDI_SI+Pm_VSI_BP_VDI_SI)));
  xgm_VSI_BP_VGP_SI=(+Gf_VSI_BP_VGP_SI*d00_sqrt0+Gf_VSI_BP*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VGP_SI+Pm_VSI_BP_VGP_SI)));
  xgm_VSI_BP_VSI_BP=(+Gf_VSI_BP_VSI_BP*d00_sqrt0+Gf_VSI_BP*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VSI_BP+Pm_VSI_BP_VSI_BP)));
#endif
#endif
xgm=(Gf*d00_sqrt0);
EXIT_IF_ISNAN((Gf*d00_sqrt0))
}
if
((pInst->kp>0.0))
{
{
double m00_sqrt(d00_sqrt0,(1.0+(pInst->kp*xgm)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+(pInst->kp*xgm)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
eta_p_VDI_SI=(-(pInst->kp*xgm_VDI_SI)*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  eta_p_VDI_SI_VDI_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VDI_SI))*(pInst->kp*xgm_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VDI_SI+pInst->kp*xgm_VDI_SI_VDI_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VDI_SI_VGP_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VGP_SI))*(pInst->kp*xgm_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VDI_SI+pInst->kp*xgm_VDI_SI_VGP_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VDI_SI_VSI_BP=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0+0.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VSI_BP))*(pInst->kp*xgm_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VDI_SI+pInst->kp*xgm_VDI_SI_VSI_BP))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
eta_p_VGP_SI=(-(pInst->kp*xgm_VGP_SI)*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  eta_p_VGP_SI_VDI_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VDI_SI))*(pInst->kp*xgm_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VGP_SI+pInst->kp*xgm_VGP_SI_VDI_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VGP_SI_VGP_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VGP_SI))*(pInst->kp*xgm_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VGP_SI+pInst->kp*xgm_VGP_SI_VGP_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VGP_SI_VSI_BP=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0+0.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VSI_BP))*(pInst->kp*xgm_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VGP_SI+pInst->kp*xgm_VGP_SI_VSI_BP))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
eta_p_VSI_BP=(-(pInst->kp*xgm_VSI_BP)*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  eta_p_VSI_BP_VDI_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VDI_SI))*(pInst->kp*xgm_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VSI_BP+pInst->kp*xgm_VSI_BP_VDI_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VSI_BP_VGP_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VGP_SI))*(pInst->kp*xgm_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VSI_BP+pInst->kp*xgm_VSI_BP_VGP_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VSI_BP_VSI_BP=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0+0.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VSI_BP))*(pInst->kp*xgm_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VSI_BP+pInst->kp*xgm_VSI_BP_VSI_BP))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
#endif
eta_p=(1.0/d00_sqrt0);
EXIT_IF_ISNAN((1.0/d00_sqrt0))
}
}
{
double m00_sqrt(d00_sqrt0,(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))*d10_sqrt0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI)))))))))*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))+0.0*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))+3.3333333333333333e-01*(+x_m_VGP_SI_VGP_SI*(1.0-(0.25*x_m))+x_m_VGP_SI*(-((0.25*x_m_VGP_SI)))+x_m_VGP_SI*(-(0.25*x_m_VGP_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VGP_SI+0.25*x_m_VGP_SI_VGP_SI))))));
  temp_VGP_SI_VDI_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI)))))))))*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))+0.0*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))+3.3333333333333333e-01*(+x_m_VGP_SI_VDI_SI*(1.0-(0.25*x_m))+x_m_VGP_SI*(-((0.25*x_m_VDI_SI)))+x_m_VDI_SI*(-(0.25*x_m_VGP_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VGP_SI+0.25*x_m_VGP_SI_VDI_SI))))));
  temp_VGP_SI_VSI_BP=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP)))))))))*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))+0.0*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))+3.3333333333333333e-01*(+x_m_VGP_SI_VSI_BP*(1.0-(0.25*x_m))+x_m_VGP_SI*(-((0.25*x_m_VSI_BP)))+x_m_VSI_BP*(-(0.25*x_m_VGP_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VGP_SI+0.25*x_m_VGP_SI_VSI_BP))))));
#endif
temp_VDI_SI=(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))*d10_sqrt0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI)))))))))*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))+0.0*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))+3.3333333333333333e-01*(+x_m_VDI_SI_VGP_SI*(1.0-(0.25*x_m))+x_m_VDI_SI*(-((0.25*x_m_VGP_SI)))+x_m_VGP_SI*(-(0.25*x_m_VDI_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VDI_SI+0.25*x_m_VDI_SI_VGP_SI))))));
  temp_VDI_SI_VDI_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI)))))))))*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))+0.0*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))+3.3333333333333333e-01*(+x_m_VDI_SI_VDI_SI*(1.0-(0.25*x_m))+x_m_VDI_SI*(-((0.25*x_m_VDI_SI)))+x_m_VDI_SI*(-(0.25*x_m_VDI_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VDI_SI+0.25*x_m_VDI_SI_VDI_SI))))));
  temp_VDI_SI_VSI_BP=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP)))))))))*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))+0.0*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))+3.3333333333333333e-01*(+x_m_VDI_SI_VSI_BP*(1.0-(0.25*x_m))+x_m_VDI_SI*(-((0.25*x_m_VSI_BP)))+x_m_VSI_BP*(-(0.25*x_m_VDI_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VDI_SI+0.25*x_m_VDI_SI_VSI_BP))))));
#endif
temp_VSI_BP=(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))*d10_sqrt0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI)))))))))*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))+0.0*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))+3.3333333333333333e-01*(+x_m_VSI_BP_VGP_SI*(1.0-(0.25*x_m))+x_m_VSI_BP*(-((0.25*x_m_VGP_SI)))+x_m_VGP_SI*(-(0.25*x_m_VSI_BP))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VSI_BP+0.25*x_m_VSI_BP_VGP_SI))))));
  temp_VSI_BP_VDI_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI)))))))))*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))+0.0*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))+3.3333333333333333e-01*(+x_m_VSI_BP_VDI_SI*(1.0-(0.25*x_m))+x_m_VSI_BP*(-((0.25*x_m_VDI_SI)))+x_m_VDI_SI*(-(0.25*x_m_VSI_BP))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VSI_BP+0.25*x_m_VSI_BP_VDI_SI))))));
  temp_VSI_BP_VSI_BP=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP)))))))))*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))+0.0*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))+3.3333333333333333e-01*(+x_m_VSI_BP_VSI_BP*(1.0-(0.25*x_m))+x_m_VSI_BP*(-((0.25*x_m_VSI_BP)))+x_m_VSI_BP*(-(0.25*x_m_VSI_BP))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VSI_BP+0.25*x_m_VSI_BP_VSI_BP))))));
#endif
#endif
temp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
sqm_VDI_SI=(7.0710678118654746e-01*((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI)));
#if defined(_DERIVATE2)
  sqm_VDI_SI_VDI_SI=(+0.0*(x_m*temp)+0.0*(((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI)))+0.0*((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI))+7.0710678118654746e-01*(+x_m_VDI_SI_VDI_SI*temp+x_m_VDI_SI*temp_VDI_SI+x_m_VDI_SI*temp_VDI_SI+x_m*temp_VDI_SI_VDI_SI));
  sqm_VDI_SI_VGP_SI=(+0.0*(x_m*temp)+0.0*(((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI)))+0.0*((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI))+7.0710678118654746e-01*(+x_m_VDI_SI_VGP_SI*temp+x_m_VDI_SI*temp_VGP_SI+x_m_VGP_SI*temp_VDI_SI+x_m*temp_VDI_SI_VGP_SI));
  sqm_VDI_SI_VSI_BP=(+0.0*(x_m*temp)+0.0*(((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP)))+0.0*((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI))+7.0710678118654746e-01*(+x_m_VDI_SI_VSI_BP*temp+x_m_VDI_SI*temp_VSI_BP+x_m_VSI_BP*temp_VDI_SI+x_m*temp_VDI_SI_VSI_BP));
#endif
sqm_VGP_SI=(7.0710678118654746e-01*((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI)));
#if defined(_DERIVATE2)
  sqm_VGP_SI_VDI_SI=(+0.0*(x_m*temp)+0.0*(((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI)))+0.0*((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI))+7.0710678118654746e-01*(+x_m_VGP_SI_VDI_SI*temp+x_m_VGP_SI*temp_VDI_SI+x_m_VDI_SI*temp_VGP_SI+x_m*temp_VGP_SI_VDI_SI));
  sqm_VGP_SI_VGP_SI=(+0.0*(x_m*temp)+0.0*(((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI)))+0.0*((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI))+7.0710678118654746e-01*(+x_m_VGP_SI_VGP_SI*temp+x_m_VGP_SI*temp_VGP_SI+x_m_VGP_SI*temp_VGP_SI+x_m*temp_VGP_SI_VGP_SI));
  sqm_VGP_SI_VSI_BP=(+0.0*(x_m*temp)+0.0*(((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP)))+0.0*((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI))+7.0710678118654746e-01*(+x_m_VGP_SI_VSI_BP*temp+x_m_VGP_SI*temp_VSI_BP+x_m_VSI_BP*temp_VGP_SI+x_m*temp_VGP_SI_VSI_BP));
#endif
sqm_VSI_BP=(7.0710678118654746e-01*((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP)));
#if defined(_DERIVATE2)
  sqm_VSI_BP_VDI_SI=(+0.0*(x_m*temp)+0.0*(((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI)))+0.0*((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP))+7.0710678118654746e-01*(+x_m_VSI_BP_VDI_SI*temp+x_m_VSI_BP*temp_VDI_SI+x_m_VDI_SI*temp_VSI_BP+x_m*temp_VSI_BP_VDI_SI));
  sqm_VSI_BP_VGP_SI=(+0.0*(x_m*temp)+0.0*(((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI)))+0.0*((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP))+7.0710678118654746e-01*(+x_m_VSI_BP_VGP_SI*temp+x_m_VSI_BP*temp_VGP_SI+x_m_VGP_SI*temp_VSI_BP+x_m*temp_VSI_BP_VGP_SI));
  sqm_VSI_BP_VSI_BP=(+0.0*(x_m*temp)+0.0*(((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP)))+0.0*((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP))+7.0710678118654746e-01*(+x_m_VSI_BP_VSI_BP*temp+x_m_VSI_BP*temp_VSI_BP+x_m_VSI_BP*temp_VSI_BP+x_m*temp_VSI_BP_VSI_BP));
#endif
#endif
sqm=(7.0710678118654746e-01*(x_m*temp));
EXIT_IF_ISNAN((7.0710678118654746e-01*(x_m*temp)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
alpha_VDI_SI=(eta_p_VDI_SI+(7.0710678118654746e-01*((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)));
#if defined(_DERIVATE2)
  alpha_VDI_SI_VDI_SI=(+eta_p_VDI_SI_VDI_SI+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)+0.0*((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)+7.0710678118654746e-01*((+Gf_VDI_SI_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VDI_SI*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))+Gf_VDI_SI*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VDI_SI+0.5*x_m_VDI_SI_VDI_SI))+(+0.0*(x_m*x_m)+0.0*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))+0.0*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))+1.6666666666666667e-01*(+x_m_VDI_SI_VDI_SI*x_m+x_m_VDI_SI*x_m_VDI_SI+x_m_VDI_SI*x_m_VDI_SI+x_m*x_m_VDI_SI_VDI_SI))))/temp-(((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp_VDI_SI+(((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))))))))*temp_VDI_SI+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI_VDI_SI)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI*temp_VDI_SI/temp/temp/temp)));
  alpha_VDI_SI_VGP_SI=(+eta_p_VDI_SI_VGP_SI+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)+0.0*((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)+7.0710678118654746e-01*((+Gf_VDI_SI_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VDI_SI*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))+Gf_VGP_SI*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VDI_SI+0.5*x_m_VDI_SI_VGP_SI))+(+0.0*(x_m*x_m)+0.0*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))+0.0*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))+1.6666666666666667e-01*(+x_m_VDI_SI_VGP_SI*x_m+x_m_VDI_SI*x_m_VGP_SI+x_m_VGP_SI*x_m_VDI_SI+x_m*x_m_VDI_SI_VGP_SI))))/temp-(((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp_VGP_SI+(((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))))))))*temp_VDI_SI+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI_VGP_SI)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI*temp_VGP_SI/temp/temp/temp)));
  alpha_VDI_SI_VSI_BP=(+eta_p_VDI_SI_VSI_BP+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)+0.0*((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)+7.0710678118654746e-01*((+Gf_VDI_SI_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VDI_SI*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))+Gf_VSI_BP*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VDI_SI+0.5*x_m_VDI_SI_VSI_BP))+(+0.0*(x_m*x_m)+0.0*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))+0.0*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))+1.6666666666666667e-01*(+x_m_VDI_SI_VSI_BP*x_m+x_m_VDI_SI*x_m_VSI_BP+x_m_VSI_BP*x_m_VDI_SI+x_m*x_m_VDI_SI_VSI_BP))))/temp-(((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp_VSI_BP+(((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))))))))*temp_VDI_SI+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI_VSI_BP)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI*temp_VSI_BP/temp/temp/temp)));
#endif
alpha_VGP_SI=(eta_p_VGP_SI+(7.0710678118654746e-01*((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)));
#if defined(_DERIVATE2)
  alpha_VGP_SI_VDI_SI=(+eta_p_VGP_SI_VDI_SI+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)+0.0*((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)+7.0710678118654746e-01*((+Gf_VGP_SI_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VGP_SI*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))+Gf_VDI_SI*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VGP_SI+0.5*x_m_VGP_SI_VDI_SI))+(+0.0*(x_m*x_m)+0.0*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))+0.0*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))+1.6666666666666667e-01*(+x_m_VGP_SI_VDI_SI*x_m+x_m_VGP_SI*x_m_VDI_SI+x_m_VDI_SI*x_m_VGP_SI+x_m*x_m_VGP_SI_VDI_SI))))/temp-(((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp_VDI_SI+(((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))))))))*temp_VGP_SI+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI_VDI_SI)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI*temp_VDI_SI/temp/temp/temp)));
  alpha_VGP_SI_VGP_SI=(+eta_p_VGP_SI_VGP_SI+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)+0.0*((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)+7.0710678118654746e-01*((+Gf_VGP_SI_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VGP_SI*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))+Gf_VGP_SI*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VGP_SI+0.5*x_m_VGP_SI_VGP_SI))+(+0.0*(x_m*x_m)+0.0*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))+0.0*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))+1.6666666666666667e-01*(+x_m_VGP_SI_VGP_SI*x_m+x_m_VGP_SI*x_m_VGP_SI+x_m_VGP_SI*x_m_VGP_SI+x_m*x_m_VGP_SI_VGP_SI))))/temp-(((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp_VGP_SI+(((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))))))))*temp_VGP_SI+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI_VGP_SI)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI*temp_VGP_SI/temp/temp/temp)));
  alpha_VGP_SI_VSI_BP=(+eta_p_VGP_SI_VSI_BP+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)+0.0*((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)+7.0710678118654746e-01*((+Gf_VGP_SI_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VGP_SI*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))+Gf_VSI_BP*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VGP_SI+0.5*x_m_VGP_SI_VSI_BP))+(+0.0*(x_m*x_m)+0.0*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))+0.0*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))+1.6666666666666667e-01*(+x_m_VGP_SI_VSI_BP*x_m+x_m_VGP_SI*x_m_VSI_BP+x_m_VSI_BP*x_m_VGP_SI+x_m*x_m_VGP_SI_VSI_BP))))/temp-(((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp_VSI_BP+(((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))))))))*temp_VGP_SI+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI_VSI_BP)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI*temp_VSI_BP/temp/temp/temp)));
#endif
alpha_VSI_BP=(eta_p_VSI_BP+(7.0710678118654746e-01*((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)));
#if defined(_DERIVATE2)
  alpha_VSI_BP_VDI_SI=(+eta_p_VSI_BP_VDI_SI+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)+0.0*((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)+7.0710678118654746e-01*((+Gf_VSI_BP_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VSI_BP*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))+Gf_VDI_SI*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VSI_BP+0.5*x_m_VSI_BP_VDI_SI))+(+0.0*(x_m*x_m)+0.0*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))+0.0*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))+1.6666666666666667e-01*(+x_m_VSI_BP_VDI_SI*x_m+x_m_VSI_BP*x_m_VDI_SI+x_m_VDI_SI*x_m_VSI_BP+x_m*x_m_VSI_BP_VDI_SI))))/temp-(((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp_VDI_SI+(((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))))))))*temp_VSI_BP+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP_VDI_SI)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP*temp_VDI_SI/temp/temp/temp)));
  alpha_VSI_BP_VGP_SI=(+eta_p_VSI_BP_VGP_SI+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)+0.0*((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)+7.0710678118654746e-01*((+Gf_VSI_BP_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VSI_BP*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))+Gf_VGP_SI*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VSI_BP+0.5*x_m_VSI_BP_VGP_SI))+(+0.0*(x_m*x_m)+0.0*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))+0.0*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))+1.6666666666666667e-01*(+x_m_VSI_BP_VGP_SI*x_m+x_m_VSI_BP*x_m_VGP_SI+x_m_VGP_SI*x_m_VSI_BP+x_m*x_m_VSI_BP_VGP_SI))))/temp-(((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp_VGP_SI+(((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))))))))*temp_VSI_BP+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP_VGP_SI)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP*temp_VGP_SI/temp/temp/temp)));
  alpha_VSI_BP_VSI_BP=(+eta_p_VSI_BP_VSI_BP+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)+0.0*((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)+7.0710678118654746e-01*((+Gf_VSI_BP_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VSI_BP*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))+Gf_VSI_BP*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VSI_BP+0.5*x_m_VSI_BP_VSI_BP))+(+0.0*(x_m*x_m)+0.0*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))+0.0*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))+1.6666666666666667e-01*(+x_m_VSI_BP_VSI_BP*x_m+x_m_VSI_BP*x_m_VSI_BP+x_m_VSI_BP*x_m_VSI_BP+x_m*x_m_VSI_BP_VSI_BP))))/temp-(((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp_VSI_BP+(((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))))))))*temp_VSI_BP+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP_VSI_BP)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP*temp_VSI_BP/temp/temp/temp)));
#endif
#endif
alpha=(eta_p+(7.0710678118654746e-01*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)));
EXIT_IF_ISNAN((eta_p+(7.0710678118654746e-01*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Pm_VDI_SI=(x_m_VDI_SI+Em_VDI_SI);
#if defined(_DERIVATE2)
  Pm_VDI_SI_VDI_SI=(+(+x_m_VDI_SI_VDI_SI-0.0)+Em_VDI_SI_VDI_SI);
  Pm_VDI_SI_VGP_SI=(+(+x_m_VDI_SI_VGP_SI-0.0)+Em_VDI_SI_VGP_SI);
  Pm_VDI_SI_VSI_BP=(+(+x_m_VDI_SI_VSI_BP-0.0)+Em_VDI_SI_VSI_BP);
#endif
Pm_VGP_SI=(x_m_VGP_SI+Em_VGP_SI);
#if defined(_DERIVATE2)
  Pm_VGP_SI_VDI_SI=(+(+x_m_VGP_SI_VDI_SI-0.0)+Em_VGP_SI_VDI_SI);
  Pm_VGP_SI_VGP_SI=(+(+x_m_VGP_SI_VGP_SI-0.0)+Em_VGP_SI_VGP_SI);
  Pm_VGP_SI_VSI_BP=(+(+x_m_VGP_SI_VSI_BP-0.0)+Em_VGP_SI_VSI_BP);
#endif
Pm_VSI_BP=(x_m_VSI_BP+Em_VSI_BP);
#if defined(_DERIVATE2)
  Pm_VSI_BP_VDI_SI=(+(+x_m_VSI_BP_VDI_SI-0.0)+Em_VSI_BP_VDI_SI);
  Pm_VSI_BP_VGP_SI=(+(+x_m_VSI_BP_VGP_SI-0.0)+Em_VSI_BP_VGP_SI);
  Pm_VSI_BP_VSI_BP=(+(+x_m_VSI_BP_VSI_BP-0.0)+Em_VSI_BP_VSI_BP);
#endif
#endif
Pm=((x_m-1.0)+Em);
EXIT_IF_ISNAN(((x_m-1.0)+Em))
{
double m00_sqrt(d00_sqrt0,(Dm+Pm))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(Dm+Pm))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgm_VDI_SI=((Gf_VDI_SI*d00_sqrt0)+(Gf*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VDI_SI_VDI_SI=(+Gf_VDI_SI_VDI_SI*d00_sqrt0+Gf_VDI_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VDI_SI+Pm_VDI_SI_VDI_SI)));
  xgm_VDI_SI_VGP_SI=(+Gf_VDI_SI_VGP_SI*d00_sqrt0+Gf_VDI_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VGP_SI+Pm_VDI_SI_VGP_SI)));
  xgm_VDI_SI_VSI_BP=(+Gf_VDI_SI_VSI_BP*d00_sqrt0+Gf_VDI_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VSI_BP+Pm_VDI_SI_VSI_BP)));
#endif
xgm_VGP_SI=((Gf_VGP_SI*d00_sqrt0)+(Gf*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VGP_SI_VDI_SI=(+Gf_VGP_SI_VDI_SI*d00_sqrt0+Gf_VGP_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VDI_SI+Pm_VGP_SI_VDI_SI)));
  xgm_VGP_SI_VGP_SI=(+Gf_VGP_SI_VGP_SI*d00_sqrt0+Gf_VGP_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VGP_SI+Pm_VGP_SI_VGP_SI)));
  xgm_VGP_SI_VSI_BP=(+Gf_VGP_SI_VSI_BP*d00_sqrt0+Gf_VGP_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VSI_BP+Pm_VGP_SI_VSI_BP)));
#endif
xgm_VSI_BP=((Gf_VSI_BP*d00_sqrt0)+(Gf*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VSI_BP_VDI_SI=(+Gf_VSI_BP_VDI_SI*d00_sqrt0+Gf_VSI_BP*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VDI_SI+Pm_VSI_BP_VDI_SI)));
  xgm_VSI_BP_VGP_SI=(+Gf_VSI_BP_VGP_SI*d00_sqrt0+Gf_VSI_BP*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VGP_SI+Pm_VSI_BP_VGP_SI)));
  xgm_VSI_BP_VSI_BP=(+Gf_VSI_BP_VSI_BP*d00_sqrt0+Gf_VSI_BP*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VSI_BP+Pm_VSI_BP_VSI_BP)));
#endif
#endif
xgm=(Gf*d00_sqrt0);
EXIT_IF_ISNAN((Gf*d00_sqrt0))
}
if
((pInst->kp>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
d0_VDI_SI=((-Em_VDI_SI)+(2.0*((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI))));
#if defined(_DERIVATE2)
  d0_VDI_SI_VDI_SI=(+(+0.0-Em_VDI_SI_VDI_SI)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI)))+0.0*((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI))+2.0*(+xgm_VDI_SI_VDI_SI*inv_Gf2+xgm_VDI_SI*inv_Gf2_VDI_SI+xgm_VDI_SI*inv_Gf2_VDI_SI+xgm*inv_Gf2_VDI_SI_VDI_SI)));
  d0_VDI_SI_VGP_SI=(+(+0.0-Em_VDI_SI_VGP_SI)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI)))+0.0*((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI))+2.0*(+xgm_VDI_SI_VGP_SI*inv_Gf2+xgm_VDI_SI*inv_Gf2_VGP_SI+xgm_VGP_SI*inv_Gf2_VDI_SI+xgm*inv_Gf2_VDI_SI_VGP_SI)));
  d0_VDI_SI_VSI_BP=(+(+0.0-Em_VDI_SI_VSI_BP)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP)))+0.0*((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI))+2.0*(+xgm_VDI_SI_VSI_BP*inv_Gf2+xgm_VDI_SI*inv_Gf2_VSI_BP+xgm_VSI_BP*inv_Gf2_VDI_SI+xgm*inv_Gf2_VDI_SI_VSI_BP)));
#endif
d0_VGP_SI=((-Em_VGP_SI)+(2.0*((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI))));
#if defined(_DERIVATE2)
  d0_VGP_SI_VDI_SI=(+(+0.0-Em_VGP_SI_VDI_SI)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI)))+0.0*((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI))+2.0*(+xgm_VGP_SI_VDI_SI*inv_Gf2+xgm_VGP_SI*inv_Gf2_VDI_SI+xgm_VDI_SI*inv_Gf2_VGP_SI+xgm*inv_Gf2_VGP_SI_VDI_SI)));
  d0_VGP_SI_VGP_SI=(+(+0.0-Em_VGP_SI_VGP_SI)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI)))+0.0*((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI))+2.0*(+xgm_VGP_SI_VGP_SI*inv_Gf2+xgm_VGP_SI*inv_Gf2_VGP_SI+xgm_VGP_SI*inv_Gf2_VGP_SI+xgm*inv_Gf2_VGP_SI_VGP_SI)));
  d0_VGP_SI_VSI_BP=(+(+0.0-Em_VGP_SI_VSI_BP)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP)))+0.0*((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI))+2.0*(+xgm_VGP_SI_VSI_BP*inv_Gf2+xgm_VGP_SI*inv_Gf2_VSI_BP+xgm_VSI_BP*inv_Gf2_VGP_SI+xgm*inv_Gf2_VGP_SI_VSI_BP)));
#endif
d0_VSI_BP=((-Em_VSI_BP)+(2.0*((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP))));
#if defined(_DERIVATE2)
  d0_VSI_BP_VDI_SI=(+(+0.0-Em_VSI_BP_VDI_SI)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI)))+0.0*((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP))+2.0*(+xgm_VSI_BP_VDI_SI*inv_Gf2+xgm_VSI_BP*inv_Gf2_VDI_SI+xgm_VDI_SI*inv_Gf2_VSI_BP+xgm*inv_Gf2_VSI_BP_VDI_SI)));
  d0_VSI_BP_VGP_SI=(+(+0.0-Em_VSI_BP_VGP_SI)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI)))+0.0*((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP))+2.0*(+xgm_VSI_BP_VGP_SI*inv_Gf2+xgm_VSI_BP*inv_Gf2_VGP_SI+xgm_VGP_SI*inv_Gf2_VSI_BP+xgm*inv_Gf2_VSI_BP_VGP_SI)));
  d0_VSI_BP_VSI_BP=(+(+0.0-Em_VSI_BP_VSI_BP)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP)))+0.0*((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP))+2.0*(+xgm_VSI_BP_VSI_BP*inv_Gf2+xgm_VSI_BP*inv_Gf2_VSI_BP+xgm_VSI_BP*inv_Gf2_VSI_BP+xgm*inv_Gf2_VSI_BP_VSI_BP)));
#endif
#endif
d0=((1.0-Em)+(2.0*(xgm*inv_Gf2)));
EXIT_IF_ISNAN(((1.0-Em)+(2.0*(xgm*inv_Gf2))))
{
double m00_sqrt(d00_sqrt0,(1.0+(pInst->kp*xgm)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+(pInst->kp*xgm)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
eta_p_VDI_SI=(-(pInst->kp*xgm_VDI_SI)*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  eta_p_VDI_SI_VDI_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VDI_SI))*(pInst->kp*xgm_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VDI_SI+pInst->kp*xgm_VDI_SI_VDI_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VDI_SI_VGP_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VGP_SI))*(pInst->kp*xgm_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VDI_SI+pInst->kp*xgm_VDI_SI_VGP_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VDI_SI_VSI_BP=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0+0.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VSI_BP))*(pInst->kp*xgm_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VDI_SI+pInst->kp*xgm_VDI_SI_VSI_BP))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
eta_p_VGP_SI=(-(pInst->kp*xgm_VGP_SI)*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  eta_p_VGP_SI_VDI_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VDI_SI))*(pInst->kp*xgm_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VGP_SI+pInst->kp*xgm_VGP_SI_VDI_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VGP_SI_VGP_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VGP_SI))*(pInst->kp*xgm_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VGP_SI+pInst->kp*xgm_VGP_SI_VGP_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VGP_SI_VSI_BP=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0+0.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VSI_BP))*(pInst->kp*xgm_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VGP_SI+pInst->kp*xgm_VGP_SI_VSI_BP))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
eta_p_VSI_BP=(-(pInst->kp*xgm_VSI_BP)*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  eta_p_VSI_BP_VDI_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VDI_SI))*(pInst->kp*xgm_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VSI_BP+pInst->kp*xgm_VSI_BP_VDI_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VSI_BP_VGP_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VGP_SI))*(pInst->kp*xgm_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VSI_BP+pInst->kp*xgm_VSI_BP_VGP_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VSI_BP_VSI_BP=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0+0.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VSI_BP))*(pInst->kp*xgm_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VSI_BP+pInst->kp*xgm_VSI_BP_VSI_BP))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
#endif
eta_p=(1.0/d00_sqrt0);
EXIT_IF_ISNAN((1.0/d00_sqrt0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=((eta_p_VGP_SI*(eta_p+1.0)-eta_p*eta_p_VGP_SI)/(eta_p+1.0)/(eta_p+1.0));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(eta_p_VGP_SI_VGP_SI/(eta_p+1.0)-(eta_p_VGP_SI*eta_p_VGP_SI+eta_p_VGP_SI*eta_p_VGP_SI+eta_p*(+eta_p_VGP_SI_VGP_SI+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VGP_SI*eta_p_VGP_SI/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
  temp_VGP_SI_VDI_SI=(eta_p_VGP_SI_VDI_SI/(eta_p+1.0)-(eta_p_VGP_SI*eta_p_VDI_SI+eta_p_VDI_SI*eta_p_VGP_SI+eta_p*(+eta_p_VGP_SI_VDI_SI+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VGP_SI*eta_p_VDI_SI/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
  temp_VGP_SI_VSI_BP=(eta_p_VGP_SI_VSI_BP/(eta_p+1.0)-(eta_p_VGP_SI*eta_p_VSI_BP+eta_p_VSI_BP*eta_p_VGP_SI+eta_p*(+eta_p_VGP_SI_VSI_BP+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VGP_SI*eta_p_VSI_BP/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
#endif
temp_VDI_SI=((eta_p_VDI_SI*(eta_p+1.0)-eta_p*eta_p_VDI_SI)/(eta_p+1.0)/(eta_p+1.0));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(eta_p_VDI_SI_VGP_SI/(eta_p+1.0)-(eta_p_VDI_SI*eta_p_VGP_SI+eta_p_VGP_SI*eta_p_VDI_SI+eta_p*(+eta_p_VDI_SI_VGP_SI+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VDI_SI*eta_p_VGP_SI/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
  temp_VDI_SI_VDI_SI=(eta_p_VDI_SI_VDI_SI/(eta_p+1.0)-(eta_p_VDI_SI*eta_p_VDI_SI+eta_p_VDI_SI*eta_p_VDI_SI+eta_p*(+eta_p_VDI_SI_VDI_SI+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VDI_SI*eta_p_VDI_SI/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
  temp_VDI_SI_VSI_BP=(eta_p_VDI_SI_VSI_BP/(eta_p+1.0)-(eta_p_VDI_SI*eta_p_VSI_BP+eta_p_VSI_BP*eta_p_VDI_SI+eta_p*(+eta_p_VDI_SI_VSI_BP+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VDI_SI*eta_p_VSI_BP/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
#endif
temp_VSI_BP=((eta_p_VSI_BP*(eta_p+1.0)-eta_p*eta_p_VSI_BP)/(eta_p+1.0)/(eta_p+1.0));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(eta_p_VSI_BP_VGP_SI/(eta_p+1.0)-(eta_p_VSI_BP*eta_p_VGP_SI+eta_p_VGP_SI*eta_p_VSI_BP+eta_p*(+eta_p_VSI_BP_VGP_SI+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VSI_BP*eta_p_VGP_SI/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
  temp_VSI_BP_VDI_SI=(eta_p_VSI_BP_VDI_SI/(eta_p+1.0)-(eta_p_VSI_BP*eta_p_VDI_SI+eta_p_VDI_SI*eta_p_VSI_BP+eta_p*(+eta_p_VSI_BP_VDI_SI+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VSI_BP*eta_p_VDI_SI/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
  temp_VSI_BP_VSI_BP=(eta_p_VSI_BP_VSI_BP/(eta_p+1.0)-(eta_p_VSI_BP*eta_p_VSI_BP+eta_p_VSI_BP*eta_p_VSI_BP+eta_p*(+eta_p_VSI_BP_VSI_BP+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VSI_BP*eta_p_VSI_BP/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
#endif
#endif
temp=(eta_p/(eta_p+1.0));
EXIT_IF_ISNAN((eta_p/(eta_p+1.0)))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_pm_VGP_SI=(pInst->kp*((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI)));
#if defined(_DERIVATE2)
  x_pm_VGP_SI_VGP_SI=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2)+((temp*temp)*Gf2_VGP_SI)))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI)))+0.0*((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI))+pInst->kp*(+(+(+temp_VGP_SI_VGP_SI*temp+temp_VGP_SI*temp_VGP_SI+temp_VGP_SI*temp_VGP_SI+temp*temp_VGP_SI_VGP_SI)*Gf2+((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2_VGP_SI+(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2_VGP_SI+(temp*temp)*Gf2_VGP_SI_VGP_SI)*Dm+((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm_VGP_SI+((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2)+((temp*temp)*Gf2_VGP_SI)))*Dm_VGP_SI+((temp*temp)*Gf2)*Dm_VGP_SI_VGP_SI));
  x_pm_VGP_SI_VDI_SI=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2)+((temp*temp)*Gf2_VDI_SI)))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI)))+0.0*((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI))+pInst->kp*(+(+(+temp_VGP_SI_VDI_SI*temp+temp_VGP_SI*temp_VDI_SI+temp_VDI_SI*temp_VGP_SI+temp*temp_VGP_SI_VDI_SI)*Gf2+((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2_VDI_SI+(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2_VGP_SI+(temp*temp)*Gf2_VGP_SI_VDI_SI)*Dm+((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm_VDI_SI+((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2)+((temp*temp)*Gf2_VDI_SI)))*Dm_VGP_SI+((temp*temp)*Gf2)*Dm_VGP_SI_VDI_SI));
  x_pm_VGP_SI_VSI_BP=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2)+((temp*temp)*Gf2_VSI_BP)))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP)))+0.0*((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI))+pInst->kp*(+(+(+temp_VGP_SI_VSI_BP*temp+temp_VGP_SI*temp_VSI_BP+temp_VSI_BP*temp_VGP_SI+temp*temp_VGP_SI_VSI_BP)*Gf2+((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2_VSI_BP+(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2_VGP_SI+(temp*temp)*Gf2_VGP_SI_VSI_BP)*Dm+((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm_VSI_BP+((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2)+((temp*temp)*Gf2_VSI_BP)))*Dm_VGP_SI+((temp*temp)*Gf2)*Dm_VGP_SI_VSI_BP));
#endif
x_pm_VDI_SI=(pInst->kp*((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI)));
#if defined(_DERIVATE2)
  x_pm_VDI_SI_VGP_SI=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2)+((temp*temp)*Gf2_VGP_SI)))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI)))+0.0*((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI))+pInst->kp*(+(+(+temp_VDI_SI_VGP_SI*temp+temp_VDI_SI*temp_VGP_SI+temp_VGP_SI*temp_VDI_SI+temp*temp_VDI_SI_VGP_SI)*Gf2+((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2_VGP_SI+(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2_VDI_SI+(temp*temp)*Gf2_VDI_SI_VGP_SI)*Dm+((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm_VGP_SI+((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2)+((temp*temp)*Gf2_VGP_SI)))*Dm_VDI_SI+((temp*temp)*Gf2)*Dm_VDI_SI_VGP_SI));
  x_pm_VDI_SI_VDI_SI=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2)+((temp*temp)*Gf2_VDI_SI)))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI)))+0.0*((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI))+pInst->kp*(+(+(+temp_VDI_SI_VDI_SI*temp+temp_VDI_SI*temp_VDI_SI+temp_VDI_SI*temp_VDI_SI+temp*temp_VDI_SI_VDI_SI)*Gf2+((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2_VDI_SI+(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2_VDI_SI+(temp*temp)*Gf2_VDI_SI_VDI_SI)*Dm+((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm_VDI_SI+((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2)+((temp*temp)*Gf2_VDI_SI)))*Dm_VDI_SI+((temp*temp)*Gf2)*Dm_VDI_SI_VDI_SI));
  x_pm_VDI_SI_VSI_BP=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2)+((temp*temp)*Gf2_VSI_BP)))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP)))+0.0*((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI))+pInst->kp*(+(+(+temp_VDI_SI_VSI_BP*temp+temp_VDI_SI*temp_VSI_BP+temp_VSI_BP*temp_VDI_SI+temp*temp_VDI_SI_VSI_BP)*Gf2+((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2_VSI_BP+(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2_VDI_SI+(temp*temp)*Gf2_VDI_SI_VSI_BP)*Dm+((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm_VSI_BP+((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2)+((temp*temp)*Gf2_VSI_BP)))*Dm_VDI_SI+((temp*temp)*Gf2)*Dm_VDI_SI_VSI_BP));
#endif
x_pm_VSI_BP=(pInst->kp*((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP)));
#if defined(_DERIVATE2)
  x_pm_VSI_BP_VGP_SI=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2)+((temp*temp)*Gf2_VGP_SI)))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI)))+0.0*((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP))+pInst->kp*(+(+(+temp_VSI_BP_VGP_SI*temp+temp_VSI_BP*temp_VGP_SI+temp_VGP_SI*temp_VSI_BP+temp*temp_VSI_BP_VGP_SI)*Gf2+((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2_VGP_SI+(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2_VSI_BP+(temp*temp)*Gf2_VSI_BP_VGP_SI)*Dm+((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm_VGP_SI+((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2)+((temp*temp)*Gf2_VGP_SI)))*Dm_VSI_BP+((temp*temp)*Gf2)*Dm_VSI_BP_VGP_SI));
  x_pm_VSI_BP_VDI_SI=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2)+((temp*temp)*Gf2_VDI_SI)))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI)))+0.0*((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP))+pInst->kp*(+(+(+temp_VSI_BP_VDI_SI*temp+temp_VSI_BP*temp_VDI_SI+temp_VDI_SI*temp_VSI_BP+temp*temp_VSI_BP_VDI_SI)*Gf2+((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2_VDI_SI+(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2_VSI_BP+(temp*temp)*Gf2_VSI_BP_VDI_SI)*Dm+((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm_VDI_SI+((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2)+((temp*temp)*Gf2_VDI_SI)))*Dm_VSI_BP+((temp*temp)*Gf2)*Dm_VSI_BP_VDI_SI));
  x_pm_VSI_BP_VSI_BP=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2)+((temp*temp)*Gf2_VSI_BP)))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP)))+0.0*((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP))+pInst->kp*(+(+(+temp_VSI_BP_VSI_BP*temp+temp_VSI_BP*temp_VSI_BP+temp_VSI_BP*temp_VSI_BP+temp*temp_VSI_BP_VSI_BP)*Gf2+((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2_VSI_BP+(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2_VSI_BP+(temp*temp)*Gf2_VSI_BP_VSI_BP)*Dm+((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm_VSI_BP+((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2)+((temp*temp)*Gf2_VSI_BP)))*Dm_VSI_BP+((temp*temp)*Gf2)*Dm_VSI_BP_VSI_BP));
#endif
#endif
x_pm=(pInst->kp*(((temp*temp)*Gf2)*Dm));
EXIT_IF_ISNAN((pInst->kp*(((temp*temp)*Gf2)*Dm)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
p_pd_VDI_SI=((2.0*(xgm_VDI_SI-x_pm_VDI_SI))+((Gf2_VDI_SI*((1.0-Em)+Dm))+(Gf2*((-Em_VDI_SI)+Dm_VDI_SI))));
#if defined(_DERIVATE2)
  p_pd_VDI_SI_VDI_SI=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VDI_SI-x_pm_VDI_SI)+0.0*(xgm_VDI_SI-x_pm_VDI_SI)+2.0*(+xgm_VDI_SI_VDI_SI-x_pm_VDI_SI_VDI_SI))+(+Gf2_VDI_SI_VDI_SI*((1.0-Em)+Dm)+Gf2_VDI_SI*((-Em_VDI_SI)+Dm_VDI_SI)+Gf2_VDI_SI*((-Em_VDI_SI)+Dm_VDI_SI)+Gf2*(+(+0.0-Em_VDI_SI_VDI_SI)+Dm_VDI_SI_VDI_SI)));
  p_pd_VDI_SI_VGP_SI=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VGP_SI-x_pm_VGP_SI)+0.0*(xgm_VDI_SI-x_pm_VDI_SI)+2.0*(+xgm_VDI_SI_VGP_SI-x_pm_VDI_SI_VGP_SI))+(+Gf2_VDI_SI_VGP_SI*((1.0-Em)+Dm)+Gf2_VDI_SI*((-Em_VGP_SI)+Dm_VGP_SI)+Gf2_VGP_SI*((-Em_VDI_SI)+Dm_VDI_SI)+Gf2*(+(+0.0-Em_VDI_SI_VGP_SI)+Dm_VDI_SI_VGP_SI)));
  p_pd_VDI_SI_VSI_BP=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VSI_BP-x_pm_VSI_BP)+0.0*(xgm_VDI_SI-x_pm_VDI_SI)+2.0*(+xgm_VDI_SI_VSI_BP-x_pm_VDI_SI_VSI_BP))+(+Gf2_VDI_SI_VSI_BP*((1.0-Em)+Dm)+Gf2_VDI_SI*((-Em_VSI_BP)+Dm_VSI_BP)+Gf2_VSI_BP*((-Em_VDI_SI)+Dm_VDI_SI)+Gf2*(+(+0.0-Em_VDI_SI_VSI_BP)+Dm_VDI_SI_VSI_BP)));
#endif
p_pd_VGP_SI=((2.0*(xgm_VGP_SI-x_pm_VGP_SI))+((Gf2_VGP_SI*((1.0-Em)+Dm))+(Gf2*((-Em_VGP_SI)+Dm_VGP_SI))));
#if defined(_DERIVATE2)
  p_pd_VGP_SI_VDI_SI=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VDI_SI-x_pm_VDI_SI)+0.0*(xgm_VGP_SI-x_pm_VGP_SI)+2.0*(+xgm_VGP_SI_VDI_SI-x_pm_VGP_SI_VDI_SI))+(+Gf2_VGP_SI_VDI_SI*((1.0-Em)+Dm)+Gf2_VGP_SI*((-Em_VDI_SI)+Dm_VDI_SI)+Gf2_VDI_SI*((-Em_VGP_SI)+Dm_VGP_SI)+Gf2*(+(+0.0-Em_VGP_SI_VDI_SI)+Dm_VGP_SI_VDI_SI)));
  p_pd_VGP_SI_VGP_SI=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VGP_SI-x_pm_VGP_SI)+0.0*(xgm_VGP_SI-x_pm_VGP_SI)+2.0*(+xgm_VGP_SI_VGP_SI-x_pm_VGP_SI_VGP_SI))+(+Gf2_VGP_SI_VGP_SI*((1.0-Em)+Dm)+Gf2_VGP_SI*((-Em_VGP_SI)+Dm_VGP_SI)+Gf2_VGP_SI*((-Em_VGP_SI)+Dm_VGP_SI)+Gf2*(+(+0.0-Em_VGP_SI_VGP_SI)+Dm_VGP_SI_VGP_SI)));
  p_pd_VGP_SI_VSI_BP=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VSI_BP-x_pm_VSI_BP)+0.0*(xgm_VGP_SI-x_pm_VGP_SI)+2.0*(+xgm_VGP_SI_VSI_BP-x_pm_VGP_SI_VSI_BP))+(+Gf2_VGP_SI_VSI_BP*((1.0-Em)+Dm)+Gf2_VGP_SI*((-Em_VSI_BP)+Dm_VSI_BP)+Gf2_VSI_BP*((-Em_VGP_SI)+Dm_VGP_SI)+Gf2*(+(+0.0-Em_VGP_SI_VSI_BP)+Dm_VGP_SI_VSI_BP)));
#endif
p_pd_VSI_BP=((2.0*(xgm_VSI_BP-x_pm_VSI_BP))+((Gf2_VSI_BP*((1.0-Em)+Dm))+(Gf2*((-Em_VSI_BP)+Dm_VSI_BP))));
#if defined(_DERIVATE2)
  p_pd_VSI_BP_VDI_SI=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VDI_SI-x_pm_VDI_SI)+0.0*(xgm_VSI_BP-x_pm_VSI_BP)+2.0*(+xgm_VSI_BP_VDI_SI-x_pm_VSI_BP_VDI_SI))+(+Gf2_VSI_BP_VDI_SI*((1.0-Em)+Dm)+Gf2_VSI_BP*((-Em_VDI_SI)+Dm_VDI_SI)+Gf2_VDI_SI*((-Em_VSI_BP)+Dm_VSI_BP)+Gf2*(+(+0.0-Em_VSI_BP_VDI_SI)+Dm_VSI_BP_VDI_SI)));
  p_pd_VSI_BP_VGP_SI=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VGP_SI-x_pm_VGP_SI)+0.0*(xgm_VSI_BP-x_pm_VSI_BP)+2.0*(+xgm_VSI_BP_VGP_SI-x_pm_VSI_BP_VGP_SI))+(+Gf2_VSI_BP_VGP_SI*((1.0-Em)+Dm)+Gf2_VSI_BP*((-Em_VGP_SI)+Dm_VGP_SI)+Gf2_VGP_SI*((-Em_VSI_BP)+Dm_VSI_BP)+Gf2*(+(+0.0-Em_VSI_BP_VGP_SI)+Dm_VSI_BP_VGP_SI)));
  p_pd_VSI_BP_VSI_BP=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VSI_BP-x_pm_VSI_BP)+0.0*(xgm_VSI_BP-x_pm_VSI_BP)+2.0*(+xgm_VSI_BP_VSI_BP-x_pm_VSI_BP_VSI_BP))+(+Gf2_VSI_BP_VSI_BP*((1.0-Em)+Dm)+Gf2_VSI_BP*((-Em_VSI_BP)+Dm_VSI_BP)+Gf2_VSI_BP*((-Em_VSI_BP)+Dm_VSI_BP)+Gf2*(+(+0.0-Em_VSI_BP_VSI_BP)+Dm_VSI_BP_VSI_BP)));
#endif
#endif
p_pd=((2.0*(xgm-x_pm))+(Gf2*((1.0-Em)+Dm)));
EXIT_IF_ISNAN(((2.0*(xgm-x_pm))+(Gf2*((1.0-Em)+Dm))))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
q_pd_VGP_SI=((x_pm_VGP_SI*(x_pm-(2.0*xgm)))+(x_pm*(x_pm_VGP_SI-(2.0*xgm_VGP_SI))));
#if defined(_DERIVATE2)
  q_pd_VGP_SI_VGP_SI=(+x_pm_VGP_SI_VGP_SI*(x_pm-(2.0*xgm))+x_pm_VGP_SI*(x_pm_VGP_SI-((2.0*xgm_VGP_SI)))+x_pm_VGP_SI*(x_pm_VGP_SI-(2.0*xgm_VGP_SI))+x_pm*(+x_pm_VGP_SI_VGP_SI-(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VGP_SI+2.0*xgm_VGP_SI_VGP_SI)));
  q_pd_VGP_SI_VDI_SI=(+x_pm_VGP_SI_VDI_SI*(x_pm-(2.0*xgm))+x_pm_VGP_SI*(x_pm_VDI_SI-((2.0*xgm_VDI_SI)))+x_pm_VDI_SI*(x_pm_VGP_SI-(2.0*xgm_VGP_SI))+x_pm*(+x_pm_VGP_SI_VDI_SI-(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VGP_SI+2.0*xgm_VGP_SI_VDI_SI)));
  q_pd_VGP_SI_VSI_BP=(+x_pm_VGP_SI_VSI_BP*(x_pm-(2.0*xgm))+x_pm_VGP_SI*(x_pm_VSI_BP-((2.0*xgm_VSI_BP)))+x_pm_VSI_BP*(x_pm_VGP_SI-(2.0*xgm_VGP_SI))+x_pm*(+x_pm_VGP_SI_VSI_BP-(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VGP_SI+2.0*xgm_VGP_SI_VSI_BP)));
#endif
q_pd_VDI_SI=((x_pm_VDI_SI*(x_pm-(2.0*xgm)))+(x_pm*(x_pm_VDI_SI-(2.0*xgm_VDI_SI))));
#if defined(_DERIVATE2)
  q_pd_VDI_SI_VGP_SI=(+x_pm_VDI_SI_VGP_SI*(x_pm-(2.0*xgm))+x_pm_VDI_SI*(x_pm_VGP_SI-((2.0*xgm_VGP_SI)))+x_pm_VGP_SI*(x_pm_VDI_SI-(2.0*xgm_VDI_SI))+x_pm*(+x_pm_VDI_SI_VGP_SI-(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VDI_SI+2.0*xgm_VDI_SI_VGP_SI)));
  q_pd_VDI_SI_VDI_SI=(+x_pm_VDI_SI_VDI_SI*(x_pm-(2.0*xgm))+x_pm_VDI_SI*(x_pm_VDI_SI-((2.0*xgm_VDI_SI)))+x_pm_VDI_SI*(x_pm_VDI_SI-(2.0*xgm_VDI_SI))+x_pm*(+x_pm_VDI_SI_VDI_SI-(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VDI_SI+2.0*xgm_VDI_SI_VDI_SI)));
  q_pd_VDI_SI_VSI_BP=(+x_pm_VDI_SI_VSI_BP*(x_pm-(2.0*xgm))+x_pm_VDI_SI*(x_pm_VSI_BP-((2.0*xgm_VSI_BP)))+x_pm_VSI_BP*(x_pm_VDI_SI-(2.0*xgm_VDI_SI))+x_pm*(+x_pm_VDI_SI_VSI_BP-(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VDI_SI+2.0*xgm_VDI_SI_VSI_BP)));
#endif
q_pd_VSI_BP=((x_pm_VSI_BP*(x_pm-(2.0*xgm)))+(x_pm*(x_pm_VSI_BP-(2.0*xgm_VSI_BP))));
#if defined(_DERIVATE2)
  q_pd_VSI_BP_VGP_SI=(+x_pm_VSI_BP_VGP_SI*(x_pm-(2.0*xgm))+x_pm_VSI_BP*(x_pm_VGP_SI-((2.0*xgm_VGP_SI)))+x_pm_VGP_SI*(x_pm_VSI_BP-(2.0*xgm_VSI_BP))+x_pm*(+x_pm_VSI_BP_VGP_SI-(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VSI_BP+2.0*xgm_VSI_BP_VGP_SI)));
  q_pd_VSI_BP_VDI_SI=(+x_pm_VSI_BP_VDI_SI*(x_pm-(2.0*xgm))+x_pm_VSI_BP*(x_pm_VDI_SI-((2.0*xgm_VDI_SI)))+x_pm_VDI_SI*(x_pm_VSI_BP-(2.0*xgm_VSI_BP))+x_pm*(+x_pm_VSI_BP_VDI_SI-(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VSI_BP+2.0*xgm_VSI_BP_VDI_SI)));
  q_pd_VSI_BP_VSI_BP=(+x_pm_VSI_BP_VSI_BP*(x_pm-(2.0*xgm))+x_pm_VSI_BP*(x_pm_VSI_BP-((2.0*xgm_VSI_BP)))+x_pm_VSI_BP*(x_pm_VSI_BP-(2.0*xgm_VSI_BP))+x_pm*(+x_pm_VSI_BP_VSI_BP-(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VSI_BP+2.0*xgm_VSI_BP_VSI_BP)));
#endif
#endif
q_pd=(x_pm*(x_pm-(2.0*xgm)));
EXIT_IF_ISNAN((x_pm*(x_pm-(2.0*xgm))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xi_pd_VDI_SI=(-(0.5*((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI)))));
#if defined(_DERIVATE2)
  xi_pd_VDI_SI_VDI_SI=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI))))+0.0*((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI)))+0.5*(+Gf2_VDI_SI_VDI_SI*(Em+Dm)+Gf2_VDI_SI*(Em_VDI_SI+Dm_VDI_SI)+Gf2_VDI_SI*(Em_VDI_SI+Dm_VDI_SI)+Gf2*(+Em_VDI_SI_VDI_SI+Dm_VDI_SI_VDI_SI))));
  xi_pd_VDI_SI_VGP_SI=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI))))+0.0*((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI)))+0.5*(+Gf2_VDI_SI_VGP_SI*(Em+Dm)+Gf2_VDI_SI*(Em_VGP_SI+Dm_VGP_SI)+Gf2_VGP_SI*(Em_VDI_SI+Dm_VDI_SI)+Gf2*(+Em_VDI_SI_VGP_SI+Dm_VDI_SI_VGP_SI))));
  xi_pd_VDI_SI_VSI_BP=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP))))+0.0*((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI)))+0.5*(+Gf2_VDI_SI_VSI_BP*(Em+Dm)+Gf2_VDI_SI*(Em_VSI_BP+Dm_VSI_BP)+Gf2_VSI_BP*(Em_VDI_SI+Dm_VDI_SI)+Gf2*(+Em_VDI_SI_VSI_BP+Dm_VDI_SI_VSI_BP))));
#endif
xi_pd_VGP_SI=(-(0.5*((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI)))));
#if defined(_DERIVATE2)
  xi_pd_VGP_SI_VDI_SI=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI))))+0.0*((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI)))+0.5*(+Gf2_VGP_SI_VDI_SI*(Em+Dm)+Gf2_VGP_SI*(Em_VDI_SI+Dm_VDI_SI)+Gf2_VDI_SI*(Em_VGP_SI+Dm_VGP_SI)+Gf2*(+Em_VGP_SI_VDI_SI+Dm_VGP_SI_VDI_SI))));
  xi_pd_VGP_SI_VGP_SI=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI))))+0.0*((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI)))+0.5*(+Gf2_VGP_SI_VGP_SI*(Em+Dm)+Gf2_VGP_SI*(Em_VGP_SI+Dm_VGP_SI)+Gf2_VGP_SI*(Em_VGP_SI+Dm_VGP_SI)+Gf2*(+Em_VGP_SI_VGP_SI+Dm_VGP_SI_VGP_SI))));
  xi_pd_VGP_SI_VSI_BP=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP))))+0.0*((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI)))+0.5*(+Gf2_VGP_SI_VSI_BP*(Em+Dm)+Gf2_VGP_SI*(Em_VSI_BP+Dm_VSI_BP)+Gf2_VSI_BP*(Em_VGP_SI+Dm_VGP_SI)+Gf2*(+Em_VGP_SI_VSI_BP+Dm_VGP_SI_VSI_BP))));
#endif
xi_pd_VSI_BP=(-(0.5*((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP)))));
#if defined(_DERIVATE2)
  xi_pd_VSI_BP_VDI_SI=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI))))+0.0*((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP)))+0.5*(+Gf2_VSI_BP_VDI_SI*(Em+Dm)+Gf2_VSI_BP*(Em_VDI_SI+Dm_VDI_SI)+Gf2_VDI_SI*(Em_VSI_BP+Dm_VSI_BP)+Gf2*(+Em_VSI_BP_VDI_SI+Dm_VSI_BP_VDI_SI))));
  xi_pd_VSI_BP_VGP_SI=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI))))+0.0*((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP)))+0.5*(+Gf2_VSI_BP_VGP_SI*(Em+Dm)+Gf2_VSI_BP*(Em_VGP_SI+Dm_VGP_SI)+Gf2_VGP_SI*(Em_VSI_BP+Dm_VSI_BP)+Gf2*(+Em_VSI_BP_VGP_SI+Dm_VSI_BP_VGP_SI))));
  xi_pd_VSI_BP_VSI_BP=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP))))+0.0*((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP)))+0.5*(+Gf2_VSI_BP_VSI_BP*(Em+Dm)+Gf2_VSI_BP*(Em_VSI_BP+Dm_VSI_BP)+Gf2_VSI_BP*(Em_VSI_BP+Dm_VSI_BP)+Gf2*(+Em_VSI_BP_VSI_BP+Dm_VSI_BP_VSI_BP))));
#endif
#endif
xi_pd=(1.0-(0.5*(Gf2*(Em+Dm))));
EXIT_IF_ISNAN((1.0-(0.5*(Gf2*(Em+Dm)))))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
u_pd_VGP_SI=((((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI))*((p_pd*p_pd)-(xi_pd*q_pd))-(q_pd*p_pd)*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
#if defined(_DERIVATE2)
  u_pd_VGP_SI_VGP_SI=((+q_pd_VGP_SI_VGP_SI*p_pd+q_pd_VGP_SI*p_pd_VGP_SI+q_pd_VGP_SI*p_pd_VGP_SI+q_pd*p_pd_VGP_SI_VGP_SI)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI))*((((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI)))-(((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))+(((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI)))*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI)))+(q_pd*p_pd)*(+(+p_pd_VGP_SI_VGP_SI*p_pd+p_pd_VGP_SI*p_pd_VGP_SI+p_pd_VGP_SI*p_pd_VGP_SI+p_pd*p_pd_VGP_SI_VGP_SI)-(+xi_pd_VGP_SI_VGP_SI*q_pd+xi_pd_VGP_SI*q_pd_VGP_SI+xi_pd_VGP_SI*q_pd_VGP_SI+xi_pd*q_pd_VGP_SI_VGP_SI)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI)))*((((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI)))-(((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
  u_pd_VGP_SI_VDI_SI=((+q_pd_VGP_SI_VDI_SI*p_pd+q_pd_VGP_SI*p_pd_VDI_SI+q_pd_VDI_SI*p_pd_VGP_SI+q_pd*p_pd_VGP_SI_VDI_SI)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI))*((((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI)))-(((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))+(((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI)))*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI)))+(q_pd*p_pd)*(+(+p_pd_VGP_SI_VDI_SI*p_pd+p_pd_VGP_SI*p_pd_VDI_SI+p_pd_VDI_SI*p_pd_VGP_SI+p_pd*p_pd_VGP_SI_VDI_SI)-(+xi_pd_VGP_SI_VDI_SI*q_pd+xi_pd_VGP_SI*q_pd_VDI_SI+xi_pd_VDI_SI*q_pd_VGP_SI+xi_pd*q_pd_VGP_SI_VDI_SI)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI)))*((((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI)))-(((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
  u_pd_VGP_SI_VSI_BP=((+q_pd_VGP_SI_VSI_BP*p_pd+q_pd_VGP_SI*p_pd_VSI_BP+q_pd_VSI_BP*p_pd_VGP_SI+q_pd*p_pd_VGP_SI_VSI_BP)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI))*((((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP)))-(((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))+(((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP)))*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI)))+(q_pd*p_pd)*(+(+p_pd_VGP_SI_VSI_BP*p_pd+p_pd_VGP_SI*p_pd_VSI_BP+p_pd_VSI_BP*p_pd_VGP_SI+p_pd*p_pd_VGP_SI_VSI_BP)-(+xi_pd_VGP_SI_VSI_BP*q_pd+xi_pd_VGP_SI*q_pd_VSI_BP+xi_pd_VSI_BP*q_pd_VGP_SI+xi_pd*q_pd_VGP_SI_VSI_BP)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI)))*((((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP)))-(((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
#endif
u_pd_VDI_SI=((((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI))*((p_pd*p_pd)-(xi_pd*q_pd))-(q_pd*p_pd)*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
#if defined(_DERIVATE2)
  u_pd_VDI_SI_VGP_SI=((+q_pd_VDI_SI_VGP_SI*p_pd+q_pd_VDI_SI*p_pd_VGP_SI+q_pd_VGP_SI*p_pd_VDI_SI+q_pd*p_pd_VDI_SI_VGP_SI)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI))*((((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI)))-(((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))+(((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI)))*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI)))+(q_pd*p_pd)*(+(+p_pd_VDI_SI_VGP_SI*p_pd+p_pd_VDI_SI*p_pd_VGP_SI+p_pd_VGP_SI*p_pd_VDI_SI+p_pd*p_pd_VDI_SI_VGP_SI)-(+xi_pd_VDI_SI_VGP_SI*q_pd+xi_pd_VDI_SI*q_pd_VGP_SI+xi_pd_VGP_SI*q_pd_VDI_SI+xi_pd*q_pd_VDI_SI_VGP_SI)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI)))*((((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI)))-(((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
  u_pd_VDI_SI_VDI_SI=((+q_pd_VDI_SI_VDI_SI*p_pd+q_pd_VDI_SI*p_pd_VDI_SI+q_pd_VDI_SI*p_pd_VDI_SI+q_pd*p_pd_VDI_SI_VDI_SI)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI))*((((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI)))-(((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))+(((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI)))*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI)))+(q_pd*p_pd)*(+(+p_pd_VDI_SI_VDI_SI*p_pd+p_pd_VDI_SI*p_pd_VDI_SI+p_pd_VDI_SI*p_pd_VDI_SI+p_pd*p_pd_VDI_SI_VDI_SI)-(+xi_pd_VDI_SI_VDI_SI*q_pd+xi_pd_VDI_SI*q_pd_VDI_SI+xi_pd_VDI_SI*q_pd_VDI_SI+xi_pd*q_pd_VDI_SI_VDI_SI)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI)))*((((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI)))-(((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
  u_pd_VDI_SI_VSI_BP=((+q_pd_VDI_SI_VSI_BP*p_pd+q_pd_VDI_SI*p_pd_VSI_BP+q_pd_VSI_BP*p_pd_VDI_SI+q_pd*p_pd_VDI_SI_VSI_BP)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI))*((((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP)))-(((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))+(((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP)))*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI)))+(q_pd*p_pd)*(+(+p_pd_VDI_SI_VSI_BP*p_pd+p_pd_VDI_SI*p_pd_VSI_BP+p_pd_VSI_BP*p_pd_VDI_SI+p_pd*p_pd_VDI_SI_VSI_BP)-(+xi_pd_VDI_SI_VSI_BP*q_pd+xi_pd_VDI_SI*q_pd_VSI_BP+xi_pd_VSI_BP*q_pd_VDI_SI+xi_pd*q_pd_VDI_SI_VSI_BP)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI)))*((((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP)))-(((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
#endif
u_pd_VSI_BP=((((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP))*((p_pd*p_pd)-(xi_pd*q_pd))-(q_pd*p_pd)*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
#if defined(_DERIVATE2)
  u_pd_VSI_BP_VGP_SI=((+q_pd_VSI_BP_VGP_SI*p_pd+q_pd_VSI_BP*p_pd_VGP_SI+q_pd_VGP_SI*p_pd_VSI_BP+q_pd*p_pd_VSI_BP_VGP_SI)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP))*((((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI)))-(((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))+(((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI)))*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP)))+(q_pd*p_pd)*(+(+p_pd_VSI_BP_VGP_SI*p_pd+p_pd_VSI_BP*p_pd_VGP_SI+p_pd_VGP_SI*p_pd_VSI_BP+p_pd*p_pd_VSI_BP_VGP_SI)-(+xi_pd_VSI_BP_VGP_SI*q_pd+xi_pd_VSI_BP*q_pd_VGP_SI+xi_pd_VGP_SI*q_pd_VSI_BP+xi_pd*q_pd_VSI_BP_VGP_SI)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP)))*((((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI)))-(((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
  u_pd_VSI_BP_VDI_SI=((+q_pd_VSI_BP_VDI_SI*p_pd+q_pd_VSI_BP*p_pd_VDI_SI+q_pd_VDI_SI*p_pd_VSI_BP+q_pd*p_pd_VSI_BP_VDI_SI)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP))*((((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI)))-(((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))+(((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI)))*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP)))+(q_pd*p_pd)*(+(+p_pd_VSI_BP_VDI_SI*p_pd+p_pd_VSI_BP*p_pd_VDI_SI+p_pd_VDI_SI*p_pd_VSI_BP+p_pd*p_pd_VSI_BP_VDI_SI)-(+xi_pd_VSI_BP_VDI_SI*q_pd+xi_pd_VSI_BP*q_pd_VDI_SI+xi_pd_VDI_SI*q_pd_VSI_BP+xi_pd*q_pd_VSI_BP_VDI_SI)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP)))*((((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI)))-(((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
  u_pd_VSI_BP_VSI_BP=((+q_pd_VSI_BP_VSI_BP*p_pd+q_pd_VSI_BP*p_pd_VSI_BP+q_pd_VSI_BP*p_pd_VSI_BP+q_pd*p_pd_VSI_BP_VSI_BP)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP))*((((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP)))-(((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))+(((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP)))*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP)))+(q_pd*p_pd)*(+(+p_pd_VSI_BP_VSI_BP*p_pd+p_pd_VSI_BP*p_pd_VSI_BP+p_pd_VSI_BP*p_pd_VSI_BP+p_pd*p_pd_VSI_BP_VSI_BP)-(+xi_pd_VSI_BP_VSI_BP*q_pd+xi_pd_VSI_BP*q_pd_VSI_BP+xi_pd_VSI_BP*q_pd_VSI_BP+xi_pd*q_pd_VSI_BP_VSI_BP)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP)))*((((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP)))-(((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
#endif
#endif
u_pd=((q_pd*p_pd)/((p_pd*p_pd)-(xi_pd*q_pd)));
EXIT_IF_ISNAN(((q_pd*p_pd)/((p_pd*p_pd)-(xi_pd*q_pd))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
x_m_VDI_SI=(x_m_VDI_SI+u_pd_VDI_SI);
#if defined(_DERIVATE2)
  x_m_VDI_SI_VDI_SI=(+x_m_VDI_SI_VDI_SI+u_pd_VDI_SI_VDI_SI);
  x_m_VDI_SI_VGP_SI=(+x_m_VDI_SI_VGP_SI+u_pd_VDI_SI_VGP_SI);
  x_m_VDI_SI_VSI_BP=(+x_m_VDI_SI_VSI_BP+u_pd_VDI_SI_VSI_BP);
#endif
x_m_VGP_SI=(x_m_VGP_SI+u_pd_VGP_SI);
#if defined(_DERIVATE2)
  x_m_VGP_SI_VDI_SI=(+x_m_VGP_SI_VDI_SI+u_pd_VGP_SI_VDI_SI);
  x_m_VGP_SI_VGP_SI=(+x_m_VGP_SI_VGP_SI+u_pd_VGP_SI_VGP_SI);
  x_m_VGP_SI_VSI_BP=(+x_m_VGP_SI_VSI_BP+u_pd_VGP_SI_VSI_BP);
#endif
x_m_VSI_BP=(x_m_VSI_BP+u_pd_VSI_BP);
#if defined(_DERIVATE2)
  x_m_VSI_BP_VDI_SI=(+x_m_VSI_BP_VDI_SI+u_pd_VSI_BP_VDI_SI);
  x_m_VSI_BP_VGP_SI=(+x_m_VSI_BP_VGP_SI+u_pd_VSI_BP_VGP_SI);
  x_m_VSI_BP_VSI_BP=(+x_m_VSI_BP_VSI_BP+u_pd_VSI_BP_VSI_BP);
#endif
#endif
x_m=(x_m+u_pd);
EXIT_IF_ISNAN((x_m+u_pd))
{
double m00_exp(d00_exp0,u_pd)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
km_VGP_SI=u_pd_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  km_VGP_SI_VGP_SI=(m20_exp(u_pd)*u_pd_VGP_SI*u_pd_VGP_SI+d10_exp0*u_pd_VGP_SI_VGP_SI);
  km_VGP_SI_VDI_SI=(m20_exp(u_pd)*u_pd_VDI_SI*u_pd_VGP_SI+d10_exp0*u_pd_VGP_SI_VDI_SI);
  km_VGP_SI_VSI_BP=(m20_exp(u_pd)*u_pd_VSI_BP*u_pd_VGP_SI+d10_exp0*u_pd_VGP_SI_VSI_BP);
#endif
km_VDI_SI=u_pd_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  km_VDI_SI_VGP_SI=(m20_exp(u_pd)*u_pd_VGP_SI*u_pd_VDI_SI+d10_exp0*u_pd_VDI_SI_VGP_SI);
  km_VDI_SI_VDI_SI=(m20_exp(u_pd)*u_pd_VDI_SI*u_pd_VDI_SI+d10_exp0*u_pd_VDI_SI_VDI_SI);
  km_VDI_SI_VSI_BP=(m20_exp(u_pd)*u_pd_VSI_BP*u_pd_VDI_SI+d10_exp0*u_pd_VDI_SI_VSI_BP);
#endif
km_VSI_BP=u_pd_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  km_VSI_BP_VGP_SI=(m20_exp(u_pd)*u_pd_VGP_SI*u_pd_VSI_BP+d10_exp0*u_pd_VSI_BP_VGP_SI);
  km_VSI_BP_VDI_SI=(m20_exp(u_pd)*u_pd_VDI_SI*u_pd_VSI_BP+d10_exp0*u_pd_VSI_BP_VDI_SI);
  km_VSI_BP_VSI_BP=(m20_exp(u_pd)*u_pd_VSI_BP*u_pd_VSI_BP+d10_exp0*u_pd_VSI_BP_VSI_BP);
#endif
#endif
km=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Em_VDI_SI=((Em_VDI_SI*km-Em*km_VDI_SI)/km/km);
#if defined(_DERIVATE2)
  Em_VDI_SI_VDI_SI=(Em_VDI_SI_VDI_SI/km-(Em_VDI_SI*km_VDI_SI+Em_VDI_SI*km_VDI_SI+Em*km_VDI_SI_VDI_SI)/km/km+2*Em*km_VDI_SI*km_VDI_SI/km/km/km);
  Em_VDI_SI_VGP_SI=(Em_VDI_SI_VGP_SI/km-(Em_VDI_SI*km_VGP_SI+Em_VGP_SI*km_VDI_SI+Em*km_VDI_SI_VGP_SI)/km/km+2*Em*km_VDI_SI*km_VGP_SI/km/km/km);
  Em_VDI_SI_VSI_BP=(Em_VDI_SI_VSI_BP/km-(Em_VDI_SI*km_VSI_BP+Em_VSI_BP*km_VDI_SI+Em*km_VDI_SI_VSI_BP)/km/km+2*Em*km_VDI_SI*km_VSI_BP/km/km/km);
#endif
Em_VGP_SI=((Em_VGP_SI*km-Em*km_VGP_SI)/km/km);
#if defined(_DERIVATE2)
  Em_VGP_SI_VDI_SI=(Em_VGP_SI_VDI_SI/km-(Em_VGP_SI*km_VDI_SI+Em_VDI_SI*km_VGP_SI+Em*km_VGP_SI_VDI_SI)/km/km+2*Em*km_VGP_SI*km_VDI_SI/km/km/km);
  Em_VGP_SI_VGP_SI=(Em_VGP_SI_VGP_SI/km-(Em_VGP_SI*km_VGP_SI+Em_VGP_SI*km_VGP_SI+Em*km_VGP_SI_VGP_SI)/km/km+2*Em*km_VGP_SI*km_VGP_SI/km/km/km);
  Em_VGP_SI_VSI_BP=(Em_VGP_SI_VSI_BP/km-(Em_VGP_SI*km_VSI_BP+Em_VSI_BP*km_VGP_SI+Em*km_VGP_SI_VSI_BP)/km/km+2*Em*km_VGP_SI*km_VSI_BP/km/km/km);
#endif
Em_VSI_BP=((Em_VSI_BP*km-Em*km_VSI_BP)/km/km);
#if defined(_DERIVATE2)
  Em_VSI_BP_VDI_SI=(Em_VSI_BP_VDI_SI/km-(Em_VSI_BP*km_VDI_SI+Em_VDI_SI*km_VSI_BP+Em*km_VSI_BP_VDI_SI)/km/km+2*Em*km_VSI_BP*km_VDI_SI/km/km/km);
  Em_VSI_BP_VGP_SI=(Em_VSI_BP_VGP_SI/km-(Em_VSI_BP*km_VGP_SI+Em_VGP_SI*km_VSI_BP+Em*km_VSI_BP_VGP_SI)/km/km+2*Em*km_VSI_BP*km_VGP_SI/km/km/km);
  Em_VSI_BP_VSI_BP=(Em_VSI_BP_VSI_BP/km-(Em_VSI_BP*km_VSI_BP+Em_VSI_BP*km_VSI_BP+Em*km_VSI_BP_VSI_BP)/km/km+2*Em*km_VSI_BP*km_VSI_BP/km/km/km);
#endif
#endif
Em=(Em/km);
EXIT_IF_ISNAN((Em/km))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dm_VDI_SI=((Dm_VDI_SI*km)+(Dm*km_VDI_SI));
#if defined(_DERIVATE2)
  Dm_VDI_SI_VDI_SI=(+Dm_VDI_SI_VDI_SI*km+Dm_VDI_SI*km_VDI_SI+Dm_VDI_SI*km_VDI_SI+Dm*km_VDI_SI_VDI_SI);
  Dm_VDI_SI_VGP_SI=(+Dm_VDI_SI_VGP_SI*km+Dm_VDI_SI*km_VGP_SI+Dm_VGP_SI*km_VDI_SI+Dm*km_VDI_SI_VGP_SI);
  Dm_VDI_SI_VSI_BP=(+Dm_VDI_SI_VSI_BP*km+Dm_VDI_SI*km_VSI_BP+Dm_VSI_BP*km_VDI_SI+Dm*km_VDI_SI_VSI_BP);
#endif
Dm_VGP_SI=((Dm_VGP_SI*km)+(Dm*km_VGP_SI));
#if defined(_DERIVATE2)
  Dm_VGP_SI_VDI_SI=(+Dm_VGP_SI_VDI_SI*km+Dm_VGP_SI*km_VDI_SI+Dm_VDI_SI*km_VGP_SI+Dm*km_VGP_SI_VDI_SI);
  Dm_VGP_SI_VGP_SI=(+Dm_VGP_SI_VGP_SI*km+Dm_VGP_SI*km_VGP_SI+Dm_VGP_SI*km_VGP_SI+Dm*km_VGP_SI_VGP_SI);
  Dm_VGP_SI_VSI_BP=(+Dm_VGP_SI_VSI_BP*km+Dm_VGP_SI*km_VSI_BP+Dm_VSI_BP*km_VGP_SI+Dm*km_VGP_SI_VSI_BP);
#endif
Dm_VSI_BP=((Dm_VSI_BP*km)+(Dm*km_VSI_BP));
#if defined(_DERIVATE2)
  Dm_VSI_BP_VDI_SI=(+Dm_VSI_BP_VDI_SI*km+Dm_VSI_BP*km_VDI_SI+Dm_VDI_SI*km_VSI_BP+Dm*km_VSI_BP_VDI_SI);
  Dm_VSI_BP_VGP_SI=(+Dm_VSI_BP_VGP_SI*km+Dm_VSI_BP*km_VGP_SI+Dm_VGP_SI*km_VSI_BP+Dm*km_VSI_BP_VGP_SI);
  Dm_VSI_BP_VSI_BP=(+Dm_VSI_BP_VSI_BP*km+Dm_VSI_BP*km_VSI_BP+Dm_VSI_BP*km_VSI_BP+Dm*km_VSI_BP_VSI_BP);
#endif
#endif
Dm=(Dm*km);
EXIT_IF_ISNAN((Dm*km))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Pm_VDI_SI=(x_m_VDI_SI+Em_VDI_SI);
#if defined(_DERIVATE2)
  Pm_VDI_SI_VDI_SI=(+(+x_m_VDI_SI_VDI_SI-0.0)+Em_VDI_SI_VDI_SI);
  Pm_VDI_SI_VGP_SI=(+(+x_m_VDI_SI_VGP_SI-0.0)+Em_VDI_SI_VGP_SI);
  Pm_VDI_SI_VSI_BP=(+(+x_m_VDI_SI_VSI_BP-0.0)+Em_VDI_SI_VSI_BP);
#endif
Pm_VGP_SI=(x_m_VGP_SI+Em_VGP_SI);
#if defined(_DERIVATE2)
  Pm_VGP_SI_VDI_SI=(+(+x_m_VGP_SI_VDI_SI-0.0)+Em_VGP_SI_VDI_SI);
  Pm_VGP_SI_VGP_SI=(+(+x_m_VGP_SI_VGP_SI-0.0)+Em_VGP_SI_VGP_SI);
  Pm_VGP_SI_VSI_BP=(+(+x_m_VGP_SI_VSI_BP-0.0)+Em_VGP_SI_VSI_BP);
#endif
Pm_VSI_BP=(x_m_VSI_BP+Em_VSI_BP);
#if defined(_DERIVATE2)
  Pm_VSI_BP_VDI_SI=(+(+x_m_VSI_BP_VDI_SI-0.0)+Em_VSI_BP_VDI_SI);
  Pm_VSI_BP_VGP_SI=(+(+x_m_VSI_BP_VGP_SI-0.0)+Em_VSI_BP_VGP_SI);
  Pm_VSI_BP_VSI_BP=(+(+x_m_VSI_BP_VSI_BP-0.0)+Em_VSI_BP_VSI_BP);
#endif
#endif
Pm=((x_m-1.0)+Em);
EXIT_IF_ISNAN(((x_m-1.0)+Em))
{
double m00_sqrt(d00_sqrt0,(Dm+Pm))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(Dm+Pm))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgm_VDI_SI=((Gf_VDI_SI*d00_sqrt0)+(Gf*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VDI_SI_VDI_SI=(+Gf_VDI_SI_VDI_SI*d00_sqrt0+Gf_VDI_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VDI_SI+Pm_VDI_SI_VDI_SI)));
  xgm_VDI_SI_VGP_SI=(+Gf_VDI_SI_VGP_SI*d00_sqrt0+Gf_VDI_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VGP_SI+Pm_VDI_SI_VGP_SI)));
  xgm_VDI_SI_VSI_BP=(+Gf_VDI_SI_VSI_BP*d00_sqrt0+Gf_VDI_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VSI_BP+Pm_VDI_SI_VSI_BP)));
#endif
xgm_VGP_SI=((Gf_VGP_SI*d00_sqrt0)+(Gf*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VGP_SI_VDI_SI=(+Gf_VGP_SI_VDI_SI*d00_sqrt0+Gf_VGP_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VDI_SI+Pm_VGP_SI_VDI_SI)));
  xgm_VGP_SI_VGP_SI=(+Gf_VGP_SI_VGP_SI*d00_sqrt0+Gf_VGP_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VGP_SI+Pm_VGP_SI_VGP_SI)));
  xgm_VGP_SI_VSI_BP=(+Gf_VGP_SI_VSI_BP*d00_sqrt0+Gf_VGP_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VSI_BP+Pm_VGP_SI_VSI_BP)));
#endif
xgm_VSI_BP=((Gf_VSI_BP*d00_sqrt0)+(Gf*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VSI_BP_VDI_SI=(+Gf_VSI_BP_VDI_SI*d00_sqrt0+Gf_VSI_BP*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VDI_SI+Pm_VSI_BP_VDI_SI)));
  xgm_VSI_BP_VGP_SI=(+Gf_VSI_BP_VGP_SI*d00_sqrt0+Gf_VSI_BP*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VGP_SI+Pm_VSI_BP_VGP_SI)));
  xgm_VSI_BP_VSI_BP=(+Gf_VSI_BP_VSI_BP*d00_sqrt0+Gf_VSI_BP*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VSI_BP+Pm_VSI_BP_VSI_BP)));
#endif
#endif
xgm=(Gf*d00_sqrt0);
EXIT_IF_ISNAN((Gf*d00_sqrt0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
km0_VDI_SI=((-Em_VDI_SI)+(2.0*((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI))));
#if defined(_DERIVATE2)
  km0_VDI_SI_VDI_SI=(+(+0.0-Em_VDI_SI_VDI_SI)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI)))+0.0*((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI))+2.0*(+(+xgm_VDI_SI_VDI_SI*eta_p+xgm_VDI_SI*eta_p_VDI_SI+xgm_VDI_SI*eta_p_VDI_SI+xgm*eta_p_VDI_SI_VDI_SI)*inv_Gf2+((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2_VDI_SI+(((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI)))*inv_Gf2_VDI_SI+(xgm*eta_p)*inv_Gf2_VDI_SI_VDI_SI)));
  km0_VDI_SI_VGP_SI=(+(+0.0-Em_VDI_SI_VGP_SI)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI)))+0.0*((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI))+2.0*(+(+xgm_VDI_SI_VGP_SI*eta_p+xgm_VDI_SI*eta_p_VGP_SI+xgm_VGP_SI*eta_p_VDI_SI+xgm*eta_p_VDI_SI_VGP_SI)*inv_Gf2+((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2_VGP_SI+(((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI)))*inv_Gf2_VDI_SI+(xgm*eta_p)*inv_Gf2_VDI_SI_VGP_SI)));
  km0_VDI_SI_VSI_BP=(+(+0.0-Em_VDI_SI_VSI_BP)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP)))+0.0*((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI))+2.0*(+(+xgm_VDI_SI_VSI_BP*eta_p+xgm_VDI_SI*eta_p_VSI_BP+xgm_VSI_BP*eta_p_VDI_SI+xgm*eta_p_VDI_SI_VSI_BP)*inv_Gf2+((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2_VSI_BP+(((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP)))*inv_Gf2_VDI_SI+(xgm*eta_p)*inv_Gf2_VDI_SI_VSI_BP)));
#endif
km0_VGP_SI=((-Em_VGP_SI)+(2.0*((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI))));
#if defined(_DERIVATE2)
  km0_VGP_SI_VDI_SI=(+(+0.0-Em_VGP_SI_VDI_SI)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI)))+0.0*((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI))+2.0*(+(+xgm_VGP_SI_VDI_SI*eta_p+xgm_VGP_SI*eta_p_VDI_SI+xgm_VDI_SI*eta_p_VGP_SI+xgm*eta_p_VGP_SI_VDI_SI)*inv_Gf2+((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2_VDI_SI+(((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI)))*inv_Gf2_VGP_SI+(xgm*eta_p)*inv_Gf2_VGP_SI_VDI_SI)));
  km0_VGP_SI_VGP_SI=(+(+0.0-Em_VGP_SI_VGP_SI)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI)))+0.0*((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI))+2.0*(+(+xgm_VGP_SI_VGP_SI*eta_p+xgm_VGP_SI*eta_p_VGP_SI+xgm_VGP_SI*eta_p_VGP_SI+xgm*eta_p_VGP_SI_VGP_SI)*inv_Gf2+((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2_VGP_SI+(((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI)))*inv_Gf2_VGP_SI+(xgm*eta_p)*inv_Gf2_VGP_SI_VGP_SI)));
  km0_VGP_SI_VSI_BP=(+(+0.0-Em_VGP_SI_VSI_BP)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP)))+0.0*((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI))+2.0*(+(+xgm_VGP_SI_VSI_BP*eta_p+xgm_VGP_SI*eta_p_VSI_BP+xgm_VSI_BP*eta_p_VGP_SI+xgm*eta_p_VGP_SI_VSI_BP)*inv_Gf2+((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2_VSI_BP+(((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP)))*inv_Gf2_VGP_SI+(xgm*eta_p)*inv_Gf2_VGP_SI_VSI_BP)));
#endif
km0_VSI_BP=((-Em_VSI_BP)+(2.0*((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP))));
#if defined(_DERIVATE2)
  km0_VSI_BP_VDI_SI=(+(+0.0-Em_VSI_BP_VDI_SI)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI)))+0.0*((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP))+2.0*(+(+xgm_VSI_BP_VDI_SI*eta_p+xgm_VSI_BP*eta_p_VDI_SI+xgm_VDI_SI*eta_p_VSI_BP+xgm*eta_p_VSI_BP_VDI_SI)*inv_Gf2+((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2_VDI_SI+(((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI)))*inv_Gf2_VSI_BP+(xgm*eta_p)*inv_Gf2_VSI_BP_VDI_SI)));
  km0_VSI_BP_VGP_SI=(+(+0.0-Em_VSI_BP_VGP_SI)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI)))+0.0*((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP))+2.0*(+(+xgm_VSI_BP_VGP_SI*eta_p+xgm_VSI_BP*eta_p_VGP_SI+xgm_VGP_SI*eta_p_VSI_BP+xgm*eta_p_VSI_BP_VGP_SI)*inv_Gf2+((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2_VGP_SI+(((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI)))*inv_Gf2_VSI_BP+(xgm*eta_p)*inv_Gf2_VSI_BP_VGP_SI)));
  km0_VSI_BP_VSI_BP=(+(+0.0-Em_VSI_BP_VSI_BP)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP)))+0.0*((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP))+2.0*(+(+xgm_VSI_BP_VSI_BP*eta_p+xgm_VSI_BP*eta_p_VSI_BP+xgm_VSI_BP*eta_p_VSI_BP+xgm*eta_p_VSI_BP_VSI_BP)*inv_Gf2+((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2_VSI_BP+(((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP)))*inv_Gf2_VSI_BP+(xgm*eta_p)*inv_Gf2_VSI_BP_VSI_BP)));
#endif
#endif
km0=((1.0-Em)+(2.0*((xgm*eta_p)*inv_Gf2)));
EXIT_IF_ISNAN(((1.0-Em)+(2.0*((xgm*eta_p)*inv_Gf2))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_ds_VDI_SI=((((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI)))*(km0+(km*D_bar))-((x_ds*km)*(d0+D_bar))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar)));
#if defined(_DERIVATE2)
  x_ds_VDI_SI_VDI_SI=((+(+x_ds_VDI_SI_VDI_SI*km+x_ds_VDI_SI*km_VDI_SI+x_ds_VDI_SI*km_VDI_SI+x_ds*km_VDI_SI_VDI_SI)*(d0+D_bar)+((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0_VDI_SI+D_bar_VDI_SI)+(((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI)))*(d0_VDI_SI+D_bar_VDI_SI)+(x_ds*km)*(+d0_VDI_SI_VDI_SI+D_bar_VDI_SI_VDI_SI))/(km0+(km*D_bar))-(((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI)))*(km0_VDI_SI+(((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))+((((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI)))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI))))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI)))+((x_ds*km)*(d0+D_bar))*(+km0_VDI_SI_VDI_SI+(+km_VDI_SI_VDI_SI*D_bar+km_VDI_SI*D_bar_VDI_SI+km_VDI_SI*D_bar_VDI_SI+km*D_bar_VDI_SI_VDI_SI)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI)))*(km0_VDI_SI+(((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
  x_ds_VDI_SI_VGP_SI=((+(+x_ds_VDI_SI_VGP_SI*km+x_ds_VDI_SI*km_VGP_SI+x_ds_VGP_SI*km_VDI_SI+x_ds*km_VDI_SI_VGP_SI)*(d0+D_bar)+((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0_VGP_SI+D_bar_VGP_SI)+(((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI)))*(d0_VDI_SI+D_bar_VDI_SI)+(x_ds*km)*(+d0_VDI_SI_VGP_SI+D_bar_VDI_SI_VGP_SI))/(km0+(km*D_bar))-(((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI)))*(km0_VGP_SI+(((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))+((((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI)))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI))))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI)))+((x_ds*km)*(d0+D_bar))*(+km0_VDI_SI_VGP_SI+(+km_VDI_SI_VGP_SI*D_bar+km_VDI_SI*D_bar_VGP_SI+km_VGP_SI*D_bar_VDI_SI+km*D_bar_VDI_SI_VGP_SI)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI)))*(km0_VGP_SI+(((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
  x_ds_VDI_SI_VSI_BP=((+(+x_ds_VDI_SI_VSI_BP*km+x_ds_VDI_SI*km_VSI_BP+x_ds_VSI_BP*km_VDI_SI+x_ds*km_VDI_SI_VSI_BP)*(d0+D_bar)+((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0_VSI_BP+D_bar_VSI_BP)+(((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP)))*(d0_VDI_SI+D_bar_VDI_SI)+(x_ds*km)*(+d0_VDI_SI_VSI_BP+D_bar_VDI_SI_VSI_BP))/(km0+(km*D_bar))-(((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI)))*(km0_VSI_BP+(((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))+((((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP)))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP))))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI)))+((x_ds*km)*(d0+D_bar))*(+km0_VDI_SI_VSI_BP+(+km_VDI_SI_VSI_BP*D_bar+km_VDI_SI*D_bar_VSI_BP+km_VSI_BP*D_bar_VDI_SI+km*D_bar_VDI_SI_VSI_BP)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI)))*(km0_VSI_BP+(((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
#endif
x_ds_VGP_SI=((((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI)))*(km0+(km*D_bar))-((x_ds*km)*(d0+D_bar))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar)));
#if defined(_DERIVATE2)
  x_ds_VGP_SI_VDI_SI=((+(+x_ds_VGP_SI_VDI_SI*km+x_ds_VGP_SI*km_VDI_SI+x_ds_VDI_SI*km_VGP_SI+x_ds*km_VGP_SI_VDI_SI)*(d0+D_bar)+((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0_VDI_SI+D_bar_VDI_SI)+(((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI)))*(d0_VGP_SI+D_bar_VGP_SI)+(x_ds*km)*(+d0_VGP_SI_VDI_SI+D_bar_VGP_SI_VDI_SI))/(km0+(km*D_bar))-(((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI)))*(km0_VDI_SI+(((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))+((((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI)))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI))))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI)))+((x_ds*km)*(d0+D_bar))*(+km0_VGP_SI_VDI_SI+(+km_VGP_SI_VDI_SI*D_bar+km_VGP_SI*D_bar_VDI_SI+km_VDI_SI*D_bar_VGP_SI+km*D_bar_VGP_SI_VDI_SI)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI)))*(km0_VDI_SI+(((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
  x_ds_VGP_SI_VGP_SI=((+(+x_ds_VGP_SI_VGP_SI*km+x_ds_VGP_SI*km_VGP_SI+x_ds_VGP_SI*km_VGP_SI+x_ds*km_VGP_SI_VGP_SI)*(d0+D_bar)+((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0_VGP_SI+D_bar_VGP_SI)+(((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI)))*(d0_VGP_SI+D_bar_VGP_SI)+(x_ds*km)*(+d0_VGP_SI_VGP_SI+D_bar_VGP_SI_VGP_SI))/(km0+(km*D_bar))-(((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI)))*(km0_VGP_SI+(((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))+((((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI)))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI))))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI)))+((x_ds*km)*(d0+D_bar))*(+km0_VGP_SI_VGP_SI+(+km_VGP_SI_VGP_SI*D_bar+km_VGP_SI*D_bar_VGP_SI+km_VGP_SI*D_bar_VGP_SI+km*D_bar_VGP_SI_VGP_SI)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI)))*(km0_VGP_SI+(((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
  x_ds_VGP_SI_VSI_BP=((+(+x_ds_VGP_SI_VSI_BP*km+x_ds_VGP_SI*km_VSI_BP+x_ds_VSI_BP*km_VGP_SI+x_ds*km_VGP_SI_VSI_BP)*(d0+D_bar)+((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0_VSI_BP+D_bar_VSI_BP)+(((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP)))*(d0_VGP_SI+D_bar_VGP_SI)+(x_ds*km)*(+d0_VGP_SI_VSI_BP+D_bar_VGP_SI_VSI_BP))/(km0+(km*D_bar))-(((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI)))*(km0_VSI_BP+(((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))+((((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP)))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP))))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI)))+((x_ds*km)*(d0+D_bar))*(+km0_VGP_SI_VSI_BP+(+km_VGP_SI_VSI_BP*D_bar+km_VGP_SI*D_bar_VSI_BP+km_VSI_BP*D_bar_VGP_SI+km*D_bar_VGP_SI_VSI_BP)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI)))*(km0_VSI_BP+(((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
#endif
x_ds_VSI_BP=((((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP)))*(km0+(km*D_bar))-((x_ds*km)*(d0+D_bar))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))/(km0+(km*D_bar))/(km0+(km*D_bar)));
#if defined(_DERIVATE2)
  x_ds_VSI_BP_VDI_SI=((+(+x_ds_VSI_BP_VDI_SI*km+x_ds_VSI_BP*km_VDI_SI+x_ds_VDI_SI*km_VSI_BP+x_ds*km_VSI_BP_VDI_SI)*(d0+D_bar)+((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0_VDI_SI+D_bar_VDI_SI)+(((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI)))*(d0_VSI_BP+D_bar_VSI_BP)+(x_ds*km)*(+d0_VSI_BP_VDI_SI+D_bar_VSI_BP_VDI_SI))/(km0+(km*D_bar))-(((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP)))*(km0_VDI_SI+(((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))+((((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI)))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI))))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP)))+((x_ds*km)*(d0+D_bar))*(+km0_VSI_BP_VDI_SI+(+km_VSI_BP_VDI_SI*D_bar+km_VSI_BP*D_bar_VDI_SI+km_VDI_SI*D_bar_VSI_BP+km*D_bar_VSI_BP_VDI_SI)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP)))*(km0_VDI_SI+(((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
  x_ds_VSI_BP_VGP_SI=((+(+x_ds_VSI_BP_VGP_SI*km+x_ds_VSI_BP*km_VGP_SI+x_ds_VGP_SI*km_VSI_BP+x_ds*km_VSI_BP_VGP_SI)*(d0+D_bar)+((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0_VGP_SI+D_bar_VGP_SI)+(((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI)))*(d0_VSI_BP+D_bar_VSI_BP)+(x_ds*km)*(+d0_VSI_BP_VGP_SI+D_bar_VSI_BP_VGP_SI))/(km0+(km*D_bar))-(((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP)))*(km0_VGP_SI+(((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))+((((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI)))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI))))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP)))+((x_ds*km)*(d0+D_bar))*(+km0_VSI_BP_VGP_SI+(+km_VSI_BP_VGP_SI*D_bar+km_VSI_BP*D_bar_VGP_SI+km_VGP_SI*D_bar_VSI_BP+km*D_bar_VSI_BP_VGP_SI)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP)))*(km0_VGP_SI+(((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
  x_ds_VSI_BP_VSI_BP=((+(+x_ds_VSI_BP_VSI_BP*km+x_ds_VSI_BP*km_VSI_BP+x_ds_VSI_BP*km_VSI_BP+x_ds*km_VSI_BP_VSI_BP)*(d0+D_bar)+((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0_VSI_BP+D_bar_VSI_BP)+(((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP)))*(d0_VSI_BP+D_bar_VSI_BP)+(x_ds*km)*(+d0_VSI_BP_VSI_BP+D_bar_VSI_BP_VSI_BP))/(km0+(km*D_bar))-(((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP)))*(km0_VSI_BP+(((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))+((((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP)))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP))))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP)))+((x_ds*km)*(d0+D_bar))*(+km0_VSI_BP_VSI_BP+(+km_VSI_BP_VSI_BP*D_bar+km_VSI_BP*D_bar_VSI_BP+km_VSI_BP*D_bar_VSI_BP+km*D_bar_VSI_BP_VSI_BP)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP)))*(km0_VSI_BP+(((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
#endif
#endif
x_ds=(((x_ds*km)*(d0+D_bar))/(km0+(km*D_bar)));
EXIT_IF_ISNAN((((x_ds*km)*(d0+D_bar))/(km0+(km*D_bar))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dps_VDI_SI=((x_ds_VDI_SI*pInst->phit1)+(x_ds*phit1_VDI_SI));
#if defined(_DERIVATE2)
  dps_VDI_SI_VDI_SI=(+x_ds_VDI_SI_VDI_SI*pInst->phit1+x_ds_VDI_SI*phit1_VDI_SI+x_ds_VDI_SI*phit1_VDI_SI+x_ds*phit1_VDI_SI_VDI_SI);
  dps_VDI_SI_VGP_SI=(+x_ds_VDI_SI_VGP_SI*pInst->phit1+x_ds_VDI_SI*phit1_VGP_SI+x_ds_VGP_SI*phit1_VDI_SI+x_ds*phit1_VDI_SI_VGP_SI);
  dps_VDI_SI_VSI_BP=(+x_ds_VDI_SI_VSI_BP*pInst->phit1+x_ds_VDI_SI*phit1_VSI_BP+x_ds_VSI_BP*phit1_VDI_SI+x_ds*phit1_VDI_SI_VSI_BP);
#endif
dps_VGP_SI=((x_ds_VGP_SI*pInst->phit1)+(x_ds*phit1_VGP_SI));
#if defined(_DERIVATE2)
  dps_VGP_SI_VDI_SI=(+x_ds_VGP_SI_VDI_SI*pInst->phit1+x_ds_VGP_SI*phit1_VDI_SI+x_ds_VDI_SI*phit1_VGP_SI+x_ds*phit1_VGP_SI_VDI_SI);
  dps_VGP_SI_VGP_SI=(+x_ds_VGP_SI_VGP_SI*pInst->phit1+x_ds_VGP_SI*phit1_VGP_SI+x_ds_VGP_SI*phit1_VGP_SI+x_ds*phit1_VGP_SI_VGP_SI);
  dps_VGP_SI_VSI_BP=(+x_ds_VGP_SI_VSI_BP*pInst->phit1+x_ds_VGP_SI*phit1_VSI_BP+x_ds_VSI_BP*phit1_VGP_SI+x_ds*phit1_VGP_SI_VSI_BP);
#endif
dps_VSI_BP=((x_ds_VSI_BP*pInst->phit1)+(x_ds*phit1_VSI_BP));
#if defined(_DERIVATE2)
  dps_VSI_BP_VDI_SI=(+x_ds_VSI_BP_VDI_SI*pInst->phit1+x_ds_VSI_BP*phit1_VDI_SI+x_ds_VDI_SI*phit1_VSI_BP+x_ds*phit1_VSI_BP_VDI_SI);
  dps_VSI_BP_VGP_SI=(+x_ds_VSI_BP_VGP_SI*pInst->phit1+x_ds_VSI_BP*phit1_VGP_SI+x_ds_VGP_SI*phit1_VSI_BP+x_ds*phit1_VSI_BP_VGP_SI);
  dps_VSI_BP_VSI_BP=(+x_ds_VSI_BP_VSI_BP*pInst->phit1+x_ds_VSI_BP*phit1_VSI_BP+x_ds_VSI_BP*phit1_VSI_BP+x_ds*phit1_VSI_BP_VSI_BP);
#endif
#endif
dps=(x_ds*pInst->phit1);
EXIT_IF_ISNAN((x_ds*pInst->phit1))
}
{
double m00_sqrt(d00_sqrt0,Pm)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,Pm)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
sqm_VDI_SI=Pm_VDI_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  sqm_VDI_SI_VDI_SI=(m20_sqrt(Pm)*Pm_VDI_SI*Pm_VDI_SI+d10_sqrt0*Pm_VDI_SI_VDI_SI);
  sqm_VDI_SI_VGP_SI=(m20_sqrt(Pm)*Pm_VGP_SI*Pm_VDI_SI+d10_sqrt0*Pm_VDI_SI_VGP_SI);
  sqm_VDI_SI_VSI_BP=(m20_sqrt(Pm)*Pm_VSI_BP*Pm_VDI_SI+d10_sqrt0*Pm_VDI_SI_VSI_BP);
#endif
sqm_VGP_SI=Pm_VGP_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  sqm_VGP_SI_VDI_SI=(m20_sqrt(Pm)*Pm_VDI_SI*Pm_VGP_SI+d10_sqrt0*Pm_VGP_SI_VDI_SI);
  sqm_VGP_SI_VGP_SI=(m20_sqrt(Pm)*Pm_VGP_SI*Pm_VGP_SI+d10_sqrt0*Pm_VGP_SI_VGP_SI);
  sqm_VGP_SI_VSI_BP=(m20_sqrt(Pm)*Pm_VSI_BP*Pm_VGP_SI+d10_sqrt0*Pm_VGP_SI_VSI_BP);
#endif
sqm_VSI_BP=Pm_VSI_BP*d10_sqrt0;
#if defined(_DERIVATE2)
  sqm_VSI_BP_VDI_SI=(m20_sqrt(Pm)*Pm_VDI_SI*Pm_VSI_BP+d10_sqrt0*Pm_VSI_BP_VDI_SI);
  sqm_VSI_BP_VGP_SI=(m20_sqrt(Pm)*Pm_VGP_SI*Pm_VSI_BP+d10_sqrt0*Pm_VSI_BP_VGP_SI);
  sqm_VSI_BP_VSI_BP=(m20_sqrt(Pm)*Pm_VSI_BP*Pm_VSI_BP+d10_sqrt0*Pm_VSI_BP_VSI_BP);
#endif
#endif
sqm=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
alpha_VDI_SI=(eta_p_VDI_SI+(0.5*((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)));
#if defined(_DERIVATE2)
  alpha_VDI_SI_VDI_SI=(+eta_p_VDI_SI_VDI_SI+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI))))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)+0.0*((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)+0.5*((+Gf_VDI_SI_VDI_SI*(1.0-Em)+Gf_VDI_SI*(-Em_VDI_SI)+Gf_VDI_SI*(-Em_VDI_SI)+Gf*(+0.0-Em_VDI_SI_VDI_SI))/sqm-(((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm_VDI_SI+(((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI))))*sqm_VDI_SI+(Gf*(1.0-Em))*sqm_VDI_SI_VDI_SI)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VDI_SI*sqm_VDI_SI/sqm/sqm/sqm)));
  alpha_VDI_SI_VGP_SI=(+eta_p_VDI_SI_VGP_SI+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI))))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)+0.0*((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)+0.5*((+Gf_VDI_SI_VGP_SI*(1.0-Em)+Gf_VDI_SI*(-Em_VGP_SI)+Gf_VGP_SI*(-Em_VDI_SI)+Gf*(+0.0-Em_VDI_SI_VGP_SI))/sqm-(((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm_VGP_SI+(((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI))))*sqm_VDI_SI+(Gf*(1.0-Em))*sqm_VDI_SI_VGP_SI)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VDI_SI*sqm_VGP_SI/sqm/sqm/sqm)));
  alpha_VDI_SI_VSI_BP=(+eta_p_VDI_SI_VSI_BP+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP))))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)+0.0*((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)+0.5*((+Gf_VDI_SI_VSI_BP*(1.0-Em)+Gf_VDI_SI*(-Em_VSI_BP)+Gf_VSI_BP*(-Em_VDI_SI)+Gf*(+0.0-Em_VDI_SI_VSI_BP))/sqm-(((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm_VSI_BP+(((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP))))*sqm_VDI_SI+(Gf*(1.0-Em))*sqm_VDI_SI_VSI_BP)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VDI_SI*sqm_VSI_BP/sqm/sqm/sqm)));
#endif
alpha_VGP_SI=(eta_p_VGP_SI+(0.5*((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)));
#if defined(_DERIVATE2)
  alpha_VGP_SI_VDI_SI=(+eta_p_VGP_SI_VDI_SI+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI))))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)+0.0*((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)+0.5*((+Gf_VGP_SI_VDI_SI*(1.0-Em)+Gf_VGP_SI*(-Em_VDI_SI)+Gf_VDI_SI*(-Em_VGP_SI)+Gf*(+0.0-Em_VGP_SI_VDI_SI))/sqm-(((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm_VDI_SI+(((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI))))*sqm_VGP_SI+(Gf*(1.0-Em))*sqm_VGP_SI_VDI_SI)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VGP_SI*sqm_VDI_SI/sqm/sqm/sqm)));
  alpha_VGP_SI_VGP_SI=(+eta_p_VGP_SI_VGP_SI+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI))))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)+0.0*((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)+0.5*((+Gf_VGP_SI_VGP_SI*(1.0-Em)+Gf_VGP_SI*(-Em_VGP_SI)+Gf_VGP_SI*(-Em_VGP_SI)+Gf*(+0.0-Em_VGP_SI_VGP_SI))/sqm-(((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm_VGP_SI+(((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI))))*sqm_VGP_SI+(Gf*(1.0-Em))*sqm_VGP_SI_VGP_SI)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VGP_SI*sqm_VGP_SI/sqm/sqm/sqm)));
  alpha_VGP_SI_VSI_BP=(+eta_p_VGP_SI_VSI_BP+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP))))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)+0.0*((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)+0.5*((+Gf_VGP_SI_VSI_BP*(1.0-Em)+Gf_VGP_SI*(-Em_VSI_BP)+Gf_VSI_BP*(-Em_VGP_SI)+Gf*(+0.0-Em_VGP_SI_VSI_BP))/sqm-(((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm_VSI_BP+(((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP))))*sqm_VGP_SI+(Gf*(1.0-Em))*sqm_VGP_SI_VSI_BP)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VGP_SI*sqm_VSI_BP/sqm/sqm/sqm)));
#endif
alpha_VSI_BP=(eta_p_VSI_BP+(0.5*((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)));
#if defined(_DERIVATE2)
  alpha_VSI_BP_VDI_SI=(+eta_p_VSI_BP_VDI_SI+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI))))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)+0.0*((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)+0.5*((+Gf_VSI_BP_VDI_SI*(1.0-Em)+Gf_VSI_BP*(-Em_VDI_SI)+Gf_VDI_SI*(-Em_VSI_BP)+Gf*(+0.0-Em_VSI_BP_VDI_SI))/sqm-(((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm_VDI_SI+(((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI))))*sqm_VSI_BP+(Gf*(1.0-Em))*sqm_VSI_BP_VDI_SI)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VSI_BP*sqm_VDI_SI/sqm/sqm/sqm)));
  alpha_VSI_BP_VGP_SI=(+eta_p_VSI_BP_VGP_SI+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI))))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)+0.0*((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)+0.5*((+Gf_VSI_BP_VGP_SI*(1.0-Em)+Gf_VSI_BP*(-Em_VGP_SI)+Gf_VGP_SI*(-Em_VSI_BP)+Gf*(+0.0-Em_VSI_BP_VGP_SI))/sqm-(((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm_VGP_SI+(((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI))))*sqm_VSI_BP+(Gf*(1.0-Em))*sqm_VSI_BP_VGP_SI)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VSI_BP*sqm_VGP_SI/sqm/sqm/sqm)));
  alpha_VSI_BP_VSI_BP=(+eta_p_VSI_BP_VSI_BP+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP))))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)+0.0*((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)+0.5*((+Gf_VSI_BP_VSI_BP*(1.0-Em)+Gf_VSI_BP*(-Em_VSI_BP)+Gf_VSI_BP*(-Em_VSI_BP)+Gf*(+0.0-Em_VSI_BP_VSI_BP))/sqm-(((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm_VSI_BP+(((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP))))*sqm_VSI_BP+(Gf*(1.0-Em))*sqm_VSI_BP_VSI_BP)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VSI_BP*sqm_VSI_BP/sqm/sqm/sqm)));
#endif
#endif
alpha=(eta_p+(0.5*((Gf*(1.0-Em))/sqm)));
EXIT_IF_ISNAN((eta_p+(0.5*((Gf*(1.0-Em))/sqm))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qim_VDI_SI=((phit1_VDI_SI*((Gf2*Dm)/(xgm+(Gf*sqm))))+(pInst->phit1*((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))));
#if defined(_DERIVATE2)
  qim_VDI_SI_VDI_SI=(+phit1_VDI_SI_VDI_SI*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VDI_SI*(((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VDI_SI*((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VDI_SI_VDI_SI*Dm+Gf2_VDI_SI*Dm_VDI_SI+Gf2_VDI_SI*Dm_VDI_SI+Gf2*Dm_VDI_SI_VDI_SI)/(xgm+(Gf*sqm))-(((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))+(((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI)))*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))+(Gf2*Dm)*(+xgm_VDI_SI_VDI_SI+(+Gf_VDI_SI_VDI_SI*sqm+Gf_VDI_SI*sqm_VDI_SI+Gf_VDI_SI*sqm_VDI_SI+Gf*sqm_VDI_SI_VDI_SI)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
  qim_VDI_SI_VGP_SI=(+phit1_VDI_SI_VGP_SI*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VDI_SI*(((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VGP_SI*((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VDI_SI_VGP_SI*Dm+Gf2_VDI_SI*Dm_VGP_SI+Gf2_VGP_SI*Dm_VDI_SI+Gf2*Dm_VDI_SI_VGP_SI)/(xgm+(Gf*sqm))-(((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))+(((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI)))*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))+(Gf2*Dm)*(+xgm_VDI_SI_VGP_SI+(+Gf_VDI_SI_VGP_SI*sqm+Gf_VDI_SI*sqm_VGP_SI+Gf_VGP_SI*sqm_VDI_SI+Gf*sqm_VDI_SI_VGP_SI)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
  qim_VDI_SI_VSI_BP=(+phit1_VDI_SI_VSI_BP*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VDI_SI*(((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VSI_BP*((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VDI_SI_VSI_BP*Dm+Gf2_VDI_SI*Dm_VSI_BP+Gf2_VSI_BP*Dm_VDI_SI+Gf2*Dm_VDI_SI_VSI_BP)/(xgm+(Gf*sqm))-(((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))+(((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP)))*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))+(Gf2*Dm)*(+xgm_VDI_SI_VSI_BP+(+Gf_VDI_SI_VSI_BP*sqm+Gf_VDI_SI*sqm_VSI_BP+Gf_VSI_BP*sqm_VDI_SI+Gf*sqm_VDI_SI_VSI_BP)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
#endif
qim_VGP_SI=((phit1_VGP_SI*((Gf2*Dm)/(xgm+(Gf*sqm))))+(pInst->phit1*((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))));
#if defined(_DERIVATE2)
  qim_VGP_SI_VDI_SI=(+phit1_VGP_SI_VDI_SI*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VGP_SI*(((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VDI_SI*((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VGP_SI_VDI_SI*Dm+Gf2_VGP_SI*Dm_VDI_SI+Gf2_VDI_SI*Dm_VGP_SI+Gf2*Dm_VGP_SI_VDI_SI)/(xgm+(Gf*sqm))-(((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))+(((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI)))*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))+(Gf2*Dm)*(+xgm_VGP_SI_VDI_SI+(+Gf_VGP_SI_VDI_SI*sqm+Gf_VGP_SI*sqm_VDI_SI+Gf_VDI_SI*sqm_VGP_SI+Gf*sqm_VGP_SI_VDI_SI)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
  qim_VGP_SI_VGP_SI=(+phit1_VGP_SI_VGP_SI*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VGP_SI*(((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VGP_SI*((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VGP_SI_VGP_SI*Dm+Gf2_VGP_SI*Dm_VGP_SI+Gf2_VGP_SI*Dm_VGP_SI+Gf2*Dm_VGP_SI_VGP_SI)/(xgm+(Gf*sqm))-(((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))+(((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI)))*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))+(Gf2*Dm)*(+xgm_VGP_SI_VGP_SI+(+Gf_VGP_SI_VGP_SI*sqm+Gf_VGP_SI*sqm_VGP_SI+Gf_VGP_SI*sqm_VGP_SI+Gf*sqm_VGP_SI_VGP_SI)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
  qim_VGP_SI_VSI_BP=(+phit1_VGP_SI_VSI_BP*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VGP_SI*(((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VSI_BP*((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VGP_SI_VSI_BP*Dm+Gf2_VGP_SI*Dm_VSI_BP+Gf2_VSI_BP*Dm_VGP_SI+Gf2*Dm_VGP_SI_VSI_BP)/(xgm+(Gf*sqm))-(((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))+(((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP)))*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))+(Gf2*Dm)*(+xgm_VGP_SI_VSI_BP+(+Gf_VGP_SI_VSI_BP*sqm+Gf_VGP_SI*sqm_VSI_BP+Gf_VSI_BP*sqm_VGP_SI+Gf*sqm_VGP_SI_VSI_BP)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
#endif
qim_VSI_BP=((phit1_VSI_BP*((Gf2*Dm)/(xgm+(Gf*sqm))))+(pInst->phit1*((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))));
#if defined(_DERIVATE2)
  qim_VSI_BP_VDI_SI=(+phit1_VSI_BP_VDI_SI*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VSI_BP*(((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VDI_SI*((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VSI_BP_VDI_SI*Dm+Gf2_VSI_BP*Dm_VDI_SI+Gf2_VDI_SI*Dm_VSI_BP+Gf2*Dm_VSI_BP_VDI_SI)/(xgm+(Gf*sqm))-(((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))+(((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI)))*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))+(Gf2*Dm)*(+xgm_VSI_BP_VDI_SI+(+Gf_VSI_BP_VDI_SI*sqm+Gf_VSI_BP*sqm_VDI_SI+Gf_VDI_SI*sqm_VSI_BP+Gf*sqm_VSI_BP_VDI_SI)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
  qim_VSI_BP_VGP_SI=(+phit1_VSI_BP_VGP_SI*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VSI_BP*(((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VGP_SI*((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VSI_BP_VGP_SI*Dm+Gf2_VSI_BP*Dm_VGP_SI+Gf2_VGP_SI*Dm_VSI_BP+Gf2*Dm_VSI_BP_VGP_SI)/(xgm+(Gf*sqm))-(((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))+(((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI)))*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))+(Gf2*Dm)*(+xgm_VSI_BP_VGP_SI+(+Gf_VSI_BP_VGP_SI*sqm+Gf_VSI_BP*sqm_VGP_SI+Gf_VGP_SI*sqm_VSI_BP+Gf*sqm_VSI_BP_VGP_SI)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
  qim_VSI_BP_VSI_BP=(+phit1_VSI_BP_VSI_BP*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VSI_BP*(((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VSI_BP*((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VSI_BP_VSI_BP*Dm+Gf2_VSI_BP*Dm_VSI_BP+Gf2_VSI_BP*Dm_VSI_BP+Gf2*Dm_VSI_BP_VSI_BP)/(xgm+(Gf*sqm))-(((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))+(((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP)))*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))+(Gf2*Dm)*(+xgm_VSI_BP_VSI_BP+(+Gf_VSI_BP_VSI_BP*sqm+Gf_VSI_BP*sqm_VSI_BP+Gf_VSI_BP*sqm_VSI_BP+Gf*sqm_VSI_BP_VSI_BP)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
#endif
#endif
qim=(pInst->phit1*((Gf2*Dm)/(xgm+(Gf*sqm))));
EXIT_IF_ISNAN((pInst->phit1*((Gf2*Dm)/(xgm+(Gf*sqm)))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qim1_VDI_SI=(qim_VDI_SI+((phit1_VDI_SI*alpha)+(pInst->phit1*alpha_VDI_SI)));
#if defined(_DERIVATE2)
  qim1_VDI_SI_VDI_SI=(+qim_VDI_SI_VDI_SI+(+phit1_VDI_SI_VDI_SI*alpha+phit1_VDI_SI*alpha_VDI_SI+phit1_VDI_SI*alpha_VDI_SI+pInst->phit1*alpha_VDI_SI_VDI_SI));
  qim1_VDI_SI_VGP_SI=(+qim_VDI_SI_VGP_SI+(+phit1_VDI_SI_VGP_SI*alpha+phit1_VDI_SI*alpha_VGP_SI+phit1_VGP_SI*alpha_VDI_SI+pInst->phit1*alpha_VDI_SI_VGP_SI));
  qim1_VDI_SI_VSI_BP=(+qim_VDI_SI_VSI_BP+(+phit1_VDI_SI_VSI_BP*alpha+phit1_VDI_SI*alpha_VSI_BP+phit1_VSI_BP*alpha_VDI_SI+pInst->phit1*alpha_VDI_SI_VSI_BP));
#endif
qim1_VGP_SI=(qim_VGP_SI+((phit1_VGP_SI*alpha)+(pInst->phit1*alpha_VGP_SI)));
#if defined(_DERIVATE2)
  qim1_VGP_SI_VDI_SI=(+qim_VGP_SI_VDI_SI+(+phit1_VGP_SI_VDI_SI*alpha+phit1_VGP_SI*alpha_VDI_SI+phit1_VDI_SI*alpha_VGP_SI+pInst->phit1*alpha_VGP_SI_VDI_SI));
  qim1_VGP_SI_VGP_SI=(+qim_VGP_SI_VGP_SI+(+phit1_VGP_SI_VGP_SI*alpha+phit1_VGP_SI*alpha_VGP_SI+phit1_VGP_SI*alpha_VGP_SI+pInst->phit1*alpha_VGP_SI_VGP_SI));
  qim1_VGP_SI_VSI_BP=(+qim_VGP_SI_VSI_BP+(+phit1_VGP_SI_VSI_BP*alpha+phit1_VGP_SI*alpha_VSI_BP+phit1_VSI_BP*alpha_VGP_SI+pInst->phit1*alpha_VGP_SI_VSI_BP));
#endif
qim1_VSI_BP=(qim_VSI_BP+((phit1_VSI_BP*alpha)+(pInst->phit1*alpha_VSI_BP)));
#if defined(_DERIVATE2)
  qim1_VSI_BP_VDI_SI=(+qim_VSI_BP_VDI_SI+(+phit1_VSI_BP_VDI_SI*alpha+phit1_VSI_BP*alpha_VDI_SI+phit1_VDI_SI*alpha_VSI_BP+pInst->phit1*alpha_VSI_BP_VDI_SI));
  qim1_VSI_BP_VGP_SI=(+qim_VSI_BP_VGP_SI+(+phit1_VSI_BP_VGP_SI*alpha+phit1_VSI_BP*alpha_VGP_SI+phit1_VGP_SI*alpha_VSI_BP+pInst->phit1*alpha_VSI_BP_VGP_SI));
  qim1_VSI_BP_VSI_BP=(+qim_VSI_BP_VSI_BP+(+phit1_VSI_BP_VSI_BP*alpha+phit1_VSI_BP*alpha_VSI_BP+phit1_VSI_BP*alpha_VSI_BP+pInst->phit1*alpha_VSI_BP_VSI_BP));
#endif
#endif
qim1=(qim+(pInst->phit1*alpha));
EXIT_IF_ISNAN((qim+(pInst->phit1*alpha)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qbm_VDI_SI=((((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*pInst->phit1)+((sqm*Gf)*phit1_VDI_SI));
#if defined(_DERIVATE2)
  qbm_VDI_SI_VDI_SI=(+(+sqm_VDI_SI_VDI_SI*Gf+sqm_VDI_SI*Gf_VDI_SI+sqm_VDI_SI*Gf_VDI_SI+sqm*Gf_VDI_SI_VDI_SI)*pInst->phit1+((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*phit1_VDI_SI+(((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI)))*phit1_VDI_SI+(sqm*Gf)*phit1_VDI_SI_VDI_SI);
  qbm_VDI_SI_VGP_SI=(+(+sqm_VDI_SI_VGP_SI*Gf+sqm_VDI_SI*Gf_VGP_SI+sqm_VGP_SI*Gf_VDI_SI+sqm*Gf_VDI_SI_VGP_SI)*pInst->phit1+((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*phit1_VGP_SI+(((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI)))*phit1_VDI_SI+(sqm*Gf)*phit1_VDI_SI_VGP_SI);
  qbm_VDI_SI_VSI_BP=(+(+sqm_VDI_SI_VSI_BP*Gf+sqm_VDI_SI*Gf_VSI_BP+sqm_VSI_BP*Gf_VDI_SI+sqm*Gf_VDI_SI_VSI_BP)*pInst->phit1+((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*phit1_VSI_BP+(((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP)))*phit1_VDI_SI+(sqm*Gf)*phit1_VDI_SI_VSI_BP);
#endif
qbm_VGP_SI=((((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*pInst->phit1)+((sqm*Gf)*phit1_VGP_SI));
#if defined(_DERIVATE2)
  qbm_VGP_SI_VDI_SI=(+(+sqm_VGP_SI_VDI_SI*Gf+sqm_VGP_SI*Gf_VDI_SI+sqm_VDI_SI*Gf_VGP_SI+sqm*Gf_VGP_SI_VDI_SI)*pInst->phit1+((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*phit1_VDI_SI+(((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI)))*phit1_VGP_SI+(sqm*Gf)*phit1_VGP_SI_VDI_SI);
  qbm_VGP_SI_VGP_SI=(+(+sqm_VGP_SI_VGP_SI*Gf+sqm_VGP_SI*Gf_VGP_SI+sqm_VGP_SI*Gf_VGP_SI+sqm*Gf_VGP_SI_VGP_SI)*pInst->phit1+((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*phit1_VGP_SI+(((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI)))*phit1_VGP_SI+(sqm*Gf)*phit1_VGP_SI_VGP_SI);
  qbm_VGP_SI_VSI_BP=(+(+sqm_VGP_SI_VSI_BP*Gf+sqm_VGP_SI*Gf_VSI_BP+sqm_VSI_BP*Gf_VGP_SI+sqm*Gf_VGP_SI_VSI_BP)*pInst->phit1+((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*phit1_VSI_BP+(((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP)))*phit1_VGP_SI+(sqm*Gf)*phit1_VGP_SI_VSI_BP);
#endif
qbm_VSI_BP=((((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*pInst->phit1)+((sqm*Gf)*phit1_VSI_BP));
#if defined(_DERIVATE2)
  qbm_VSI_BP_VDI_SI=(+(+sqm_VSI_BP_VDI_SI*Gf+sqm_VSI_BP*Gf_VDI_SI+sqm_VDI_SI*Gf_VSI_BP+sqm*Gf_VSI_BP_VDI_SI)*pInst->phit1+((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*phit1_VDI_SI+(((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI)))*phit1_VSI_BP+(sqm*Gf)*phit1_VSI_BP_VDI_SI);
  qbm_VSI_BP_VGP_SI=(+(+sqm_VSI_BP_VGP_SI*Gf+sqm_VSI_BP*Gf_VGP_SI+sqm_VGP_SI*Gf_VSI_BP+sqm*Gf_VSI_BP_VGP_SI)*pInst->phit1+((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*phit1_VGP_SI+(((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI)))*phit1_VSI_BP+(sqm*Gf)*phit1_VSI_BP_VGP_SI);
  qbm_VSI_BP_VSI_BP=(+(+sqm_VSI_BP_VSI_BP*Gf+sqm_VSI_BP*Gf_VSI_BP+sqm_VSI_BP*Gf_VSI_BP+sqm*Gf_VSI_BP_VSI_BP)*pInst->phit1+((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*phit1_VSI_BP+(((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP)))*phit1_VSI_BP+(sqm*Gf)*phit1_VSI_BP_VSI_BP);
#endif
#endif
qbm=((sqm*Gf)*pInst->phit1);
EXIT_IF_ISNAN(((sqm*Gf)*pInst->phit1))
if
((pInst->RSG_i<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(pInst->RSG_i*qim_VGP_SI));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0-(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VGP_SI+pInst->RSG_i*qim_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(+0.0-(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VGP_SI+pInst->RSG_i*qim_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(+0.0-(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VGP_SI+pInst->RSG_i*qim_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=(-(pInst->RSG_i*qim_VDI_SI));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0-(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VDI_SI+pInst->RSG_i*qim_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(+0.0-(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VDI_SI+pInst->RSG_i*qim_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(+0.0-(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VDI_SI+pInst->RSG_i*qim_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=(-(pInst->RSG_i*qim_VSI_BP));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0-(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VSI_BP+pInst->RSG_i*qim_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(+0.0-(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VSI_BP+pInst->RSG_i*qim_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(+0.0-(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VSI_BP+pInst->RSG_i*qim_VSI_BP_VSI_BP));
#endif
#endif
temp=(1.0-(pInst->RSG_i*qim));
EXIT_IF_ISNAN((1.0-(pInst->RSG_i*qim)))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(pInst->RSG_i*qim_VGP_SI)/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VGP_SI))+0.0*(pInst->RSG_i*qim_VGP_SI)+1.0*(+0.0+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VGP_SI+pInst->RSG_i*qim_VGP_SI_VGP_SI)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VGP_SI)*((pInst->RSG_i*qim_VGP_SI))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
  temp_VGP_SI_VDI_SI=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VDI_SI))+0.0*(pInst->RSG_i*qim_VGP_SI)+1.0*(+0.0+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VGP_SI+pInst->RSG_i*qim_VGP_SI_VDI_SI)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VGP_SI)*((pInst->RSG_i*qim_VDI_SI))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
  temp_VGP_SI_VSI_BP=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VSI_BP))+0.0*(pInst->RSG_i*qim_VGP_SI)+1.0*(+0.0+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VGP_SI+pInst->RSG_i*qim_VGP_SI_VSI_BP)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VGP_SI)*((pInst->RSG_i*qim_VSI_BP))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
#endif
temp_VDI_SI=(-(pInst->RSG_i*qim_VDI_SI)/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VGP_SI))+0.0*(pInst->RSG_i*qim_VDI_SI)+1.0*(+0.0+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VDI_SI+pInst->RSG_i*qim_VDI_SI_VGP_SI)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VDI_SI)*((pInst->RSG_i*qim_VGP_SI))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
  temp_VDI_SI_VDI_SI=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VDI_SI))+0.0*(pInst->RSG_i*qim_VDI_SI)+1.0*(+0.0+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VDI_SI+pInst->RSG_i*qim_VDI_SI_VDI_SI)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VDI_SI)*((pInst->RSG_i*qim_VDI_SI))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
  temp_VDI_SI_VSI_BP=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VSI_BP))+0.0*(pInst->RSG_i*qim_VDI_SI)+1.0*(+0.0+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VDI_SI+pInst->RSG_i*qim_VDI_SI_VSI_BP)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VDI_SI)*((pInst->RSG_i*qim_VSI_BP))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
#endif
temp_VSI_BP=(-(pInst->RSG_i*qim_VSI_BP)/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VGP_SI))+0.0*(pInst->RSG_i*qim_VSI_BP)+1.0*(+0.0+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VSI_BP+pInst->RSG_i*qim_VSI_BP_VGP_SI)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VSI_BP)*((pInst->RSG_i*qim_VGP_SI))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
  temp_VSI_BP_VDI_SI=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VDI_SI))+0.0*(pInst->RSG_i*qim_VSI_BP)+1.0*(+0.0+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VSI_BP+pInst->RSG_i*qim_VSI_BP_VDI_SI)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VSI_BP)*((pInst->RSG_i*qim_VDI_SI))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
  temp_VSI_BP_VSI_BP=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VSI_BP))+0.0*(pInst->RSG_i*qim_VSI_BP)+1.0*(+0.0+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VSI_BP+pInst->RSG_i*qim_VSI_BP_VSI_BP)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VSI_BP)*((pInst->RSG_i*qim_VSI_BP))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
#endif
#endif
temp=(1.0/(1.0+(pInst->RSG_i*qim)));
EXIT_IF_ISNAN((1.0/(1.0+(pInst->RSG_i*qim))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
GR_VDI_SI=(pInst->THER_i*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim)+((rhob*temp)*qim_VDI_SI)));
#if defined(_DERIVATE2)
  GR_VDI_SI_VDI_SI=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qim)+((rhob*temp)*qim_VDI_SI)))+0.0*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim)+((rhob*temp)*qim_VDI_SI))+pInst->THER_i*(+(+rhob_VDI_SI_VDI_SI*temp+rhob_VDI_SI*temp_VDI_SI+rhob_VDI_SI*temp_VDI_SI+rhob*temp_VDI_SI_VDI_SI)*qim+((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim_VDI_SI+(((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qim_VDI_SI+(rhob*temp)*qim_VDI_SI_VDI_SI));
  GR_VDI_SI_VSI_BP=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qim)+((rhob*temp)*qim_VSI_BP)))+0.0*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim)+((rhob*temp)*qim_VDI_SI))+pInst->THER_i*(+(+rhob_VDI_SI_VSI_BP*temp+rhob_VDI_SI*temp_VSI_BP+rhob_VSI_BP*temp_VDI_SI+rhob*temp_VDI_SI_VSI_BP)*qim+((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim_VSI_BP+(((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qim_VDI_SI+(rhob*temp)*qim_VDI_SI_VSI_BP));
  GR_VDI_SI_VGP_SI=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qim)+((rhob*temp)*qim_VGP_SI)))+0.0*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim)+((rhob*temp)*qim_VDI_SI))+pInst->THER_i*(+(+rhob_VDI_SI_VGP_SI*temp+rhob_VDI_SI*temp_VGP_SI+rhob_VGP_SI*temp_VDI_SI+rhob*temp_VDI_SI_VGP_SI)*qim+((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim_VGP_SI+(((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qim_VDI_SI+(rhob*temp)*qim_VDI_SI_VGP_SI));
#endif
GR_VSI_BP=(pInst->THER_i*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim)+((rhob*temp)*qim_VSI_BP)));
#if defined(_DERIVATE2)
  GR_VSI_BP_VDI_SI=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qim)+((rhob*temp)*qim_VDI_SI)))+0.0*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim)+((rhob*temp)*qim_VSI_BP))+pInst->THER_i*(+(+rhob_VSI_BP_VDI_SI*temp+rhob_VSI_BP*temp_VDI_SI+rhob_VDI_SI*temp_VSI_BP+rhob*temp_VSI_BP_VDI_SI)*qim+((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim_VDI_SI+(((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qim_VSI_BP+(rhob*temp)*qim_VSI_BP_VDI_SI));
  GR_VSI_BP_VSI_BP=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qim)+((rhob*temp)*qim_VSI_BP)))+0.0*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim)+((rhob*temp)*qim_VSI_BP))+pInst->THER_i*(+(+rhob_VSI_BP_VSI_BP*temp+rhob_VSI_BP*temp_VSI_BP+rhob_VSI_BP*temp_VSI_BP+rhob*temp_VSI_BP_VSI_BP)*qim+((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim_VSI_BP+(((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qim_VSI_BP+(rhob*temp)*qim_VSI_BP_VSI_BP));
  GR_VSI_BP_VGP_SI=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qim)+((rhob*temp)*qim_VGP_SI)))+0.0*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim)+((rhob*temp)*qim_VSI_BP))+pInst->THER_i*(+(+rhob_VSI_BP_VGP_SI*temp+rhob_VSI_BP*temp_VGP_SI+rhob_VGP_SI*temp_VSI_BP+rhob*temp_VSI_BP_VGP_SI)*qim+((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim_VGP_SI+(((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qim_VSI_BP+(rhob*temp)*qim_VSI_BP_VGP_SI));
#endif
GR_VGP_SI=(pInst->THER_i*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim)+((rhob*temp)*qim_VGP_SI)));
#if defined(_DERIVATE2)
  GR_VGP_SI_VDI_SI=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qim)+((rhob*temp)*qim_VDI_SI)))+0.0*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim)+((rhob*temp)*qim_VGP_SI))+pInst->THER_i*(+(+rhob_VGP_SI_VDI_SI*temp+rhob_VGP_SI*temp_VDI_SI+rhob_VDI_SI*temp_VGP_SI+rhob*temp_VGP_SI_VDI_SI)*qim+((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim_VDI_SI+(((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qim_VGP_SI+(rhob*temp)*qim_VGP_SI_VDI_SI));
  GR_VGP_SI_VSI_BP=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qim)+((rhob*temp)*qim_VSI_BP)))+0.0*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim)+((rhob*temp)*qim_VGP_SI))+pInst->THER_i*(+(+rhob_VGP_SI_VSI_BP*temp+rhob_VGP_SI*temp_VSI_BP+rhob_VSI_BP*temp_VGP_SI+rhob*temp_VGP_SI_VSI_BP)*qim+((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim_VSI_BP+(((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qim_VGP_SI+(rhob*temp)*qim_VGP_SI_VSI_BP));
  GR_VGP_SI_VGP_SI=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qim)+((rhob*temp)*qim_VGP_SI)))+0.0*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim)+((rhob*temp)*qim_VGP_SI))+pInst->THER_i*(+(+rhob_VGP_SI_VGP_SI*temp+rhob_VGP_SI*temp_VGP_SI+rhob_VGP_SI*temp_VGP_SI+rhob*temp_VGP_SI_VGP_SI)*qim+((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim_VGP_SI+(((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qim_VGP_SI+(rhob*temp)*qim_VGP_SI_VGP_SI));
#endif
#endif
GR=(pInst->THER_i*((rhob*temp)*qim));
EXIT_IF_ISNAN((pInst->THER_i*((rhob*temp)*qim)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qeff_VDI_SI=(qbm_VDI_SI+(pInst->eta_mu*qim_VDI_SI));
#if defined(_DERIVATE2)
  qeff_VDI_SI_VDI_SI=(+qbm_VDI_SI_VDI_SI+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VDI_SI+pInst->eta_mu*qim_VDI_SI_VDI_SI));
  qeff_VDI_SI_VGP_SI=(+qbm_VDI_SI_VGP_SI+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VDI_SI+pInst->eta_mu*qim_VDI_SI_VGP_SI));
  qeff_VDI_SI_VSI_BP=(+qbm_VDI_SI_VSI_BP+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VDI_SI+pInst->eta_mu*qim_VDI_SI_VSI_BP));
#endif
qeff_VGP_SI=(qbm_VGP_SI+(pInst->eta_mu*qim_VGP_SI));
#if defined(_DERIVATE2)
  qeff_VGP_SI_VDI_SI=(+qbm_VGP_SI_VDI_SI+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VGP_SI+pInst->eta_mu*qim_VGP_SI_VDI_SI));
  qeff_VGP_SI_VGP_SI=(+qbm_VGP_SI_VGP_SI+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VGP_SI+pInst->eta_mu*qim_VGP_SI_VGP_SI));
  qeff_VGP_SI_VSI_BP=(+qbm_VGP_SI_VSI_BP+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VGP_SI+pInst->eta_mu*qim_VGP_SI_VSI_BP));
#endif
qeff_VSI_BP=(qbm_VSI_BP+(pInst->eta_mu*qim_VSI_BP));
#if defined(_DERIVATE2)
  qeff_VSI_BP_VDI_SI=(+qbm_VSI_BP_VDI_SI+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VSI_BP+pInst->eta_mu*qim_VSI_BP_VDI_SI));
  qeff_VSI_BP_VGP_SI=(+qbm_VSI_BP_VGP_SI+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VSI_BP+pInst->eta_mu*qim_VSI_BP_VGP_SI));
  qeff_VSI_BP_VSI_BP=(+qbm_VSI_BP_VSI_BP+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VSI_BP+pInst->eta_mu*qim_VSI_BP_VSI_BP));
#endif
#endif
qeff=(qbm+(pInst->eta_mu*qim));
EXIT_IF_ISNAN((qbm+(pInst->eta_mu*qim)))
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
qeff1_VDI_SI=(qbm_VDI_SI+(pInst->eta_mu1*qim_VDI_SI));
#if defined(_DERIVATE2)
  qeff1_VDI_SI_VDI_SI=(+qbm_VDI_SI_VDI_SI+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VDI_SI+pInst->eta_mu1*qim_VDI_SI_VDI_SI));
  qeff1_VDI_SI_VGP_SI=(+qbm_VDI_SI_VGP_SI+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VDI_SI+pInst->eta_mu1*qim_VDI_SI_VGP_SI));
  qeff1_VDI_SI_VSI_BP=(+qbm_VDI_SI_VSI_BP+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VDI_SI+pInst->eta_mu1*qim_VDI_SI_VSI_BP));
#endif
qeff1_VGP_SI=(qbm_VGP_SI+(pInst->eta_mu1*qim_VGP_SI));
#if defined(_DERIVATE2)
  qeff1_VGP_SI_VDI_SI=(+qbm_VGP_SI_VDI_SI+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VGP_SI+pInst->eta_mu1*qim_VGP_SI_VDI_SI));
  qeff1_VGP_SI_VGP_SI=(+qbm_VGP_SI_VGP_SI+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VGP_SI+pInst->eta_mu1*qim_VGP_SI_VGP_SI));
  qeff1_VGP_SI_VSI_BP=(+qbm_VGP_SI_VSI_BP+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VGP_SI+pInst->eta_mu1*qim_VGP_SI_VSI_BP));
#endif
qeff1_VSI_BP=(qbm_VSI_BP+(pInst->eta_mu1*qim_VSI_BP));
#if defined(_DERIVATE2)
  qeff1_VSI_BP_VDI_SI=(+qbm_VSI_BP_VDI_SI+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VSI_BP+pInst->eta_mu1*qim_VSI_BP_VDI_SI));
  qeff1_VSI_BP_VGP_SI=(+qbm_VSI_BP_VGP_SI+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VSI_BP+pInst->eta_mu1*qim_VSI_BP_VGP_SI));
  qeff1_VSI_BP_VSI_BP=(+qbm_VSI_BP_VSI_BP+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VSI_BP+pInst->eta_mu1*qim_VSI_BP_VSI_BP));
#endif
#endif
qeff1=(qbm+(pInst->eta_mu1*qim));
EXIT_IF_ISNAN((qbm+(pInst->eta_mu1*qim)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Eeffm_VDI_SI=(pInst->E_eff0*qeff_VDI_SI);
#if defined(_DERIVATE2)
  Eeffm_VDI_SI_VDI_SI=(+0.0*qeff+0.0*qeff_VDI_SI+0.0*qeff_VDI_SI+pInst->E_eff0*qeff_VDI_SI_VDI_SI);
  Eeffm_VDI_SI_VGP_SI=(+0.0*qeff+0.0*qeff_VGP_SI+0.0*qeff_VDI_SI+pInst->E_eff0*qeff_VDI_SI_VGP_SI);
  Eeffm_VDI_SI_VSI_BP=(+0.0*qeff+0.0*qeff_VSI_BP+0.0*qeff_VDI_SI+pInst->E_eff0*qeff_VDI_SI_VSI_BP);
#endif
Eeffm_VGP_SI=(pInst->E_eff0*qeff_VGP_SI);
#if defined(_DERIVATE2)
  Eeffm_VGP_SI_VDI_SI=(+0.0*qeff+0.0*qeff_VDI_SI+0.0*qeff_VGP_SI+pInst->E_eff0*qeff_VGP_SI_VDI_SI);
  Eeffm_VGP_SI_VGP_SI=(+0.0*qeff+0.0*qeff_VGP_SI+0.0*qeff_VGP_SI+pInst->E_eff0*qeff_VGP_SI_VGP_SI);
  Eeffm_VGP_SI_VSI_BP=(+0.0*qeff+0.0*qeff_VSI_BP+0.0*qeff_VGP_SI+pInst->E_eff0*qeff_VGP_SI_VSI_BP);
#endif
Eeffm_VSI_BP=(pInst->E_eff0*qeff_VSI_BP);
#if defined(_DERIVATE2)
  Eeffm_VSI_BP_VDI_SI=(+0.0*qeff+0.0*qeff_VDI_SI+0.0*qeff_VSI_BP+pInst->E_eff0*qeff_VSI_BP_VDI_SI);
  Eeffm_VSI_BP_VGP_SI=(+0.0*qeff+0.0*qeff_VGP_SI+0.0*qeff_VSI_BP+pInst->E_eff0*qeff_VSI_BP_VGP_SI);
  Eeffm_VSI_BP_VSI_BP=(+0.0*qeff+0.0*qeff_VSI_BP+0.0*qeff_VSI_BP+pInst->E_eff0*qeff_VSI_BP_VSI_BP);
#endif
#endif
Eeffm=(pInst->E_eff0*qeff);
EXIT_IF_ISNAN((pInst->E_eff0*qeff))
{
double m00_logE(d00_logE0,(Pm/((Pm+Dm)+1.0e-14)))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(Pm/((Pm+Dm)+1.0e-14)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*d10_logE0;
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VDI_SI_VDI_SI/((Pm+Dm)+1.0e-14)-(Pm_VDI_SI*(Pm_VDI_SI+Dm_VDI_SI)+Pm_VDI_SI*(Pm_VDI_SI+Dm_VDI_SI)+Pm*(+(+Pm_VDI_SI_VDI_SI+Dm_VDI_SI_VDI_SI)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VDI_SI+Dm_VDI_SI)*(Pm_VDI_SI+Dm_VDI_SI)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
  temp1_VDI_SI_VGP_SI=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VDI_SI_VGP_SI/((Pm+Dm)+1.0e-14)-(Pm_VDI_SI*(Pm_VGP_SI+Dm_VGP_SI)+Pm_VGP_SI*(Pm_VDI_SI+Dm_VDI_SI)+Pm*(+(+Pm_VDI_SI_VGP_SI+Dm_VDI_SI_VGP_SI)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VDI_SI+Dm_VDI_SI)*(Pm_VGP_SI+Dm_VGP_SI)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
  temp1_VDI_SI_VSI_BP=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VDI_SI_VSI_BP/((Pm+Dm)+1.0e-14)-(Pm_VDI_SI*(Pm_VSI_BP+Dm_VSI_BP)+Pm_VSI_BP*(Pm_VDI_SI+Dm_VDI_SI)+Pm*(+(+Pm_VDI_SI_VSI_BP+Dm_VDI_SI_VSI_BP)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VDI_SI+Dm_VDI_SI)*(Pm_VSI_BP+Dm_VSI_BP)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
#endif
temp1_VGP_SI=((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*d10_logE0;
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VGP_SI_VDI_SI/((Pm+Dm)+1.0e-14)-(Pm_VGP_SI*(Pm_VDI_SI+Dm_VDI_SI)+Pm_VDI_SI*(Pm_VGP_SI+Dm_VGP_SI)+Pm*(+(+Pm_VGP_SI_VDI_SI+Dm_VGP_SI_VDI_SI)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VGP_SI+Dm_VGP_SI)*(Pm_VDI_SI+Dm_VDI_SI)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
  temp1_VGP_SI_VGP_SI=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VGP_SI_VGP_SI/((Pm+Dm)+1.0e-14)-(Pm_VGP_SI*(Pm_VGP_SI+Dm_VGP_SI)+Pm_VGP_SI*(Pm_VGP_SI+Dm_VGP_SI)+Pm*(+(+Pm_VGP_SI_VGP_SI+Dm_VGP_SI_VGP_SI)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VGP_SI+Dm_VGP_SI)*(Pm_VGP_SI+Dm_VGP_SI)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
  temp1_VGP_SI_VSI_BP=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VGP_SI_VSI_BP/((Pm+Dm)+1.0e-14)-(Pm_VGP_SI*(Pm_VSI_BP+Dm_VSI_BP)+Pm_VSI_BP*(Pm_VGP_SI+Dm_VGP_SI)+Pm*(+(+Pm_VGP_SI_VSI_BP+Dm_VGP_SI_VSI_BP)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VGP_SI+Dm_VGP_SI)*(Pm_VSI_BP+Dm_VSI_BP)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
#endif
temp1_VSI_BP=((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*d10_logE0;
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VSI_BP_VDI_SI/((Pm+Dm)+1.0e-14)-(Pm_VSI_BP*(Pm_VDI_SI+Dm_VDI_SI)+Pm_VDI_SI*(Pm_VSI_BP+Dm_VSI_BP)+Pm*(+(+Pm_VSI_BP_VDI_SI+Dm_VSI_BP_VDI_SI)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VSI_BP+Dm_VSI_BP)*(Pm_VDI_SI+Dm_VDI_SI)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
  temp1_VSI_BP_VGP_SI=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VSI_BP_VGP_SI/((Pm+Dm)+1.0e-14)-(Pm_VSI_BP*(Pm_VGP_SI+Dm_VGP_SI)+Pm_VGP_SI*(Pm_VSI_BP+Dm_VSI_BP)+Pm*(+(+Pm_VSI_BP_VGP_SI+Dm_VSI_BP_VGP_SI)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VSI_BP+Dm_VSI_BP)*(Pm_VGP_SI+Dm_VGP_SI)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
  temp1_VSI_BP_VSI_BP=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VSI_BP_VSI_BP/((Pm+Dm)+1.0e-14)-(Pm_VSI_BP*(Pm_VSI_BP+Dm_VSI_BP)+Pm_VSI_BP*(Pm_VSI_BP+Dm_VSI_BP)+Pm*(+(+Pm_VSI_BP_VSI_BP+Dm_VSI_BP_VSI_BP)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VSI_BP+Dm_VSI_BP)*(Pm_VSI_BP+Dm_VSI_BP)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
#endif
#endif
pInst->temp1=d00_logE0;
EXIT_IF_ISNAN(d00_logE0)
}
{
double m00_pow(d00_pow0,(Eeffm*pInst->MUE_T),pInst->THEMU_T)
double m00_exp(d00_exp1,((0.5*pInst->THECS_T)*pInst->temp1))
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(Eeffm*pInst->MUE_T),pInst->THEMU_T)
#define d10_exp1 d00_exp1
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Mutmp_VDI_SI=((d10_pow0*Eeffm_VDI_SI*pInst->MUE_T)+(pInst->CS_T*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1));
#if defined(_DERIVATE2)
  Mutmp_VDI_SI_VDI_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*((0.5*pInst->THECS_T)*temp1_VDI_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VDI_SI+(0.0)*temp1_VDI_SI+(0.5*pInst->THECS_T)*temp1_VDI_SI_VDI_SI))));
  Mutmp_VDI_SI_VGP_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*((0.5*pInst->THECS_T)*temp1_VDI_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VGP_SI+(0.0)*temp1_VDI_SI+(0.5*pInst->THECS_T)*temp1_VDI_SI_VGP_SI))));
  Mutmp_VDI_SI_VSI_BP=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*((0.5*pInst->THECS_T)*temp1_VDI_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VSI_BP+(0.0)*temp1_VDI_SI+(0.5*pInst->THECS_T)*temp1_VDI_SI_VSI_BP))));
#endif
Mutmp_VGP_SI=((d10_pow0*Eeffm_VGP_SI*pInst->MUE_T)+(pInst->CS_T*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1));
#if defined(_DERIVATE2)
  Mutmp_VGP_SI_VDI_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*((0.5*pInst->THECS_T)*temp1_VGP_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VDI_SI+(0.0)*temp1_VGP_SI+(0.5*pInst->THECS_T)*temp1_VGP_SI_VDI_SI))));
  Mutmp_VGP_SI_VGP_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*((0.5*pInst->THECS_T)*temp1_VGP_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VGP_SI+(0.0)*temp1_VGP_SI+(0.5*pInst->THECS_T)*temp1_VGP_SI_VGP_SI))));
  Mutmp_VGP_SI_VSI_BP=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*((0.5*pInst->THECS_T)*temp1_VGP_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VSI_BP+(0.0)*temp1_VGP_SI+(0.5*pInst->THECS_T)*temp1_VGP_SI_VSI_BP))));
#endif
Mutmp_VSI_BP=((d10_pow0*Eeffm_VSI_BP*pInst->MUE_T)+(pInst->CS_T*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1));
#if defined(_DERIVATE2)
  Mutmp_VSI_BP_VDI_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*((0.5*pInst->THECS_T)*temp1_VSI_BP)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VDI_SI+(0.0)*temp1_VSI_BP+(0.5*pInst->THECS_T)*temp1_VSI_BP_VDI_SI))));
  Mutmp_VSI_BP_VGP_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*((0.5*pInst->THECS_T)*temp1_VSI_BP)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VGP_SI+(0.0)*temp1_VSI_BP+(0.5*pInst->THECS_T)*temp1_VSI_BP_VGP_SI))));
  Mutmp_VSI_BP_VSI_BP=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*((0.5*pInst->THECS_T)*temp1_VSI_BP)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VSI_BP+(0.0)*temp1_VSI_BP+(0.5*pInst->THECS_T)*temp1_VSI_BP_VSI_BP))));
#endif
#endif
Mutmp=(d00_pow0+(pInst->CS_T*d00_exp1));
EXIT_IF_ISNAN((d00_pow0+(pInst->CS_T*d00_exp1)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gmob_VDI_SI=(((Mutmp_VDI_SI+GR_VDI_SI)*Rxcor)+(((1.0+Mutmp)+GR)*Rxcor_VDI_SI));
#if defined(_DERIVATE2)
  Gmob_VDI_SI_VDI_SI=(+(+(+0.0+Mutmp_VDI_SI_VDI_SI)+GR_VDI_SI_VDI_SI)*Rxcor+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VDI_SI+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VDI_SI+((1.0+Mutmp)+GR)*Rxcor_VDI_SI_VDI_SI);
  Gmob_VDI_SI_VGP_SI=(+(+(+0.0+Mutmp_VDI_SI_VGP_SI)+GR_VDI_SI_VGP_SI)*Rxcor+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VGP_SI+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VDI_SI+((1.0+Mutmp)+GR)*Rxcor_VDI_SI_VGP_SI);
  Gmob_VDI_SI_VSI_BP=(+(+(+0.0+Mutmp_VDI_SI_VSI_BP)+GR_VDI_SI_VSI_BP)*Rxcor+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VSI_BP+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VDI_SI+((1.0+Mutmp)+GR)*Rxcor_VDI_SI_VSI_BP);
#endif
Gmob_VGP_SI=(((Mutmp_VGP_SI+GR_VGP_SI)*Rxcor)+(((1.0+Mutmp)+GR)*Rxcor_VGP_SI));
#if defined(_DERIVATE2)
  Gmob_VGP_SI_VDI_SI=(+(+(+0.0+Mutmp_VGP_SI_VDI_SI)+GR_VGP_SI_VDI_SI)*Rxcor+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VDI_SI+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VGP_SI+((1.0+Mutmp)+GR)*Rxcor_VGP_SI_VDI_SI);
  Gmob_VGP_SI_VGP_SI=(+(+(+0.0+Mutmp_VGP_SI_VGP_SI)+GR_VGP_SI_VGP_SI)*Rxcor+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VGP_SI+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VGP_SI+((1.0+Mutmp)+GR)*Rxcor_VGP_SI_VGP_SI);
  Gmob_VGP_SI_VSI_BP=(+(+(+0.0+Mutmp_VGP_SI_VSI_BP)+GR_VGP_SI_VSI_BP)*Rxcor+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VSI_BP+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VGP_SI+((1.0+Mutmp)+GR)*Rxcor_VGP_SI_VSI_BP);
#endif
Gmob_VSI_BP=(((Mutmp_VSI_BP+GR_VSI_BP)*Rxcor)+(((1.0+Mutmp)+GR)*Rxcor_VSI_BP));
#if defined(_DERIVATE2)
  Gmob_VSI_BP_VDI_SI=(+(+(+0.0+Mutmp_VSI_BP_VDI_SI)+GR_VSI_BP_VDI_SI)*Rxcor+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VDI_SI+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VSI_BP+((1.0+Mutmp)+GR)*Rxcor_VSI_BP_VDI_SI);
  Gmob_VSI_BP_VGP_SI=(+(+(+0.0+Mutmp_VSI_BP_VGP_SI)+GR_VSI_BP_VGP_SI)*Rxcor+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VGP_SI+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VSI_BP+((1.0+Mutmp)+GR)*Rxcor_VSI_BP_VGP_SI);
  Gmob_VSI_BP_VSI_BP=(+(+(+0.0+Mutmp_VSI_BP_VSI_BP)+GR_VSI_BP_VSI_BP)*Rxcor+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VSI_BP+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VSI_BP+((1.0+Mutmp)+GR)*Rxcor_VSI_BP_VSI_BP);
#endif
#endif
Gmob=(((1.0+Mutmp)+GR)*Rxcor);
EXIT_IF_ISNAN((((1.0+Mutmp)+GR)*Rxcor))
{
double m00_logE(d00_logE0,((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
s1_VDI_SI=(((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*d10_logE0;
#if defined(_DERIVATE2)
  s1_VDI_SI_VDI_SI=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+Vds_VDI_SI_VDI_SI-dps_VDI_SI_VDI_SI)*pInst->inv_VP+(Vds_VDI_SI-dps_VDI_SI)*0.0+(Vds_VDI_SI-dps_VDI_SI)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)+((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP)*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VDI_SI_VDI_SI-dps_VDI_SI_VDI_SI)*pInst->inv_VP+(Vdse_VDI_SI-dps_VDI_SI)*0.0+(Vdse_VDI_SI-dps_VDI_SI)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
  s1_VDI_SI_VGP_SI=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((-dps_VGP_SI)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VDI_SI_VGP_SI)*pInst->inv_VP+(Vds_VDI_SI-dps_VDI_SI)*0.0+(-dps_VGP_SI)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)+((-dps_VGP_SI)*pInst->inv_VP)*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VDI_SI_VGP_SI-dps_VDI_SI_VGP_SI)*pInst->inv_VP+(Vdse_VDI_SI-dps_VDI_SI)*0.0+(Vdse_VGP_SI-dps_VGP_SI)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
  s1_VDI_SI_VSI_BP=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((-dps_VSI_BP)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VDI_SI_VSI_BP)*pInst->inv_VP+(Vds_VDI_SI-dps_VDI_SI)*0.0+(-dps_VSI_BP)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)+((-dps_VSI_BP)*pInst->inv_VP)*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VDI_SI_VSI_BP-dps_VDI_SI_VSI_BP)*pInst->inv_VP+(Vdse_VDI_SI-dps_VDI_SI)*0.0+(Vdse_VSI_BP-dps_VSI_BP)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
#endif
s1_VGP_SI=(((-dps_VGP_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*d10_logE0;
#if defined(_DERIVATE2)
  s1_VGP_SI_VDI_SI=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((-dps_VGP_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VGP_SI_VDI_SI)*pInst->inv_VP+(-dps_VGP_SI)*0.0+(Vds_VDI_SI-dps_VDI_SI)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((-dps_VGP_SI)*pInst->inv_VP*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)+((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP)*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VGP_SI_VDI_SI-dps_VGP_SI_VDI_SI)*pInst->inv_VP+(Vdse_VGP_SI-dps_VGP_SI)*0.0+(Vdse_VDI_SI-dps_VDI_SI)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
  s1_VGP_SI_VGP_SI=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((-dps_VGP_SI)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((-dps_VGP_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VGP_SI_VGP_SI)*pInst->inv_VP+(-dps_VGP_SI)*0.0+(-dps_VGP_SI)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((-dps_VGP_SI)*pInst->inv_VP*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)+((-dps_VGP_SI)*pInst->inv_VP)*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VGP_SI_VGP_SI-dps_VGP_SI_VGP_SI)*pInst->inv_VP+(Vdse_VGP_SI-dps_VGP_SI)*0.0+(Vdse_VGP_SI-dps_VGP_SI)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
  s1_VGP_SI_VSI_BP=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((-dps_VSI_BP)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((-dps_VGP_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VGP_SI_VSI_BP)*pInst->inv_VP+(-dps_VGP_SI)*0.0+(-dps_VSI_BP)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((-dps_VGP_SI)*pInst->inv_VP*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)+((-dps_VSI_BP)*pInst->inv_VP)*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VGP_SI_VSI_BP-dps_VGP_SI_VSI_BP)*pInst->inv_VP+(Vdse_VGP_SI-dps_VGP_SI)*0.0+(Vdse_VSI_BP-dps_VSI_BP)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
#endif
s1_VSI_BP=(((-dps_VSI_BP)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*d10_logE0;
#if defined(_DERIVATE2)
  s1_VSI_BP_VDI_SI=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((-dps_VSI_BP)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VSI_BP_VDI_SI)*pInst->inv_VP+(-dps_VSI_BP)*0.0+(Vds_VDI_SI-dps_VDI_SI)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((-dps_VSI_BP)*pInst->inv_VP*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)+((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP)*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VSI_BP_VDI_SI-dps_VSI_BP_VDI_SI)*pInst->inv_VP+(Vdse_VSI_BP-dps_VSI_BP)*0.0+(Vdse_VDI_SI-dps_VDI_SI)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
  s1_VSI_BP_VGP_SI=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((-dps_VGP_SI)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((-dps_VSI_BP)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VSI_BP_VGP_SI)*pInst->inv_VP+(-dps_VSI_BP)*0.0+(-dps_VGP_SI)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((-dps_VSI_BP)*pInst->inv_VP*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)+((-dps_VGP_SI)*pInst->inv_VP)*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VSI_BP_VGP_SI-dps_VSI_BP_VGP_SI)*pInst->inv_VP+(Vdse_VSI_BP-dps_VSI_BP)*0.0+(Vdse_VGP_SI-dps_VGP_SI)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
  s1_VSI_BP_VSI_BP=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((-dps_VSI_BP)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((-dps_VSI_BP)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VSI_BP_VSI_BP)*pInst->inv_VP+(-dps_VSI_BP)*0.0+(-dps_VSI_BP)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((-dps_VSI_BP)*pInst->inv_VP*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)+((-dps_VSI_BP)*pInst->inv_VP)*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VSI_BP_VSI_BP-dps_VSI_BP_VSI_BP)*pInst->inv_VP+(Vdse_VSI_BP-dps_VSI_BP)*0.0+(Vdse_VSI_BP-dps_VSI_BP)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
#endif
#endif
s1=d00_logE0;
EXIT_IF_ISNAN(d00_logE0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dL_VDI_SI=(alploc*s1_VDI_SI);
#if defined(_DERIVATE2)
  dL_VDI_SI_VDI_SI=(+0.0*s1+0.0*s1_VDI_SI+0.0*s1_VDI_SI+alploc*s1_VDI_SI_VDI_SI);
  dL_VDI_SI_VGP_SI=(+0.0*s1+0.0*s1_VGP_SI+0.0*s1_VDI_SI+alploc*s1_VDI_SI_VGP_SI);
  dL_VDI_SI_VSI_BP=(+0.0*s1+0.0*s1_VSI_BP+0.0*s1_VDI_SI+alploc*s1_VDI_SI_VSI_BP);
#endif
dL_VGP_SI=(alploc*s1_VGP_SI);
#if defined(_DERIVATE2)
  dL_VGP_SI_VDI_SI=(+0.0*s1+0.0*s1_VDI_SI+0.0*s1_VGP_SI+alploc*s1_VGP_SI_VDI_SI);
  dL_VGP_SI_VGP_SI=(+0.0*s1+0.0*s1_VGP_SI+0.0*s1_VGP_SI+alploc*s1_VGP_SI_VGP_SI);
  dL_VGP_SI_VSI_BP=(+0.0*s1+0.0*s1_VSI_BP+0.0*s1_VGP_SI+alploc*s1_VGP_SI_VSI_BP);
#endif
dL_VSI_BP=(alploc*s1_VSI_BP);
#if defined(_DERIVATE2)
  dL_VSI_BP_VDI_SI=(+0.0*s1+0.0*s1_VDI_SI+0.0*s1_VSI_BP+alploc*s1_VSI_BP_VDI_SI);
  dL_VSI_BP_VGP_SI=(+0.0*s1+0.0*s1_VGP_SI+0.0*s1_VSI_BP+alploc*s1_VSI_BP_VGP_SI);
  dL_VSI_BP_VSI_BP=(+0.0*s1+0.0*s1_VSI_BP+0.0*s1_VSI_BP+alploc*s1_VSI_BP_VSI_BP);
#endif
#endif
dL=(alploc*s1);
EXIT_IF_ISNAN((alploc*s1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
GdL_VDI_SI=(-(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
#if defined(_DERIVATE2)
  GdL_VDI_SI_VDI_SI=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VDI_SI+(((dL_VDI_SI*dL)+(dL*dL_VDI_SI))))+0.0*(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))+1.0*(+(+0.0+dL_VDI_SI_VDI_SI)+(+dL_VDI_SI_VDI_SI*dL+dL_VDI_SI*dL_VDI_SI+dL_VDI_SI*dL_VDI_SI+dL*dL_VDI_SI_VDI_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))*(dL_VDI_SI+(((dL_VDI_SI*dL)+(dL*dL_VDI_SI))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
  GdL_VDI_SI_VGP_SI=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VGP_SI+(((dL_VGP_SI*dL)+(dL*dL_VGP_SI))))+0.0*(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))+1.0*(+(+0.0+dL_VDI_SI_VGP_SI)+(+dL_VDI_SI_VGP_SI*dL+dL_VDI_SI*dL_VGP_SI+dL_VGP_SI*dL_VDI_SI+dL*dL_VDI_SI_VGP_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))*(dL_VGP_SI+(((dL_VGP_SI*dL)+(dL*dL_VGP_SI))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
  GdL_VDI_SI_VSI_BP=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VSI_BP+(((dL_VSI_BP*dL)+(dL*dL_VSI_BP))))+0.0*(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))+1.0*(+(+0.0+dL_VDI_SI_VSI_BP)+(+dL_VDI_SI_VSI_BP*dL+dL_VDI_SI*dL_VSI_BP+dL_VSI_BP*dL_VDI_SI+dL*dL_VDI_SI_VSI_BP)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))*(dL_VSI_BP+(((dL_VSI_BP*dL)+(dL*dL_VSI_BP))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
#endif
GdL_VGP_SI=(-(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
#if defined(_DERIVATE2)
  GdL_VGP_SI_VDI_SI=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VDI_SI+(((dL_VDI_SI*dL)+(dL*dL_VDI_SI))))+0.0*(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))+1.0*(+(+0.0+dL_VGP_SI_VDI_SI)+(+dL_VGP_SI_VDI_SI*dL+dL_VGP_SI*dL_VDI_SI+dL_VDI_SI*dL_VGP_SI+dL*dL_VGP_SI_VDI_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))*(dL_VDI_SI+(((dL_VDI_SI*dL)+(dL*dL_VDI_SI))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
  GdL_VGP_SI_VGP_SI=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VGP_SI+(((dL_VGP_SI*dL)+(dL*dL_VGP_SI))))+0.0*(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))+1.0*(+(+0.0+dL_VGP_SI_VGP_SI)+(+dL_VGP_SI_VGP_SI*dL+dL_VGP_SI*dL_VGP_SI+dL_VGP_SI*dL_VGP_SI+dL*dL_VGP_SI_VGP_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))*(dL_VGP_SI+(((dL_VGP_SI*dL)+(dL*dL_VGP_SI))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
  GdL_VGP_SI_VSI_BP=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VSI_BP+(((dL_VSI_BP*dL)+(dL*dL_VSI_BP))))+0.0*(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))+1.0*(+(+0.0+dL_VGP_SI_VSI_BP)+(+dL_VGP_SI_VSI_BP*dL+dL_VGP_SI*dL_VSI_BP+dL_VSI_BP*dL_VGP_SI+dL*dL_VGP_SI_VSI_BP)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))*(dL_VSI_BP+(((dL_VSI_BP*dL)+(dL*dL_VSI_BP))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
#endif
GdL_VSI_BP=(-(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
#if defined(_DERIVATE2)
  GdL_VSI_BP_VDI_SI=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VDI_SI+(((dL_VDI_SI*dL)+(dL*dL_VDI_SI))))+0.0*(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))+1.0*(+(+0.0+dL_VSI_BP_VDI_SI)+(+dL_VSI_BP_VDI_SI*dL+dL_VSI_BP*dL_VDI_SI+dL_VDI_SI*dL_VSI_BP+dL*dL_VSI_BP_VDI_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))*(dL_VDI_SI+(((dL_VDI_SI*dL)+(dL*dL_VDI_SI))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
  GdL_VSI_BP_VGP_SI=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VGP_SI+(((dL_VGP_SI*dL)+(dL*dL_VGP_SI))))+0.0*(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))+1.0*(+(+0.0+dL_VSI_BP_VGP_SI)+(+dL_VSI_BP_VGP_SI*dL+dL_VSI_BP*dL_VGP_SI+dL_VGP_SI*dL_VSI_BP+dL*dL_VSI_BP_VGP_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))*(dL_VGP_SI+(((dL_VGP_SI*dL)+(dL*dL_VGP_SI))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
  GdL_VSI_BP_VSI_BP=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VSI_BP+(((dL_VSI_BP*dL)+(dL*dL_VSI_BP))))+0.0*(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))+1.0*(+(+0.0+dL_VSI_BP_VSI_BP)+(+dL_VSI_BP_VSI_BP*dL+dL_VSI_BP*dL_VSI_BP+dL_VSI_BP*dL_VSI_BP+dL*dL_VSI_BP_VSI_BP)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))*(dL_VSI_BP+(((dL_VSI_BP*dL)+(dL*dL_VSI_BP))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
#endif
#endif
GdL=(1.0/((1.0+dL)+(dL*dL)));
EXIT_IF_ISNAN((1.0/((1.0+dL)+(dL*dL))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=((qim_VDI_SI*xitsb)+(qim*xitsb_VDI_SI));
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(+qim_VDI_SI_VDI_SI*xitsb+qim_VDI_SI*xitsb_VDI_SI+qim_VDI_SI*xitsb_VDI_SI+qim*xitsb_VDI_SI_VDI_SI);
  temp2_VDI_SI_VGP_SI=(+qim_VDI_SI_VGP_SI*xitsb+qim_VDI_SI*xitsb_VGP_SI+qim_VGP_SI*xitsb_VDI_SI+qim*xitsb_VDI_SI_VGP_SI);
  temp2_VDI_SI_VSI_BP=(+qim_VDI_SI_VSI_BP*xitsb+qim_VDI_SI*xitsb_VSI_BP+qim_VSI_BP*xitsb_VDI_SI+qim*xitsb_VDI_SI_VSI_BP);
#endif
temp2_VGP_SI=((qim_VGP_SI*xitsb)+(qim*xitsb_VGP_SI));
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(+qim_VGP_SI_VDI_SI*xitsb+qim_VGP_SI*xitsb_VDI_SI+qim_VDI_SI*xitsb_VGP_SI+qim*xitsb_VGP_SI_VDI_SI);
  temp2_VGP_SI_VGP_SI=(+qim_VGP_SI_VGP_SI*xitsb+qim_VGP_SI*xitsb_VGP_SI+qim_VGP_SI*xitsb_VGP_SI+qim*xitsb_VGP_SI_VGP_SI);
  temp2_VGP_SI_VSI_BP=(+qim_VGP_SI_VSI_BP*xitsb+qim_VGP_SI*xitsb_VSI_BP+qim_VSI_BP*xitsb_VGP_SI+qim*xitsb_VGP_SI_VSI_BP);
#endif
temp2_VSI_BP=((qim_VSI_BP*xitsb)+(qim*xitsb_VSI_BP));
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(+qim_VSI_BP_VDI_SI*xitsb+qim_VSI_BP*xitsb_VDI_SI+qim_VDI_SI*xitsb_VSI_BP+qim*xitsb_VSI_BP_VDI_SI);
  temp2_VSI_BP_VGP_SI=(+qim_VSI_BP_VGP_SI*xitsb+qim_VSI_BP*xitsb_VGP_SI+qim_VGP_SI*xitsb_VSI_BP+qim*xitsb_VSI_BP_VGP_SI);
  temp2_VSI_BP_VSI_BP=(+qim_VSI_BP_VSI_BP*xitsb+qim_VSI_BP*xitsb_VSI_BP+qim_VSI_BP*xitsb_VSI_BP+qim*xitsb_VSI_BP_VSI_BP);
#endif
#endif
temp2=(qim*xitsb);
EXIT_IF_ISNAN((qim*xitsb))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
wsat_VDI_SI=(100.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2)));
#if defined(_DERIVATE2)
  wsat_VDI_SI_VDI_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VDI_SI_VDI_SI/(100.0+temp2)-(temp2_VDI_SI*temp2_VDI_SI+temp2_VDI_SI*temp2_VDI_SI+temp2*(+0.0+temp2_VDI_SI_VDI_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VDI_SI*temp2_VDI_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VDI_SI_VGP_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VDI_SI_VGP_SI/(100.0+temp2)-(temp2_VDI_SI*temp2_VGP_SI+temp2_VGP_SI*temp2_VDI_SI+temp2*(+0.0+temp2_VDI_SI_VGP_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VDI_SI*temp2_VGP_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VDI_SI_VSI_BP=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VDI_SI_VSI_BP/(100.0+temp2)-(temp2_VDI_SI*temp2_VSI_BP+temp2_VSI_BP*temp2_VDI_SI+temp2*(+0.0+temp2_VDI_SI_VSI_BP))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VDI_SI*temp2_VSI_BP/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
#endif
wsat_VGP_SI=(100.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2)));
#if defined(_DERIVATE2)
  wsat_VGP_SI_VDI_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VGP_SI_VDI_SI/(100.0+temp2)-(temp2_VGP_SI*temp2_VDI_SI+temp2_VDI_SI*temp2_VGP_SI+temp2*(+0.0+temp2_VGP_SI_VDI_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VGP_SI*temp2_VDI_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VGP_SI_VGP_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VGP_SI_VGP_SI/(100.0+temp2)-(temp2_VGP_SI*temp2_VGP_SI+temp2_VGP_SI*temp2_VGP_SI+temp2*(+0.0+temp2_VGP_SI_VGP_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VGP_SI*temp2_VGP_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VGP_SI_VSI_BP=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VGP_SI_VSI_BP/(100.0+temp2)-(temp2_VGP_SI*temp2_VSI_BP+temp2_VSI_BP*temp2_VGP_SI+temp2*(+0.0+temp2_VGP_SI_VSI_BP))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VGP_SI*temp2_VSI_BP/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
#endif
wsat_VSI_BP=(100.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2)));
#if defined(_DERIVATE2)
  wsat_VSI_BP_VDI_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VSI_BP_VDI_SI/(100.0+temp2)-(temp2_VSI_BP*temp2_VDI_SI+temp2_VDI_SI*temp2_VSI_BP+temp2*(+0.0+temp2_VSI_BP_VDI_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VSI_BP*temp2_VDI_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VSI_BP_VGP_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VSI_BP_VGP_SI/(100.0+temp2)-(temp2_VSI_BP*temp2_VGP_SI+temp2_VGP_SI*temp2_VSI_BP+temp2*(+0.0+temp2_VSI_BP_VGP_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VSI_BP*temp2_VGP_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VSI_BP_VSI_BP=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VSI_BP_VSI_BP/(100.0+temp2)-(temp2_VSI_BP*temp2_VSI_BP+temp2_VSI_BP*temp2_VSI_BP+temp2*(+0.0+temp2_VSI_BP_VSI_BP))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VSI_BP*temp2_VSI_BP/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
#endif
#endif
wsat=(100.0*(temp2/(100.0+temp2)));
EXIT_IF_ISNAN((100.0*(temp2/(100.0+temp2))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Gmob_dL_VDI_SI=((Gmob_VDI_SI*GdL)+(Gmob*GdL_VDI_SI));
#if defined(_DERIVATE2)
  Gmob_dL_VDI_SI_VDI_SI=(+Gmob_VDI_SI_VDI_SI*GdL+Gmob_VDI_SI*GdL_VDI_SI+Gmob_VDI_SI*GdL_VDI_SI+Gmob*GdL_VDI_SI_VDI_SI);
  Gmob_dL_VDI_SI_VGP_SI=(+Gmob_VDI_SI_VGP_SI*GdL+Gmob_VDI_SI*GdL_VGP_SI+Gmob_VGP_SI*GdL_VDI_SI+Gmob*GdL_VDI_SI_VGP_SI);
  Gmob_dL_VDI_SI_VSI_BP=(+Gmob_VDI_SI_VSI_BP*GdL+Gmob_VDI_SI*GdL_VSI_BP+Gmob_VSI_BP*GdL_VDI_SI+Gmob*GdL_VDI_SI_VSI_BP);
#endif
Gmob_dL_VGP_SI=((Gmob_VGP_SI*GdL)+(Gmob*GdL_VGP_SI));
#if defined(_DERIVATE2)
  Gmob_dL_VGP_SI_VDI_SI=(+Gmob_VGP_SI_VDI_SI*GdL+Gmob_VGP_SI*GdL_VDI_SI+Gmob_VDI_SI*GdL_VGP_SI+Gmob*GdL_VGP_SI_VDI_SI);
  Gmob_dL_VGP_SI_VGP_SI=(+Gmob_VGP_SI_VGP_SI*GdL+Gmob_VGP_SI*GdL_VGP_SI+Gmob_VGP_SI*GdL_VGP_SI+Gmob*GdL_VGP_SI_VGP_SI);
  Gmob_dL_VGP_SI_VSI_BP=(+Gmob_VGP_SI_VSI_BP*GdL+Gmob_VGP_SI*GdL_VSI_BP+Gmob_VSI_BP*GdL_VGP_SI+Gmob*GdL_VGP_SI_VSI_BP);
#endif
Gmob_dL_VSI_BP=((Gmob_VSI_BP*GdL)+(Gmob*GdL_VSI_BP));
#if defined(_DERIVATE2)
  Gmob_dL_VSI_BP_VDI_SI=(+Gmob_VSI_BP_VDI_SI*GdL+Gmob_VSI_BP*GdL_VDI_SI+Gmob_VDI_SI*GdL_VSI_BP+Gmob*GdL_VSI_BP_VDI_SI);
  Gmob_dL_VSI_BP_VGP_SI=(+Gmob_VSI_BP_VGP_SI*GdL+Gmob_VSI_BP*GdL_VGP_SI+Gmob_VGP_SI*GdL_VSI_BP+Gmob*GdL_VSI_BP_VGP_SI);
  Gmob_dL_VSI_BP_VSI_BP=(+Gmob_VSI_BP_VSI_BP*GdL+Gmob_VSI_BP*GdL_VSI_BP+Gmob_VSI_BP*GdL_VSI_BP+Gmob*GdL_VSI_BP_VSI_BP);
#endif
#endif
Gmob_dL=(Gmob*GdL);
EXIT_IF_ISNAN((Gmob*GdL))
if
((pInst->THESATG_i<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(-(pInst->THESATG_i*wsat_VGP_SI))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VGP_SI)))+0.0*(-(pInst->THESATG_i*wsat_VGP_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VGP_SI))*(-((pInst->THESATG_i*wsat_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VGP_SI_VDI_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VDI_SI)))+0.0*(-(pInst->THESATG_i*wsat_VGP_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VGP_SI))*(-((pInst->THESATG_i*wsat_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VGP_SI_VSI_BP=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VSI_BP)))+0.0*(-(pInst->THESATG_i*wsat_VGP_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VGP_SI))*(-((pInst->THESATG_i*wsat_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#endif
temp_VDI_SI=(-(-(pInst->THESATG_i*wsat_VDI_SI))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VGP_SI)))+0.0*(-(pInst->THESATG_i*wsat_VDI_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VDI_SI))*(-((pInst->THESATG_i*wsat_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VDI_SI_VDI_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VDI_SI)))+0.0*(-(pInst->THESATG_i*wsat_VDI_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VDI_SI))*(-((pInst->THESATG_i*wsat_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VDI_SI_VSI_BP=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VSI_BP)))+0.0*(-(pInst->THESATG_i*wsat_VDI_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VDI_SI))*(-((pInst->THESATG_i*wsat_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#endif
temp_VSI_BP=(-(-(pInst->THESATG_i*wsat_VSI_BP))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VGP_SI)))+0.0*(-(pInst->THESATG_i*wsat_VSI_BP))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VSI_BP))*(-((pInst->THESATG_i*wsat_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VSI_BP_VDI_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VDI_SI)))+0.0*(-(pInst->THESATG_i*wsat_VSI_BP))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VSI_BP))*(-((pInst->THESATG_i*wsat_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VSI_BP_VSI_BP=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VSI_BP)))+0.0*(-(pInst->THESATG_i*wsat_VSI_BP))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VSI_BP))*(-((pInst->THESATG_i*wsat_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#endif
#endif
temp=(1.0/(1.0-(pInst->THESATG_i*wsat)));
EXIT_IF_ISNAN((1.0/(1.0-(pInst->THESATG_i*wsat))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(pInst->THESATG_i*wsat_VGP_SI);
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0+(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(+0.0+(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(+0.0+(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=(pInst->THESATG_i*wsat_VDI_SI);
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0+(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(+0.0+(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(+0.0+(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=(pInst->THESATG_i*wsat_VSI_BP);
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0+(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(+0.0+(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(+0.0+(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VSI_BP));
#endif
#endif
temp=(1.0+(pInst->THESATG_i*wsat));
EXIT_IF_ISNAN((1.0+(pInst->THESATG_i*wsat)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
thesat1_VGP_SI=(thesatloc*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL));
#if defined(_DERIVATE2)
  thesat1_VGP_SI_VGP_SI=(+0.0*(temp/Gmob_dL)+0.0*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL)+0.0*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VGP_SI_VGP_SI/Gmob_dL-(temp_VGP_SI*Gmob_dL_VGP_SI+temp_VGP_SI*Gmob_dL_VGP_SI+temp*Gmob_dL_VGP_SI_VGP_SI)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VGP_SI*Gmob_dL_VGP_SI/Gmob_dL/Gmob_dL/Gmob_dL));
  thesat1_VGP_SI_VDI_SI=(+0.0*(temp/Gmob_dL)+0.0*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL)+0.0*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VGP_SI_VDI_SI/Gmob_dL-(temp_VGP_SI*Gmob_dL_VDI_SI+temp_VDI_SI*Gmob_dL_VGP_SI+temp*Gmob_dL_VGP_SI_VDI_SI)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VGP_SI*Gmob_dL_VDI_SI/Gmob_dL/Gmob_dL/Gmob_dL));
  thesat1_VGP_SI_VSI_BP=(+0.0*(temp/Gmob_dL)+0.0*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL)+0.0*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VGP_SI_VSI_BP/Gmob_dL-(temp_VGP_SI*Gmob_dL_VSI_BP+temp_VSI_BP*Gmob_dL_VGP_SI+temp*Gmob_dL_VGP_SI_VSI_BP)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VGP_SI*Gmob_dL_VSI_BP/Gmob_dL/Gmob_dL/Gmob_dL));
#endif
thesat1_VDI_SI=(thesatloc*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL));
#if defined(_DERIVATE2)
  thesat1_VDI_SI_VGP_SI=(+0.0*(temp/Gmob_dL)+0.0*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL)+0.0*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VDI_SI_VGP_SI/Gmob_dL-(temp_VDI_SI*Gmob_dL_VGP_SI+temp_VGP_SI*Gmob_dL_VDI_SI+temp*Gmob_dL_VDI_SI_VGP_SI)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VDI_SI*Gmob_dL_VGP_SI/Gmob_dL/Gmob_dL/Gmob_dL));
  thesat1_VDI_SI_VDI_SI=(+0.0*(temp/Gmob_dL)+0.0*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL)+0.0*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VDI_SI_VDI_SI/Gmob_dL-(temp_VDI_SI*Gmob_dL_VDI_SI+temp_VDI_SI*Gmob_dL_VDI_SI+temp*Gmob_dL_VDI_SI_VDI_SI)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VDI_SI*Gmob_dL_VDI_SI/Gmob_dL/Gmob_dL/Gmob_dL));
  thesat1_VDI_SI_VSI_BP=(+0.0*(temp/Gmob_dL)+0.0*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL)+0.0*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VDI_SI_VSI_BP/Gmob_dL-(temp_VDI_SI*Gmob_dL_VSI_BP+temp_VSI_BP*Gmob_dL_VDI_SI+temp*Gmob_dL_VDI_SI_VSI_BP)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VDI_SI*Gmob_dL_VSI_BP/Gmob_dL/Gmob_dL/Gmob_dL));
#endif
thesat1_VSI_BP=(thesatloc*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL));
#if defined(_DERIVATE2)
  thesat1_VSI_BP_VGP_SI=(+0.0*(temp/Gmob_dL)+0.0*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL)+0.0*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VSI_BP_VGP_SI/Gmob_dL-(temp_VSI_BP*Gmob_dL_VGP_SI+temp_VGP_SI*Gmob_dL_VSI_BP+temp*Gmob_dL_VSI_BP_VGP_SI)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VSI_BP*Gmob_dL_VGP_SI/Gmob_dL/Gmob_dL/Gmob_dL));
  thesat1_VSI_BP_VDI_SI=(+0.0*(temp/Gmob_dL)+0.0*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL)+0.0*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VSI_BP_VDI_SI/Gmob_dL-(temp_VSI_BP*Gmob_dL_VDI_SI+temp_VDI_SI*Gmob_dL_VSI_BP+temp*Gmob_dL_VSI_BP_VDI_SI)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VSI_BP*Gmob_dL_VDI_SI/Gmob_dL/Gmob_dL/Gmob_dL));
  thesat1_VSI_BP_VSI_BP=(+0.0*(temp/Gmob_dL)+0.0*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL)+0.0*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VSI_BP_VSI_BP/Gmob_dL-(temp_VSI_BP*Gmob_dL_VSI_BP+temp_VSI_BP*Gmob_dL_VSI_BP+temp*Gmob_dL_VSI_BP_VSI_BP)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VSI_BP*Gmob_dL_VSI_BP/Gmob_dL/Gmob_dL/Gmob_dL));
#endif
#endif
thesat1=(thesatloc*(temp/Gmob_dL));
EXIT_IF_ISNAN((thesatloc*(temp/Gmob_dL)))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
zsat_VGP_SI=((((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps)+((thesat1*thesat1)*dps_VGP_SI))*dps)+(((thesat1*thesat1)*dps)*dps_VGP_SI));
#if defined(_DERIVATE2)
  zsat_VGP_SI_VGP_SI=(+(+(+thesat1_VGP_SI_VGP_SI*thesat1+thesat1_VGP_SI*thesat1_VGP_SI+thesat1_VGP_SI*thesat1_VGP_SI+thesat1*thesat1_VGP_SI_VGP_SI)*dps+((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps_VGP_SI+(((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI)))*dps_VGP_SI+(thesat1*thesat1)*dps_VGP_SI_VGP_SI)*dps+((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps)+((thesat1*thesat1)*dps_VGP_SI))*dps_VGP_SI+((((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI)))*dps)+((thesat1*thesat1)*dps_VGP_SI)))*dps_VGP_SI+((thesat1*thesat1)*dps)*dps_VGP_SI_VGP_SI);
  zsat_VGP_SI_VDI_SI=(+(+(+thesat1_VGP_SI_VDI_SI*thesat1+thesat1_VGP_SI*thesat1_VDI_SI+thesat1_VDI_SI*thesat1_VGP_SI+thesat1*thesat1_VGP_SI_VDI_SI)*dps+((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps_VDI_SI+(((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI)))*dps_VGP_SI+(thesat1*thesat1)*dps_VGP_SI_VDI_SI)*dps+((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps)+((thesat1*thesat1)*dps_VGP_SI))*dps_VDI_SI+((((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI)))*dps)+((thesat1*thesat1)*dps_VDI_SI)))*dps_VGP_SI+((thesat1*thesat1)*dps)*dps_VGP_SI_VDI_SI);
  zsat_VGP_SI_VSI_BP=(+(+(+thesat1_VGP_SI_VSI_BP*thesat1+thesat1_VGP_SI*thesat1_VSI_BP+thesat1_VSI_BP*thesat1_VGP_SI+thesat1*thesat1_VGP_SI_VSI_BP)*dps+((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps_VSI_BP+(((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP)))*dps_VGP_SI+(thesat1*thesat1)*dps_VGP_SI_VSI_BP)*dps+((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps)+((thesat1*thesat1)*dps_VGP_SI))*dps_VSI_BP+((((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP)))*dps)+((thesat1*thesat1)*dps_VSI_BP)))*dps_VGP_SI+((thesat1*thesat1)*dps)*dps_VGP_SI_VSI_BP);
#endif
zsat_VDI_SI=((((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps)+((thesat1*thesat1)*dps_VDI_SI))*dps)+(((thesat1*thesat1)*dps)*dps_VDI_SI));
#if defined(_DERIVATE2)
  zsat_VDI_SI_VGP_SI=(+(+(+thesat1_VDI_SI_VGP_SI*thesat1+thesat1_VDI_SI*thesat1_VGP_SI+thesat1_VGP_SI*thesat1_VDI_SI+thesat1*thesat1_VDI_SI_VGP_SI)*dps+((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps_VGP_SI+(((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI)))*dps_VDI_SI+(thesat1*thesat1)*dps_VDI_SI_VGP_SI)*dps+((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps)+((thesat1*thesat1)*dps_VDI_SI))*dps_VGP_SI+((((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI)))*dps)+((thesat1*thesat1)*dps_VGP_SI)))*dps_VDI_SI+((thesat1*thesat1)*dps)*dps_VDI_SI_VGP_SI);
  zsat_VDI_SI_VDI_SI=(+(+(+thesat1_VDI_SI_VDI_SI*thesat1+thesat1_VDI_SI*thesat1_VDI_SI+thesat1_VDI_SI*thesat1_VDI_SI+thesat1*thesat1_VDI_SI_VDI_SI)*dps+((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps_VDI_SI+(((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI)))*dps_VDI_SI+(thesat1*thesat1)*dps_VDI_SI_VDI_SI)*dps+((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps)+((thesat1*thesat1)*dps_VDI_SI))*dps_VDI_SI+((((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI)))*dps)+((thesat1*thesat1)*dps_VDI_SI)))*dps_VDI_SI+((thesat1*thesat1)*dps)*dps_VDI_SI_VDI_SI);
  zsat_VDI_SI_VSI_BP=(+(+(+thesat1_VDI_SI_VSI_BP*thesat1+thesat1_VDI_SI*thesat1_VSI_BP+thesat1_VSI_BP*thesat1_VDI_SI+thesat1*thesat1_VDI_SI_VSI_BP)*dps+((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps_VSI_BP+(((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP)))*dps_VDI_SI+(thesat1*thesat1)*dps_VDI_SI_VSI_BP)*dps+((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps)+((thesat1*thesat1)*dps_VDI_SI))*dps_VSI_BP+((((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP)))*dps)+((thesat1*thesat1)*dps_VSI_BP)))*dps_VDI_SI+((thesat1*thesat1)*dps)*dps_VDI_SI_VSI_BP);
#endif
zsat_VSI_BP=((((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps)+((thesat1*thesat1)*dps_VSI_BP))*dps)+(((thesat1*thesat1)*dps)*dps_VSI_BP));
#if defined(_DERIVATE2)
  zsat_VSI_BP_VGP_SI=(+(+(+thesat1_VSI_BP_VGP_SI*thesat1+thesat1_VSI_BP*thesat1_VGP_SI+thesat1_VGP_SI*thesat1_VSI_BP+thesat1*thesat1_VSI_BP_VGP_SI)*dps+((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps_VGP_SI+(((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI)))*dps_VSI_BP+(thesat1*thesat1)*dps_VSI_BP_VGP_SI)*dps+((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps)+((thesat1*thesat1)*dps_VSI_BP))*dps_VGP_SI+((((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI)))*dps)+((thesat1*thesat1)*dps_VGP_SI)))*dps_VSI_BP+((thesat1*thesat1)*dps)*dps_VSI_BP_VGP_SI);
  zsat_VSI_BP_VDI_SI=(+(+(+thesat1_VSI_BP_VDI_SI*thesat1+thesat1_VSI_BP*thesat1_VDI_SI+thesat1_VDI_SI*thesat1_VSI_BP+thesat1*thesat1_VSI_BP_VDI_SI)*dps+((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps_VDI_SI+(((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI)))*dps_VSI_BP+(thesat1*thesat1)*dps_VSI_BP_VDI_SI)*dps+((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps)+((thesat1*thesat1)*dps_VSI_BP))*dps_VDI_SI+((((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI)))*dps)+((thesat1*thesat1)*dps_VDI_SI)))*dps_VSI_BP+((thesat1*thesat1)*dps)*dps_VSI_BP_VDI_SI);
  zsat_VSI_BP_VSI_BP=(+(+(+thesat1_VSI_BP_VSI_BP*thesat1+thesat1_VSI_BP*thesat1_VSI_BP+thesat1_VSI_BP*thesat1_VSI_BP+thesat1*thesat1_VSI_BP_VSI_BP)*dps+((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps_VSI_BP+(((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP)))*dps_VSI_BP+(thesat1*thesat1)*dps_VSI_BP_VSI_BP)*dps+((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps)+((thesat1*thesat1)*dps_VSI_BP))*dps_VSI_BP+((((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP)))*dps)+((thesat1*thesat1)*dps_VSI_BP)))*dps_VSI_BP+((thesat1*thesat1)*dps)*dps_VSI_BP_VSI_BP);
#endif
#endif
zsat=(((thesat1*thesat1)*dps)*dps);
EXIT_IF_ISNAN((((thesat1*thesat1)*dps)*dps))
if
((pModel->CHNL_TYPE==(-1)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
zsat_VGP_SI=((zsat_VGP_SI*(1.0+(thesat1*dps))-zsat*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
#if defined(_DERIVATE2)
  zsat_VGP_SI_VGP_SI=(zsat_VGP_SI_VGP_SI/(1.0+(thesat1*dps))-(zsat_VGP_SI*(((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))+zsat_VGP_SI*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI))+zsat*(+0.0+(+thesat1_VGP_SI_VGP_SI*dps+thesat1_VGP_SI*dps_VGP_SI+thesat1_VGP_SI*dps_VGP_SI+thesat1*dps_VGP_SI_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI))*(((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
  zsat_VGP_SI_VDI_SI=(zsat_VGP_SI_VDI_SI/(1.0+(thesat1*dps))-(zsat_VGP_SI*(((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))+zsat_VDI_SI*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI))+zsat*(+0.0+(+thesat1_VGP_SI_VDI_SI*dps+thesat1_VGP_SI*dps_VDI_SI+thesat1_VDI_SI*dps_VGP_SI+thesat1*dps_VGP_SI_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI))*(((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
  zsat_VGP_SI_VSI_BP=(zsat_VGP_SI_VSI_BP/(1.0+(thesat1*dps))-(zsat_VGP_SI*(((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))+zsat_VSI_BP*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI))+zsat*(+0.0+(+thesat1_VGP_SI_VSI_BP*dps+thesat1_VGP_SI*dps_VSI_BP+thesat1_VSI_BP*dps_VGP_SI+thesat1*dps_VGP_SI_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI))*(((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
#endif
zsat_VDI_SI=((zsat_VDI_SI*(1.0+(thesat1*dps))-zsat*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
#if defined(_DERIVATE2)
  zsat_VDI_SI_VGP_SI=(zsat_VDI_SI_VGP_SI/(1.0+(thesat1*dps))-(zsat_VDI_SI*(((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))+zsat_VGP_SI*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI))+zsat*(+0.0+(+thesat1_VDI_SI_VGP_SI*dps+thesat1_VDI_SI*dps_VGP_SI+thesat1_VGP_SI*dps_VDI_SI+thesat1*dps_VDI_SI_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI))*(((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
  zsat_VDI_SI_VDI_SI=(zsat_VDI_SI_VDI_SI/(1.0+(thesat1*dps))-(zsat_VDI_SI*(((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))+zsat_VDI_SI*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI))+zsat*(+0.0+(+thesat1_VDI_SI_VDI_SI*dps+thesat1_VDI_SI*dps_VDI_SI+thesat1_VDI_SI*dps_VDI_SI+thesat1*dps_VDI_SI_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI))*(((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
  zsat_VDI_SI_VSI_BP=(zsat_VDI_SI_VSI_BP/(1.0+(thesat1*dps))-(zsat_VDI_SI*(((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))+zsat_VSI_BP*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI))+zsat*(+0.0+(+thesat1_VDI_SI_VSI_BP*dps+thesat1_VDI_SI*dps_VSI_BP+thesat1_VSI_BP*dps_VDI_SI+thesat1*dps_VDI_SI_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI))*(((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
#endif
zsat_VSI_BP=((zsat_VSI_BP*(1.0+(thesat1*dps))-zsat*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
#if defined(_DERIVATE2)
  zsat_VSI_BP_VGP_SI=(zsat_VSI_BP_VGP_SI/(1.0+(thesat1*dps))-(zsat_VSI_BP*(((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))+zsat_VGP_SI*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP))+zsat*(+0.0+(+thesat1_VSI_BP_VGP_SI*dps+thesat1_VSI_BP*dps_VGP_SI+thesat1_VGP_SI*dps_VSI_BP+thesat1*dps_VSI_BP_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP))*(((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
  zsat_VSI_BP_VDI_SI=(zsat_VSI_BP_VDI_SI/(1.0+(thesat1*dps))-(zsat_VSI_BP*(((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))+zsat_VDI_SI*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP))+zsat*(+0.0+(+thesat1_VSI_BP_VDI_SI*dps+thesat1_VSI_BP*dps_VDI_SI+thesat1_VDI_SI*dps_VSI_BP+thesat1*dps_VSI_BP_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP))*(((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
  zsat_VSI_BP_VSI_BP=(zsat_VSI_BP_VSI_BP/(1.0+(thesat1*dps))-(zsat_VSI_BP*(((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))+zsat_VSI_BP*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP))+zsat*(+0.0+(+thesat1_VSI_BP_VSI_BP*dps+thesat1_VSI_BP*dps_VSI_BP+thesat1_VSI_BP*dps_VSI_BP+thesat1*dps_VSI_BP_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP))*(((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
#endif
#endif
zsat=(zsat/(1.0+(thesat1*dps)));
EXIT_IF_ISNAN((zsat/(1.0+(thesat1*dps))))
}
{
double m00_sqrt(d00_sqrt0,(1.0+(2.0*zsat)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+(2.0*zsat)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gvsat_VDI_SI=(0.5*((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VDI_SI)*d10_sqrt0)));
#if defined(_DERIVATE2)
  Gvsat_VDI_SI_VDI_SI=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VDI_SI))*d10_sqrt0)))+0.0*((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VDI_SI)*d10_sqrt0))+0.5*(+Gmob_dL_VDI_SI_VDI_SI*(1.0+d00_sqrt0)+Gmob_dL_VDI_SI*((2.0*zsat_VDI_SI))*d10_sqrt0+Gmob_dL_VDI_SI*(2.0*zsat_VDI_SI)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VDI_SI))*(2.0*zsat_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VDI_SI+0.0*zsat_VDI_SI+2.0*zsat_VDI_SI_VDI_SI))))));
  Gvsat_VDI_SI_VGP_SI=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VGP_SI))*d10_sqrt0)))+0.0*((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VDI_SI)*d10_sqrt0))+0.5*(+Gmob_dL_VDI_SI_VGP_SI*(1.0+d00_sqrt0)+Gmob_dL_VDI_SI*((2.0*zsat_VGP_SI))*d10_sqrt0+Gmob_dL_VGP_SI*(2.0*zsat_VDI_SI)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VGP_SI))*(2.0*zsat_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VGP_SI+0.0*zsat_VDI_SI+2.0*zsat_VDI_SI_VGP_SI))))));
  Gvsat_VDI_SI_VSI_BP=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VSI_BP))*d10_sqrt0)))+0.0*((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VDI_SI)*d10_sqrt0))+0.5*(+Gmob_dL_VDI_SI_VSI_BP*(1.0+d00_sqrt0)+Gmob_dL_VDI_SI*((2.0*zsat_VSI_BP))*d10_sqrt0+Gmob_dL_VSI_BP*(2.0*zsat_VDI_SI)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VSI_BP))*(2.0*zsat_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VSI_BP+0.0*zsat_VDI_SI+2.0*zsat_VDI_SI_VSI_BP))))));
#endif
Gvsat_VGP_SI=(0.5*((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VGP_SI)*d10_sqrt0)));
#if defined(_DERIVATE2)
  Gvsat_VGP_SI_VDI_SI=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VDI_SI))*d10_sqrt0)))+0.0*((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VGP_SI)*d10_sqrt0))+0.5*(+Gmob_dL_VGP_SI_VDI_SI*(1.0+d00_sqrt0)+Gmob_dL_VGP_SI*((2.0*zsat_VDI_SI))*d10_sqrt0+Gmob_dL_VDI_SI*(2.0*zsat_VGP_SI)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VDI_SI))*(2.0*zsat_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VDI_SI+0.0*zsat_VGP_SI+2.0*zsat_VGP_SI_VDI_SI))))));
  Gvsat_VGP_SI_VGP_SI=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VGP_SI))*d10_sqrt0)))+0.0*((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VGP_SI)*d10_sqrt0))+0.5*(+Gmob_dL_VGP_SI_VGP_SI*(1.0+d00_sqrt0)+Gmob_dL_VGP_SI*((2.0*zsat_VGP_SI))*d10_sqrt0+Gmob_dL_VGP_SI*(2.0*zsat_VGP_SI)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VGP_SI))*(2.0*zsat_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VGP_SI+0.0*zsat_VGP_SI+2.0*zsat_VGP_SI_VGP_SI))))));
  Gvsat_VGP_SI_VSI_BP=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VSI_BP))*d10_sqrt0)))+0.0*((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VGP_SI)*d10_sqrt0))+0.5*(+Gmob_dL_VGP_SI_VSI_BP*(1.0+d00_sqrt0)+Gmob_dL_VGP_SI*((2.0*zsat_VSI_BP))*d10_sqrt0+Gmob_dL_VSI_BP*(2.0*zsat_VGP_SI)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VSI_BP))*(2.0*zsat_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VSI_BP+0.0*zsat_VGP_SI+2.0*zsat_VGP_SI_VSI_BP))))));
#endif
Gvsat_VSI_BP=(0.5*((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VSI_BP)*d10_sqrt0)));
#if defined(_DERIVATE2)
  Gvsat_VSI_BP_VDI_SI=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VDI_SI))*d10_sqrt0)))+0.0*((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VSI_BP)*d10_sqrt0))+0.5*(+Gmob_dL_VSI_BP_VDI_SI*(1.0+d00_sqrt0)+Gmob_dL_VSI_BP*((2.0*zsat_VDI_SI))*d10_sqrt0+Gmob_dL_VDI_SI*(2.0*zsat_VSI_BP)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VDI_SI))*(2.0*zsat_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VDI_SI+0.0*zsat_VSI_BP+2.0*zsat_VSI_BP_VDI_SI))))));
  Gvsat_VSI_BP_VGP_SI=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VGP_SI))*d10_sqrt0)))+0.0*((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VSI_BP)*d10_sqrt0))+0.5*(+Gmob_dL_VSI_BP_VGP_SI*(1.0+d00_sqrt0)+Gmob_dL_VSI_BP*((2.0*zsat_VGP_SI))*d10_sqrt0+Gmob_dL_VGP_SI*(2.0*zsat_VSI_BP)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VGP_SI))*(2.0*zsat_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VGP_SI+0.0*zsat_VSI_BP+2.0*zsat_VSI_BP_VGP_SI))))));
  Gvsat_VSI_BP_VSI_BP=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VSI_BP))*d10_sqrt0)))+0.0*((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VSI_BP)*d10_sqrt0))+0.5*(+Gmob_dL_VSI_BP_VSI_BP*(1.0+d00_sqrt0)+Gmob_dL_VSI_BP*((2.0*zsat_VSI_BP))*d10_sqrt0+Gmob_dL_VSI_BP*(2.0*zsat_VSI_BP)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VSI_BP))*(2.0*zsat_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VSI_BP+0.0*zsat_VSI_BP+2.0*zsat_VSI_BP_VSI_BP))))));
#endif
#endif
Gvsat=(0.5*(Gmob_dL*(1.0+d00_sqrt0)));
EXIT_IF_ISNAN((0.5*(Gmob_dL*(1.0+d00_sqrt0))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Gvsatinv_VDI_SI=(-Gvsat_VDI_SI/Gvsat/Gvsat);
#if defined(_DERIVATE2)
  Gvsatinv_VDI_SI_VDI_SI=(0.0/Gvsat-(0.0*Gvsat_VDI_SI+0.0*Gvsat_VDI_SI+1.0*Gvsat_VDI_SI_VDI_SI)/Gvsat/Gvsat+2*1.0*Gvsat_VDI_SI*Gvsat_VDI_SI/Gvsat/Gvsat/Gvsat);
  Gvsatinv_VDI_SI_VGP_SI=(0.0/Gvsat-(0.0*Gvsat_VGP_SI+0.0*Gvsat_VDI_SI+1.0*Gvsat_VDI_SI_VGP_SI)/Gvsat/Gvsat+2*1.0*Gvsat_VDI_SI*Gvsat_VGP_SI/Gvsat/Gvsat/Gvsat);
  Gvsatinv_VDI_SI_VSI_BP=(0.0/Gvsat-(0.0*Gvsat_VSI_BP+0.0*Gvsat_VDI_SI+1.0*Gvsat_VDI_SI_VSI_BP)/Gvsat/Gvsat+2*1.0*Gvsat_VDI_SI*Gvsat_VSI_BP/Gvsat/Gvsat/Gvsat);
#endif
Gvsatinv_VGP_SI=(-Gvsat_VGP_SI/Gvsat/Gvsat);
#if defined(_DERIVATE2)
  Gvsatinv_VGP_SI_VDI_SI=(0.0/Gvsat-(0.0*Gvsat_VDI_SI+0.0*Gvsat_VGP_SI+1.0*Gvsat_VGP_SI_VDI_SI)/Gvsat/Gvsat+2*1.0*Gvsat_VGP_SI*Gvsat_VDI_SI/Gvsat/Gvsat/Gvsat);
  Gvsatinv_VGP_SI_VGP_SI=(0.0/Gvsat-(0.0*Gvsat_VGP_SI+0.0*Gvsat_VGP_SI+1.0*Gvsat_VGP_SI_VGP_SI)/Gvsat/Gvsat+2*1.0*Gvsat_VGP_SI*Gvsat_VGP_SI/Gvsat/Gvsat/Gvsat);
  Gvsatinv_VGP_SI_VSI_BP=(0.0/Gvsat-(0.0*Gvsat_VSI_BP+0.0*Gvsat_VGP_SI+1.0*Gvsat_VGP_SI_VSI_BP)/Gvsat/Gvsat+2*1.0*Gvsat_VGP_SI*Gvsat_VSI_BP/Gvsat/Gvsat/Gvsat);
#endif
Gvsatinv_VSI_BP=(-Gvsat_VSI_BP/Gvsat/Gvsat);
#if defined(_DERIVATE2)
  Gvsatinv_VSI_BP_VDI_SI=(0.0/Gvsat-(0.0*Gvsat_VDI_SI+0.0*Gvsat_VSI_BP+1.0*Gvsat_VSI_BP_VDI_SI)/Gvsat/Gvsat+2*1.0*Gvsat_VSI_BP*Gvsat_VDI_SI/Gvsat/Gvsat/Gvsat);
  Gvsatinv_VSI_BP_VGP_SI=(0.0/Gvsat-(0.0*Gvsat_VGP_SI+0.0*Gvsat_VSI_BP+1.0*Gvsat_VSI_BP_VGP_SI)/Gvsat/Gvsat+2*1.0*Gvsat_VSI_BP*Gvsat_VGP_SI/Gvsat/Gvsat/Gvsat);
  Gvsatinv_VSI_BP_VSI_BP=(0.0/Gvsat-(0.0*Gvsat_VSI_BP+0.0*Gvsat_VSI_BP+1.0*Gvsat_VSI_BP_VSI_BP)/Gvsat/Gvsat+2*1.0*Gvsat_VSI_BP*Gvsat_VSI_BP/Gvsat/Gvsat/Gvsat);
#endif
#endif
Gvsatinv=(1.0/Gvsat);
EXIT_IF_ISNAN((1.0/Gvsat))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Voxm_VDI_SI=((xgm_VDI_SI*pInst->phit1)+(xgm*phit1_VDI_SI));
#if defined(_DERIVATE2)
  Voxm_VDI_SI_VDI_SI=(+xgm_VDI_SI_VDI_SI*pInst->phit1+xgm_VDI_SI*phit1_VDI_SI+xgm_VDI_SI*phit1_VDI_SI+xgm*phit1_VDI_SI_VDI_SI);
  Voxm_VDI_SI_VGP_SI=(+xgm_VDI_SI_VGP_SI*pInst->phit1+xgm_VDI_SI*phit1_VGP_SI+xgm_VGP_SI*phit1_VDI_SI+xgm*phit1_VDI_SI_VGP_SI);
  Voxm_VDI_SI_VSI_BP=(+xgm_VDI_SI_VSI_BP*pInst->phit1+xgm_VDI_SI*phit1_VSI_BP+xgm_VSI_BP*phit1_VDI_SI+xgm*phit1_VDI_SI_VSI_BP);
#endif
Voxm_VGP_SI=((xgm_VGP_SI*pInst->phit1)+(xgm*phit1_VGP_SI));
#if defined(_DERIVATE2)
  Voxm_VGP_SI_VDI_SI=(+xgm_VGP_SI_VDI_SI*pInst->phit1+xgm_VGP_SI*phit1_VDI_SI+xgm_VDI_SI*phit1_VGP_SI+xgm*phit1_VGP_SI_VDI_SI);
  Voxm_VGP_SI_VGP_SI=(+xgm_VGP_SI_VGP_SI*pInst->phit1+xgm_VGP_SI*phit1_VGP_SI+xgm_VGP_SI*phit1_VGP_SI+xgm*phit1_VGP_SI_VGP_SI);
  Voxm_VGP_SI_VSI_BP=(+xgm_VGP_SI_VSI_BP*pInst->phit1+xgm_VGP_SI*phit1_VSI_BP+xgm_VSI_BP*phit1_VGP_SI+xgm*phit1_VGP_SI_VSI_BP);
#endif
Voxm_VSI_BP=((xgm_VSI_BP*pInst->phit1)+(xgm*phit1_VSI_BP));
#if defined(_DERIVATE2)
  Voxm_VSI_BP_VDI_SI=(+xgm_VSI_BP_VDI_SI*pInst->phit1+xgm_VSI_BP*phit1_VDI_SI+xgm_VDI_SI*phit1_VSI_BP+xgm*phit1_VSI_BP_VDI_SI);
  Voxm_VSI_BP_VGP_SI=(+xgm_VSI_BP_VGP_SI*pInst->phit1+xgm_VSI_BP*phit1_VGP_SI+xgm_VGP_SI*phit1_VSI_BP+xgm*phit1_VSI_BP_VGP_SI);
  Voxm_VSI_BP_VSI_BP=(+xgm_VSI_BP_VSI_BP*pInst->phit1+xgm_VSI_BP*phit1_VSI_BP+xgm_VSI_BP*phit1_VSI_BP+xgm*phit1_VSI_BP_VSI_BP);
#endif
#endif
Voxm=(xgm*pInst->phit1);
EXIT_IF_ISNAN((xgm*pInst->phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=((Gmob_dL_VGP_SI*Gvsatinv)+(Gmob_dL*Gvsatinv_VGP_SI));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+Gmob_dL_VGP_SI_VGP_SI*Gvsatinv+Gmob_dL_VGP_SI*Gvsatinv_VGP_SI+Gmob_dL_VGP_SI*Gvsatinv_VGP_SI+Gmob_dL*Gvsatinv_VGP_SI_VGP_SI);
  temp_VGP_SI_VDI_SI=(+Gmob_dL_VGP_SI_VDI_SI*Gvsatinv+Gmob_dL_VGP_SI*Gvsatinv_VDI_SI+Gmob_dL_VDI_SI*Gvsatinv_VGP_SI+Gmob_dL*Gvsatinv_VGP_SI_VDI_SI);
  temp_VGP_SI_VSI_BP=(+Gmob_dL_VGP_SI_VSI_BP*Gvsatinv+Gmob_dL_VGP_SI*Gvsatinv_VSI_BP+Gmob_dL_VSI_BP*Gvsatinv_VGP_SI+Gmob_dL*Gvsatinv_VGP_SI_VSI_BP);
#endif
temp_VDI_SI=((Gmob_dL_VDI_SI*Gvsatinv)+(Gmob_dL*Gvsatinv_VDI_SI));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+Gmob_dL_VDI_SI_VGP_SI*Gvsatinv+Gmob_dL_VDI_SI*Gvsatinv_VGP_SI+Gmob_dL_VGP_SI*Gvsatinv_VDI_SI+Gmob_dL*Gvsatinv_VDI_SI_VGP_SI);
  temp_VDI_SI_VDI_SI=(+Gmob_dL_VDI_SI_VDI_SI*Gvsatinv+Gmob_dL_VDI_SI*Gvsatinv_VDI_SI+Gmob_dL_VDI_SI*Gvsatinv_VDI_SI+Gmob_dL*Gvsatinv_VDI_SI_VDI_SI);
  temp_VDI_SI_VSI_BP=(+Gmob_dL_VDI_SI_VSI_BP*Gvsatinv+Gmob_dL_VDI_SI*Gvsatinv_VSI_BP+Gmob_dL_VSI_BP*Gvsatinv_VDI_SI+Gmob_dL*Gvsatinv_VDI_SI_VSI_BP);
#endif
temp_VSI_BP=((Gmob_dL_VSI_BP*Gvsatinv)+(Gmob_dL*Gvsatinv_VSI_BP));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+Gmob_dL_VSI_BP_VGP_SI*Gvsatinv+Gmob_dL_VSI_BP*Gvsatinv_VGP_SI+Gmob_dL_VGP_SI*Gvsatinv_VSI_BP+Gmob_dL*Gvsatinv_VSI_BP_VGP_SI);
  temp_VSI_BP_VDI_SI=(+Gmob_dL_VSI_BP_VDI_SI*Gvsatinv+Gmob_dL_VSI_BP*Gvsatinv_VDI_SI+Gmob_dL_VDI_SI*Gvsatinv_VSI_BP+Gmob_dL*Gvsatinv_VSI_BP_VDI_SI);
  temp_VSI_BP_VSI_BP=(+Gmob_dL_VSI_BP_VSI_BP*Gvsatinv+Gmob_dL_VSI_BP*Gvsatinv_VSI_BP+Gmob_dL_VSI_BP*Gvsatinv_VSI_BP+Gmob_dL*Gvsatinv_VSI_BP_VSI_BP);
#endif
#endif
temp=(Gmob_dL*Gvsatinv);
EXIT_IF_ISNAN((Gmob_dL*Gvsatinv))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
alpha1_VDI_SI=((alpha_VDI_SI*(1.0+(0.5*((zsat*temp)*temp))))+(alpha*(0.5*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI)))));
#if defined(_DERIVATE2)
  alpha1_VDI_SI_VDI_SI=(+alpha_VDI_SI_VDI_SI*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VDI_SI*((0.5*((((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp)+((zsat*temp)*temp_VDI_SI)))))+alpha_VDI_SI*(0.5*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp)+((zsat*temp)*temp_VDI_SI)))+0.0*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI))+0.5*(+(+zsat_VDI_SI_VDI_SI*temp+zsat_VDI_SI*temp_VDI_SI+zsat_VDI_SI*temp_VDI_SI+zsat*temp_VDI_SI_VDI_SI)*temp+((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp_VDI_SI+(((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp_VDI_SI+(zsat*temp)*temp_VDI_SI_VDI_SI))));
  alpha1_VDI_SI_VGP_SI=(+alpha_VDI_SI_VGP_SI*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VDI_SI*((0.5*((((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp)+((zsat*temp)*temp_VGP_SI)))))+alpha_VGP_SI*(0.5*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp)+((zsat*temp)*temp_VGP_SI)))+0.0*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI))+0.5*(+(+zsat_VDI_SI_VGP_SI*temp+zsat_VDI_SI*temp_VGP_SI+zsat_VGP_SI*temp_VDI_SI+zsat*temp_VDI_SI_VGP_SI)*temp+((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp_VGP_SI+(((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp_VDI_SI+(zsat*temp)*temp_VDI_SI_VGP_SI))));
  alpha1_VDI_SI_VSI_BP=(+alpha_VDI_SI_VSI_BP*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VDI_SI*((0.5*((((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp)+((zsat*temp)*temp_VSI_BP)))))+alpha_VSI_BP*(0.5*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp)+((zsat*temp)*temp_VSI_BP)))+0.0*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI))+0.5*(+(+zsat_VDI_SI_VSI_BP*temp+zsat_VDI_SI*temp_VSI_BP+zsat_VSI_BP*temp_VDI_SI+zsat*temp_VDI_SI_VSI_BP)*temp+((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp_VSI_BP+(((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp_VDI_SI+(zsat*temp)*temp_VDI_SI_VSI_BP))));
#endif
alpha1_VGP_SI=((alpha_VGP_SI*(1.0+(0.5*((zsat*temp)*temp))))+(alpha*(0.5*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI)))));
#if defined(_DERIVATE2)
  alpha1_VGP_SI_VDI_SI=(+alpha_VGP_SI_VDI_SI*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VGP_SI*((0.5*((((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp)+((zsat*temp)*temp_VDI_SI)))))+alpha_VDI_SI*(0.5*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp)+((zsat*temp)*temp_VDI_SI)))+0.0*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI))+0.5*(+(+zsat_VGP_SI_VDI_SI*temp+zsat_VGP_SI*temp_VDI_SI+zsat_VDI_SI*temp_VGP_SI+zsat*temp_VGP_SI_VDI_SI)*temp+((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp_VDI_SI+(((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp_VGP_SI+(zsat*temp)*temp_VGP_SI_VDI_SI))));
  alpha1_VGP_SI_VGP_SI=(+alpha_VGP_SI_VGP_SI*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VGP_SI*((0.5*((((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp)+((zsat*temp)*temp_VGP_SI)))))+alpha_VGP_SI*(0.5*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp)+((zsat*temp)*temp_VGP_SI)))+0.0*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI))+0.5*(+(+zsat_VGP_SI_VGP_SI*temp+zsat_VGP_SI*temp_VGP_SI+zsat_VGP_SI*temp_VGP_SI+zsat*temp_VGP_SI_VGP_SI)*temp+((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp_VGP_SI+(((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp_VGP_SI+(zsat*temp)*temp_VGP_SI_VGP_SI))));
  alpha1_VGP_SI_VSI_BP=(+alpha_VGP_SI_VSI_BP*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VGP_SI*((0.5*((((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp)+((zsat*temp)*temp_VSI_BP)))))+alpha_VSI_BP*(0.5*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp)+((zsat*temp)*temp_VSI_BP)))+0.0*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI))+0.5*(+(+zsat_VGP_SI_VSI_BP*temp+zsat_VGP_SI*temp_VSI_BP+zsat_VSI_BP*temp_VGP_SI+zsat*temp_VGP_SI_VSI_BP)*temp+((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp_VSI_BP+(((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp_VGP_SI+(zsat*temp)*temp_VGP_SI_VSI_BP))));
#endif
alpha1_VSI_BP=((alpha_VSI_BP*(1.0+(0.5*((zsat*temp)*temp))))+(alpha*(0.5*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP)))));
#if defined(_DERIVATE2)
  alpha1_VSI_BP_VDI_SI=(+alpha_VSI_BP_VDI_SI*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VSI_BP*((0.5*((((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp)+((zsat*temp)*temp_VDI_SI)))))+alpha_VDI_SI*(0.5*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp)+((zsat*temp)*temp_VDI_SI)))+0.0*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP))+0.5*(+(+zsat_VSI_BP_VDI_SI*temp+zsat_VSI_BP*temp_VDI_SI+zsat_VDI_SI*temp_VSI_BP+zsat*temp_VSI_BP_VDI_SI)*temp+((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp_VDI_SI+(((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp_VSI_BP+(zsat*temp)*temp_VSI_BP_VDI_SI))));
  alpha1_VSI_BP_VGP_SI=(+alpha_VSI_BP_VGP_SI*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VSI_BP*((0.5*((((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp)+((zsat*temp)*temp_VGP_SI)))))+alpha_VGP_SI*(0.5*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp)+((zsat*temp)*temp_VGP_SI)))+0.0*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP))+0.5*(+(+zsat_VSI_BP_VGP_SI*temp+zsat_VSI_BP*temp_VGP_SI+zsat_VGP_SI*temp_VSI_BP+zsat*temp_VSI_BP_VGP_SI)*temp+((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp_VGP_SI+(((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp_VSI_BP+(zsat*temp)*temp_VSI_BP_VGP_SI))));
  alpha1_VSI_BP_VSI_BP=(+alpha_VSI_BP_VSI_BP*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VSI_BP*((0.5*((((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp)+((zsat*temp)*temp_VSI_BP)))))+alpha_VSI_BP*(0.5*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp)+((zsat*temp)*temp_VSI_BP)))+0.0*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP))+0.5*(+(+zsat_VSI_BP_VSI_BP*temp+zsat_VSI_BP*temp_VSI_BP+zsat_VSI_BP*temp_VSI_BP+zsat*temp_VSI_BP_VSI_BP)*temp+((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp_VSI_BP+(((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp_VSI_BP+(zsat*temp)*temp_VSI_BP_VSI_BP))));
#endif
#endif
alpha1=(alpha*(1.0+(0.5*((zsat*temp)*temp))));
EXIT_IF_ISNAN((alpha*(1.0+(0.5*((zsat*temp)*temp)))))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
H_VGP_SI=((((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI))*alpha1-(temp*qim1)*alpha1_VGP_SI)/alpha1/alpha1);
#if defined(_DERIVATE2)
  H_VGP_SI_VGP_SI=((+temp_VGP_SI_VGP_SI*qim1+temp_VGP_SI*qim1_VGP_SI+temp_VGP_SI*qim1_VGP_SI+temp*qim1_VGP_SI_VGP_SI)/alpha1-(((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI))*alpha1_VGP_SI+(((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI)))*alpha1_VGP_SI+(temp*qim1)*alpha1_VGP_SI_VGP_SI)/alpha1/alpha1+2*(temp*qim1)*alpha1_VGP_SI*alpha1_VGP_SI/alpha1/alpha1/alpha1);
  H_VGP_SI_VDI_SI=((+temp_VGP_SI_VDI_SI*qim1+temp_VGP_SI*qim1_VDI_SI+temp_VDI_SI*qim1_VGP_SI+temp*qim1_VGP_SI_VDI_SI)/alpha1-(((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI))*alpha1_VDI_SI+(((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI)))*alpha1_VGP_SI+(temp*qim1)*alpha1_VGP_SI_VDI_SI)/alpha1/alpha1+2*(temp*qim1)*alpha1_VGP_SI*alpha1_VDI_SI/alpha1/alpha1/alpha1);
  H_VGP_SI_VSI_BP=((+temp_VGP_SI_VSI_BP*qim1+temp_VGP_SI*qim1_VSI_BP+temp_VSI_BP*qim1_VGP_SI+temp*qim1_VGP_SI_VSI_BP)/alpha1-(((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI))*alpha1_VSI_BP+(((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP)))*alpha1_VGP_SI+(temp*qim1)*alpha1_VGP_SI_VSI_BP)/alpha1/alpha1+2*(temp*qim1)*alpha1_VGP_SI*alpha1_VSI_BP/alpha1/alpha1/alpha1);
#endif
H_VDI_SI=((((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI))*alpha1-(temp*qim1)*alpha1_VDI_SI)/alpha1/alpha1);
#if defined(_DERIVATE2)
  H_VDI_SI_VGP_SI=((+temp_VDI_SI_VGP_SI*qim1+temp_VDI_SI*qim1_VGP_SI+temp_VGP_SI*qim1_VDI_SI+temp*qim1_VDI_SI_VGP_SI)/alpha1-(((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI))*alpha1_VGP_SI+(((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI)))*alpha1_VDI_SI+(temp*qim1)*alpha1_VDI_SI_VGP_SI)/alpha1/alpha1+2*(temp*qim1)*alpha1_VDI_SI*alpha1_VGP_SI/alpha1/alpha1/alpha1);
  H_VDI_SI_VDI_SI=((+temp_VDI_SI_VDI_SI*qim1+temp_VDI_SI*qim1_VDI_SI+temp_VDI_SI*qim1_VDI_SI+temp*qim1_VDI_SI_VDI_SI)/alpha1-(((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI))*alpha1_VDI_SI+(((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI)))*alpha1_VDI_SI+(temp*qim1)*alpha1_VDI_SI_VDI_SI)/alpha1/alpha1+2*(temp*qim1)*alpha1_VDI_SI*alpha1_VDI_SI/alpha1/alpha1/alpha1);
  H_VDI_SI_VSI_BP=((+temp_VDI_SI_VSI_BP*qim1+temp_VDI_SI*qim1_VSI_BP+temp_VSI_BP*qim1_VDI_SI+temp*qim1_VDI_SI_VSI_BP)/alpha1-(((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI))*alpha1_VSI_BP+(((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP)))*alpha1_VDI_SI+(temp*qim1)*alpha1_VDI_SI_VSI_BP)/alpha1/alpha1+2*(temp*qim1)*alpha1_VDI_SI*alpha1_VSI_BP/alpha1/alpha1/alpha1);
#endif
H_VSI_BP=((((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP))*alpha1-(temp*qim1)*alpha1_VSI_BP)/alpha1/alpha1);
#if defined(_DERIVATE2)
  H_VSI_BP_VGP_SI=((+temp_VSI_BP_VGP_SI*qim1+temp_VSI_BP*qim1_VGP_SI+temp_VGP_SI*qim1_VSI_BP+temp*qim1_VSI_BP_VGP_SI)/alpha1-(((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP))*alpha1_VGP_SI+(((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI)))*alpha1_VSI_BP+(temp*qim1)*alpha1_VSI_BP_VGP_SI)/alpha1/alpha1+2*(temp*qim1)*alpha1_VSI_BP*alpha1_VGP_SI/alpha1/alpha1/alpha1);
  H_VSI_BP_VDI_SI=((+temp_VSI_BP_VDI_SI*qim1+temp_VSI_BP*qim1_VDI_SI+temp_VDI_SI*qim1_VSI_BP+temp*qim1_VSI_BP_VDI_SI)/alpha1-(((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP))*alpha1_VDI_SI+(((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI)))*alpha1_VSI_BP+(temp*qim1)*alpha1_VSI_BP_VDI_SI)/alpha1/alpha1+2*(temp*qim1)*alpha1_VSI_BP*alpha1_VDI_SI/alpha1/alpha1/alpha1);
  H_VSI_BP_VSI_BP=((+temp_VSI_BP_VSI_BP*qim1+temp_VSI_BP*qim1_VSI_BP+temp_VSI_BP*qim1_VSI_BP+temp*qim1_VSI_BP_VSI_BP)/alpha1-(((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP))*alpha1_VSI_BP+(((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP)))*alpha1_VSI_BP+(temp*qim1)*alpha1_VSI_BP_VSI_BP)/alpha1/alpha1+2*(temp*qim1)*alpha1_VSI_BP*alpha1_VSI_BP/alpha1/alpha1/alpha1);
#endif
#endif
H=((temp*qim1)/alpha1);
EXIT_IF_ISNAN(((temp*qim1)/alpha1))
}
if
((xg>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
qim1_1_VDI_SI=(-qim1_VDI_SI/qim1/qim1);
#if defined(_DERIVATE2)
  qim1_1_VDI_SI_VDI_SI=(0.0/qim1-(0.0*qim1_VDI_SI+0.0*qim1_VDI_SI+1.0*qim1_VDI_SI_VDI_SI)/qim1/qim1+2*1.0*qim1_VDI_SI*qim1_VDI_SI/qim1/qim1/qim1);
  qim1_1_VDI_SI_VGP_SI=(0.0/qim1-(0.0*qim1_VGP_SI+0.0*qim1_VDI_SI+1.0*qim1_VDI_SI_VGP_SI)/qim1/qim1+2*1.0*qim1_VDI_SI*qim1_VGP_SI/qim1/qim1/qim1);
  qim1_1_VDI_SI_VSI_BP=(0.0/qim1-(0.0*qim1_VSI_BP+0.0*qim1_VDI_SI+1.0*qim1_VDI_SI_VSI_BP)/qim1/qim1+2*1.0*qim1_VDI_SI*qim1_VSI_BP/qim1/qim1/qim1);
#endif
qim1_1_VGP_SI=(-qim1_VGP_SI/qim1/qim1);
#if defined(_DERIVATE2)
  qim1_1_VGP_SI_VDI_SI=(0.0/qim1-(0.0*qim1_VDI_SI+0.0*qim1_VGP_SI+1.0*qim1_VGP_SI_VDI_SI)/qim1/qim1+2*1.0*qim1_VGP_SI*qim1_VDI_SI/qim1/qim1/qim1);
  qim1_1_VGP_SI_VGP_SI=(0.0/qim1-(0.0*qim1_VGP_SI+0.0*qim1_VGP_SI+1.0*qim1_VGP_SI_VGP_SI)/qim1/qim1+2*1.0*qim1_VGP_SI*qim1_VGP_SI/qim1/qim1/qim1);
  qim1_1_VGP_SI_VSI_BP=(0.0/qim1-(0.0*qim1_VSI_BP+0.0*qim1_VGP_SI+1.0*qim1_VGP_SI_VSI_BP)/qim1/qim1+2*1.0*qim1_VGP_SI*qim1_VSI_BP/qim1/qim1/qim1);
#endif
qim1_1_VSI_BP=(-qim1_VSI_BP/qim1/qim1);
#if defined(_DERIVATE2)
  qim1_1_VSI_BP_VDI_SI=(0.0/qim1-(0.0*qim1_VDI_SI+0.0*qim1_VSI_BP+1.0*qim1_VSI_BP_VDI_SI)/qim1/qim1+2*1.0*qim1_VSI_BP*qim1_VDI_SI/qim1/qim1/qim1);
  qim1_1_VSI_BP_VGP_SI=(0.0/qim1-(0.0*qim1_VGP_SI+0.0*qim1_VSI_BP+1.0*qim1_VSI_BP_VGP_SI)/qim1/qim1+2*1.0*qim1_VSI_BP*qim1_VGP_SI/qim1/qim1/qim1);
  qim1_1_VSI_BP_VSI_BP=(0.0/qim1-(0.0*qim1_VSI_BP+0.0*qim1_VSI_BP+1.0*qim1_VSI_BP_VSI_BP)/qim1/qim1+2*1.0*qim1_VSI_BP*qim1_VSI_BP/qim1/qim1/qim1);
#endif
#endif
qim1_1=(1.0/qim1);
EXIT_IF_ISNAN((1.0/qim1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
r1_VDI_SI=((qim_VDI_SI*qim1_1)+(qim*qim1_1_VDI_SI));
#if defined(_DERIVATE2)
  r1_VDI_SI_VDI_SI=(+qim_VDI_SI_VDI_SI*qim1_1+qim_VDI_SI*qim1_1_VDI_SI+qim_VDI_SI*qim1_1_VDI_SI+qim*qim1_1_VDI_SI_VDI_SI);
  r1_VDI_SI_VGP_SI=(+qim_VDI_SI_VGP_SI*qim1_1+qim_VDI_SI*qim1_1_VGP_SI+qim_VGP_SI*qim1_1_VDI_SI+qim*qim1_1_VDI_SI_VGP_SI);
  r1_VDI_SI_VSI_BP=(+qim_VDI_SI_VSI_BP*qim1_1+qim_VDI_SI*qim1_1_VSI_BP+qim_VSI_BP*qim1_1_VDI_SI+qim*qim1_1_VDI_SI_VSI_BP);
#endif
r1_VGP_SI=((qim_VGP_SI*qim1_1)+(qim*qim1_1_VGP_SI));
#if defined(_DERIVATE2)
  r1_VGP_SI_VDI_SI=(+qim_VGP_SI_VDI_SI*qim1_1+qim_VGP_SI*qim1_1_VDI_SI+qim_VDI_SI*qim1_1_VGP_SI+qim*qim1_1_VGP_SI_VDI_SI);
  r1_VGP_SI_VGP_SI=(+qim_VGP_SI_VGP_SI*qim1_1+qim_VGP_SI*qim1_1_VGP_SI+qim_VGP_SI*qim1_1_VGP_SI+qim*qim1_1_VGP_SI_VGP_SI);
  r1_VGP_SI_VSI_BP=(+qim_VGP_SI_VSI_BP*qim1_1+qim_VGP_SI*qim1_1_VSI_BP+qim_VSI_BP*qim1_1_VGP_SI+qim*qim1_1_VGP_SI_VSI_BP);
#endif
r1_VSI_BP=((qim_VSI_BP*qim1_1)+(qim*qim1_1_VSI_BP));
#if defined(_DERIVATE2)
  r1_VSI_BP_VDI_SI=(+qim_VSI_BP_VDI_SI*qim1_1+qim_VSI_BP*qim1_1_VDI_SI+qim_VDI_SI*qim1_1_VSI_BP+qim*qim1_1_VSI_BP_VDI_SI);
  r1_VSI_BP_VGP_SI=(+qim_VSI_BP_VGP_SI*qim1_1+qim_VSI_BP*qim1_1_VGP_SI+qim_VGP_SI*qim1_1_VSI_BP+qim*qim1_1_VSI_BP_VGP_SI);
  r1_VSI_BP_VSI_BP=(+qim_VSI_BP_VSI_BP*qim1_1+qim_VSI_BP*qim1_1_VSI_BP+qim_VSI_BP*qim1_1_VSI_BP+qim*qim1_1_VSI_BP_VSI_BP);
#endif
#endif
r1=(qim*qim1_1);
EXIT_IF_ISNAN((qim*qim1_1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
r2_VDI_SI=((phit1_VDI_SI*(alpha*qim1_1))+(pInst->phit1*((alpha_VDI_SI*qim1_1)+(alpha*qim1_1_VDI_SI))));
#if defined(_DERIVATE2)
  r2_VDI_SI_VDI_SI=(+phit1_VDI_SI_VDI_SI*(alpha*qim1_1)+phit1_VDI_SI*(((alpha_VDI_SI*qim1_1)+(alpha*qim1_1_VDI_SI)))+phit1_VDI_SI*((alpha_VDI_SI*qim1_1)+(alpha*qim1_1_VDI_SI))+pInst->phit1*(+alpha_VDI_SI_VDI_SI*qim1_1+alpha_VDI_SI*qim1_1_VDI_SI+alpha_VDI_SI*qim1_1_VDI_SI+alpha*qim1_1_VDI_SI_VDI_SI));
  r2_VDI_SI_VGP_SI=(+phit1_VDI_SI_VGP_SI*(alpha*qim1_1)+phit1_VDI_SI*(((alpha_VGP_SI*qim1_1)+(alpha*qim1_1_VGP_SI)))+phit1_VGP_SI*((alpha_VDI_SI*qim1_1)+(alpha*qim1_1_VDI_SI))+pInst->phit1*(+alpha_VDI_SI_VGP_SI*qim1_1+alpha_VDI_SI*qim1_1_VGP_SI+alpha_VGP_SI*qim1_1_VDI_SI+alpha*qim1_1_VDI_SI_VGP_SI));
  r2_VDI_SI_VSI_BP=(+phit1_VDI_SI_VSI_BP*(alpha*qim1_1)+phit1_VDI_SI*(((alpha_VSI_BP*qim1_1)+(alpha*qim1_1_VSI_BP)))+phit1_VSI_BP*((alpha_VDI_SI*qim1_1)+(alpha*qim1_1_VDI_SI))+pInst->phit1*(+alpha_VDI_SI_VSI_BP*qim1_1+alpha_VDI_SI*qim1_1_VSI_BP+alpha_VSI_BP*qim1_1_VDI_SI+alpha*qim1_1_VDI_SI_VSI_BP));
#endif
r2_VGP_SI=((phit1_VGP_SI*(alpha*qim1_1))+(pInst->phit1*((alpha_VGP_SI*qim1_1)+(alpha*qim1_1_VGP_SI))));
#if defined(_DERIVATE2)
  r2_VGP_SI_VDI_SI=(+phit1_VGP_SI_VDI_SI*(alpha*qim1_1)+phit1_VGP_SI*(((alpha_VDI_SI*qim1_1)+(alpha*qim1_1_VDI_SI)))+phit1_VDI_SI*((alpha_VGP_SI*qim1_1)+(alpha*qim1_1_VGP_SI))+pInst->phit1*(+alpha_VGP_SI_VDI_SI*qim1_1+alpha_VGP_SI*qim1_1_VDI_SI+alpha_VDI_SI*qim1_1_VGP_SI+alpha*qim1_1_VGP_SI_VDI_SI));
  r2_VGP_SI_VGP_SI=(+phit1_VGP_SI_VGP_SI*(alpha*qim1_1)+phit1_VGP_SI*(((alpha_VGP_SI*qim1_1)+(alpha*qim1_1_VGP_SI)))+phit1_VGP_SI*((alpha_VGP_SI*qim1_1)+(alpha*qim1_1_VGP_SI))+pInst->phit1*(+alpha_VGP_SI_VGP_SI*qim1_1+alpha_VGP_SI*qim1_1_VGP_SI+alpha_VGP_SI*qim1_1_VGP_SI+alpha*qim1_1_VGP_SI_VGP_SI));
  r2_VGP_SI_VSI_BP=(+phit1_VGP_SI_VSI_BP*(alpha*qim1_1)+phit1_VGP_SI*(((alpha_VSI_BP*qim1_1)+(alpha*qim1_1_VSI_BP)))+phit1_VSI_BP*((alpha_VGP_SI*qim1_1)+(alpha*qim1_1_VGP_SI))+pInst->phit1*(+alpha_VGP_SI_VSI_BP*qim1_1+alpha_VGP_SI*qim1_1_VSI_BP+alpha_VSI_BP*qim1_1_VGP_SI+alpha*qim1_1_VGP_SI_VSI_BP));
#endif
r2_VSI_BP=((phit1_VSI_BP*(alpha*qim1_1))+(pInst->phit1*((alpha_VSI_BP*qim1_1)+(alpha*qim1_1_VSI_BP))));
#if defined(_DERIVATE2)
  r2_VSI_BP_VDI_SI=(+phit1_VSI_BP_VDI_SI*(alpha*qim1_1)+phit1_VSI_BP*(((alpha_VDI_SI*qim1_1)+(alpha*qim1_1_VDI_SI)))+phit1_VDI_SI*((alpha_VSI_BP*qim1_1)+(alpha*qim1_1_VSI_BP))+pInst->phit1*(+alpha_VSI_BP_VDI_SI*qim1_1+alpha_VSI_BP*qim1_1_VDI_SI+alpha_VDI_SI*qim1_1_VSI_BP+alpha*qim1_1_VSI_BP_VDI_SI));
  r2_VSI_BP_VGP_SI=(+phit1_VSI_BP_VGP_SI*(alpha*qim1_1)+phit1_VSI_BP*(((alpha_VGP_SI*qim1_1)+(alpha*qim1_1_VGP_SI)))+phit1_VGP_SI*((alpha_VSI_BP*qim1_1)+(alpha*qim1_1_VSI_BP))+pInst->phit1*(+alpha_VSI_BP_VGP_SI*qim1_1+alpha_VSI_BP*qim1_1_VGP_SI+alpha_VGP_SI*qim1_1_VSI_BP+alpha*qim1_1_VSI_BP_VGP_SI));
  r2_VSI_BP_VSI_BP=(+phit1_VSI_BP_VSI_BP*(alpha*qim1_1)+phit1_VSI_BP*(((alpha_VSI_BP*qim1_1)+(alpha*qim1_1_VSI_BP)))+phit1_VSI_BP*((alpha_VSI_BP*qim1_1)+(alpha*qim1_1_VSI_BP))+pInst->phit1*(+alpha_VSI_BP_VSI_BP*qim1_1+alpha_VSI_BP*qim1_1_VSI_BP+alpha_VSI_BP*qim1_1_VSI_BP+alpha*qim1_1_VSI_BP_VSI_BP));
#endif
#endif
r2=(pInst->phit1*(alpha*qim1_1));
EXIT_IF_ISNAN((pInst->phit1*(alpha*qim1_1)))
{
double m00_logE(d00_logE0,(1.0+(Vdsx*pInst->inv_VP)))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(1.0+(Vdsx*pInst->inv_VP)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
s2_VDI_SI=Vdsx_VDI_SI*pInst->inv_VP*d10_logE0;
#if defined(_DERIVATE2)
  s2_VDI_SI_VDI_SI=(m20_logE((1.0+(Vdsx*pInst->inv_VP)))*(Vdsx_VDI_SI*pInst->inv_VP)*Vdsx_VDI_SI*pInst->inv_VP+d10_logE0*(+0.0+(+Vdsx_VDI_SI_VDI_SI*pInst->inv_VP+Vdsx_VDI_SI*0.0+Vdsx_VDI_SI*0.0+Vdsx*0.0)));
#endif
#endif
s2=d00_logE0;
EXIT_IF_ISNAN(d00_logE0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dL1_VDI_SI=((dL_VDI_SI+(pInst->ALP1_i*((((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI))*s1)+((qim1_1*r1)*s1_VDI_SI))))+(pInst->ALP2_i*((((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI))*r2)+((qbm*r2)*r2_VDI_SI))*s2)+(((qbm*r2)*r2)*s2_VDI_SI))));
#if defined(_DERIVATE2)
  dL1_VDI_SI_VDI_SI=(+(+dL_VDI_SI_VDI_SI+(+0.0*((qim1_1*r1)*s1)+0.0*((((((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI)))*s1)+((qim1_1*r1)*s1_VDI_SI)))+0.0*((((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI))*s1)+((qim1_1*r1)*s1_VDI_SI))+pInst->ALP1_i*(+(+qim1_1_VDI_SI_VDI_SI*r1+qim1_1_VDI_SI*r1_VDI_SI+qim1_1_VDI_SI*r1_VDI_SI+qim1_1*r1_VDI_SI_VDI_SI)*s1+((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI))*s1_VDI_SI+(((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI)))*s1_VDI_SI+(qim1_1*r1)*s1_VDI_SI_VDI_SI)))+(+0.0*(((qbm*r2)*r2)*s2)+0.0*(((((((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI)))*r2)+((qbm*r2)*r2_VDI_SI)))*s2)+(((qbm*r2)*r2)*s2_VDI_SI)))+0.0*((((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI))*r2)+((qbm*r2)*r2_VDI_SI))*s2)+(((qbm*r2)*r2)*s2_VDI_SI))+pInst->ALP2_i*(+(+(+qbm_VDI_SI_VDI_SI*r2+qbm_VDI_SI*r2_VDI_SI+qbm_VDI_SI*r2_VDI_SI+qbm*r2_VDI_SI_VDI_SI)*r2+((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI))*r2_VDI_SI+(((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI)))*r2_VDI_SI+(qbm*r2)*r2_VDI_SI_VDI_SI)*s2+((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI))*r2)+((qbm*r2)*r2_VDI_SI))*s2_VDI_SI+((((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI)))*r2)+((qbm*r2)*r2_VDI_SI)))*s2_VDI_SI+((qbm*r2)*r2)*s2_VDI_SI_VDI_SI)));
  dL1_VDI_SI_VGP_SI=(+(+dL_VDI_SI_VGP_SI+(+0.0*((qim1_1*r1)*s1)+0.0*((((((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI)))*s1)+((qim1_1*r1)*s1_VGP_SI)))+0.0*((((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI))*s1)+((qim1_1*r1)*s1_VDI_SI))+pInst->ALP1_i*(+(+qim1_1_VDI_SI_VGP_SI*r1+qim1_1_VDI_SI*r1_VGP_SI+qim1_1_VGP_SI*r1_VDI_SI+qim1_1*r1_VDI_SI_VGP_SI)*s1+((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI))*s1_VGP_SI+(((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI)))*s1_VDI_SI+(qim1_1*r1)*s1_VDI_SI_VGP_SI)))+(+0.0*(((qbm*r2)*r2)*s2)+0.0*(((((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI)))*r2)+((qbm*r2)*r2_VGP_SI)))*s2)+0.0*((((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI))*r2)+((qbm*r2)*r2_VDI_SI))*s2)+(((qbm*r2)*r2)*s2_VDI_SI))+pInst->ALP2_i*(+(+(+qbm_VDI_SI_VGP_SI*r2+qbm_VDI_SI*r2_VGP_SI+qbm_VGP_SI*r2_VDI_SI+qbm*r2_VDI_SI_VGP_SI)*r2+((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI))*r2_VGP_SI+(((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI)))*r2_VDI_SI+(qbm*r2)*r2_VDI_SI_VGP_SI)*s2+((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI))*r2)+((qbm*r2)*r2_VDI_SI))*0.0+((((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI)))*r2)+((qbm*r2)*r2_VGP_SI)))*s2_VDI_SI+((qbm*r2)*r2)*0.0)));
  dL1_VDI_SI_VSI_BP=(+(+dL_VDI_SI_VSI_BP+(+0.0*((qim1_1*r1)*s1)+0.0*((((((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP)))*s1)+((qim1_1*r1)*s1_VSI_BP)))+0.0*((((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI))*s1)+((qim1_1*r1)*s1_VDI_SI))+pInst->ALP1_i*(+(+qim1_1_VDI_SI_VSI_BP*r1+qim1_1_VDI_SI*r1_VSI_BP+qim1_1_VSI_BP*r1_VDI_SI+qim1_1*r1_VDI_SI_VSI_BP)*s1+((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI))*s1_VSI_BP+(((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP)))*s1_VDI_SI+(qim1_1*r1)*s1_VDI_SI_VSI_BP)))+(+0.0*(((qbm*r2)*r2)*s2)+0.0*(((((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP)))*r2)+((qbm*r2)*r2_VSI_BP)))*s2)+0.0*((((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI))*r2)+((qbm*r2)*r2_VDI_SI))*s2)+(((qbm*r2)*r2)*s2_VDI_SI))+pInst->ALP2_i*(+(+(+qbm_VDI_SI_VSI_BP*r2+qbm_VDI_SI*r2_VSI_BP+qbm_VSI_BP*r2_VDI_SI+qbm*r2_VDI_SI_VSI_BP)*r2+((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI))*r2_VSI_BP+(((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP)))*r2_VDI_SI+(qbm*r2)*r2_VDI_SI_VSI_BP)*s2+((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI))*r2)+((qbm*r2)*r2_VDI_SI))*0.0+((((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP)))*r2)+((qbm*r2)*r2_VSI_BP)))*s2_VDI_SI+((qbm*r2)*r2)*0.0)));
#endif
dL1_VGP_SI=((dL_VGP_SI+(pInst->ALP1_i*((((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI))*s1)+((qim1_1*r1)*s1_VGP_SI))))+(pInst->ALP2_i*((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI))*r2)+((qbm*r2)*r2_VGP_SI))*s2));
#if defined(_DERIVATE2)
  dL1_VGP_SI_VDI_SI=(+(+dL_VGP_SI_VDI_SI+(+0.0*((qim1_1*r1)*s1)+0.0*((((((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI)))*s1)+((qim1_1*r1)*s1_VDI_SI)))+0.0*((((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI))*s1)+((qim1_1*r1)*s1_VGP_SI))+pInst->ALP1_i*(+(+qim1_1_VGP_SI_VDI_SI*r1+qim1_1_VGP_SI*r1_VDI_SI+qim1_1_VDI_SI*r1_VGP_SI+qim1_1*r1_VGP_SI_VDI_SI)*s1+((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI))*s1_VDI_SI+(((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI)))*s1_VGP_SI+(qim1_1*r1)*s1_VGP_SI_VDI_SI)))+(+0.0*(((qbm*r2)*r2)*s2)+0.0*(((((((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI)))*r2)+((qbm*r2)*r2_VDI_SI)))*s2)+(((qbm*r2)*r2)*s2_VDI_SI)))+0.0*((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI))*r2)+((qbm*r2)*r2_VGP_SI))*s2+pInst->ALP2_i*(+(+(+qbm_VGP_SI_VDI_SI*r2+qbm_VGP_SI*r2_VDI_SI+qbm_VDI_SI*r2_VGP_SI+qbm*r2_VGP_SI_VDI_SI)*r2+((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI))*r2_VDI_SI+(((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI)))*r2_VGP_SI+(qbm*r2)*r2_VGP_SI_VDI_SI)*s2+((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI))*r2)+((qbm*r2)*r2_VGP_SI))*s2_VDI_SI+((((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI)))*r2)+((qbm*r2)*r2_VDI_SI)))*0.0+((qbm*r2)*r2)*0.0)));
  dL1_VGP_SI_VGP_SI=(+(+dL_VGP_SI_VGP_SI+(+0.0*((qim1_1*r1)*s1)+0.0*((((((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI)))*s1)+((qim1_1*r1)*s1_VGP_SI)))+0.0*((((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI))*s1)+((qim1_1*r1)*s1_VGP_SI))+pInst->ALP1_i*(+(+qim1_1_VGP_SI_VGP_SI*r1+qim1_1_VGP_SI*r1_VGP_SI+qim1_1_VGP_SI*r1_VGP_SI+qim1_1*r1_VGP_SI_VGP_SI)*s1+((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI))*s1_VGP_SI+(((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI)))*s1_VGP_SI+(qim1_1*r1)*s1_VGP_SI_VGP_SI)))+(+0.0*(((qbm*r2)*r2)*s2)+0.0*(((((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI)))*r2)+((qbm*r2)*r2_VGP_SI)))*s2)+0.0*((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI))*r2)+((qbm*r2)*r2_VGP_SI))*s2+pInst->ALP2_i*(+(+(+qbm_VGP_SI_VGP_SI*r2+qbm_VGP_SI*r2_VGP_SI+qbm_VGP_SI*r2_VGP_SI+qbm*r2_VGP_SI_VGP_SI)*r2+((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI))*r2_VGP_SI+(((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI)))*r2_VGP_SI+(qbm*r2)*r2_VGP_SI_VGP_SI)*s2+((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI))*r2)+((qbm*r2)*r2_VGP_SI))*0.0+((((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI)))*r2)+((qbm*r2)*r2_VGP_SI)))*0.0+((qbm*r2)*r2)*0.0)));
  dL1_VGP_SI_VSI_BP=(+(+dL_VGP_SI_VSI_BP+(+0.0*((qim1_1*r1)*s1)+0.0*((((((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP)))*s1)+((qim1_1*r1)*s1_VSI_BP)))+0.0*((((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI))*s1)+((qim1_1*r1)*s1_VGP_SI))+pInst->ALP1_i*(+(+qim1_1_VGP_SI_VSI_BP*r1+qim1_1_VGP_SI*r1_VSI_BP+qim1_1_VSI_BP*r1_VGP_SI+qim1_1*r1_VGP_SI_VSI_BP)*s1+((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI))*s1_VSI_BP+(((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP)))*s1_VGP_SI+(qim1_1*r1)*s1_VGP_SI_VSI_BP)))+(+0.0*(((qbm*r2)*r2)*s2)+0.0*(((((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP)))*r2)+((qbm*r2)*r2_VSI_BP)))*s2)+0.0*((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI))*r2)+((qbm*r2)*r2_VGP_SI))*s2+pInst->ALP2_i*(+(+(+qbm_VGP_SI_VSI_BP*r2+qbm_VGP_SI*r2_VSI_BP+qbm_VSI_BP*r2_VGP_SI+qbm*r2_VGP_SI_VSI_BP)*r2+((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI))*r2_VSI_BP+(((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP)))*r2_VGP_SI+(qbm*r2)*r2_VGP_SI_VSI_BP)*s2+((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI))*r2)+((qbm*r2)*r2_VGP_SI))*0.0+((((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP)))*r2)+((qbm*r2)*r2_VSI_BP)))*0.0+((qbm*r2)*r2)*0.0)));
#endif
dL1_VSI_BP=((dL_VSI_BP+(pInst->ALP1_i*((((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP))*s1)+((qim1_1*r1)*s1_VSI_BP))))+(pInst->ALP2_i*((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP))*r2)+((qbm*r2)*r2_VSI_BP))*s2));
#if defined(_DERIVATE2)
  dL1_VSI_BP_VDI_SI=(+(+dL_VSI_BP_VDI_SI+(+0.0*((qim1_1*r1)*s1)+0.0*((((((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI)))*s1)+((qim1_1*r1)*s1_VDI_SI)))+0.0*((((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP))*s1)+((qim1_1*r1)*s1_VSI_BP))+pInst->ALP1_i*(+(+qim1_1_VSI_BP_VDI_SI*r1+qim1_1_VSI_BP*r1_VDI_SI+qim1_1_VDI_SI*r1_VSI_BP+qim1_1*r1_VSI_BP_VDI_SI)*s1+((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP))*s1_VDI_SI+(((qim1_1_VDI_SI*r1)+(qim1_1*r1_VDI_SI)))*s1_VSI_BP+(qim1_1*r1)*s1_VSI_BP_VDI_SI)))+(+0.0*(((qbm*r2)*r2)*s2)+0.0*(((((((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI)))*r2)+((qbm*r2)*r2_VDI_SI)))*s2)+(((qbm*r2)*r2)*s2_VDI_SI)))+0.0*((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP))*r2)+((qbm*r2)*r2_VSI_BP))*s2+pInst->ALP2_i*(+(+(+qbm_VSI_BP_VDI_SI*r2+qbm_VSI_BP*r2_VDI_SI+qbm_VDI_SI*r2_VSI_BP+qbm*r2_VSI_BP_VDI_SI)*r2+((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP))*r2_VDI_SI+(((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI)))*r2_VSI_BP+(qbm*r2)*r2_VSI_BP_VDI_SI)*s2+((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP))*r2)+((qbm*r2)*r2_VSI_BP))*s2_VDI_SI+((((((qbm_VDI_SI*r2)+(qbm*r2_VDI_SI)))*r2)+((qbm*r2)*r2_VDI_SI)))*0.0+((qbm*r2)*r2)*0.0)));
  dL1_VSI_BP_VGP_SI=(+(+dL_VSI_BP_VGP_SI+(+0.0*((qim1_1*r1)*s1)+0.0*((((((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI)))*s1)+((qim1_1*r1)*s1_VGP_SI)))+0.0*((((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP))*s1)+((qim1_1*r1)*s1_VSI_BP))+pInst->ALP1_i*(+(+qim1_1_VSI_BP_VGP_SI*r1+qim1_1_VSI_BP*r1_VGP_SI+qim1_1_VGP_SI*r1_VSI_BP+qim1_1*r1_VSI_BP_VGP_SI)*s1+((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP))*s1_VGP_SI+(((qim1_1_VGP_SI*r1)+(qim1_1*r1_VGP_SI)))*s1_VSI_BP+(qim1_1*r1)*s1_VSI_BP_VGP_SI)))+(+0.0*(((qbm*r2)*r2)*s2)+0.0*(((((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI)))*r2)+((qbm*r2)*r2_VGP_SI)))*s2)+0.0*((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP))*r2)+((qbm*r2)*r2_VSI_BP))*s2+pInst->ALP2_i*(+(+(+qbm_VSI_BP_VGP_SI*r2+qbm_VSI_BP*r2_VGP_SI+qbm_VGP_SI*r2_VSI_BP+qbm*r2_VSI_BP_VGP_SI)*r2+((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP))*r2_VGP_SI+(((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI)))*r2_VSI_BP+(qbm*r2)*r2_VSI_BP_VGP_SI)*s2+((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP))*r2)+((qbm*r2)*r2_VSI_BP))*0.0+((((((qbm_VGP_SI*r2)+(qbm*r2_VGP_SI)))*r2)+((qbm*r2)*r2_VGP_SI)))*0.0+((qbm*r2)*r2)*0.0)));
  dL1_VSI_BP_VSI_BP=(+(+dL_VSI_BP_VSI_BP+(+0.0*((qim1_1*r1)*s1)+0.0*((((((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP)))*s1)+((qim1_1*r1)*s1_VSI_BP)))+0.0*((((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP))*s1)+((qim1_1*r1)*s1_VSI_BP))+pInst->ALP1_i*(+(+qim1_1_VSI_BP_VSI_BP*r1+qim1_1_VSI_BP*r1_VSI_BP+qim1_1_VSI_BP*r1_VSI_BP+qim1_1*r1_VSI_BP_VSI_BP)*s1+((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP))*s1_VSI_BP+(((qim1_1_VSI_BP*r1)+(qim1_1*r1_VSI_BP)))*s1_VSI_BP+(qim1_1*r1)*s1_VSI_BP_VSI_BP)))+(+0.0*(((qbm*r2)*r2)*s2)+0.0*(((((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP)))*r2)+((qbm*r2)*r2_VSI_BP)))*s2)+0.0*((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP))*r2)+((qbm*r2)*r2_VSI_BP))*s2+pInst->ALP2_i*(+(+(+qbm_VSI_BP_VSI_BP*r2+qbm_VSI_BP*r2_VSI_BP+qbm_VSI_BP*r2_VSI_BP+qbm*r2_VSI_BP_VSI_BP)*r2+((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP))*r2_VSI_BP+(((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP)))*r2_VSI_BP+(qbm*r2)*r2_VSI_BP_VSI_BP)*s2+((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP))*r2)+((qbm*r2)*r2_VSI_BP))*0.0+((((((qbm_VSI_BP*r2)+(qbm*r2_VSI_BP)))*r2)+((qbm*r2)*r2_VSI_BP)))*0.0+((qbm*r2)*r2)*0.0)));
#endif
#endif
dL1=((dL+(pInst->ALP1_i*((qim1_1*r1)*s1)))+(pInst->ALP2_i*(((qbm*r2)*r2)*s2)));
EXIT_IF_ISNAN(((dL+(pInst->ALP1_i*((qim1_1*r1)*s1)))+(pInst->ALP2_i*(((qbm*r2)*r2)*s2))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
FdL_VDI_SI=(((dL1_VDI_SI+((dL1_VDI_SI*dL1)+(dL1*dL1_VDI_SI)))*GdL)+(((1.0+dL1)+(dL1*dL1))*GdL_VDI_SI));
#if defined(_DERIVATE2)
  FdL_VDI_SI_VDI_SI=(+(+(+0.0+dL1_VDI_SI_VDI_SI)+(+dL1_VDI_SI_VDI_SI*dL1+dL1_VDI_SI*dL1_VDI_SI+dL1_VDI_SI*dL1_VDI_SI+dL1*dL1_VDI_SI_VDI_SI))*GdL+(dL1_VDI_SI+((dL1_VDI_SI*dL1)+(dL1*dL1_VDI_SI)))*GdL_VDI_SI+(dL1_VDI_SI+(((dL1_VDI_SI*dL1)+(dL1*dL1_VDI_SI))))*GdL_VDI_SI+((1.0+dL1)+(dL1*dL1))*GdL_VDI_SI_VDI_SI);
  FdL_VDI_SI_VGP_SI=(+(+(+0.0+dL1_VDI_SI_VGP_SI)+(+dL1_VDI_SI_VGP_SI*dL1+dL1_VDI_SI*dL1_VGP_SI+dL1_VGP_SI*dL1_VDI_SI+dL1*dL1_VDI_SI_VGP_SI))*GdL+(dL1_VDI_SI+((dL1_VDI_SI*dL1)+(dL1*dL1_VDI_SI)))*GdL_VGP_SI+(dL1_VGP_SI+(((dL1_VGP_SI*dL1)+(dL1*dL1_VGP_SI))))*GdL_VDI_SI+((1.0+dL1)+(dL1*dL1))*GdL_VDI_SI_VGP_SI);
  FdL_VDI_SI_VSI_BP=(+(+(+0.0+dL1_VDI_SI_VSI_BP)+(+dL1_VDI_SI_VSI_BP*dL1+dL1_VDI_SI*dL1_VSI_BP+dL1_VSI_BP*dL1_VDI_SI+dL1*dL1_VDI_SI_VSI_BP))*GdL+(dL1_VDI_SI+((dL1_VDI_SI*dL1)+(dL1*dL1_VDI_SI)))*GdL_VSI_BP+(dL1_VSI_BP+(((dL1_VSI_BP*dL1)+(dL1*dL1_VSI_BP))))*GdL_VDI_SI+((1.0+dL1)+(dL1*dL1))*GdL_VDI_SI_VSI_BP);
#endif
FdL_VGP_SI=(((dL1_VGP_SI+((dL1_VGP_SI*dL1)+(dL1*dL1_VGP_SI)))*GdL)+(((1.0+dL1)+(dL1*dL1))*GdL_VGP_SI));
#if defined(_DERIVATE2)
  FdL_VGP_SI_VDI_SI=(+(+(+0.0+dL1_VGP_SI_VDI_SI)+(+dL1_VGP_SI_VDI_SI*dL1+dL1_VGP_SI*dL1_VDI_SI+dL1_VDI_SI*dL1_VGP_SI+dL1*dL1_VGP_SI_VDI_SI))*GdL+(dL1_VGP_SI+((dL1_VGP_SI*dL1)+(dL1*dL1_VGP_SI)))*GdL_VDI_SI+(dL1_VDI_SI+(((dL1_VDI_SI*dL1)+(dL1*dL1_VDI_SI))))*GdL_VGP_SI+((1.0+dL1)+(dL1*dL1))*GdL_VGP_SI_VDI_SI);
  FdL_VGP_SI_VGP_SI=(+(+(+0.0+dL1_VGP_SI_VGP_SI)+(+dL1_VGP_SI_VGP_SI*dL1+dL1_VGP_SI*dL1_VGP_SI+dL1_VGP_SI*dL1_VGP_SI+dL1*dL1_VGP_SI_VGP_SI))*GdL+(dL1_VGP_SI+((dL1_VGP_SI*dL1)+(dL1*dL1_VGP_SI)))*GdL_VGP_SI+(dL1_VGP_SI+(((dL1_VGP_SI*dL1)+(dL1*dL1_VGP_SI))))*GdL_VGP_SI+((1.0+dL1)+(dL1*dL1))*GdL_VGP_SI_VGP_SI);
  FdL_VGP_SI_VSI_BP=(+(+(+0.0+dL1_VGP_SI_VSI_BP)+(+dL1_VGP_SI_VSI_BP*dL1+dL1_VGP_SI*dL1_VSI_BP+dL1_VSI_BP*dL1_VGP_SI+dL1*dL1_VGP_SI_VSI_BP))*GdL+(dL1_VGP_SI+((dL1_VGP_SI*dL1)+(dL1*dL1_VGP_SI)))*GdL_VSI_BP+(dL1_VSI_BP+(((dL1_VSI_BP*dL1)+(dL1*dL1_VSI_BP))))*GdL_VGP_SI+((1.0+dL1)+(dL1*dL1))*GdL_VGP_SI_VSI_BP);
#endif
FdL_VSI_BP=(((dL1_VSI_BP+((dL1_VSI_BP*dL1)+(dL1*dL1_VSI_BP)))*GdL)+(((1.0+dL1)+(dL1*dL1))*GdL_VSI_BP));
#if defined(_DERIVATE2)
  FdL_VSI_BP_VDI_SI=(+(+(+0.0+dL1_VSI_BP_VDI_SI)+(+dL1_VSI_BP_VDI_SI*dL1+dL1_VSI_BP*dL1_VDI_SI+dL1_VDI_SI*dL1_VSI_BP+dL1*dL1_VSI_BP_VDI_SI))*GdL+(dL1_VSI_BP+((dL1_VSI_BP*dL1)+(dL1*dL1_VSI_BP)))*GdL_VDI_SI+(dL1_VDI_SI+(((dL1_VDI_SI*dL1)+(dL1*dL1_VDI_SI))))*GdL_VSI_BP+((1.0+dL1)+(dL1*dL1))*GdL_VSI_BP_VDI_SI);
  FdL_VSI_BP_VGP_SI=(+(+(+0.0+dL1_VSI_BP_VGP_SI)+(+dL1_VSI_BP_VGP_SI*dL1+dL1_VSI_BP*dL1_VGP_SI+dL1_VGP_SI*dL1_VSI_BP+dL1*dL1_VSI_BP_VGP_SI))*GdL+(dL1_VSI_BP+((dL1_VSI_BP*dL1)+(dL1*dL1_VSI_BP)))*GdL_VGP_SI+(dL1_VGP_SI+(((dL1_VGP_SI*dL1)+(dL1*dL1_VGP_SI))))*GdL_VSI_BP+((1.0+dL1)+(dL1*dL1))*GdL_VSI_BP_VGP_SI);
  FdL_VSI_BP_VSI_BP=(+(+(+0.0+dL1_VSI_BP_VSI_BP)+(+dL1_VSI_BP_VSI_BP*dL1+dL1_VSI_BP*dL1_VSI_BP+dL1_VSI_BP*dL1_VSI_BP+dL1*dL1_VSI_BP_VSI_BP))*GdL+(dL1_VSI_BP+((dL1_VSI_BP*dL1)+(dL1*dL1_VSI_BP)))*GdL_VSI_BP+(dL1_VSI_BP+(((dL1_VSI_BP*dL1)+(dL1*dL1_VSI_BP))))*GdL_VSI_BP+((1.0+dL1)+(dL1*dL1))*GdL_VSI_BP_VSI_BP);
#endif
#endif
FdL=(((1.0+dL1)+(dL1*dL1))*GdL);
EXIT_IF_ISNAN((((1.0+dL1)+(dL1*dL1))*GdL))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
xg_dc_VDI_SI=xg_VDI_SI;
#if defined(_DERIVATE2)
  xg_dc_VDI_SI_VDI_SI=xg_VDI_SI_VDI_SI;
  xg_dc_VDI_SI_VGP_SI=xg_VDI_SI_VGP_SI;
  xg_dc_VDI_SI_VSI_BP=xg_VDI_SI_VSI_BP;
#endif
xg_dc_VGP_SI=xg_VGP_SI;
#if defined(_DERIVATE2)
  xg_dc_VGP_SI_VDI_SI=xg_VGP_SI_VDI_SI;
  xg_dc_VGP_SI_VGP_SI=xg_VGP_SI_VGP_SI;
  xg_dc_VGP_SI_VSI_BP=xg_VGP_SI_VSI_BP;
#endif
xg_dc_VSI_BP=xg_VSI_BP;
#if defined(_DERIVATE2)
  xg_dc_VSI_BP_VDI_SI=xg_VSI_BP_VDI_SI;
  xg_dc_VSI_BP_VGP_SI=xg_VSI_BP_VGP_SI;
  xg_dc_VSI_BP_VSI_BP=xg_VSI_BP_VSI_BP;
#endif
#endif
pInst->xg_dc=xg;
EXIT_IF_ISNAN(xg)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
qeff1_dc_VDI_SI=qeff1_VDI_SI;
#if defined(_DERIVATE2)
  qeff1_dc_VDI_SI_VDI_SI=qeff1_VDI_SI_VDI_SI;
  qeff1_dc_VDI_SI_VGP_SI=qeff1_VDI_SI_VGP_SI;
  qeff1_dc_VDI_SI_VSI_BP=qeff1_VDI_SI_VSI_BP;
#endif
qeff1_dc_VGP_SI=qeff1_VGP_SI;
#if defined(_DERIVATE2)
  qeff1_dc_VGP_SI_VDI_SI=qeff1_VGP_SI_VDI_SI;
  qeff1_dc_VGP_SI_VGP_SI=qeff1_VGP_SI_VGP_SI;
  qeff1_dc_VGP_SI_VSI_BP=qeff1_VGP_SI_VSI_BP;
#endif
qeff1_dc_VSI_BP=qeff1_VSI_BP;
#if defined(_DERIVATE2)
  qeff1_dc_VSI_BP_VDI_SI=qeff1_VSI_BP_VDI_SI;
  qeff1_dc_VSI_BP_VGP_SI=qeff1_VSI_BP_VGP_SI;
  qeff1_dc_VSI_BP_VSI_BP=qeff1_VSI_BP_VSI_BP;
#endif
#endif
qeff1_dc=qeff1;
EXIT_IF_ISNAN(qeff1)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Voxm_dc_VDI_SI=Voxm_VDI_SI;
#if defined(_DERIVATE2)
  Voxm_dc_VDI_SI_VDI_SI=Voxm_VDI_SI_VDI_SI;
  Voxm_dc_VDI_SI_VGP_SI=Voxm_VDI_SI_VGP_SI;
  Voxm_dc_VDI_SI_VSI_BP=Voxm_VDI_SI_VSI_BP;
#endif
Voxm_dc_VGP_SI=Voxm_VGP_SI;
#if defined(_DERIVATE2)
  Voxm_dc_VGP_SI_VDI_SI=Voxm_VGP_SI_VDI_SI;
  Voxm_dc_VGP_SI_VGP_SI=Voxm_VGP_SI_VGP_SI;
  Voxm_dc_VGP_SI_VSI_BP=Voxm_VGP_SI_VSI_BP;
#endif
Voxm_dc_VSI_BP=Voxm_VSI_BP;
#if defined(_DERIVATE2)
  Voxm_dc_VSI_BP_VDI_SI=Voxm_VSI_BP_VDI_SI;
  Voxm_dc_VSI_BP_VGP_SI=Voxm_VSI_BP_VGP_SI;
  Voxm_dc_VSI_BP_VSI_BP=Voxm_VSI_BP_VSI_BP;
#endif
#endif
Voxm_dc=Voxm;
EXIT_IF_ISNAN(Voxm)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
alpha_dc_VDI_SI=alpha_VDI_SI;
#if defined(_DERIVATE2)
  alpha_dc_VDI_SI_VDI_SI=alpha_VDI_SI_VDI_SI;
  alpha_dc_VDI_SI_VGP_SI=alpha_VDI_SI_VGP_SI;
  alpha_dc_VDI_SI_VSI_BP=alpha_VDI_SI_VSI_BP;
#endif
alpha_dc_VGP_SI=alpha_VGP_SI;
#if defined(_DERIVATE2)
  alpha_dc_VGP_SI_VDI_SI=alpha_VGP_SI_VDI_SI;
  alpha_dc_VGP_SI_VGP_SI=alpha_VGP_SI_VGP_SI;
  alpha_dc_VGP_SI_VSI_BP=alpha_VGP_SI_VSI_BP;
#endif
alpha_dc_VSI_BP=alpha_VSI_BP;
#if defined(_DERIVATE2)
  alpha_dc_VSI_BP_VDI_SI=alpha_VSI_BP_VDI_SI;
  alpha_dc_VSI_BP_VGP_SI=alpha_VSI_BP_VGP_SI;
  alpha_dc_VSI_BP_VSI_BP=alpha_VSI_BP_VSI_BP;
#endif
#endif
pInst->alpha_dc=alpha;
EXIT_IF_ISNAN(alpha)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dps_dc_VDI_SI=dps_VDI_SI;
#if defined(_DERIVATE2)
  dps_dc_VDI_SI_VDI_SI=dps_VDI_SI_VDI_SI;
  dps_dc_VDI_SI_VGP_SI=dps_VDI_SI_VGP_SI;
  dps_dc_VDI_SI_VSI_BP=dps_VDI_SI_VSI_BP;
#endif
dps_dc_VGP_SI=dps_VGP_SI;
#if defined(_DERIVATE2)
  dps_dc_VGP_SI_VDI_SI=dps_VGP_SI_VDI_SI;
  dps_dc_VGP_SI_VGP_SI=dps_VGP_SI_VGP_SI;
  dps_dc_VGP_SI_VSI_BP=dps_VGP_SI_VSI_BP;
#endif
dps_dc_VSI_BP=dps_VSI_BP;
#if defined(_DERIVATE2)
  dps_dc_VSI_BP_VDI_SI=dps_VSI_BP_VDI_SI;
  dps_dc_VSI_BP_VGP_SI=dps_VSI_BP_VGP_SI;
  dps_dc_VSI_BP_VSI_BP=dps_VSI_BP_VSI_BP;
#endif
#endif
pInst->dps_dc=dps;
EXIT_IF_ISNAN(dps)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
qim_dc_VDI_SI=qim_VDI_SI;
#if defined(_DERIVATE2)
  qim_dc_VDI_SI_VDI_SI=qim_VDI_SI_VDI_SI;
  qim_dc_VDI_SI_VGP_SI=qim_VDI_SI_VGP_SI;
  qim_dc_VDI_SI_VSI_BP=qim_VDI_SI_VSI_BP;
#endif
qim_dc_VGP_SI=qim_VGP_SI;
#if defined(_DERIVATE2)
  qim_dc_VGP_SI_VDI_SI=qim_VGP_SI_VDI_SI;
  qim_dc_VGP_SI_VGP_SI=qim_VGP_SI_VGP_SI;
  qim_dc_VGP_SI_VSI_BP=qim_VGP_SI_VSI_BP;
#endif
qim_dc_VSI_BP=qim_VSI_BP;
#if defined(_DERIVATE2)
  qim_dc_VSI_BP_VDI_SI=qim_VSI_BP_VDI_SI;
  qim_dc_VSI_BP_VGP_SI=qim_VSI_BP_VGP_SI;
  qim_dc_VSI_BP_VSI_BP=qim_VSI_BP_VSI_BP;
#endif
#endif
pInst->qim_dc=qim;
EXIT_IF_ISNAN(qim)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
qim1_dc_VDI_SI=qim1_VDI_SI;
#if defined(_DERIVATE2)
  qim1_dc_VDI_SI_VDI_SI=qim1_VDI_SI_VDI_SI;
  qim1_dc_VDI_SI_VGP_SI=qim1_VDI_SI_VGP_SI;
  qim1_dc_VDI_SI_VSI_BP=qim1_VDI_SI_VSI_BP;
#endif
qim1_dc_VGP_SI=qim1_VGP_SI;
#if defined(_DERIVATE2)
  qim1_dc_VGP_SI_VDI_SI=qim1_VGP_SI_VDI_SI;
  qim1_dc_VGP_SI_VGP_SI=qim1_VGP_SI_VGP_SI;
  qim1_dc_VGP_SI_VSI_BP=qim1_VGP_SI_VSI_BP;
#endif
qim1_dc_VSI_BP=qim1_VSI_BP;
#if defined(_DERIVATE2)
  qim1_dc_VSI_BP_VDI_SI=qim1_VSI_BP_VDI_SI;
  qim1_dc_VSI_BP_VGP_SI=qim1_VSI_BP_VGP_SI;
  qim1_dc_VSI_BP_VSI_BP=qim1_VSI_BP_VSI_BP;
#endif
#endif
pInst->qim1_dc=qim1;
EXIT_IF_ISNAN(qim1)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
GdL_dc_VDI_SI=GdL_VDI_SI;
#if defined(_DERIVATE2)
  GdL_dc_VDI_SI_VDI_SI=GdL_VDI_SI_VDI_SI;
  GdL_dc_VDI_SI_VGP_SI=GdL_VDI_SI_VGP_SI;
  GdL_dc_VDI_SI_VSI_BP=GdL_VDI_SI_VSI_BP;
#endif
GdL_dc_VGP_SI=GdL_VGP_SI;
#if defined(_DERIVATE2)
  GdL_dc_VGP_SI_VDI_SI=GdL_VGP_SI_VDI_SI;
  GdL_dc_VGP_SI_VGP_SI=GdL_VGP_SI_VGP_SI;
  GdL_dc_VGP_SI_VSI_BP=GdL_VGP_SI_VSI_BP;
#endif
GdL_dc_VSI_BP=GdL_VSI_BP;
#if defined(_DERIVATE2)
  GdL_dc_VSI_BP_VDI_SI=GdL_VSI_BP_VDI_SI;
  GdL_dc_VSI_BP_VGP_SI=GdL_VSI_BP_VGP_SI;
  GdL_dc_VSI_BP_VSI_BP=GdL_VSI_BP_VSI_BP;
#endif
#endif
GdL_dc=GdL;
EXIT_IF_ISNAN(GdL)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
FdL_dc_VDI_SI=FdL_VDI_SI;
#if defined(_DERIVATE2)
  FdL_dc_VDI_SI_VDI_SI=FdL_VDI_SI_VDI_SI;
  FdL_dc_VDI_SI_VGP_SI=FdL_VDI_SI_VGP_SI;
  FdL_dc_VDI_SI_VSI_BP=FdL_VDI_SI_VSI_BP;
#endif
FdL_dc_VGP_SI=FdL_VGP_SI;
#if defined(_DERIVATE2)
  FdL_dc_VGP_SI_VDI_SI=FdL_VGP_SI_VDI_SI;
  FdL_dc_VGP_SI_VGP_SI=FdL_VGP_SI_VGP_SI;
  FdL_dc_VGP_SI_VSI_BP=FdL_VGP_SI_VSI_BP;
#endif
FdL_dc_VSI_BP=FdL_VSI_BP;
#if defined(_DERIVATE2)
  FdL_dc_VSI_BP_VDI_SI=FdL_VSI_BP_VDI_SI;
  FdL_dc_VSI_BP_VGP_SI=FdL_VSI_BP_VGP_SI;
  FdL_dc_VSI_BP_VSI_BP=FdL_VSI_BP_VSI_BP;
#endif
#endif
pInst->FdL_dc=FdL;
EXIT_IF_ISNAN(FdL)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
H_dc_VGP_SI=H_VGP_SI;
#if defined(_DERIVATE2)
  H_dc_VGP_SI_VGP_SI=H_VGP_SI_VGP_SI;
  H_dc_VGP_SI_VDI_SI=H_VGP_SI_VDI_SI;
  H_dc_VGP_SI_VSI_BP=H_VGP_SI_VSI_BP;
#endif
H_dc_VDI_SI=H_VDI_SI;
#if defined(_DERIVATE2)
  H_dc_VDI_SI_VGP_SI=H_VDI_SI_VGP_SI;
  H_dc_VDI_SI_VDI_SI=H_VDI_SI_VDI_SI;
  H_dc_VDI_SI_VSI_BP=H_VDI_SI_VSI_BP;
#endif
H_dc_VSI_BP=H_VSI_BP;
#if defined(_DERIVATE2)
  H_dc_VSI_BP_VGP_SI=H_VSI_BP_VGP_SI;
  H_dc_VSI_BP_VDI_SI=H_VSI_BP_VDI_SI;
  H_dc_VSI_BP_VSI_BP=H_VSI_BP_VSI_BP;
#endif
#endif
pInst->H_dc=H;
EXIT_IF_ISNAN(H)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
eta_p_dc_VDI_SI=eta_p_VDI_SI;
#if defined(_DERIVATE2)
  eta_p_dc_VDI_SI_VDI_SI=eta_p_VDI_SI_VDI_SI;
  eta_p_dc_VDI_SI_VGP_SI=eta_p_VDI_SI_VGP_SI;
  eta_p_dc_VDI_SI_VSI_BP=eta_p_VDI_SI_VSI_BP;
#endif
eta_p_dc_VGP_SI=eta_p_VGP_SI;
#if defined(_DERIVATE2)
  eta_p_dc_VGP_SI_VDI_SI=eta_p_VGP_SI_VDI_SI;
  eta_p_dc_VGP_SI_VGP_SI=eta_p_VGP_SI_VGP_SI;
  eta_p_dc_VGP_SI_VSI_BP=eta_p_VGP_SI_VSI_BP;
#endif
eta_p_dc_VSI_BP=eta_p_VSI_BP;
#if defined(_DERIVATE2)
  eta_p_dc_VSI_BP_VDI_SI=eta_p_VSI_BP_VDI_SI;
  eta_p_dc_VSI_BP_VGP_SI=eta_p_VSI_BP_VGP_SI;
  eta_p_dc_VSI_BP_VSI_BP=eta_p_VSI_BP_VSI_BP;
#endif
#endif
eta_p_dc=eta_p;
EXIT_IF_ISNAN(eta_p)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Gvsat_dc_VDI_SI=Gvsat_VDI_SI;
Gvsat_dc_VGP_SI=Gvsat_VGP_SI;
Gvsat_dc_VSI_BP=Gvsat_VSI_BP;
#endif
Gvsat_dc=Gvsat;
EXIT_IF_ISNAN(Gvsat)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Gvsatinv_dc_VDI_SI=Gvsatinv_VDI_SI;
#if defined(_DERIVATE2)
  Gvsatinv_dc_VDI_SI_VDI_SI=Gvsatinv_VDI_SI_VDI_SI;
  Gvsatinv_dc_VDI_SI_VGP_SI=Gvsatinv_VDI_SI_VGP_SI;
  Gvsatinv_dc_VDI_SI_VSI_BP=Gvsatinv_VDI_SI_VSI_BP;
#endif
Gvsatinv_dc_VGP_SI=Gvsatinv_VGP_SI;
#if defined(_DERIVATE2)
  Gvsatinv_dc_VGP_SI_VDI_SI=Gvsatinv_VGP_SI_VDI_SI;
  Gvsatinv_dc_VGP_SI_VGP_SI=Gvsatinv_VGP_SI_VGP_SI;
  Gvsatinv_dc_VGP_SI_VSI_BP=Gvsatinv_VGP_SI_VSI_BP;
#endif
Gvsatinv_dc_VSI_BP=Gvsatinv_VSI_BP;
#if defined(_DERIVATE2)
  Gvsatinv_dc_VSI_BP_VDI_SI=Gvsatinv_VSI_BP_VDI_SI;
  Gvsatinv_dc_VSI_BP_VGP_SI=Gvsatinv_VSI_BP_VGP_SI;
  Gvsatinv_dc_VSI_BP_VSI_BP=Gvsatinv_VSI_BP_VSI_BP;
#endif
#endif
pInst->Gvsatinv_dc=Gvsatinv;
EXIT_IF_ISNAN(Gvsatinv)
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Gmob_dL_dc_VDI_SI=Gmob_dL_VDI_SI;
Gmob_dL_dc_VGP_SI=Gmob_dL_VGP_SI;
Gmob_dL_dc_VSI_BP=Gmob_dL_VSI_BP;
#endif
Gmob_dL_dc=Gmob_dL;
EXIT_IF_ISNAN(Gmob_dL)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
x_ds_dc_VDI_SI=x_ds_VDI_SI;
#if defined(_DERIVATE2)
  x_ds_dc_VDI_SI_VDI_SI=x_ds_VDI_SI_VDI_SI;
  x_ds_dc_VDI_SI_VGP_SI=x_ds_VDI_SI_VGP_SI;
  x_ds_dc_VDI_SI_VSI_BP=x_ds_VDI_SI_VSI_BP;
#endif
x_ds_dc_VGP_SI=x_ds_VGP_SI;
#if defined(_DERIVATE2)
  x_ds_dc_VGP_SI_VDI_SI=x_ds_VGP_SI_VDI_SI;
  x_ds_dc_VGP_SI_VGP_SI=x_ds_VGP_SI_VGP_SI;
  x_ds_dc_VGP_SI_VSI_BP=x_ds_VGP_SI_VSI_BP;
#endif
x_ds_dc_VSI_BP=x_ds_VSI_BP;
#if defined(_DERIVATE2)
  x_ds_dc_VSI_BP_VDI_SI=x_ds_VSI_BP_VDI_SI;
  x_ds_dc_VSI_BP_VGP_SI=x_ds_VSI_BP_VGP_SI;
  x_ds_dc_VSI_BP_VSI_BP=x_ds_VSI_BP_VSI_BP;
#endif
#endif
x_ds_dc=x_ds;
EXIT_IF_ISNAN(x_ds)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
x_m_dc_VDI_SI=x_m_VDI_SI;
#if defined(_DERIVATE2)
  x_m_dc_VDI_SI_VDI_SI=x_m_VDI_SI_VDI_SI;
  x_m_dc_VDI_SI_VGP_SI=x_m_VDI_SI_VGP_SI;
  x_m_dc_VDI_SI_VSI_BP=x_m_VDI_SI_VSI_BP;
#endif
x_m_dc_VGP_SI=x_m_VGP_SI;
#if defined(_DERIVATE2)
  x_m_dc_VGP_SI_VDI_SI=x_m_VGP_SI_VDI_SI;
  x_m_dc_VGP_SI_VGP_SI=x_m_VGP_SI_VGP_SI;
  x_m_dc_VGP_SI_VSI_BP=x_m_VGP_SI_VSI_BP;
#endif
x_m_dc_VSI_BP=x_m_VSI_BP;
#if defined(_DERIVATE2)
  x_m_dc_VSI_BP_VDI_SI=x_m_VSI_BP_VDI_SI;
  x_m_dc_VSI_BP_VGP_SI=x_m_VSI_BP_VGP_SI;
  x_m_dc_VSI_BP_VSI_BP=x_m_VSI_BP_VSI_BP;
#endif
#endif
x_m_dc=x_m;
EXIT_IF_ISNAN(x_m)
#if defined(_DYNAMIC)
Gf_dc=Gf;
EXIT_IF_ISNAN(Gf)
#endif
#if defined(_DYNAMIC)
Vdsat_dc=Vdsat;
EXIT_IF_ISNAN(Vdsat)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
Udse_dc_VGP_SI=Udse_VGP_SI;
#if defined(_DERIVATE2)
  Udse_dc_VGP_SI_VGP_SI=Udse_VGP_SI_VGP_SI;
  Udse_dc_VGP_SI_VSI_BP=Udse_VGP_SI_VSI_BP;
  Udse_dc_VGP_SI_VDI_SI=Udse_VGP_SI_VDI_SI;
#endif
Udse_dc_VSI_BP=Udse_VSI_BP;
#if defined(_DERIVATE2)
  Udse_dc_VSI_BP_VGP_SI=Udse_VSI_BP_VGP_SI;
  Udse_dc_VSI_BP_VSI_BP=Udse_VSI_BP_VSI_BP;
  Udse_dc_VSI_BP_VDI_SI=Udse_VSI_BP_VDI_SI;
#endif
Udse_dc_VDI_SI=Udse_VDI_SI;
#if defined(_DERIVATE2)
  Udse_dc_VDI_SI_VGP_SI=Udse_VDI_SI_VGP_SI;
  Udse_dc_VDI_SI_VSI_BP=Udse_VDI_SI_VSI_BP;
  Udse_dc_VDI_SI_VDI_SI=Udse_VDI_SI_VDI_SI;
#endif
#endif
Udse_dc=Udse;
EXIT_IF_ISNAN(Udse)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Gmob_dc_VDI_SI=Gmob_VDI_SI;
#if defined(_DERIVATE2)
  Gmob_dc_VDI_SI_VDI_SI=Gmob_VDI_SI_VDI_SI;
  Gmob_dc_VDI_SI_VGP_SI=Gmob_VDI_SI_VGP_SI;
  Gmob_dc_VDI_SI_VSI_BP=Gmob_VDI_SI_VSI_BP;
#endif
Gmob_dc_VGP_SI=Gmob_VGP_SI;
#if defined(_DERIVATE2)
  Gmob_dc_VGP_SI_VDI_SI=Gmob_VGP_SI_VDI_SI;
  Gmob_dc_VGP_SI_VGP_SI=Gmob_VGP_SI_VGP_SI;
  Gmob_dc_VGP_SI_VSI_BP=Gmob_VGP_SI_VSI_BP;
#endif
Gmob_dc_VSI_BP=Gmob_VSI_BP;
#if defined(_DERIVATE2)
  Gmob_dc_VSI_BP_VDI_SI=Gmob_VSI_BP_VDI_SI;
  Gmob_dc_VSI_BP_VGP_SI=Gmob_VSI_BP_VGP_SI;
  Gmob_dc_VSI_BP_VSI_BP=Gmob_VSI_BP_VSI_BP;
#endif
#endif
pInst->Gmob_dc=Gmob;
EXIT_IF_ISNAN(Gmob)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(SI,BP) ddxprobe= */
xitsb_dc_VDI_SI=xitsb_VDI_SI;
xitsb_dc_VSI_BP=xitsb_VSI_BP;
#endif
pInst->xitsb_dc=xitsb;
EXIT_IF_ISNAN(xitsb)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Vdse_dc_VGP_SI=Vdse_VGP_SI;
#if defined(_DERIVATE2)
  Vdse_dc_VGP_SI_VGP_SI=Vdse_VGP_SI_VGP_SI;
  Vdse_dc_VGP_SI_VSI_BP=Vdse_VGP_SI_VSI_BP;
  Vdse_dc_VGP_SI_VDI_SI=Vdse_VGP_SI_VDI_SI;
#endif
Vdse_dc_VSI_BP=Vdse_VSI_BP;
#if defined(_DERIVATE2)
  Vdse_dc_VSI_BP_VGP_SI=Vdse_VSI_BP_VGP_SI;
  Vdse_dc_VSI_BP_VSI_BP=Vdse_VSI_BP_VSI_BP;
  Vdse_dc_VSI_BP_VDI_SI=Vdse_VSI_BP_VDI_SI;
#endif
Vdse_dc_VDI_SI=Vdse_VDI_SI;
#if defined(_DERIVATE2)
  Vdse_dc_VDI_SI_VGP_SI=Vdse_VDI_SI_VGP_SI;
  Vdse_dc_VDI_SI_VSI_BP=Vdse_VDI_SI_VSI_BP;
  Vdse_dc_VDI_SI_VDI_SI=Vdse_VDI_SI_VDI_SI;
#endif
#endif
pInst->Vdse_dc=Vdse;
EXIT_IF_ISNAN(Vdse)
}
if
((pInst->xg_dc<=0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Ids_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Ids_VDI_SI_VDI_SI=0.0;
  Ids_VDI_SI_VGP_SI=0.0;
  Ids_VDI_SI_VSI_BP=0.0;
#endif
Ids_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Ids_VGP_SI_VDI_SI=0.0;
  Ids_VGP_SI_VGP_SI=0.0;
  Ids_VGP_SI_VSI_BP=0.0;
#endif
Ids_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Ids_VSI_BP_VDI_SI=0.0;
  Ids_VSI_BP_VGP_SI=0.0;
  Ids_VSI_BP_VSI_BP=0.0;
#endif
#endif
pInst->Ids=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Ids_VDI_SI=(pInst->BET_i*((((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VDI_SI)));
#if defined(_DERIVATE2)
  Ids_VDI_SI_VDI_SI=(+0.0*(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*pInst->Gvsatinv_dc)+0.0*(((((((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI)))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VDI_SI)))+0.0*((((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VDI_SI))+pInst->BET_i*(+(+(+FdL_dc_VDI_SI_VDI_SI*pInst->qim1_dc+FdL_dc_VDI_SI*qim1_dc_VDI_SI+FdL_dc_VDI_SI*qim1_dc_VDI_SI+pInst->FdL_dc*qim1_dc_VDI_SI_VDI_SI)*pInst->dps_dc+((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI))*dps_dc_VDI_SI+(((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI)))*dps_dc_VDI_SI+(pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI_VDI_SI)*pInst->Gvsatinv_dc+((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI))*Gvsatinv_dc_VDI_SI+((((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI)))*Gvsatinv_dc_VDI_SI+((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VDI_SI_VDI_SI));
  Ids_VDI_SI_VGP_SI=(+0.0*(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*pInst->Gvsatinv_dc)+0.0*(((((((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI)))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VGP_SI)))+0.0*((((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VDI_SI))+pInst->BET_i*(+(+(+FdL_dc_VDI_SI_VGP_SI*pInst->qim1_dc+FdL_dc_VDI_SI*qim1_dc_VGP_SI+FdL_dc_VGP_SI*qim1_dc_VDI_SI+pInst->FdL_dc*qim1_dc_VDI_SI_VGP_SI)*pInst->dps_dc+((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI))*dps_dc_VGP_SI+(((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI)))*dps_dc_VDI_SI+(pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI_VGP_SI)*pInst->Gvsatinv_dc+((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI))*Gvsatinv_dc_VGP_SI+((((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI)))*Gvsatinv_dc_VDI_SI+((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VDI_SI_VGP_SI));
  Ids_VDI_SI_VSI_BP=(+0.0*(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*pInst->Gvsatinv_dc)+0.0*(((((((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP)))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VSI_BP)))+0.0*((((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VDI_SI))+pInst->BET_i*(+(+(+FdL_dc_VDI_SI_VSI_BP*pInst->qim1_dc+FdL_dc_VDI_SI*qim1_dc_VSI_BP+FdL_dc_VSI_BP*qim1_dc_VDI_SI+pInst->FdL_dc*qim1_dc_VDI_SI_VSI_BP)*pInst->dps_dc+((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI))*dps_dc_VSI_BP+(((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP)))*dps_dc_VDI_SI+(pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI_VSI_BP)*pInst->Gvsatinv_dc+((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI))*Gvsatinv_dc_VSI_BP+((((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP)))*Gvsatinv_dc_VDI_SI+((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VDI_SI_VSI_BP));
#endif
Ids_VGP_SI=(pInst->BET_i*((((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VGP_SI)));
#if defined(_DERIVATE2)
  Ids_VGP_SI_VDI_SI=(+0.0*(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*pInst->Gvsatinv_dc)+0.0*(((((((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI)))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VDI_SI)))+0.0*((((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VGP_SI))+pInst->BET_i*(+(+(+FdL_dc_VGP_SI_VDI_SI*pInst->qim1_dc+FdL_dc_VGP_SI*qim1_dc_VDI_SI+FdL_dc_VDI_SI*qim1_dc_VGP_SI+pInst->FdL_dc*qim1_dc_VGP_SI_VDI_SI)*pInst->dps_dc+((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI))*dps_dc_VDI_SI+(((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI)))*dps_dc_VGP_SI+(pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI_VDI_SI)*pInst->Gvsatinv_dc+((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI))*Gvsatinv_dc_VDI_SI+((((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI)))*Gvsatinv_dc_VGP_SI+((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VGP_SI_VDI_SI));
  Ids_VGP_SI_VGP_SI=(+0.0*(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*pInst->Gvsatinv_dc)+0.0*(((((((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI)))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VGP_SI)))+0.0*((((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VGP_SI))+pInst->BET_i*(+(+(+FdL_dc_VGP_SI_VGP_SI*pInst->qim1_dc+FdL_dc_VGP_SI*qim1_dc_VGP_SI+FdL_dc_VGP_SI*qim1_dc_VGP_SI+pInst->FdL_dc*qim1_dc_VGP_SI_VGP_SI)*pInst->dps_dc+((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI))*dps_dc_VGP_SI+(((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI)))*dps_dc_VGP_SI+(pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI_VGP_SI)*pInst->Gvsatinv_dc+((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI))*Gvsatinv_dc_VGP_SI+((((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI)))*Gvsatinv_dc_VGP_SI+((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VGP_SI_VGP_SI));
  Ids_VGP_SI_VSI_BP=(+0.0*(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*pInst->Gvsatinv_dc)+0.0*(((((((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP)))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VSI_BP)))+0.0*((((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VGP_SI))+pInst->BET_i*(+(+(+FdL_dc_VGP_SI_VSI_BP*pInst->qim1_dc+FdL_dc_VGP_SI*qim1_dc_VSI_BP+FdL_dc_VSI_BP*qim1_dc_VGP_SI+pInst->FdL_dc*qim1_dc_VGP_SI_VSI_BP)*pInst->dps_dc+((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI))*dps_dc_VSI_BP+(((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP)))*dps_dc_VGP_SI+(pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI_VSI_BP)*pInst->Gvsatinv_dc+((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI))*Gvsatinv_dc_VSI_BP+((((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP)))*Gvsatinv_dc_VGP_SI+((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VGP_SI_VSI_BP));
#endif
Ids_VSI_BP=(pInst->BET_i*((((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VSI_BP)));
#if defined(_DERIVATE2)
  Ids_VSI_BP_VDI_SI=(+0.0*(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*pInst->Gvsatinv_dc)+0.0*(((((((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI)))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VDI_SI)))+0.0*((((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VSI_BP))+pInst->BET_i*(+(+(+FdL_dc_VSI_BP_VDI_SI*pInst->qim1_dc+FdL_dc_VSI_BP*qim1_dc_VDI_SI+FdL_dc_VDI_SI*qim1_dc_VSI_BP+pInst->FdL_dc*qim1_dc_VSI_BP_VDI_SI)*pInst->dps_dc+((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP))*dps_dc_VDI_SI+(((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI)))*dps_dc_VSI_BP+(pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP_VDI_SI)*pInst->Gvsatinv_dc+((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP))*Gvsatinv_dc_VDI_SI+((((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VDI_SI)))*Gvsatinv_dc_VSI_BP+((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VSI_BP_VDI_SI));
  Ids_VSI_BP_VGP_SI=(+0.0*(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*pInst->Gvsatinv_dc)+0.0*(((((((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI)))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VGP_SI)))+0.0*((((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VSI_BP))+pInst->BET_i*(+(+(+FdL_dc_VSI_BP_VGP_SI*pInst->qim1_dc+FdL_dc_VSI_BP*qim1_dc_VGP_SI+FdL_dc_VGP_SI*qim1_dc_VSI_BP+pInst->FdL_dc*qim1_dc_VSI_BP_VGP_SI)*pInst->dps_dc+((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP))*dps_dc_VGP_SI+(((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI)))*dps_dc_VSI_BP+(pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP_VGP_SI)*pInst->Gvsatinv_dc+((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP))*Gvsatinv_dc_VGP_SI+((((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VGP_SI)))*Gvsatinv_dc_VSI_BP+((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VSI_BP_VGP_SI));
  Ids_VSI_BP_VSI_BP=(+0.0*(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*pInst->Gvsatinv_dc)+0.0*(((((((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP)))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VSI_BP)))+0.0*((((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP))*pInst->Gvsatinv_dc)+(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VSI_BP))+pInst->BET_i*(+(+(+FdL_dc_VSI_BP_VSI_BP*pInst->qim1_dc+FdL_dc_VSI_BP*qim1_dc_VSI_BP+FdL_dc_VSI_BP*qim1_dc_VSI_BP+pInst->FdL_dc*qim1_dc_VSI_BP_VSI_BP)*pInst->dps_dc+((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP))*dps_dc_VSI_BP+(((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP)))*dps_dc_VSI_BP+(pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP_VSI_BP)*pInst->Gvsatinv_dc+((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP))*Gvsatinv_dc_VSI_BP+((((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP)))*pInst->dps_dc)+((pInst->FdL_dc*pInst->qim1_dc)*dps_dc_VSI_BP)))*Gvsatinv_dc_VSI_BP+((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*Gvsatinv_dc_VSI_BP_VSI_BP));
#endif
#endif
pInst->Ids=(pInst->BET_i*(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*pInst->Gvsatinv_dc));
EXIT_IF_ISNAN((pInst->BET_i*(((pInst->FdL_dc*pInst->qim1_dc)*pInst->dps_dc)*pInst->Gvsatinv_dc)))
}
if
((((((pModel->SWIGATE_i!=0)&&((pInst->IGOV_i>0.0)||(pInst->IGOVD_i>0.0)))||((pModel->SWGIDL_i!=0)&&((pInst->AGIDL_i>0.0)||(pInst->AGIDLD_i>0.0))))||(pInst->CGOV_i>0.0))||(pInst->CGOVD_i>0.0)))
{
{
double m00_sqrt(d00_sqrt0,((xgs_ov*xgs_ov)+pInst->SP_OV_eps2_s))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((xgs_ov*xgs_ov)+pInst->SP_OV_eps2_s))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
SP_OV_xg_VDI_SI=0.0;
#if defined(_DERIVATE2)
  SP_OV_xg_VDI_SI_VDI_SI=0.0;
  SP_OV_xg_VDI_SI_VGP_SI=0.0;
#endif
SP_OV_xg_VGP_SI=(0.5*(xgs_ov_VGP_SI+((xgs_ov_VGP_SI*xgs_ov)+(xgs_ov*xgs_ov_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  SP_OV_xg_VGP_SI_VDI_SI=(+0.0*(xgs_ov+d00_sqrt0)+0.0*(0.0)*d10_sqrt0+0.0*(xgs_ov_VGP_SI+((xgs_ov_VGP_SI*xgs_ov)+(xgs_ov*xgs_ov_VGP_SI))*d10_sqrt0)+0.5*(+0.0+(m20_sqrt(((xgs_ov*xgs_ov)+pInst->SP_OV_eps2_s))*(0.0)*((xgs_ov_VGP_SI*xgs_ov)+(xgs_ov*xgs_ov_VGP_SI))+d10_sqrt0*(+(+0.0*xgs_ov+xgs_ov_VGP_SI*0.0+0.0*xgs_ov_VGP_SI+xgs_ov*0.0)+0.0))));
  SP_OV_xg_VGP_SI_VGP_SI=(+0.0*(xgs_ov+d00_sqrt0)+0.0*(xgs_ov_VGP_SI+(((xgs_ov_VGP_SI*xgs_ov)+(xgs_ov*xgs_ov_VGP_SI)))*d10_sqrt0)+0.0*(xgs_ov_VGP_SI+((xgs_ov_VGP_SI*xgs_ov)+(xgs_ov*xgs_ov_VGP_SI))*d10_sqrt0)+0.5*(+xgs_ov_VGP_SI_VGP_SI+(m20_sqrt(((xgs_ov*xgs_ov)+pInst->SP_OV_eps2_s))*(((xgs_ov_VGP_SI*xgs_ov)+(xgs_ov*xgs_ov_VGP_SI)))*((xgs_ov_VGP_SI*xgs_ov)+(xgs_ov*xgs_ov_VGP_SI))+d10_sqrt0*(+(+xgs_ov_VGP_SI_VGP_SI*xgs_ov+xgs_ov_VGP_SI*xgs_ov_VGP_SI+xgs_ov_VGP_SI*xgs_ov_VGP_SI+xgs_ov*xgs_ov_VGP_SI_VGP_SI)+0.0))));
#endif
#endif
SP_OV_xg=(0.5*(xgs_ov+d00_sqrt0));
EXIT_IF_ISNAN((0.5*(xgs_ov+d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,((SP_OV_xg+(pInst->GOV2_s*0.25))+pInst->SP_OV_a_s))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((SP_OV_xg+(pInst->GOV2_s*0.25))+pInst->SP_OV_a_s))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xs_ov_VGP_SI=((-SP_OV_xg_VGP_SI)+(pInst->GOV_s*SP_OV_xg_VGP_SI*d10_sqrt0));
#if defined(_DERIVATE2)
  xs_ov_VGP_SI_VGP_SI=(+(+(+0.0-(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->GOV2_s*0.0))+(+0.0*d00_sqrt0+0.0*(SP_OV_xg_VGP_SI+(0.0))*d10_sqrt0+0.0*SP_OV_xg_VGP_SI*d10_sqrt0+pInst->GOV_s*(m20_sqrt(((SP_OV_xg+(pInst->GOV2_s*0.25))+pInst->SP_OV_a_s))*(SP_OV_xg_VGP_SI+(0.0))*SP_OV_xg_VGP_SI+d10_sqrt0*(+(+SP_OV_xg_VGP_SI_VGP_SI+(+0.0*0.25+0.0*0.0+0.0*0.0+pInst->GOV2_s*0.0))+0.0))))+0.0);
#endif
#endif
xs_ov=((((-SP_OV_xg)-(pInst->GOV2_s*0.5))+(pInst->GOV_s*d00_sqrt0))+pInst->SP_OV_delta1_s);
EXIT_IF_ISNAN(((((-SP_OV_xg)-(pInst->GOV2_s*0.5))+(pInst->GOV_s*d00_sqrt0))+pInst->SP_OV_delta1_s))
}
{
double m00_sqrt(d00_sqrt0,((xgd_ov*xgd_ov)+pInst->SP_OV_eps2_d))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((xgd_ov*xgd_ov)+pInst->SP_OV_eps2_d))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
SP_OV_xg_VDI_SI=(0.5*(xgd_ov_VDI_SI+((xgd_ov_VDI_SI*xgd_ov)+(xgd_ov*xgd_ov_VDI_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  SP_OV_xg_VDI_SI_VDI_SI=(+0.0*(xgd_ov+d00_sqrt0)+0.0*(xgd_ov_VDI_SI+(((xgd_ov_VDI_SI*xgd_ov)+(xgd_ov*xgd_ov_VDI_SI)))*d10_sqrt0)+0.0*(xgd_ov_VDI_SI+((xgd_ov_VDI_SI*xgd_ov)+(xgd_ov*xgd_ov_VDI_SI))*d10_sqrt0)+0.5*(+xgd_ov_VDI_SI_VDI_SI+(m20_sqrt(((xgd_ov*xgd_ov)+pInst->SP_OV_eps2_d))*(((xgd_ov_VDI_SI*xgd_ov)+(xgd_ov*xgd_ov_VDI_SI)))*((xgd_ov_VDI_SI*xgd_ov)+(xgd_ov*xgd_ov_VDI_SI))+d10_sqrt0*(+(+xgd_ov_VDI_SI_VDI_SI*xgd_ov+xgd_ov_VDI_SI*xgd_ov_VDI_SI+xgd_ov_VDI_SI*xgd_ov_VDI_SI+xgd_ov*xgd_ov_VDI_SI_VDI_SI)+0.0))));
  SP_OV_xg_VDI_SI_VGP_SI=(+0.0*(xgd_ov+d00_sqrt0)+0.0*(xgd_ov_VGP_SI+(((xgd_ov_VGP_SI*xgd_ov)+(xgd_ov*xgd_ov_VGP_SI)))*d10_sqrt0)+0.0*(xgd_ov_VDI_SI+((xgd_ov_VDI_SI*xgd_ov)+(xgd_ov*xgd_ov_VDI_SI))*d10_sqrt0)+0.5*(+xgd_ov_VDI_SI_VGP_SI+(m20_sqrt(((xgd_ov*xgd_ov)+pInst->SP_OV_eps2_d))*(((xgd_ov_VGP_SI*xgd_ov)+(xgd_ov*xgd_ov_VGP_SI)))*((xgd_ov_VDI_SI*xgd_ov)+(xgd_ov*xgd_ov_VDI_SI))+d10_sqrt0*(+(+xgd_ov_VDI_SI_VGP_SI*xgd_ov+xgd_ov_VDI_SI*xgd_ov_VGP_SI+xgd_ov_VGP_SI*xgd_ov_VDI_SI+xgd_ov*xgd_ov_VDI_SI_VGP_SI)+0.0))));
#endif
SP_OV_xg_VGP_SI=(0.5*(xgd_ov_VGP_SI+((xgd_ov_VGP_SI*xgd_ov)+(xgd_ov*xgd_ov_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  SP_OV_xg_VGP_SI_VDI_SI=(+0.0*(xgd_ov+d00_sqrt0)+0.0*(xgd_ov_VDI_SI+(((xgd_ov_VDI_SI*xgd_ov)+(xgd_ov*xgd_ov_VDI_SI)))*d10_sqrt0)+0.0*(xgd_ov_VGP_SI+((xgd_ov_VGP_SI*xgd_ov)+(xgd_ov*xgd_ov_VGP_SI))*d10_sqrt0)+0.5*(+xgd_ov_VGP_SI_VDI_SI+(m20_sqrt(((xgd_ov*xgd_ov)+pInst->SP_OV_eps2_d))*(((xgd_ov_VDI_SI*xgd_ov)+(xgd_ov*xgd_ov_VDI_SI)))*((xgd_ov_VGP_SI*xgd_ov)+(xgd_ov*xgd_ov_VGP_SI))+d10_sqrt0*(+(+xgd_ov_VGP_SI_VDI_SI*xgd_ov+xgd_ov_VGP_SI*xgd_ov_VDI_SI+xgd_ov_VDI_SI*xgd_ov_VGP_SI+xgd_ov*xgd_ov_VGP_SI_VDI_SI)+0.0))));
  SP_OV_xg_VGP_SI_VGP_SI=(+0.0*(xgd_ov+d00_sqrt0)+0.0*(xgd_ov_VGP_SI+(((xgd_ov_VGP_SI*xgd_ov)+(xgd_ov*xgd_ov_VGP_SI)))*d10_sqrt0)+0.0*(xgd_ov_VGP_SI+((xgd_ov_VGP_SI*xgd_ov)+(xgd_ov*xgd_ov_VGP_SI))*d10_sqrt0)+0.5*(+xgd_ov_VGP_SI_VGP_SI+(m20_sqrt(((xgd_ov*xgd_ov)+pInst->SP_OV_eps2_d))*(((xgd_ov_VGP_SI*xgd_ov)+(xgd_ov*xgd_ov_VGP_SI)))*((xgd_ov_VGP_SI*xgd_ov)+(xgd_ov*xgd_ov_VGP_SI))+d10_sqrt0*(+(+xgd_ov_VGP_SI_VGP_SI*xgd_ov+xgd_ov_VGP_SI*xgd_ov_VGP_SI+xgd_ov_VGP_SI*xgd_ov_VGP_SI+xgd_ov*xgd_ov_VGP_SI_VGP_SI)+0.0))));
#endif
#endif
SP_OV_xg=(0.5*(xgd_ov+d00_sqrt0));
EXIT_IF_ISNAN((0.5*(xgd_ov+d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,((SP_OV_xg+(pInst->GOV2_d*0.25))+pInst->SP_OV_a_d))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((SP_OV_xg+(pInst->GOV2_d*0.25))+pInst->SP_OV_a_d))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xd_ov_VDI_SI=((-SP_OV_xg_VDI_SI)+(pInst->GOV_d*SP_OV_xg_VDI_SI*d10_sqrt0));
#if defined(_DERIVATE2)
  xd_ov_VDI_SI_VDI_SI=(+(+(+0.0-(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->GOV2_d*0.0))+(+0.0*d00_sqrt0+0.0*(SP_OV_xg_VDI_SI+(0.0))*d10_sqrt0+0.0*SP_OV_xg_VDI_SI*d10_sqrt0+pInst->GOV_d*(m20_sqrt(((SP_OV_xg+(pInst->GOV2_d*0.25))+pInst->SP_OV_a_d))*(SP_OV_xg_VDI_SI+(0.0))*SP_OV_xg_VDI_SI+d10_sqrt0*(+(+SP_OV_xg_VDI_SI_VDI_SI+(+0.0*0.25+0.0*0.0+0.0*0.0+pInst->GOV2_d*0.0))+0.0))))+0.0);
  xd_ov_VDI_SI_VGP_SI=(+(+(+0.0-(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->GOV2_d*0.0))+(+0.0*d00_sqrt0+0.0*(SP_OV_xg_VGP_SI+(0.0))*d10_sqrt0+0.0*SP_OV_xg_VDI_SI*d10_sqrt0+pInst->GOV_d*(m20_sqrt(((SP_OV_xg+(pInst->GOV2_d*0.25))+pInst->SP_OV_a_d))*(SP_OV_xg_VGP_SI+(0.0))*SP_OV_xg_VDI_SI+d10_sqrt0*(+(+SP_OV_xg_VDI_SI_VGP_SI+(+0.0*0.25+0.0*0.0+0.0*0.0+pInst->GOV2_d*0.0))+0.0))))+0.0);
#endif
xd_ov_VGP_SI=((-SP_OV_xg_VGP_SI)+(pInst->GOV_d*SP_OV_xg_VGP_SI*d10_sqrt0));
#if defined(_DERIVATE2)
  xd_ov_VGP_SI_VDI_SI=(+(+(+0.0-(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->GOV2_d*0.0))+(+0.0*d00_sqrt0+0.0*(SP_OV_xg_VDI_SI+(0.0))*d10_sqrt0+0.0*SP_OV_xg_VGP_SI*d10_sqrt0+pInst->GOV_d*(m20_sqrt(((SP_OV_xg+(pInst->GOV2_d*0.25))+pInst->SP_OV_a_d))*(SP_OV_xg_VDI_SI+(0.0))*SP_OV_xg_VGP_SI+d10_sqrt0*(+(+SP_OV_xg_VGP_SI_VDI_SI+(+0.0*0.25+0.0*0.0+0.0*0.0+pInst->GOV2_d*0.0))+0.0))))+0.0);
  xd_ov_VGP_SI_VGP_SI=(+(+(+0.0-(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->GOV2_d*0.0))+(+0.0*d00_sqrt0+0.0*(SP_OV_xg_VGP_SI+(0.0))*d10_sqrt0+0.0*SP_OV_xg_VGP_SI*d10_sqrt0+pInst->GOV_d*(m20_sqrt(((SP_OV_xg+(pInst->GOV2_d*0.25))+pInst->SP_OV_a_d))*(SP_OV_xg_VGP_SI+(0.0))*SP_OV_xg_VGP_SI+d10_sqrt0*(+(+SP_OV_xg_VGP_SI_VGP_SI+(+0.0*0.25+0.0*0.0+0.0*0.0+pInst->GOV2_d*0.0))+0.0))))+0.0);
#endif
#endif
xd_ov=((((-SP_OV_xg)-(pInst->GOV2_d*0.5))+(pInst->GOV_d*d00_sqrt0))+pInst->SP_OV_delta1_d);
EXIT_IF_ISNAN(((((-SP_OV_xg)-(pInst->GOV2_d*0.5))+(pInst->GOV_d*d00_sqrt0))+pInst->SP_OV_delta1_d))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Vovs_VGP_SI=((-pModel->phita)*(xgs_ov_VGP_SI+xs_ov_VGP_SI));
#if defined(_DERIVATE2)
  Vovs_VGP_SI_VGP_SI=(+0.0*(xgs_ov+xs_ov)+0.0*(xgs_ov_VGP_SI+xs_ov_VGP_SI)+0.0*(xgs_ov_VGP_SI+xs_ov_VGP_SI)+(-pModel->phita)*(+xgs_ov_VGP_SI_VGP_SI+xs_ov_VGP_SI_VGP_SI));
#endif
#endif
Vovs=((-pModel->phita)*(xgs_ov+xs_ov));
EXIT_IF_ISNAN(((-pModel->phita)*(xgs_ov+xs_ov)))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Vovd_VGP_SI=((-pModel->phita)*(xgd_ov_VGP_SI+xd_ov_VGP_SI));
#if defined(_DERIVATE2)
  Vovd_VGP_SI_VGP_SI=(+0.0*(xgd_ov+xd_ov)+0.0*(xgd_ov_VGP_SI+xd_ov_VGP_SI)+0.0*(xgd_ov_VGP_SI+xd_ov_VGP_SI)+(-pModel->phita)*(+xgd_ov_VGP_SI_VGP_SI+xd_ov_VGP_SI_VGP_SI));
  Vovd_VGP_SI_VDI_SI=(+0.0*(xgd_ov+xd_ov)+0.0*(xgd_ov_VDI_SI+xd_ov_VDI_SI)+0.0*(xgd_ov_VGP_SI+xd_ov_VGP_SI)+(-pModel->phita)*(+xgd_ov_VGP_SI_VDI_SI+xd_ov_VGP_SI_VDI_SI));
#endif
Vovd_VDI_SI=((-pModel->phita)*(xgd_ov_VDI_SI+xd_ov_VDI_SI));
#if defined(_DERIVATE2)
  Vovd_VDI_SI_VGP_SI=(+0.0*(xgd_ov+xd_ov)+0.0*(xgd_ov_VGP_SI+xd_ov_VGP_SI)+0.0*(xgd_ov_VDI_SI+xd_ov_VDI_SI)+(-pModel->phita)*(+xgd_ov_VDI_SI_VGP_SI+xd_ov_VDI_SI_VGP_SI));
  Vovd_VDI_SI_VDI_SI=(+0.0*(xgd_ov+xd_ov)+0.0*(xgd_ov_VDI_SI+xd_ov_VDI_SI)+0.0*(xgd_ov_VDI_SI+xd_ov_VDI_SI)+(-pModel->phita)*(+xgd_ov_VDI_SI_VDI_SI+xd_ov_VDI_SI_VDI_SI));
#endif
#endif
Vovd=((-pModel->phita)*(xgd_ov+xd_ov));
EXIT_IF_ISNAN(((-pModel->phita)*(xgd_ov+xd_ov)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Igsov_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Igsov_VGP_SI_VGP_SI=0.0;
  Igsov_VGP_SI_VDI_SI=0.0;
  Igsov_VGP_SI_VSI_BP=0.0;
#endif
Igsov_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Igsov_VDI_SI_VGP_SI=0.0;
  Igsov_VDI_SI_VDI_SI=0.0;
  Igsov_VDI_SI_VSI_BP=0.0;
#endif
Igsov_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Igsov_VSI_BP_VGP_SI=0.0;
  Igsov_VSI_BP_VDI_SI=0.0;
  Igsov_VSI_BP_VSI_BP=0.0;
#endif
#endif
pInst->Igsov=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Igdov_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Igdov_VGP_SI_VGP_SI=0.0;
  Igdov_VGP_SI_VDI_SI=0.0;
  Igdov_VGP_SI_VSI_BP=0.0;
#endif
Igdov_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Igdov_VDI_SI_VGP_SI=0.0;
  Igdov_VDI_SI_VDI_SI=0.0;
  Igdov_VDI_SI_VSI_BP=0.0;
#endif
Igdov_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Igdov_VSI_BP_VGP_SI=0.0;
  Igdov_VSI_BP_VDI_SI=0.0;
  Igdov_VSI_BP_VSI_BP=0.0;
#endif
#endif
pInst->Igdov=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
Igc_VGP_SI=0.0;
Igc_VDI_SI=0.0;
Igc_VSI_BP=0.0;
#endif
Igc=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
Igb_VGP_SI=0.0;
Igb_VDI_SI=0.0;
Igb_VSI_BP=0.0;
#endif
Igb=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
Igcs_VGP_SI=0.0;
Igcs_VDI_SI=0.0;
Igcs_VSI_BP=0.0;
#endif
pInst->Igcs=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Igcd_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Igcd_VGP_SI_VGP_SI=0.0;
  Igcd_VGP_SI_VDI_SI=0.0;
  Igcd_VGP_SI_VSI_BP=0.0;
#endif
Igcd_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Igcd_VDI_SI_VGP_SI=0.0;
  Igcd_VDI_SI_VDI_SI=0.0;
  Igcd_VDI_SI_VSI_BP=0.0;
#endif
Igcd_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Igcd_VSI_BP_VGP_SI=0.0;
  Igcd_VSI_BP_VDI_SI=0.0;
  Igcd_VSI_BP_VSI_BP=0.0;
#endif
#endif
pInst->Igcd=0.0;
EXIT_IF_ISNAN(0.0)
if
((pModel->SWIGATE_i!=0))
{
if
((pInst->IGOV_i>0.0))
{
{
double m00_sqrt(d00_sqrt0,((Vovs*Vovs)+1.0e-6))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((Vovs*Vovs)+1.0e-6))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BP)V(DI,SI)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
zg_VSI_BP=0.0;
#if defined(_DERIVATE2)
  zg_VSI_BP_VSI_BP=0.0;
  zg_VSI_BP_VDI_SI=0.0;
  zg_VSI_BP_VGP_SI=0.0;
#endif
zg_VDI_SI=0.0;
#if defined(_DERIVATE2)
  zg_VDI_SI_VSI_BP=0.0;
  zg_VDI_SI_VDI_SI=0.0;
  zg_VDI_SI_VGP_SI=0.0;
#endif
zg_VGP_SI=((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI))*d10_sqrt0*pInst->inv_CHIB;
#if defined(_DERIVATE2)
  zg_VGP_SI_VSI_BP=(+(m20_sqrt(((Vovs*Vovs)+1.0e-6))*(0.0)*((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI))+d10_sqrt0*(+(+0.0*Vovs+Vovs_VGP_SI*0.0+0.0*Vovs_VGP_SI+Vovs*0.0)+0.0))*pInst->inv_CHIB+((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI))*d10_sqrt0*0.0+(0.0)*d10_sqrt0*0.0+d00_sqrt0*0.0);
  zg_VGP_SI_VDI_SI=(+(m20_sqrt(((Vovs*Vovs)+1.0e-6))*(0.0)*((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI))+d10_sqrt0*(+(+0.0*Vovs+Vovs_VGP_SI*0.0+0.0*Vovs_VGP_SI+Vovs*0.0)+0.0))*pInst->inv_CHIB+((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI))*d10_sqrt0*0.0+(0.0)*d10_sqrt0*0.0+d00_sqrt0*0.0);
  zg_VGP_SI_VGP_SI=(+(m20_sqrt(((Vovs*Vovs)+1.0e-6))*(((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI)))*((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI))+d10_sqrt0*(+(+Vovs_VGP_SI_VGP_SI*Vovs+Vovs_VGP_SI*Vovs_VGP_SI+Vovs_VGP_SI*Vovs_VGP_SI+Vovs*Vovs_VGP_SI_VGP_SI)+0.0))*pInst->inv_CHIB+((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI))*d10_sqrt0*0.0+(((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
#endif
#endif
zg=(d00_sqrt0*pInst->inv_CHIB);
EXIT_IF_ISNAN((d00_sqrt0*pInst->inv_CHIB))
}
if
((pInst->GC3OV_i<0.0))
{
{
double m00_sqrt(d00_sqrt0,(((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BP)V(DI,SI)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
zg_VSI_BP=0.0;
#if defined(_DERIVATE2)
  zg_VSI_BP_VSI_BP=0.0;
  zg_VSI_BP_VDI_SI=0.0;
  zg_VSI_BP_VGP_SI=0.0;
#endif
zg_VDI_SI=0.0;
#if defined(_DERIVATE2)
  zg_VDI_SI_VSI_BP=0.0;
  zg_VDI_SI_VDI_SI=0.0;
  zg_VDI_SI_VGP_SI=0.0;
#endif
zg_VGP_SI=(0.5*(zg_VGP_SI-((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  zg_VGP_SI_VSI_BP=(+0.0*((zg+pInst->GCQOV)-d00_sqrt0)+0.0*(zg_VSI_BP-(((zg_VSI_BP*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VSI_BP)))*d10_sqrt0)+0.0*(zg_VGP_SI-((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))*d10_sqrt0)+0.5*(+(+zg_VGP_SI_VSI_BP+0.0)-(m20_sqrt((((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))*(((zg_VSI_BP*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VSI_BP)))*((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))+d10_sqrt0*(+(+(+zg_VGP_SI_VSI_BP-0.0)*(zg-pInst->GCQOV)+zg_VGP_SI*zg_VSI_BP+zg_VSI_BP*zg_VGP_SI+(zg-pInst->GCQOV)*(+zg_VGP_SI_VSI_BP-0.0))+0.0))));
  zg_VGP_SI_VDI_SI=(+0.0*((zg+pInst->GCQOV)-d00_sqrt0)+0.0*(zg_VDI_SI-(((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI)))*d10_sqrt0)+0.0*(zg_VGP_SI-((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))*d10_sqrt0)+0.5*(+(+zg_VGP_SI_VDI_SI+0.0)-(m20_sqrt((((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))*(((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI)))*((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))+d10_sqrt0*(+(+(+zg_VGP_SI_VDI_SI-0.0)*(zg-pInst->GCQOV)+zg_VGP_SI*zg_VDI_SI+zg_VDI_SI*zg_VGP_SI+(zg-pInst->GCQOV)*(+zg_VGP_SI_VDI_SI-0.0))+0.0))));
  zg_VGP_SI_VGP_SI=(+0.0*((zg+pInst->GCQOV)-d00_sqrt0)+0.0*(zg_VGP_SI-(((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI)))*d10_sqrt0)+0.0*(zg_VGP_SI-((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))*d10_sqrt0)+0.5*(+(+zg_VGP_SI_VGP_SI+0.0)-(m20_sqrt((((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))*(((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI)))*((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))+d10_sqrt0*(+(+(+zg_VGP_SI_VGP_SI-0.0)*(zg-pInst->GCQOV)+zg_VGP_SI*zg_VGP_SI+zg_VGP_SI*zg_VGP_SI+(zg-pInst->GCQOV)*(+zg_VGP_SI_VGP_SI-0.0))+0.0))));
#endif
#endif
zg=(0.5*((zg+pInst->GCQOV)-d00_sqrt0));
EXIT_IF_ISNAN((0.5*((zg+pInst->GCQOV)-d00_sqrt0)))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(pInst->BOV*((zg_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*(pInst->GC3OV_i*zg_VGP_SI))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))))+0.0*(((zg_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*((pInst->GC3OV_i*zg_VGP_SI)))))+0.0*((zg_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*(pInst->GC3OV_i*zg_VGP_SI)))+pInst->BOV*(+0.0+(+zg_VGP_SI_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))+zg_VGP_SI*((pInst->GC3OV_i*zg_VGP_SI))+zg_VGP_SI*(pInst->GC3OV_i*zg_VGP_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VGP_SI+0.0*zg_VGP_SI+pInst->GC3OV_i*zg_VGP_SI_VGP_SI)))));
  temp_VGP_SI_VDI_SI=(+0.0*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))))+0.0*(((zg_VDI_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*((pInst->GC3OV_i*zg_VDI_SI)))))+0.0*((zg_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*(pInst->GC3OV_i*zg_VGP_SI)))+pInst->BOV*(+0.0+(+zg_VGP_SI_VDI_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))+zg_VGP_SI*((pInst->GC3OV_i*zg_VDI_SI))+zg_VDI_SI*(pInst->GC3OV_i*zg_VGP_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VDI_SI+0.0*zg_VGP_SI+pInst->GC3OV_i*zg_VGP_SI_VDI_SI)))));
  temp_VGP_SI_VSI_BP=(+0.0*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))))+0.0*(((zg_VSI_BP*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*((pInst->GC3OV_i*zg_VSI_BP)))))+0.0*((zg_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*(pInst->GC3OV_i*zg_VGP_SI)))+pInst->BOV*(+0.0+(+zg_VGP_SI_VSI_BP*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))+zg_VGP_SI*((pInst->GC3OV_i*zg_VSI_BP))+zg_VSI_BP*(pInst->GC3OV_i*zg_VGP_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VSI_BP+0.0*zg_VGP_SI+pInst->GC3OV_i*zg_VGP_SI_VSI_BP)))));
#endif
temp_VDI_SI=0.0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=0.0;
  temp_VDI_SI_VDI_SI=0.0;
  temp_VDI_SI_VSI_BP=0.0;
#endif
temp_VSI_BP=0.0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=0.0;
  temp_VSI_BP_VDI_SI=0.0;
  temp_VSI_BP_VSI_BP=0.0;
#endif
#endif
temp=(pInst->BOV*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))));
EXIT_IF_ISNAN((pInst->BOV*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))))))
if
((temp>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
TP_VGP_SI=((temp_VGP_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01))))))+(temp*(0.5*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01)))));
#if defined(_DERIVATE2)
  TP_VGP_SI_VGP_SI=(+0.0+(+temp_VGP_SI_VGP_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VGP_SI*((0.5*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))))+temp_VGP_SI*(0.5*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))+0.0*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01))+0.5*(+temp_VGP_SI_VGP_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VGP_SI*(temp_VGP_SI*3.3333333333333333e-01)+temp_VGP_SI*temp_VGP_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VGP_SI_VGP_SI*3.3333333333333333e-01+temp_VGP_SI*0.0+temp_VGP_SI*0.0+temp*0.0)))))));
  TP_VGP_SI_VDI_SI=(+0.0+(+temp_VGP_SI_VDI_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VGP_SI*((0.5*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))))+temp_VDI_SI*(0.5*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))+0.0*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01))+0.5*(+temp_VGP_SI_VDI_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VGP_SI*(temp_VDI_SI*3.3333333333333333e-01)+temp_VDI_SI*temp_VGP_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VGP_SI_VDI_SI*3.3333333333333333e-01+temp_VGP_SI*0.0+temp_VDI_SI*0.0+temp*0.0)))))));
  TP_VGP_SI_VSI_BP=(+0.0+(+temp_VGP_SI_VSI_BP*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VGP_SI*((0.5*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))))+temp_VSI_BP*(0.5*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))+0.0*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01))+0.5*(+temp_VGP_SI_VSI_BP*(1.0+(temp*3.3333333333333333e-01))+temp_VGP_SI*(temp_VSI_BP*3.3333333333333333e-01)+temp_VSI_BP*temp_VGP_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VGP_SI_VSI_BP*3.3333333333333333e-01+temp_VGP_SI*0.0+temp_VSI_BP*0.0+temp*0.0)))))));
#endif
TP_VDI_SI=((temp_VDI_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01))))))+(temp*(0.5*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01)))));
#if defined(_DERIVATE2)
  TP_VDI_SI_VGP_SI=(+0.0+(+temp_VDI_SI_VGP_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VDI_SI*((0.5*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))))+temp_VGP_SI*(0.5*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))+0.0*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01))+0.5*(+temp_VDI_SI_VGP_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VDI_SI*(temp_VGP_SI*3.3333333333333333e-01)+temp_VGP_SI*temp_VDI_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VDI_SI_VGP_SI*3.3333333333333333e-01+temp_VDI_SI*0.0+temp_VGP_SI*0.0+temp*0.0)))))));
  TP_VDI_SI_VDI_SI=(+0.0+(+temp_VDI_SI_VDI_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VDI_SI*((0.5*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))))+temp_VDI_SI*(0.5*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))+0.0*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01))+0.5*(+temp_VDI_SI_VDI_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VDI_SI*(temp_VDI_SI*3.3333333333333333e-01)+temp_VDI_SI*temp_VDI_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VDI_SI_VDI_SI*3.3333333333333333e-01+temp_VDI_SI*0.0+temp_VDI_SI*0.0+temp*0.0)))))));
  TP_VDI_SI_VSI_BP=(+0.0+(+temp_VDI_SI_VSI_BP*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VDI_SI*((0.5*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))))+temp_VSI_BP*(0.5*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))+0.0*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01))+0.5*(+temp_VDI_SI_VSI_BP*(1.0+(temp*3.3333333333333333e-01))+temp_VDI_SI*(temp_VSI_BP*3.3333333333333333e-01)+temp_VSI_BP*temp_VDI_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VDI_SI_VSI_BP*3.3333333333333333e-01+temp_VDI_SI*0.0+temp_VSI_BP*0.0+temp*0.0)))))));
#endif
TP_VSI_BP=((temp_VSI_BP*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01))))))+(temp*(0.5*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01)))));
#if defined(_DERIVATE2)
  TP_VSI_BP_VGP_SI=(+0.0+(+temp_VSI_BP_VGP_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VSI_BP*((0.5*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))))+temp_VGP_SI*(0.5*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))+0.0*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01))+0.5*(+temp_VSI_BP_VGP_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VSI_BP*(temp_VGP_SI*3.3333333333333333e-01)+temp_VGP_SI*temp_VSI_BP*3.3333333333333333e-01+temp*(+0.0+(+temp_VSI_BP_VGP_SI*3.3333333333333333e-01+temp_VSI_BP*0.0+temp_VGP_SI*0.0+temp*0.0)))))));
  TP_VSI_BP_VDI_SI=(+0.0+(+temp_VSI_BP_VDI_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VSI_BP*((0.5*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))))+temp_VDI_SI*(0.5*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))+0.0*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01))+0.5*(+temp_VSI_BP_VDI_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VSI_BP*(temp_VDI_SI*3.3333333333333333e-01)+temp_VDI_SI*temp_VSI_BP*3.3333333333333333e-01+temp*(+0.0+(+temp_VSI_BP_VDI_SI*3.3333333333333333e-01+temp_VSI_BP*0.0+temp_VDI_SI*0.0+temp*0.0)))))));
  TP_VSI_BP_VSI_BP=(+0.0+(+temp_VSI_BP_VSI_BP*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VSI_BP*((0.5*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))))+temp_VSI_BP*(0.5*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))+0.0*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01))+0.5*(+temp_VSI_BP_VSI_BP*(1.0+(temp*3.3333333333333333e-01))+temp_VSI_BP*(temp_VSI_BP*3.3333333333333333e-01)+temp_VSI_BP*temp_VSI_BP*3.3333333333333333e-01+temp*(+0.0+(+temp_VSI_BP_VSI_BP*3.3333333333333333e-01+temp_VSI_BP*0.0+temp_VSI_BP*0.0+temp*0.0)))))));
#endif
#endif
TP=(1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
EXIT_IF_ISNAN((1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01))))))))
}
else
{
if
((temp>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,temp)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
TP_VGP_SI=temp_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  TP_VGP_SI_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VGP_SI+d10_exp0*temp_VGP_SI_VGP_SI);
  TP_VGP_SI_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VGP_SI+d10_exp0*temp_VGP_SI_VDI_SI);
  TP_VGP_SI_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VGP_SI+d10_exp0*temp_VGP_SI_VSI_BP);
#endif
TP_VDI_SI=temp_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  TP_VDI_SI_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VDI_SI+d10_exp0*temp_VDI_SI_VGP_SI);
  TP_VDI_SI_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VDI_SI+d10_exp0*temp_VDI_SI_VDI_SI);
  TP_VDI_SI_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VDI_SI+d10_exp0*temp_VDI_SI_VSI_BP);
#endif
TP_VSI_BP=temp_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  TP_VSI_BP_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VSI_BP+d10_exp0*temp_VSI_BP_VGP_SI);
  TP_VSI_BP_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VSI_BP+d10_exp0*temp_VSI_BP_VDI_SI);
  TP_VSI_BP_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VSI_BP+d10_exp0*temp_VSI_BP_VSI_BP);
#endif
#endif
TP=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
TP_VGP_SI=(-1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  TP_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VGP_SI)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VDI_SI)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VSI_BP)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
TP_VDI_SI=(-1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  TP_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VGP_SI)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VDI_SI)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VSI_BP)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
TP_VSI_BP=(-1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  TP_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VGP_SI)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VDI_SI)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VSI_BP)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
#endif
TP=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
Fs1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Fs1_VDI_SI_VDI_SI=0.0;
  Fs1_VDI_SI_VGP_SI=0.0;
#endif
Fs1_VGP_SI=xs_ov_VGP_SI;
#if defined(_DERIVATE2)
  Fs1_VGP_SI_VDI_SI=(+0.0+0.0);
  Fs1_VGP_SI_VGP_SI=(+0.0+xs_ov_VGP_SI_VGP_SI);
#endif
#endif
Fs1=(3.0+xs_ov);
EXIT_IF_ISNAN((3.0+xs_ov))
Fs2=((-3.0)-pInst->GCO_i);
EXIT_IF_ISNAN(((-3.0)-pInst->GCO_i))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
Fs3_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Fs3_VDI_SI_VDI_SI=0.0;
  Fs3_VDI_SI_VGP_SI=0.0;
#endif
Fs3_VGP_SI=(30.0*VgsPrime_VGP_SI);
#if defined(_DERIVATE2)
  Fs3_VGP_SI_VDI_SI=(+0.0*VgsPrime+0.0*0.0+0.0*VgsPrime_VGP_SI+30.0*0.0);
  Fs3_VGP_SI_VGP_SI=(+0.0*VgsPrime+0.0*VgsPrime_VGP_SI+0.0*VgsPrime_VGP_SI+30.0*VgsPrime_VGP_SI_VGP_SI);
#endif
#endif
Fs3=(30.0*VgsPrime);
EXIT_IF_ISNAN((30.0*VgsPrime))
tme1=(4.0-0.9);
EXIT_IF_ISNAN((4.0-0.9))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
tme2_VDI_SI=0.0;
#if defined(_DERIVATE2)
  tme2_VDI_SI_VDI_SI=0.0;
  tme2_VDI_SI_VSI_BP=0.0;
  tme2_VDI_SI_VGP_SI=0.0;
#endif
tme2_VSI_BP=0.0;
#if defined(_DERIVATE2)
  tme2_VSI_BP_VDI_SI=0.0;
  tme2_VSI_BP_VSI_BP=0.0;
  tme2_VSI_BP_VGP_SI=0.0;
#endif
tme2_VGP_SI=(Fs1_VGP_SI+Fs3_VGP_SI);
#if defined(_DERIVATE2)
  tme2_VGP_SI_VDI_SI=(+Fs1_VGP_SI_VDI_SI+Fs3_VGP_SI_VDI_SI);
  tme2_VGP_SI_VSI_BP=(+0.0+0.0);
  tme2_VGP_SI_VGP_SI=(+Fs1_VGP_SI_VGP_SI+Fs3_VGP_SI_VGP_SI);
#endif
#endif
tme2=(Fs1+Fs3);
EXIT_IF_ISNAN((Fs1+Fs3))
{
double m00_sqrt(d00_sqrt0,((tme2*tme2)-((tme1*Fs1)*Fs3)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((tme2*tme2)-((tme1*Fs1)*Fs3)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=((2.0/tme1)*(tme2_VGP_SI-(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2-d00_sqrt0)+0.0*(tme2_VGP_SI-((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-(((((tme1*Fs1_VGP_SI))*Fs3)+((tme1*Fs1)*Fs3_VGP_SI))))*d10_sqrt0)+0.0*(tme2_VGP_SI-(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))*d10_sqrt0)+(2.0/tme1)*(+tme2_VGP_SI_VGP_SI-(m20_sqrt(((tme2*tme2)-((tme1*Fs1)*Fs3)))*((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-(((((tme1*Fs1_VGP_SI))*Fs3)+((tme1*Fs1)*Fs3_VGP_SI))))*(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))+d10_sqrt0*(+(+tme2_VGP_SI_VGP_SI*tme2+tme2_VGP_SI*tme2_VGP_SI+tme2_VGP_SI*tme2_VGP_SI+tme2*tme2_VGP_SI_VGP_SI)-(+(+0.0*Fs1+0.0*Fs1_VGP_SI+0.0*Fs1_VGP_SI+tme1*Fs1_VGP_SI_VGP_SI)*Fs3+(tme1*Fs1_VGP_SI)*Fs3_VGP_SI+((tme1*Fs1_VGP_SI))*Fs3_VGP_SI+(tme1*Fs1)*Fs3_VGP_SI_VGP_SI)))));
  temp_VGP_SI_VDI_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2-d00_sqrt0)+0.0*(tme2_VDI_SI-((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-(((((tme1*Fs1_VDI_SI))*Fs3)+((tme1*Fs1)*Fs3_VDI_SI))))*d10_sqrt0)+0.0*(tme2_VGP_SI-(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))*d10_sqrt0)+(2.0/tme1)*(+tme2_VGP_SI_VDI_SI-(m20_sqrt(((tme2*tme2)-((tme1*Fs1)*Fs3)))*((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-(((((tme1*Fs1_VDI_SI))*Fs3)+((tme1*Fs1)*Fs3_VDI_SI))))*(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))+d10_sqrt0*(+(+tme2_VGP_SI_VDI_SI*tme2+tme2_VGP_SI*tme2_VDI_SI+tme2_VDI_SI*tme2_VGP_SI+tme2*tme2_VGP_SI_VDI_SI)-(+(+0.0*Fs1+0.0*Fs1_VDI_SI+0.0*Fs1_VGP_SI+tme1*Fs1_VGP_SI_VDI_SI)*Fs3+(tme1*Fs1_VGP_SI)*Fs3_VDI_SI+((tme1*Fs1_VDI_SI))*Fs3_VGP_SI+(tme1*Fs1)*Fs3_VGP_SI_VDI_SI)))));
  temp_VGP_SI_VSI_BP=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2-d00_sqrt0)+0.0*(tme2_VSI_BP-((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((0.0)*Fs3))*d10_sqrt0)+0.0*(tme2_VGP_SI-(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))*d10_sqrt0)+(2.0/tme1)*(+tme2_VGP_SI_VSI_BP-(m20_sqrt(((tme2*tme2)-((tme1*Fs1)*Fs3)))*((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((0.0)*Fs3))*(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))+d10_sqrt0*(+(+tme2_VGP_SI_VSI_BP*tme2+tme2_VGP_SI*tme2_VSI_BP+tme2_VSI_BP*tme2_VGP_SI+tme2*tme2_VGP_SI_VSI_BP)-(+(+0.0*Fs1+0.0*0.0+0.0*Fs1_VGP_SI+tme1*0.0)*Fs3+(tme1*Fs1_VGP_SI)*0.0+(0.0)*Fs3_VGP_SI+(tme1*Fs1)*0.0)))));
#endif
temp_VDI_SI=0.0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=0.0;
  temp_VDI_SI_VDI_SI=0.0;
  temp_VDI_SI_VSI_BP=0.0;
#endif
temp_VSI_BP=0.0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=0.0;
  temp_VSI_BP_VDI_SI=0.0;
  temp_VSI_BP_VSI_BP=0.0;
#endif
#endif
temp=((2.0/tme1)*(tme2-d00_sqrt0));
EXIT_IF_ISNAN(((2.0/tme1)*(tme2-d00_sqrt0)))
}
tme1=(4.0-0.3);
EXIT_IF_ISNAN((4.0-0.3))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
tme2_VDI_SI=temp_VDI_SI;
#if defined(_DERIVATE2)
  tme2_VDI_SI_VDI_SI=(+0.0+temp_VDI_SI_VDI_SI);
  tme2_VDI_SI_VSI_BP=(+0.0+temp_VDI_SI_VSI_BP);
  tme2_VDI_SI_VGP_SI=(+0.0+temp_VDI_SI_VGP_SI);
#endif
tme2_VSI_BP=temp_VSI_BP;
#if defined(_DERIVATE2)
  tme2_VSI_BP_VDI_SI=(+0.0+temp_VSI_BP_VDI_SI);
  tme2_VSI_BP_VSI_BP=(+0.0+temp_VSI_BP_VSI_BP);
  tme2_VSI_BP_VGP_SI=(+0.0+temp_VSI_BP_VGP_SI);
#endif
tme2_VGP_SI=temp_VGP_SI;
#if defined(_DERIVATE2)
  tme2_VGP_SI_VDI_SI=(+0.0+temp_VGP_SI_VDI_SI);
  tme2_VGP_SI_VSI_BP=(+0.0+temp_VGP_SI_VSI_BP);
  tme2_VGP_SI_VGP_SI=(+0.0+temp_VGP_SI_VGP_SI);
#endif
#endif
tme2=(Fs2+temp);
EXIT_IF_ISNAN((Fs2+temp))
{
double m00_sqrt(d00_sqrt0,((tme2*tme2)-((tme1*Fs2)*temp)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((tme2*tme2)-((tme1*Fs2)*temp)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Fs_VDI_SI=((2.0/tme1)*(tme2_VDI_SI+(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  Fs_VDI_SI_VDI_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VDI_SI+((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VDI_SI))))*d10_sqrt0)+0.0*(tme2_VDI_SI+(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))*d10_sqrt0)+(2.0/tme1)*(+tme2_VDI_SI_VDI_SI+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VDI_SI))))*(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))+d10_sqrt0*(+(+tme2_VDI_SI_VDI_SI*tme2+tme2_VDI_SI*tme2_VDI_SI+tme2_VDI_SI*tme2_VDI_SI+tme2*tme2_VDI_SI_VDI_SI)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VDI_SI+(0.0)*temp_VDI_SI+(tme1*Fs2)*temp_VDI_SI_VDI_SI)))));
  Fs_VDI_SI_VSI_BP=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VSI_BP+((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((((0.0)*temp)+((tme1*Fs2)*temp_VSI_BP))))*d10_sqrt0)+0.0*(tme2_VDI_SI+(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))*d10_sqrt0)+(2.0/tme1)*(+tme2_VDI_SI_VSI_BP+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((((0.0)*temp)+((tme1*Fs2)*temp_VSI_BP))))*(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))+d10_sqrt0*(+(+tme2_VDI_SI_VSI_BP*tme2+tme2_VDI_SI*tme2_VSI_BP+tme2_VSI_BP*tme2_VDI_SI+tme2*tme2_VDI_SI_VSI_BP)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VSI_BP+(0.0)*temp_VDI_SI+(tme1*Fs2)*temp_VDI_SI_VSI_BP)))));
  Fs_VDI_SI_VGP_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VGP_SI+((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VGP_SI))))*d10_sqrt0)+0.0*(tme2_VDI_SI+(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))*d10_sqrt0)+(2.0/tme1)*(+tme2_VDI_SI_VGP_SI+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VGP_SI))))*(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))+d10_sqrt0*(+(+tme2_VDI_SI_VGP_SI*tme2+tme2_VDI_SI*tme2_VGP_SI+tme2_VGP_SI*tme2_VDI_SI+tme2*tme2_VDI_SI_VGP_SI)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VGP_SI+(0.0)*temp_VDI_SI+(tme1*Fs2)*temp_VDI_SI_VGP_SI)))));
#endif
Fs_VSI_BP=((2.0/tme1)*(tme2_VSI_BP+(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))*d10_sqrt0));
#if defined(_DERIVATE2)
  Fs_VSI_BP_VDI_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VDI_SI+((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VDI_SI))))*d10_sqrt0)+0.0*(tme2_VSI_BP+(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))*d10_sqrt0)+(2.0/tme1)*(+tme2_VSI_BP_VDI_SI+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VDI_SI))))*(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))+d10_sqrt0*(+(+tme2_VSI_BP_VDI_SI*tme2+tme2_VSI_BP*tme2_VDI_SI+tme2_VDI_SI*tme2_VSI_BP+tme2*tme2_VSI_BP_VDI_SI)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VDI_SI+(0.0)*temp_VSI_BP+(tme1*Fs2)*temp_VSI_BP_VDI_SI)))));
  Fs_VSI_BP_VSI_BP=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VSI_BP+((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((((0.0)*temp)+((tme1*Fs2)*temp_VSI_BP))))*d10_sqrt0)+0.0*(tme2_VSI_BP+(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))*d10_sqrt0)+(2.0/tme1)*(+tme2_VSI_BP_VSI_BP+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((((0.0)*temp)+((tme1*Fs2)*temp_VSI_BP))))*(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))+d10_sqrt0*(+(+tme2_VSI_BP_VSI_BP*tme2+tme2_VSI_BP*tme2_VSI_BP+tme2_VSI_BP*tme2_VSI_BP+tme2*tme2_VSI_BP_VSI_BP)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VSI_BP+(0.0)*temp_VSI_BP+(tme1*Fs2)*temp_VSI_BP_VSI_BP)))));
  Fs_VSI_BP_VGP_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VGP_SI+((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VGP_SI))))*d10_sqrt0)+0.0*(tme2_VSI_BP+(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))*d10_sqrt0)+(2.0/tme1)*(+tme2_VSI_BP_VGP_SI+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VGP_SI))))*(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))+d10_sqrt0*(+(+tme2_VSI_BP_VGP_SI*tme2+tme2_VSI_BP*tme2_VGP_SI+tme2_VGP_SI*tme2_VSI_BP+tme2*tme2_VSI_BP_VGP_SI)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VGP_SI+(0.0)*temp_VSI_BP+(tme1*Fs2)*temp_VSI_BP_VGP_SI)))));
#endif
Fs_VGP_SI=((2.0/tme1)*(tme2_VGP_SI+(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  Fs_VGP_SI_VDI_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VDI_SI+((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VDI_SI))))*d10_sqrt0)+0.0*(tme2_VGP_SI+(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))*d10_sqrt0)+(2.0/tme1)*(+tme2_VGP_SI_VDI_SI+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VDI_SI))))*(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))+d10_sqrt0*(+(+tme2_VGP_SI_VDI_SI*tme2+tme2_VGP_SI*tme2_VDI_SI+tme2_VDI_SI*tme2_VGP_SI+tme2*tme2_VGP_SI_VDI_SI)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VDI_SI+(0.0)*temp_VGP_SI+(tme1*Fs2)*temp_VGP_SI_VDI_SI)))));
  Fs_VGP_SI_VSI_BP=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VSI_BP+((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((((0.0)*temp)+((tme1*Fs2)*temp_VSI_BP))))*d10_sqrt0)+0.0*(tme2_VGP_SI+(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))*d10_sqrt0)+(2.0/tme1)*(+tme2_VGP_SI_VSI_BP+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((((0.0)*temp)+((tme1*Fs2)*temp_VSI_BP))))*(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))+d10_sqrt0*(+(+tme2_VGP_SI_VSI_BP*tme2+tme2_VGP_SI*tme2_VSI_BP+tme2_VSI_BP*tme2_VGP_SI+tme2*tme2_VGP_SI_VSI_BP)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VSI_BP+(0.0)*temp_VGP_SI+(tme1*Fs2)*temp_VGP_SI_VSI_BP)))));
  Fs_VGP_SI_VGP_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VGP_SI+((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VGP_SI))))*d10_sqrt0)+0.0*(tme2_VGP_SI+(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))*d10_sqrt0)+(2.0/tme1)*(+tme2_VGP_SI_VGP_SI+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VGP_SI))))*(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))+d10_sqrt0*(+(+tme2_VGP_SI_VGP_SI*tme2+tme2_VGP_SI*tme2_VGP_SI+tme2_VGP_SI*tme2_VGP_SI+tme2*tme2_VGP_SI_VGP_SI)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VGP_SI+(0.0)*temp_VGP_SI+(tme1*Fs2)*temp_VGP_SI_VGP_SI)))));
#endif
#endif
Fs=((2.0/tme1)*(tme2+d00_sqrt0));
EXIT_IF_ISNAN(((2.0/tme1)*(tme2+d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Igsov_VGP_SI=(pInst->IGOV_i*((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI)));
#if defined(_DERIVATE2)
  Igsov_VGP_SI_VGP_SI=(+0.0*(TP*Fs)+0.0*(((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI)))+0.0*((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI))+pInst->IGOV_i*(+TP_VGP_SI_VGP_SI*Fs+TP_VGP_SI*Fs_VGP_SI+TP_VGP_SI*Fs_VGP_SI+TP*Fs_VGP_SI_VGP_SI));
  Igsov_VGP_SI_VDI_SI=(+0.0*(TP*Fs)+0.0*(((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI)))+0.0*((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI))+pInst->IGOV_i*(+TP_VGP_SI_VDI_SI*Fs+TP_VGP_SI*Fs_VDI_SI+TP_VDI_SI*Fs_VGP_SI+TP*Fs_VGP_SI_VDI_SI));
  Igsov_VGP_SI_VSI_BP=(+0.0*(TP*Fs)+0.0*(((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP)))+0.0*((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI))+pInst->IGOV_i*(+TP_VGP_SI_VSI_BP*Fs+TP_VGP_SI*Fs_VSI_BP+TP_VSI_BP*Fs_VGP_SI+TP*Fs_VGP_SI_VSI_BP));
#endif
Igsov_VDI_SI=(pInst->IGOV_i*((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI)));
#if defined(_DERIVATE2)
  Igsov_VDI_SI_VGP_SI=(+0.0*(TP*Fs)+0.0*(((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI)))+0.0*((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI))+pInst->IGOV_i*(+TP_VDI_SI_VGP_SI*Fs+TP_VDI_SI*Fs_VGP_SI+TP_VGP_SI*Fs_VDI_SI+TP*Fs_VDI_SI_VGP_SI));
  Igsov_VDI_SI_VDI_SI=(+0.0*(TP*Fs)+0.0*(((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI)))+0.0*((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI))+pInst->IGOV_i*(+TP_VDI_SI_VDI_SI*Fs+TP_VDI_SI*Fs_VDI_SI+TP_VDI_SI*Fs_VDI_SI+TP*Fs_VDI_SI_VDI_SI));
  Igsov_VDI_SI_VSI_BP=(+0.0*(TP*Fs)+0.0*(((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP)))+0.0*((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI))+pInst->IGOV_i*(+TP_VDI_SI_VSI_BP*Fs+TP_VDI_SI*Fs_VSI_BP+TP_VSI_BP*Fs_VDI_SI+TP*Fs_VDI_SI_VSI_BP));
#endif
Igsov_VSI_BP=(pInst->IGOV_i*((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP)));
#if defined(_DERIVATE2)
  Igsov_VSI_BP_VGP_SI=(+0.0*(TP*Fs)+0.0*(((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI)))+0.0*((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP))+pInst->IGOV_i*(+TP_VSI_BP_VGP_SI*Fs+TP_VSI_BP*Fs_VGP_SI+TP_VGP_SI*Fs_VSI_BP+TP*Fs_VSI_BP_VGP_SI));
  Igsov_VSI_BP_VDI_SI=(+0.0*(TP*Fs)+0.0*(((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI)))+0.0*((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP))+pInst->IGOV_i*(+TP_VSI_BP_VDI_SI*Fs+TP_VSI_BP*Fs_VDI_SI+TP_VDI_SI*Fs_VSI_BP+TP*Fs_VSI_BP_VDI_SI));
  Igsov_VSI_BP_VSI_BP=(+0.0*(TP*Fs)+0.0*(((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP)))+0.0*((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP))+pInst->IGOV_i*(+TP_VSI_BP_VSI_BP*Fs+TP_VSI_BP*Fs_VSI_BP+TP_VSI_BP*Fs_VSI_BP+TP*Fs_VSI_BP_VSI_BP));
#endif
#endif
pInst->Igsov=(pInst->IGOV_i*(TP*Fs));
EXIT_IF_ISNAN((pInst->IGOV_i*(TP*Fs)))
}
if
((pInst->IGOVD_i>0.0))
{
{
double m00_sqrt(d00_sqrt0,((Vovd*Vovd)+1.0e-6))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((Vovd*Vovd)+1.0e-6))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BP)V(DI,SI)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
zg_VSI_BP=0.0;
#if defined(_DERIVATE2)
  zg_VSI_BP_VSI_BP=0.0;
  zg_VSI_BP_VDI_SI=0.0;
  zg_VSI_BP_VGP_SI=0.0;
#endif
zg_VDI_SI=((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI))*d10_sqrt0*pInst->inv_CHIB;
#if defined(_DERIVATE2)
  zg_VDI_SI_VSI_BP=(+(m20_sqrt(((Vovd*Vovd)+1.0e-6))*(0.0)*((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI))+d10_sqrt0*(+(+0.0*Vovd+Vovd_VDI_SI*0.0+0.0*Vovd_VDI_SI+Vovd*0.0)+0.0))*pInst->inv_CHIB+((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI))*d10_sqrt0*0.0+(0.0)*d10_sqrt0*0.0+d00_sqrt0*0.0);
  zg_VDI_SI_VDI_SI=(+(m20_sqrt(((Vovd*Vovd)+1.0e-6))*(((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI)))*((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI))+d10_sqrt0*(+(+Vovd_VDI_SI_VDI_SI*Vovd+Vovd_VDI_SI*Vovd_VDI_SI+Vovd_VDI_SI*Vovd_VDI_SI+Vovd*Vovd_VDI_SI_VDI_SI)+0.0))*pInst->inv_CHIB+((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI))*d10_sqrt0*0.0+(((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
  zg_VDI_SI_VGP_SI=(+(m20_sqrt(((Vovd*Vovd)+1.0e-6))*(((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI)))*((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI))+d10_sqrt0*(+(+Vovd_VDI_SI_VGP_SI*Vovd+Vovd_VDI_SI*Vovd_VGP_SI+Vovd_VGP_SI*Vovd_VDI_SI+Vovd*Vovd_VDI_SI_VGP_SI)+0.0))*pInst->inv_CHIB+((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI))*d10_sqrt0*0.0+(((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
#endif
zg_VGP_SI=((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI))*d10_sqrt0*pInst->inv_CHIB;
#if defined(_DERIVATE2)
  zg_VGP_SI_VSI_BP=(+(m20_sqrt(((Vovd*Vovd)+1.0e-6))*(0.0)*((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI))+d10_sqrt0*(+(+0.0*Vovd+Vovd_VGP_SI*0.0+0.0*Vovd_VGP_SI+Vovd*0.0)+0.0))*pInst->inv_CHIB+((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI))*d10_sqrt0*0.0+(0.0)*d10_sqrt0*0.0+d00_sqrt0*0.0);
  zg_VGP_SI_VDI_SI=(+(m20_sqrt(((Vovd*Vovd)+1.0e-6))*(((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI)))*((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI))+d10_sqrt0*(+(+Vovd_VGP_SI_VDI_SI*Vovd+Vovd_VGP_SI*Vovd_VDI_SI+Vovd_VDI_SI*Vovd_VGP_SI+Vovd*Vovd_VGP_SI_VDI_SI)+0.0))*pInst->inv_CHIB+((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI))*d10_sqrt0*0.0+(((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
  zg_VGP_SI_VGP_SI=(+(m20_sqrt(((Vovd*Vovd)+1.0e-6))*(((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI)))*((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI))+d10_sqrt0*(+(+Vovd_VGP_SI_VGP_SI*Vovd+Vovd_VGP_SI*Vovd_VGP_SI+Vovd_VGP_SI*Vovd_VGP_SI+Vovd*Vovd_VGP_SI_VGP_SI)+0.0))*pInst->inv_CHIB+((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI))*d10_sqrt0*0.0+(((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
#endif
#endif
zg=(d00_sqrt0*pInst->inv_CHIB);
EXIT_IF_ISNAN((d00_sqrt0*pInst->inv_CHIB))
}
if
((pInst->GC3OV_i<0.0))
{
{
double m00_sqrt(d00_sqrt0,(((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BP)V(DI,SI)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
zg_VSI_BP=0.0;
#if defined(_DERIVATE2)
  zg_VSI_BP_VSI_BP=0.0;
  zg_VSI_BP_VDI_SI=0.0;
  zg_VSI_BP_VGP_SI=0.0;
#endif
zg_VDI_SI=(0.5*(zg_VDI_SI-((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  zg_VDI_SI_VSI_BP=(+0.0*((zg+pInst->GCQOV)-d00_sqrt0)+0.0*(zg_VSI_BP-(((zg_VSI_BP*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VSI_BP)))*d10_sqrt0)+0.0*(zg_VDI_SI-((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI))*d10_sqrt0)+0.5*(+(+zg_VDI_SI_VSI_BP+0.0)-(m20_sqrt((((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))*(((zg_VSI_BP*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VSI_BP)))*((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI))+d10_sqrt0*(+(+(+zg_VDI_SI_VSI_BP-0.0)*(zg-pInst->GCQOV)+zg_VDI_SI*zg_VSI_BP+zg_VSI_BP*zg_VDI_SI+(zg-pInst->GCQOV)*(+zg_VDI_SI_VSI_BP-0.0))+0.0))));
  zg_VDI_SI_VDI_SI=(+0.0*((zg+pInst->GCQOV)-d00_sqrt0)+0.0*(zg_VDI_SI-(((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI)))*d10_sqrt0)+0.0*(zg_VDI_SI-((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI))*d10_sqrt0)+0.5*(+(+zg_VDI_SI_VDI_SI+0.0)-(m20_sqrt((((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))*(((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI)))*((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI))+d10_sqrt0*(+(+(+zg_VDI_SI_VDI_SI-0.0)*(zg-pInst->GCQOV)+zg_VDI_SI*zg_VDI_SI+zg_VDI_SI*zg_VDI_SI+(zg-pInst->GCQOV)*(+zg_VDI_SI_VDI_SI-0.0))+0.0))));
  zg_VDI_SI_VGP_SI=(+0.0*((zg+pInst->GCQOV)-d00_sqrt0)+0.0*(zg_VGP_SI-(((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI)))*d10_sqrt0)+0.0*(zg_VDI_SI-((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI))*d10_sqrt0)+0.5*(+(+zg_VDI_SI_VGP_SI+0.0)-(m20_sqrt((((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))*(((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI)))*((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI))+d10_sqrt0*(+(+(+zg_VDI_SI_VGP_SI-0.0)*(zg-pInst->GCQOV)+zg_VDI_SI*zg_VGP_SI+zg_VGP_SI*zg_VDI_SI+(zg-pInst->GCQOV)*(+zg_VDI_SI_VGP_SI-0.0))+0.0))));
#endif
zg_VGP_SI=(0.5*(zg_VGP_SI-((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  zg_VGP_SI_VSI_BP=(+0.0*((zg+pInst->GCQOV)-d00_sqrt0)+0.0*(zg_VSI_BP-(((zg_VSI_BP*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VSI_BP)))*d10_sqrt0)+0.0*(zg_VGP_SI-((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))*d10_sqrt0)+0.5*(+(+zg_VGP_SI_VSI_BP+0.0)-(m20_sqrt((((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))*(((zg_VSI_BP*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VSI_BP)))*((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))+d10_sqrt0*(+(+(+zg_VGP_SI_VSI_BP-0.0)*(zg-pInst->GCQOV)+zg_VGP_SI*zg_VSI_BP+zg_VSI_BP*zg_VGP_SI+(zg-pInst->GCQOV)*(+zg_VGP_SI_VSI_BP-0.0))+0.0))));
  zg_VGP_SI_VDI_SI=(+0.0*((zg+pInst->GCQOV)-d00_sqrt0)+0.0*(zg_VDI_SI-(((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI)))*d10_sqrt0)+0.0*(zg_VGP_SI-((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))*d10_sqrt0)+0.5*(+(+zg_VGP_SI_VDI_SI+0.0)-(m20_sqrt((((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))*(((zg_VDI_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VDI_SI)))*((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))+d10_sqrt0*(+(+(+zg_VGP_SI_VDI_SI-0.0)*(zg-pInst->GCQOV)+zg_VGP_SI*zg_VDI_SI+zg_VDI_SI*zg_VGP_SI+(zg-pInst->GCQOV)*(+zg_VGP_SI_VDI_SI-0.0))+0.0))));
  zg_VGP_SI_VGP_SI=(+0.0*((zg+pInst->GCQOV)-d00_sqrt0)+0.0*(zg_VGP_SI-(((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI)))*d10_sqrt0)+0.0*(zg_VGP_SI-((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))*d10_sqrt0)+0.5*(+(+zg_VGP_SI_VGP_SI+0.0)-(m20_sqrt((((zg-pInst->GCQOV)*(zg-pInst->GCQOV))+1.0e-6))*(((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI)))*((zg_VGP_SI*(zg-pInst->GCQOV))+((zg-pInst->GCQOV)*zg_VGP_SI))+d10_sqrt0*(+(+(+zg_VGP_SI_VGP_SI-0.0)*(zg-pInst->GCQOV)+zg_VGP_SI*zg_VGP_SI+zg_VGP_SI*zg_VGP_SI+(zg-pInst->GCQOV)*(+zg_VGP_SI_VGP_SI-0.0))+0.0))));
#endif
#endif
zg=(0.5*((zg+pInst->GCQOV)-d00_sqrt0));
EXIT_IF_ISNAN((0.5*((zg+pInst->GCQOV)-d00_sqrt0)))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(pInst->BOV_d*((zg_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*(pInst->GC3OV_i*zg_VGP_SI))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))))+0.0*(((zg_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*((pInst->GC3OV_i*zg_VGP_SI)))))+0.0*((zg_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*(pInst->GC3OV_i*zg_VGP_SI)))+pInst->BOV_d*(+0.0+(+zg_VGP_SI_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))+zg_VGP_SI*((pInst->GC3OV_i*zg_VGP_SI))+zg_VGP_SI*(pInst->GC3OV_i*zg_VGP_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VGP_SI+0.0*zg_VGP_SI+pInst->GC3OV_i*zg_VGP_SI_VGP_SI)))));
  temp_VGP_SI_VDI_SI=(+0.0*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))))+0.0*(((zg_VDI_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*((pInst->GC3OV_i*zg_VDI_SI)))))+0.0*((zg_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*(pInst->GC3OV_i*zg_VGP_SI)))+pInst->BOV_d*(+0.0+(+zg_VGP_SI_VDI_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))+zg_VGP_SI*((pInst->GC3OV_i*zg_VDI_SI))+zg_VDI_SI*(pInst->GC3OV_i*zg_VGP_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VDI_SI+0.0*zg_VGP_SI+pInst->GC3OV_i*zg_VGP_SI_VDI_SI)))));
  temp_VGP_SI_VSI_BP=(+0.0*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))))+0.0*(((zg_VSI_BP*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*((pInst->GC3OV_i*zg_VSI_BP)))))+0.0*((zg_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*(pInst->GC3OV_i*zg_VGP_SI)))+pInst->BOV_d*(+0.0+(+zg_VGP_SI_VSI_BP*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))+zg_VGP_SI*((pInst->GC3OV_i*zg_VSI_BP))+zg_VSI_BP*(pInst->GC3OV_i*zg_VGP_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VSI_BP+0.0*zg_VGP_SI+pInst->GC3OV_i*zg_VGP_SI_VSI_BP)))));
#endif
temp_VDI_SI=(pInst->BOV_d*((zg_VDI_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*(pInst->GC3OV_i*zg_VDI_SI))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))))+0.0*(((zg_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*((pInst->GC3OV_i*zg_VGP_SI)))))+0.0*((zg_VDI_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*(pInst->GC3OV_i*zg_VDI_SI)))+pInst->BOV_d*(+0.0+(+zg_VDI_SI_VGP_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))+zg_VDI_SI*((pInst->GC3OV_i*zg_VGP_SI))+zg_VGP_SI*(pInst->GC3OV_i*zg_VDI_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VGP_SI+0.0*zg_VDI_SI+pInst->GC3OV_i*zg_VDI_SI_VGP_SI)))));
  temp_VDI_SI_VDI_SI=(+0.0*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))))+0.0*(((zg_VDI_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*((pInst->GC3OV_i*zg_VDI_SI)))))+0.0*((zg_VDI_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*(pInst->GC3OV_i*zg_VDI_SI)))+pInst->BOV_d*(+0.0+(+zg_VDI_SI_VDI_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))+zg_VDI_SI*((pInst->GC3OV_i*zg_VDI_SI))+zg_VDI_SI*(pInst->GC3OV_i*zg_VDI_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VDI_SI+0.0*zg_VDI_SI+pInst->GC3OV_i*zg_VDI_SI_VDI_SI)))));
  temp_VDI_SI_VSI_BP=(+0.0*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))))+0.0*(((zg_VSI_BP*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*((pInst->GC3OV_i*zg_VSI_BP)))))+0.0*((zg_VDI_SI*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))+(zg*(pInst->GC3OV_i*zg_VDI_SI)))+pInst->BOV_d*(+0.0+(+zg_VDI_SI_VSI_BP*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))+zg_VDI_SI*((pInst->GC3OV_i*zg_VSI_BP))+zg_VSI_BP*(pInst->GC3OV_i*zg_VDI_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VSI_BP+0.0*zg_VDI_SI+pInst->GC3OV_i*zg_VDI_SI_VSI_BP)))));
#endif
temp_VSI_BP=0.0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=0.0;
  temp_VSI_BP_VDI_SI=0.0;
  temp_VSI_BP_VSI_BP=0.0;
#endif
#endif
temp=(pInst->BOV_d*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg)))));
EXIT_IF_ISNAN((pInst->BOV_d*((-1.5)+(zg*(pInst->GC2OV_i+(pInst->GC3OV_i*zg))))))
if
((temp>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
TP_VGP_SI=((temp_VGP_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01))))))+(temp*(0.5*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01)))));
#if defined(_DERIVATE2)
  TP_VGP_SI_VGP_SI=(+0.0+(+temp_VGP_SI_VGP_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VGP_SI*((0.5*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))))+temp_VGP_SI*(0.5*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))+0.0*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01))+0.5*(+temp_VGP_SI_VGP_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VGP_SI*(temp_VGP_SI*3.3333333333333333e-01)+temp_VGP_SI*temp_VGP_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VGP_SI_VGP_SI*3.3333333333333333e-01+temp_VGP_SI*0.0+temp_VGP_SI*0.0+temp*0.0)))))));
  TP_VGP_SI_VDI_SI=(+0.0+(+temp_VGP_SI_VDI_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VGP_SI*((0.5*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))))+temp_VDI_SI*(0.5*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))+0.0*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01))+0.5*(+temp_VGP_SI_VDI_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VGP_SI*(temp_VDI_SI*3.3333333333333333e-01)+temp_VDI_SI*temp_VGP_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VGP_SI_VDI_SI*3.3333333333333333e-01+temp_VGP_SI*0.0+temp_VDI_SI*0.0+temp*0.0)))))));
  TP_VGP_SI_VSI_BP=(+0.0+(+temp_VGP_SI_VSI_BP*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VGP_SI*((0.5*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))))+temp_VSI_BP*(0.5*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))+0.0*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01))+0.5*(+temp_VGP_SI_VSI_BP*(1.0+(temp*3.3333333333333333e-01))+temp_VGP_SI*(temp_VSI_BP*3.3333333333333333e-01)+temp_VSI_BP*temp_VGP_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VGP_SI_VSI_BP*3.3333333333333333e-01+temp_VGP_SI*0.0+temp_VSI_BP*0.0+temp*0.0)))))));
#endif
TP_VDI_SI=((temp_VDI_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01))))))+(temp*(0.5*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01)))));
#if defined(_DERIVATE2)
  TP_VDI_SI_VGP_SI=(+0.0+(+temp_VDI_SI_VGP_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VDI_SI*((0.5*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))))+temp_VGP_SI*(0.5*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))+0.0*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01))+0.5*(+temp_VDI_SI_VGP_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VDI_SI*(temp_VGP_SI*3.3333333333333333e-01)+temp_VGP_SI*temp_VDI_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VDI_SI_VGP_SI*3.3333333333333333e-01+temp_VDI_SI*0.0+temp_VGP_SI*0.0+temp*0.0)))))));
  TP_VDI_SI_VDI_SI=(+0.0+(+temp_VDI_SI_VDI_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VDI_SI*((0.5*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))))+temp_VDI_SI*(0.5*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))+0.0*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01))+0.5*(+temp_VDI_SI_VDI_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VDI_SI*(temp_VDI_SI*3.3333333333333333e-01)+temp_VDI_SI*temp_VDI_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VDI_SI_VDI_SI*3.3333333333333333e-01+temp_VDI_SI*0.0+temp_VDI_SI*0.0+temp*0.0)))))));
  TP_VDI_SI_VSI_BP=(+0.0+(+temp_VDI_SI_VSI_BP*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VDI_SI*((0.5*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))))+temp_VSI_BP*(0.5*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))+0.0*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01))+0.5*(+temp_VDI_SI_VSI_BP*(1.0+(temp*3.3333333333333333e-01))+temp_VDI_SI*(temp_VSI_BP*3.3333333333333333e-01)+temp_VSI_BP*temp_VDI_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VDI_SI_VSI_BP*3.3333333333333333e-01+temp_VDI_SI*0.0+temp_VSI_BP*0.0+temp*0.0)))))));
#endif
TP_VSI_BP=((temp_VSI_BP*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01))))))+(temp*(0.5*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01)))));
#if defined(_DERIVATE2)
  TP_VSI_BP_VGP_SI=(+0.0+(+temp_VSI_BP_VGP_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VSI_BP*((0.5*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))))+temp_VGP_SI*(0.5*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))+0.0*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01))+0.5*(+temp_VSI_BP_VGP_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VSI_BP*(temp_VGP_SI*3.3333333333333333e-01)+temp_VGP_SI*temp_VSI_BP*3.3333333333333333e-01+temp*(+0.0+(+temp_VSI_BP_VGP_SI*3.3333333333333333e-01+temp_VSI_BP*0.0+temp_VGP_SI*0.0+temp*0.0)))))));
  TP_VSI_BP_VDI_SI=(+0.0+(+temp_VSI_BP_VDI_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VSI_BP*((0.5*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))))+temp_VDI_SI*(0.5*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))+0.0*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01))+0.5*(+temp_VSI_BP_VDI_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VSI_BP*(temp_VDI_SI*3.3333333333333333e-01)+temp_VDI_SI*temp_VSI_BP*3.3333333333333333e-01+temp*(+0.0+(+temp_VSI_BP_VDI_SI*3.3333333333333333e-01+temp_VSI_BP*0.0+temp_VDI_SI*0.0+temp*0.0)))))));
  TP_VSI_BP_VSI_BP=(+0.0+(+temp_VSI_BP_VSI_BP*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VSI_BP*((0.5*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))))+temp_VSI_BP*(0.5*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))+0.0*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01))+0.5*(+temp_VSI_BP_VSI_BP*(1.0+(temp*3.3333333333333333e-01))+temp_VSI_BP*(temp_VSI_BP*3.3333333333333333e-01)+temp_VSI_BP*temp_VSI_BP*3.3333333333333333e-01+temp*(+0.0+(+temp_VSI_BP_VSI_BP*3.3333333333333333e-01+temp_VSI_BP*0.0+temp_VSI_BP*0.0+temp*0.0)))))));
#endif
#endif
TP=(1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
EXIT_IF_ISNAN((1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01))))))))
}
else
{
if
((temp>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,temp)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
TP_VGP_SI=temp_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  TP_VGP_SI_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VGP_SI+d10_exp0*temp_VGP_SI_VGP_SI);
  TP_VGP_SI_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VGP_SI+d10_exp0*temp_VGP_SI_VDI_SI);
  TP_VGP_SI_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VGP_SI+d10_exp0*temp_VGP_SI_VSI_BP);
#endif
TP_VDI_SI=temp_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  TP_VDI_SI_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VDI_SI+d10_exp0*temp_VDI_SI_VGP_SI);
  TP_VDI_SI_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VDI_SI+d10_exp0*temp_VDI_SI_VDI_SI);
  TP_VDI_SI_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VDI_SI+d10_exp0*temp_VDI_SI_VSI_BP);
#endif
TP_VSI_BP=temp_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  TP_VSI_BP_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VSI_BP+d10_exp0*temp_VSI_BP_VGP_SI);
  TP_VSI_BP_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VSI_BP+d10_exp0*temp_VSI_BP_VDI_SI);
  TP_VSI_BP_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VSI_BP+d10_exp0*temp_VSI_BP_VSI_BP);
#endif
#endif
TP=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
TP_VGP_SI=(-1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  TP_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VGP_SI)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VDI_SI)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VSI_BP)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
TP_VDI_SI=(-1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  TP_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VGP_SI)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VDI_SI)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VSI_BP)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
TP_VSI_BP=(-1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  TP_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VGP_SI)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VDI_SI)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VSI_BP)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
#endif
TP=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
Fs1_VDI_SI=xd_ov_VDI_SI;
#if defined(_DERIVATE2)
  Fs1_VDI_SI_VDI_SI=(+0.0+xd_ov_VDI_SI_VDI_SI);
  Fs1_VDI_SI_VGP_SI=(+0.0+xd_ov_VDI_SI_VGP_SI);
#endif
Fs1_VGP_SI=xd_ov_VGP_SI;
#if defined(_DERIVATE2)
  Fs1_VGP_SI_VDI_SI=(+0.0+xd_ov_VGP_SI_VDI_SI);
  Fs1_VGP_SI_VGP_SI=(+0.0+xd_ov_VGP_SI_VGP_SI);
#endif
#endif
Fs1=(3.0+xd_ov);
EXIT_IF_ISNAN((3.0+xd_ov))
Fs2=((-3.0)-pInst->GCO_i);
EXIT_IF_ISNAN(((-3.0)-pInst->GCO_i))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
Fs3_VDI_SI=(30.0*VgdPrime_VDI_SI);
#if defined(_DERIVATE2)
  Fs3_VDI_SI_VDI_SI=(+0.0*VgdPrime+0.0*VgdPrime_VDI_SI+0.0*VgdPrime_VDI_SI+30.0*VgdPrime_VDI_SI_VDI_SI);
  Fs3_VDI_SI_VGP_SI=(+0.0*VgdPrime+0.0*VgdPrime_VGP_SI+0.0*VgdPrime_VDI_SI+30.0*VgdPrime_VDI_SI_VGP_SI);
#endif
Fs3_VGP_SI=(30.0*VgdPrime_VGP_SI);
#if defined(_DERIVATE2)
  Fs3_VGP_SI_VDI_SI=(+0.0*VgdPrime+0.0*VgdPrime_VDI_SI+0.0*VgdPrime_VGP_SI+30.0*VgdPrime_VGP_SI_VDI_SI);
  Fs3_VGP_SI_VGP_SI=(+0.0*VgdPrime+0.0*VgdPrime_VGP_SI+0.0*VgdPrime_VGP_SI+30.0*VgdPrime_VGP_SI_VGP_SI);
#endif
#endif
Fs3=(30.0*VgdPrime);
EXIT_IF_ISNAN((30.0*VgdPrime))
tme1=(4.0-0.9);
EXIT_IF_ISNAN((4.0-0.9))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
tme2_VDI_SI=(Fs1_VDI_SI+Fs3_VDI_SI);
#if defined(_DERIVATE2)
  tme2_VDI_SI_VDI_SI=(+Fs1_VDI_SI_VDI_SI+Fs3_VDI_SI_VDI_SI);
  tme2_VDI_SI_VSI_BP=(+0.0+0.0);
  tme2_VDI_SI_VGP_SI=(+Fs1_VDI_SI_VGP_SI+Fs3_VDI_SI_VGP_SI);
#endif
tme2_VSI_BP=0.0;
#if defined(_DERIVATE2)
  tme2_VSI_BP_VDI_SI=0.0;
  tme2_VSI_BP_VSI_BP=0.0;
  tme2_VSI_BP_VGP_SI=0.0;
#endif
tme2_VGP_SI=(Fs1_VGP_SI+Fs3_VGP_SI);
#if defined(_DERIVATE2)
  tme2_VGP_SI_VDI_SI=(+Fs1_VGP_SI_VDI_SI+Fs3_VGP_SI_VDI_SI);
  tme2_VGP_SI_VSI_BP=(+0.0+0.0);
  tme2_VGP_SI_VGP_SI=(+Fs1_VGP_SI_VGP_SI+Fs3_VGP_SI_VGP_SI);
#endif
#endif
tme2=(Fs1+Fs3);
EXIT_IF_ISNAN((Fs1+Fs3))
{
double m00_sqrt(d00_sqrt0,((tme2*tme2)-((tme1*Fs1)*Fs3)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((tme2*tme2)-((tme1*Fs1)*Fs3)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=((2.0/tme1)*(tme2_VGP_SI-(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2-d00_sqrt0)+0.0*(tme2_VGP_SI-((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-(((((tme1*Fs1_VGP_SI))*Fs3)+((tme1*Fs1)*Fs3_VGP_SI))))*d10_sqrt0)+0.0*(tme2_VGP_SI-(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))*d10_sqrt0)+(2.0/tme1)*(+tme2_VGP_SI_VGP_SI-(m20_sqrt(((tme2*tme2)-((tme1*Fs1)*Fs3)))*((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-(((((tme1*Fs1_VGP_SI))*Fs3)+((tme1*Fs1)*Fs3_VGP_SI))))*(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))+d10_sqrt0*(+(+tme2_VGP_SI_VGP_SI*tme2+tme2_VGP_SI*tme2_VGP_SI+tme2_VGP_SI*tme2_VGP_SI+tme2*tme2_VGP_SI_VGP_SI)-(+(+0.0*Fs1+0.0*Fs1_VGP_SI+0.0*Fs1_VGP_SI+tme1*Fs1_VGP_SI_VGP_SI)*Fs3+(tme1*Fs1_VGP_SI)*Fs3_VGP_SI+((tme1*Fs1_VGP_SI))*Fs3_VGP_SI+(tme1*Fs1)*Fs3_VGP_SI_VGP_SI)))));
  temp_VGP_SI_VDI_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2-d00_sqrt0)+0.0*(tme2_VDI_SI-((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-(((((tme1*Fs1_VDI_SI))*Fs3)+((tme1*Fs1)*Fs3_VDI_SI))))*d10_sqrt0)+0.0*(tme2_VGP_SI-(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))*d10_sqrt0)+(2.0/tme1)*(+tme2_VGP_SI_VDI_SI-(m20_sqrt(((tme2*tme2)-((tme1*Fs1)*Fs3)))*((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-(((((tme1*Fs1_VDI_SI))*Fs3)+((tme1*Fs1)*Fs3_VDI_SI))))*(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))+d10_sqrt0*(+(+tme2_VGP_SI_VDI_SI*tme2+tme2_VGP_SI*tme2_VDI_SI+tme2_VDI_SI*tme2_VGP_SI+tme2*tme2_VGP_SI_VDI_SI)-(+(+0.0*Fs1+0.0*Fs1_VDI_SI+0.0*Fs1_VGP_SI+tme1*Fs1_VGP_SI_VDI_SI)*Fs3+(tme1*Fs1_VGP_SI)*Fs3_VDI_SI+((tme1*Fs1_VDI_SI))*Fs3_VGP_SI+(tme1*Fs1)*Fs3_VGP_SI_VDI_SI)))));
  temp_VGP_SI_VSI_BP=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2-d00_sqrt0)+0.0*(tme2_VSI_BP-((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((0.0)*Fs3))*d10_sqrt0)+0.0*(tme2_VGP_SI-(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))*d10_sqrt0)+(2.0/tme1)*(+tme2_VGP_SI_VSI_BP-(m20_sqrt(((tme2*tme2)-((tme1*Fs1)*Fs3)))*((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((0.0)*Fs3))*(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-(((tme1*Fs1_VGP_SI)*Fs3)+((tme1*Fs1)*Fs3_VGP_SI)))+d10_sqrt0*(+(+tme2_VGP_SI_VSI_BP*tme2+tme2_VGP_SI*tme2_VSI_BP+tme2_VSI_BP*tme2_VGP_SI+tme2*tme2_VGP_SI_VSI_BP)-(+(+0.0*Fs1+0.0*0.0+0.0*Fs1_VGP_SI+tme1*0.0)*Fs3+(tme1*Fs1_VGP_SI)*0.0+(0.0)*Fs3_VGP_SI+(tme1*Fs1)*0.0)))));
#endif
temp_VDI_SI=((2.0/tme1)*(tme2_VDI_SI-(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-(((tme1*Fs1_VDI_SI)*Fs3)+((tme1*Fs1)*Fs3_VDI_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2-d00_sqrt0)+0.0*(tme2_VGP_SI-((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-(((((tme1*Fs1_VGP_SI))*Fs3)+((tme1*Fs1)*Fs3_VGP_SI))))*d10_sqrt0)+0.0*(tme2_VDI_SI-(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-(((tme1*Fs1_VDI_SI)*Fs3)+((tme1*Fs1)*Fs3_VDI_SI)))*d10_sqrt0)+(2.0/tme1)*(+tme2_VDI_SI_VGP_SI-(m20_sqrt(((tme2*tme2)-((tme1*Fs1)*Fs3)))*((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-(((((tme1*Fs1_VGP_SI))*Fs3)+((tme1*Fs1)*Fs3_VGP_SI))))*(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-(((tme1*Fs1_VDI_SI)*Fs3)+((tme1*Fs1)*Fs3_VDI_SI)))+d10_sqrt0*(+(+tme2_VDI_SI_VGP_SI*tme2+tme2_VDI_SI*tme2_VGP_SI+tme2_VGP_SI*tme2_VDI_SI+tme2*tme2_VDI_SI_VGP_SI)-(+(+0.0*Fs1+0.0*Fs1_VGP_SI+0.0*Fs1_VDI_SI+tme1*Fs1_VDI_SI_VGP_SI)*Fs3+(tme1*Fs1_VDI_SI)*Fs3_VGP_SI+((tme1*Fs1_VGP_SI))*Fs3_VDI_SI+(tme1*Fs1)*Fs3_VDI_SI_VGP_SI)))));
  temp_VDI_SI_VDI_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2-d00_sqrt0)+0.0*(tme2_VDI_SI-((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-(((((tme1*Fs1_VDI_SI))*Fs3)+((tme1*Fs1)*Fs3_VDI_SI))))*d10_sqrt0)+0.0*(tme2_VDI_SI-(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-(((tme1*Fs1_VDI_SI)*Fs3)+((tme1*Fs1)*Fs3_VDI_SI)))*d10_sqrt0)+(2.0/tme1)*(+tme2_VDI_SI_VDI_SI-(m20_sqrt(((tme2*tme2)-((tme1*Fs1)*Fs3)))*((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-(((((tme1*Fs1_VDI_SI))*Fs3)+((tme1*Fs1)*Fs3_VDI_SI))))*(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-(((tme1*Fs1_VDI_SI)*Fs3)+((tme1*Fs1)*Fs3_VDI_SI)))+d10_sqrt0*(+(+tme2_VDI_SI_VDI_SI*tme2+tme2_VDI_SI*tme2_VDI_SI+tme2_VDI_SI*tme2_VDI_SI+tme2*tme2_VDI_SI_VDI_SI)-(+(+0.0*Fs1+0.0*Fs1_VDI_SI+0.0*Fs1_VDI_SI+tme1*Fs1_VDI_SI_VDI_SI)*Fs3+(tme1*Fs1_VDI_SI)*Fs3_VDI_SI+((tme1*Fs1_VDI_SI))*Fs3_VDI_SI+(tme1*Fs1)*Fs3_VDI_SI_VDI_SI)))));
  temp_VDI_SI_VSI_BP=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2-d00_sqrt0)+0.0*(tme2_VSI_BP-((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((0.0)*Fs3))*d10_sqrt0)+0.0*(tme2_VDI_SI-(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-(((tme1*Fs1_VDI_SI)*Fs3)+((tme1*Fs1)*Fs3_VDI_SI)))*d10_sqrt0)+(2.0/tme1)*(+tme2_VDI_SI_VSI_BP-(m20_sqrt(((tme2*tme2)-((tme1*Fs1)*Fs3)))*((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((0.0)*Fs3))*(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-(((tme1*Fs1_VDI_SI)*Fs3)+((tme1*Fs1)*Fs3_VDI_SI)))+d10_sqrt0*(+(+tme2_VDI_SI_VSI_BP*tme2+tme2_VDI_SI*tme2_VSI_BP+tme2_VSI_BP*tme2_VDI_SI+tme2*tme2_VDI_SI_VSI_BP)-(+(+0.0*Fs1+0.0*0.0+0.0*Fs1_VDI_SI+tme1*0.0)*Fs3+(tme1*Fs1_VDI_SI)*0.0+(0.0)*Fs3_VDI_SI+(tme1*Fs1)*0.0)))));
#endif
temp_VSI_BP=((2.0/tme1)*(tme2_VSI_BP-((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2-d00_sqrt0)+0.0*(tme2_VGP_SI-((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-(((((tme1*Fs1_VGP_SI))*Fs3)+((tme1*Fs1)*Fs3_VGP_SI))))*d10_sqrt0)+0.0*(tme2_VSI_BP-((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))*d10_sqrt0)+(2.0/tme1)*(+tme2_VSI_BP_VGP_SI-(m20_sqrt(((tme2*tme2)-((tme1*Fs1)*Fs3)))*((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-(((((tme1*Fs1_VGP_SI))*Fs3)+((tme1*Fs1)*Fs3_VGP_SI))))*((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))+d10_sqrt0*(+(+tme2_VSI_BP_VGP_SI*tme2+tme2_VSI_BP*tme2_VGP_SI+tme2_VGP_SI*tme2_VSI_BP+tme2*tme2_VSI_BP_VGP_SI)-(+(+0.0*Fs1+0.0*Fs1_VGP_SI+0.0*0.0+tme1*0.0)*Fs3+0.0*Fs3_VGP_SI+((tme1*Fs1_VGP_SI))*0.0+(tme1*Fs1)*0.0)))));
  temp_VSI_BP_VDI_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2-d00_sqrt0)+0.0*(tme2_VDI_SI-((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-(((((tme1*Fs1_VDI_SI))*Fs3)+((tme1*Fs1)*Fs3_VDI_SI))))*d10_sqrt0)+0.0*(tme2_VSI_BP-((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))*d10_sqrt0)+(2.0/tme1)*(+tme2_VSI_BP_VDI_SI-(m20_sqrt(((tme2*tme2)-((tme1*Fs1)*Fs3)))*((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-(((((tme1*Fs1_VDI_SI))*Fs3)+((tme1*Fs1)*Fs3_VDI_SI))))*((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))+d10_sqrt0*(+(+tme2_VSI_BP_VDI_SI*tme2+tme2_VSI_BP*tme2_VDI_SI+tme2_VDI_SI*tme2_VSI_BP+tme2*tme2_VSI_BP_VDI_SI)-(+(+0.0*Fs1+0.0*Fs1_VDI_SI+0.0*0.0+tme1*0.0)*Fs3+0.0*Fs3_VDI_SI+((tme1*Fs1_VDI_SI))*0.0+(tme1*Fs1)*0.0)))));
  temp_VSI_BP_VSI_BP=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2-d00_sqrt0)+0.0*(tme2_VSI_BP-((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((0.0)*Fs3))*d10_sqrt0)+0.0*(tme2_VSI_BP-((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))*d10_sqrt0)+(2.0/tme1)*(+tme2_VSI_BP_VSI_BP-(m20_sqrt(((tme2*tme2)-((tme1*Fs1)*Fs3)))*((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((0.0)*Fs3))*((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))+d10_sqrt0*(+(+tme2_VSI_BP_VSI_BP*tme2+tme2_VSI_BP*tme2_VSI_BP+tme2_VSI_BP*tme2_VSI_BP+tme2*tme2_VSI_BP_VSI_BP)-(+(+0.0*Fs1+0.0*0.0+0.0*0.0+tme1*0.0)*Fs3+0.0*0.0+(0.0)*0.0+(tme1*Fs1)*0.0)))));
#endif
#endif
temp=((2.0/tme1)*(tme2-d00_sqrt0));
EXIT_IF_ISNAN(((2.0/tme1)*(tme2-d00_sqrt0)))
}
tme1=(4.0-0.3);
EXIT_IF_ISNAN((4.0-0.3))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
tme2_VDI_SI=temp_VDI_SI;
#if defined(_DERIVATE2)
  tme2_VDI_SI_VDI_SI=(+0.0+temp_VDI_SI_VDI_SI);
  tme2_VDI_SI_VSI_BP=(+0.0+temp_VDI_SI_VSI_BP);
  tme2_VDI_SI_VGP_SI=(+0.0+temp_VDI_SI_VGP_SI);
#endif
tme2_VSI_BP=temp_VSI_BP;
#if defined(_DERIVATE2)
  tme2_VSI_BP_VDI_SI=(+0.0+temp_VSI_BP_VDI_SI);
  tme2_VSI_BP_VSI_BP=(+0.0+temp_VSI_BP_VSI_BP);
  tme2_VSI_BP_VGP_SI=(+0.0+temp_VSI_BP_VGP_SI);
#endif
tme2_VGP_SI=temp_VGP_SI;
#if defined(_DERIVATE2)
  tme2_VGP_SI_VDI_SI=(+0.0+temp_VGP_SI_VDI_SI);
  tme2_VGP_SI_VSI_BP=(+0.0+temp_VGP_SI_VSI_BP);
  tme2_VGP_SI_VGP_SI=(+0.0+temp_VGP_SI_VGP_SI);
#endif
#endif
tme2=(Fs2+temp);
EXIT_IF_ISNAN((Fs2+temp))
{
double m00_sqrt(d00_sqrt0,((tme2*tme2)-((tme1*Fs2)*temp)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((tme2*tme2)-((tme1*Fs2)*temp)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Fs_VDI_SI=((2.0/tme1)*(tme2_VDI_SI+(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  Fs_VDI_SI_VDI_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VDI_SI+((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VDI_SI))))*d10_sqrt0)+0.0*(tme2_VDI_SI+(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))*d10_sqrt0)+(2.0/tme1)*(+tme2_VDI_SI_VDI_SI+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VDI_SI))))*(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))+d10_sqrt0*(+(+tme2_VDI_SI_VDI_SI*tme2+tme2_VDI_SI*tme2_VDI_SI+tme2_VDI_SI*tme2_VDI_SI+tme2*tme2_VDI_SI_VDI_SI)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VDI_SI+(0.0)*temp_VDI_SI+(tme1*Fs2)*temp_VDI_SI_VDI_SI)))));
  Fs_VDI_SI_VSI_BP=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VSI_BP+((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((((0.0)*temp)+((tme1*Fs2)*temp_VSI_BP))))*d10_sqrt0)+0.0*(tme2_VDI_SI+(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))*d10_sqrt0)+(2.0/tme1)*(+tme2_VDI_SI_VSI_BP+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((((0.0)*temp)+((tme1*Fs2)*temp_VSI_BP))))*(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))+d10_sqrt0*(+(+tme2_VDI_SI_VSI_BP*tme2+tme2_VDI_SI*tme2_VSI_BP+tme2_VSI_BP*tme2_VDI_SI+tme2*tme2_VDI_SI_VSI_BP)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VSI_BP+(0.0)*temp_VDI_SI+(tme1*Fs2)*temp_VDI_SI_VSI_BP)))));
  Fs_VDI_SI_VGP_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VGP_SI+((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VGP_SI))))*d10_sqrt0)+0.0*(tme2_VDI_SI+(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))*d10_sqrt0)+(2.0/tme1)*(+tme2_VDI_SI_VGP_SI+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VGP_SI))))*(((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI))-((tme1*Fs2)*temp_VDI_SI))+d10_sqrt0*(+(+tme2_VDI_SI_VGP_SI*tme2+tme2_VDI_SI*tme2_VGP_SI+tme2_VGP_SI*tme2_VDI_SI+tme2*tme2_VDI_SI_VGP_SI)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VGP_SI+(0.0)*temp_VDI_SI+(tme1*Fs2)*temp_VDI_SI_VGP_SI)))));
#endif
Fs_VSI_BP=((2.0/tme1)*(tme2_VSI_BP+(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))*d10_sqrt0));
#if defined(_DERIVATE2)
  Fs_VSI_BP_VDI_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VDI_SI+((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VDI_SI))))*d10_sqrt0)+0.0*(tme2_VSI_BP+(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))*d10_sqrt0)+(2.0/tme1)*(+tme2_VSI_BP_VDI_SI+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VDI_SI))))*(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))+d10_sqrt0*(+(+tme2_VSI_BP_VDI_SI*tme2+tme2_VSI_BP*tme2_VDI_SI+tme2_VDI_SI*tme2_VSI_BP+tme2*tme2_VSI_BP_VDI_SI)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VDI_SI+(0.0)*temp_VSI_BP+(tme1*Fs2)*temp_VSI_BP_VDI_SI)))));
  Fs_VSI_BP_VSI_BP=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VSI_BP+((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((((0.0)*temp)+((tme1*Fs2)*temp_VSI_BP))))*d10_sqrt0)+0.0*(tme2_VSI_BP+(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))*d10_sqrt0)+(2.0/tme1)*(+tme2_VSI_BP_VSI_BP+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((((0.0)*temp)+((tme1*Fs2)*temp_VSI_BP))))*(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))+d10_sqrt0*(+(+tme2_VSI_BP_VSI_BP*tme2+tme2_VSI_BP*tme2_VSI_BP+tme2_VSI_BP*tme2_VSI_BP+tme2*tme2_VSI_BP_VSI_BP)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VSI_BP+(0.0)*temp_VSI_BP+(tme1*Fs2)*temp_VSI_BP_VSI_BP)))));
  Fs_VSI_BP_VGP_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VGP_SI+((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VGP_SI))))*d10_sqrt0)+0.0*(tme2_VSI_BP+(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))*d10_sqrt0)+(2.0/tme1)*(+tme2_VSI_BP_VGP_SI+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VGP_SI))))*(((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP))-((tme1*Fs2)*temp_VSI_BP))+d10_sqrt0*(+(+tme2_VSI_BP_VGP_SI*tme2+tme2_VSI_BP*tme2_VGP_SI+tme2_VGP_SI*tme2_VSI_BP+tme2*tme2_VSI_BP_VGP_SI)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VGP_SI+(0.0)*temp_VSI_BP+(tme1*Fs2)*temp_VSI_BP_VGP_SI)))));
#endif
Fs_VGP_SI=((2.0/tme1)*(tme2_VGP_SI+(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  Fs_VGP_SI_VDI_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VDI_SI+((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VDI_SI))))*d10_sqrt0)+0.0*(tme2_VGP_SI+(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))*d10_sqrt0)+(2.0/tme1)*(+tme2_VGP_SI_VDI_SI+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VDI_SI*tme2)+(tme2*tme2_VDI_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VDI_SI))))*(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))+d10_sqrt0*(+(+tme2_VGP_SI_VDI_SI*tme2+tme2_VGP_SI*tme2_VDI_SI+tme2_VDI_SI*tme2_VGP_SI+tme2*tme2_VGP_SI_VDI_SI)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VDI_SI+(0.0)*temp_VGP_SI+(tme1*Fs2)*temp_VGP_SI_VDI_SI)))));
  Fs_VGP_SI_VSI_BP=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VSI_BP+((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((((0.0)*temp)+((tme1*Fs2)*temp_VSI_BP))))*d10_sqrt0)+0.0*(tme2_VGP_SI+(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))*d10_sqrt0)+(2.0/tme1)*(+tme2_VGP_SI_VSI_BP+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VSI_BP*tme2)+(tme2*tme2_VSI_BP)))-((((0.0)*temp)+((tme1*Fs2)*temp_VSI_BP))))*(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))+d10_sqrt0*(+(+tme2_VGP_SI_VSI_BP*tme2+tme2_VGP_SI*tme2_VSI_BP+tme2_VSI_BP*tme2_VGP_SI+tme2*tme2_VGP_SI_VSI_BP)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VSI_BP+(0.0)*temp_VGP_SI+(tme1*Fs2)*temp_VGP_SI_VSI_BP)))));
  Fs_VGP_SI_VGP_SI=(+(0.0/tme1-(0.0*0.0+0.0*0.0+2.0*0.0)/tme1/tme1+2*2.0*0.0*0.0/tme1/tme1/tme1)*(tme2+d00_sqrt0)+0.0*(tme2_VGP_SI+((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VGP_SI))))*d10_sqrt0)+0.0*(tme2_VGP_SI+(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))*d10_sqrt0)+(2.0/tme1)*(+tme2_VGP_SI_VGP_SI+(m20_sqrt(((tme2*tme2)-((tme1*Fs2)*temp)))*((((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI)))-((((0.0)*temp)+((tme1*Fs2)*temp_VGP_SI))))*(((tme2_VGP_SI*tme2)+(tme2*tme2_VGP_SI))-((tme1*Fs2)*temp_VGP_SI))+d10_sqrt0*(+(+tme2_VGP_SI_VGP_SI*tme2+tme2_VGP_SI*tme2_VGP_SI+tme2_VGP_SI*tme2_VGP_SI+tme2*tme2_VGP_SI_VGP_SI)-(+(+0.0*Fs2+0.0*0.0+0.0*0.0+tme1*0.0)*temp+0.0*temp_VGP_SI+(0.0)*temp_VGP_SI+(tme1*Fs2)*temp_VGP_SI_VGP_SI)))));
#endif
#endif
Fs=((2.0/tme1)*(tme2+d00_sqrt0));
EXIT_IF_ISNAN(((2.0/tme1)*(tme2+d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Igdov_VGP_SI=(pInst->IGOVD_i*((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI)));
#if defined(_DERIVATE2)
  Igdov_VGP_SI_VGP_SI=(+0.0*(TP*Fs)+0.0*(((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI)))+0.0*((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI))+pInst->IGOVD_i*(+TP_VGP_SI_VGP_SI*Fs+TP_VGP_SI*Fs_VGP_SI+TP_VGP_SI*Fs_VGP_SI+TP*Fs_VGP_SI_VGP_SI));
  Igdov_VGP_SI_VDI_SI=(+0.0*(TP*Fs)+0.0*(((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI)))+0.0*((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI))+pInst->IGOVD_i*(+TP_VGP_SI_VDI_SI*Fs+TP_VGP_SI*Fs_VDI_SI+TP_VDI_SI*Fs_VGP_SI+TP*Fs_VGP_SI_VDI_SI));
  Igdov_VGP_SI_VSI_BP=(+0.0*(TP*Fs)+0.0*(((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP)))+0.0*((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI))+pInst->IGOVD_i*(+TP_VGP_SI_VSI_BP*Fs+TP_VGP_SI*Fs_VSI_BP+TP_VSI_BP*Fs_VGP_SI+TP*Fs_VGP_SI_VSI_BP));
#endif
Igdov_VDI_SI=(pInst->IGOVD_i*((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI)));
#if defined(_DERIVATE2)
  Igdov_VDI_SI_VGP_SI=(+0.0*(TP*Fs)+0.0*(((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI)))+0.0*((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI))+pInst->IGOVD_i*(+TP_VDI_SI_VGP_SI*Fs+TP_VDI_SI*Fs_VGP_SI+TP_VGP_SI*Fs_VDI_SI+TP*Fs_VDI_SI_VGP_SI));
  Igdov_VDI_SI_VDI_SI=(+0.0*(TP*Fs)+0.0*(((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI)))+0.0*((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI))+pInst->IGOVD_i*(+TP_VDI_SI_VDI_SI*Fs+TP_VDI_SI*Fs_VDI_SI+TP_VDI_SI*Fs_VDI_SI+TP*Fs_VDI_SI_VDI_SI));
  Igdov_VDI_SI_VSI_BP=(+0.0*(TP*Fs)+0.0*(((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP)))+0.0*((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI))+pInst->IGOVD_i*(+TP_VDI_SI_VSI_BP*Fs+TP_VDI_SI*Fs_VSI_BP+TP_VSI_BP*Fs_VDI_SI+TP*Fs_VDI_SI_VSI_BP));
#endif
Igdov_VSI_BP=(pInst->IGOVD_i*((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP)));
#if defined(_DERIVATE2)
  Igdov_VSI_BP_VGP_SI=(+0.0*(TP*Fs)+0.0*(((TP_VGP_SI*Fs)+(TP*Fs_VGP_SI)))+0.0*((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP))+pInst->IGOVD_i*(+TP_VSI_BP_VGP_SI*Fs+TP_VSI_BP*Fs_VGP_SI+TP_VGP_SI*Fs_VSI_BP+TP*Fs_VSI_BP_VGP_SI));
  Igdov_VSI_BP_VDI_SI=(+0.0*(TP*Fs)+0.0*(((TP_VDI_SI*Fs)+(TP*Fs_VDI_SI)))+0.0*((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP))+pInst->IGOVD_i*(+TP_VSI_BP_VDI_SI*Fs+TP_VSI_BP*Fs_VDI_SI+TP_VDI_SI*Fs_VSI_BP+TP*Fs_VSI_BP_VDI_SI));
  Igdov_VSI_BP_VSI_BP=(+0.0*(TP*Fs)+0.0*(((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP)))+0.0*((TP_VSI_BP*Fs)+(TP*Fs_VSI_BP))+pInst->IGOVD_i*(+TP_VSI_BP_VSI_BP*Fs+TP_VSI_BP*Fs_VSI_BP+TP_VSI_BP*Fs_VSI_BP+TP*Fs_VSI_BP_VSI_BP));
#endif
#endif
pInst->Igdov=(pInst->IGOVD_i*(TP*Fs));
EXIT_IF_ISNAN((pInst->IGOVD_i*(TP*Fs)))
}
if
((pInst->IGINV_i>0.0))
{
if
((pInst->xg_dc<=0.0))
{
{
double m00_pow(d00_pow0,(Vds/Vdsat_lim),pInst->AX_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(Vds/Vdsat_lim),pInst->AX_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(d10_pow0*(-Vds*Vdsat_lim_VGP_SI/Vdsat_lim/Vdsat_lim));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=fixme;
  temp_VGP_SI_VDI_SI=fixme;
  temp_VGP_SI_VSI_BP=fixme;
#endif
temp_VDI_SI=(d10_pow0*((Vds_VDI_SI*Vdsat_lim-Vds*Vdsat_lim_VDI_SI)/Vdsat_lim/Vdsat_lim));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=fixme;
  temp_VDI_SI_VDI_SI=fixme;
  temp_VDI_SI_VSI_BP=fixme;
#endif
temp_VSI_BP=(d10_pow0*(-Vds*Vdsat_lim_VSI_BP/Vdsat_lim/Vdsat_lim));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=fixme;
  temp_VSI_BP_VDI_SI=fixme;
  temp_VSI_BP_VSI_BP=fixme;
#endif
#endif
temp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
{
double m00_pow(d00_pow0,(1.0+temp),(-pInst->inv_AX))
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0+temp),(-pInst->inv_AX))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
Udse_dc_VGP_SI=(((Vds*(d10_pow0*temp_VGP_SI))*inv_phit1)+((Vds*d00_pow0)*inv_phit1_VGP_SI));
#if defined(_DERIVATE2)
  Udse_dc_VGP_SI_VGP_SI=(+(+0.0*d00_pow0+0.0*(d10_pow0*temp_VGP_SI)+0.0*(d10_pow0*temp_VGP_SI)+Vds*fixme)*inv_phit1+(Vds*(d10_pow0*temp_VGP_SI))*inv_phit1_VGP_SI+((Vds*(d10_pow0*temp_VGP_SI)))*inv_phit1_VGP_SI+(Vds*d00_pow0)*inv_phit1_VGP_SI_VGP_SI);
  Udse_dc_VGP_SI_VSI_BP=(+(+0.0*d00_pow0+0.0*(d10_pow0*temp_VSI_BP)+0.0*(d10_pow0*temp_VGP_SI)+Vds*fixme)*inv_phit1+(Vds*(d10_pow0*temp_VGP_SI))*inv_phit1_VSI_BP+((Vds*(d10_pow0*temp_VSI_BP)))*inv_phit1_VGP_SI+(Vds*d00_pow0)*inv_phit1_VGP_SI_VSI_BP);
  Udse_dc_VGP_SI_VDI_SI=(+(+0.0*d00_pow0+0.0*(d10_pow0*temp_VDI_SI)+Vds_VDI_SI*(d10_pow0*temp_VGP_SI)+Vds*fixme)*inv_phit1+(Vds*(d10_pow0*temp_VGP_SI))*inv_phit1_VDI_SI+(((Vds_VDI_SI*d00_pow0)+(Vds*(d10_pow0*temp_VDI_SI))))*inv_phit1_VGP_SI+(Vds*d00_pow0)*inv_phit1_VGP_SI_VDI_SI);
#endif
Udse_dc_VSI_BP=(((Vds*(d10_pow0*temp_VSI_BP))*inv_phit1)+((Vds*d00_pow0)*inv_phit1_VSI_BP));
#if defined(_DERIVATE2)
  Udse_dc_VSI_BP_VGP_SI=(+(+0.0*d00_pow0+0.0*(d10_pow0*temp_VGP_SI)+0.0*(d10_pow0*temp_VSI_BP)+Vds*fixme)*inv_phit1+(Vds*(d10_pow0*temp_VSI_BP))*inv_phit1_VGP_SI+((Vds*(d10_pow0*temp_VGP_SI)))*inv_phit1_VSI_BP+(Vds*d00_pow0)*inv_phit1_VSI_BP_VGP_SI);
  Udse_dc_VSI_BP_VSI_BP=(+(+0.0*d00_pow0+0.0*(d10_pow0*temp_VSI_BP)+0.0*(d10_pow0*temp_VSI_BP)+Vds*fixme)*inv_phit1+(Vds*(d10_pow0*temp_VSI_BP))*inv_phit1_VSI_BP+((Vds*(d10_pow0*temp_VSI_BP)))*inv_phit1_VSI_BP+(Vds*d00_pow0)*inv_phit1_VSI_BP_VSI_BP);
  Udse_dc_VSI_BP_VDI_SI=(+(+0.0*d00_pow0+0.0*(d10_pow0*temp_VDI_SI)+Vds_VDI_SI*(d10_pow0*temp_VSI_BP)+Vds*fixme)*inv_phit1+(Vds*(d10_pow0*temp_VSI_BP))*inv_phit1_VDI_SI+(((Vds_VDI_SI*d00_pow0)+(Vds*(d10_pow0*temp_VDI_SI))))*inv_phit1_VSI_BP+(Vds*d00_pow0)*inv_phit1_VSI_BP_VDI_SI);
#endif
Udse_dc_VDI_SI=((((Vds_VDI_SI*d00_pow0)+(Vds*(d10_pow0*temp_VDI_SI)))*inv_phit1)+((Vds*d00_pow0)*inv_phit1_VDI_SI));
#if defined(_DERIVATE2)
  Udse_dc_VDI_SI_VGP_SI=(+(+0.0*d00_pow0+Vds_VDI_SI*(d10_pow0*temp_VGP_SI)+0.0*(d10_pow0*temp_VDI_SI)+Vds*fixme)*inv_phit1+((Vds_VDI_SI*d00_pow0)+(Vds*(d10_pow0*temp_VDI_SI)))*inv_phit1_VGP_SI+((Vds*(d10_pow0*temp_VGP_SI)))*inv_phit1_VDI_SI+(Vds*d00_pow0)*inv_phit1_VDI_SI_VGP_SI);
  Udse_dc_VDI_SI_VSI_BP=(+(+0.0*d00_pow0+Vds_VDI_SI*(d10_pow0*temp_VSI_BP)+0.0*(d10_pow0*temp_VDI_SI)+Vds*fixme)*inv_phit1+((Vds_VDI_SI*d00_pow0)+(Vds*(d10_pow0*temp_VDI_SI)))*inv_phit1_VSI_BP+((Vds*(d10_pow0*temp_VSI_BP)))*inv_phit1_VDI_SI+(Vds*d00_pow0)*inv_phit1_VDI_SI_VSI_BP);
  Udse_dc_VDI_SI_VDI_SI=(+(+Vds_VDI_SI_VDI_SI*d00_pow0+Vds_VDI_SI*(d10_pow0*temp_VDI_SI)+Vds_VDI_SI*(d10_pow0*temp_VDI_SI)+Vds*fixme)*inv_phit1+((Vds_VDI_SI*d00_pow0)+(Vds*(d10_pow0*temp_VDI_SI)))*inv_phit1_VDI_SI+(((Vds_VDI_SI*d00_pow0)+(Vds*(d10_pow0*temp_VDI_SI))))*inv_phit1_VDI_SI+(Vds*d00_pow0)*inv_phit1_VDI_SI_VDI_SI);
#endif
#endif
Udse_dc=((Vds*d00_pow0)*inv_phit1);
EXIT_IF_ISNAN(((Vds*d00_pow0)*inv_phit1))
}
}
if
(((x_ds_dc-Udse_dc)>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(x_ds_dc-Udse_dc))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(x_ds_dc_VGP_SI-Udse_dc_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(m20_exp((x_ds_dc-Udse_dc))*(x_ds_dc_VGP_SI-Udse_dc_VGP_SI)*(x_ds_dc_VGP_SI-Udse_dc_VGP_SI)+d10_exp0*(+x_ds_dc_VGP_SI_VGP_SI-Udse_dc_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(m20_exp((x_ds_dc-Udse_dc))*(x_ds_dc_VDI_SI-Udse_dc_VDI_SI)*(x_ds_dc_VGP_SI-Udse_dc_VGP_SI)+d10_exp0*(+x_ds_dc_VGP_SI_VDI_SI-Udse_dc_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(m20_exp((x_ds_dc-Udse_dc))*(x_ds_dc_VSI_BP-Udse_dc_VSI_BP)*(x_ds_dc_VGP_SI-Udse_dc_VGP_SI)+d10_exp0*(+x_ds_dc_VGP_SI_VSI_BP-Udse_dc_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=(x_ds_dc_VDI_SI-Udse_dc_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(m20_exp((x_ds_dc-Udse_dc))*(x_ds_dc_VGP_SI-Udse_dc_VGP_SI)*(x_ds_dc_VDI_SI-Udse_dc_VDI_SI)+d10_exp0*(+x_ds_dc_VDI_SI_VGP_SI-Udse_dc_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(m20_exp((x_ds_dc-Udse_dc))*(x_ds_dc_VDI_SI-Udse_dc_VDI_SI)*(x_ds_dc_VDI_SI-Udse_dc_VDI_SI)+d10_exp0*(+x_ds_dc_VDI_SI_VDI_SI-Udse_dc_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(m20_exp((x_ds_dc-Udse_dc))*(x_ds_dc_VSI_BP-Udse_dc_VSI_BP)*(x_ds_dc_VDI_SI-Udse_dc_VDI_SI)+d10_exp0*(+x_ds_dc_VDI_SI_VSI_BP-Udse_dc_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=(x_ds_dc_VSI_BP-Udse_dc_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(m20_exp((x_ds_dc-Udse_dc))*(x_ds_dc_VGP_SI-Udse_dc_VGP_SI)*(x_ds_dc_VSI_BP-Udse_dc_VSI_BP)+d10_exp0*(+x_ds_dc_VSI_BP_VGP_SI-Udse_dc_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(m20_exp((x_ds_dc-Udse_dc))*(x_ds_dc_VDI_SI-Udse_dc_VDI_SI)*(x_ds_dc_VSI_BP-Udse_dc_VSI_BP)+d10_exp0*(+x_ds_dc_VSI_BP_VDI_SI-Udse_dc_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(m20_exp((x_ds_dc-Udse_dc))*(x_ds_dc_VSI_BP-Udse_dc_VSI_BP)*(x_ds_dc_VSI_BP-Udse_dc_VSI_BP)+d10_exp0*(+x_ds_dc_VSI_BP_VSI_BP-Udse_dc_VSI_BP_VSI_BP));
#endif
#endif
temp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-1.0e-100*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))-(0.0*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+x_ds_dc_VGP_SI_VGP_SI-Udse_dc_VGP_SI_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*((0.5*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01))))))+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(0.5*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+0.0*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-(+x_ds_dc_VGP_SI_VGP_SI-Udse_dc_VGP_SI_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+(+0.0-(+x_ds_dc_VGP_SI_VGP_SI-Udse_dc_VGP_SI_VGP_SI))*3.3333333333333333e-01+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*0.0+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*0.0+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
  temp_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))-(0.0*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+x_ds_dc_VGP_SI_VDI_SI-Udse_dc_VGP_SI_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*((0.5*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01))))))+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(0.5*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+0.0*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-(+x_ds_dc_VGP_SI_VDI_SI-Udse_dc_VGP_SI_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+(+0.0-(+x_ds_dc_VGP_SI_VDI_SI-Udse_dc_VGP_SI_VDI_SI))*3.3333333333333333e-01+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*0.0+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*0.0+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
  temp_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))-(0.0*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+x_ds_dc_VGP_SI_VSI_BP-Udse_dc_VGP_SI_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*((0.5*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01))))))+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(0.5*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+0.0*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-(+x_ds_dc_VGP_SI_VSI_BP-Udse_dc_VGP_SI_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+(+0.0-(+x_ds_dc_VGP_SI_VSI_BP-Udse_dc_VGP_SI_VSI_BP))*3.3333333333333333e-01+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*0.0+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*0.0+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
#endif
temp_VDI_SI=(-1.0e-100*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))-(0.0*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+x_ds_dc_VDI_SI_VGP_SI-Udse_dc_VDI_SI_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*((0.5*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01))))))+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(0.5*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+0.0*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-(+x_ds_dc_VDI_SI_VGP_SI-Udse_dc_VDI_SI_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+(+0.0-(+x_ds_dc_VDI_SI_VGP_SI-Udse_dc_VDI_SI_VGP_SI))*3.3333333333333333e-01+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*0.0+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*0.0+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
  temp_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))-(0.0*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+x_ds_dc_VDI_SI_VDI_SI-Udse_dc_VDI_SI_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*((0.5*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01))))))+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(0.5*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+0.0*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-(+x_ds_dc_VDI_SI_VDI_SI-Udse_dc_VDI_SI_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+(+0.0-(+x_ds_dc_VDI_SI_VDI_SI-Udse_dc_VDI_SI_VDI_SI))*3.3333333333333333e-01+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*0.0+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*0.0+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
  temp_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))-(0.0*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+x_ds_dc_VDI_SI_VSI_BP-Udse_dc_VDI_SI_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*((0.5*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01))))))+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(0.5*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+0.0*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-(+x_ds_dc_VDI_SI_VSI_BP-Udse_dc_VDI_SI_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+(+0.0-(+x_ds_dc_VDI_SI_VSI_BP-Udse_dc_VDI_SI_VSI_BP))*3.3333333333333333e-01+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*0.0+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*0.0+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
#endif
temp_VSI_BP=(-1.0e-100*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))-(0.0*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+x_ds_dc_VSI_BP_VGP_SI-Udse_dc_VSI_BP_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*((0.5*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01))))))+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(0.5*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+0.0*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-(+x_ds_dc_VSI_BP_VGP_SI-Udse_dc_VSI_BP_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+(+0.0-(+x_ds_dc_VSI_BP_VGP_SI-Udse_dc_VSI_BP_VGP_SI))*3.3333333333333333e-01+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*0.0+(-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*0.0+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VGP_SI-Udse_dc_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
  temp_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))-(0.0*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+x_ds_dc_VSI_BP_VDI_SI-Udse_dc_VSI_BP_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*((0.5*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01))))))+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(0.5*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+0.0*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-(+x_ds_dc_VSI_BP_VDI_SI-Udse_dc_VSI_BP_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+(+0.0-(+x_ds_dc_VSI_BP_VDI_SI-Udse_dc_VSI_BP_VDI_SI))*3.3333333333333333e-01+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*0.0+(-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*0.0+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VDI_SI-Udse_dc_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
  temp_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))-(0.0*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+x_ds_dc_VSI_BP_VSI_BP-Udse_dc_VSI_BP_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*((0.5*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01))))))+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(0.5*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+0.0*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-(+x_ds_dc_VSI_BP_VSI_BP-Udse_dc_VSI_BP_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(+0.0+(+(+0.0-(+x_ds_dc_VSI_BP_VSI_BP-Udse_dc_VSI_BP_VSI_BP))*3.3333333333333333e-01+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*0.0+(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*0.0+((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(0.5*(((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((0.5*((((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*((-(x_ds_dc_VSI_BP-Udse_dc_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
#endif
#endif
temp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01)))))))))
}
{
double m00_logE(d00_logE0,(0.5*(1.0+temp)))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(0.5*(1.0+temp)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vm_VDI_SI=(Vsbstar_dc_VDI_SI+((phit1_VDI_SI*((0.5*x_ds_dc)-d00_logE0))+(pInst->phit1*((0.5*x_ds_dc_VDI_SI)-(0.5*temp_VDI_SI)*d10_logE0))));
#if defined(_DERIVATE2)
  Vm_VDI_SI_VDI_SI=(+Vsbstar_dc_VDI_SI_VDI_SI+(+phit1_VDI_SI_VDI_SI*((0.5*x_ds_dc)-d00_logE0)+phit1_VDI_SI*(((0.5*x_ds_dc_VDI_SI))-((0.5*temp_VDI_SI))*d10_logE0)+phit1_VDI_SI*((0.5*x_ds_dc_VDI_SI)-(0.5*temp_VDI_SI)*d10_logE0)+pInst->phit1*(+(+0.0*x_ds_dc+0.0*x_ds_dc_VDI_SI+0.0*x_ds_dc_VDI_SI+0.5*x_ds_dc_VDI_SI_VDI_SI)-(m20_logE((0.5*(1.0+temp)))*((0.5*temp_VDI_SI))*(0.5*temp_VDI_SI)+d10_logE0*(+0.0*(1.0+temp)+0.0*temp_VDI_SI+0.0*temp_VDI_SI+0.5*(+0.0+temp_VDI_SI_VDI_SI))))));
  Vm_VDI_SI_VSI_BP=(+Vsbstar_dc_VDI_SI_VSI_BP+(+phit1_VDI_SI_VSI_BP*((0.5*x_ds_dc)-d00_logE0)+phit1_VDI_SI*(((0.5*x_ds_dc_VSI_BP))-((0.5*temp_VSI_BP))*d10_logE0)+phit1_VSI_BP*((0.5*x_ds_dc_VDI_SI)-(0.5*temp_VDI_SI)*d10_logE0)+pInst->phit1*(+(+0.0*x_ds_dc+0.0*x_ds_dc_VSI_BP+0.0*x_ds_dc_VDI_SI+0.5*x_ds_dc_VDI_SI_VSI_BP)-(m20_logE((0.5*(1.0+temp)))*((0.5*temp_VSI_BP))*(0.5*temp_VDI_SI)+d10_logE0*(+0.0*(1.0+temp)+0.0*temp_VSI_BP+0.0*temp_VDI_SI+0.5*(+0.0+temp_VDI_SI_VSI_BP))))));
  Vm_VDI_SI_VGP_SI=(+0.0+(+phit1_VDI_SI_VGP_SI*((0.5*x_ds_dc)-d00_logE0)+phit1_VDI_SI*(((0.5*x_ds_dc_VGP_SI))-((0.5*temp_VGP_SI))*d10_logE0)+phit1_VGP_SI*((0.5*x_ds_dc_VDI_SI)-(0.5*temp_VDI_SI)*d10_logE0)+pInst->phit1*(+(+0.0*x_ds_dc+0.0*x_ds_dc_VGP_SI+0.0*x_ds_dc_VDI_SI+0.5*x_ds_dc_VDI_SI_VGP_SI)-(m20_logE((0.5*(1.0+temp)))*((0.5*temp_VGP_SI))*(0.5*temp_VDI_SI)+d10_logE0*(+0.0*(1.0+temp)+0.0*temp_VGP_SI+0.0*temp_VDI_SI+0.5*(+0.0+temp_VDI_SI_VGP_SI))))));
#endif
Vm_VSI_BP=(Vsbstar_dc_VSI_BP+((phit1_VSI_BP*((0.5*x_ds_dc)-d00_logE0))+(pInst->phit1*((0.5*x_ds_dc_VSI_BP)-(0.5*temp_VSI_BP)*d10_logE0))));
#if defined(_DERIVATE2)
  Vm_VSI_BP_VDI_SI=(+Vsbstar_dc_VSI_BP_VDI_SI+(+phit1_VSI_BP_VDI_SI*((0.5*x_ds_dc)-d00_logE0)+phit1_VSI_BP*(((0.5*x_ds_dc_VDI_SI))-((0.5*temp_VDI_SI))*d10_logE0)+phit1_VDI_SI*((0.5*x_ds_dc_VSI_BP)-(0.5*temp_VSI_BP)*d10_logE0)+pInst->phit1*(+(+0.0*x_ds_dc+0.0*x_ds_dc_VDI_SI+0.0*x_ds_dc_VSI_BP+0.5*x_ds_dc_VSI_BP_VDI_SI)-(m20_logE((0.5*(1.0+temp)))*((0.5*temp_VDI_SI))*(0.5*temp_VSI_BP)+d10_logE0*(+0.0*(1.0+temp)+0.0*temp_VDI_SI+0.0*temp_VSI_BP+0.5*(+0.0+temp_VSI_BP_VDI_SI))))));
  Vm_VSI_BP_VSI_BP=(+Vsbstar_dc_VSI_BP_VSI_BP+(+phit1_VSI_BP_VSI_BP*((0.5*x_ds_dc)-d00_logE0)+phit1_VSI_BP*(((0.5*x_ds_dc_VSI_BP))-((0.5*temp_VSI_BP))*d10_logE0)+phit1_VSI_BP*((0.5*x_ds_dc_VSI_BP)-(0.5*temp_VSI_BP)*d10_logE0)+pInst->phit1*(+(+0.0*x_ds_dc+0.0*x_ds_dc_VSI_BP+0.0*x_ds_dc_VSI_BP+0.5*x_ds_dc_VSI_BP_VSI_BP)-(m20_logE((0.5*(1.0+temp)))*((0.5*temp_VSI_BP))*(0.5*temp_VSI_BP)+d10_logE0*(+0.0*(1.0+temp)+0.0*temp_VSI_BP+0.0*temp_VSI_BP+0.5*(+0.0+temp_VSI_BP_VSI_BP))))));
  Vm_VSI_BP_VGP_SI=(+0.0+(+phit1_VSI_BP_VGP_SI*((0.5*x_ds_dc)-d00_logE0)+phit1_VSI_BP*(((0.5*x_ds_dc_VGP_SI))-((0.5*temp_VGP_SI))*d10_logE0)+phit1_VGP_SI*((0.5*x_ds_dc_VSI_BP)-(0.5*temp_VSI_BP)*d10_logE0)+pInst->phit1*(+(+0.0*x_ds_dc+0.0*x_ds_dc_VGP_SI+0.0*x_ds_dc_VSI_BP+0.5*x_ds_dc_VSI_BP_VGP_SI)-(m20_logE((0.5*(1.0+temp)))*((0.5*temp_VGP_SI))*(0.5*temp_VSI_BP)+d10_logE0*(+0.0*(1.0+temp)+0.0*temp_VGP_SI+0.0*temp_VSI_BP+0.5*(+0.0+temp_VSI_BP_VGP_SI))))));
#endif
Vm_VGP_SI=((phit1_VGP_SI*((0.5*x_ds_dc)-d00_logE0))+(pInst->phit1*((0.5*x_ds_dc_VGP_SI)-(0.5*temp_VGP_SI)*d10_logE0)));
#if defined(_DERIVATE2)
  Vm_VGP_SI_VDI_SI=(+0.0+(+phit1_VGP_SI_VDI_SI*((0.5*x_ds_dc)-d00_logE0)+phit1_VGP_SI*(((0.5*x_ds_dc_VDI_SI))-((0.5*temp_VDI_SI))*d10_logE0)+phit1_VDI_SI*((0.5*x_ds_dc_VGP_SI)-(0.5*temp_VGP_SI)*d10_logE0)+pInst->phit1*(+(+0.0*x_ds_dc+0.0*x_ds_dc_VDI_SI+0.0*x_ds_dc_VGP_SI+0.5*x_ds_dc_VGP_SI_VDI_SI)-(m20_logE((0.5*(1.0+temp)))*((0.5*temp_VDI_SI))*(0.5*temp_VGP_SI)+d10_logE0*(+0.0*(1.0+temp)+0.0*temp_VDI_SI+0.0*temp_VGP_SI+0.5*(+0.0+temp_VGP_SI_VDI_SI))))));
  Vm_VGP_SI_VSI_BP=(+0.0+(+phit1_VGP_SI_VSI_BP*((0.5*x_ds_dc)-d00_logE0)+phit1_VGP_SI*(((0.5*x_ds_dc_VSI_BP))-((0.5*temp_VSI_BP))*d10_logE0)+phit1_VSI_BP*((0.5*x_ds_dc_VGP_SI)-(0.5*temp_VGP_SI)*d10_logE0)+pInst->phit1*(+(+0.0*x_ds_dc+0.0*x_ds_dc_VSI_BP+0.0*x_ds_dc_VGP_SI+0.5*x_ds_dc_VGP_SI_VSI_BP)-(m20_logE((0.5*(1.0+temp)))*((0.5*temp_VSI_BP))*(0.5*temp_VGP_SI)+d10_logE0*(+0.0*(1.0+temp)+0.0*temp_VSI_BP+0.0*temp_VGP_SI+0.5*(+0.0+temp_VGP_SI_VSI_BP))))));
  Vm_VGP_SI_VGP_SI=(+0.0+(+phit1_VGP_SI_VGP_SI*((0.5*x_ds_dc)-d00_logE0)+phit1_VGP_SI*(((0.5*x_ds_dc_VGP_SI))-((0.5*temp_VGP_SI))*d10_logE0)+phit1_VGP_SI*((0.5*x_ds_dc_VGP_SI)-(0.5*temp_VGP_SI)*d10_logE0)+pInst->phit1*(+(+0.0*x_ds_dc+0.0*x_ds_dc_VGP_SI+0.0*x_ds_dc_VGP_SI+0.5*x_ds_dc_VGP_SI_VGP_SI)-(m20_logE((0.5*(1.0+temp)))*((0.5*temp_VGP_SI))*(0.5*temp_VGP_SI)+d10_logE0*(+0.0*(1.0+temp)+0.0*temp_VGP_SI+0.0*temp_VGP_SI+0.5*(+0.0+temp_VGP_SI_VGP_SI))))));
#endif
#endif
Vm=(Vsbstar_dc+(pInst->phit1*((0.5*x_ds_dc)-d00_logE0)));
EXIT_IF_ISNAN((Vsbstar_dc+(pInst->phit1*((0.5*x_ds_dc)-d00_logE0))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Dch_VDI_SI=(pInst->GCO_i*phit1_VDI_SI);
#if defined(_DERIVATE2)
  Dch_VDI_SI_VDI_SI=(+0.0*pInst->phit1+0.0*phit1_VDI_SI+0.0*phit1_VDI_SI+pInst->GCO_i*phit1_VDI_SI_VDI_SI);
  Dch_VDI_SI_VGP_SI=(+0.0*pInst->phit1+0.0*phit1_VGP_SI+0.0*phit1_VDI_SI+pInst->GCO_i*phit1_VDI_SI_VGP_SI);
  Dch_VDI_SI_VSI_BP=(+0.0*pInst->phit1+0.0*phit1_VSI_BP+0.0*phit1_VDI_SI+pInst->GCO_i*phit1_VDI_SI_VSI_BP);
#endif
Dch_VGP_SI=(pInst->GCO_i*phit1_VGP_SI);
#if defined(_DERIVATE2)
  Dch_VGP_SI_VDI_SI=(+0.0*pInst->phit1+0.0*phit1_VDI_SI+0.0*phit1_VGP_SI+pInst->GCO_i*phit1_VGP_SI_VDI_SI);
  Dch_VGP_SI_VGP_SI=(+0.0*pInst->phit1+0.0*phit1_VGP_SI+0.0*phit1_VGP_SI+pInst->GCO_i*phit1_VGP_SI_VGP_SI);
  Dch_VGP_SI_VSI_BP=(+0.0*pInst->phit1+0.0*phit1_VSI_BP+0.0*phit1_VGP_SI+pInst->GCO_i*phit1_VGP_SI_VSI_BP);
#endif
Dch_VSI_BP=(pInst->GCO_i*phit1_VSI_BP);
#if defined(_DERIVATE2)
  Dch_VSI_BP_VDI_SI=(+0.0*pInst->phit1+0.0*phit1_VDI_SI+0.0*phit1_VSI_BP+pInst->GCO_i*phit1_VSI_BP_VDI_SI);
  Dch_VSI_BP_VGP_SI=(+0.0*pInst->phit1+0.0*phit1_VGP_SI+0.0*phit1_VSI_BP+pInst->GCO_i*phit1_VSI_BP_VGP_SI);
  Dch_VSI_BP_VSI_BP=(+0.0*pInst->phit1+0.0*phit1_VSI_BP+0.0*phit1_VSI_BP+pInst->GCO_i*phit1_VSI_BP_VSI_BP);
#endif
#endif
Dch=(pInst->GCO_i*pInst->phit1);
EXIT_IF_ISNAN((pInst->GCO_i*pInst->phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
arg2mina_VDI_SI=(Voxm_dc_VDI_SI+Dch_VDI_SI);
#if defined(_DERIVATE2)
  arg2mina_VDI_SI_VDI_SI=(+Voxm_dc_VDI_SI_VDI_SI+Dch_VDI_SI_VDI_SI);
  arg2mina_VDI_SI_VGP_SI=(+Voxm_dc_VDI_SI_VGP_SI+Dch_VDI_SI_VGP_SI);
  arg2mina_VDI_SI_VSI_BP=(+Voxm_dc_VDI_SI_VSI_BP+Dch_VDI_SI_VSI_BP);
#endif
arg2mina_VGP_SI=(Voxm_dc_VGP_SI+Dch_VGP_SI);
#if defined(_DERIVATE2)
  arg2mina_VGP_SI_VDI_SI=(+Voxm_dc_VGP_SI_VDI_SI+Dch_VGP_SI_VDI_SI);
  arg2mina_VGP_SI_VGP_SI=(+Voxm_dc_VGP_SI_VGP_SI+Dch_VGP_SI_VGP_SI);
  arg2mina_VGP_SI_VSI_BP=(+Voxm_dc_VGP_SI_VSI_BP+Dch_VGP_SI_VSI_BP);
#endif
arg2mina_VSI_BP=(Voxm_dc_VSI_BP+Dch_VSI_BP);
#if defined(_DERIVATE2)
  arg2mina_VSI_BP_VDI_SI=(+Voxm_dc_VSI_BP_VDI_SI+Dch_VSI_BP_VDI_SI);
  arg2mina_VSI_BP_VGP_SI=(+Voxm_dc_VSI_BP_VGP_SI+Dch_VSI_BP_VGP_SI);
  arg2mina_VSI_BP_VSI_BP=(+Voxm_dc_VSI_BP_VSI_BP+Dch_VSI_BP_VSI_BP);
#endif
#endif
arg2mina=(Voxm_dc+Dch);
EXIT_IF_ISNAN((Voxm_dc+Dch))
{
double m00_sqrt(d00_sqrt0,(((-arg2mina)*(-arg2mina))+0.01))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((-arg2mina)*(-arg2mina))+0.01))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
psi_t_VDI_SI=(0.5*(arg2mina_VDI_SI-(((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  psi_t_VDI_SI_VDI_SI=(+0.0*((+arg2mina)-d00_sqrt0)+0.0*(arg2mina_VDI_SI-((((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI))))*d10_sqrt0)+0.0*(arg2mina_VDI_SI-(((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI)))*d10_sqrt0)+0.5*(+(+0.0+arg2mina_VDI_SI_VDI_SI)-(m20_sqrt((((-arg2mina)*(-arg2mina))+0.01))*((((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI))))*(((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI)))+d10_sqrt0*(+(+(+0.0-arg2mina_VDI_SI_VDI_SI)*(-arg2mina)+(-arg2mina_VDI_SI)*(-arg2mina_VDI_SI)+(-arg2mina_VDI_SI)*(-arg2mina_VDI_SI)+(-arg2mina)*(+0.0-arg2mina_VDI_SI_VDI_SI))+0.0))));
  psi_t_VDI_SI_VGP_SI=(+0.0*((+arg2mina)-d00_sqrt0)+0.0*(arg2mina_VGP_SI-((((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI))))*d10_sqrt0)+0.0*(arg2mina_VDI_SI-(((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI)))*d10_sqrt0)+0.5*(+(+0.0+arg2mina_VDI_SI_VGP_SI)-(m20_sqrt((((-arg2mina)*(-arg2mina))+0.01))*((((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI))))*(((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI)))+d10_sqrt0*(+(+(+0.0-arg2mina_VDI_SI_VGP_SI)*(-arg2mina)+(-arg2mina_VDI_SI)*(-arg2mina_VGP_SI)+(-arg2mina_VGP_SI)*(-arg2mina_VDI_SI)+(-arg2mina)*(+0.0-arg2mina_VDI_SI_VGP_SI))+0.0))));
  psi_t_VDI_SI_VSI_BP=(+0.0*((+arg2mina)-d00_sqrt0)+0.0*(arg2mina_VSI_BP-((((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP))))*d10_sqrt0)+0.0*(arg2mina_VDI_SI-(((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI)))*d10_sqrt0)+0.5*(+(+0.0+arg2mina_VDI_SI_VSI_BP)-(m20_sqrt((((-arg2mina)*(-arg2mina))+0.01))*((((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP))))*(((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI)))+d10_sqrt0*(+(+(+0.0-arg2mina_VDI_SI_VSI_BP)*(-arg2mina)+(-arg2mina_VDI_SI)*(-arg2mina_VSI_BP)+(-arg2mina_VSI_BP)*(-arg2mina_VDI_SI)+(-arg2mina)*(+0.0-arg2mina_VDI_SI_VSI_BP))+0.0))));
#endif
psi_t_VGP_SI=(0.5*(arg2mina_VGP_SI-(((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  psi_t_VGP_SI_VDI_SI=(+0.0*((+arg2mina)-d00_sqrt0)+0.0*(arg2mina_VDI_SI-((((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI))))*d10_sqrt0)+0.0*(arg2mina_VGP_SI-(((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI)))*d10_sqrt0)+0.5*(+(+0.0+arg2mina_VGP_SI_VDI_SI)-(m20_sqrt((((-arg2mina)*(-arg2mina))+0.01))*((((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI))))*(((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI)))+d10_sqrt0*(+(+(+0.0-arg2mina_VGP_SI_VDI_SI)*(-arg2mina)+(-arg2mina_VGP_SI)*(-arg2mina_VDI_SI)+(-arg2mina_VDI_SI)*(-arg2mina_VGP_SI)+(-arg2mina)*(+0.0-arg2mina_VGP_SI_VDI_SI))+0.0))));
  psi_t_VGP_SI_VGP_SI=(+0.0*((+arg2mina)-d00_sqrt0)+0.0*(arg2mina_VGP_SI-((((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI))))*d10_sqrt0)+0.0*(arg2mina_VGP_SI-(((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI)))*d10_sqrt0)+0.5*(+(+0.0+arg2mina_VGP_SI_VGP_SI)-(m20_sqrt((((-arg2mina)*(-arg2mina))+0.01))*((((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI))))*(((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI)))+d10_sqrt0*(+(+(+0.0-arg2mina_VGP_SI_VGP_SI)*(-arg2mina)+(-arg2mina_VGP_SI)*(-arg2mina_VGP_SI)+(-arg2mina_VGP_SI)*(-arg2mina_VGP_SI)+(-arg2mina)*(+0.0-arg2mina_VGP_SI_VGP_SI))+0.0))));
  psi_t_VGP_SI_VSI_BP=(+0.0*((+arg2mina)-d00_sqrt0)+0.0*(arg2mina_VSI_BP-((((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP))))*d10_sqrt0)+0.0*(arg2mina_VGP_SI-(((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI)))*d10_sqrt0)+0.5*(+(+0.0+arg2mina_VGP_SI_VSI_BP)-(m20_sqrt((((-arg2mina)*(-arg2mina))+0.01))*((((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP))))*(((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI)))+d10_sqrt0*(+(+(+0.0-arg2mina_VGP_SI_VSI_BP)*(-arg2mina)+(-arg2mina_VGP_SI)*(-arg2mina_VSI_BP)+(-arg2mina_VSI_BP)*(-arg2mina_VGP_SI)+(-arg2mina)*(+0.0-arg2mina_VGP_SI_VSI_BP))+0.0))));
#endif
psi_t_VSI_BP=(0.5*(arg2mina_VSI_BP-(((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP)))*d10_sqrt0));
#if defined(_DERIVATE2)
  psi_t_VSI_BP_VDI_SI=(+0.0*((+arg2mina)-d00_sqrt0)+0.0*(arg2mina_VDI_SI-((((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI))))*d10_sqrt0)+0.0*(arg2mina_VSI_BP-(((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP)))*d10_sqrt0)+0.5*(+(+0.0+arg2mina_VSI_BP_VDI_SI)-(m20_sqrt((((-arg2mina)*(-arg2mina))+0.01))*((((-arg2mina_VDI_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VDI_SI))))*(((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP)))+d10_sqrt0*(+(+(+0.0-arg2mina_VSI_BP_VDI_SI)*(-arg2mina)+(-arg2mina_VSI_BP)*(-arg2mina_VDI_SI)+(-arg2mina_VDI_SI)*(-arg2mina_VSI_BP)+(-arg2mina)*(+0.0-arg2mina_VSI_BP_VDI_SI))+0.0))));
  psi_t_VSI_BP_VGP_SI=(+0.0*((+arg2mina)-d00_sqrt0)+0.0*(arg2mina_VGP_SI-((((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI))))*d10_sqrt0)+0.0*(arg2mina_VSI_BP-(((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP)))*d10_sqrt0)+0.5*(+(+0.0+arg2mina_VSI_BP_VGP_SI)-(m20_sqrt((((-arg2mina)*(-arg2mina))+0.01))*((((-arg2mina_VGP_SI)*(-arg2mina))+((-arg2mina)*(-arg2mina_VGP_SI))))*(((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP)))+d10_sqrt0*(+(+(+0.0-arg2mina_VSI_BP_VGP_SI)*(-arg2mina)+(-arg2mina_VSI_BP)*(-arg2mina_VGP_SI)+(-arg2mina_VGP_SI)*(-arg2mina_VSI_BP)+(-arg2mina)*(+0.0-arg2mina_VSI_BP_VGP_SI))+0.0))));
  psi_t_VSI_BP_VSI_BP=(+0.0*((+arg2mina)-d00_sqrt0)+0.0*(arg2mina_VSI_BP-((((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP))))*d10_sqrt0)+0.0*(arg2mina_VSI_BP-(((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP)))*d10_sqrt0)+0.5*(+(+0.0+arg2mina_VSI_BP_VSI_BP)-(m20_sqrt((((-arg2mina)*(-arg2mina))+0.01))*((((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP))))*(((-arg2mina_VSI_BP)*(-arg2mina))+((-arg2mina)*(-arg2mina_VSI_BP)))+d10_sqrt0*(+(+(+0.0-arg2mina_VSI_BP_VSI_BP)*(-arg2mina)+(-arg2mina_VSI_BP)*(-arg2mina_VSI_BP)+(-arg2mina_VSI_BP)*(-arg2mina_VSI_BP)+(-arg2mina)*(+0.0-arg2mina_VSI_BP_VSI_BP))+0.0))));
#endif
#endif
psi_t=(0.5*((+arg2mina)-d00_sqrt0));
EXIT_IF_ISNAN((0.5*((+arg2mina)-d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,((Voxm_dc*Voxm_dc)+1.0e-6))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((Voxm_dc*Voxm_dc)+1.0e-6))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BP)V(DI,SI)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
zg_VSI_BP=((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP))*d10_sqrt0*pInst->inv_CHIB;
#if defined(_DERIVATE2)
  zg_VSI_BP_VSI_BP=(+(m20_sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*(((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP)))*((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP))+d10_sqrt0*(+(+Voxm_dc_VSI_BP_VSI_BP*Voxm_dc+Voxm_dc_VSI_BP*Voxm_dc_VSI_BP+Voxm_dc_VSI_BP*Voxm_dc_VSI_BP+Voxm_dc*Voxm_dc_VSI_BP_VSI_BP)+0.0))*pInst->inv_CHIB+((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP))*d10_sqrt0*0.0+(((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
  zg_VSI_BP_VDI_SI=(+(m20_sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*(((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI)))*((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP))+d10_sqrt0*(+(+Voxm_dc_VSI_BP_VDI_SI*Voxm_dc+Voxm_dc_VSI_BP*Voxm_dc_VDI_SI+Voxm_dc_VDI_SI*Voxm_dc_VSI_BP+Voxm_dc*Voxm_dc_VSI_BP_VDI_SI)+0.0))*pInst->inv_CHIB+((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP))*d10_sqrt0*0.0+(((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
  zg_VSI_BP_VGP_SI=(+(m20_sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*(((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI)))*((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP))+d10_sqrt0*(+(+Voxm_dc_VSI_BP_VGP_SI*Voxm_dc+Voxm_dc_VSI_BP*Voxm_dc_VGP_SI+Voxm_dc_VGP_SI*Voxm_dc_VSI_BP+Voxm_dc*Voxm_dc_VSI_BP_VGP_SI)+0.0))*pInst->inv_CHIB+((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP))*d10_sqrt0*0.0+(((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
#endif
zg_VDI_SI=((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI))*d10_sqrt0*pInst->inv_CHIB;
#if defined(_DERIVATE2)
  zg_VDI_SI_VSI_BP=(+(m20_sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*(((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP)))*((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI))+d10_sqrt0*(+(+Voxm_dc_VDI_SI_VSI_BP*Voxm_dc+Voxm_dc_VDI_SI*Voxm_dc_VSI_BP+Voxm_dc_VSI_BP*Voxm_dc_VDI_SI+Voxm_dc*Voxm_dc_VDI_SI_VSI_BP)+0.0))*pInst->inv_CHIB+((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI))*d10_sqrt0*0.0+(((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
  zg_VDI_SI_VDI_SI=(+(m20_sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*(((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI)))*((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI))+d10_sqrt0*(+(+Voxm_dc_VDI_SI_VDI_SI*Voxm_dc+Voxm_dc_VDI_SI*Voxm_dc_VDI_SI+Voxm_dc_VDI_SI*Voxm_dc_VDI_SI+Voxm_dc*Voxm_dc_VDI_SI_VDI_SI)+0.0))*pInst->inv_CHIB+((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI))*d10_sqrt0*0.0+(((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
  zg_VDI_SI_VGP_SI=(+(m20_sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*(((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI)))*((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI))+d10_sqrt0*(+(+Voxm_dc_VDI_SI_VGP_SI*Voxm_dc+Voxm_dc_VDI_SI*Voxm_dc_VGP_SI+Voxm_dc_VGP_SI*Voxm_dc_VDI_SI+Voxm_dc*Voxm_dc_VDI_SI_VGP_SI)+0.0))*pInst->inv_CHIB+((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI))*d10_sqrt0*0.0+(((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
#endif
zg_VGP_SI=((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI))*d10_sqrt0*pInst->inv_CHIB;
#if defined(_DERIVATE2)
  zg_VGP_SI_VSI_BP=(+(m20_sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*(((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP)))*((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI))+d10_sqrt0*(+(+Voxm_dc_VGP_SI_VSI_BP*Voxm_dc+Voxm_dc_VGP_SI*Voxm_dc_VSI_BP+Voxm_dc_VSI_BP*Voxm_dc_VGP_SI+Voxm_dc*Voxm_dc_VGP_SI_VSI_BP)+0.0))*pInst->inv_CHIB+((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI))*d10_sqrt0*0.0+(((Voxm_dc_VSI_BP*Voxm_dc)+(Voxm_dc*Voxm_dc_VSI_BP)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
  zg_VGP_SI_VDI_SI=(+(m20_sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*(((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI)))*((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI))+d10_sqrt0*(+(+Voxm_dc_VGP_SI_VDI_SI*Voxm_dc+Voxm_dc_VGP_SI*Voxm_dc_VDI_SI+Voxm_dc_VDI_SI*Voxm_dc_VGP_SI+Voxm_dc*Voxm_dc_VGP_SI_VDI_SI)+0.0))*pInst->inv_CHIB+((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI))*d10_sqrt0*0.0+(((Voxm_dc_VDI_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VDI_SI)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
  zg_VGP_SI_VGP_SI=(+(m20_sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*(((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI)))*((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI))+d10_sqrt0*(+(+Voxm_dc_VGP_SI_VGP_SI*Voxm_dc+Voxm_dc_VGP_SI*Voxm_dc_VGP_SI+Voxm_dc_VGP_SI*Voxm_dc_VGP_SI+Voxm_dc*Voxm_dc_VGP_SI_VGP_SI)+0.0))*pInst->inv_CHIB+((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI))*d10_sqrt0*0.0+(((Voxm_dc_VGP_SI*Voxm_dc)+(Voxm_dc*Voxm_dc_VGP_SI)))*d10_sqrt0*0.0+d00_sqrt0*0.0);
#endif
#endif
zg=(d00_sqrt0*pInst->inv_CHIB);
EXIT_IF_ISNAN((d00_sqrt0*pInst->inv_CHIB))
}
if
((pInst->GC3_i<0.0))
{
{
double m00_sqrt(d00_sqrt0,(((zg-pInst->GCQ)*(zg-pInst->GCQ))+1.0e-06))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((zg-pInst->GCQ)*(zg-pInst->GCQ))+1.0e-06))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BP)V(DI,SI)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
zg_VSI_BP=(0.5*(zg_VSI_BP-((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP))*d10_sqrt0));
#if defined(_DERIVATE2)
  zg_VSI_BP_VSI_BP=(+0.0*((zg+pInst->GCQ)-d00_sqrt0)+0.0*(zg_VSI_BP-(((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP)))*d10_sqrt0)+0.0*(zg_VSI_BP-((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP))*d10_sqrt0)+0.5*(+(+zg_VSI_BP_VSI_BP+0.0)-(m20_sqrt((((zg-pInst->GCQ)*(zg-pInst->GCQ))+1.0e-06))*(((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP)))*((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP))+d10_sqrt0*(+(+(+zg_VSI_BP_VSI_BP-0.0)*(zg-pInst->GCQ)+zg_VSI_BP*zg_VSI_BP+zg_VSI_BP*zg_VSI_BP+(zg-pInst->GCQ)*(+zg_VSI_BP_VSI_BP-0.0))+0.0))));
  zg_VSI_BP_VDI_SI=(+0.0*((zg+pInst->GCQ)-d00_sqrt0)+0.0*(zg_VDI_SI-(((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI)))*d10_sqrt0)+0.0*(zg_VSI_BP-((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP))*d10_sqrt0)+0.5*(+(+zg_VSI_BP_VDI_SI+0.0)-(m20_sqrt((((zg-pInst->GCQ)*(zg-pInst->GCQ))+1.0e-06))*(((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI)))*((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP))+d10_sqrt0*(+(+(+zg_VSI_BP_VDI_SI-0.0)*(zg-pInst->GCQ)+zg_VSI_BP*zg_VDI_SI+zg_VDI_SI*zg_VSI_BP+(zg-pInst->GCQ)*(+zg_VSI_BP_VDI_SI-0.0))+0.0))));
  zg_VSI_BP_VGP_SI=(+0.0*((zg+pInst->GCQ)-d00_sqrt0)+0.0*(zg_VGP_SI-(((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI)))*d10_sqrt0)+0.0*(zg_VSI_BP-((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP))*d10_sqrt0)+0.5*(+(+zg_VSI_BP_VGP_SI+0.0)-(m20_sqrt((((zg-pInst->GCQ)*(zg-pInst->GCQ))+1.0e-06))*(((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI)))*((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP))+d10_sqrt0*(+(+(+zg_VSI_BP_VGP_SI-0.0)*(zg-pInst->GCQ)+zg_VSI_BP*zg_VGP_SI+zg_VGP_SI*zg_VSI_BP+(zg-pInst->GCQ)*(+zg_VSI_BP_VGP_SI-0.0))+0.0))));
#endif
zg_VDI_SI=(0.5*(zg_VDI_SI-((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  zg_VDI_SI_VSI_BP=(+0.0*((zg+pInst->GCQ)-d00_sqrt0)+0.0*(zg_VSI_BP-(((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP)))*d10_sqrt0)+0.0*(zg_VDI_SI-((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI))*d10_sqrt0)+0.5*(+(+zg_VDI_SI_VSI_BP+0.0)-(m20_sqrt((((zg-pInst->GCQ)*(zg-pInst->GCQ))+1.0e-06))*(((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP)))*((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI))+d10_sqrt0*(+(+(+zg_VDI_SI_VSI_BP-0.0)*(zg-pInst->GCQ)+zg_VDI_SI*zg_VSI_BP+zg_VSI_BP*zg_VDI_SI+(zg-pInst->GCQ)*(+zg_VDI_SI_VSI_BP-0.0))+0.0))));
  zg_VDI_SI_VDI_SI=(+0.0*((zg+pInst->GCQ)-d00_sqrt0)+0.0*(zg_VDI_SI-(((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI)))*d10_sqrt0)+0.0*(zg_VDI_SI-((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI))*d10_sqrt0)+0.5*(+(+zg_VDI_SI_VDI_SI+0.0)-(m20_sqrt((((zg-pInst->GCQ)*(zg-pInst->GCQ))+1.0e-06))*(((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI)))*((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI))+d10_sqrt0*(+(+(+zg_VDI_SI_VDI_SI-0.0)*(zg-pInst->GCQ)+zg_VDI_SI*zg_VDI_SI+zg_VDI_SI*zg_VDI_SI+(zg-pInst->GCQ)*(+zg_VDI_SI_VDI_SI-0.0))+0.0))));
  zg_VDI_SI_VGP_SI=(+0.0*((zg+pInst->GCQ)-d00_sqrt0)+0.0*(zg_VGP_SI-(((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI)))*d10_sqrt0)+0.0*(zg_VDI_SI-((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI))*d10_sqrt0)+0.5*(+(+zg_VDI_SI_VGP_SI+0.0)-(m20_sqrt((((zg-pInst->GCQ)*(zg-pInst->GCQ))+1.0e-06))*(((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI)))*((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI))+d10_sqrt0*(+(+(+zg_VDI_SI_VGP_SI-0.0)*(zg-pInst->GCQ)+zg_VDI_SI*zg_VGP_SI+zg_VGP_SI*zg_VDI_SI+(zg-pInst->GCQ)*(+zg_VDI_SI_VGP_SI-0.0))+0.0))));
#endif
zg_VGP_SI=(0.5*(zg_VGP_SI-((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  zg_VGP_SI_VSI_BP=(+0.0*((zg+pInst->GCQ)-d00_sqrt0)+0.0*(zg_VSI_BP-(((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP)))*d10_sqrt0)+0.0*(zg_VGP_SI-((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI))*d10_sqrt0)+0.5*(+(+zg_VGP_SI_VSI_BP+0.0)-(m20_sqrt((((zg-pInst->GCQ)*(zg-pInst->GCQ))+1.0e-06))*(((zg_VSI_BP*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VSI_BP)))*((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI))+d10_sqrt0*(+(+(+zg_VGP_SI_VSI_BP-0.0)*(zg-pInst->GCQ)+zg_VGP_SI*zg_VSI_BP+zg_VSI_BP*zg_VGP_SI+(zg-pInst->GCQ)*(+zg_VGP_SI_VSI_BP-0.0))+0.0))));
  zg_VGP_SI_VDI_SI=(+0.0*((zg+pInst->GCQ)-d00_sqrt0)+0.0*(zg_VDI_SI-(((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI)))*d10_sqrt0)+0.0*(zg_VGP_SI-((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI))*d10_sqrt0)+0.5*(+(+zg_VGP_SI_VDI_SI+0.0)-(m20_sqrt((((zg-pInst->GCQ)*(zg-pInst->GCQ))+1.0e-06))*(((zg_VDI_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VDI_SI)))*((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI))+d10_sqrt0*(+(+(+zg_VGP_SI_VDI_SI-0.0)*(zg-pInst->GCQ)+zg_VGP_SI*zg_VDI_SI+zg_VDI_SI*zg_VGP_SI+(zg-pInst->GCQ)*(+zg_VGP_SI_VDI_SI-0.0))+0.0))));
  zg_VGP_SI_VGP_SI=(+0.0*((zg+pInst->GCQ)-d00_sqrt0)+0.0*(zg_VGP_SI-(((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI)))*d10_sqrt0)+0.0*(zg_VGP_SI-((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI))*d10_sqrt0)+0.5*(+(+zg_VGP_SI_VGP_SI+0.0)-(m20_sqrt((((zg-pInst->GCQ)*(zg-pInst->GCQ))+1.0e-06))*(((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI)))*((zg_VGP_SI*(zg-pInst->GCQ))+((zg-pInst->GCQ)*zg_VGP_SI))+d10_sqrt0*(+(+(+zg_VGP_SI_VGP_SI-0.0)*(zg-pInst->GCQ)+zg_VGP_SI*zg_VGP_SI+zg_VGP_SI*zg_VGP_SI+(zg-pInst->GCQ)*(+zg_VGP_SI_VGP_SI-0.0))+0.0))));
#endif
#endif
zg=(0.5*((zg+pInst->GCQ)-d00_sqrt0));
EXIT_IF_ISNAN((0.5*((zg+pInst->GCQ)-d00_sqrt0)))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
arg1_VDI_SI=(x_m_dc_VDI_SI+(((psi_t_VDI_SI-Vm_VDI_SI)*inv_phit1)+(((psi_t-pInst->alpha_b)-Vm)*inv_phit1_VDI_SI)));
#if defined(_DERIVATE2)
  arg1_VDI_SI_VDI_SI=(+x_m_dc_VDI_SI_VDI_SI+(+(+(+psi_t_VDI_SI_VDI_SI-0.0)-Vm_VDI_SI_VDI_SI)*inv_phit1+(psi_t_VDI_SI-Vm_VDI_SI)*inv_phit1_VDI_SI+(psi_t_VDI_SI-Vm_VDI_SI)*inv_phit1_VDI_SI+((psi_t-pInst->alpha_b)-Vm)*inv_phit1_VDI_SI_VDI_SI));
  arg1_VDI_SI_VGP_SI=(+x_m_dc_VDI_SI_VGP_SI+(+(+(+psi_t_VDI_SI_VGP_SI-0.0)-Vm_VDI_SI_VGP_SI)*inv_phit1+(psi_t_VDI_SI-Vm_VDI_SI)*inv_phit1_VGP_SI+(psi_t_VGP_SI-Vm_VGP_SI)*inv_phit1_VDI_SI+((psi_t-pInst->alpha_b)-Vm)*inv_phit1_VDI_SI_VGP_SI));
  arg1_VDI_SI_VSI_BP=(+x_m_dc_VDI_SI_VSI_BP+(+(+(+psi_t_VDI_SI_VSI_BP-0.0)-Vm_VDI_SI_VSI_BP)*inv_phit1+(psi_t_VDI_SI-Vm_VDI_SI)*inv_phit1_VSI_BP+(psi_t_VSI_BP-Vm_VSI_BP)*inv_phit1_VDI_SI+((psi_t-pInst->alpha_b)-Vm)*inv_phit1_VDI_SI_VSI_BP));
#endif
arg1_VGP_SI=(x_m_dc_VGP_SI+(((psi_t_VGP_SI-Vm_VGP_SI)*inv_phit1)+(((psi_t-pInst->alpha_b)-Vm)*inv_phit1_VGP_SI)));
#if defined(_DERIVATE2)
  arg1_VGP_SI_VDI_SI=(+x_m_dc_VGP_SI_VDI_SI+(+(+(+psi_t_VGP_SI_VDI_SI-0.0)-Vm_VGP_SI_VDI_SI)*inv_phit1+(psi_t_VGP_SI-Vm_VGP_SI)*inv_phit1_VDI_SI+(psi_t_VDI_SI-Vm_VDI_SI)*inv_phit1_VGP_SI+((psi_t-pInst->alpha_b)-Vm)*inv_phit1_VGP_SI_VDI_SI));
  arg1_VGP_SI_VGP_SI=(+x_m_dc_VGP_SI_VGP_SI+(+(+(+psi_t_VGP_SI_VGP_SI-0.0)-Vm_VGP_SI_VGP_SI)*inv_phit1+(psi_t_VGP_SI-Vm_VGP_SI)*inv_phit1_VGP_SI+(psi_t_VGP_SI-Vm_VGP_SI)*inv_phit1_VGP_SI+((psi_t-pInst->alpha_b)-Vm)*inv_phit1_VGP_SI_VGP_SI));
  arg1_VGP_SI_VSI_BP=(+x_m_dc_VGP_SI_VSI_BP+(+(+(+psi_t_VGP_SI_VSI_BP-0.0)-Vm_VGP_SI_VSI_BP)*inv_phit1+(psi_t_VGP_SI-Vm_VGP_SI)*inv_phit1_VSI_BP+(psi_t_VSI_BP-Vm_VSI_BP)*inv_phit1_VGP_SI+((psi_t-pInst->alpha_b)-Vm)*inv_phit1_VGP_SI_VSI_BP));
#endif
arg1_VSI_BP=(x_m_dc_VSI_BP+(((psi_t_VSI_BP-Vm_VSI_BP)*inv_phit1)+(((psi_t-pInst->alpha_b)-Vm)*inv_phit1_VSI_BP)));
#if defined(_DERIVATE2)
  arg1_VSI_BP_VDI_SI=(+x_m_dc_VSI_BP_VDI_SI+(+(+(+psi_t_VSI_BP_VDI_SI-0.0)-Vm_VSI_BP_VDI_SI)*inv_phit1+(psi_t_VSI_BP-Vm_VSI_BP)*inv_phit1_VDI_SI+(psi_t_VDI_SI-Vm_VDI_SI)*inv_phit1_VSI_BP+((psi_t-pInst->alpha_b)-Vm)*inv_phit1_VSI_BP_VDI_SI));
  arg1_VSI_BP_VGP_SI=(+x_m_dc_VSI_BP_VGP_SI+(+(+(+psi_t_VSI_BP_VGP_SI-0.0)-Vm_VSI_BP_VGP_SI)*inv_phit1+(psi_t_VSI_BP-Vm_VSI_BP)*inv_phit1_VGP_SI+(psi_t_VGP_SI-Vm_VGP_SI)*inv_phit1_VSI_BP+((psi_t-pInst->alpha_b)-Vm)*inv_phit1_VSI_BP_VGP_SI));
  arg1_VSI_BP_VSI_BP=(+x_m_dc_VSI_BP_VSI_BP+(+(+(+psi_t_VSI_BP_VSI_BP-0.0)-Vm_VSI_BP_VSI_BP)*inv_phit1+(psi_t_VSI_BP-Vm_VSI_BP)*inv_phit1_VSI_BP+(psi_t_VSI_BP-Vm_VSI_BP)*inv_phit1_VSI_BP+((psi_t-pInst->alpha_b)-Vm)*inv_phit1_VSI_BP_VSI_BP));
#endif
#endif
arg1=(x_m_dc+(((psi_t-pInst->alpha_b)-Vm)*inv_phit1));
EXIT_IF_ISNAN((x_m_dc+(((psi_t-pInst->alpha_b)-Vm)*inv_phit1)))
{
double m00_fabs(d00_fabs0,arg1)
if
((d00_fabs0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,arg1)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Dsi_VDI_SI=arg1_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  Dsi_VDI_SI_VDI_SI=(m20_exp(arg1)*arg1_VDI_SI*arg1_VDI_SI+d10_exp0*arg1_VDI_SI_VDI_SI);
  Dsi_VDI_SI_VGP_SI=(m20_exp(arg1)*arg1_VGP_SI*arg1_VDI_SI+d10_exp0*arg1_VDI_SI_VGP_SI);
  Dsi_VDI_SI_VSI_BP=(m20_exp(arg1)*arg1_VSI_BP*arg1_VDI_SI+d10_exp0*arg1_VDI_SI_VSI_BP);
#endif
Dsi_VGP_SI=arg1_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  Dsi_VGP_SI_VDI_SI=(m20_exp(arg1)*arg1_VDI_SI*arg1_VGP_SI+d10_exp0*arg1_VGP_SI_VDI_SI);
  Dsi_VGP_SI_VGP_SI=(m20_exp(arg1)*arg1_VGP_SI*arg1_VGP_SI+d10_exp0*arg1_VGP_SI_VGP_SI);
  Dsi_VGP_SI_VSI_BP=(m20_exp(arg1)*arg1_VSI_BP*arg1_VGP_SI+d10_exp0*arg1_VGP_SI_VSI_BP);
#endif
Dsi_VSI_BP=arg1_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  Dsi_VSI_BP_VDI_SI=(m20_exp(arg1)*arg1_VDI_SI*arg1_VSI_BP+d10_exp0*arg1_VSI_BP_VDI_SI);
  Dsi_VSI_BP_VGP_SI=(m20_exp(arg1)*arg1_VGP_SI*arg1_VSI_BP+d10_exp0*arg1_VSI_BP_VGP_SI);
  Dsi_VSI_BP_VSI_BP=(m20_exp(arg1)*arg1_VSI_BP*arg1_VSI_BP+d10_exp0*arg1_VSI_BP_VSI_BP);
#endif
#endif
Dsi=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
if
((arg1<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Dsi_VDI_SI=(-1.0e-100*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Dsi_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VDI_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VDI_SI)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01))))))+(-arg1_VDI_SI)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VDI_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VDI_SI)*((-arg1_VDI_SI)*3.3333333333333333e-01)+(-arg1_VDI_SI)*(-arg1_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VDI_SI_VDI_SI)*3.3333333333333333e-01+(-arg1_VDI_SI)*0.0+(-arg1_VDI_SI)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))*((((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
  Dsi_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VDI_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VDI_SI)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01))))))+(-arg1_VGP_SI)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VDI_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VDI_SI)*((-arg1_VGP_SI)*3.3333333333333333e-01)+(-arg1_VGP_SI)*(-arg1_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VDI_SI_VGP_SI)*3.3333333333333333e-01+(-arg1_VDI_SI)*0.0+(-arg1_VGP_SI)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))*((((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
  Dsi_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VDI_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VDI_SI)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01))))))+(-arg1_VSI_BP)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VDI_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VDI_SI)*((-arg1_VSI_BP)*3.3333333333333333e-01)+(-arg1_VSI_BP)*(-arg1_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VDI_SI_VSI_BP)*3.3333333333333333e-01+(-arg1_VDI_SI)*0.0+(-arg1_VSI_BP)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))*((((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
#endif
Dsi_VGP_SI=(-1.0e-100*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Dsi_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VGP_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VGP_SI)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01))))))+(-arg1_VDI_SI)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VGP_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VGP_SI)*((-arg1_VDI_SI)*3.3333333333333333e-01)+(-arg1_VDI_SI)*(-arg1_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VGP_SI_VDI_SI)*3.3333333333333333e-01+(-arg1_VGP_SI)*0.0+(-arg1_VDI_SI)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))*((((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
  Dsi_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VGP_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VGP_SI)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01))))))+(-arg1_VGP_SI)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VGP_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VGP_SI)*((-arg1_VGP_SI)*3.3333333333333333e-01)+(-arg1_VGP_SI)*(-arg1_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VGP_SI_VGP_SI)*3.3333333333333333e-01+(-arg1_VGP_SI)*0.0+(-arg1_VGP_SI)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))*((((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
  Dsi_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VGP_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VGP_SI)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01))))))+(-arg1_VSI_BP)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VGP_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VGP_SI)*((-arg1_VSI_BP)*3.3333333333333333e-01)+(-arg1_VSI_BP)*(-arg1_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VGP_SI_VSI_BP)*3.3333333333333333e-01+(-arg1_VGP_SI)*0.0+(-arg1_VSI_BP)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))*((((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
#endif
Dsi_VSI_BP=(-1.0e-100*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Dsi_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VSI_BP_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VSI_BP)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01))))))+(-arg1_VDI_SI)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VSI_BP_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VSI_BP)*((-arg1_VDI_SI)*3.3333333333333333e-01)+(-arg1_VDI_SI)*(-arg1_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VSI_BP_VDI_SI)*3.3333333333333333e-01+(-arg1_VSI_BP)*0.0+(-arg1_VDI_SI)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))*((((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
  Dsi_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VSI_BP_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VSI_BP)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01))))))+(-arg1_VGP_SI)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VSI_BP_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VSI_BP)*((-arg1_VGP_SI)*3.3333333333333333e-01)+(-arg1_VGP_SI)*(-arg1_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VSI_BP_VGP_SI)*3.3333333333333333e-01+(-arg1_VSI_BP)*0.0+(-arg1_VGP_SI)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))*((((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
  Dsi_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VSI_BP_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VSI_BP)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01))))))+(-arg1_VSI_BP)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VSI_BP_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VSI_BP)*((-arg1_VSI_BP)*3.3333333333333333e-01)+(-arg1_VSI_BP)*(-arg1_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VSI_BP_VSI_BP)*3.3333333333333333e-01+(-arg1_VSI_BP)*0.0+(-arg1_VSI_BP)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))*((((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
#endif
#endif
Dsi=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Dsi_VDI_SI=(1.0e100*((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  Dsi_VDI_SI_VDI_SI=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VDI_SI*((0.5*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01))))))+arg1_VDI_SI*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01))))+0.0*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01))+0.5*(+(+arg1_VDI_SI_VDI_SI-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VDI_SI*(arg1_VDI_SI*3.3333333333333333e-01)+arg1_VDI_SI*arg1_VDI_SI*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+arg1_VDI_SI*0.0+arg1_VDI_SI*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
  Dsi_VDI_SI_VGP_SI=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VDI_SI*((0.5*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01))))))+arg1_VGP_SI*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01))))+0.0*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01))+0.5*(+(+arg1_VDI_SI_VGP_SI-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VDI_SI*(arg1_VGP_SI*3.3333333333333333e-01)+arg1_VGP_SI*arg1_VDI_SI*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+arg1_VDI_SI*0.0+arg1_VGP_SI*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
  Dsi_VDI_SI_VSI_BP=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VDI_SI*((0.5*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01))))))+arg1_VSI_BP*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01))))+0.0*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01))+0.5*(+(+arg1_VDI_SI_VSI_BP-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VDI_SI*(arg1_VSI_BP*3.3333333333333333e-01)+arg1_VSI_BP*arg1_VDI_SI*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+arg1_VDI_SI*0.0+arg1_VSI_BP*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
#endif
Dsi_VGP_SI=(1.0e100*((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  Dsi_VGP_SI_VDI_SI=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VGP_SI*((0.5*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01))))))+arg1_VDI_SI*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01))))+0.0*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01))+0.5*(+(+arg1_VGP_SI_VDI_SI-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VGP_SI*(arg1_VDI_SI*3.3333333333333333e-01)+arg1_VDI_SI*arg1_VGP_SI*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+arg1_VGP_SI*0.0+arg1_VDI_SI*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
  Dsi_VGP_SI_VGP_SI=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VGP_SI*((0.5*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01))))))+arg1_VGP_SI*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01))))+0.0*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01))+0.5*(+(+arg1_VGP_SI_VGP_SI-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VGP_SI*(arg1_VGP_SI*3.3333333333333333e-01)+arg1_VGP_SI*arg1_VGP_SI*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+arg1_VGP_SI*0.0+arg1_VGP_SI*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
  Dsi_VGP_SI_VSI_BP=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VGP_SI*((0.5*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01))))))+arg1_VSI_BP*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01))))+0.0*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01))+0.5*(+(+arg1_VGP_SI_VSI_BP-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VGP_SI*(arg1_VSI_BP*3.3333333333333333e-01)+arg1_VSI_BP*arg1_VGP_SI*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+arg1_VGP_SI*0.0+arg1_VSI_BP*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
#endif
Dsi_VSI_BP=(1.0e100*((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  Dsi_VSI_BP_VDI_SI=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VSI_BP*((0.5*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01))))))+arg1_VDI_SI*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01))))+0.0*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01))+0.5*(+(+arg1_VSI_BP_VDI_SI-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VSI_BP*(arg1_VDI_SI*3.3333333333333333e-01)+arg1_VDI_SI*arg1_VSI_BP*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+arg1_VSI_BP*0.0+arg1_VDI_SI*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
  Dsi_VSI_BP_VGP_SI=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VSI_BP*((0.5*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01))))))+arg1_VGP_SI*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01))))+0.0*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01))+0.5*(+(+arg1_VSI_BP_VGP_SI-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VSI_BP*(arg1_VGP_SI*3.3333333333333333e-01)+arg1_VGP_SI*arg1_VSI_BP*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+arg1_VSI_BP*0.0+arg1_VGP_SI*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
  Dsi_VSI_BP_VSI_BP=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VSI_BP*((0.5*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01))))))+arg1_VSI_BP*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01))))+0.0*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01))+0.5*(+(+arg1_VSI_BP_VSI_BP-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VSI_BP*(arg1_VSI_BP*3.3333333333333333e-01)+arg1_VSI_BP*arg1_VSI_BP*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+arg1_VSI_BP*0.0+arg1_VSI_BP*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
Dsi=(1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
arg1_VDI_SI=(((-((Vgs_VDI_SI+Vsbstar_dc_VDI_SI)-Vm_VDI_SI))*inv_phit1)+((-((Vgs+Vsbstar_dc)-Vm))*inv_phit1_VDI_SI));
#if defined(_DERIVATE2)
  arg1_VDI_SI_VDI_SI=(+0.0*inv_phit1+(-((Vgs_VDI_SI+Vsbstar_dc_VDI_SI)-Vm_VDI_SI))*inv_phit1_VDI_SI+(-((Vgs_VDI_SI+Vsbstar_dc_VDI_SI)-Vm_VDI_SI))*inv_phit1_VDI_SI+(-((Vgs+Vsbstar_dc)-Vm))*inv_phit1_VDI_SI_VDI_SI);
  arg1_VDI_SI_VGP_SI=(+0.0*inv_phit1+(-((Vgs_VDI_SI+Vsbstar_dc_VDI_SI)-Vm_VDI_SI))*inv_phit1_VGP_SI+(-(Vgs_VGP_SI-Vm_VGP_SI))*inv_phit1_VDI_SI+(-((Vgs+Vsbstar_dc)-Vm))*inv_phit1_VDI_SI_VGP_SI);
  arg1_VDI_SI_VSI_BP=(+0.0*inv_phit1+(-((Vgs_VDI_SI+Vsbstar_dc_VDI_SI)-Vm_VDI_SI))*inv_phit1_VSI_BP+(-(Vsbstar_dc_VSI_BP-Vm_VSI_BP))*inv_phit1_VDI_SI+(-((Vgs+Vsbstar_dc)-Vm))*inv_phit1_VDI_SI_VSI_BP);
#endif
arg1_VGP_SI=(((-(Vgs_VGP_SI-Vm_VGP_SI))*inv_phit1)+((-((Vgs+Vsbstar_dc)-Vm))*inv_phit1_VGP_SI));
#if defined(_DERIVATE2)
  arg1_VGP_SI_VDI_SI=(+0.0*inv_phit1+(-(Vgs_VGP_SI-Vm_VGP_SI))*inv_phit1_VDI_SI+(-((Vgs_VDI_SI+Vsbstar_dc_VDI_SI)-Vm_VDI_SI))*inv_phit1_VGP_SI+(-((Vgs+Vsbstar_dc)-Vm))*inv_phit1_VGP_SI_VDI_SI);
  arg1_VGP_SI_VGP_SI=(+0.0*inv_phit1+(-(Vgs_VGP_SI-Vm_VGP_SI))*inv_phit1_VGP_SI+(-(Vgs_VGP_SI-Vm_VGP_SI))*inv_phit1_VGP_SI+(-((Vgs+Vsbstar_dc)-Vm))*inv_phit1_VGP_SI_VGP_SI);
  arg1_VGP_SI_VSI_BP=(+0.0*inv_phit1+(-(Vgs_VGP_SI-Vm_VGP_SI))*inv_phit1_VSI_BP+(-(Vsbstar_dc_VSI_BP-Vm_VSI_BP))*inv_phit1_VGP_SI+(-((Vgs+Vsbstar_dc)-Vm))*inv_phit1_VGP_SI_VSI_BP);
#endif
arg1_VSI_BP=(((-(Vsbstar_dc_VSI_BP-Vm_VSI_BP))*inv_phit1)+((-((Vgs+Vsbstar_dc)-Vm))*inv_phit1_VSI_BP));
#if defined(_DERIVATE2)
  arg1_VSI_BP_VDI_SI=(+0.0*inv_phit1+(-(Vsbstar_dc_VSI_BP-Vm_VSI_BP))*inv_phit1_VDI_SI+(-((Vgs_VDI_SI+Vsbstar_dc_VDI_SI)-Vm_VDI_SI))*inv_phit1_VSI_BP+(-((Vgs+Vsbstar_dc)-Vm))*inv_phit1_VSI_BP_VDI_SI);
  arg1_VSI_BP_VGP_SI=(+0.0*inv_phit1+(-(Vsbstar_dc_VSI_BP-Vm_VSI_BP))*inv_phit1_VGP_SI+(-(Vgs_VGP_SI-Vm_VGP_SI))*inv_phit1_VSI_BP+(-((Vgs+Vsbstar_dc)-Vm))*inv_phit1_VSI_BP_VGP_SI);
  arg1_VSI_BP_VSI_BP=(+0.0*inv_phit1+(-(Vsbstar_dc_VSI_BP-Vm_VSI_BP))*inv_phit1_VSI_BP+(-(Vsbstar_dc_VSI_BP-Vm_VSI_BP))*inv_phit1_VSI_BP+(-((Vgs+Vsbstar_dc)-Vm))*inv_phit1_VSI_BP_VSI_BP);
#endif
#endif
arg1=((-((Vgs+Vsbstar_dc)-Vm))*inv_phit1);
EXIT_IF_ISNAN(((-((Vgs+Vsbstar_dc)-Vm))*inv_phit1))
{
double m00_fabs(d00_fabs0,arg1)
if
((d00_fabs0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,arg1)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=arg1_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(m20_exp(arg1)*arg1_VGP_SI*arg1_VGP_SI+d10_exp0*arg1_VGP_SI_VGP_SI);
  temp_VGP_SI_VDI_SI=(m20_exp(arg1)*arg1_VDI_SI*arg1_VGP_SI+d10_exp0*arg1_VGP_SI_VDI_SI);
  temp_VGP_SI_VSI_BP=(m20_exp(arg1)*arg1_VSI_BP*arg1_VGP_SI+d10_exp0*arg1_VGP_SI_VSI_BP);
#endif
temp_VDI_SI=arg1_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(m20_exp(arg1)*arg1_VGP_SI*arg1_VDI_SI+d10_exp0*arg1_VDI_SI_VGP_SI);
  temp_VDI_SI_VDI_SI=(m20_exp(arg1)*arg1_VDI_SI*arg1_VDI_SI+d10_exp0*arg1_VDI_SI_VDI_SI);
  temp_VDI_SI_VSI_BP=(m20_exp(arg1)*arg1_VSI_BP*arg1_VDI_SI+d10_exp0*arg1_VDI_SI_VSI_BP);
#endif
temp_VSI_BP=arg1_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(m20_exp(arg1)*arg1_VGP_SI*arg1_VSI_BP+d10_exp0*arg1_VSI_BP_VGP_SI);
  temp_VSI_BP_VDI_SI=(m20_exp(arg1)*arg1_VDI_SI*arg1_VSI_BP+d10_exp0*arg1_VSI_BP_VDI_SI);
  temp_VSI_BP_VSI_BP=(m20_exp(arg1)*arg1_VSI_BP*arg1_VSI_BP+d10_exp0*arg1_VSI_BP_VSI_BP);
#endif
#endif
temp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
if
((arg1<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-1.0e-100*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VGP_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VGP_SI)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01))))))+(-arg1_VGP_SI)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VGP_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VGP_SI)*((-arg1_VGP_SI)*3.3333333333333333e-01)+(-arg1_VGP_SI)*(-arg1_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VGP_SI_VGP_SI)*3.3333333333333333e-01+(-arg1_VGP_SI)*0.0+(-arg1_VGP_SI)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))*((((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
  temp_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VGP_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VGP_SI)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01))))))+(-arg1_VDI_SI)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VGP_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VGP_SI)*((-arg1_VDI_SI)*3.3333333333333333e-01)+(-arg1_VDI_SI)*(-arg1_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VGP_SI_VDI_SI)*3.3333333333333333e-01+(-arg1_VGP_SI)*0.0+(-arg1_VDI_SI)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))*((((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
  temp_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VGP_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VGP_SI)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01))))))+(-arg1_VSI_BP)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VGP_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VGP_SI)*((-arg1_VSI_BP)*3.3333333333333333e-01)+(-arg1_VSI_BP)*(-arg1_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VGP_SI_VSI_BP)*3.3333333333333333e-01+(-arg1_VGP_SI)*0.0+(-arg1_VSI_BP)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VGP_SI)*3.3333333333333333e-01)))))*((((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
#endif
temp_VDI_SI=(-1.0e-100*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VDI_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VDI_SI)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01))))))+(-arg1_VGP_SI)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VDI_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VDI_SI)*((-arg1_VGP_SI)*3.3333333333333333e-01)+(-arg1_VGP_SI)*(-arg1_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VDI_SI_VGP_SI)*3.3333333333333333e-01+(-arg1_VDI_SI)*0.0+(-arg1_VGP_SI)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))*((((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
  temp_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VDI_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VDI_SI)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01))))))+(-arg1_VDI_SI)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VDI_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VDI_SI)*((-arg1_VDI_SI)*3.3333333333333333e-01)+(-arg1_VDI_SI)*(-arg1_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VDI_SI_VDI_SI)*3.3333333333333333e-01+(-arg1_VDI_SI)*0.0+(-arg1_VDI_SI)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))*((((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
  temp_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VDI_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VDI_SI)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01))))))+(-arg1_VSI_BP)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VDI_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VDI_SI)*((-arg1_VSI_BP)*3.3333333333333333e-01)+(-arg1_VSI_BP)*(-arg1_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VDI_SI_VSI_BP)*3.3333333333333333e-01+(-arg1_VDI_SI)*0.0+(-arg1_VSI_BP)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VDI_SI)*3.3333333333333333e-01)))))*((((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
#endif
temp_VSI_BP=(-1.0e-100*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VSI_BP_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VSI_BP)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01))))))+(-arg1_VGP_SI)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VSI_BP_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VSI_BP)*((-arg1_VGP_SI)*3.3333333333333333e-01)+(-arg1_VGP_SI)*(-arg1_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VSI_BP_VGP_SI)*3.3333333333333333e-01+(-arg1_VSI_BP)*0.0+(-arg1_VGP_SI)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))*((((-arg1_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
  temp_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VSI_BP_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VSI_BP)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01))))))+(-arg1_VDI_SI)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VSI_BP_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VSI_BP)*((-arg1_VDI_SI)*3.3333333333333333e-01)+(-arg1_VDI_SI)*(-arg1_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VSI_BP_VDI_SI)*3.3333333333333333e-01+(-arg1_VSI_BP)*0.0+(-arg1_VDI_SI)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))*((((-arg1_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
  temp_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))-(0.0*((((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-arg1_VSI_BP_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))+(-arg1_VSI_BP)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01))))))+(-arg1_VSI_BP)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-arg1)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+0.0*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-arg1_VSI_BP_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))+(-arg1_VSI_BP)*((-arg1_VSI_BP)*3.3333333333333333e-01)+(-arg1_VSI_BP)*(-arg1_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-arg1)*(+0.0+(+(+0.0-arg1_VSI_BP_VSI_BP)*3.3333333333333333e-01+(-arg1_VSI_BP)*0.0+(-arg1_VSI_BP)*0.0+((-2.3025850929940458e+02)-arg1)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*(0.5*(((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*(-arg1_VSI_BP)*3.3333333333333333e-01)))))*((((-arg1_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-arg1)*((0.5*((((-arg1_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-arg1)*((-arg1_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
#endif
#endif
temp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01)))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(1.0e100*((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VGP_SI*((0.5*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01))))))+arg1_VGP_SI*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01))))+0.0*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01))+0.5*(+(+arg1_VGP_SI_VGP_SI-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VGP_SI*(arg1_VGP_SI*3.3333333333333333e-01)+arg1_VGP_SI*arg1_VGP_SI*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+arg1_VGP_SI*0.0+arg1_VGP_SI*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
  temp_VGP_SI_VDI_SI=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VGP_SI*((0.5*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01))))))+arg1_VDI_SI*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01))))+0.0*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01))+0.5*(+(+arg1_VGP_SI_VDI_SI-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VGP_SI*(arg1_VDI_SI*3.3333333333333333e-01)+arg1_VDI_SI*arg1_VGP_SI*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+arg1_VGP_SI*0.0+arg1_VDI_SI*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
  temp_VGP_SI_VSI_BP=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VGP_SI*((0.5*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01))))))+arg1_VSI_BP*(0.5*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01))))+0.0*((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VGP_SI*3.3333333333333333e-01))+0.5*(+(+arg1_VGP_SI_VSI_BP-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VGP_SI*(arg1_VSI_BP*3.3333333333333333e-01)+arg1_VSI_BP*arg1_VGP_SI*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+arg1_VGP_SI*0.0+arg1_VSI_BP*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
#endif
temp_VDI_SI=(1.0e100*((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VDI_SI*((0.5*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01))))))+arg1_VGP_SI*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01))))+0.0*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01))+0.5*(+(+arg1_VDI_SI_VGP_SI-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VDI_SI*(arg1_VGP_SI*3.3333333333333333e-01)+arg1_VGP_SI*arg1_VDI_SI*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+arg1_VDI_SI*0.0+arg1_VGP_SI*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
  temp_VDI_SI_VDI_SI=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VDI_SI*((0.5*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01))))))+arg1_VDI_SI*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01))))+0.0*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01))+0.5*(+(+arg1_VDI_SI_VDI_SI-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VDI_SI*(arg1_VDI_SI*3.3333333333333333e-01)+arg1_VDI_SI*arg1_VDI_SI*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+arg1_VDI_SI*0.0+arg1_VDI_SI*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
  temp_VDI_SI_VSI_BP=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VDI_SI*((0.5*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01))))))+arg1_VSI_BP*(0.5*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01))))+0.0*((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VDI_SI*3.3333333333333333e-01))+0.5*(+(+arg1_VDI_SI_VSI_BP-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VDI_SI*(arg1_VSI_BP*3.3333333333333333e-01)+arg1_VSI_BP*arg1_VDI_SI*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+arg1_VDI_SI*0.0+arg1_VSI_BP*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
#endif
temp_VSI_BP=(1.0e100*((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VGP_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VSI_BP*((0.5*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01))))))+arg1_VGP_SI*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VGP_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VGP_SI*3.3333333333333333e-01))))+0.0*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01))+0.5*(+(+arg1_VSI_BP_VGP_SI-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VSI_BP*(arg1_VGP_SI*3.3333333333333333e-01)+arg1_VGP_SI*arg1_VSI_BP*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+arg1_VSI_BP*0.0+arg1_VGP_SI*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
  temp_VSI_BP_VDI_SI=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VDI_SI*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VSI_BP*((0.5*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01))))))+arg1_VDI_SI*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VDI_SI*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VDI_SI*3.3333333333333333e-01))))+0.0*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01))+0.5*(+(+arg1_VSI_BP_VDI_SI-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VSI_BP*(arg1_VDI_SI*3.3333333333333333e-01)+arg1_VDI_SI*arg1_VSI_BP*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+arg1_VSI_BP*0.0+arg1_VDI_SI*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
  temp_VSI_BP_VSI_BP=(+0.0*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*((0.5*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((arg1_VSI_BP*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((arg1-2.3025850929940458e+02)*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+arg1_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))+arg1_VSI_BP*((0.5*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01))))))+arg1_VSI_BP*(0.5*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01)))+(arg1-2.3025850929940458e+02)*(+0.0+(+0.0*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*(arg1_VSI_BP*3.3333333333333333e-01))))+0.0*((arg1_VSI_BP*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))+((arg1-2.3025850929940458e+02)*arg1_VSI_BP*3.3333333333333333e-01))+0.5*(+(+arg1_VSI_BP_VSI_BP-0.0)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))+arg1_VSI_BP*(arg1_VSI_BP*3.3333333333333333e-01)+arg1_VSI_BP*arg1_VSI_BP*3.3333333333333333e-01+(arg1-2.3025850929940458e+02)*(+0.0+(+(+arg1_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+arg1_VSI_BP*0.0+arg1_VSI_BP*0.0+(arg1-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
temp=(1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Dgate_VDI_SI=((Dsi_VDI_SI*temp)+(Dsi*temp_VDI_SI));
#if defined(_DERIVATE2)
  Dgate_VDI_SI_VDI_SI=(+Dsi_VDI_SI_VDI_SI*temp+Dsi_VDI_SI*temp_VDI_SI+Dsi_VDI_SI*temp_VDI_SI+Dsi*temp_VDI_SI_VDI_SI);
  Dgate_VDI_SI_VGP_SI=(+Dsi_VDI_SI_VGP_SI*temp+Dsi_VDI_SI*temp_VGP_SI+Dsi_VGP_SI*temp_VDI_SI+Dsi*temp_VDI_SI_VGP_SI);
  Dgate_VDI_SI_VSI_BP=(+Dsi_VDI_SI_VSI_BP*temp+Dsi_VDI_SI*temp_VSI_BP+Dsi_VSI_BP*temp_VDI_SI+Dsi*temp_VDI_SI_VSI_BP);
#endif
Dgate_VGP_SI=((Dsi_VGP_SI*temp)+(Dsi*temp_VGP_SI));
#if defined(_DERIVATE2)
  Dgate_VGP_SI_VDI_SI=(+Dsi_VGP_SI_VDI_SI*temp+Dsi_VGP_SI*temp_VDI_SI+Dsi_VDI_SI*temp_VGP_SI+Dsi*temp_VGP_SI_VDI_SI);
  Dgate_VGP_SI_VGP_SI=(+Dsi_VGP_SI_VGP_SI*temp+Dsi_VGP_SI*temp_VGP_SI+Dsi_VGP_SI*temp_VGP_SI+Dsi*temp_VGP_SI_VGP_SI);
  Dgate_VGP_SI_VSI_BP=(+Dsi_VGP_SI_VSI_BP*temp+Dsi_VGP_SI*temp_VSI_BP+Dsi_VSI_BP*temp_VGP_SI+Dsi*temp_VGP_SI_VSI_BP);
#endif
Dgate_VSI_BP=((Dsi_VSI_BP*temp)+(Dsi*temp_VSI_BP));
#if defined(_DERIVATE2)
  Dgate_VSI_BP_VDI_SI=(+Dsi_VSI_BP_VDI_SI*temp+Dsi_VSI_BP*temp_VDI_SI+Dsi_VDI_SI*temp_VSI_BP+Dsi*temp_VSI_BP_VDI_SI);
  Dgate_VSI_BP_VGP_SI=(+Dsi_VSI_BP_VGP_SI*temp+Dsi_VSI_BP*temp_VGP_SI+Dsi_VGP_SI*temp_VSI_BP+Dsi*temp_VSI_BP_VGP_SI);
  Dgate_VSI_BP_VSI_BP=(+Dsi_VSI_BP_VSI_BP*temp+Dsi_VSI_BP*temp_VSI_BP+Dsi_VSI_BP*temp_VSI_BP+Dsi*temp_VSI_BP_VSI_BP);
#endif
#endif
Dgate=(Dsi*temp);
EXIT_IF_ISNAN((Dsi*temp))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(pInst->BCH*((zg_VGP_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*(pInst->GC3_i*zg_VGP_SI))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0*((-1.5)+(zg*(pInst->GC2_i+(pInst->GC3_i*zg))))+0.0*(((zg_VGP_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*((pInst->GC3_i*zg_VGP_SI)))))+0.0*((zg_VGP_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*(pInst->GC3_i*zg_VGP_SI)))+pInst->BCH*(+0.0+(+zg_VGP_SI_VGP_SI*(pInst->GC2_i+(pInst->GC3_i*zg))+zg_VGP_SI*((pInst->GC3_i*zg_VGP_SI))+zg_VGP_SI*(pInst->GC3_i*zg_VGP_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VGP_SI+0.0*zg_VGP_SI+pInst->GC3_i*zg_VGP_SI_VGP_SI)))));
  temp_VGP_SI_VDI_SI=(+0.0*((-1.5)+(zg*(pInst->GC2_i+(pInst->GC3_i*zg))))+0.0*(((zg_VDI_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*((pInst->GC3_i*zg_VDI_SI)))))+0.0*((zg_VGP_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*(pInst->GC3_i*zg_VGP_SI)))+pInst->BCH*(+0.0+(+zg_VGP_SI_VDI_SI*(pInst->GC2_i+(pInst->GC3_i*zg))+zg_VGP_SI*((pInst->GC3_i*zg_VDI_SI))+zg_VDI_SI*(pInst->GC3_i*zg_VGP_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VDI_SI+0.0*zg_VGP_SI+pInst->GC3_i*zg_VGP_SI_VDI_SI)))));
  temp_VGP_SI_VSI_BP=(+0.0*((-1.5)+(zg*(pInst->GC2_i+(pInst->GC3_i*zg))))+0.0*(((zg_VSI_BP*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*((pInst->GC3_i*zg_VSI_BP)))))+0.0*((zg_VGP_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*(pInst->GC3_i*zg_VGP_SI)))+pInst->BCH*(+0.0+(+zg_VGP_SI_VSI_BP*(pInst->GC2_i+(pInst->GC3_i*zg))+zg_VGP_SI*((pInst->GC3_i*zg_VSI_BP))+zg_VSI_BP*(pInst->GC3_i*zg_VGP_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VSI_BP+0.0*zg_VGP_SI+pInst->GC3_i*zg_VGP_SI_VSI_BP)))));
#endif
temp_VDI_SI=(pInst->BCH*((zg_VDI_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*(pInst->GC3_i*zg_VDI_SI))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0*((-1.5)+(zg*(pInst->GC2_i+(pInst->GC3_i*zg))))+0.0*(((zg_VGP_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*((pInst->GC3_i*zg_VGP_SI)))))+0.0*((zg_VDI_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*(pInst->GC3_i*zg_VDI_SI)))+pInst->BCH*(+0.0+(+zg_VDI_SI_VGP_SI*(pInst->GC2_i+(pInst->GC3_i*zg))+zg_VDI_SI*((pInst->GC3_i*zg_VGP_SI))+zg_VGP_SI*(pInst->GC3_i*zg_VDI_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VGP_SI+0.0*zg_VDI_SI+pInst->GC3_i*zg_VDI_SI_VGP_SI)))));
  temp_VDI_SI_VDI_SI=(+0.0*((-1.5)+(zg*(pInst->GC2_i+(pInst->GC3_i*zg))))+0.0*(((zg_VDI_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*((pInst->GC3_i*zg_VDI_SI)))))+0.0*((zg_VDI_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*(pInst->GC3_i*zg_VDI_SI)))+pInst->BCH*(+0.0+(+zg_VDI_SI_VDI_SI*(pInst->GC2_i+(pInst->GC3_i*zg))+zg_VDI_SI*((pInst->GC3_i*zg_VDI_SI))+zg_VDI_SI*(pInst->GC3_i*zg_VDI_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VDI_SI+0.0*zg_VDI_SI+pInst->GC3_i*zg_VDI_SI_VDI_SI)))));
  temp_VDI_SI_VSI_BP=(+0.0*((-1.5)+(zg*(pInst->GC2_i+(pInst->GC3_i*zg))))+0.0*(((zg_VSI_BP*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*((pInst->GC3_i*zg_VSI_BP)))))+0.0*((zg_VDI_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*(pInst->GC3_i*zg_VDI_SI)))+pInst->BCH*(+0.0+(+zg_VDI_SI_VSI_BP*(pInst->GC2_i+(pInst->GC3_i*zg))+zg_VDI_SI*((pInst->GC3_i*zg_VSI_BP))+zg_VSI_BP*(pInst->GC3_i*zg_VDI_SI)+zg*(+0.0+(+0.0*zg+0.0*zg_VSI_BP+0.0*zg_VDI_SI+pInst->GC3_i*zg_VDI_SI_VSI_BP)))));
#endif
temp_VSI_BP=(pInst->BCH*((zg_VSI_BP*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*(pInst->GC3_i*zg_VSI_BP))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0*((-1.5)+(zg*(pInst->GC2_i+(pInst->GC3_i*zg))))+0.0*(((zg_VGP_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*((pInst->GC3_i*zg_VGP_SI)))))+0.0*((zg_VSI_BP*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*(pInst->GC3_i*zg_VSI_BP)))+pInst->BCH*(+0.0+(+zg_VSI_BP_VGP_SI*(pInst->GC2_i+(pInst->GC3_i*zg))+zg_VSI_BP*((pInst->GC3_i*zg_VGP_SI))+zg_VGP_SI*(pInst->GC3_i*zg_VSI_BP)+zg*(+0.0+(+0.0*zg+0.0*zg_VGP_SI+0.0*zg_VSI_BP+pInst->GC3_i*zg_VSI_BP_VGP_SI)))));
  temp_VSI_BP_VDI_SI=(+0.0*((-1.5)+(zg*(pInst->GC2_i+(pInst->GC3_i*zg))))+0.0*(((zg_VDI_SI*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*((pInst->GC3_i*zg_VDI_SI)))))+0.0*((zg_VSI_BP*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*(pInst->GC3_i*zg_VSI_BP)))+pInst->BCH*(+0.0+(+zg_VSI_BP_VDI_SI*(pInst->GC2_i+(pInst->GC3_i*zg))+zg_VSI_BP*((pInst->GC3_i*zg_VDI_SI))+zg_VDI_SI*(pInst->GC3_i*zg_VSI_BP)+zg*(+0.0+(+0.0*zg+0.0*zg_VDI_SI+0.0*zg_VSI_BP+pInst->GC3_i*zg_VSI_BP_VDI_SI)))));
  temp_VSI_BP_VSI_BP=(+0.0*((-1.5)+(zg*(pInst->GC2_i+(pInst->GC3_i*zg))))+0.0*(((zg_VSI_BP*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*((pInst->GC3_i*zg_VSI_BP)))))+0.0*((zg_VSI_BP*(pInst->GC2_i+(pInst->GC3_i*zg)))+(zg*(pInst->GC3_i*zg_VSI_BP)))+pInst->BCH*(+0.0+(+zg_VSI_BP_VSI_BP*(pInst->GC2_i+(pInst->GC3_i*zg))+zg_VSI_BP*((pInst->GC3_i*zg_VSI_BP))+zg_VSI_BP*(pInst->GC3_i*zg_VSI_BP)+zg*(+0.0+(+0.0*zg+0.0*zg_VSI_BP+0.0*zg_VSI_BP+pInst->GC3_i*zg_VSI_BP_VSI_BP)))));
#endif
#endif
temp=(pInst->BCH*((-1.5)+(zg*(pInst->GC2_i+(pInst->GC3_i*zg)))));
EXIT_IF_ISNAN((pInst->BCH*((-1.5)+(zg*(pInst->GC2_i+(pInst->GC3_i*zg))))))
if
((temp>0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
TP_VGP_SI=((temp_VGP_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01))))))+(temp*(0.5*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01)))));
#if defined(_DERIVATE2)
  TP_VGP_SI_VGP_SI=(+0.0+(+temp_VGP_SI_VGP_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VGP_SI*((0.5*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))))+temp_VGP_SI*(0.5*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))+0.0*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01))+0.5*(+temp_VGP_SI_VGP_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VGP_SI*(temp_VGP_SI*3.3333333333333333e-01)+temp_VGP_SI*temp_VGP_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VGP_SI_VGP_SI*3.3333333333333333e-01+temp_VGP_SI*0.0+temp_VGP_SI*0.0+temp*0.0)))))));
  TP_VGP_SI_VDI_SI=(+0.0+(+temp_VGP_SI_VDI_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VGP_SI*((0.5*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))))+temp_VDI_SI*(0.5*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))+0.0*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01))+0.5*(+temp_VGP_SI_VDI_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VGP_SI*(temp_VDI_SI*3.3333333333333333e-01)+temp_VDI_SI*temp_VGP_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VGP_SI_VDI_SI*3.3333333333333333e-01+temp_VGP_SI*0.0+temp_VDI_SI*0.0+temp*0.0)))))));
  TP_VGP_SI_VSI_BP=(+0.0+(+temp_VGP_SI_VSI_BP*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VGP_SI*((0.5*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))))+temp_VSI_BP*(0.5*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))+0.0*((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VGP_SI*3.3333333333333333e-01))+0.5*(+temp_VGP_SI_VSI_BP*(1.0+(temp*3.3333333333333333e-01))+temp_VGP_SI*(temp_VSI_BP*3.3333333333333333e-01)+temp_VSI_BP*temp_VGP_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VGP_SI_VSI_BP*3.3333333333333333e-01+temp_VGP_SI*0.0+temp_VSI_BP*0.0+temp*0.0)))))));
#endif
TP_VDI_SI=((temp_VDI_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01))))))+(temp*(0.5*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01)))));
#if defined(_DERIVATE2)
  TP_VDI_SI_VGP_SI=(+0.0+(+temp_VDI_SI_VGP_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VDI_SI*((0.5*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))))+temp_VGP_SI*(0.5*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))+0.0*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01))+0.5*(+temp_VDI_SI_VGP_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VDI_SI*(temp_VGP_SI*3.3333333333333333e-01)+temp_VGP_SI*temp_VDI_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VDI_SI_VGP_SI*3.3333333333333333e-01+temp_VDI_SI*0.0+temp_VGP_SI*0.0+temp*0.0)))))));
  TP_VDI_SI_VDI_SI=(+0.0+(+temp_VDI_SI_VDI_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VDI_SI*((0.5*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))))+temp_VDI_SI*(0.5*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))+0.0*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01))+0.5*(+temp_VDI_SI_VDI_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VDI_SI*(temp_VDI_SI*3.3333333333333333e-01)+temp_VDI_SI*temp_VDI_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VDI_SI_VDI_SI*3.3333333333333333e-01+temp_VDI_SI*0.0+temp_VDI_SI*0.0+temp*0.0)))))));
  TP_VDI_SI_VSI_BP=(+0.0+(+temp_VDI_SI_VSI_BP*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VDI_SI*((0.5*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))))+temp_VSI_BP*(0.5*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))+0.0*((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VDI_SI*3.3333333333333333e-01))+0.5*(+temp_VDI_SI_VSI_BP*(1.0+(temp*3.3333333333333333e-01))+temp_VDI_SI*(temp_VSI_BP*3.3333333333333333e-01)+temp_VSI_BP*temp_VDI_SI*3.3333333333333333e-01+temp*(+0.0+(+temp_VDI_SI_VSI_BP*3.3333333333333333e-01+temp_VDI_SI*0.0+temp_VSI_BP*0.0+temp*0.0)))))));
#endif
TP_VSI_BP=((temp_VSI_BP*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01))))))+(temp*(0.5*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01)))));
#if defined(_DERIVATE2)
  TP_VSI_BP_VGP_SI=(+0.0+(+temp_VSI_BP_VGP_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VSI_BP*((0.5*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))))+temp_VGP_SI*(0.5*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VGP_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VGP_SI*3.3333333333333333e-01))))+0.0*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01))+0.5*(+temp_VSI_BP_VGP_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VSI_BP*(temp_VGP_SI*3.3333333333333333e-01)+temp_VGP_SI*temp_VSI_BP*3.3333333333333333e-01+temp*(+0.0+(+temp_VSI_BP_VGP_SI*3.3333333333333333e-01+temp_VSI_BP*0.0+temp_VGP_SI*0.0+temp*0.0)))))));
  TP_VSI_BP_VDI_SI=(+0.0+(+temp_VSI_BP_VDI_SI*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VSI_BP*((0.5*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))))+temp_VDI_SI*(0.5*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VDI_SI*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VDI_SI*3.3333333333333333e-01))))+0.0*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01))+0.5*(+temp_VSI_BP_VDI_SI*(1.0+(temp*3.3333333333333333e-01))+temp_VSI_BP*(temp_VDI_SI*3.3333333333333333e-01)+temp_VDI_SI*temp_VSI_BP*3.3333333333333333e-01+temp*(+0.0+(+temp_VSI_BP_VDI_SI*3.3333333333333333e-01+temp_VSI_BP*0.0+temp_VDI_SI*0.0+temp*0.0)))))));
  TP_VSI_BP_VSI_BP=(+0.0+(+temp_VSI_BP_VSI_BP*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))+temp_VSI_BP*((0.5*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))))+temp_VSI_BP*(0.5*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01)))+temp*(+0.0+(+0.0*(temp*(1.0+(temp*3.3333333333333333e-01)))+0.0*(((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*(temp_VSI_BP*3.3333333333333333e-01))))+0.0*((temp_VSI_BP*(1.0+(temp*3.3333333333333333e-01)))+(temp*temp_VSI_BP*3.3333333333333333e-01))+0.5*(+temp_VSI_BP_VSI_BP*(1.0+(temp*3.3333333333333333e-01))+temp_VSI_BP*(temp_VSI_BP*3.3333333333333333e-01)+temp_VSI_BP*temp_VSI_BP*3.3333333333333333e-01+temp*(+0.0+(+temp_VSI_BP_VSI_BP*3.3333333333333333e-01+temp_VSI_BP*0.0+temp_VSI_BP*0.0+temp*0.0)))))));
#endif
#endif
TP=(1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
EXIT_IF_ISNAN((1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01))))))))
}
else
{
if
((temp>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,temp)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
TP_VGP_SI=temp_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  TP_VGP_SI_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VGP_SI+d10_exp0*temp_VGP_SI_VGP_SI);
  TP_VGP_SI_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VGP_SI+d10_exp0*temp_VGP_SI_VDI_SI);
  TP_VGP_SI_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VGP_SI+d10_exp0*temp_VGP_SI_VSI_BP);
#endif
TP_VDI_SI=temp_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  TP_VDI_SI_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VDI_SI+d10_exp0*temp_VDI_SI_VGP_SI);
  TP_VDI_SI_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VDI_SI+d10_exp0*temp_VDI_SI_VDI_SI);
  TP_VDI_SI_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VDI_SI+d10_exp0*temp_VDI_SI_VSI_BP);
#endif
TP_VSI_BP=temp_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  TP_VSI_BP_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VSI_BP+d10_exp0*temp_VSI_BP_VGP_SI);
  TP_VSI_BP_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VSI_BP+d10_exp0*temp_VSI_BP_VDI_SI);
  TP_VSI_BP_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VSI_BP+d10_exp0*temp_VSI_BP_VSI_BP);
#endif
#endif
TP=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
TP_VGP_SI=(-1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  TP_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VGP_SI)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VDI_SI)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VSI_BP)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
TP_VDI_SI=(-1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  TP_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VGP_SI)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VDI_SI)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VSI_BP)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
TP_VSI_BP=(-1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  TP_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VGP_SI)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VDI_SI)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  TP_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VSI_BP)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
#endif
TP=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))))
}
}
{
double m00_logE(d00_logE0,((1.0+Dsi)/(1.0+Dgate)))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,((1.0+Dsi)/(1.0+Dgate)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Igc0_VGP_SI=(pInst->IGINV_i*((TP_VGP_SI*d00_logE0)+(TP*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0)));
#if defined(_DERIVATE2)
  Igc0_VGP_SI_VGP_SI=(+0.0*(TP*d00_logE0)+0.0*(((TP_VGP_SI*d00_logE0)+(TP*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0)))+0.0*((TP_VGP_SI*d00_logE0)+(TP*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0))+pInst->IGINV_i*(+TP_VGP_SI_VGP_SI*d00_logE0+TP_VGP_SI*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP_VGP_SI*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP*(m20_logE(((1.0+Dsi)/(1.0+Dgate)))*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))+d10_logE0*((+0.0+Dsi_VGP_SI_VGP_SI)/(1.0+Dgate)-(Dsi_VGP_SI*Dgate_VGP_SI+Dsi_VGP_SI*Dgate_VGP_SI+(1.0+Dsi)*(+0.0+Dgate_VGP_SI_VGP_SI))/(1.0+Dgate)/(1.0+Dgate)+2*(1.0+Dsi)*Dgate_VGP_SI*Dgate_VGP_SI/(1.0+Dgate)/(1.0+Dgate)/(1.0+Dgate)))));
  Igc0_VGP_SI_VDI_SI=(+0.0*(TP*d00_logE0)+0.0*(((TP_VDI_SI*d00_logE0)+(TP*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0)))+0.0*((TP_VGP_SI*d00_logE0)+(TP*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0))+pInst->IGINV_i*(+TP_VGP_SI_VDI_SI*d00_logE0+TP_VGP_SI*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP_VDI_SI*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP*(m20_logE(((1.0+Dsi)/(1.0+Dgate)))*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))+d10_logE0*((+0.0+Dsi_VGP_SI_VDI_SI)/(1.0+Dgate)-(Dsi_VGP_SI*Dgate_VDI_SI+Dsi_VDI_SI*Dgate_VGP_SI+(1.0+Dsi)*(+0.0+Dgate_VGP_SI_VDI_SI))/(1.0+Dgate)/(1.0+Dgate)+2*(1.0+Dsi)*Dgate_VGP_SI*Dgate_VDI_SI/(1.0+Dgate)/(1.0+Dgate)/(1.0+Dgate)))));
  Igc0_VGP_SI_VSI_BP=(+0.0*(TP*d00_logE0)+0.0*(((TP_VSI_BP*d00_logE0)+(TP*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0)))+0.0*((TP_VGP_SI*d00_logE0)+(TP*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0))+pInst->IGINV_i*(+TP_VGP_SI_VSI_BP*d00_logE0+TP_VGP_SI*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP_VSI_BP*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP*(m20_logE(((1.0+Dsi)/(1.0+Dgate)))*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))+d10_logE0*((+0.0+Dsi_VGP_SI_VSI_BP)/(1.0+Dgate)-(Dsi_VGP_SI*Dgate_VSI_BP+Dsi_VSI_BP*Dgate_VGP_SI+(1.0+Dsi)*(+0.0+Dgate_VGP_SI_VSI_BP))/(1.0+Dgate)/(1.0+Dgate)+2*(1.0+Dsi)*Dgate_VGP_SI*Dgate_VSI_BP/(1.0+Dgate)/(1.0+Dgate)/(1.0+Dgate)))));
#endif
Igc0_VDI_SI=(pInst->IGINV_i*((TP_VDI_SI*d00_logE0)+(TP*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0)));
#if defined(_DERIVATE2)
  Igc0_VDI_SI_VGP_SI=(+0.0*(TP*d00_logE0)+0.0*(((TP_VGP_SI*d00_logE0)+(TP*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0)))+0.0*((TP_VDI_SI*d00_logE0)+(TP*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0))+pInst->IGINV_i*(+TP_VDI_SI_VGP_SI*d00_logE0+TP_VDI_SI*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP_VGP_SI*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP*(m20_logE(((1.0+Dsi)/(1.0+Dgate)))*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))+d10_logE0*((+0.0+Dsi_VDI_SI_VGP_SI)/(1.0+Dgate)-(Dsi_VDI_SI*Dgate_VGP_SI+Dsi_VGP_SI*Dgate_VDI_SI+(1.0+Dsi)*(+0.0+Dgate_VDI_SI_VGP_SI))/(1.0+Dgate)/(1.0+Dgate)+2*(1.0+Dsi)*Dgate_VDI_SI*Dgate_VGP_SI/(1.0+Dgate)/(1.0+Dgate)/(1.0+Dgate)))));
  Igc0_VDI_SI_VDI_SI=(+0.0*(TP*d00_logE0)+0.0*(((TP_VDI_SI*d00_logE0)+(TP*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0)))+0.0*((TP_VDI_SI*d00_logE0)+(TP*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0))+pInst->IGINV_i*(+TP_VDI_SI_VDI_SI*d00_logE0+TP_VDI_SI*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP_VDI_SI*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP*(m20_logE(((1.0+Dsi)/(1.0+Dgate)))*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))+d10_logE0*((+0.0+Dsi_VDI_SI_VDI_SI)/(1.0+Dgate)-(Dsi_VDI_SI*Dgate_VDI_SI+Dsi_VDI_SI*Dgate_VDI_SI+(1.0+Dsi)*(+0.0+Dgate_VDI_SI_VDI_SI))/(1.0+Dgate)/(1.0+Dgate)+2*(1.0+Dsi)*Dgate_VDI_SI*Dgate_VDI_SI/(1.0+Dgate)/(1.0+Dgate)/(1.0+Dgate)))));
  Igc0_VDI_SI_VSI_BP=(+0.0*(TP*d00_logE0)+0.0*(((TP_VSI_BP*d00_logE0)+(TP*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0)))+0.0*((TP_VDI_SI*d00_logE0)+(TP*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0))+pInst->IGINV_i*(+TP_VDI_SI_VSI_BP*d00_logE0+TP_VDI_SI*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP_VSI_BP*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP*(m20_logE(((1.0+Dsi)/(1.0+Dgate)))*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))+d10_logE0*((+0.0+Dsi_VDI_SI_VSI_BP)/(1.0+Dgate)-(Dsi_VDI_SI*Dgate_VSI_BP+Dsi_VSI_BP*Dgate_VDI_SI+(1.0+Dsi)*(+0.0+Dgate_VDI_SI_VSI_BP))/(1.0+Dgate)/(1.0+Dgate)+2*(1.0+Dsi)*Dgate_VDI_SI*Dgate_VSI_BP/(1.0+Dgate)/(1.0+Dgate)/(1.0+Dgate)))));
#endif
Igc0_VSI_BP=(pInst->IGINV_i*((TP_VSI_BP*d00_logE0)+(TP*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0)));
#if defined(_DERIVATE2)
  Igc0_VSI_BP_VGP_SI=(+0.0*(TP*d00_logE0)+0.0*(((TP_VGP_SI*d00_logE0)+(TP*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0)))+0.0*((TP_VSI_BP*d00_logE0)+(TP*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0))+pInst->IGINV_i*(+TP_VSI_BP_VGP_SI*d00_logE0+TP_VSI_BP*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP_VGP_SI*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP*(m20_logE(((1.0+Dsi)/(1.0+Dgate)))*((Dsi_VGP_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VGP_SI)/(1.0+Dgate)/(1.0+Dgate))*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))+d10_logE0*((+0.0+Dsi_VSI_BP_VGP_SI)/(1.0+Dgate)-(Dsi_VSI_BP*Dgate_VGP_SI+Dsi_VGP_SI*Dgate_VSI_BP+(1.0+Dsi)*(+0.0+Dgate_VSI_BP_VGP_SI))/(1.0+Dgate)/(1.0+Dgate)+2*(1.0+Dsi)*Dgate_VSI_BP*Dgate_VGP_SI/(1.0+Dgate)/(1.0+Dgate)/(1.0+Dgate)))));
  Igc0_VSI_BP_VDI_SI=(+0.0*(TP*d00_logE0)+0.0*(((TP_VDI_SI*d00_logE0)+(TP*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0)))+0.0*((TP_VSI_BP*d00_logE0)+(TP*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0))+pInst->IGINV_i*(+TP_VSI_BP_VDI_SI*d00_logE0+TP_VSI_BP*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP_VDI_SI*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP*(m20_logE(((1.0+Dsi)/(1.0+Dgate)))*((Dsi_VDI_SI*(1.0+Dgate)-(1.0+Dsi)*Dgate_VDI_SI)/(1.0+Dgate)/(1.0+Dgate))*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))+d10_logE0*((+0.0+Dsi_VSI_BP_VDI_SI)/(1.0+Dgate)-(Dsi_VSI_BP*Dgate_VDI_SI+Dsi_VDI_SI*Dgate_VSI_BP+(1.0+Dsi)*(+0.0+Dgate_VSI_BP_VDI_SI))/(1.0+Dgate)/(1.0+Dgate)+2*(1.0+Dsi)*Dgate_VSI_BP*Dgate_VDI_SI/(1.0+Dgate)/(1.0+Dgate)/(1.0+Dgate)))));
  Igc0_VSI_BP_VSI_BP=(+0.0*(TP*d00_logE0)+0.0*(((TP_VSI_BP*d00_logE0)+(TP*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0)))+0.0*((TP_VSI_BP*d00_logE0)+(TP*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0))+pInst->IGINV_i*(+TP_VSI_BP_VSI_BP*d00_logE0+TP_VSI_BP*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP_VSI_BP*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*d10_logE0+TP*(m20_logE(((1.0+Dsi)/(1.0+Dgate)))*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))*((Dsi_VSI_BP*(1.0+Dgate)-(1.0+Dsi)*Dgate_VSI_BP)/(1.0+Dgate)/(1.0+Dgate))+d10_logE0*((+0.0+Dsi_VSI_BP_VSI_BP)/(1.0+Dgate)-(Dsi_VSI_BP*Dgate_VSI_BP+Dsi_VSI_BP*Dgate_VSI_BP+(1.0+Dsi)*(+0.0+Dgate_VSI_BP_VSI_BP))/(1.0+Dgate)/(1.0+Dgate)+2*(1.0+Dsi)*Dgate_VSI_BP*Dgate_VSI_BP/(1.0+Dgate)/(1.0+Dgate)/(1.0+Dgate)))));
#endif
#endif
Igc0=(pInst->IGINV_i*(TP*d00_logE0));
EXIT_IF_ISNAN((pInst->IGINV_i*(TP*d00_logE0)))
}
if
(((pInst->xg_dc<=0.0)||((pInst->GC2_i==0.0)&&(pInst->GC3_i==0.0))))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
igc_VDI_SI=0.0;
#if defined(_DERIVATE2)
  igc_VDI_SI_VDI_SI=0.0;
  igc_VDI_SI_VGP_SI=0.0;
  igc_VDI_SI_VSI_BP=0.0;
#endif
igc_VGP_SI=0.0;
#if defined(_DERIVATE2)
  igc_VGP_SI_VDI_SI=0.0;
  igc_VGP_SI_VGP_SI=0.0;
  igc_VGP_SI_VSI_BP=0.0;
#endif
igc_VSI_BP=0.0;
#if defined(_DERIVATE2)
  igc_VSI_BP_VDI_SI=0.0;
  igc_VSI_BP_VGP_SI=0.0;
  igc_VSI_BP_VSI_BP=0.0;
#endif
#endif
igc=1.0;
EXIT_IF_ISNAN(1.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
igcd_h_VDI_SI=0.0;
#if defined(_DERIVATE2)
  igcd_h_VDI_SI_VDI_SI=0.0;
  igcd_h_VDI_SI_VGP_SI=0.0;
  igcd_h_VDI_SI_VSI_BP=0.0;
#endif
igcd_h_VGP_SI=0.0;
#if defined(_DERIVATE2)
  igcd_h_VGP_SI_VDI_SI=0.0;
  igcd_h_VGP_SI_VGP_SI=0.0;
  igcd_h_VGP_SI_VSI_BP=0.0;
#endif
igcd_h_VSI_BP=0.0;
#if defined(_DERIVATE2)
  igcd_h_VSI_BP_VDI_SI=0.0;
  igcd_h_VSI_BP_VGP_SI=0.0;
  igcd_h_VSI_BP_VSI_BP=0.0;
#endif
#endif
igcd_h=0.5;
EXIT_IF_ISNAN(0.5)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=((2.0*pInst->GC3_i)*zg_VGP_SI);
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0+(+(+0.0*pInst->GC3_i+0.0*0.0+0.0*0.0+2.0*0.0)*zg+0.0*zg_VGP_SI+(0.0)*zg_VGP_SI+(2.0*pInst->GC3_i)*zg_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(+0.0+(+(+0.0*pInst->GC3_i+0.0*0.0+0.0*0.0+2.0*0.0)*zg+0.0*zg_VDI_SI+(0.0)*zg_VGP_SI+(2.0*pInst->GC3_i)*zg_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(+0.0+(+(+0.0*pInst->GC3_i+0.0*0.0+0.0*0.0+2.0*0.0)*zg+0.0*zg_VSI_BP+(0.0)*zg_VGP_SI+(2.0*pInst->GC3_i)*zg_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=((2.0*pInst->GC3_i)*zg_VDI_SI);
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0+(+(+0.0*pInst->GC3_i+0.0*0.0+0.0*0.0+2.0*0.0)*zg+0.0*zg_VGP_SI+(0.0)*zg_VDI_SI+(2.0*pInst->GC3_i)*zg_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(+0.0+(+(+0.0*pInst->GC3_i+0.0*0.0+0.0*0.0+2.0*0.0)*zg+0.0*zg_VDI_SI+(0.0)*zg_VDI_SI+(2.0*pInst->GC3_i)*zg_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(+0.0+(+(+0.0*pInst->GC3_i+0.0*0.0+0.0*0.0+2.0*0.0)*zg+0.0*zg_VSI_BP+(0.0)*zg_VDI_SI+(2.0*pInst->GC3_i)*zg_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=((2.0*pInst->GC3_i)*zg_VSI_BP);
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0+(+(+0.0*pInst->GC3_i+0.0*0.0+0.0*0.0+2.0*0.0)*zg+0.0*zg_VGP_SI+(0.0)*zg_VSI_BP+(2.0*pInst->GC3_i)*zg_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(+0.0+(+(+0.0*pInst->GC3_i+0.0*0.0+0.0*0.0+2.0*0.0)*zg+0.0*zg_VDI_SI+(0.0)*zg_VSI_BP+(2.0*pInst->GC3_i)*zg_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(+0.0+(+(+0.0*pInst->GC3_i+0.0*0.0+0.0*0.0+2.0*0.0)*zg+0.0*zg_VSI_BP+(0.0)*zg_VSI_BP+(2.0*pInst->GC3_i)*zg_VSI_BP_VSI_BP));
#endif
#endif
temp=(pInst->GC2_i+((2.0*pInst->GC3_i)*zg));
EXIT_IF_ISNAN((pInst->GC2_i+((2.0*pInst->GC3_i)*zg)))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
u0_VGP_SI=(-pInst->CHIB_i*temp_VGP_SI*pInst->BCH/(temp*pInst->BCH)/(temp*pInst->BCH));
#if defined(_DERIVATE2)
  u0_VGP_SI_VGP_SI=(0.0/(temp*pInst->BCH)-(0.0*(temp_VGP_SI*pInst->BCH)+0.0*temp_VGP_SI*pInst->BCH+pInst->CHIB_i*(+temp_VGP_SI_VGP_SI*pInst->BCH+temp_VGP_SI*0.0+temp_VGP_SI*0.0+temp*0.0))/(temp*pInst->BCH)/(temp*pInst->BCH)+2*pInst->CHIB_i*temp_VGP_SI*pInst->BCH*(temp_VGP_SI*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH));
  u0_VGP_SI_VDI_SI=(0.0/(temp*pInst->BCH)-(0.0*(temp_VDI_SI*pInst->BCH)+0.0*temp_VGP_SI*pInst->BCH+pInst->CHIB_i*(+temp_VGP_SI_VDI_SI*pInst->BCH+temp_VGP_SI*0.0+temp_VDI_SI*0.0+temp*0.0))/(temp*pInst->BCH)/(temp*pInst->BCH)+2*pInst->CHIB_i*temp_VGP_SI*pInst->BCH*(temp_VDI_SI*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH));
  u0_VGP_SI_VSI_BP=(0.0/(temp*pInst->BCH)-(0.0*(temp_VSI_BP*pInst->BCH)+0.0*temp_VGP_SI*pInst->BCH+pInst->CHIB_i*(+temp_VGP_SI_VSI_BP*pInst->BCH+temp_VGP_SI*0.0+temp_VSI_BP*0.0+temp*0.0))/(temp*pInst->BCH)/(temp*pInst->BCH)+2*pInst->CHIB_i*temp_VGP_SI*pInst->BCH*(temp_VSI_BP*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH));
#endif
u0_VDI_SI=(-pInst->CHIB_i*temp_VDI_SI*pInst->BCH/(temp*pInst->BCH)/(temp*pInst->BCH));
#if defined(_DERIVATE2)
  u0_VDI_SI_VGP_SI=(0.0/(temp*pInst->BCH)-(0.0*(temp_VGP_SI*pInst->BCH)+0.0*temp_VDI_SI*pInst->BCH+pInst->CHIB_i*(+temp_VDI_SI_VGP_SI*pInst->BCH+temp_VDI_SI*0.0+temp_VGP_SI*0.0+temp*0.0))/(temp*pInst->BCH)/(temp*pInst->BCH)+2*pInst->CHIB_i*temp_VDI_SI*pInst->BCH*(temp_VGP_SI*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH));
  u0_VDI_SI_VDI_SI=(0.0/(temp*pInst->BCH)-(0.0*(temp_VDI_SI*pInst->BCH)+0.0*temp_VDI_SI*pInst->BCH+pInst->CHIB_i*(+temp_VDI_SI_VDI_SI*pInst->BCH+temp_VDI_SI*0.0+temp_VDI_SI*0.0+temp*0.0))/(temp*pInst->BCH)/(temp*pInst->BCH)+2*pInst->CHIB_i*temp_VDI_SI*pInst->BCH*(temp_VDI_SI*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH));
  u0_VDI_SI_VSI_BP=(0.0/(temp*pInst->BCH)-(0.0*(temp_VSI_BP*pInst->BCH)+0.0*temp_VDI_SI*pInst->BCH+pInst->CHIB_i*(+temp_VDI_SI_VSI_BP*pInst->BCH+temp_VDI_SI*0.0+temp_VSI_BP*0.0+temp*0.0))/(temp*pInst->BCH)/(temp*pInst->BCH)+2*pInst->CHIB_i*temp_VDI_SI*pInst->BCH*(temp_VSI_BP*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH));
#endif
u0_VSI_BP=(-pInst->CHIB_i*temp_VSI_BP*pInst->BCH/(temp*pInst->BCH)/(temp*pInst->BCH));
#if defined(_DERIVATE2)
  u0_VSI_BP_VGP_SI=(0.0/(temp*pInst->BCH)-(0.0*(temp_VGP_SI*pInst->BCH)+0.0*temp_VSI_BP*pInst->BCH+pInst->CHIB_i*(+temp_VSI_BP_VGP_SI*pInst->BCH+temp_VSI_BP*0.0+temp_VGP_SI*0.0+temp*0.0))/(temp*pInst->BCH)/(temp*pInst->BCH)+2*pInst->CHIB_i*temp_VSI_BP*pInst->BCH*(temp_VGP_SI*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH));
  u0_VSI_BP_VDI_SI=(0.0/(temp*pInst->BCH)-(0.0*(temp_VDI_SI*pInst->BCH)+0.0*temp_VSI_BP*pInst->BCH+pInst->CHIB_i*(+temp_VSI_BP_VDI_SI*pInst->BCH+temp_VSI_BP*0.0+temp_VDI_SI*0.0+temp*0.0))/(temp*pInst->BCH)/(temp*pInst->BCH)+2*pInst->CHIB_i*temp_VSI_BP*pInst->BCH*(temp_VDI_SI*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH));
  u0_VSI_BP_VSI_BP=(0.0/(temp*pInst->BCH)-(0.0*(temp_VSI_BP*pInst->BCH)+0.0*temp_VSI_BP*pInst->BCH+pInst->CHIB_i*(+temp_VSI_BP_VSI_BP*pInst->BCH+temp_VSI_BP*0.0+temp_VSI_BP*0.0+temp*0.0))/(temp*pInst->BCH)/(temp*pInst->BCH)+2*pInst->CHIB_i*temp_VSI_BP*pInst->BCH*(temp_VSI_BP*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH)/(temp*pInst->BCH));
#endif
#endif
u0=(pInst->CHIB_i/(temp*pInst->BCH));
EXIT_IF_ISNAN((pInst->CHIB_i/(temp*pInst->BCH)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
x_VDI_SI=(0.5*((dps_dc_VDI_SI*u0-pInst->dps_dc*u0_VDI_SI)/u0/u0));
#if defined(_DERIVATE2)
  x_VDI_SI_VDI_SI=(+0.0*(pInst->dps_dc/u0)+0.0*((dps_dc_VDI_SI*u0-pInst->dps_dc*u0_VDI_SI)/u0/u0)+0.0*((dps_dc_VDI_SI*u0-pInst->dps_dc*u0_VDI_SI)/u0/u0)+0.5*(dps_dc_VDI_SI_VDI_SI/u0-(dps_dc_VDI_SI*u0_VDI_SI+dps_dc_VDI_SI*u0_VDI_SI+pInst->dps_dc*u0_VDI_SI_VDI_SI)/u0/u0+2*pInst->dps_dc*u0_VDI_SI*u0_VDI_SI/u0/u0/u0));
  x_VDI_SI_VGP_SI=(+0.0*(pInst->dps_dc/u0)+0.0*((dps_dc_VGP_SI*u0-pInst->dps_dc*u0_VGP_SI)/u0/u0)+0.0*((dps_dc_VDI_SI*u0-pInst->dps_dc*u0_VDI_SI)/u0/u0)+0.5*(dps_dc_VDI_SI_VGP_SI/u0-(dps_dc_VDI_SI*u0_VGP_SI+dps_dc_VGP_SI*u0_VDI_SI+pInst->dps_dc*u0_VDI_SI_VGP_SI)/u0/u0+2*pInst->dps_dc*u0_VDI_SI*u0_VGP_SI/u0/u0/u0));
  x_VDI_SI_VSI_BP=(+0.0*(pInst->dps_dc/u0)+0.0*((dps_dc_VSI_BP*u0-pInst->dps_dc*u0_VSI_BP)/u0/u0)+0.0*((dps_dc_VDI_SI*u0-pInst->dps_dc*u0_VDI_SI)/u0/u0)+0.5*(dps_dc_VDI_SI_VSI_BP/u0-(dps_dc_VDI_SI*u0_VSI_BP+dps_dc_VSI_BP*u0_VDI_SI+pInst->dps_dc*u0_VDI_SI_VSI_BP)/u0/u0+2*pInst->dps_dc*u0_VDI_SI*u0_VSI_BP/u0/u0/u0));
#endif
x_VGP_SI=(0.5*((dps_dc_VGP_SI*u0-pInst->dps_dc*u0_VGP_SI)/u0/u0));
#if defined(_DERIVATE2)
  x_VGP_SI_VDI_SI=(+0.0*(pInst->dps_dc/u0)+0.0*((dps_dc_VDI_SI*u0-pInst->dps_dc*u0_VDI_SI)/u0/u0)+0.0*((dps_dc_VGP_SI*u0-pInst->dps_dc*u0_VGP_SI)/u0/u0)+0.5*(dps_dc_VGP_SI_VDI_SI/u0-(dps_dc_VGP_SI*u0_VDI_SI+dps_dc_VDI_SI*u0_VGP_SI+pInst->dps_dc*u0_VGP_SI_VDI_SI)/u0/u0+2*pInst->dps_dc*u0_VGP_SI*u0_VDI_SI/u0/u0/u0));
  x_VGP_SI_VGP_SI=(+0.0*(pInst->dps_dc/u0)+0.0*((dps_dc_VGP_SI*u0-pInst->dps_dc*u0_VGP_SI)/u0/u0)+0.0*((dps_dc_VGP_SI*u0-pInst->dps_dc*u0_VGP_SI)/u0/u0)+0.5*(dps_dc_VGP_SI_VGP_SI/u0-(dps_dc_VGP_SI*u0_VGP_SI+dps_dc_VGP_SI*u0_VGP_SI+pInst->dps_dc*u0_VGP_SI_VGP_SI)/u0/u0+2*pInst->dps_dc*u0_VGP_SI*u0_VGP_SI/u0/u0/u0));
  x_VGP_SI_VSI_BP=(+0.0*(pInst->dps_dc/u0)+0.0*((dps_dc_VSI_BP*u0-pInst->dps_dc*u0_VSI_BP)/u0/u0)+0.0*((dps_dc_VGP_SI*u0-pInst->dps_dc*u0_VGP_SI)/u0/u0)+0.5*(dps_dc_VGP_SI_VSI_BP/u0-(dps_dc_VGP_SI*u0_VSI_BP+dps_dc_VSI_BP*u0_VGP_SI+pInst->dps_dc*u0_VGP_SI_VSI_BP)/u0/u0+2*pInst->dps_dc*u0_VGP_SI*u0_VSI_BP/u0/u0/u0));
#endif
x_VSI_BP=(0.5*((dps_dc_VSI_BP*u0-pInst->dps_dc*u0_VSI_BP)/u0/u0));
#if defined(_DERIVATE2)
  x_VSI_BP_VDI_SI=(+0.0*(pInst->dps_dc/u0)+0.0*((dps_dc_VDI_SI*u0-pInst->dps_dc*u0_VDI_SI)/u0/u0)+0.0*((dps_dc_VSI_BP*u0-pInst->dps_dc*u0_VSI_BP)/u0/u0)+0.5*(dps_dc_VSI_BP_VDI_SI/u0-(dps_dc_VSI_BP*u0_VDI_SI+dps_dc_VDI_SI*u0_VSI_BP+pInst->dps_dc*u0_VSI_BP_VDI_SI)/u0/u0+2*pInst->dps_dc*u0_VSI_BP*u0_VDI_SI/u0/u0/u0));
  x_VSI_BP_VGP_SI=(+0.0*(pInst->dps_dc/u0)+0.0*((dps_dc_VGP_SI*u0-pInst->dps_dc*u0_VGP_SI)/u0/u0)+0.0*((dps_dc_VSI_BP*u0-pInst->dps_dc*u0_VSI_BP)/u0/u0)+0.5*(dps_dc_VSI_BP_VGP_SI/u0-(dps_dc_VSI_BP*u0_VGP_SI+dps_dc_VGP_SI*u0_VSI_BP+pInst->dps_dc*u0_VSI_BP_VGP_SI)/u0/u0+2*pInst->dps_dc*u0_VSI_BP*u0_VGP_SI/u0/u0/u0));
  x_VSI_BP_VSI_BP=(+0.0*(pInst->dps_dc/u0)+0.0*((dps_dc_VSI_BP*u0-pInst->dps_dc*u0_VSI_BP)/u0/u0)+0.0*((dps_dc_VSI_BP*u0-pInst->dps_dc*u0_VSI_BP)/u0/u0)+0.5*(dps_dc_VSI_BP_VSI_BP/u0-(dps_dc_VSI_BP*u0_VSI_BP+dps_dc_VSI_BP*u0_VSI_BP+pInst->dps_dc*u0_VSI_BP_VSI_BP)/u0/u0+2*pInst->dps_dc*u0_VSI_BP*u0_VSI_BP/u0/u0/u0));
#endif
#endif
x=(0.5*(pInst->dps_dc/u0));
EXIT_IF_ISNAN((0.5*(pInst->dps_dc/u0)))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
u0_div_H_VGP_SI=((u0_VGP_SI*pInst->H_dc-u0*H_dc_VGP_SI)/pInst->H_dc/pInst->H_dc);
#if defined(_DERIVATE2)
  u0_div_H_VGP_SI_VGP_SI=(u0_VGP_SI_VGP_SI/pInst->H_dc-(u0_VGP_SI*H_dc_VGP_SI+u0_VGP_SI*H_dc_VGP_SI+u0*H_dc_VGP_SI_VGP_SI)/pInst->H_dc/pInst->H_dc+2*u0*H_dc_VGP_SI*H_dc_VGP_SI/pInst->H_dc/pInst->H_dc/pInst->H_dc);
  u0_div_H_VGP_SI_VDI_SI=(u0_VGP_SI_VDI_SI/pInst->H_dc-(u0_VGP_SI*H_dc_VDI_SI+u0_VDI_SI*H_dc_VGP_SI+u0*H_dc_VGP_SI_VDI_SI)/pInst->H_dc/pInst->H_dc+2*u0*H_dc_VGP_SI*H_dc_VDI_SI/pInst->H_dc/pInst->H_dc/pInst->H_dc);
  u0_div_H_VGP_SI_VSI_BP=(u0_VGP_SI_VSI_BP/pInst->H_dc-(u0_VGP_SI*H_dc_VSI_BP+u0_VSI_BP*H_dc_VGP_SI+u0*H_dc_VGP_SI_VSI_BP)/pInst->H_dc/pInst->H_dc+2*u0*H_dc_VGP_SI*H_dc_VSI_BP/pInst->H_dc/pInst->H_dc/pInst->H_dc);
#endif
u0_div_H_VDI_SI=((u0_VDI_SI*pInst->H_dc-u0*H_dc_VDI_SI)/pInst->H_dc/pInst->H_dc);
#if defined(_DERIVATE2)
  u0_div_H_VDI_SI_VGP_SI=(u0_VDI_SI_VGP_SI/pInst->H_dc-(u0_VDI_SI*H_dc_VGP_SI+u0_VGP_SI*H_dc_VDI_SI+u0*H_dc_VDI_SI_VGP_SI)/pInst->H_dc/pInst->H_dc+2*u0*H_dc_VDI_SI*H_dc_VGP_SI/pInst->H_dc/pInst->H_dc/pInst->H_dc);
  u0_div_H_VDI_SI_VDI_SI=(u0_VDI_SI_VDI_SI/pInst->H_dc-(u0_VDI_SI*H_dc_VDI_SI+u0_VDI_SI*H_dc_VDI_SI+u0*H_dc_VDI_SI_VDI_SI)/pInst->H_dc/pInst->H_dc+2*u0*H_dc_VDI_SI*H_dc_VDI_SI/pInst->H_dc/pInst->H_dc/pInst->H_dc);
  u0_div_H_VDI_SI_VSI_BP=(u0_VDI_SI_VSI_BP/pInst->H_dc-(u0_VDI_SI*H_dc_VSI_BP+u0_VSI_BP*H_dc_VDI_SI+u0*H_dc_VDI_SI_VSI_BP)/pInst->H_dc/pInst->H_dc+2*u0*H_dc_VDI_SI*H_dc_VSI_BP/pInst->H_dc/pInst->H_dc/pInst->H_dc);
#endif
u0_div_H_VSI_BP=((u0_VSI_BP*pInst->H_dc-u0*H_dc_VSI_BP)/pInst->H_dc/pInst->H_dc);
#if defined(_DERIVATE2)
  u0_div_H_VSI_BP_VGP_SI=(u0_VSI_BP_VGP_SI/pInst->H_dc-(u0_VSI_BP*H_dc_VGP_SI+u0_VGP_SI*H_dc_VSI_BP+u0*H_dc_VSI_BP_VGP_SI)/pInst->H_dc/pInst->H_dc+2*u0*H_dc_VSI_BP*H_dc_VGP_SI/pInst->H_dc/pInst->H_dc/pInst->H_dc);
  u0_div_H_VSI_BP_VDI_SI=(u0_VSI_BP_VDI_SI/pInst->H_dc-(u0_VSI_BP*H_dc_VDI_SI+u0_VDI_SI*H_dc_VSI_BP+u0*H_dc_VSI_BP_VDI_SI)/pInst->H_dc/pInst->H_dc+2*u0*H_dc_VSI_BP*H_dc_VDI_SI/pInst->H_dc/pInst->H_dc/pInst->H_dc);
  u0_div_H_VSI_BP_VSI_BP=(u0_VSI_BP_VSI_BP/pInst->H_dc-(u0_VSI_BP*H_dc_VSI_BP+u0_VSI_BP*H_dc_VSI_BP+u0*H_dc_VSI_BP_VSI_BP)/pInst->H_dc/pInst->H_dc+2*u0*H_dc_VSI_BP*H_dc_VSI_BP/pInst->H_dc/pInst->H_dc/pInst->H_dc);
#endif
#endif
u0_div_H=(u0/pInst->H_dc);
EXIT_IF_ISNAN((u0/pInst->H_dc))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Bg_VGP_SI=((u0_div_H_VGP_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VGP_SI)))*0.5;
#if defined(_DERIVATE2)
  Bg_VGP_SI_VGP_SI=(+(+u0_div_H_VGP_SI_VGP_SI*(1.0-u0_div_H)+u0_div_H_VGP_SI*(-u0_div_H_VGP_SI)+u0_div_H_VGP_SI*(-u0_div_H_VGP_SI)+u0_div_H*(+0.0-u0_div_H_VGP_SI_VGP_SI))*0.5+((u0_div_H_VGP_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VGP_SI)))*0.0+(((u0_div_H_VGP_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VGP_SI))))*0.0+(u0_div_H*(1.0-u0_div_H))*0.0);
  Bg_VGP_SI_VDI_SI=(+(+u0_div_H_VGP_SI_VDI_SI*(1.0-u0_div_H)+u0_div_H_VGP_SI*(-u0_div_H_VDI_SI)+u0_div_H_VDI_SI*(-u0_div_H_VGP_SI)+u0_div_H*(+0.0-u0_div_H_VGP_SI_VDI_SI))*0.5+((u0_div_H_VGP_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VGP_SI)))*0.0+(((u0_div_H_VDI_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VDI_SI))))*0.0+(u0_div_H*(1.0-u0_div_H))*0.0);
  Bg_VGP_SI_VSI_BP=(+(+u0_div_H_VGP_SI_VSI_BP*(1.0-u0_div_H)+u0_div_H_VGP_SI*(-u0_div_H_VSI_BP)+u0_div_H_VSI_BP*(-u0_div_H_VGP_SI)+u0_div_H*(+0.0-u0_div_H_VGP_SI_VSI_BP))*0.5+((u0_div_H_VGP_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VGP_SI)))*0.0+(((u0_div_H_VSI_BP*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VSI_BP))))*0.0+(u0_div_H*(1.0-u0_div_H))*0.0);
#endif
Bg_VDI_SI=((u0_div_H_VDI_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VDI_SI)))*0.5;
#if defined(_DERIVATE2)
  Bg_VDI_SI_VGP_SI=(+(+u0_div_H_VDI_SI_VGP_SI*(1.0-u0_div_H)+u0_div_H_VDI_SI*(-u0_div_H_VGP_SI)+u0_div_H_VGP_SI*(-u0_div_H_VDI_SI)+u0_div_H*(+0.0-u0_div_H_VDI_SI_VGP_SI))*0.5+((u0_div_H_VDI_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VDI_SI)))*0.0+(((u0_div_H_VGP_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VGP_SI))))*0.0+(u0_div_H*(1.0-u0_div_H))*0.0);
  Bg_VDI_SI_VDI_SI=(+(+u0_div_H_VDI_SI_VDI_SI*(1.0-u0_div_H)+u0_div_H_VDI_SI*(-u0_div_H_VDI_SI)+u0_div_H_VDI_SI*(-u0_div_H_VDI_SI)+u0_div_H*(+0.0-u0_div_H_VDI_SI_VDI_SI))*0.5+((u0_div_H_VDI_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VDI_SI)))*0.0+(((u0_div_H_VDI_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VDI_SI))))*0.0+(u0_div_H*(1.0-u0_div_H))*0.0);
  Bg_VDI_SI_VSI_BP=(+(+u0_div_H_VDI_SI_VSI_BP*(1.0-u0_div_H)+u0_div_H_VDI_SI*(-u0_div_H_VSI_BP)+u0_div_H_VSI_BP*(-u0_div_H_VDI_SI)+u0_div_H*(+0.0-u0_div_H_VDI_SI_VSI_BP))*0.5+((u0_div_H_VDI_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VDI_SI)))*0.0+(((u0_div_H_VSI_BP*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VSI_BP))))*0.0+(u0_div_H*(1.0-u0_div_H))*0.0);
#endif
Bg_VSI_BP=((u0_div_H_VSI_BP*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VSI_BP)))*0.5;
#if defined(_DERIVATE2)
  Bg_VSI_BP_VGP_SI=(+(+u0_div_H_VSI_BP_VGP_SI*(1.0-u0_div_H)+u0_div_H_VSI_BP*(-u0_div_H_VGP_SI)+u0_div_H_VGP_SI*(-u0_div_H_VSI_BP)+u0_div_H*(+0.0-u0_div_H_VSI_BP_VGP_SI))*0.5+((u0_div_H_VSI_BP*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VSI_BP)))*0.0+(((u0_div_H_VGP_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VGP_SI))))*0.0+(u0_div_H*(1.0-u0_div_H))*0.0);
  Bg_VSI_BP_VDI_SI=(+(+u0_div_H_VSI_BP_VDI_SI*(1.0-u0_div_H)+u0_div_H_VSI_BP*(-u0_div_H_VDI_SI)+u0_div_H_VDI_SI*(-u0_div_H_VSI_BP)+u0_div_H*(+0.0-u0_div_H_VSI_BP_VDI_SI))*0.5+((u0_div_H_VSI_BP*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VSI_BP)))*0.0+(((u0_div_H_VDI_SI*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VDI_SI))))*0.0+(u0_div_H*(1.0-u0_div_H))*0.0);
  Bg_VSI_BP_VSI_BP=(+(+u0_div_H_VSI_BP_VSI_BP*(1.0-u0_div_H)+u0_div_H_VSI_BP*(-u0_div_H_VSI_BP)+u0_div_H_VSI_BP*(-u0_div_H_VSI_BP)+u0_div_H*(+0.0-u0_div_H_VSI_BP_VSI_BP))*0.5+((u0_div_H_VSI_BP*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VSI_BP)))*0.0+(((u0_div_H_VSI_BP*(1.0-u0_div_H))+(u0_div_H*(-u0_div_H_VSI_BP))))*0.0+(u0_div_H*(1.0-u0_div_H))*0.0);
#endif
#endif
Bg=((u0_div_H*(1.0-u0_div_H))*0.5);
EXIT_IF_ISNAN(((u0_div_H*(1.0-u0_div_H))*0.5))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Ag_VGP_SI=(-(3.0*Bg_VGP_SI));
#if defined(_DERIVATE2)
  Ag_VGP_SI_VGP_SI=(+0.0-(+0.0*Bg+0.0*Bg_VGP_SI+0.0*Bg_VGP_SI+3.0*Bg_VGP_SI_VGP_SI));
  Ag_VGP_SI_VDI_SI=(+0.0-(+0.0*Bg+0.0*Bg_VDI_SI+0.0*Bg_VGP_SI+3.0*Bg_VGP_SI_VDI_SI));
  Ag_VGP_SI_VSI_BP=(+0.0-(+0.0*Bg+0.0*Bg_VSI_BP+0.0*Bg_VGP_SI+3.0*Bg_VGP_SI_VSI_BP));
#endif
Ag_VDI_SI=(-(3.0*Bg_VDI_SI));
#if defined(_DERIVATE2)
  Ag_VDI_SI_VGP_SI=(+0.0-(+0.0*Bg+0.0*Bg_VGP_SI+0.0*Bg_VDI_SI+3.0*Bg_VDI_SI_VGP_SI));
  Ag_VDI_SI_VDI_SI=(+0.0-(+0.0*Bg+0.0*Bg_VDI_SI+0.0*Bg_VDI_SI+3.0*Bg_VDI_SI_VDI_SI));
  Ag_VDI_SI_VSI_BP=(+0.0-(+0.0*Bg+0.0*Bg_VSI_BP+0.0*Bg_VDI_SI+3.0*Bg_VDI_SI_VSI_BP));
#endif
Ag_VSI_BP=(-(3.0*Bg_VSI_BP));
#if defined(_DERIVATE2)
  Ag_VSI_BP_VGP_SI=(+0.0-(+0.0*Bg+0.0*Bg_VGP_SI+0.0*Bg_VSI_BP+3.0*Bg_VSI_BP_VGP_SI));
  Ag_VSI_BP_VDI_SI=(+0.0-(+0.0*Bg+0.0*Bg_VDI_SI+0.0*Bg_VSI_BP+3.0*Bg_VSI_BP_VDI_SI));
  Ag_VSI_BP_VSI_BP=(+0.0-(+0.0*Bg+0.0*Bg_VSI_BP+0.0*Bg_VSI_BP+3.0*Bg_VSI_BP_VSI_BP));
#endif
#endif
Ag=(0.5-(3.0*Bg));
EXIT_IF_ISNAN((0.5-(3.0*Bg)))
if
((x<1.0e-3))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
xsq_VDI_SI=((x_VDI_SI*x)+(x*x_VDI_SI));
#if defined(_DERIVATE2)
  xsq_VDI_SI_VDI_SI=(+x_VDI_SI_VDI_SI*x+x_VDI_SI*x_VDI_SI+x_VDI_SI*x_VDI_SI+x*x_VDI_SI_VDI_SI);
  xsq_VDI_SI_VGP_SI=(+x_VDI_SI_VGP_SI*x+x_VDI_SI*x_VGP_SI+x_VGP_SI*x_VDI_SI+x*x_VDI_SI_VGP_SI);
  xsq_VDI_SI_VSI_BP=(+x_VDI_SI_VSI_BP*x+x_VDI_SI*x_VSI_BP+x_VSI_BP*x_VDI_SI+x*x_VDI_SI_VSI_BP);
#endif
xsq_VGP_SI=((x_VGP_SI*x)+(x*x_VGP_SI));
#if defined(_DERIVATE2)
  xsq_VGP_SI_VDI_SI=(+x_VGP_SI_VDI_SI*x+x_VGP_SI*x_VDI_SI+x_VDI_SI*x_VGP_SI+x*x_VGP_SI_VDI_SI);
  xsq_VGP_SI_VGP_SI=(+x_VGP_SI_VGP_SI*x+x_VGP_SI*x_VGP_SI+x_VGP_SI*x_VGP_SI+x*x_VGP_SI_VGP_SI);
  xsq_VGP_SI_VSI_BP=(+x_VGP_SI_VSI_BP*x+x_VGP_SI*x_VSI_BP+x_VSI_BP*x_VGP_SI+x*x_VGP_SI_VSI_BP);
#endif
xsq_VSI_BP=((x_VSI_BP*x)+(x*x_VSI_BP));
#if defined(_DERIVATE2)
  xsq_VSI_BP_VDI_SI=(+x_VSI_BP_VDI_SI*x+x_VSI_BP*x_VDI_SI+x_VDI_SI*x_VSI_BP+x*x_VSI_BP_VDI_SI);
  xsq_VSI_BP_VGP_SI=(+x_VSI_BP_VGP_SI*x+x_VSI_BP*x_VGP_SI+x_VGP_SI*x_VSI_BP+x*x_VSI_BP_VGP_SI);
  xsq_VSI_BP_VSI_BP=(+x_VSI_BP_VSI_BP*x+x_VSI_BP*x_VSI_BP+x_VSI_BP*x_VSI_BP+x*x_VSI_BP_VSI_BP);
#endif
#endif
xsq=(x*x);
EXIT_IF_ISNAN((x*x))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
igc_VDI_SI=((xsq_VDI_SI*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H))))))+(xsq*(u0_div_H_VDI_SI*3.3333333333333333e-01+(1.6666666666666667e-01*((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VDI_SI)))))));
#if defined(_DERIVATE2)
  igc_VDI_SI_VDI_SI=(+0.0+(+xsq_VDI_SI_VDI_SI*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))+xsq_VDI_SI*((u0_div_H_VDI_SI*3.3333333333333333e-01)+((1.6666666666666667e-01*(((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VDI_SI))))))))+xsq_VDI_SI*(u0_div_H_VDI_SI*3.3333333333333333e-01+(1.6666666666666667e-01*((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VDI_SI)))))+xsq*(+(+0.0+(+u0_div_H_VDI_SI_VDI_SI*3.3333333333333333e-01+u0_div_H_VDI_SI*0.0+u0_div_H_VDI_SI*0.0+u0_div_H*0.0))+(+0.0*(xsq*(0.05+(0.2*u0_div_H)))+0.0*(((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VDI_SI)))))+0.0*((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VDI_SI)))+1.6666666666666667e-01*(+xsq_VDI_SI_VDI_SI*(0.05+(0.2*u0_div_H))+xsq_VDI_SI*((0.2*u0_div_H_VDI_SI))+xsq_VDI_SI*(0.2*u0_div_H_VDI_SI)+xsq*(+0.0+(+0.0*u0_div_H+0.0*u0_div_H_VDI_SI+0.0*u0_div_H_VDI_SI+0.2*u0_div_H_VDI_SI_VDI_SI)))))));
  igc_VDI_SI_VGP_SI=(+0.0+(+xsq_VDI_SI_VGP_SI*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))+xsq_VDI_SI*((u0_div_H_VGP_SI*3.3333333333333333e-01)+((1.6666666666666667e-01*(((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VGP_SI))))))))+xsq_VGP_SI*(u0_div_H_VDI_SI*3.3333333333333333e-01+(1.6666666666666667e-01*((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VDI_SI)))))+xsq*(+(+0.0+(+u0_div_H_VDI_SI_VGP_SI*3.3333333333333333e-01+u0_div_H_VDI_SI*0.0+u0_div_H_VGP_SI*0.0+u0_div_H*0.0))+(+0.0*(xsq*(0.05+(0.2*u0_div_H)))+0.0*(((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VGP_SI)))))+0.0*((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VDI_SI)))+1.6666666666666667e-01*(+xsq_VDI_SI_VGP_SI*(0.05+(0.2*u0_div_H))+xsq_VDI_SI*((0.2*u0_div_H_VGP_SI))+xsq_VGP_SI*(0.2*u0_div_H_VDI_SI)+xsq*(+0.0+(+0.0*u0_div_H+0.0*u0_div_H_VGP_SI+0.0*u0_div_H_VDI_SI+0.2*u0_div_H_VDI_SI_VGP_SI)))))));
  igc_VDI_SI_VSI_BP=(+0.0+(+xsq_VDI_SI_VSI_BP*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))+xsq_VDI_SI*((u0_div_H_VSI_BP*3.3333333333333333e-01)+((1.6666666666666667e-01*(((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VSI_BP))))))))+xsq_VSI_BP*(u0_div_H_VDI_SI*3.3333333333333333e-01+(1.6666666666666667e-01*((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VDI_SI)))))+xsq*(+(+0.0+(+u0_div_H_VDI_SI_VSI_BP*3.3333333333333333e-01+u0_div_H_VDI_SI*0.0+u0_div_H_VSI_BP*0.0+u0_div_H*0.0))+(+0.0*(xsq*(0.05+(0.2*u0_div_H)))+0.0*(((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VSI_BP)))))+0.0*((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VDI_SI)))+1.6666666666666667e-01*(+xsq_VDI_SI_VSI_BP*(0.05+(0.2*u0_div_H))+xsq_VDI_SI*((0.2*u0_div_H_VSI_BP))+xsq_VSI_BP*(0.2*u0_div_H_VDI_SI)+xsq*(+0.0+(+0.0*u0_div_H+0.0*u0_div_H_VSI_BP+0.0*u0_div_H_VDI_SI+0.2*u0_div_H_VDI_SI_VSI_BP)))))));
#endif
igc_VGP_SI=((xsq_VGP_SI*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H))))))+(xsq*(u0_div_H_VGP_SI*3.3333333333333333e-01+(1.6666666666666667e-01*((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VGP_SI)))))));
#if defined(_DERIVATE2)
  igc_VGP_SI_VDI_SI=(+0.0+(+xsq_VGP_SI_VDI_SI*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))+xsq_VGP_SI*((u0_div_H_VDI_SI*3.3333333333333333e-01)+((1.6666666666666667e-01*(((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VDI_SI))))))))+xsq_VDI_SI*(u0_div_H_VGP_SI*3.3333333333333333e-01+(1.6666666666666667e-01*((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VGP_SI)))))+xsq*(+(+0.0+(+u0_div_H_VGP_SI_VDI_SI*3.3333333333333333e-01+u0_div_H_VGP_SI*0.0+u0_div_H_VDI_SI*0.0+u0_div_H*0.0))+(+0.0*(xsq*(0.05+(0.2*u0_div_H)))+0.0*(((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VDI_SI)))))+0.0*((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VGP_SI)))+1.6666666666666667e-01*(+xsq_VGP_SI_VDI_SI*(0.05+(0.2*u0_div_H))+xsq_VGP_SI*((0.2*u0_div_H_VDI_SI))+xsq_VDI_SI*(0.2*u0_div_H_VGP_SI)+xsq*(+0.0+(+0.0*u0_div_H+0.0*u0_div_H_VDI_SI+0.0*u0_div_H_VGP_SI+0.2*u0_div_H_VGP_SI_VDI_SI)))))));
  igc_VGP_SI_VGP_SI=(+0.0+(+xsq_VGP_SI_VGP_SI*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))+xsq_VGP_SI*((u0_div_H_VGP_SI*3.3333333333333333e-01)+((1.6666666666666667e-01*(((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VGP_SI))))))))+xsq_VGP_SI*(u0_div_H_VGP_SI*3.3333333333333333e-01+(1.6666666666666667e-01*((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VGP_SI)))))+xsq*(+(+0.0+(+u0_div_H_VGP_SI_VGP_SI*3.3333333333333333e-01+u0_div_H_VGP_SI*0.0+u0_div_H_VGP_SI*0.0+u0_div_H*0.0))+(+0.0*(xsq*(0.05+(0.2*u0_div_H)))+0.0*(((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VGP_SI)))))+0.0*((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VGP_SI)))+1.6666666666666667e-01*(+xsq_VGP_SI_VGP_SI*(0.05+(0.2*u0_div_H))+xsq_VGP_SI*((0.2*u0_div_H_VGP_SI))+xsq_VGP_SI*(0.2*u0_div_H_VGP_SI)+xsq*(+0.0+(+0.0*u0_div_H+0.0*u0_div_H_VGP_SI+0.0*u0_div_H_VGP_SI+0.2*u0_div_H_VGP_SI_VGP_SI)))))));
  igc_VGP_SI_VSI_BP=(+0.0+(+xsq_VGP_SI_VSI_BP*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))+xsq_VGP_SI*((u0_div_H_VSI_BP*3.3333333333333333e-01)+((1.6666666666666667e-01*(((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VSI_BP))))))))+xsq_VSI_BP*(u0_div_H_VGP_SI*3.3333333333333333e-01+(1.6666666666666667e-01*((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VGP_SI)))))+xsq*(+(+0.0+(+u0_div_H_VGP_SI_VSI_BP*3.3333333333333333e-01+u0_div_H_VGP_SI*0.0+u0_div_H_VSI_BP*0.0+u0_div_H*0.0))+(+0.0*(xsq*(0.05+(0.2*u0_div_H)))+0.0*(((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VSI_BP)))))+0.0*((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VGP_SI)))+1.6666666666666667e-01*(+xsq_VGP_SI_VSI_BP*(0.05+(0.2*u0_div_H))+xsq_VGP_SI*((0.2*u0_div_H_VSI_BP))+xsq_VSI_BP*(0.2*u0_div_H_VGP_SI)+xsq*(+0.0+(+0.0*u0_div_H+0.0*u0_div_H_VSI_BP+0.0*u0_div_H_VGP_SI+0.2*u0_div_H_VGP_SI_VSI_BP)))))));
#endif
igc_VSI_BP=((xsq_VSI_BP*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H))))))+(xsq*(u0_div_H_VSI_BP*3.3333333333333333e-01+(1.6666666666666667e-01*((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VSI_BP)))))));
#if defined(_DERIVATE2)
  igc_VSI_BP_VDI_SI=(+0.0+(+xsq_VSI_BP_VDI_SI*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))+xsq_VSI_BP*((u0_div_H_VDI_SI*3.3333333333333333e-01)+((1.6666666666666667e-01*(((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VDI_SI))))))))+xsq_VDI_SI*(u0_div_H_VSI_BP*3.3333333333333333e-01+(1.6666666666666667e-01*((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VSI_BP)))))+xsq*(+(+0.0+(+u0_div_H_VSI_BP_VDI_SI*3.3333333333333333e-01+u0_div_H_VSI_BP*0.0+u0_div_H_VDI_SI*0.0+u0_div_H*0.0))+(+0.0*(xsq*(0.05+(0.2*u0_div_H)))+0.0*(((xsq_VDI_SI*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VDI_SI)))))+0.0*((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VSI_BP)))+1.6666666666666667e-01*(+xsq_VSI_BP_VDI_SI*(0.05+(0.2*u0_div_H))+xsq_VSI_BP*((0.2*u0_div_H_VDI_SI))+xsq_VDI_SI*(0.2*u0_div_H_VSI_BP)+xsq*(+0.0+(+0.0*u0_div_H+0.0*u0_div_H_VDI_SI+0.0*u0_div_H_VSI_BP+0.2*u0_div_H_VSI_BP_VDI_SI)))))));
  igc_VSI_BP_VGP_SI=(+0.0+(+xsq_VSI_BP_VGP_SI*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))+xsq_VSI_BP*((u0_div_H_VGP_SI*3.3333333333333333e-01)+((1.6666666666666667e-01*(((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VGP_SI))))))))+xsq_VGP_SI*(u0_div_H_VSI_BP*3.3333333333333333e-01+(1.6666666666666667e-01*((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VSI_BP)))))+xsq*(+(+0.0+(+u0_div_H_VSI_BP_VGP_SI*3.3333333333333333e-01+u0_div_H_VSI_BP*0.0+u0_div_H_VGP_SI*0.0+u0_div_H*0.0))+(+0.0*(xsq*(0.05+(0.2*u0_div_H)))+0.0*(((xsq_VGP_SI*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VGP_SI)))))+0.0*((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VSI_BP)))+1.6666666666666667e-01*(+xsq_VSI_BP_VGP_SI*(0.05+(0.2*u0_div_H))+xsq_VSI_BP*((0.2*u0_div_H_VGP_SI))+xsq_VGP_SI*(0.2*u0_div_H_VSI_BP)+xsq*(+0.0+(+0.0*u0_div_H+0.0*u0_div_H_VGP_SI+0.0*u0_div_H_VSI_BP+0.2*u0_div_H_VSI_BP_VGP_SI)))))));
  igc_VSI_BP_VSI_BP=(+0.0+(+xsq_VSI_BP_VSI_BP*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))+xsq_VSI_BP*((u0_div_H_VSI_BP*3.3333333333333333e-01)+((1.6666666666666667e-01*(((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VSI_BP))))))))+xsq_VSI_BP*(u0_div_H_VSI_BP*3.3333333333333333e-01+(1.6666666666666667e-01*((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VSI_BP)))))+xsq*(+(+0.0+(+u0_div_H_VSI_BP_VSI_BP*3.3333333333333333e-01+u0_div_H_VSI_BP*0.0+u0_div_H_VSI_BP*0.0+u0_div_H*0.0))+(+0.0*(xsq*(0.05+(0.2*u0_div_H)))+0.0*(((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*((0.2*u0_div_H_VSI_BP)))))+0.0*((xsq_VSI_BP*(0.05+(0.2*u0_div_H)))+(xsq*(0.2*u0_div_H_VSI_BP)))+1.6666666666666667e-01*(+xsq_VSI_BP_VSI_BP*(0.05+(0.2*u0_div_H))+xsq_VSI_BP*((0.2*u0_div_H_VSI_BP))+xsq_VSI_BP*(0.2*u0_div_H_VSI_BP)+xsq*(+0.0+(+0.0*u0_div_H+0.0*u0_div_H_VSI_BP+0.0*u0_div_H_VSI_BP+0.2*u0_div_H_VSI_BP_VSI_BP)))))));
#endif
#endif
igc=(1.0+(xsq*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))));
EXIT_IF_ISNAN((1.0+(xsq*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
igcd_h_VDI_SI=((0.5*igc_VDI_SI)-(1.6666666666666667e-01*((x_VDI_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VDI_SI)+(0.0285714285714*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))))));
#if defined(_DERIVATE2)
  igcd_h_VDI_SI_VDI_SI=(+(+0.0*igc+0.0*igc_VDI_SI+0.0*igc_VDI_SI+0.5*igc_VDI_SI_VDI_SI)-(+0.0*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+0.0*(((x_VDI_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*(((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VDI_SI))+((0.0285714285714*(((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))))))))+0.0*((x_VDI_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VDI_SI)+(0.0285714285714*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))))+1.6666666666666667e-01*(+x_VDI_SI_VDI_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))))+x_VDI_SI*(((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VDI_SI))+((0.0285714285714*(((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI)))))))))+x_VDI_SI*((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VDI_SI)+(0.0285714285714*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))+x*(+0.0+(+xsq_VDI_SI_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))+xsq_VDI_SI*(((0.4*Bg_VDI_SI))+((0.0285714285714*(((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))+xsq_VDI_SI*((0.4*Bg_VDI_SI)+(0.0285714285714*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))+xsq*(+(+0.0*(Bg+0.25)+0.0*Bg_VDI_SI+0.0*Bg_VDI_SI+0.4*(+Bg_VDI_SI_VDI_SI+0.0))+(+0.0*(xsq*(0.125+Bg))+0.0*(((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI)))+0.0*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))+0.0285714285714*(+xsq_VDI_SI_VDI_SI*(0.125+Bg)+xsq_VDI_SI*Bg_VDI_SI+xsq_VDI_SI*Bg_VDI_SI+xsq*(+0.0+Bg_VDI_SI_VDI_SI)))))))));
  igcd_h_VDI_SI_VGP_SI=(+(+0.0*igc+0.0*igc_VGP_SI+0.0*igc_VDI_SI+0.5*igc_VDI_SI_VGP_SI)-(+0.0*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+0.0*(((x_VGP_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*(((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VGP_SI))+((0.0285714285714*(((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))))))))+0.0*((x_VDI_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VDI_SI)+(0.0285714285714*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))))+1.6666666666666667e-01*(+x_VDI_SI_VGP_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))))+x_VDI_SI*(((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VGP_SI))+((0.0285714285714*(((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI)))))))))+x_VGP_SI*((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VDI_SI)+(0.0285714285714*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))+x*(+0.0+(+xsq_VDI_SI_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))+xsq_VDI_SI*(((0.4*Bg_VGP_SI))+((0.0285714285714*(((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))+xsq_VGP_SI*((0.4*Bg_VDI_SI)+(0.0285714285714*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))+xsq*(+(+0.0*(Bg+0.25)+0.0*Bg_VGP_SI+0.0*Bg_VDI_SI+0.4*(+Bg_VDI_SI_VGP_SI+0.0))+(+0.0*(xsq*(0.125+Bg))+0.0*(((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI)))+0.0*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))+0.0285714285714*(+xsq_VDI_SI_VGP_SI*(0.125+Bg)+xsq_VDI_SI*Bg_VGP_SI+xsq_VGP_SI*Bg_VDI_SI+xsq*(+0.0+Bg_VDI_SI_VGP_SI)))))))));
  igcd_h_VDI_SI_VSI_BP=(+(+0.0*igc+0.0*igc_VSI_BP+0.0*igc_VDI_SI+0.5*igc_VDI_SI_VSI_BP)-(+0.0*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+0.0*(((x_VSI_BP*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*(((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VSI_BP))+((0.0285714285714*(((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))))))))+0.0*((x_VDI_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VDI_SI)+(0.0285714285714*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))))+1.6666666666666667e-01*(+x_VDI_SI_VSI_BP*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))))+x_VDI_SI*(((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VSI_BP))+((0.0285714285714*(((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP)))))))))+x_VSI_BP*((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VDI_SI)+(0.0285714285714*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))+x*(+0.0+(+xsq_VDI_SI_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))+xsq_VDI_SI*(((0.4*Bg_VSI_BP))+((0.0285714285714*(((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))+xsq_VSI_BP*((0.4*Bg_VDI_SI)+(0.0285714285714*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))+xsq*(+(+0.0*(Bg+0.25)+0.0*Bg_VSI_BP+0.0*Bg_VDI_SI+0.4*(+Bg_VDI_SI_VSI_BP+0.0))+(+0.0*(xsq*(0.125+Bg))+0.0*(((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP)))+0.0*((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))+0.0285714285714*(+xsq_VDI_SI_VSI_BP*(0.125+Bg)+xsq_VDI_SI*Bg_VSI_BP+xsq_VSI_BP*Bg_VDI_SI+xsq*(+0.0+Bg_VDI_SI_VSI_BP)))))))));
#endif
igcd_h_VGP_SI=((0.5*igc_VGP_SI)-(1.6666666666666667e-01*((x_VGP_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VGP_SI)+(0.0285714285714*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))))));
#if defined(_DERIVATE2)
  igcd_h_VGP_SI_VDI_SI=(+(+0.0*igc+0.0*igc_VDI_SI+0.0*igc_VGP_SI+0.5*igc_VGP_SI_VDI_SI)-(+0.0*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+0.0*(((x_VDI_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*(((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VDI_SI))+((0.0285714285714*(((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))))))))+0.0*((x_VGP_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VGP_SI)+(0.0285714285714*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))))+1.6666666666666667e-01*(+x_VGP_SI_VDI_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))))+x_VGP_SI*(((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VDI_SI))+((0.0285714285714*(((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI)))))))))+x_VDI_SI*((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VGP_SI)+(0.0285714285714*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))+x*(+0.0+(+xsq_VGP_SI_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))+xsq_VGP_SI*(((0.4*Bg_VDI_SI))+((0.0285714285714*(((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))+xsq_VDI_SI*((0.4*Bg_VGP_SI)+(0.0285714285714*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))+xsq*(+(+0.0*(Bg+0.25)+0.0*Bg_VDI_SI+0.0*Bg_VGP_SI+0.4*(+Bg_VGP_SI_VDI_SI+0.0))+(+0.0*(xsq*(0.125+Bg))+0.0*(((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI)))+0.0*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))+0.0285714285714*(+xsq_VGP_SI_VDI_SI*(0.125+Bg)+xsq_VGP_SI*Bg_VDI_SI+xsq_VDI_SI*Bg_VGP_SI+xsq*(+0.0+Bg_VGP_SI_VDI_SI)))))))));
  igcd_h_VGP_SI_VGP_SI=(+(+0.0*igc+0.0*igc_VGP_SI+0.0*igc_VGP_SI+0.5*igc_VGP_SI_VGP_SI)-(+0.0*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+0.0*(((x_VGP_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*(((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VGP_SI))+((0.0285714285714*(((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))))))))+0.0*((x_VGP_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VGP_SI)+(0.0285714285714*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))))+1.6666666666666667e-01*(+x_VGP_SI_VGP_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))))+x_VGP_SI*(((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VGP_SI))+((0.0285714285714*(((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI)))))))))+x_VGP_SI*((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VGP_SI)+(0.0285714285714*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))+x*(+0.0+(+xsq_VGP_SI_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))+xsq_VGP_SI*(((0.4*Bg_VGP_SI))+((0.0285714285714*(((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))+xsq_VGP_SI*((0.4*Bg_VGP_SI)+(0.0285714285714*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))+xsq*(+(+0.0*(Bg+0.25)+0.0*Bg_VGP_SI+0.0*Bg_VGP_SI+0.4*(+Bg_VGP_SI_VGP_SI+0.0))+(+0.0*(xsq*(0.125+Bg))+0.0*(((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI)))+0.0*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))+0.0285714285714*(+xsq_VGP_SI_VGP_SI*(0.125+Bg)+xsq_VGP_SI*Bg_VGP_SI+xsq_VGP_SI*Bg_VGP_SI+xsq*(+0.0+Bg_VGP_SI_VGP_SI)))))))));
  igcd_h_VGP_SI_VSI_BP=(+(+0.0*igc+0.0*igc_VSI_BP+0.0*igc_VGP_SI+0.5*igc_VGP_SI_VSI_BP)-(+0.0*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+0.0*(((x_VSI_BP*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*(((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VSI_BP))+((0.0285714285714*(((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))))))))+0.0*((x_VGP_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VGP_SI)+(0.0285714285714*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))))+1.6666666666666667e-01*(+x_VGP_SI_VSI_BP*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))))+x_VGP_SI*(((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VSI_BP))+((0.0285714285714*(((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP)))))))))+x_VSI_BP*((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VGP_SI)+(0.0285714285714*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))+x*(+0.0+(+xsq_VGP_SI_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))+xsq_VGP_SI*(((0.4*Bg_VSI_BP))+((0.0285714285714*(((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))+xsq_VSI_BP*((0.4*Bg_VGP_SI)+(0.0285714285714*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))+xsq*(+(+0.0*(Bg+0.25)+0.0*Bg_VSI_BP+0.0*Bg_VGP_SI+0.4*(+Bg_VGP_SI_VSI_BP+0.0))+(+0.0*(xsq*(0.125+Bg))+0.0*(((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP)))+0.0*((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))+0.0285714285714*(+xsq_VGP_SI_VSI_BP*(0.125+Bg)+xsq_VGP_SI*Bg_VSI_BP+xsq_VSI_BP*Bg_VGP_SI+xsq*(+0.0+Bg_VGP_SI_VSI_BP)))))))));
#endif
igcd_h_VSI_BP=((0.5*igc_VSI_BP)-(1.6666666666666667e-01*((x_VSI_BP*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VSI_BP)+(0.0285714285714*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))))));
#if defined(_DERIVATE2)
  igcd_h_VSI_BP_VDI_SI=(+(+0.0*igc+0.0*igc_VDI_SI+0.0*igc_VSI_BP+0.5*igc_VSI_BP_VDI_SI)-(+0.0*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+0.0*(((x_VDI_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*(((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VDI_SI))+((0.0285714285714*(((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))))))))+0.0*((x_VSI_BP*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VSI_BP)+(0.0285714285714*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))))+1.6666666666666667e-01*(+x_VSI_BP_VDI_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))))+x_VSI_BP*(((xsq_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VDI_SI))+((0.0285714285714*(((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI)))))))))+x_VDI_SI*((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VSI_BP)+(0.0285714285714*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))+x*(+0.0+(+xsq_VSI_BP_VDI_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))+xsq_VSI_BP*(((0.4*Bg_VDI_SI))+((0.0285714285714*(((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI))))))+xsq_VDI_SI*((0.4*Bg_VSI_BP)+(0.0285714285714*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))+xsq*(+(+0.0*(Bg+0.25)+0.0*Bg_VDI_SI+0.0*Bg_VSI_BP+0.4*(+Bg_VSI_BP_VDI_SI+0.0))+(+0.0*(xsq*(0.125+Bg))+0.0*(((xsq_VDI_SI*(0.125+Bg))+(xsq*Bg_VDI_SI)))+0.0*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))+0.0285714285714*(+xsq_VSI_BP_VDI_SI*(0.125+Bg)+xsq_VSI_BP*Bg_VDI_SI+xsq_VDI_SI*Bg_VSI_BP+xsq*(+0.0+Bg_VSI_BP_VDI_SI)))))))));
  igcd_h_VSI_BP_VGP_SI=(+(+0.0*igc+0.0*igc_VGP_SI+0.0*igc_VSI_BP+0.5*igc_VSI_BP_VGP_SI)-(+0.0*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+0.0*(((x_VGP_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*(((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VGP_SI))+((0.0285714285714*(((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))))))))+0.0*((x_VSI_BP*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VSI_BP)+(0.0285714285714*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))))+1.6666666666666667e-01*(+x_VSI_BP_VGP_SI*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))))+x_VSI_BP*(((xsq_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VGP_SI))+((0.0285714285714*(((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI)))))))))+x_VGP_SI*((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VSI_BP)+(0.0285714285714*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))+x*(+0.0+(+xsq_VSI_BP_VGP_SI*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))+xsq_VSI_BP*(((0.4*Bg_VGP_SI))+((0.0285714285714*(((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI))))))+xsq_VGP_SI*((0.4*Bg_VSI_BP)+(0.0285714285714*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))+xsq*(+(+0.0*(Bg+0.25)+0.0*Bg_VGP_SI+0.0*Bg_VSI_BP+0.4*(+Bg_VSI_BP_VGP_SI+0.0))+(+0.0*(xsq*(0.125+Bg))+0.0*(((xsq_VGP_SI*(0.125+Bg))+(xsq*Bg_VGP_SI)))+0.0*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))+0.0285714285714*(+xsq_VSI_BP_VGP_SI*(0.125+Bg)+xsq_VSI_BP*Bg_VGP_SI+xsq_VGP_SI*Bg_VSI_BP+xsq*(+0.0+Bg_VSI_BP_VGP_SI)))))))));
  igcd_h_VSI_BP_VSI_BP=(+(+0.0*igc+0.0*igc_VSI_BP+0.0*igc_VSI_BP+0.5*igc_VSI_BP_VSI_BP)-(+0.0*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+0.0*(((x_VSI_BP*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*(((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VSI_BP))+((0.0285714285714*(((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))))))))+0.0*((x_VSI_BP*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))+(x*((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VSI_BP)+(0.0285714285714*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))))+1.6666666666666667e-01*(+x_VSI_BP_VSI_BP*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))))+x_VSI_BP*(((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*(((0.4*Bg_VSI_BP))+((0.0285714285714*(((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP)))))))))+x_VSI_BP*((xsq_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))+(xsq*((0.4*Bg_VSI_BP)+(0.0285714285714*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))+x*(+0.0+(+xsq_VSI_BP_VSI_BP*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))+xsq_VSI_BP*(((0.4*Bg_VSI_BP))+((0.0285714285714*(((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))))+xsq_VSI_BP*((0.4*Bg_VSI_BP)+(0.0285714285714*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))))+xsq*(+(+0.0*(Bg+0.25)+0.0*Bg_VSI_BP+0.0*Bg_VSI_BP+0.4*(+Bg_VSI_BP_VSI_BP+0.0))+(+0.0*(xsq*(0.125+Bg))+0.0*(((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP)))+0.0*((xsq_VSI_BP*(0.125+Bg))+(xsq*Bg_VSI_BP))+0.0285714285714*(+xsq_VSI_BP_VSI_BP*(0.125+Bg)+xsq_VSI_BP*Bg_VSI_BP+xsq_VSI_BP*Bg_VSI_BP+xsq*(+0.0+Bg_VSI_BP_VSI_BP)))))))));
#endif
#endif
igcd_h=((0.5*igc)-(1.6666666666666667e-01*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))));
EXIT_IF_ISNAN(((0.5*igc)-(1.6666666666666667e-01*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg))))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
inv_x_VDI_SI=(-x_VDI_SI/x/x);
#if defined(_DERIVATE2)
  inv_x_VDI_SI_VDI_SI=(0.0/x-(0.0*x_VDI_SI+0.0*x_VDI_SI+1.0*x_VDI_SI_VDI_SI)/x/x+2*1.0*x_VDI_SI*x_VDI_SI/x/x/x);
  inv_x_VDI_SI_VGP_SI=(0.0/x-(0.0*x_VGP_SI+0.0*x_VDI_SI+1.0*x_VDI_SI_VGP_SI)/x/x+2*1.0*x_VDI_SI*x_VGP_SI/x/x/x);
  inv_x_VDI_SI_VSI_BP=(0.0/x-(0.0*x_VSI_BP+0.0*x_VDI_SI+1.0*x_VDI_SI_VSI_BP)/x/x+2*1.0*x_VDI_SI*x_VSI_BP/x/x/x);
#endif
inv_x_VGP_SI=(-x_VGP_SI/x/x);
#if defined(_DERIVATE2)
  inv_x_VGP_SI_VDI_SI=(0.0/x-(0.0*x_VDI_SI+0.0*x_VGP_SI+1.0*x_VGP_SI_VDI_SI)/x/x+2*1.0*x_VGP_SI*x_VDI_SI/x/x/x);
  inv_x_VGP_SI_VGP_SI=(0.0/x-(0.0*x_VGP_SI+0.0*x_VGP_SI+1.0*x_VGP_SI_VGP_SI)/x/x+2*1.0*x_VGP_SI*x_VGP_SI/x/x/x);
  inv_x_VGP_SI_VSI_BP=(0.0/x-(0.0*x_VSI_BP+0.0*x_VGP_SI+1.0*x_VGP_SI_VSI_BP)/x/x+2*1.0*x_VGP_SI*x_VSI_BP/x/x/x);
#endif
inv_x_VSI_BP=(-x_VSI_BP/x/x);
#if defined(_DERIVATE2)
  inv_x_VSI_BP_VDI_SI=(0.0/x-(0.0*x_VDI_SI+0.0*x_VSI_BP+1.0*x_VSI_BP_VDI_SI)/x/x+2*1.0*x_VSI_BP*x_VDI_SI/x/x/x);
  inv_x_VSI_BP_VGP_SI=(0.0/x-(0.0*x_VGP_SI+0.0*x_VSI_BP+1.0*x_VSI_BP_VGP_SI)/x/x+2*1.0*x_VSI_BP*x_VGP_SI/x/x/x);
  inv_x_VSI_BP_VSI_BP=(0.0/x-(0.0*x_VSI_BP+0.0*x_VSI_BP+1.0*x_VSI_BP_VSI_BP)/x/x+2*1.0*x_VSI_BP*x_VSI_BP/x/x/x);
#endif
#endif
inv_x=(1.0/x);
EXIT_IF_ISNAN((1.0/x))
{
double m00_fabs(d00_fabs0,x)
if
((d00_fabs0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,x)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
ex_VDI_SI=x_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  ex_VDI_SI_VDI_SI=(m20_exp(x)*x_VDI_SI*x_VDI_SI+d10_exp0*x_VDI_SI_VDI_SI);
  ex_VDI_SI_VGP_SI=(m20_exp(x)*x_VGP_SI*x_VDI_SI+d10_exp0*x_VDI_SI_VGP_SI);
  ex_VDI_SI_VSI_BP=(m20_exp(x)*x_VSI_BP*x_VDI_SI+d10_exp0*x_VDI_SI_VSI_BP);
#endif
ex_VGP_SI=x_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  ex_VGP_SI_VDI_SI=(m20_exp(x)*x_VDI_SI*x_VGP_SI+d10_exp0*x_VGP_SI_VDI_SI);
  ex_VGP_SI_VGP_SI=(m20_exp(x)*x_VGP_SI*x_VGP_SI+d10_exp0*x_VGP_SI_VGP_SI);
  ex_VGP_SI_VSI_BP=(m20_exp(x)*x_VSI_BP*x_VGP_SI+d10_exp0*x_VGP_SI_VSI_BP);
#endif
ex_VSI_BP=x_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  ex_VSI_BP_VDI_SI=(m20_exp(x)*x_VDI_SI*x_VSI_BP+d10_exp0*x_VSI_BP_VDI_SI);
  ex_VSI_BP_VGP_SI=(m20_exp(x)*x_VGP_SI*x_VSI_BP+d10_exp0*x_VSI_BP_VGP_SI);
  ex_VSI_BP_VSI_BP=(m20_exp(x)*x_VSI_BP*x_VSI_BP+d10_exp0*x_VSI_BP_VSI_BP);
#endif
#endif
ex=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
if
((x<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
ex_VDI_SI=(-1.0e-100*(((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  ex_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))-(0.0*((((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-x_VDI_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))+(-x_VDI_SI)*((0.5*((((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VDI_SI)*3.3333333333333333e-01))))))+(-x_VDI_SI)*(0.5*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-x)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+0.0*((((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-x_VDI_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))+(-x_VDI_SI)*((-x_VDI_SI)*3.3333333333333333e-01)+(-x_VDI_SI)*(-x_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-x)*(+0.0+(+(+0.0-x_VDI_SI_VDI_SI)*3.3333333333333333e-01+(-x_VDI_SI)*0.0+(-x_VDI_SI)*0.0+((-2.3025850929940458e+02)-x)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01)))))*((((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
  ex_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))-(0.0*((((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-x_VDI_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))+(-x_VDI_SI)*((0.5*((((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VGP_SI)*3.3333333333333333e-01))))))+(-x_VGP_SI)*(0.5*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-x)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+0.0*((((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-x_VDI_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))+(-x_VDI_SI)*((-x_VGP_SI)*3.3333333333333333e-01)+(-x_VGP_SI)*(-x_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-x)*(+0.0+(+(+0.0-x_VDI_SI_VGP_SI)*3.3333333333333333e-01+(-x_VDI_SI)*0.0+(-x_VGP_SI)*0.0+((-2.3025850929940458e+02)-x)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01)))))*((((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
  ex_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))-(0.0*((((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-x_VDI_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))+(-x_VDI_SI)*((0.5*((((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VSI_BP)*3.3333333333333333e-01))))))+(-x_VSI_BP)*(0.5*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-x)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+0.0*((((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-x_VDI_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))+(-x_VDI_SI)*((-x_VSI_BP)*3.3333333333333333e-01)+(-x_VSI_BP)*(-x_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-x)*(+0.0+(+(+0.0-x_VDI_SI_VSI_BP)*3.3333333333333333e-01+(-x_VDI_SI)*0.0+(-x_VSI_BP)*0.0+((-2.3025850929940458e+02)-x)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VDI_SI)*3.3333333333333333e-01)))))*((((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
#endif
ex_VGP_SI=(-1.0e-100*(((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  ex_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))-(0.0*((((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-x_VGP_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))+(-x_VGP_SI)*((0.5*((((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VDI_SI)*3.3333333333333333e-01))))))+(-x_VDI_SI)*(0.5*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-x)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+0.0*((((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-x_VGP_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))+(-x_VGP_SI)*((-x_VDI_SI)*3.3333333333333333e-01)+(-x_VDI_SI)*(-x_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-x)*(+0.0+(+(+0.0-x_VGP_SI_VDI_SI)*3.3333333333333333e-01+(-x_VGP_SI)*0.0+(-x_VDI_SI)*0.0+((-2.3025850929940458e+02)-x)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01)))))*((((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
  ex_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))-(0.0*((((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-x_VGP_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))+(-x_VGP_SI)*((0.5*((((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VGP_SI)*3.3333333333333333e-01))))))+(-x_VGP_SI)*(0.5*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-x)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+0.0*((((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-x_VGP_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))+(-x_VGP_SI)*((-x_VGP_SI)*3.3333333333333333e-01)+(-x_VGP_SI)*(-x_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-x)*(+0.0+(+(+0.0-x_VGP_SI_VGP_SI)*3.3333333333333333e-01+(-x_VGP_SI)*0.0+(-x_VGP_SI)*0.0+((-2.3025850929940458e+02)-x)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01)))))*((((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
  ex_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))-(0.0*((((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-x_VGP_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))+(-x_VGP_SI)*((0.5*((((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VSI_BP)*3.3333333333333333e-01))))))+(-x_VSI_BP)*(0.5*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-x)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+0.0*((((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-x_VGP_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))+(-x_VGP_SI)*((-x_VSI_BP)*3.3333333333333333e-01)+(-x_VSI_BP)*(-x_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-x)*(+0.0+(+(+0.0-x_VGP_SI_VSI_BP)*3.3333333333333333e-01+(-x_VGP_SI)*0.0+(-x_VSI_BP)*0.0+((-2.3025850929940458e+02)-x)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VGP_SI)*3.3333333333333333e-01)))))*((((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
#endif
ex_VSI_BP=(-1.0e-100*(((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  ex_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))-(0.0*((((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-x_VSI_BP_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))+(-x_VSI_BP)*((0.5*((((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VDI_SI)*3.3333333333333333e-01))))))+(-x_VDI_SI)*(0.5*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-x)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+0.0*((((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-x_VSI_BP_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))+(-x_VSI_BP)*((-x_VDI_SI)*3.3333333333333333e-01)+(-x_VDI_SI)*(-x_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-x)*(+0.0+(+(+0.0-x_VSI_BP_VDI_SI)*3.3333333333333333e-01+(-x_VSI_BP)*0.0+(-x_VDI_SI)*0.0+((-2.3025850929940458e+02)-x)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01)))))*((((-x_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
  ex_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))-(0.0*((((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-x_VSI_BP_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))+(-x_VSI_BP)*((0.5*((((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VGP_SI)*3.3333333333333333e-01))))))+(-x_VGP_SI)*(0.5*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-x)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+0.0*((((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-x_VSI_BP_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))+(-x_VSI_BP)*((-x_VGP_SI)*3.3333333333333333e-01)+(-x_VGP_SI)*(-x_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-x)*(+0.0+(+(+0.0-x_VSI_BP_VGP_SI)*3.3333333333333333e-01+(-x_VSI_BP)*0.0+(-x_VGP_SI)*0.0+((-2.3025850929940458e+02)-x)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01)))))*((((-x_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
  ex_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))-(0.0*((((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-x_VSI_BP_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))+(-x_VSI_BP)*((0.5*((((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VSI_BP)*3.3333333333333333e-01))))))+(-x_VSI_BP)*(0.5*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-x)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+0.0*((((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-x_VSI_BP_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))+(-x_VSI_BP)*((-x_VSI_BP)*3.3333333333333333e-01)+(-x_VSI_BP)*(-x_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-x)*(+0.0+(+(+0.0-x_VSI_BP_VSI_BP)*3.3333333333333333e-01+(-x_VSI_BP)*0.0+(-x_VSI_BP)*0.0+((-2.3025850929940458e+02)-x)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*(0.5*(((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*(-x_VSI_BP)*3.3333333333333333e-01)))))*((((-x_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-x)*((0.5*((((-x_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-x)*((-x_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
#endif
#endif
ex=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01)))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
ex_VDI_SI=(1.0e100*((x_VDI_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*(0.5*((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VDI_SI*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  ex_VDI_SI_VDI_SI=(+0.0*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((x_VDI_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*((0.5*(((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_VDI_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*(0.5*((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+x_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_VDI_SI*((0.5*(((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VDI_SI*3.3333333333333333e-01))))))+x_VDI_SI*(0.5*((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VDI_SI*3.3333333333333333e-01)))+(x-2.3025850929940458e+02)*(+0.0+(+0.0*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VDI_SI*3.3333333333333333e-01))))+0.0*((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_VDI_SI_VDI_SI-0.0)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))+x_VDI_SI*(x_VDI_SI*3.3333333333333333e-01)+x_VDI_SI*x_VDI_SI*3.3333333333333333e-01+(x-2.3025850929940458e+02)*(+0.0+(+(+x_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+x_VDI_SI*0.0+x_VDI_SI*0.0+(x-2.3025850929940458e+02)*0.0))))))));
  ex_VDI_SI_VGP_SI=(+0.0*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((x_VGP_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*((0.5*(((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_VDI_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*(0.5*((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+x_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_VDI_SI*((0.5*(((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VGP_SI*3.3333333333333333e-01))))))+x_VGP_SI*(0.5*((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VDI_SI*3.3333333333333333e-01)))+(x-2.3025850929940458e+02)*(+0.0+(+0.0*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VGP_SI*3.3333333333333333e-01))))+0.0*((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_VDI_SI_VGP_SI-0.0)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))+x_VDI_SI*(x_VGP_SI*3.3333333333333333e-01)+x_VGP_SI*x_VDI_SI*3.3333333333333333e-01+(x-2.3025850929940458e+02)*(+0.0+(+(+x_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+x_VDI_SI*0.0+x_VGP_SI*0.0+(x-2.3025850929940458e+02)*0.0))))))));
  ex_VDI_SI_VSI_BP=(+0.0*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((x_VSI_BP*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*((0.5*(((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_VDI_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*(0.5*((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+x_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_VDI_SI*((0.5*(((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VSI_BP*3.3333333333333333e-01))))))+x_VSI_BP*(0.5*((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VDI_SI*3.3333333333333333e-01)))+(x-2.3025850929940458e+02)*(+0.0+(+0.0*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VSI_BP*3.3333333333333333e-01))))+0.0*((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_VDI_SI_VSI_BP-0.0)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))+x_VDI_SI*(x_VSI_BP*3.3333333333333333e-01)+x_VSI_BP*x_VDI_SI*3.3333333333333333e-01+(x-2.3025850929940458e+02)*(+0.0+(+(+x_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+x_VDI_SI*0.0+x_VSI_BP*0.0+(x-2.3025850929940458e+02)*0.0))))))));
#endif
ex_VGP_SI=(1.0e100*((x_VGP_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*(0.5*((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VGP_SI*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  ex_VGP_SI_VDI_SI=(+0.0*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((x_VDI_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*((0.5*(((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_VGP_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*(0.5*((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+x_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_VGP_SI*((0.5*(((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VDI_SI*3.3333333333333333e-01))))))+x_VDI_SI*(0.5*((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VGP_SI*3.3333333333333333e-01)))+(x-2.3025850929940458e+02)*(+0.0+(+0.0*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VDI_SI*3.3333333333333333e-01))))+0.0*((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_VGP_SI_VDI_SI-0.0)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))+x_VGP_SI*(x_VDI_SI*3.3333333333333333e-01)+x_VDI_SI*x_VGP_SI*3.3333333333333333e-01+(x-2.3025850929940458e+02)*(+0.0+(+(+x_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+x_VGP_SI*0.0+x_VDI_SI*0.0+(x-2.3025850929940458e+02)*0.0))))))));
  ex_VGP_SI_VGP_SI=(+0.0*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((x_VGP_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*((0.5*(((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_VGP_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*(0.5*((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+x_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_VGP_SI*((0.5*(((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VGP_SI*3.3333333333333333e-01))))))+x_VGP_SI*(0.5*((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VGP_SI*3.3333333333333333e-01)))+(x-2.3025850929940458e+02)*(+0.0+(+0.0*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VGP_SI*3.3333333333333333e-01))))+0.0*((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_VGP_SI_VGP_SI-0.0)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))+x_VGP_SI*(x_VGP_SI*3.3333333333333333e-01)+x_VGP_SI*x_VGP_SI*3.3333333333333333e-01+(x-2.3025850929940458e+02)*(+0.0+(+(+x_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+x_VGP_SI*0.0+x_VGP_SI*0.0+(x-2.3025850929940458e+02)*0.0))))))));
  ex_VGP_SI_VSI_BP=(+0.0*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((x_VSI_BP*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*((0.5*(((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_VGP_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*(0.5*((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+x_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_VGP_SI*((0.5*(((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VSI_BP*3.3333333333333333e-01))))))+x_VSI_BP*(0.5*((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VGP_SI*3.3333333333333333e-01)))+(x-2.3025850929940458e+02)*(+0.0+(+0.0*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VSI_BP*3.3333333333333333e-01))))+0.0*((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_VGP_SI_VSI_BP-0.0)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))+x_VGP_SI*(x_VSI_BP*3.3333333333333333e-01)+x_VSI_BP*x_VGP_SI*3.3333333333333333e-01+(x-2.3025850929940458e+02)*(+0.0+(+(+x_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+x_VGP_SI*0.0+x_VSI_BP*0.0+(x-2.3025850929940458e+02)*0.0))))))));
#endif
ex_VSI_BP=(1.0e100*((x_VSI_BP*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*(0.5*((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VSI_BP*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  ex_VSI_BP_VDI_SI=(+0.0*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((x_VDI_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*((0.5*(((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_VSI_BP*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*(0.5*((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+x_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_VSI_BP*((0.5*(((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VDI_SI*3.3333333333333333e-01))))))+x_VDI_SI*(0.5*((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VSI_BP*3.3333333333333333e-01)))+(x-2.3025850929940458e+02)*(+0.0+(+0.0*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_VDI_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VDI_SI*3.3333333333333333e-01))))+0.0*((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_VSI_BP_VDI_SI-0.0)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))+x_VSI_BP*(x_VDI_SI*3.3333333333333333e-01)+x_VDI_SI*x_VSI_BP*3.3333333333333333e-01+(x-2.3025850929940458e+02)*(+0.0+(+(+x_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+x_VSI_BP*0.0+x_VDI_SI*0.0+(x-2.3025850929940458e+02)*0.0))))))));
  ex_VSI_BP_VGP_SI=(+0.0*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((x_VGP_SI*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*((0.5*(((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_VSI_BP*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*(0.5*((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+x_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_VSI_BP*((0.5*(((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VGP_SI*3.3333333333333333e-01))))))+x_VGP_SI*(0.5*((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VSI_BP*3.3333333333333333e-01)))+(x-2.3025850929940458e+02)*(+0.0+(+0.0*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_VGP_SI*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VGP_SI*3.3333333333333333e-01))))+0.0*((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_VSI_BP_VGP_SI-0.0)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))+x_VSI_BP*(x_VGP_SI*3.3333333333333333e-01)+x_VGP_SI*x_VSI_BP*3.3333333333333333e-01+(x-2.3025850929940458e+02)*(+0.0+(+(+x_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+x_VSI_BP*0.0+x_VGP_SI*0.0+(x-2.3025850929940458e+02)*0.0))))))));
  ex_VSI_BP_VSI_BP=(+0.0*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((x_VSI_BP*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*((0.5*(((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_VSI_BP*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x-2.3025850929940458e+02)*(0.5*((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+x_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_VSI_BP*((0.5*(((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VSI_BP*3.3333333333333333e-01))))))+x_VSI_BP*(0.5*((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VSI_BP*3.3333333333333333e-01)))+(x-2.3025850929940458e+02)*(+0.0+(+0.0*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*(x_VSI_BP*3.3333333333333333e-01))))+0.0*((x_VSI_BP*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x-2.3025850929940458e+02)*x_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_VSI_BP_VSI_BP-0.0)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))+x_VSI_BP*(x_VSI_BP*3.3333333333333333e-01)+x_VSI_BP*x_VSI_BP*3.3333333333333333e-01+(x-2.3025850929940458e+02)*(+0.0+(+(+x_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+x_VSI_BP*0.0+x_VSI_BP*0.0+(x-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
ex=(1.0e100*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
inv_ex_VDI_SI=(-ex_VDI_SI/ex/ex);
#if defined(_DERIVATE2)
  inv_ex_VDI_SI_VDI_SI=(0.0/ex-(0.0*ex_VDI_SI+0.0*ex_VDI_SI+1.0*ex_VDI_SI_VDI_SI)/ex/ex+2*1.0*ex_VDI_SI*ex_VDI_SI/ex/ex/ex);
  inv_ex_VDI_SI_VGP_SI=(0.0/ex-(0.0*ex_VGP_SI+0.0*ex_VDI_SI+1.0*ex_VDI_SI_VGP_SI)/ex/ex+2*1.0*ex_VDI_SI*ex_VGP_SI/ex/ex/ex);
  inv_ex_VDI_SI_VSI_BP=(0.0/ex-(0.0*ex_VSI_BP+0.0*ex_VDI_SI+1.0*ex_VDI_SI_VSI_BP)/ex/ex+2*1.0*ex_VDI_SI*ex_VSI_BP/ex/ex/ex);
#endif
inv_ex_VGP_SI=(-ex_VGP_SI/ex/ex);
#if defined(_DERIVATE2)
  inv_ex_VGP_SI_VDI_SI=(0.0/ex-(0.0*ex_VDI_SI+0.0*ex_VGP_SI+1.0*ex_VGP_SI_VDI_SI)/ex/ex+2*1.0*ex_VGP_SI*ex_VDI_SI/ex/ex/ex);
  inv_ex_VGP_SI_VGP_SI=(0.0/ex-(0.0*ex_VGP_SI+0.0*ex_VGP_SI+1.0*ex_VGP_SI_VGP_SI)/ex/ex+2*1.0*ex_VGP_SI*ex_VGP_SI/ex/ex/ex);
  inv_ex_VGP_SI_VSI_BP=(0.0/ex-(0.0*ex_VSI_BP+0.0*ex_VGP_SI+1.0*ex_VGP_SI_VSI_BP)/ex/ex+2*1.0*ex_VGP_SI*ex_VSI_BP/ex/ex/ex);
#endif
inv_ex_VSI_BP=(-ex_VSI_BP/ex/ex);
#if defined(_DERIVATE2)
  inv_ex_VSI_BP_VDI_SI=(0.0/ex-(0.0*ex_VDI_SI+0.0*ex_VSI_BP+1.0*ex_VSI_BP_VDI_SI)/ex/ex+2*1.0*ex_VSI_BP*ex_VDI_SI/ex/ex/ex);
  inv_ex_VSI_BP_VGP_SI=(0.0/ex-(0.0*ex_VGP_SI+0.0*ex_VSI_BP+1.0*ex_VSI_BP_VGP_SI)/ex/ex+2*1.0*ex_VSI_BP*ex_VGP_SI/ex/ex/ex);
  inv_ex_VSI_BP_VSI_BP=(0.0/ex-(0.0*ex_VSI_BP+0.0*ex_VSI_BP+1.0*ex_VSI_BP_VSI_BP)/ex/ex+2*1.0*ex_VSI_BP*ex_VSI_BP/ex/ex/ex);
#endif
#endif
inv_ex=(1.0/ex);
EXIT_IF_ISNAN((1.0/ex))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(ex_VGP_SI-inv_ex_VGP_SI);
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+ex_VGP_SI_VGP_SI-inv_ex_VGP_SI_VGP_SI);
  temp_VGP_SI_VDI_SI=(+ex_VGP_SI_VDI_SI-inv_ex_VGP_SI_VDI_SI);
  temp_VGP_SI_VSI_BP=(+ex_VGP_SI_VSI_BP-inv_ex_VGP_SI_VSI_BP);
#endif
temp_VDI_SI=(ex_VDI_SI-inv_ex_VDI_SI);
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+ex_VDI_SI_VGP_SI-inv_ex_VDI_SI_VGP_SI);
  temp_VDI_SI_VDI_SI=(+ex_VDI_SI_VDI_SI-inv_ex_VDI_SI_VDI_SI);
  temp_VDI_SI_VSI_BP=(+ex_VDI_SI_VSI_BP-inv_ex_VDI_SI_VSI_BP);
#endif
temp_VSI_BP=(ex_VSI_BP-inv_ex_VSI_BP);
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+ex_VSI_BP_VGP_SI-inv_ex_VSI_BP_VGP_SI);
  temp_VSI_BP_VDI_SI=(+ex_VSI_BP_VDI_SI-inv_ex_VSI_BP_VDI_SI);
  temp_VSI_BP_VSI_BP=(+ex_VSI_BP_VSI_BP-inv_ex_VSI_BP_VSI_BP);
#endif
#endif
temp=(ex-inv_ex);
EXIT_IF_ISNAN((ex-inv_ex))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=(ex_VDI_SI+inv_ex_VDI_SI);
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(+ex_VDI_SI_VDI_SI+inv_ex_VDI_SI_VDI_SI);
  temp2_VDI_SI_VGP_SI=(+ex_VDI_SI_VGP_SI+inv_ex_VDI_SI_VGP_SI);
  temp2_VDI_SI_VSI_BP=(+ex_VDI_SI_VSI_BP+inv_ex_VDI_SI_VSI_BP);
#endif
temp2_VGP_SI=(ex_VGP_SI+inv_ex_VGP_SI);
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(+ex_VGP_SI_VDI_SI+inv_ex_VGP_SI_VDI_SI);
  temp2_VGP_SI_VGP_SI=(+ex_VGP_SI_VGP_SI+inv_ex_VGP_SI_VGP_SI);
  temp2_VGP_SI_VSI_BP=(+ex_VGP_SI_VSI_BP+inv_ex_VGP_SI_VSI_BP);
#endif
temp2_VSI_BP=(ex_VSI_BP+inv_ex_VSI_BP);
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(+ex_VSI_BP_VDI_SI+inv_ex_VSI_BP_VDI_SI);
  temp2_VSI_BP_VGP_SI=(+ex_VSI_BP_VGP_SI+inv_ex_VSI_BP_VGP_SI);
  temp2_VSI_BP_VSI_BP=(+ex_VSI_BP_VSI_BP+inv_ex_VSI_BP_VSI_BP);
#endif
#endif
temp2=(ex+inv_ex);
EXIT_IF_ISNAN((ex+inv_ex))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
igc_VDI_SI=(0.5*((((((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VDI_SI))+((u0_div_H_VDI_SI*temp2)+(u0_div_H*temp2_VDI_SI))));
#if defined(_DERIVATE2)
  igc_VDI_SI_VDI_SI=(+0.0*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2))+0.0*((((((((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI)))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VDI_SI)))+(((u0_div_H_VDI_SI*temp2)+(u0_div_H*temp2_VDI_SI))))+0.0*((((((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VDI_SI))+((u0_div_H_VDI_SI*temp2)+(u0_div_H*temp2_VDI_SI)))+0.5*(+(+(+(+0.0-u0_div_H_VDI_SI_VDI_SI)*temp+(-u0_div_H_VDI_SI)*temp_VDI_SI+(-u0_div_H_VDI_SI)*temp_VDI_SI+(1.0-u0_div_H)*temp_VDI_SI_VDI_SI)*inv_x+(((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI))*inv_x_VDI_SI+((((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI)))*inv_x_VDI_SI+((1.0-u0_div_H)*temp)*inv_x_VDI_SI_VDI_SI)+(+u0_div_H_VDI_SI_VDI_SI*temp2+u0_div_H_VDI_SI*temp2_VDI_SI+u0_div_H_VDI_SI*temp2_VDI_SI+u0_div_H*temp2_VDI_SI_VDI_SI)));
  igc_VDI_SI_VGP_SI=(+0.0*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2))+0.0*((((((((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI)))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VGP_SI)))+(((u0_div_H_VGP_SI*temp2)+(u0_div_H*temp2_VGP_SI))))+0.0*((((((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VDI_SI))+((u0_div_H_VDI_SI*temp2)+(u0_div_H*temp2_VDI_SI)))+0.5*(+(+(+(+0.0-u0_div_H_VDI_SI_VGP_SI)*temp+(-u0_div_H_VDI_SI)*temp_VGP_SI+(-u0_div_H_VGP_SI)*temp_VDI_SI+(1.0-u0_div_H)*temp_VDI_SI_VGP_SI)*inv_x+(((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI))*inv_x_VGP_SI+((((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI)))*inv_x_VDI_SI+((1.0-u0_div_H)*temp)*inv_x_VDI_SI_VGP_SI)+(+u0_div_H_VDI_SI_VGP_SI*temp2+u0_div_H_VDI_SI*temp2_VGP_SI+u0_div_H_VGP_SI*temp2_VDI_SI+u0_div_H*temp2_VDI_SI_VGP_SI)));
  igc_VDI_SI_VSI_BP=(+0.0*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2))+0.0*((((((((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP)))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VSI_BP)))+(((u0_div_H_VSI_BP*temp2)+(u0_div_H*temp2_VSI_BP))))+0.0*((((((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VDI_SI))+((u0_div_H_VDI_SI*temp2)+(u0_div_H*temp2_VDI_SI)))+0.5*(+(+(+(+0.0-u0_div_H_VDI_SI_VSI_BP)*temp+(-u0_div_H_VDI_SI)*temp_VSI_BP+(-u0_div_H_VSI_BP)*temp_VDI_SI+(1.0-u0_div_H)*temp_VDI_SI_VSI_BP)*inv_x+(((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI))*inv_x_VSI_BP+((((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP)))*inv_x_VDI_SI+((1.0-u0_div_H)*temp)*inv_x_VDI_SI_VSI_BP)+(+u0_div_H_VDI_SI_VSI_BP*temp2+u0_div_H_VDI_SI*temp2_VSI_BP+u0_div_H_VSI_BP*temp2_VDI_SI+u0_div_H*temp2_VDI_SI_VSI_BP)));
#endif
igc_VGP_SI=(0.5*((((((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VGP_SI))+((u0_div_H_VGP_SI*temp2)+(u0_div_H*temp2_VGP_SI))));
#if defined(_DERIVATE2)
  igc_VGP_SI_VDI_SI=(+0.0*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2))+0.0*((((((((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI)))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VDI_SI)))+(((u0_div_H_VDI_SI*temp2)+(u0_div_H*temp2_VDI_SI))))+0.0*((((((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VGP_SI))+((u0_div_H_VGP_SI*temp2)+(u0_div_H*temp2_VGP_SI)))+0.5*(+(+(+(+0.0-u0_div_H_VGP_SI_VDI_SI)*temp+(-u0_div_H_VGP_SI)*temp_VDI_SI+(-u0_div_H_VDI_SI)*temp_VGP_SI+(1.0-u0_div_H)*temp_VGP_SI_VDI_SI)*inv_x+(((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI))*inv_x_VDI_SI+((((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI)))*inv_x_VGP_SI+((1.0-u0_div_H)*temp)*inv_x_VGP_SI_VDI_SI)+(+u0_div_H_VGP_SI_VDI_SI*temp2+u0_div_H_VGP_SI*temp2_VDI_SI+u0_div_H_VDI_SI*temp2_VGP_SI+u0_div_H*temp2_VGP_SI_VDI_SI)));
  igc_VGP_SI_VGP_SI=(+0.0*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2))+0.0*((((((((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI)))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VGP_SI)))+(((u0_div_H_VGP_SI*temp2)+(u0_div_H*temp2_VGP_SI))))+0.0*((((((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VGP_SI))+((u0_div_H_VGP_SI*temp2)+(u0_div_H*temp2_VGP_SI)))+0.5*(+(+(+(+0.0-u0_div_H_VGP_SI_VGP_SI)*temp+(-u0_div_H_VGP_SI)*temp_VGP_SI+(-u0_div_H_VGP_SI)*temp_VGP_SI+(1.0-u0_div_H)*temp_VGP_SI_VGP_SI)*inv_x+(((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI))*inv_x_VGP_SI+((((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI)))*inv_x_VGP_SI+((1.0-u0_div_H)*temp)*inv_x_VGP_SI_VGP_SI)+(+u0_div_H_VGP_SI_VGP_SI*temp2+u0_div_H_VGP_SI*temp2_VGP_SI+u0_div_H_VGP_SI*temp2_VGP_SI+u0_div_H*temp2_VGP_SI_VGP_SI)));
  igc_VGP_SI_VSI_BP=(+0.0*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2))+0.0*((((((((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP)))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VSI_BP)))+(((u0_div_H_VSI_BP*temp2)+(u0_div_H*temp2_VSI_BP))))+0.0*((((((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VGP_SI))+((u0_div_H_VGP_SI*temp2)+(u0_div_H*temp2_VGP_SI)))+0.5*(+(+(+(+0.0-u0_div_H_VGP_SI_VSI_BP)*temp+(-u0_div_H_VGP_SI)*temp_VSI_BP+(-u0_div_H_VSI_BP)*temp_VGP_SI+(1.0-u0_div_H)*temp_VGP_SI_VSI_BP)*inv_x+(((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI))*inv_x_VSI_BP+((((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP)))*inv_x_VGP_SI+((1.0-u0_div_H)*temp)*inv_x_VGP_SI_VSI_BP)+(+u0_div_H_VGP_SI_VSI_BP*temp2+u0_div_H_VGP_SI*temp2_VSI_BP+u0_div_H_VSI_BP*temp2_VGP_SI+u0_div_H*temp2_VGP_SI_VSI_BP)));
#endif
igc_VSI_BP=(0.5*((((((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VSI_BP))+((u0_div_H_VSI_BP*temp2)+(u0_div_H*temp2_VSI_BP))));
#if defined(_DERIVATE2)
  igc_VSI_BP_VDI_SI=(+0.0*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2))+0.0*((((((((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI)))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VDI_SI)))+(((u0_div_H_VDI_SI*temp2)+(u0_div_H*temp2_VDI_SI))))+0.0*((((((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VSI_BP))+((u0_div_H_VSI_BP*temp2)+(u0_div_H*temp2_VSI_BP)))+0.5*(+(+(+(+0.0-u0_div_H_VSI_BP_VDI_SI)*temp+(-u0_div_H_VSI_BP)*temp_VDI_SI+(-u0_div_H_VDI_SI)*temp_VSI_BP+(1.0-u0_div_H)*temp_VSI_BP_VDI_SI)*inv_x+(((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP))*inv_x_VDI_SI+((((-u0_div_H_VDI_SI)*temp)+((1.0-u0_div_H)*temp_VDI_SI)))*inv_x_VSI_BP+((1.0-u0_div_H)*temp)*inv_x_VSI_BP_VDI_SI)+(+u0_div_H_VSI_BP_VDI_SI*temp2+u0_div_H_VSI_BP*temp2_VDI_SI+u0_div_H_VDI_SI*temp2_VSI_BP+u0_div_H*temp2_VSI_BP_VDI_SI)));
  igc_VSI_BP_VGP_SI=(+0.0*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2))+0.0*((((((((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI)))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VGP_SI)))+(((u0_div_H_VGP_SI*temp2)+(u0_div_H*temp2_VGP_SI))))+0.0*((((((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VSI_BP))+((u0_div_H_VSI_BP*temp2)+(u0_div_H*temp2_VSI_BP)))+0.5*(+(+(+(+0.0-u0_div_H_VSI_BP_VGP_SI)*temp+(-u0_div_H_VSI_BP)*temp_VGP_SI+(-u0_div_H_VGP_SI)*temp_VSI_BP+(1.0-u0_div_H)*temp_VSI_BP_VGP_SI)*inv_x+(((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP))*inv_x_VGP_SI+((((-u0_div_H_VGP_SI)*temp)+((1.0-u0_div_H)*temp_VGP_SI)))*inv_x_VSI_BP+((1.0-u0_div_H)*temp)*inv_x_VSI_BP_VGP_SI)+(+u0_div_H_VSI_BP_VGP_SI*temp2+u0_div_H_VSI_BP*temp2_VGP_SI+u0_div_H_VGP_SI*temp2_VSI_BP+u0_div_H*temp2_VSI_BP_VGP_SI)));
  igc_VSI_BP_VSI_BP=(+0.0*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2))+0.0*((((((((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP)))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VSI_BP)))+(((u0_div_H_VSI_BP*temp2)+(u0_div_H*temp2_VSI_BP))))+0.0*((((((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP))*inv_x)+(((1.0-u0_div_H)*temp)*inv_x_VSI_BP))+((u0_div_H_VSI_BP*temp2)+(u0_div_H*temp2_VSI_BP)))+0.5*(+(+(+(+0.0-u0_div_H_VSI_BP_VSI_BP)*temp+(-u0_div_H_VSI_BP)*temp_VSI_BP+(-u0_div_H_VSI_BP)*temp_VSI_BP+(1.0-u0_div_H)*temp_VSI_BP_VSI_BP)*inv_x+(((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP))*inv_x_VSI_BP+((((-u0_div_H_VSI_BP)*temp)+((1.0-u0_div_H)*temp_VSI_BP)))*inv_x_VSI_BP+((1.0-u0_div_H)*temp)*inv_x_VSI_BP_VSI_BP)+(+u0_div_H_VSI_BP_VSI_BP*temp2+u0_div_H_VSI_BP*temp2_VSI_BP+u0_div_H_VSI_BP*temp2_VSI_BP+u0_div_H*temp2_VSI_BP_VSI_BP)));
#endif
#endif
igc=(0.5*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2)));
EXIT_IF_ISNAN((0.5*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
igcd_h_VDI_SI=(0.5*((igc_VDI_SI-((temp_VDI_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VDI_SI-((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI))))))-((((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI))*inv_x)+((Ag*temp2)*inv_x_VDI_SI))));
#if defined(_DERIVATE2)
  igcd_h_VDI_SI_VDI_SI=(+0.0*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x))+0.0*((igc_VDI_SI-(((temp_VDI_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VDI_SI-((((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI)))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI))))))))-((((((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI)))*inv_x)+((Ag*temp2)*inv_x_VDI_SI))))+0.0*((igc_VDI_SI-((temp_VDI_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VDI_SI-((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI))))))-((((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI))*inv_x)+((Ag*temp2)*inv_x_VDI_SI)))+0.5*(+(+igc_VDI_SI_VDI_SI-(+temp_VDI_SI_VDI_SI*(Bg-((Ag*inv_x)*inv_x))+temp_VDI_SI*(Bg_VDI_SI-((((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI)))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI))))+temp_VDI_SI*(Bg_VDI_SI-((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI)))+temp*(+Bg_VDI_SI_VDI_SI-(+(+Ag_VDI_SI_VDI_SI*inv_x+Ag_VDI_SI*inv_x_VDI_SI+Ag_VDI_SI*inv_x_VDI_SI+Ag*inv_x_VDI_SI_VDI_SI)*inv_x+((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI))*inv_x_VDI_SI+(((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI)))*inv_x_VDI_SI+(Ag*inv_x)*inv_x_VDI_SI_VDI_SI))))-(+(+Ag_VDI_SI_VDI_SI*temp2+Ag_VDI_SI*temp2_VDI_SI+Ag_VDI_SI*temp2_VDI_SI+Ag*temp2_VDI_SI_VDI_SI)*inv_x+((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI))*inv_x_VDI_SI+(((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI)))*inv_x_VDI_SI+(Ag*temp2)*inv_x_VDI_SI_VDI_SI)));
  igcd_h_VDI_SI_VGP_SI=(+0.0*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x))+0.0*((igc_VGP_SI-(((temp_VGP_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VGP_SI-((((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI)))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI))))))))-((((((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI)))*inv_x)+((Ag*temp2)*inv_x_VGP_SI))))+0.0*((igc_VDI_SI-((temp_VDI_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VDI_SI-((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI))))))-((((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI))*inv_x)+((Ag*temp2)*inv_x_VDI_SI)))+0.5*(+(+igc_VDI_SI_VGP_SI-(+temp_VDI_SI_VGP_SI*(Bg-((Ag*inv_x)*inv_x))+temp_VDI_SI*(Bg_VGP_SI-((((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI)))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI))))+temp_VGP_SI*(Bg_VDI_SI-((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI)))+temp*(+Bg_VDI_SI_VGP_SI-(+(+Ag_VDI_SI_VGP_SI*inv_x+Ag_VDI_SI*inv_x_VGP_SI+Ag_VGP_SI*inv_x_VDI_SI+Ag*inv_x_VDI_SI_VGP_SI)*inv_x+((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI))*inv_x_VGP_SI+(((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI)))*inv_x_VDI_SI+(Ag*inv_x)*inv_x_VDI_SI_VGP_SI))))-(+(+Ag_VDI_SI_VGP_SI*temp2+Ag_VDI_SI*temp2_VGP_SI+Ag_VGP_SI*temp2_VDI_SI+Ag*temp2_VDI_SI_VGP_SI)*inv_x+((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI))*inv_x_VGP_SI+(((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI)))*inv_x_VDI_SI+(Ag*temp2)*inv_x_VDI_SI_VGP_SI)));
  igcd_h_VDI_SI_VSI_BP=(+0.0*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x))+0.0*((igc_VSI_BP-(((temp_VSI_BP*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VSI_BP-((((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP)))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP))))))))-((((((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP)))*inv_x)+((Ag*temp2)*inv_x_VSI_BP))))+0.0*((igc_VDI_SI-((temp_VDI_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VDI_SI-((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI))))))-((((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI))*inv_x)+((Ag*temp2)*inv_x_VDI_SI)))+0.5*(+(+igc_VDI_SI_VSI_BP-(+temp_VDI_SI_VSI_BP*(Bg-((Ag*inv_x)*inv_x))+temp_VDI_SI*(Bg_VSI_BP-((((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP)))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP))))+temp_VSI_BP*(Bg_VDI_SI-((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI)))+temp*(+Bg_VDI_SI_VSI_BP-(+(+Ag_VDI_SI_VSI_BP*inv_x+Ag_VDI_SI*inv_x_VSI_BP+Ag_VSI_BP*inv_x_VDI_SI+Ag*inv_x_VDI_SI_VSI_BP)*inv_x+((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI))*inv_x_VSI_BP+(((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP)))*inv_x_VDI_SI+(Ag*inv_x)*inv_x_VDI_SI_VSI_BP))))-(+(+Ag_VDI_SI_VSI_BP*temp2+Ag_VDI_SI*temp2_VSI_BP+Ag_VSI_BP*temp2_VDI_SI+Ag*temp2_VDI_SI_VSI_BP)*inv_x+((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI))*inv_x_VSI_BP+(((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP)))*inv_x_VDI_SI+(Ag*temp2)*inv_x_VDI_SI_VSI_BP)));
#endif
igcd_h_VGP_SI=(0.5*((igc_VGP_SI-((temp_VGP_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VGP_SI-((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI))))))-((((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI))*inv_x)+((Ag*temp2)*inv_x_VGP_SI))));
#if defined(_DERIVATE2)
  igcd_h_VGP_SI_VDI_SI=(+0.0*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x))+0.0*((igc_VDI_SI-(((temp_VDI_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VDI_SI-((((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI)))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI))))))))-((((((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI)))*inv_x)+((Ag*temp2)*inv_x_VDI_SI))))+0.0*((igc_VGP_SI-((temp_VGP_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VGP_SI-((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI))))))-((((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI))*inv_x)+((Ag*temp2)*inv_x_VGP_SI)))+0.5*(+(+igc_VGP_SI_VDI_SI-(+temp_VGP_SI_VDI_SI*(Bg-((Ag*inv_x)*inv_x))+temp_VGP_SI*(Bg_VDI_SI-((((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI)))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI))))+temp_VDI_SI*(Bg_VGP_SI-((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI)))+temp*(+Bg_VGP_SI_VDI_SI-(+(+Ag_VGP_SI_VDI_SI*inv_x+Ag_VGP_SI*inv_x_VDI_SI+Ag_VDI_SI*inv_x_VGP_SI+Ag*inv_x_VGP_SI_VDI_SI)*inv_x+((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI))*inv_x_VDI_SI+(((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI)))*inv_x_VGP_SI+(Ag*inv_x)*inv_x_VGP_SI_VDI_SI))))-(+(+Ag_VGP_SI_VDI_SI*temp2+Ag_VGP_SI*temp2_VDI_SI+Ag_VDI_SI*temp2_VGP_SI+Ag*temp2_VGP_SI_VDI_SI)*inv_x+((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI))*inv_x_VDI_SI+(((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI)))*inv_x_VGP_SI+(Ag*temp2)*inv_x_VGP_SI_VDI_SI)));
  igcd_h_VGP_SI_VGP_SI=(+0.0*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x))+0.0*((igc_VGP_SI-(((temp_VGP_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VGP_SI-((((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI)))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI))))))))-((((((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI)))*inv_x)+((Ag*temp2)*inv_x_VGP_SI))))+0.0*((igc_VGP_SI-((temp_VGP_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VGP_SI-((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI))))))-((((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI))*inv_x)+((Ag*temp2)*inv_x_VGP_SI)))+0.5*(+(+igc_VGP_SI_VGP_SI-(+temp_VGP_SI_VGP_SI*(Bg-((Ag*inv_x)*inv_x))+temp_VGP_SI*(Bg_VGP_SI-((((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI)))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI))))+temp_VGP_SI*(Bg_VGP_SI-((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI)))+temp*(+Bg_VGP_SI_VGP_SI-(+(+Ag_VGP_SI_VGP_SI*inv_x+Ag_VGP_SI*inv_x_VGP_SI+Ag_VGP_SI*inv_x_VGP_SI+Ag*inv_x_VGP_SI_VGP_SI)*inv_x+((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI))*inv_x_VGP_SI+(((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI)))*inv_x_VGP_SI+(Ag*inv_x)*inv_x_VGP_SI_VGP_SI))))-(+(+Ag_VGP_SI_VGP_SI*temp2+Ag_VGP_SI*temp2_VGP_SI+Ag_VGP_SI*temp2_VGP_SI+Ag*temp2_VGP_SI_VGP_SI)*inv_x+((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI))*inv_x_VGP_SI+(((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI)))*inv_x_VGP_SI+(Ag*temp2)*inv_x_VGP_SI_VGP_SI)));
  igcd_h_VGP_SI_VSI_BP=(+0.0*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x))+0.0*((igc_VSI_BP-(((temp_VSI_BP*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VSI_BP-((((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP)))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP))))))))-((((((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP)))*inv_x)+((Ag*temp2)*inv_x_VSI_BP))))+0.0*((igc_VGP_SI-((temp_VGP_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VGP_SI-((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI))))))-((((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI))*inv_x)+((Ag*temp2)*inv_x_VGP_SI)))+0.5*(+(+igc_VGP_SI_VSI_BP-(+temp_VGP_SI_VSI_BP*(Bg-((Ag*inv_x)*inv_x))+temp_VGP_SI*(Bg_VSI_BP-((((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP)))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP))))+temp_VSI_BP*(Bg_VGP_SI-((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI)))+temp*(+Bg_VGP_SI_VSI_BP-(+(+Ag_VGP_SI_VSI_BP*inv_x+Ag_VGP_SI*inv_x_VSI_BP+Ag_VSI_BP*inv_x_VGP_SI+Ag*inv_x_VGP_SI_VSI_BP)*inv_x+((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI))*inv_x_VSI_BP+(((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP)))*inv_x_VGP_SI+(Ag*inv_x)*inv_x_VGP_SI_VSI_BP))))-(+(+Ag_VGP_SI_VSI_BP*temp2+Ag_VGP_SI*temp2_VSI_BP+Ag_VSI_BP*temp2_VGP_SI+Ag*temp2_VGP_SI_VSI_BP)*inv_x+((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI))*inv_x_VSI_BP+(((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP)))*inv_x_VGP_SI+(Ag*temp2)*inv_x_VGP_SI_VSI_BP)));
#endif
igcd_h_VSI_BP=(0.5*((igc_VSI_BP-((temp_VSI_BP*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VSI_BP-((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP))))))-((((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP))*inv_x)+((Ag*temp2)*inv_x_VSI_BP))));
#if defined(_DERIVATE2)
  igcd_h_VSI_BP_VDI_SI=(+0.0*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x))+0.0*((igc_VDI_SI-(((temp_VDI_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VDI_SI-((((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI)))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI))))))))-((((((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI)))*inv_x)+((Ag*temp2)*inv_x_VDI_SI))))+0.0*((igc_VSI_BP-((temp_VSI_BP*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VSI_BP-((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP))))))-((((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP))*inv_x)+((Ag*temp2)*inv_x_VSI_BP)))+0.5*(+(+igc_VSI_BP_VDI_SI-(+temp_VSI_BP_VDI_SI*(Bg-((Ag*inv_x)*inv_x))+temp_VSI_BP*(Bg_VDI_SI-((((((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI)))*inv_x)+((Ag*inv_x)*inv_x_VDI_SI))))+temp_VDI_SI*(Bg_VSI_BP-((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP)))+temp*(+Bg_VSI_BP_VDI_SI-(+(+Ag_VSI_BP_VDI_SI*inv_x+Ag_VSI_BP*inv_x_VDI_SI+Ag_VDI_SI*inv_x_VSI_BP+Ag*inv_x_VSI_BP_VDI_SI)*inv_x+((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP))*inv_x_VDI_SI+(((Ag_VDI_SI*inv_x)+(Ag*inv_x_VDI_SI)))*inv_x_VSI_BP+(Ag*inv_x)*inv_x_VSI_BP_VDI_SI))))-(+(+Ag_VSI_BP_VDI_SI*temp2+Ag_VSI_BP*temp2_VDI_SI+Ag_VDI_SI*temp2_VSI_BP+Ag*temp2_VSI_BP_VDI_SI)*inv_x+((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP))*inv_x_VDI_SI+(((Ag_VDI_SI*temp2)+(Ag*temp2_VDI_SI)))*inv_x_VSI_BP+(Ag*temp2)*inv_x_VSI_BP_VDI_SI)));
  igcd_h_VSI_BP_VGP_SI=(+0.0*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x))+0.0*((igc_VGP_SI-(((temp_VGP_SI*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VGP_SI-((((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI)))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI))))))))-((((((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI)))*inv_x)+((Ag*temp2)*inv_x_VGP_SI))))+0.0*((igc_VSI_BP-((temp_VSI_BP*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VSI_BP-((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP))))))-((((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP))*inv_x)+((Ag*temp2)*inv_x_VSI_BP)))+0.5*(+(+igc_VSI_BP_VGP_SI-(+temp_VSI_BP_VGP_SI*(Bg-((Ag*inv_x)*inv_x))+temp_VSI_BP*(Bg_VGP_SI-((((((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI)))*inv_x)+((Ag*inv_x)*inv_x_VGP_SI))))+temp_VGP_SI*(Bg_VSI_BP-((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP)))+temp*(+Bg_VSI_BP_VGP_SI-(+(+Ag_VSI_BP_VGP_SI*inv_x+Ag_VSI_BP*inv_x_VGP_SI+Ag_VGP_SI*inv_x_VSI_BP+Ag*inv_x_VSI_BP_VGP_SI)*inv_x+((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP))*inv_x_VGP_SI+(((Ag_VGP_SI*inv_x)+(Ag*inv_x_VGP_SI)))*inv_x_VSI_BP+(Ag*inv_x)*inv_x_VSI_BP_VGP_SI))))-(+(+Ag_VSI_BP_VGP_SI*temp2+Ag_VSI_BP*temp2_VGP_SI+Ag_VGP_SI*temp2_VSI_BP+Ag*temp2_VSI_BP_VGP_SI)*inv_x+((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP))*inv_x_VGP_SI+(((Ag_VGP_SI*temp2)+(Ag*temp2_VGP_SI)))*inv_x_VSI_BP+(Ag*temp2)*inv_x_VSI_BP_VGP_SI)));
  igcd_h_VSI_BP_VSI_BP=(+0.0*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x))+0.0*((igc_VSI_BP-(((temp_VSI_BP*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VSI_BP-((((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP)))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP))))))))-((((((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP)))*inv_x)+((Ag*temp2)*inv_x_VSI_BP))))+0.0*((igc_VSI_BP-((temp_VSI_BP*(Bg-((Ag*inv_x)*inv_x)))+(temp*(Bg_VSI_BP-((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP))))))-((((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP))*inv_x)+((Ag*temp2)*inv_x_VSI_BP)))+0.5*(+(+igc_VSI_BP_VSI_BP-(+temp_VSI_BP_VSI_BP*(Bg-((Ag*inv_x)*inv_x))+temp_VSI_BP*(Bg_VSI_BP-((((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP)))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP))))+temp_VSI_BP*(Bg_VSI_BP-((((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP))*inv_x)+((Ag*inv_x)*inv_x_VSI_BP)))+temp*(+Bg_VSI_BP_VSI_BP-(+(+Ag_VSI_BP_VSI_BP*inv_x+Ag_VSI_BP*inv_x_VSI_BP+Ag_VSI_BP*inv_x_VSI_BP+Ag*inv_x_VSI_BP_VSI_BP)*inv_x+((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP))*inv_x_VSI_BP+(((Ag_VSI_BP*inv_x)+(Ag*inv_x_VSI_BP)))*inv_x_VSI_BP+(Ag*inv_x)*inv_x_VSI_BP_VSI_BP))))-(+(+Ag_VSI_BP_VSI_BP*temp2+Ag_VSI_BP*temp2_VSI_BP+Ag_VSI_BP*temp2_VSI_BP+Ag*temp2_VSI_BP_VSI_BP)*inv_x+((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP))*inv_x_VSI_BP+(((Ag_VSI_BP*temp2)+(Ag*temp2_VSI_BP)))*inv_x_VSI_BP+(Ag*temp2)*inv_x_VSI_BP_VSI_BP)));
#endif
#endif
igcd_h=(0.5*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x)));
EXIT_IF_ISNAN((0.5*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x))))
}
}
{
double m00_sqrt(d00_sqrt0,((pInst->xg_dc*pInst->xg_dc)+1.0e-6))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->xg_dc*pInst->xg_dc)+1.0e-6))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Sg_VDI_SI=(0.5*((xg_dc_VDI_SI*d00_sqrt0-pInst->xg_dc*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))*d10_sqrt0)/d00_sqrt0/d00_sqrt0));
#if defined(_DERIVATE2)
  Sg_VDI_SI_VDI_SI=(+0.0*(1.0+(pInst->xg_dc/d00_sqrt0))+0.0*((xg_dc_VDI_SI*d00_sqrt0-pInst->xg_dc*(((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI)))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.0*((xg_dc_VDI_SI*d00_sqrt0-pInst->xg_dc*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.5*(+0.0+(xg_dc_VDI_SI_VDI_SI/d00_sqrt0-(xg_dc_VDI_SI*(((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI)))*d10_sqrt0+xg_dc_VDI_SI*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))*d10_sqrt0+pInst->xg_dc*(m20_sqrt(((pInst->xg_dc*pInst->xg_dc)+1.0e-6))*(((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI)))*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))+d10_sqrt0*(+(+xg_dc_VDI_SI_VDI_SI*pInst->xg_dc+xg_dc_VDI_SI*xg_dc_VDI_SI+xg_dc_VDI_SI*xg_dc_VDI_SI+pInst->xg_dc*xg_dc_VDI_SI_VDI_SI)+0.0)))/d00_sqrt0/d00_sqrt0+2*pInst->xg_dc*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))*d10_sqrt0*(((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI)))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0)));
  Sg_VDI_SI_VGP_SI=(+0.0*(1.0+(pInst->xg_dc/d00_sqrt0))+0.0*((xg_dc_VGP_SI*d00_sqrt0-pInst->xg_dc*(((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI)))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.0*((xg_dc_VDI_SI*d00_sqrt0-pInst->xg_dc*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.5*(+0.0+(xg_dc_VDI_SI_VGP_SI/d00_sqrt0-(xg_dc_VDI_SI*(((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI)))*d10_sqrt0+xg_dc_VGP_SI*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))*d10_sqrt0+pInst->xg_dc*(m20_sqrt(((pInst->xg_dc*pInst->xg_dc)+1.0e-6))*(((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI)))*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))+d10_sqrt0*(+(+xg_dc_VDI_SI_VGP_SI*pInst->xg_dc+xg_dc_VDI_SI*xg_dc_VGP_SI+xg_dc_VGP_SI*xg_dc_VDI_SI+pInst->xg_dc*xg_dc_VDI_SI_VGP_SI)+0.0)))/d00_sqrt0/d00_sqrt0+2*pInst->xg_dc*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))*d10_sqrt0*(((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI)))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0)));
  Sg_VDI_SI_VSI_BP=(+0.0*(1.0+(pInst->xg_dc/d00_sqrt0))+0.0*((xg_dc_VSI_BP*d00_sqrt0-pInst->xg_dc*(((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP)))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.0*((xg_dc_VDI_SI*d00_sqrt0-pInst->xg_dc*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.5*(+0.0+(xg_dc_VDI_SI_VSI_BP/d00_sqrt0-(xg_dc_VDI_SI*(((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP)))*d10_sqrt0+xg_dc_VSI_BP*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))*d10_sqrt0+pInst->xg_dc*(m20_sqrt(((pInst->xg_dc*pInst->xg_dc)+1.0e-6))*(((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP)))*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))+d10_sqrt0*(+(+xg_dc_VDI_SI_VSI_BP*pInst->xg_dc+xg_dc_VDI_SI*xg_dc_VSI_BP+xg_dc_VSI_BP*xg_dc_VDI_SI+pInst->xg_dc*xg_dc_VDI_SI_VSI_BP)+0.0)))/d00_sqrt0/d00_sqrt0+2*pInst->xg_dc*((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI))*d10_sqrt0*(((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP)))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0)));
#endif
Sg_VGP_SI=(0.5*((xg_dc_VGP_SI*d00_sqrt0-pInst->xg_dc*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))*d10_sqrt0)/d00_sqrt0/d00_sqrt0));
#if defined(_DERIVATE2)
  Sg_VGP_SI_VDI_SI=(+0.0*(1.0+(pInst->xg_dc/d00_sqrt0))+0.0*((xg_dc_VDI_SI*d00_sqrt0-pInst->xg_dc*(((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI)))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.0*((xg_dc_VGP_SI*d00_sqrt0-pInst->xg_dc*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.5*(+0.0+(xg_dc_VGP_SI_VDI_SI/d00_sqrt0-(xg_dc_VGP_SI*(((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI)))*d10_sqrt0+xg_dc_VDI_SI*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))*d10_sqrt0+pInst->xg_dc*(m20_sqrt(((pInst->xg_dc*pInst->xg_dc)+1.0e-6))*(((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI)))*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))+d10_sqrt0*(+(+xg_dc_VGP_SI_VDI_SI*pInst->xg_dc+xg_dc_VGP_SI*xg_dc_VDI_SI+xg_dc_VDI_SI*xg_dc_VGP_SI+pInst->xg_dc*xg_dc_VGP_SI_VDI_SI)+0.0)))/d00_sqrt0/d00_sqrt0+2*pInst->xg_dc*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))*d10_sqrt0*(((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI)))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0)));
  Sg_VGP_SI_VGP_SI=(+0.0*(1.0+(pInst->xg_dc/d00_sqrt0))+0.0*((xg_dc_VGP_SI*d00_sqrt0-pInst->xg_dc*(((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI)))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.0*((xg_dc_VGP_SI*d00_sqrt0-pInst->xg_dc*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.5*(+0.0+(xg_dc_VGP_SI_VGP_SI/d00_sqrt0-(xg_dc_VGP_SI*(((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI)))*d10_sqrt0+xg_dc_VGP_SI*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))*d10_sqrt0+pInst->xg_dc*(m20_sqrt(((pInst->xg_dc*pInst->xg_dc)+1.0e-6))*(((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI)))*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))+d10_sqrt0*(+(+xg_dc_VGP_SI_VGP_SI*pInst->xg_dc+xg_dc_VGP_SI*xg_dc_VGP_SI+xg_dc_VGP_SI*xg_dc_VGP_SI+pInst->xg_dc*xg_dc_VGP_SI_VGP_SI)+0.0)))/d00_sqrt0/d00_sqrt0+2*pInst->xg_dc*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))*d10_sqrt0*(((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI)))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0)));
  Sg_VGP_SI_VSI_BP=(+0.0*(1.0+(pInst->xg_dc/d00_sqrt0))+0.0*((xg_dc_VSI_BP*d00_sqrt0-pInst->xg_dc*(((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP)))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.0*((xg_dc_VGP_SI*d00_sqrt0-pInst->xg_dc*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.5*(+0.0+(xg_dc_VGP_SI_VSI_BP/d00_sqrt0-(xg_dc_VGP_SI*(((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP)))*d10_sqrt0+xg_dc_VSI_BP*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))*d10_sqrt0+pInst->xg_dc*(m20_sqrt(((pInst->xg_dc*pInst->xg_dc)+1.0e-6))*(((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP)))*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))+d10_sqrt0*(+(+xg_dc_VGP_SI_VSI_BP*pInst->xg_dc+xg_dc_VGP_SI*xg_dc_VSI_BP+xg_dc_VSI_BP*xg_dc_VGP_SI+pInst->xg_dc*xg_dc_VGP_SI_VSI_BP)+0.0)))/d00_sqrt0/d00_sqrt0+2*pInst->xg_dc*((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI))*d10_sqrt0*(((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP)))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0)));
#endif
Sg_VSI_BP=(0.5*((xg_dc_VSI_BP*d00_sqrt0-pInst->xg_dc*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))*d10_sqrt0)/d00_sqrt0/d00_sqrt0));
#if defined(_DERIVATE2)
  Sg_VSI_BP_VDI_SI=(+0.0*(1.0+(pInst->xg_dc/d00_sqrt0))+0.0*((xg_dc_VDI_SI*d00_sqrt0-pInst->xg_dc*(((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI)))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.0*((xg_dc_VSI_BP*d00_sqrt0-pInst->xg_dc*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.5*(+0.0+(xg_dc_VSI_BP_VDI_SI/d00_sqrt0-(xg_dc_VSI_BP*(((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI)))*d10_sqrt0+xg_dc_VDI_SI*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))*d10_sqrt0+pInst->xg_dc*(m20_sqrt(((pInst->xg_dc*pInst->xg_dc)+1.0e-6))*(((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI)))*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))+d10_sqrt0*(+(+xg_dc_VSI_BP_VDI_SI*pInst->xg_dc+xg_dc_VSI_BP*xg_dc_VDI_SI+xg_dc_VDI_SI*xg_dc_VSI_BP+pInst->xg_dc*xg_dc_VSI_BP_VDI_SI)+0.0)))/d00_sqrt0/d00_sqrt0+2*pInst->xg_dc*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))*d10_sqrt0*(((xg_dc_VDI_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VDI_SI)))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0)));
  Sg_VSI_BP_VGP_SI=(+0.0*(1.0+(pInst->xg_dc/d00_sqrt0))+0.0*((xg_dc_VGP_SI*d00_sqrt0-pInst->xg_dc*(((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI)))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.0*((xg_dc_VSI_BP*d00_sqrt0-pInst->xg_dc*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.5*(+0.0+(xg_dc_VSI_BP_VGP_SI/d00_sqrt0-(xg_dc_VSI_BP*(((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI)))*d10_sqrt0+xg_dc_VGP_SI*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))*d10_sqrt0+pInst->xg_dc*(m20_sqrt(((pInst->xg_dc*pInst->xg_dc)+1.0e-6))*(((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI)))*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))+d10_sqrt0*(+(+xg_dc_VSI_BP_VGP_SI*pInst->xg_dc+xg_dc_VSI_BP*xg_dc_VGP_SI+xg_dc_VGP_SI*xg_dc_VSI_BP+pInst->xg_dc*xg_dc_VSI_BP_VGP_SI)+0.0)))/d00_sqrt0/d00_sqrt0+2*pInst->xg_dc*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))*d10_sqrt0*(((xg_dc_VGP_SI*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VGP_SI)))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0)));
  Sg_VSI_BP_VSI_BP=(+0.0*(1.0+(pInst->xg_dc/d00_sqrt0))+0.0*((xg_dc_VSI_BP*d00_sqrt0-pInst->xg_dc*(((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP)))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.0*((xg_dc_VSI_BP*d00_sqrt0-pInst->xg_dc*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))*d10_sqrt0)/d00_sqrt0/d00_sqrt0)+0.5*(+0.0+(xg_dc_VSI_BP_VSI_BP/d00_sqrt0-(xg_dc_VSI_BP*(((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP)))*d10_sqrt0+xg_dc_VSI_BP*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))*d10_sqrt0+pInst->xg_dc*(m20_sqrt(((pInst->xg_dc*pInst->xg_dc)+1.0e-6))*(((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP)))*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))+d10_sqrt0*(+(+xg_dc_VSI_BP_VSI_BP*pInst->xg_dc+xg_dc_VSI_BP*xg_dc_VSI_BP+xg_dc_VSI_BP*xg_dc_VSI_BP+pInst->xg_dc*xg_dc_VSI_BP_VSI_BP)+0.0)))/d00_sqrt0/d00_sqrt0+2*pInst->xg_dc*((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP))*d10_sqrt0*(((xg_dc_VSI_BP*pInst->xg_dc)+(pInst->xg_dc*xg_dc_VSI_BP)))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0)));
#endif
#endif
Sg=(0.5*(1.0+(pInst->xg_dc/d00_sqrt0)));
EXIT_IF_ISNAN((0.5*(1.0+(pInst->xg_dc/d00_sqrt0))))
}
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
Igc_VGP_SI=((((Igc0_VGP_SI*igc)+(Igc0*igc_VGP_SI))*Sg)+((Igc0*igc)*Sg_VGP_SI));
Igc_VDI_SI=((((Igc0_VDI_SI*igc)+(Igc0*igc_VDI_SI))*Sg)+((Igc0*igc)*Sg_VDI_SI));
Igc_VSI_BP=((((Igc0_VSI_BP*igc)+(Igc0*igc_VSI_BP))*Sg)+((Igc0*igc)*Sg_VSI_BP));
#endif
Igc=((Igc0*igc)*Sg);
EXIT_IF_ISNAN(((Igc0*igc)*Sg))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Igcd_VGP_SI=((((Igc0_VGP_SI*igcd_h)+(Igc0*igcd_h_VGP_SI))*Sg)+((Igc0*igcd_h)*Sg_VGP_SI));
#if defined(_DERIVATE2)
  Igcd_VGP_SI_VGP_SI=(+(+Igc0_VGP_SI_VGP_SI*igcd_h+Igc0_VGP_SI*igcd_h_VGP_SI+Igc0_VGP_SI*igcd_h_VGP_SI+Igc0*igcd_h_VGP_SI_VGP_SI)*Sg+((Igc0_VGP_SI*igcd_h)+(Igc0*igcd_h_VGP_SI))*Sg_VGP_SI+(((Igc0_VGP_SI*igcd_h)+(Igc0*igcd_h_VGP_SI)))*Sg_VGP_SI+(Igc0*igcd_h)*Sg_VGP_SI_VGP_SI);
  Igcd_VGP_SI_VDI_SI=(+(+Igc0_VGP_SI_VDI_SI*igcd_h+Igc0_VGP_SI*igcd_h_VDI_SI+Igc0_VDI_SI*igcd_h_VGP_SI+Igc0*igcd_h_VGP_SI_VDI_SI)*Sg+((Igc0_VGP_SI*igcd_h)+(Igc0*igcd_h_VGP_SI))*Sg_VDI_SI+(((Igc0_VDI_SI*igcd_h)+(Igc0*igcd_h_VDI_SI)))*Sg_VGP_SI+(Igc0*igcd_h)*Sg_VGP_SI_VDI_SI);
  Igcd_VGP_SI_VSI_BP=(+(+Igc0_VGP_SI_VSI_BP*igcd_h+Igc0_VGP_SI*igcd_h_VSI_BP+Igc0_VSI_BP*igcd_h_VGP_SI+Igc0*igcd_h_VGP_SI_VSI_BP)*Sg+((Igc0_VGP_SI*igcd_h)+(Igc0*igcd_h_VGP_SI))*Sg_VSI_BP+(((Igc0_VSI_BP*igcd_h)+(Igc0*igcd_h_VSI_BP)))*Sg_VGP_SI+(Igc0*igcd_h)*Sg_VGP_SI_VSI_BP);
#endif
Igcd_VDI_SI=((((Igc0_VDI_SI*igcd_h)+(Igc0*igcd_h_VDI_SI))*Sg)+((Igc0*igcd_h)*Sg_VDI_SI));
#if defined(_DERIVATE2)
  Igcd_VDI_SI_VGP_SI=(+(+Igc0_VDI_SI_VGP_SI*igcd_h+Igc0_VDI_SI*igcd_h_VGP_SI+Igc0_VGP_SI*igcd_h_VDI_SI+Igc0*igcd_h_VDI_SI_VGP_SI)*Sg+((Igc0_VDI_SI*igcd_h)+(Igc0*igcd_h_VDI_SI))*Sg_VGP_SI+(((Igc0_VGP_SI*igcd_h)+(Igc0*igcd_h_VGP_SI)))*Sg_VDI_SI+(Igc0*igcd_h)*Sg_VDI_SI_VGP_SI);
  Igcd_VDI_SI_VDI_SI=(+(+Igc0_VDI_SI_VDI_SI*igcd_h+Igc0_VDI_SI*igcd_h_VDI_SI+Igc0_VDI_SI*igcd_h_VDI_SI+Igc0*igcd_h_VDI_SI_VDI_SI)*Sg+((Igc0_VDI_SI*igcd_h)+(Igc0*igcd_h_VDI_SI))*Sg_VDI_SI+(((Igc0_VDI_SI*igcd_h)+(Igc0*igcd_h_VDI_SI)))*Sg_VDI_SI+(Igc0*igcd_h)*Sg_VDI_SI_VDI_SI);
  Igcd_VDI_SI_VSI_BP=(+(+Igc0_VDI_SI_VSI_BP*igcd_h+Igc0_VDI_SI*igcd_h_VSI_BP+Igc0_VSI_BP*igcd_h_VDI_SI+Igc0*igcd_h_VDI_SI_VSI_BP)*Sg+((Igc0_VDI_SI*igcd_h)+(Igc0*igcd_h_VDI_SI))*Sg_VSI_BP+(((Igc0_VSI_BP*igcd_h)+(Igc0*igcd_h_VSI_BP)))*Sg_VDI_SI+(Igc0*igcd_h)*Sg_VDI_SI_VSI_BP);
#endif
Igcd_VSI_BP=((((Igc0_VSI_BP*igcd_h)+(Igc0*igcd_h_VSI_BP))*Sg)+((Igc0*igcd_h)*Sg_VSI_BP));
#if defined(_DERIVATE2)
  Igcd_VSI_BP_VGP_SI=(+(+Igc0_VSI_BP_VGP_SI*igcd_h+Igc0_VSI_BP*igcd_h_VGP_SI+Igc0_VGP_SI*igcd_h_VSI_BP+Igc0*igcd_h_VSI_BP_VGP_SI)*Sg+((Igc0_VSI_BP*igcd_h)+(Igc0*igcd_h_VSI_BP))*Sg_VGP_SI+(((Igc0_VGP_SI*igcd_h)+(Igc0*igcd_h_VGP_SI)))*Sg_VSI_BP+(Igc0*igcd_h)*Sg_VSI_BP_VGP_SI);
  Igcd_VSI_BP_VDI_SI=(+(+Igc0_VSI_BP_VDI_SI*igcd_h+Igc0_VSI_BP*igcd_h_VDI_SI+Igc0_VDI_SI*igcd_h_VSI_BP+Igc0*igcd_h_VSI_BP_VDI_SI)*Sg+((Igc0_VSI_BP*igcd_h)+(Igc0*igcd_h_VSI_BP))*Sg_VDI_SI+(((Igc0_VDI_SI*igcd_h)+(Igc0*igcd_h_VDI_SI)))*Sg_VSI_BP+(Igc0*igcd_h)*Sg_VSI_BP_VDI_SI);
  Igcd_VSI_BP_VSI_BP=(+(+Igc0_VSI_BP_VSI_BP*igcd_h+Igc0_VSI_BP*igcd_h_VSI_BP+Igc0_VSI_BP*igcd_h_VSI_BP+Igc0*igcd_h_VSI_BP_VSI_BP)*Sg+((Igc0_VSI_BP*igcd_h)+(Igc0*igcd_h_VSI_BP))*Sg_VSI_BP+(((Igc0_VSI_BP*igcd_h)+(Igc0*igcd_h_VSI_BP)))*Sg_VSI_BP+(Igc0*igcd_h)*Sg_VSI_BP_VSI_BP);
#endif
#endif
pInst->Igcd=((Igc0*igcd_h)*Sg);
EXIT_IF_ISNAN(((Igc0*igcd_h)*Sg))
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
Igcs_VGP_SI=(Igc_VGP_SI-Igcd_VGP_SI);
Igcs_VDI_SI=(Igc_VDI_SI-Igcd_VDI_SI);
Igcs_VSI_BP=(Igc_VSI_BP-Igcd_VSI_BP);
#endif
pInst->Igcs=(Igc-pInst->Igcd);
EXIT_IF_ISNAN((Igc-pInst->Igcd))
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
Igb_VGP_SI=((((Igc0_VGP_SI*igc)+(Igc0*igc_VGP_SI))*(1.0-Sg))+((Igc0*igc)*(-Sg_VGP_SI)));
Igb_VDI_SI=((((Igc0_VDI_SI*igc)+(Igc0*igc_VDI_SI))*(1.0-Sg))+((Igc0*igc)*(-Sg_VDI_SI)));
Igb_VSI_BP=((((Igc0_VSI_BP*igc)+(Igc0*igc_VSI_BP))*(1.0-Sg))+((Igc0*igc)*(-Sg_VSI_BP)));
#endif
Igb=((Igc0*igc)*(1.0-Sg));
EXIT_IF_ISNAN(((Igc0*igc)*(1.0-Sg)))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Igidl_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Igidl_VDI_SI_VDI_SI=0.0;
  Igidl_VDI_SI_VSI_BP=0.0;
  Igidl_VDI_SI_VGP_SI=0.0;
#endif
Igidl_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Igidl_VSI_BP_VDI_SI=0.0;
  Igidl_VSI_BP_VSI_BP=0.0;
  Igidl_VSI_BP_VGP_SI=0.0;
#endif
Igidl_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Igidl_VGP_SI_VDI_SI=0.0;
  Igidl_VGP_SI_VSI_BP=0.0;
  Igidl_VGP_SI_VGP_SI=0.0;
#endif
#endif
Igidl=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BP)V(GP,SI)V(DI,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Igisl_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Igisl_VSI_BP_VSI_BP=0.0;
  Igisl_VSI_BP_VGP_SI=0.0;
  Igisl_VSI_BP_VDI_SI=0.0;
#endif
Igisl_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Igisl_VGP_SI_VSI_BP=0.0;
  Igisl_VGP_SI_VGP_SI=0.0;
  Igisl_VGP_SI_VDI_SI=0.0;
#endif
Igisl_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Igisl_VDI_SI_VSI_BP=0.0;
  Igisl_VDI_SI_VGP_SI=0.0;
  Igisl_VDI_SI_VDI_SI=0.0;
#endif
#endif
Igisl=0.0;
EXIT_IF_ISNAN(0.0)
if
((pModel->SWGIDL_i!=0))
{
if
(((pInst->AGIDLD_i>0)&&(Vovd<0)))
{
{
double m00_sqrt(d00_sqrt0,(((Vovd*Vovd)+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((Vovd*Vovd)+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Vtovd_VGP_SI=((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI))*d10_sqrt0;
#if defined(_DERIVATE2)
  Vtovd_VGP_SI_VGP_SI=(m20_sqrt((((Vovd*Vovd)+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6))*((((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI)))+((((0.0)*(VdbPrime*VdbPrime))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(0.0)))))*((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI))+d10_sqrt0*(+(+(+Vovd_VGP_SI_VGP_SI*Vovd+Vovd_VGP_SI*Vovd_VGP_SI+Vovd_VGP_SI*Vovd_VGP_SI+Vovd*Vovd_VGP_SI_VGP_SI)+(+(+0.0*pInst->CGIDLD_i+0.0*0.0+0.0*0.0+pInst->CGIDLD_i*0.0)*(VdbPrime*VdbPrime)+0.0*(0.0)+(0.0)*0.0+(pInst->CGIDLD_i*pInst->CGIDLD_i)*(+0.0*VdbPrime+0.0*0.0+0.0*0.0+VdbPrime*0.0)))+0.0));
  Vtovd_VGP_SI_VDI_SI=(m20_sqrt((((Vovd*Vovd)+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6))*((((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI)))+((((0.0)*(VdbPrime*VdbPrime))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI)))))))*((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI))+d10_sqrt0*(+(+(+Vovd_VGP_SI_VDI_SI*Vovd+Vovd_VGP_SI*Vovd_VDI_SI+Vovd_VDI_SI*Vovd_VGP_SI+Vovd*Vovd_VGP_SI_VDI_SI)+(+(+0.0*pInst->CGIDLD_i+0.0*0.0+0.0*0.0+pInst->CGIDLD_i*0.0)*(VdbPrime*VdbPrime)+0.0*(((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI)))+(0.0)*0.0+(pInst->CGIDLD_i*pInst->CGIDLD_i)*(+0.0*VdbPrime+0.0*VdbPrime_VDI_SI+VdbPrime_VDI_SI*0.0+VdbPrime*0.0)))+0.0));
  Vtovd_VGP_SI_VSI_BP=(m20_sqrt((((Vovd*Vovd)+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6))*((0.0)+((((0.0)*(VdbPrime*VdbPrime))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP)))))))*((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI))+d10_sqrt0*(+(+(+0.0*Vovd+Vovd_VGP_SI*0.0+0.0*Vovd_VGP_SI+Vovd*0.0)+(+(+0.0*pInst->CGIDLD_i+0.0*0.0+0.0*0.0+pInst->CGIDLD_i*0.0)*(VdbPrime*VdbPrime)+0.0*(((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP)))+(0.0)*0.0+(pInst->CGIDLD_i*pInst->CGIDLD_i)*(+0.0*VdbPrime+0.0*VdbPrime_VSI_BP+VdbPrime_VSI_BP*0.0+VdbPrime*0.0)))+0.0));
#endif
Vtovd_VDI_SI=(((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI))))*d10_sqrt0;
#if defined(_DERIVATE2)
  Vtovd_VDI_SI_VGP_SI=(m20_sqrt((((Vovd*Vovd)+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6))*((((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI)))+((((0.0)*(VdbPrime*VdbPrime))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(0.0)))))*(((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI))))+d10_sqrt0*(+(+(+Vovd_VDI_SI_VGP_SI*Vovd+Vovd_VDI_SI*Vovd_VGP_SI+Vovd_VGP_SI*Vovd_VDI_SI+Vovd*Vovd_VDI_SI_VGP_SI)+(+(+0.0*pInst->CGIDLD_i+0.0*0.0+0.0*0.0+pInst->CGIDLD_i*0.0)*(VdbPrime*VdbPrime)+0.0*(0.0)+(0.0)*((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI))+(pInst->CGIDLD_i*pInst->CGIDLD_i)*(+0.0*VdbPrime+VdbPrime_VDI_SI*0.0+0.0*VdbPrime_VDI_SI+VdbPrime*0.0)))+0.0));
  Vtovd_VDI_SI_VDI_SI=(m20_sqrt((((Vovd*Vovd)+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6))*((((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI)))+((((0.0)*(VdbPrime*VdbPrime))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI)))))))*(((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI))))+d10_sqrt0*(+(+(+Vovd_VDI_SI_VDI_SI*Vovd+Vovd_VDI_SI*Vovd_VDI_SI+Vovd_VDI_SI*Vovd_VDI_SI+Vovd*Vovd_VDI_SI_VDI_SI)+(+(+0.0*pInst->CGIDLD_i+0.0*0.0+0.0*0.0+pInst->CGIDLD_i*0.0)*(VdbPrime*VdbPrime)+0.0*(((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI)))+(0.0)*((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI))+(pInst->CGIDLD_i*pInst->CGIDLD_i)*(+VdbPrime_VDI_SI_VDI_SI*VdbPrime+VdbPrime_VDI_SI*VdbPrime_VDI_SI+VdbPrime_VDI_SI*VdbPrime_VDI_SI+VdbPrime*VdbPrime_VDI_SI_VDI_SI)))+0.0));
  Vtovd_VDI_SI_VSI_BP=(m20_sqrt((((Vovd*Vovd)+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6))*((0.0)+((((0.0)*(VdbPrime*VdbPrime))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP)))))))*(((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI))))+d10_sqrt0*(+(+(+0.0*Vovd+Vovd_VDI_SI*0.0+0.0*Vovd_VDI_SI+Vovd*0.0)+(+(+0.0*pInst->CGIDLD_i+0.0*0.0+0.0*0.0+pInst->CGIDLD_i*0.0)*(VdbPrime*VdbPrime)+0.0*(((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP)))+(0.0)*((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI))+(pInst->CGIDLD_i*pInst->CGIDLD_i)*(+VdbPrime_VDI_SI_VSI_BP*VdbPrime+VdbPrime_VDI_SI*VdbPrime_VSI_BP+VdbPrime_VSI_BP*VdbPrime_VDI_SI+VdbPrime*VdbPrime_VDI_SI_VSI_BP)))+0.0));
#endif
Vtovd_VSI_BP=((pInst->CGIDLD_i*pInst->CGIDLD_i)*((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP)))*d10_sqrt0;
#if defined(_DERIVATE2)
  Vtovd_VSI_BP_VGP_SI=(m20_sqrt((((Vovd*Vovd)+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6))*((((Vovd_VGP_SI*Vovd)+(Vovd*Vovd_VGP_SI)))+((((0.0)*(VdbPrime*VdbPrime))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(0.0)))))*((pInst->CGIDLD_i*pInst->CGIDLD_i)*((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP)))+d10_sqrt0*(+(+(+0.0*Vovd+0.0*Vovd_VGP_SI+Vovd_VGP_SI*0.0+Vovd*0.0)+(+(+0.0*pInst->CGIDLD_i+0.0*0.0+0.0*0.0+pInst->CGIDLD_i*0.0)*(VdbPrime*VdbPrime)+0.0*(0.0)+(0.0)*((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP))+(pInst->CGIDLD_i*pInst->CGIDLD_i)*(+0.0*VdbPrime+VdbPrime_VSI_BP*0.0+0.0*VdbPrime_VSI_BP+VdbPrime*0.0)))+0.0));
  Vtovd_VSI_BP_VDI_SI=(m20_sqrt((((Vovd*Vovd)+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6))*((((Vovd_VDI_SI*Vovd)+(Vovd*Vovd_VDI_SI)))+((((0.0)*(VdbPrime*VdbPrime))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI)))))))*((pInst->CGIDLD_i*pInst->CGIDLD_i)*((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP)))+d10_sqrt0*(+(+(+0.0*Vovd+0.0*Vovd_VDI_SI+Vovd_VDI_SI*0.0+Vovd*0.0)+(+(+0.0*pInst->CGIDLD_i+0.0*0.0+0.0*0.0+pInst->CGIDLD_i*0.0)*(VdbPrime*VdbPrime)+0.0*(((VdbPrime_VDI_SI*VdbPrime)+(VdbPrime*VdbPrime_VDI_SI)))+(0.0)*((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP))+(pInst->CGIDLD_i*pInst->CGIDLD_i)*(+VdbPrime_VSI_BP_VDI_SI*VdbPrime+VdbPrime_VSI_BP*VdbPrime_VDI_SI+VdbPrime_VDI_SI*VdbPrime_VSI_BP+VdbPrime*VdbPrime_VSI_BP_VDI_SI)))+0.0));
  Vtovd_VSI_BP_VSI_BP=(m20_sqrt((((Vovd*Vovd)+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6))*((0.0)+((((0.0)*(VdbPrime*VdbPrime))+((pInst->CGIDLD_i*pInst->CGIDLD_i)*(((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP)))))))*((pInst->CGIDLD_i*pInst->CGIDLD_i)*((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP)))+d10_sqrt0*(+(+(+0.0*Vovd+0.0*0.0+0.0*0.0+Vovd*0.0)+(+(+0.0*pInst->CGIDLD_i+0.0*0.0+0.0*0.0+pInst->CGIDLD_i*0.0)*(VdbPrime*VdbPrime)+0.0*(((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP)))+(0.0)*((VdbPrime_VSI_BP*VdbPrime)+(VdbPrime*VdbPrime_VSI_BP))+(pInst->CGIDLD_i*pInst->CGIDLD_i)*(+VdbPrime_VSI_BP_VSI_BP*VdbPrime+VdbPrime_VSI_BP*VdbPrime_VSI_BP+VdbPrime_VSI_BP*VdbPrime_VSI_BP+VdbPrime*VdbPrime_VSI_BP_VSI_BP)))+0.0));
#endif
#endif
Vtovd=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(-pInst->BGIDLDs)*Vtovd_VGP_SI/Vtovd/Vtovd);
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/Vtovd-(0.0*Vtovd_VGP_SI+0.0*Vtovd_VGP_SI+(-pInst->BGIDLDs)*Vtovd_VGP_SI_VGP_SI)/Vtovd/Vtovd+2*(-pInst->BGIDLDs)*Vtovd_VGP_SI*Vtovd_VGP_SI/Vtovd/Vtovd/Vtovd);
  temp_VGP_SI_VDI_SI=(0.0/Vtovd-(0.0*Vtovd_VDI_SI+0.0*Vtovd_VGP_SI+(-pInst->BGIDLDs)*Vtovd_VGP_SI_VDI_SI)/Vtovd/Vtovd+2*(-pInst->BGIDLDs)*Vtovd_VGP_SI*Vtovd_VDI_SI/Vtovd/Vtovd/Vtovd);
  temp_VGP_SI_VSI_BP=(0.0/Vtovd-(0.0*Vtovd_VSI_BP+0.0*Vtovd_VGP_SI+(-pInst->BGIDLDs)*Vtovd_VGP_SI_VSI_BP)/Vtovd/Vtovd+2*(-pInst->BGIDLDs)*Vtovd_VGP_SI*Vtovd_VSI_BP/Vtovd/Vtovd/Vtovd);
#endif
temp_VDI_SI=(-(-pInst->BGIDLDs)*Vtovd_VDI_SI/Vtovd/Vtovd);
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/Vtovd-(0.0*Vtovd_VGP_SI+0.0*Vtovd_VDI_SI+(-pInst->BGIDLDs)*Vtovd_VDI_SI_VGP_SI)/Vtovd/Vtovd+2*(-pInst->BGIDLDs)*Vtovd_VDI_SI*Vtovd_VGP_SI/Vtovd/Vtovd/Vtovd);
  temp_VDI_SI_VDI_SI=(0.0/Vtovd-(0.0*Vtovd_VDI_SI+0.0*Vtovd_VDI_SI+(-pInst->BGIDLDs)*Vtovd_VDI_SI_VDI_SI)/Vtovd/Vtovd+2*(-pInst->BGIDLDs)*Vtovd_VDI_SI*Vtovd_VDI_SI/Vtovd/Vtovd/Vtovd);
  temp_VDI_SI_VSI_BP=(0.0/Vtovd-(0.0*Vtovd_VSI_BP+0.0*Vtovd_VDI_SI+(-pInst->BGIDLDs)*Vtovd_VDI_SI_VSI_BP)/Vtovd/Vtovd+2*(-pInst->BGIDLDs)*Vtovd_VDI_SI*Vtovd_VSI_BP/Vtovd/Vtovd/Vtovd);
#endif
temp_VSI_BP=(-(-pInst->BGIDLDs)*Vtovd_VSI_BP/Vtovd/Vtovd);
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/Vtovd-(0.0*Vtovd_VGP_SI+0.0*Vtovd_VSI_BP+(-pInst->BGIDLDs)*Vtovd_VSI_BP_VGP_SI)/Vtovd/Vtovd+2*(-pInst->BGIDLDs)*Vtovd_VSI_BP*Vtovd_VGP_SI/Vtovd/Vtovd/Vtovd);
  temp_VSI_BP_VDI_SI=(0.0/Vtovd-(0.0*Vtovd_VDI_SI+0.0*Vtovd_VSI_BP+(-pInst->BGIDLDs)*Vtovd_VSI_BP_VDI_SI)/Vtovd/Vtovd+2*(-pInst->BGIDLDs)*Vtovd_VSI_BP*Vtovd_VDI_SI/Vtovd/Vtovd/Vtovd);
  temp_VSI_BP_VSI_BP=(0.0/Vtovd-(0.0*Vtovd_VSI_BP+0.0*Vtovd_VSI_BP+(-pInst->BGIDLDs)*Vtovd_VSI_BP_VSI_BP)/Vtovd/Vtovd+2*(-pInst->BGIDLDs)*Vtovd_VSI_BP*Vtovd_VSI_BP/Vtovd/Vtovd/Vtovd);
#endif
#endif
temp=((-pInst->BGIDLDs)/Vtovd);
EXIT_IF_ISNAN(((-pInst->BGIDLDs)/Vtovd))
if
((temp>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,temp)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=temp_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VDI_SI+d10_exp0*temp_VDI_SI_VDI_SI);
  temp2_VDI_SI_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VDI_SI+d10_exp0*temp_VDI_SI_VGP_SI);
  temp2_VDI_SI_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VDI_SI+d10_exp0*temp_VDI_SI_VSI_BP);
#endif
temp2_VGP_SI=temp_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VGP_SI+d10_exp0*temp_VGP_SI_VDI_SI);
  temp2_VGP_SI_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VGP_SI+d10_exp0*temp_VGP_SI_VGP_SI);
  temp2_VGP_SI_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VGP_SI+d10_exp0*temp_VGP_SI_VSI_BP);
#endif
temp2_VSI_BP=temp_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VSI_BP+d10_exp0*temp_VSI_BP_VDI_SI);
  temp2_VSI_BP_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VSI_BP+d10_exp0*temp_VSI_BP_VGP_SI);
  temp2_VSI_BP_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VSI_BP+d10_exp0*temp_VSI_BP_VSI_BP);
#endif
#endif
temp2=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=(-1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VDI_SI)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  temp2_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VGP_SI)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  temp2_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VSI_BP)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
temp2_VGP_SI=(-1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VDI_SI)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  temp2_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VGP_SI)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  temp2_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VSI_BP)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
temp2_VSI_BP=(-1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VDI_SI)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  temp2_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VGP_SI)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  temp2_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VSI_BP)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
#endif
temp2=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Igidl_VDI_SI=((-pInst->AGIDLDs)*((((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VDI_SI)));
#if defined(_DERIVATE2)
  Igidl_VDI_SI_VDI_SI=(+0.0*(((VdbPrime*Vovd)*Vtovd)*temp2)+0.0*(((((((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI)))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI)))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VDI_SI)))+0.0*((((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VDI_SI))+(-pInst->AGIDLDs)*(+(+(+VdbPrime_VDI_SI_VDI_SI*Vovd+VdbPrime_VDI_SI*Vovd_VDI_SI+VdbPrime_VDI_SI*Vovd_VDI_SI+VdbPrime*Vovd_VDI_SI_VDI_SI)*Vtovd+((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI))*Vtovd_VDI_SI+(((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI)))*Vtovd_VDI_SI+(VdbPrime*Vovd)*Vtovd_VDI_SI_VDI_SI)*temp2+((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI))*temp2_VDI_SI+((((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI)))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI)))*temp2_VDI_SI+((VdbPrime*Vovd)*Vtovd)*temp2_VDI_SI_VDI_SI));
  Igidl_VDI_SI_VSI_BP=(+0.0*(((VdbPrime*Vovd)*Vtovd)*temp2)+0.0*(((((((VdbPrime_VSI_BP*Vovd)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP)))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VSI_BP)))+0.0*((((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VDI_SI))+(-pInst->AGIDLDs)*(+(+(+VdbPrime_VDI_SI_VSI_BP*Vovd+VdbPrime_VDI_SI*0.0+VdbPrime_VSI_BP*Vovd_VDI_SI+VdbPrime*0.0)*Vtovd+((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI))*Vtovd_VSI_BP+(VdbPrime_VSI_BP*Vovd)*Vtovd_VDI_SI+(VdbPrime*Vovd)*Vtovd_VDI_SI_VSI_BP)*temp2+((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI))*temp2_VSI_BP+((((VdbPrime_VSI_BP*Vovd)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP)))*temp2_VDI_SI+((VdbPrime*Vovd)*Vtovd)*temp2_VDI_SI_VSI_BP));
  Igidl_VDI_SI_VGP_SI=(+0.0*(((VdbPrime*Vovd)*Vtovd)*temp2)+0.0*((((((((VdbPrime*Vovd_VGP_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI)))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VGP_SI)))+0.0*((((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VDI_SI))+(-pInst->AGIDLDs)*(+(+(+0.0*Vovd+VdbPrime_VDI_SI*Vovd_VGP_SI+0.0*Vovd_VDI_SI+VdbPrime*Vovd_VDI_SI_VGP_SI)*Vtovd+((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI))*Vtovd_VGP_SI+((VdbPrime*Vovd_VGP_SI))*Vtovd_VDI_SI+(VdbPrime*Vovd)*Vtovd_VDI_SI_VGP_SI)*temp2+((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI))*temp2_VGP_SI+(((((VdbPrime*Vovd_VGP_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI)))*temp2_VDI_SI+((VdbPrime*Vovd)*Vtovd)*temp2_VDI_SI_VGP_SI));
#endif
Igidl_VSI_BP=((-pInst->AGIDLDs)*((((VdbPrime_VSI_BP*Vovd*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VSI_BP)));
#if defined(_DERIVATE2)
  Igidl_VSI_BP_VDI_SI=(+0.0*(((VdbPrime*Vovd)*Vtovd)*temp2)+0.0*(((((((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI)))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI)))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VDI_SI)))+0.0*((((VdbPrime_VSI_BP*Vovd*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VSI_BP))+(-pInst->AGIDLDs)*(+(+(+VdbPrime_VSI_BP_VDI_SI*Vovd+VdbPrime_VSI_BP*Vovd_VDI_SI+VdbPrime_VDI_SI*0.0+VdbPrime*0.0)*Vtovd+VdbPrime_VSI_BP*Vovd*Vtovd_VDI_SI+(((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI)))*Vtovd_VSI_BP+(VdbPrime*Vovd)*Vtovd_VSI_BP_VDI_SI)*temp2+((VdbPrime_VSI_BP*Vovd*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP))*temp2_VDI_SI+((((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI)))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI)))*temp2_VSI_BP+((VdbPrime*Vovd)*Vtovd)*temp2_VSI_BP_VDI_SI));
  Igidl_VSI_BP_VSI_BP=(+0.0*(((VdbPrime*Vovd)*Vtovd)*temp2)+0.0*(((((((VdbPrime_VSI_BP*Vovd)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP)))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VSI_BP)))+0.0*((((VdbPrime_VSI_BP*Vovd*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VSI_BP))+(-pInst->AGIDLDs)*(+(+(+VdbPrime_VSI_BP_VSI_BP*Vovd+VdbPrime_VSI_BP*0.0+VdbPrime_VSI_BP*0.0+VdbPrime*0.0)*Vtovd+VdbPrime_VSI_BP*Vovd*Vtovd_VSI_BP+(VdbPrime_VSI_BP*Vovd)*Vtovd_VSI_BP+(VdbPrime*Vovd)*Vtovd_VSI_BP_VSI_BP)*temp2+((VdbPrime_VSI_BP*Vovd*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP))*temp2_VSI_BP+((((VdbPrime_VSI_BP*Vovd)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP)))*temp2_VSI_BP+((VdbPrime*Vovd)*Vtovd)*temp2_VSI_BP_VSI_BP));
  Igidl_VSI_BP_VGP_SI=(+0.0*(((VdbPrime*Vovd)*Vtovd)*temp2)+0.0*((((((((VdbPrime*Vovd_VGP_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI)))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VGP_SI)))+0.0*((((VdbPrime_VSI_BP*Vovd*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VSI_BP))+(-pInst->AGIDLDs)*(+(+(+0.0*Vovd+VdbPrime_VSI_BP*Vovd_VGP_SI+0.0*0.0+VdbPrime*0.0)*Vtovd+VdbPrime_VSI_BP*Vovd*Vtovd_VGP_SI+((VdbPrime*Vovd_VGP_SI))*Vtovd_VSI_BP+(VdbPrime*Vovd)*Vtovd_VSI_BP_VGP_SI)*temp2+((VdbPrime_VSI_BP*Vovd*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP))*temp2_VGP_SI+(((((VdbPrime*Vovd_VGP_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI)))*temp2_VSI_BP+((VdbPrime*Vovd)*Vtovd)*temp2_VSI_BP_VGP_SI));
#endif
Igidl_VGP_SI=((-pInst->AGIDLDs)*(((((VdbPrime*Vovd_VGP_SI)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VGP_SI)));
#if defined(_DERIVATE2)
  Igidl_VGP_SI_VDI_SI=(+0.0*(((VdbPrime*Vovd)*Vtovd)*temp2)+0.0*(((((((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI)))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI)))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VDI_SI)))+0.0*(((((VdbPrime*Vovd_VGP_SI)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VGP_SI))+(-pInst->AGIDLDs)*(+(+(+0.0*Vovd+0.0*Vovd_VDI_SI+VdbPrime_VDI_SI*Vovd_VGP_SI+VdbPrime*Vovd_VGP_SI_VDI_SI)*Vtovd+(VdbPrime*Vovd_VGP_SI)*Vtovd_VDI_SI+(((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI)))*Vtovd_VGP_SI+(VdbPrime*Vovd)*Vtovd_VGP_SI_VDI_SI)*temp2+(((VdbPrime*Vovd_VGP_SI)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI))*temp2_VDI_SI+((((((VdbPrime_VDI_SI*Vovd)+(VdbPrime*Vovd_VDI_SI)))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VDI_SI)))*temp2_VGP_SI+((VdbPrime*Vovd)*Vtovd)*temp2_VGP_SI_VDI_SI));
  Igidl_VGP_SI_VSI_BP=(+0.0*(((VdbPrime*Vovd)*Vtovd)*temp2)+0.0*(((((((VdbPrime_VSI_BP*Vovd)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP)))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VSI_BP)))+0.0*(((((VdbPrime*Vovd_VGP_SI)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VGP_SI))+(-pInst->AGIDLDs)*(+(+(+0.0*Vovd+0.0*0.0+VdbPrime_VSI_BP*Vovd_VGP_SI+VdbPrime*0.0)*Vtovd+(VdbPrime*Vovd_VGP_SI)*Vtovd_VSI_BP+(VdbPrime_VSI_BP*Vovd)*Vtovd_VGP_SI+(VdbPrime*Vovd)*Vtovd_VGP_SI_VSI_BP)*temp2+(((VdbPrime*Vovd_VGP_SI)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI))*temp2_VSI_BP+((((VdbPrime_VSI_BP*Vovd)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VSI_BP)))*temp2_VGP_SI+((VdbPrime*Vovd)*Vtovd)*temp2_VGP_SI_VSI_BP));
  Igidl_VGP_SI_VGP_SI=(+0.0*(((VdbPrime*Vovd)*Vtovd)*temp2)+0.0*((((((((VdbPrime*Vovd_VGP_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI)))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VGP_SI)))+0.0*(((((VdbPrime*Vovd_VGP_SI)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI))*temp2)+(((VdbPrime*Vovd)*Vtovd)*temp2_VGP_SI))+(-pInst->AGIDLDs)*(+(+(+0.0*Vovd+0.0*Vovd_VGP_SI+0.0*Vovd_VGP_SI+VdbPrime*Vovd_VGP_SI_VGP_SI)*Vtovd+(VdbPrime*Vovd_VGP_SI)*Vtovd_VGP_SI+((VdbPrime*Vovd_VGP_SI))*Vtovd_VGP_SI+(VdbPrime*Vovd)*Vtovd_VGP_SI_VGP_SI)*temp2+(((VdbPrime*Vovd_VGP_SI)*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI))*temp2_VGP_SI+(((((VdbPrime*Vovd_VGP_SI))*Vtovd)+((VdbPrime*Vovd)*Vtovd_VGP_SI)))*temp2_VGP_SI+((VdbPrime*Vovd)*Vtovd)*temp2_VGP_SI_VGP_SI));
#endif
#endif
Igidl=((-pInst->AGIDLDs)*(((VdbPrime*Vovd)*Vtovd)*temp2));
EXIT_IF_ISNAN(((-pInst->AGIDLDs)*(((VdbPrime*Vovd)*Vtovd)*temp2)))
}
if
(((pInst->AGIDL_i>0)&&(Vovs<0)))
{
{
double m00_sqrt(d00_sqrt0,(((Vovs*Vovs)+((pInst->CGIDL_i*pInst->CGIDL_i)*(VsbPrime*VsbPrime)))+1.0e-6))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((Vovs*Vovs)+((pInst->CGIDL_i*pInst->CGIDL_i)*(VsbPrime*VsbPrime)))+1.0e-6))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Vtovs_VGP_SI=((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI))*d10_sqrt0;
#if defined(_DERIVATE2)
  Vtovs_VGP_SI_VGP_SI=(m20_sqrt((((Vovs*Vovs)+((pInst->CGIDL_i*pInst->CGIDL_i)*(VsbPrime*VsbPrime)))+1.0e-6))*((((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI)))+((((0.0)*(VsbPrime*VsbPrime))+((pInst->CGIDL_i*pInst->CGIDL_i)*(0.0)))))*((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI))+d10_sqrt0*(+(+(+Vovs_VGP_SI_VGP_SI*Vovs+Vovs_VGP_SI*Vovs_VGP_SI+Vovs_VGP_SI*Vovs_VGP_SI+Vovs*Vovs_VGP_SI_VGP_SI)+(+(+0.0*pInst->CGIDL_i+0.0*0.0+0.0*0.0+pInst->CGIDL_i*0.0)*(VsbPrime*VsbPrime)+0.0*(0.0)+(0.0)*0.0+(pInst->CGIDL_i*pInst->CGIDL_i)*(+0.0*VsbPrime+0.0*0.0+0.0*0.0+VsbPrime*0.0)))+0.0));
  Vtovs_VGP_SI_VSI_BP=(m20_sqrt((((Vovs*Vovs)+((pInst->CGIDL_i*pInst->CGIDL_i)*(VsbPrime*VsbPrime)))+1.0e-6))*((0.0)+((((0.0)*(VsbPrime*VsbPrime))+((pInst->CGIDL_i*pInst->CGIDL_i)*(((VsbPrime_VSI_BP*VsbPrime)+(VsbPrime*VsbPrime_VSI_BP)))))))*((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI))+d10_sqrt0*(+(+(+0.0*Vovs+Vovs_VGP_SI*0.0+0.0*Vovs_VGP_SI+Vovs*0.0)+(+(+0.0*pInst->CGIDL_i+0.0*0.0+0.0*0.0+pInst->CGIDL_i*0.0)*(VsbPrime*VsbPrime)+0.0*(((VsbPrime_VSI_BP*VsbPrime)+(VsbPrime*VsbPrime_VSI_BP)))+(0.0)*0.0+(pInst->CGIDL_i*pInst->CGIDL_i)*(+0.0*VsbPrime+0.0*VsbPrime_VSI_BP+VsbPrime_VSI_BP*0.0+VsbPrime*0.0)))+0.0));
#endif
Vtovs_VSI_BP=((pInst->CGIDL_i*pInst->CGIDL_i)*((VsbPrime_VSI_BP*VsbPrime)+(VsbPrime*VsbPrime_VSI_BP)))*d10_sqrt0;
#if defined(_DERIVATE2)
  Vtovs_VSI_BP_VGP_SI=(m20_sqrt((((Vovs*Vovs)+((pInst->CGIDL_i*pInst->CGIDL_i)*(VsbPrime*VsbPrime)))+1.0e-6))*((((Vovs_VGP_SI*Vovs)+(Vovs*Vovs_VGP_SI)))+((((0.0)*(VsbPrime*VsbPrime))+((pInst->CGIDL_i*pInst->CGIDL_i)*(0.0)))))*((pInst->CGIDL_i*pInst->CGIDL_i)*((VsbPrime_VSI_BP*VsbPrime)+(VsbPrime*VsbPrime_VSI_BP)))+d10_sqrt0*(+(+(+0.0*Vovs+0.0*Vovs_VGP_SI+Vovs_VGP_SI*0.0+Vovs*0.0)+(+(+0.0*pInst->CGIDL_i+0.0*0.0+0.0*0.0+pInst->CGIDL_i*0.0)*(VsbPrime*VsbPrime)+0.0*(0.0)+(0.0)*((VsbPrime_VSI_BP*VsbPrime)+(VsbPrime*VsbPrime_VSI_BP))+(pInst->CGIDL_i*pInst->CGIDL_i)*(+0.0*VsbPrime+VsbPrime_VSI_BP*0.0+0.0*VsbPrime_VSI_BP+VsbPrime*0.0)))+0.0));
  Vtovs_VSI_BP_VSI_BP=(m20_sqrt((((Vovs*Vovs)+((pInst->CGIDL_i*pInst->CGIDL_i)*(VsbPrime*VsbPrime)))+1.0e-6))*((0.0)+((((0.0)*(VsbPrime*VsbPrime))+((pInst->CGIDL_i*pInst->CGIDL_i)*(((VsbPrime_VSI_BP*VsbPrime)+(VsbPrime*VsbPrime_VSI_BP)))))))*((pInst->CGIDL_i*pInst->CGIDL_i)*((VsbPrime_VSI_BP*VsbPrime)+(VsbPrime*VsbPrime_VSI_BP)))+d10_sqrt0*(+(+(+0.0*Vovs+0.0*0.0+0.0*0.0+Vovs*0.0)+(+(+0.0*pInst->CGIDL_i+0.0*0.0+0.0*0.0+pInst->CGIDL_i*0.0)*(VsbPrime*VsbPrime)+0.0*(((VsbPrime_VSI_BP*VsbPrime)+(VsbPrime*VsbPrime_VSI_BP)))+(0.0)*((VsbPrime_VSI_BP*VsbPrime)+(VsbPrime*VsbPrime_VSI_BP))+(pInst->CGIDL_i*pInst->CGIDL_i)*(+VsbPrime_VSI_BP_VSI_BP*VsbPrime+VsbPrime_VSI_BP*VsbPrime_VSI_BP+VsbPrime_VSI_BP*VsbPrime_VSI_BP+VsbPrime*VsbPrime_VSI_BP_VSI_BP)))+0.0));
#endif
#endif
Vtovs=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(-pInst->BGIDLs)*Vtovs_VGP_SI/Vtovs/Vtovs);
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/Vtovs-(0.0*Vtovs_VGP_SI+0.0*Vtovs_VGP_SI+(-pInst->BGIDLs)*Vtovs_VGP_SI_VGP_SI)/Vtovs/Vtovs+2*(-pInst->BGIDLs)*Vtovs_VGP_SI*Vtovs_VGP_SI/Vtovs/Vtovs/Vtovs);
  temp_VGP_SI_VDI_SI=(0.0/Vtovs-(0.0*0.0+0.0*Vtovs_VGP_SI+(-pInst->BGIDLs)*0.0)/Vtovs/Vtovs+2*(-pInst->BGIDLs)*Vtovs_VGP_SI*0.0/Vtovs/Vtovs/Vtovs);
  temp_VGP_SI_VSI_BP=(0.0/Vtovs-(0.0*Vtovs_VSI_BP+0.0*Vtovs_VGP_SI+(-pInst->BGIDLs)*Vtovs_VGP_SI_VSI_BP)/Vtovs/Vtovs+2*(-pInst->BGIDLs)*Vtovs_VGP_SI*Vtovs_VSI_BP/Vtovs/Vtovs/Vtovs);
#endif
temp_VDI_SI=0.0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=0.0;
  temp_VDI_SI_VDI_SI=0.0;
  temp_VDI_SI_VSI_BP=0.0;
#endif
temp_VSI_BP=(-(-pInst->BGIDLs)*Vtovs_VSI_BP/Vtovs/Vtovs);
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/Vtovs-(0.0*Vtovs_VGP_SI+0.0*Vtovs_VSI_BP+(-pInst->BGIDLs)*Vtovs_VSI_BP_VGP_SI)/Vtovs/Vtovs+2*(-pInst->BGIDLs)*Vtovs_VSI_BP*Vtovs_VGP_SI/Vtovs/Vtovs/Vtovs);
  temp_VSI_BP_VDI_SI=(0.0/Vtovs-(0.0*0.0+0.0*Vtovs_VSI_BP+(-pInst->BGIDLs)*0.0)/Vtovs/Vtovs+2*(-pInst->BGIDLs)*Vtovs_VSI_BP*0.0/Vtovs/Vtovs/Vtovs);
  temp_VSI_BP_VSI_BP=(0.0/Vtovs-(0.0*Vtovs_VSI_BP+0.0*Vtovs_VSI_BP+(-pInst->BGIDLs)*Vtovs_VSI_BP_VSI_BP)/Vtovs/Vtovs+2*(-pInst->BGIDLs)*Vtovs_VSI_BP*Vtovs_VSI_BP/Vtovs/Vtovs/Vtovs);
#endif
#endif
temp=((-pInst->BGIDLs)/Vtovs);
EXIT_IF_ISNAN(((-pInst->BGIDLs)/Vtovs))
if
((temp>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,temp)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=temp_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VDI_SI+d10_exp0*temp_VDI_SI_VDI_SI);
  temp2_VDI_SI_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VDI_SI+d10_exp0*temp_VDI_SI_VGP_SI);
  temp2_VDI_SI_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VDI_SI+d10_exp0*temp_VDI_SI_VSI_BP);
#endif
temp2_VGP_SI=temp_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VGP_SI+d10_exp0*temp_VGP_SI_VDI_SI);
  temp2_VGP_SI_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VGP_SI+d10_exp0*temp_VGP_SI_VGP_SI);
  temp2_VGP_SI_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VGP_SI+d10_exp0*temp_VGP_SI_VSI_BP);
#endif
temp2_VSI_BP=temp_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(m20_exp(temp)*temp_VDI_SI*temp_VSI_BP+d10_exp0*temp_VSI_BP_VDI_SI);
  temp2_VSI_BP_VGP_SI=(m20_exp(temp)*temp_VGP_SI*temp_VSI_BP+d10_exp0*temp_VSI_BP_VGP_SI);
  temp2_VSI_BP_VSI_BP=(m20_exp(temp)*temp_VSI_BP*temp_VSI_BP+d10_exp0*temp_VSI_BP_VSI_BP);
#endif
#endif
temp2=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=(-1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VDI_SI)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  temp2_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VGP_SI)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  temp2_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VDI_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VDI_SI)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VDI_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VDI_SI)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VDI_SI_VSI_BP)*3.3333333333333333e-01+(-temp_VDI_SI)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VDI_SI)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
temp2_VGP_SI=(-1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VDI_SI)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  temp2_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VGP_SI)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  temp2_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VGP_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VGP_SI)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VGP_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VGP_SI)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VGP_SI_VSI_BP)*3.3333333333333333e-01+(-temp_VGP_SI)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VGP_SI)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
temp2_VSI_BP=(-1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))))+(-temp_VDI_SI)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VDI_SI)*3.3333333333333333e-01)+(-temp_VDI_SI)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VDI_SI)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  temp2_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))))+(-temp_VGP_SI)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VGP_SI)*3.3333333333333333e-01)+(-temp_VGP_SI)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VGP_SI)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
  temp2_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))-(0.0*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp_VSI_BP_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))+(-temp_VSI_BP)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))))+(-temp_VSI_BP)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+0.0*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp_VSI_BP_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))+(-temp_VSI_BP)*((-temp_VSI_BP)*3.3333333333333333e-01)+(-temp_VSI_BP)*(-temp_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp)*(+0.0+(+(+0.0-temp_VSI_BP_VSI_BP)*3.3333333333333333e-01+(-temp_VSI_BP)*0.0+(-temp_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*(0.5*(((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*(-temp_VSI_BP)*3.3333333333333333e-01)))))*((((-temp_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp)*((0.5*((((-temp_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp)*((-temp_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
#endif
#endif
temp2=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BP)V(GP,SI)V(DI,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Igisl_VSI_BP=((-pInst->AGIDLs)*((((VsbPrime_VSI_BP*Vovs*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VSI_BP)));
#if defined(_DERIVATE2)
  Igisl_VSI_BP_VSI_BP=(+0.0*(((VsbPrime*Vovs)*Vtovs)*temp2)+0.0*(((((((VsbPrime_VSI_BP*Vovs)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP)))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VSI_BP)))+0.0*((((VsbPrime_VSI_BP*Vovs*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VSI_BP))+(-pInst->AGIDLs)*(+(+(+VsbPrime_VSI_BP_VSI_BP*Vovs+VsbPrime_VSI_BP*0.0+VsbPrime_VSI_BP*0.0+VsbPrime*0.0)*Vtovs+VsbPrime_VSI_BP*Vovs*Vtovs_VSI_BP+(VsbPrime_VSI_BP*Vovs)*Vtovs_VSI_BP+(VsbPrime*Vovs)*Vtovs_VSI_BP_VSI_BP)*temp2+((VsbPrime_VSI_BP*Vovs*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP))*temp2_VSI_BP+((((VsbPrime_VSI_BP*Vovs)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP)))*temp2_VSI_BP+((VsbPrime*Vovs)*Vtovs)*temp2_VSI_BP_VSI_BP));
  Igisl_VSI_BP_VGP_SI=(+0.0*(((VsbPrime*Vovs)*Vtovs)*temp2)+0.0*((((((((VsbPrime*Vovs_VGP_SI))*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI)))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VGP_SI)))+0.0*((((VsbPrime_VSI_BP*Vovs*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VSI_BP))+(-pInst->AGIDLs)*(+(+(+0.0*Vovs+VsbPrime_VSI_BP*Vovs_VGP_SI+0.0*0.0+VsbPrime*0.0)*Vtovs+VsbPrime_VSI_BP*Vovs*Vtovs_VGP_SI+((VsbPrime*Vovs_VGP_SI))*Vtovs_VSI_BP+(VsbPrime*Vovs)*Vtovs_VSI_BP_VGP_SI)*temp2+((VsbPrime_VSI_BP*Vovs*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP))*temp2_VGP_SI+(((((VsbPrime*Vovs_VGP_SI))*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI)))*temp2_VSI_BP+((VsbPrime*Vovs)*Vtovs)*temp2_VSI_BP_VGP_SI));
  Igisl_VSI_BP_VDI_SI=(+0.0*(((VsbPrime*Vovs)*Vtovs)*temp2)+0.0*(((((0.0)*Vtovs)*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VDI_SI)))+0.0*((((VsbPrime_VSI_BP*Vovs*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VSI_BP))+(-pInst->AGIDLs)*(+(+(+0.0*Vovs+VsbPrime_VSI_BP*0.0+0.0*0.0+VsbPrime*0.0)*Vtovs+VsbPrime_VSI_BP*Vovs*0.0+(0.0)*Vtovs_VSI_BP+(VsbPrime*Vovs)*0.0)*temp2+((VsbPrime_VSI_BP*Vovs*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP))*temp2_VDI_SI+((0.0)*Vtovs)*temp2_VSI_BP+((VsbPrime*Vovs)*Vtovs)*temp2_VSI_BP_VDI_SI));
#endif
Igisl_VGP_SI=((-pInst->AGIDLs)*(((((VsbPrime*Vovs_VGP_SI)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VGP_SI)));
#if defined(_DERIVATE2)
  Igisl_VGP_SI_VSI_BP=(+0.0*(((VsbPrime*Vovs)*Vtovs)*temp2)+0.0*(((((((VsbPrime_VSI_BP*Vovs)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP)))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VSI_BP)))+0.0*(((((VsbPrime*Vovs_VGP_SI)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VGP_SI))+(-pInst->AGIDLs)*(+(+(+0.0*Vovs+0.0*0.0+VsbPrime_VSI_BP*Vovs_VGP_SI+VsbPrime*0.0)*Vtovs+(VsbPrime*Vovs_VGP_SI)*Vtovs_VSI_BP+(VsbPrime_VSI_BP*Vovs)*Vtovs_VGP_SI+(VsbPrime*Vovs)*Vtovs_VGP_SI_VSI_BP)*temp2+(((VsbPrime*Vovs_VGP_SI)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI))*temp2_VSI_BP+((((VsbPrime_VSI_BP*Vovs)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP)))*temp2_VGP_SI+((VsbPrime*Vovs)*Vtovs)*temp2_VGP_SI_VSI_BP));
  Igisl_VGP_SI_VGP_SI=(+0.0*(((VsbPrime*Vovs)*Vtovs)*temp2)+0.0*((((((((VsbPrime*Vovs_VGP_SI))*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI)))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VGP_SI)))+0.0*(((((VsbPrime*Vovs_VGP_SI)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VGP_SI))+(-pInst->AGIDLs)*(+(+(+0.0*Vovs+0.0*Vovs_VGP_SI+0.0*Vovs_VGP_SI+VsbPrime*Vovs_VGP_SI_VGP_SI)*Vtovs+(VsbPrime*Vovs_VGP_SI)*Vtovs_VGP_SI+((VsbPrime*Vovs_VGP_SI))*Vtovs_VGP_SI+(VsbPrime*Vovs)*Vtovs_VGP_SI_VGP_SI)*temp2+(((VsbPrime*Vovs_VGP_SI)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI))*temp2_VGP_SI+(((((VsbPrime*Vovs_VGP_SI))*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI)))*temp2_VGP_SI+((VsbPrime*Vovs)*Vtovs)*temp2_VGP_SI_VGP_SI));
  Igisl_VGP_SI_VDI_SI=(+0.0*(((VsbPrime*Vovs)*Vtovs)*temp2)+0.0*(((((0.0)*Vtovs)*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VDI_SI)))+0.0*(((((VsbPrime*Vovs_VGP_SI)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VGP_SI))+(-pInst->AGIDLs)*(+(+(+0.0*Vovs+0.0*0.0+0.0*Vovs_VGP_SI+VsbPrime*0.0)*Vtovs+(VsbPrime*Vovs_VGP_SI)*0.0+(0.0)*Vtovs_VGP_SI+(VsbPrime*Vovs)*0.0)*temp2+(((VsbPrime*Vovs_VGP_SI)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI))*temp2_VDI_SI+((0.0)*Vtovs)*temp2_VGP_SI+((VsbPrime*Vovs)*Vtovs)*temp2_VGP_SI_VDI_SI));
#endif
Igisl_VDI_SI=((-pInst->AGIDLs)*(((VsbPrime*Vovs)*Vtovs)*temp2_VDI_SI));
#if defined(_DERIVATE2)
  Igisl_VDI_SI_VSI_BP=(+0.0*(((VsbPrime*Vovs)*Vtovs)*temp2)+0.0*(((((((VsbPrime_VSI_BP*Vovs)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP)))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VSI_BP)))+0.0*(((VsbPrime*Vovs)*Vtovs)*temp2_VDI_SI)+(-pInst->AGIDLs)*(+(+(+0.0*Vovs+0.0*0.0+VsbPrime_VSI_BP*0.0+VsbPrime*0.0)*Vtovs+0.0*Vtovs_VSI_BP+(VsbPrime_VSI_BP*Vovs)*0.0+(VsbPrime*Vovs)*0.0)*temp2+0.0*temp2_VSI_BP+((((VsbPrime_VSI_BP*Vovs)*Vtovs)+((VsbPrime*Vovs)*Vtovs_VSI_BP)))*temp2_VDI_SI+((VsbPrime*Vovs)*Vtovs)*temp2_VDI_SI_VSI_BP));
  Igisl_VDI_SI_VGP_SI=(+0.0*(((VsbPrime*Vovs)*Vtovs)*temp2)+0.0*((((((((VsbPrime*Vovs_VGP_SI))*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI)))*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VGP_SI)))+0.0*(((VsbPrime*Vovs)*Vtovs)*temp2_VDI_SI)+(-pInst->AGIDLs)*(+(+(+0.0*Vovs+0.0*Vovs_VGP_SI+0.0*0.0+VsbPrime*0.0)*Vtovs+0.0*Vtovs_VGP_SI+((VsbPrime*Vovs_VGP_SI))*0.0+(VsbPrime*Vovs)*0.0)*temp2+0.0*temp2_VGP_SI+(((((VsbPrime*Vovs_VGP_SI))*Vtovs)+((VsbPrime*Vovs)*Vtovs_VGP_SI)))*temp2_VDI_SI+((VsbPrime*Vovs)*Vtovs)*temp2_VDI_SI_VGP_SI));
  Igisl_VDI_SI_VDI_SI=(+0.0*(((VsbPrime*Vovs)*Vtovs)*temp2)+0.0*(((((0.0)*Vtovs)*temp2)+(((VsbPrime*Vovs)*Vtovs)*temp2_VDI_SI)))+0.0*(((VsbPrime*Vovs)*Vtovs)*temp2_VDI_SI)+(-pInst->AGIDLs)*(+(+(+0.0*Vovs+0.0*0.0+0.0*0.0+VsbPrime*0.0)*Vtovs+0.0*0.0+(0.0)*0.0+(VsbPrime*Vovs)*0.0)*temp2+0.0*temp2_VDI_SI+((0.0)*Vtovs)*temp2_VDI_SI+((VsbPrime*Vovs)*Vtovs)*temp2_VDI_SI_VDI_SI));
#endif
#endif
Igisl=((-pInst->AGIDLs)*(((VsbPrime*Vovs)*Vtovs)*temp2));
EXIT_IF_ISNAN(((-pInst->AGIDLs)*(((VsbPrime*Vovs)*Vtovs)*temp2)))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
xgedge_VDI_SI=0.0;
#if defined(_DERIVATE2)
  xgedge_VDI_SI_VDI_SI=0.0;
  xgedge_VDI_SI_VSI_BP=0.0;
  xgedge_VDI_SI_VGP_SI=0.0;
#endif
xgedge_VSI_BP=0.0;
#if defined(_DERIVATE2)
  xgedge_VSI_BP_VDI_SI=0.0;
  xgedge_VSI_BP_VSI_BP=0.0;
  xgedge_VSI_BP_VGP_SI=0.0;
#endif
xgedge_VGP_SI=0.0;
#if defined(_DERIVATE2)
  xgedge_VGP_SI_VDI_SI=0.0;
  xgedge_VGP_SI_VSI_BP=0.0;
  xgedge_VGP_SI_VGP_SI=0.0;
#endif
#endif
pInst->xgedge=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
qdseffedge_VDI_SI=0.0;
#if defined(_DERIVATE2)
  qdseffedge_VDI_SI_VDI_SI=0.0;
  qdseffedge_VDI_SI_VSI_BP=0.0;
  qdseffedge_VDI_SI_VGP_SI=0.0;
#endif
qdseffedge_VSI_BP=0.0;
#if defined(_DERIVATE2)
  qdseffedge_VSI_BP_VDI_SI=0.0;
  qdseffedge_VSI_BP_VSI_BP=0.0;
  qdseffedge_VSI_BP_VGP_SI=0.0;
#endif
qdseffedge_VGP_SI=0.0;
#if defined(_DERIVATE2)
  qdseffedge_VGP_SI_VDI_SI=0.0;
  qdseffedge_VGP_SI_VSI_BP=0.0;
  qdseffedge_VGP_SI_VGP_SI=0.0;
#endif
#endif
pInst->qdseffedge=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
qmeffedge_VDI_SI=0.0;
#if defined(_DERIVATE2)
  qmeffedge_VDI_SI_VDI_SI=0.0;
  qmeffedge_VDI_SI_VSI_BP=0.0;
  qmeffedge_VDI_SI_VGP_SI=0.0;
#endif
qmeffedge_VSI_BP=0.0;
#if defined(_DERIVATE2)
  qmeffedge_VSI_BP_VDI_SI=0.0;
  qmeffedge_VSI_BP_VSI_BP=0.0;
  qmeffedge_VSI_BP_VGP_SI=0.0;
#endif
qmeffedge_VGP_SI=0.0;
#if defined(_DERIVATE2)
  qmeffedge_VGP_SI_VDI_SI=0.0;
  qmeffedge_VGP_SI_VSI_BP=0.0;
  qmeffedge_VGP_SI_VGP_SI=0.0;
#endif
#endif
pInst->qmeffedge=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
dsqredge_VDI_SI=0.0;
#if defined(_DERIVATE2)
  dsqredge_VDI_SI_VDI_SI=0.0;
  dsqredge_VDI_SI_VSI_BP=0.0;
  dsqredge_VDI_SI_VGP_SI=0.0;
#endif
dsqredge_VSI_BP=0.0;
#if defined(_DERIVATE2)
  dsqredge_VSI_BP_VDI_SI=0.0;
  dsqredge_VSI_BP_VSI_BP=0.0;
  dsqredge_VSI_BP_VGP_SI=0.0;
#endif
dsqredge_VGP_SI=0.0;
#if defined(_DERIVATE2)
  dsqredge_VGP_SI_VDI_SI=0.0;
  dsqredge_VGP_SI_VSI_BP=0.0;
  dsqredge_VGP_SI_VGP_SI=0.0;
#endif
#endif
pInst->dsqredge=1.0e-40;
EXIT_IF_ISNAN(1.0e-40)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
alphabmedge_VDI_SI=0.0;
#if defined(_DERIVATE2)
  alphabmedge_VDI_SI_VDI_SI=0.0;
  alphabmedge_VDI_SI_VSI_BP=0.0;
  alphabmedge_VDI_SI_VGP_SI=0.0;
#endif
alphabmedge_VSI_BP=0.0;
#if defined(_DERIVATE2)
  alphabmedge_VSI_BP_VDI_SI=0.0;
  alphabmedge_VSI_BP_VSI_BP=0.0;
  alphabmedge_VSI_BP_VGP_SI=0.0;
#endif
alphabmedge_VGP_SI=0.0;
#if defined(_DERIVATE2)
  alphabmedge_VGP_SI_VDI_SI=0.0;
  alphabmedge_VGP_SI_VSI_BP=0.0;
  alphabmedge_VGP_SI_VGP_SI=0.0;
#endif
#endif
pInst->alphabmedge=1.0;
EXIT_IF_ISNAN(1.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Idsedge_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Idsedge_VDI_SI_VDI_SI=0.0;
  Idsedge_VDI_SI_VSI_BP=0.0;
  Idsedge_VDI_SI_VGP_SI=0.0;
#endif
Idsedge_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Idsedge_VSI_BP_VDI_SI=0.0;
  Idsedge_VSI_BP_VSI_BP=0.0;
  Idsedge_VSI_BP_VGP_SI=0.0;
#endif
Idsedge_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Idsedge_VGP_SI_VDI_SI=0.0;
  Idsedge_VGP_SI_VSI_BP=0.0;
  Idsedge_VGP_SI_VGP_SI=0.0;
#endif
#endif
pInst->Idsedge=0.0;
EXIT_IF_ISNAN(0.0)
if
(((pModel->SWEDGE_i!=0.0)&&(pInst->BETNEDGE_i>0)))
{
{
double m00_sqrt(d00_sqrt0,(((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphiedge))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphiedge))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=0.0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=0.0;
  temp_VGP_SI_VDI_SI=0.0;
  temp_VGP_SI_VSI_BP=0.0;
#endif
temp_VDI_SI=(0.5*((Vdb_VDI_SI+Vsb_VDI_SI)-(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*(-(0.0)*d10_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))*d10_sqrt0)+0.5*(+(+0.0+0.0)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphiedge))*(0.0)*(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))+d10_sqrt0*(+(+(+0.0-0.0)*(Vdb-Vsb)+(Vdb_VDI_SI-Vsb_VDI_SI)*0.0+0.0*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb-Vsb)*(+0.0-0.0))+0.0))))+0.0);
  temp_VDI_SI_VDI_SI=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-((((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI))))*d10_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))*d10_sqrt0)+0.5*(+(+Vdb_VDI_SI_VDI_SI+Vsb_VDI_SI_VDI_SI)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphiedge))*((((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI))))*(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))+d10_sqrt0*(+(+(+Vdb_VDI_SI_VDI_SI-Vsb_VDI_SI_VDI_SI)*(Vdb-Vsb)+(Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb-Vsb)*(+Vdb_VDI_SI_VDI_SI-Vsb_VDI_SI_VDI_SI))+0.0))))+0.0);
  temp_VDI_SI_VSI_BP=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-((((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP))))*d10_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))*d10_sqrt0)+0.5*(+(+Vdb_VDI_SI_VSI_BP+Vsb_VDI_SI_VSI_BP)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphiedge))*((((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP))))*(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))+d10_sqrt0*(+(+(+Vdb_VDI_SI_VSI_BP-Vsb_VDI_SI_VSI_BP)*(Vdb-Vsb)+(Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb-Vsb)*(+Vdb_VDI_SI_VSI_BP-Vsb_VDI_SI_VSI_BP))+0.0))))+0.0);
#endif
temp_VSI_BP=(0.5*((Vdb_VSI_BP+Vsb_VSI_BP)-(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*(-(0.0)*d10_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))*d10_sqrt0)+0.5*(+(+0.0+0.0)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphiedge))*(0.0)*(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+0.0-0.0)*(Vdb-Vsb)+(Vdb_VSI_BP-Vsb_VSI_BP)*0.0+0.0*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb-Vsb)*(+0.0-0.0))+0.0))))+0.0);
  temp_VSI_BP_VDI_SI=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-((((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI))))*d10_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))*d10_sqrt0)+0.5*(+(+Vdb_VSI_BP_VDI_SI+Vsb_VSI_BP_VDI_SI)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphiedge))*((((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI))))*(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+Vdb_VSI_BP_VDI_SI-Vsb_VSI_BP_VDI_SI)*(Vdb-Vsb)+(Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb-Vsb)*(+Vdb_VSI_BP_VDI_SI-Vsb_VSI_BP_VDI_SI))+0.0))))+0.0);
  temp_VSI_BP_VSI_BP=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-((((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP))))*d10_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))*d10_sqrt0)+0.5*(+(+Vdb_VSI_BP_VSI_BP+Vsb_VSI_BP_VSI_BP)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphiedge))*((((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP))))*(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+Vdb_VSI_BP_VSI_BP-Vsb_VSI_BP_VSI_BP)*(Vdb-Vsb)+(Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb-Vsb)*(+Vdb_VSI_BP_VSI_BP-Vsb_VSI_BP_VSI_BP))+0.0))))+0.0);
#endif
#endif
temp=((0.5*((Vdb+Vsb)-d00_sqrt0))+pInst->phixedge);
EXIT_IF_ISNAN(((0.5*((Vdb+Vsb)-d00_sqrt0))+pInst->phixedge))
}
{
double m00_sqrt(d00_sqrt0,((temp*temp)+pInst->aphiedge))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((temp*temp)+pInst->aphiedge))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Vsbstaredge_VDI_SI=(Vsb_VDI_SI-(0.5*(temp_VDI_SI-((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)));
#if defined(_DERIVATE2)
  Vsbstaredge_VDI_SI_VDI_SI=(+(+Vsb_VDI_SI_VDI_SI-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VDI_SI-(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*d10_sqrt0)+0.0*(temp_VDI_SI-((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)+0.5*(+(+temp_VDI_SI_VDI_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphiedge))*(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*((temp_VDI_SI*temp)+(temp*temp_VDI_SI))+d10_sqrt0*(+(+(+temp_VDI_SI_VDI_SI-0.0)*temp+temp_VDI_SI*temp_VDI_SI+temp_VDI_SI*temp_VDI_SI+temp*(+temp_VDI_SI_VDI_SI-0.0))+0.0)))))+0.0);
  Vsbstaredge_VDI_SI_VSI_BP=(+(+Vsb_VDI_SI_VSI_BP-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VSI_BP-(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*d10_sqrt0)+0.0*(temp_VDI_SI-((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)+0.5*(+(+temp_VDI_SI_VSI_BP+0.0)-(m20_sqrt(((temp*temp)+pInst->aphiedge))*(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*((temp_VDI_SI*temp)+(temp*temp_VDI_SI))+d10_sqrt0*(+(+(+temp_VDI_SI_VSI_BP-0.0)*temp+temp_VDI_SI*temp_VSI_BP+temp_VSI_BP*temp_VDI_SI+temp*(+temp_VDI_SI_VSI_BP-0.0))+0.0)))))+0.0);
  Vsbstaredge_VDI_SI_VGP_SI=(+(+0.0-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VGP_SI-(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*d10_sqrt0)+0.0*(temp_VDI_SI-((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)+0.5*(+(+temp_VDI_SI_VGP_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphiedge))*(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*((temp_VDI_SI*temp)+(temp*temp_VDI_SI))+d10_sqrt0*(+(+(+temp_VDI_SI_VGP_SI-0.0)*temp+temp_VDI_SI*temp_VGP_SI+temp_VGP_SI*temp_VDI_SI+temp*(+temp_VDI_SI_VGP_SI-0.0))+0.0)))))+0.0);
#endif
Vsbstaredge_VSI_BP=(Vsb_VSI_BP-(0.5*(temp_VSI_BP-((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)));
#if defined(_DERIVATE2)
  Vsbstaredge_VSI_BP_VDI_SI=(+(+Vsb_VSI_BP_VDI_SI-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VDI_SI-(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*d10_sqrt0)+0.0*(temp_VSI_BP-((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)+0.5*(+(+temp_VSI_BP_VDI_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphiedge))*(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*((temp_VSI_BP*temp)+(temp*temp_VSI_BP))+d10_sqrt0*(+(+(+temp_VSI_BP_VDI_SI-0.0)*temp+temp_VSI_BP*temp_VDI_SI+temp_VDI_SI*temp_VSI_BP+temp*(+temp_VSI_BP_VDI_SI-0.0))+0.0)))))+0.0);
  Vsbstaredge_VSI_BP_VSI_BP=(+(+Vsb_VSI_BP_VSI_BP-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VSI_BP-(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*d10_sqrt0)+0.0*(temp_VSI_BP-((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)+0.5*(+(+temp_VSI_BP_VSI_BP+0.0)-(m20_sqrt(((temp*temp)+pInst->aphiedge))*(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*((temp_VSI_BP*temp)+(temp*temp_VSI_BP))+d10_sqrt0*(+(+(+temp_VSI_BP_VSI_BP-0.0)*temp+temp_VSI_BP*temp_VSI_BP+temp_VSI_BP*temp_VSI_BP+temp*(+temp_VSI_BP_VSI_BP-0.0))+0.0)))))+0.0);
  Vsbstaredge_VSI_BP_VGP_SI=(+(+0.0-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VGP_SI-(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*d10_sqrt0)+0.0*(temp_VSI_BP-((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)+0.5*(+(+temp_VSI_BP_VGP_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphiedge))*(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*((temp_VSI_BP*temp)+(temp*temp_VSI_BP))+d10_sqrt0*(+(+(+temp_VSI_BP_VGP_SI-0.0)*temp+temp_VSI_BP*temp_VGP_SI+temp_VGP_SI*temp_VSI_BP+temp*(+temp_VSI_BP_VGP_SI-0.0))+0.0)))))+0.0);
#endif
Vsbstaredge_VGP_SI=(-(0.5*(temp_VGP_SI-((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*d10_sqrt0)));
#if defined(_DERIVATE2)
  Vsbstaredge_VGP_SI_VDI_SI=(+(+0.0-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VDI_SI-(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*d10_sqrt0)+0.0*(temp_VGP_SI-((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*d10_sqrt0)+0.5*(+(+temp_VGP_SI_VDI_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphiedge))*(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*((temp_VGP_SI*temp)+(temp*temp_VGP_SI))+d10_sqrt0*(+(+(+temp_VGP_SI_VDI_SI-0.0)*temp+temp_VGP_SI*temp_VDI_SI+temp_VDI_SI*temp_VGP_SI+temp*(+temp_VGP_SI_VDI_SI-0.0))+0.0)))))+0.0);
  Vsbstaredge_VGP_SI_VSI_BP=(+(+0.0-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VSI_BP-(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*d10_sqrt0)+0.0*(temp_VGP_SI-((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*d10_sqrt0)+0.5*(+(+temp_VGP_SI_VSI_BP+0.0)-(m20_sqrt(((temp*temp)+pInst->aphiedge))*(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*((temp_VGP_SI*temp)+(temp*temp_VGP_SI))+d10_sqrt0*(+(+(+temp_VGP_SI_VSI_BP-0.0)*temp+temp_VGP_SI*temp_VSI_BP+temp_VSI_BP*temp_VGP_SI+temp*(+temp_VGP_SI_VSI_BP-0.0))+0.0)))))+0.0);
  Vsbstaredge_VGP_SI_VGP_SI=(+(+0.0-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VGP_SI-(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*d10_sqrt0)+0.0*(temp_VGP_SI-((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*d10_sqrt0)+0.5*(+(+temp_VGP_SI_VGP_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphiedge))*(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*((temp_VGP_SI*temp)+(temp*temp_VGP_SI))+d10_sqrt0*(+(+(+temp_VGP_SI_VGP_SI-0.0)*temp+temp_VGP_SI*temp_VGP_SI+temp_VGP_SI*temp_VGP_SI+temp*(+temp_VGP_SI_VGP_SI-0.0))+0.0)))))+0.0);
#endif
#endif
Vsbstaredge=((Vsb-(0.5*(temp-d00_sqrt0)))+pInst->phix1edge);
EXIT_IF_ISNAN(((Vsb-(0.5*(temp-d00_sqrt0)))+pInst->phix1edge))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Vsbxedge_VDI_SI=(Vsbstaredge_VDI_SI+(0.5*(Vds_VDI_SI-Vdsx_VDI_SI)));
#if defined(_DERIVATE2)
  Vsbxedge_VDI_SI_VDI_SI=(+Vsbstaredge_VDI_SI_VDI_SI+(+0.0*(Vds-Vdsx)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+Vds_VDI_SI_VDI_SI-Vdsx_VDI_SI_VDI_SI)));
  Vsbxedge_VDI_SI_VSI_BP=(+Vsbstaredge_VDI_SI_VSI_BP+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+0.0-0.0)));
  Vsbxedge_VDI_SI_VGP_SI=(+Vsbstaredge_VDI_SI_VGP_SI+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+0.0-0.0)));
#endif
Vsbxedge_VSI_BP=Vsbstaredge_VSI_BP;
#if defined(_DERIVATE2)
  Vsbxedge_VSI_BP_VDI_SI=(+Vsbstaredge_VSI_BP_VDI_SI+(+0.0*(Vds-Vdsx)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.0*0.0+0.5*(+0.0-0.0)));
  Vsbxedge_VSI_BP_VSI_BP=(+Vsbstaredge_VSI_BP_VSI_BP+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*0.0+0.5*(+0.0-0.0)));
  Vsbxedge_VSI_BP_VGP_SI=(+Vsbstaredge_VSI_BP_VGP_SI+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*0.0+0.5*(+0.0-0.0)));
#endif
Vsbxedge_VGP_SI=Vsbstaredge_VGP_SI;
#if defined(_DERIVATE2)
  Vsbxedge_VGP_SI_VDI_SI=(+Vsbstaredge_VGP_SI_VDI_SI+(+0.0*(Vds-Vdsx)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.0*0.0+0.5*(+0.0-0.0)));
  Vsbxedge_VGP_SI_VSI_BP=(+Vsbstaredge_VGP_SI_VSI_BP+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*0.0+0.5*(+0.0-0.0)));
  Vsbxedge_VGP_SI_VGP_SI=(+Vsbstaredge_VGP_SI_VGP_SI+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*0.0+0.5*(+0.0-0.0)));
#endif
#endif
Vsbxedge=(Vsbstaredge+(0.5*(Vds-Vdsx)));
EXIT_IF_ISNAN((Vsbstaredge+(0.5*(Vds-Vdsx))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
dphit1edge_VDI_SI=(((pInst->PSCEEDGE_i*(pInst->PSCEDEDGE_i*Vdsx_VDI_SI))*(1.0+(pInst->PSCEBEDGE_i*Vsbxedge)))+((pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(pInst->PSCEBEDGE_i*Vsbxedge_VDI_SI)));
#if defined(_DERIVATE2)
  dphit1edge_VDI_SI_VDI_SI=(+(+0.0*(1+(pInst->PSCEDEDGE_i*Vdsx))+0.0*((pInst->PSCEDEDGE_i*Vdsx_VDI_SI))+0.0*(pInst->PSCEDEDGE_i*Vdsx_VDI_SI)+pInst->PSCEEDGE_i*(+0.0+(+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*Vdsx_VDI_SI+pInst->PSCEDEDGE_i*Vdsx_VDI_SI_VDI_SI)))*(1.0+(pInst->PSCEBEDGE_i*Vsbxedge))+(pInst->PSCEEDGE_i*(pInst->PSCEDEDGE_i*Vdsx_VDI_SI))*((pInst->PSCEBEDGE_i*Vsbxedge_VDI_SI))+((pInst->PSCEEDGE_i*((pInst->PSCEDEDGE_i*Vdsx_VDI_SI))))*(pInst->PSCEBEDGE_i*Vsbxedge_VDI_SI)+(pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VDI_SI+0.0*Vsbxedge_VDI_SI+pInst->PSCEBEDGE_i*Vsbxedge_VDI_SI_VDI_SI)));
  dphit1edge_VDI_SI_VSI_BP=(+(+0.0*(1+(pInst->PSCEDEDGE_i*Vdsx))+0.0*(0.0)+0.0*(pInst->PSCEDEDGE_i*Vdsx_VDI_SI)+pInst->PSCEEDGE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*Vdsx_VDI_SI+pInst->PSCEDEDGE_i*0.0)))*(1.0+(pInst->PSCEBEDGE_i*Vsbxedge))+(pInst->PSCEEDGE_i*(pInst->PSCEDEDGE_i*Vdsx_VDI_SI))*((pInst->PSCEBEDGE_i*Vsbxedge_VSI_BP))+((pInst->PSCEEDGE_i*(0.0)))*(pInst->PSCEBEDGE_i*Vsbxedge_VDI_SI)+(pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VSI_BP+0.0*Vsbxedge_VDI_SI+pInst->PSCEBEDGE_i*Vsbxedge_VDI_SI_VSI_BP)));
  dphit1edge_VDI_SI_VGP_SI=(+(+0.0*(1+(pInst->PSCEDEDGE_i*Vdsx))+0.0*(0.0)+0.0*(pInst->PSCEDEDGE_i*Vdsx_VDI_SI)+pInst->PSCEEDGE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*Vdsx_VDI_SI+pInst->PSCEDEDGE_i*0.0)))*(1.0+(pInst->PSCEBEDGE_i*Vsbxedge))+(pInst->PSCEEDGE_i*(pInst->PSCEDEDGE_i*Vdsx_VDI_SI))*((pInst->PSCEBEDGE_i*Vsbxedge_VGP_SI))+((pInst->PSCEEDGE_i*(0.0)))*(pInst->PSCEBEDGE_i*Vsbxedge_VDI_SI)+(pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VGP_SI+0.0*Vsbxedge_VDI_SI+pInst->PSCEBEDGE_i*Vsbxedge_VDI_SI_VGP_SI)));
#endif
dphit1edge_VSI_BP=((pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(pInst->PSCEBEDGE_i*Vsbxedge_VSI_BP));
#if defined(_DERIVATE2)
  dphit1edge_VSI_BP_VDI_SI=(+(+0.0*(1+(pInst->PSCEDEDGE_i*Vdsx))+0.0*((pInst->PSCEDEDGE_i*Vdsx_VDI_SI))+0.0*0.0+pInst->PSCEEDGE_i*(+0.0+(+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*0.0+pInst->PSCEDEDGE_i*0.0)))*(1.0+(pInst->PSCEBEDGE_i*Vsbxedge))+0.0*((pInst->PSCEBEDGE_i*Vsbxedge_VDI_SI))+((pInst->PSCEEDGE_i*((pInst->PSCEDEDGE_i*Vdsx_VDI_SI))))*(pInst->PSCEBEDGE_i*Vsbxedge_VSI_BP)+(pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VDI_SI+0.0*Vsbxedge_VSI_BP+pInst->PSCEBEDGE_i*Vsbxedge_VSI_BP_VDI_SI)));
  dphit1edge_VSI_BP_VSI_BP=(+(+0.0*(1+(pInst->PSCEDEDGE_i*Vdsx))+0.0*(0.0)+0.0*0.0+pInst->PSCEEDGE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*0.0+pInst->PSCEDEDGE_i*0.0)))*(1.0+(pInst->PSCEBEDGE_i*Vsbxedge))+0.0*((pInst->PSCEBEDGE_i*Vsbxedge_VSI_BP))+((pInst->PSCEEDGE_i*(0.0)))*(pInst->PSCEBEDGE_i*Vsbxedge_VSI_BP)+(pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VSI_BP+0.0*Vsbxedge_VSI_BP+pInst->PSCEBEDGE_i*Vsbxedge_VSI_BP_VSI_BP)));
  dphit1edge_VSI_BP_VGP_SI=(+(+0.0*(1+(pInst->PSCEDEDGE_i*Vdsx))+0.0*(0.0)+0.0*0.0+pInst->PSCEEDGE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*0.0+pInst->PSCEDEDGE_i*0.0)))*(1.0+(pInst->PSCEBEDGE_i*Vsbxedge))+0.0*((pInst->PSCEBEDGE_i*Vsbxedge_VGP_SI))+((pInst->PSCEEDGE_i*(0.0)))*(pInst->PSCEBEDGE_i*Vsbxedge_VSI_BP)+(pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VGP_SI+0.0*Vsbxedge_VSI_BP+pInst->PSCEBEDGE_i*Vsbxedge_VSI_BP_VGP_SI)));
#endif
dphit1edge_VGP_SI=((pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(pInst->PSCEBEDGE_i*Vsbxedge_VGP_SI));
#if defined(_DERIVATE2)
  dphit1edge_VGP_SI_VDI_SI=(+(+0.0*(1+(pInst->PSCEDEDGE_i*Vdsx))+0.0*((pInst->PSCEDEDGE_i*Vdsx_VDI_SI))+0.0*0.0+pInst->PSCEEDGE_i*(+0.0+(+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*0.0+pInst->PSCEDEDGE_i*0.0)))*(1.0+(pInst->PSCEBEDGE_i*Vsbxedge))+0.0*((pInst->PSCEBEDGE_i*Vsbxedge_VDI_SI))+((pInst->PSCEEDGE_i*((pInst->PSCEDEDGE_i*Vdsx_VDI_SI))))*(pInst->PSCEBEDGE_i*Vsbxedge_VGP_SI)+(pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VDI_SI+0.0*Vsbxedge_VGP_SI+pInst->PSCEBEDGE_i*Vsbxedge_VGP_SI_VDI_SI)));
  dphit1edge_VGP_SI_VSI_BP=(+(+0.0*(1+(pInst->PSCEDEDGE_i*Vdsx))+0.0*(0.0)+0.0*0.0+pInst->PSCEEDGE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*0.0+pInst->PSCEDEDGE_i*0.0)))*(1.0+(pInst->PSCEBEDGE_i*Vsbxedge))+0.0*((pInst->PSCEBEDGE_i*Vsbxedge_VSI_BP))+((pInst->PSCEEDGE_i*(0.0)))*(pInst->PSCEBEDGE_i*Vsbxedge_VGP_SI)+(pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VSI_BP+0.0*Vsbxedge_VGP_SI+pInst->PSCEBEDGE_i*Vsbxedge_VGP_SI_VSI_BP)));
  dphit1edge_VGP_SI_VGP_SI=(+(+0.0*(1+(pInst->PSCEDEDGE_i*Vdsx))+0.0*(0.0)+0.0*0.0+pInst->PSCEEDGE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*0.0+pInst->PSCEDEDGE_i*0.0)))*(1.0+(pInst->PSCEBEDGE_i*Vsbxedge))+0.0*((pInst->PSCEBEDGE_i*Vsbxedge_VGP_SI))+((pInst->PSCEEDGE_i*(0.0)))*(pInst->PSCEBEDGE_i*Vsbxedge_VGP_SI)+(pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VGP_SI+0.0*Vsbxedge_VGP_SI+pInst->PSCEBEDGE_i*Vsbxedge_VGP_SI_VGP_SI)));
#endif
#endif
dphit1edge=((pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(1.0+(pInst->PSCEBEDGE_i*Vsbxedge)));
EXIT_IF_ISNAN(((pInst->PSCEEDGE_i*(1+(pInst->PSCEDEDGE_i*Vdsx)))*(1.0+(pInst->PSCEBEDGE_i*Vsbxedge))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
phit1edge_VDI_SI=(pInst->phit0edge*dphit1edge_VDI_SI);
#if defined(_DERIVATE2)
  phit1edge_VDI_SI_VDI_SI=(+0.0*(1.0+dphit1edge)+0.0*dphit1edge_VDI_SI+0.0*dphit1edge_VDI_SI+pInst->phit0edge*(+0.0+dphit1edge_VDI_SI_VDI_SI));
  phit1edge_VDI_SI_VSI_BP=(+0.0*(1.0+dphit1edge)+0.0*dphit1edge_VSI_BP+0.0*dphit1edge_VDI_SI+pInst->phit0edge*(+0.0+dphit1edge_VDI_SI_VSI_BP));
  phit1edge_VDI_SI_VGP_SI=(+0.0*(1.0+dphit1edge)+0.0*dphit1edge_VGP_SI+0.0*dphit1edge_VDI_SI+pInst->phit0edge*(+0.0+dphit1edge_VDI_SI_VGP_SI));
#endif
phit1edge_VSI_BP=(pInst->phit0edge*dphit1edge_VSI_BP);
#if defined(_DERIVATE2)
  phit1edge_VSI_BP_VDI_SI=(+0.0*(1.0+dphit1edge)+0.0*dphit1edge_VDI_SI+0.0*dphit1edge_VSI_BP+pInst->phit0edge*(+0.0+dphit1edge_VSI_BP_VDI_SI));
  phit1edge_VSI_BP_VSI_BP=(+0.0*(1.0+dphit1edge)+0.0*dphit1edge_VSI_BP+0.0*dphit1edge_VSI_BP+pInst->phit0edge*(+0.0+dphit1edge_VSI_BP_VSI_BP));
  phit1edge_VSI_BP_VGP_SI=(+0.0*(1.0+dphit1edge)+0.0*dphit1edge_VGP_SI+0.0*dphit1edge_VSI_BP+pInst->phit0edge*(+0.0+dphit1edge_VSI_BP_VGP_SI));
#endif
phit1edge_VGP_SI=(pInst->phit0edge*dphit1edge_VGP_SI);
#if defined(_DERIVATE2)
  phit1edge_VGP_SI_VDI_SI=(+0.0*(1.0+dphit1edge)+0.0*dphit1edge_VDI_SI+0.0*dphit1edge_VGP_SI+pInst->phit0edge*(+0.0+dphit1edge_VGP_SI_VDI_SI));
  phit1edge_VGP_SI_VSI_BP=(+0.0*(1.0+dphit1edge)+0.0*dphit1edge_VSI_BP+0.0*dphit1edge_VGP_SI+pInst->phit0edge*(+0.0+dphit1edge_VGP_SI_VSI_BP));
  phit1edge_VGP_SI_VGP_SI=(+0.0*(1.0+dphit1edge)+0.0*dphit1edge_VGP_SI+0.0*dphit1edge_VGP_SI+pInst->phit0edge*(+0.0+dphit1edge_VGP_SI_VGP_SI));
#endif
#endif
phit1edge=(pInst->phit0edge*(1.0+dphit1edge));
EXIT_IF_ISNAN((pInst->phit0edge*(1.0+dphit1edge)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
inv_phit1edge_VDI_SI=(-phit1edge_VDI_SI/phit1edge/phit1edge);
#if defined(_DERIVATE2)
  inv_phit1edge_VDI_SI_VDI_SI=(0.0/phit1edge-(0.0*phit1edge_VDI_SI+0.0*phit1edge_VDI_SI+1.0*phit1edge_VDI_SI_VDI_SI)/phit1edge/phit1edge+2*1.0*phit1edge_VDI_SI*phit1edge_VDI_SI/phit1edge/phit1edge/phit1edge);
  inv_phit1edge_VDI_SI_VSI_BP=(0.0/phit1edge-(0.0*phit1edge_VSI_BP+0.0*phit1edge_VDI_SI+1.0*phit1edge_VDI_SI_VSI_BP)/phit1edge/phit1edge+2*1.0*phit1edge_VDI_SI*phit1edge_VSI_BP/phit1edge/phit1edge/phit1edge);
  inv_phit1edge_VDI_SI_VGP_SI=(0.0/phit1edge-(0.0*phit1edge_VGP_SI+0.0*phit1edge_VDI_SI+1.0*phit1edge_VDI_SI_VGP_SI)/phit1edge/phit1edge+2*1.0*phit1edge_VDI_SI*phit1edge_VGP_SI/phit1edge/phit1edge/phit1edge);
#endif
inv_phit1edge_VSI_BP=(-phit1edge_VSI_BP/phit1edge/phit1edge);
#if defined(_DERIVATE2)
  inv_phit1edge_VSI_BP_VDI_SI=(0.0/phit1edge-(0.0*phit1edge_VDI_SI+0.0*phit1edge_VSI_BP+1.0*phit1edge_VSI_BP_VDI_SI)/phit1edge/phit1edge+2*1.0*phit1edge_VSI_BP*phit1edge_VDI_SI/phit1edge/phit1edge/phit1edge);
  inv_phit1edge_VSI_BP_VSI_BP=(0.0/phit1edge-(0.0*phit1edge_VSI_BP+0.0*phit1edge_VSI_BP+1.0*phit1edge_VSI_BP_VSI_BP)/phit1edge/phit1edge+2*1.0*phit1edge_VSI_BP*phit1edge_VSI_BP/phit1edge/phit1edge/phit1edge);
  inv_phit1edge_VSI_BP_VGP_SI=(0.0/phit1edge-(0.0*phit1edge_VGP_SI+0.0*phit1edge_VSI_BP+1.0*phit1edge_VSI_BP_VGP_SI)/phit1edge/phit1edge+2*1.0*phit1edge_VSI_BP*phit1edge_VGP_SI/phit1edge/phit1edge/phit1edge);
#endif
inv_phit1edge_VGP_SI=(-phit1edge_VGP_SI/phit1edge/phit1edge);
#if defined(_DERIVATE2)
  inv_phit1edge_VGP_SI_VDI_SI=(0.0/phit1edge-(0.0*phit1edge_VDI_SI+0.0*phit1edge_VGP_SI+1.0*phit1edge_VGP_SI_VDI_SI)/phit1edge/phit1edge+2*1.0*phit1edge_VGP_SI*phit1edge_VDI_SI/phit1edge/phit1edge/phit1edge);
  inv_phit1edge_VGP_SI_VSI_BP=(0.0/phit1edge-(0.0*phit1edge_VSI_BP+0.0*phit1edge_VGP_SI+1.0*phit1edge_VGP_SI_VSI_BP)/phit1edge/phit1edge+2*1.0*phit1edge_VGP_SI*phit1edge_VSI_BP/phit1edge/phit1edge/phit1edge);
  inv_phit1edge_VGP_SI_VGP_SI=(0.0/phit1edge-(0.0*phit1edge_VGP_SI+0.0*phit1edge_VGP_SI+1.0*phit1edge_VGP_SI_VGP_SI)/phit1edge/phit1edge+2*1.0*phit1edge_VGP_SI*phit1edge_VGP_SI/phit1edge/phit1edge/phit1edge);
#endif
#endif
inv_phit1edge=(1.0/phit1edge);
EXIT_IF_ISNAN((1.0/phit1edge))
{
double m00_sqrt(d00_sqrt0,(1.0+(pInst->CFDEDGE_i*Vdsx)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+(pInst->CFDEDGE_i*Vdsx)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Vdspedge_VDI_SI=(((2.0*Vdsx_VDI_SI)*(1.0+d00_sqrt0)-(2.0*Vdsx)*(pInst->CFDEDGE_i*Vdsx_VDI_SI)*d10_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#if defined(_DERIVATE2)
  Vdspedge_VDI_SI_VDI_SI=((+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*Vdsx_VDI_SI+2.0*Vdsx_VDI_SI_VDI_SI)/(1.0+d00_sqrt0)-((2.0*Vdsx_VDI_SI)*((pInst->CFDEDGE_i*Vdsx_VDI_SI))*d10_sqrt0+((2.0*Vdsx_VDI_SI))*(pInst->CFDEDGE_i*Vdsx_VDI_SI)*d10_sqrt0+(2.0*Vdsx)*(+0.0+(m20_sqrt((1.0+(pInst->CFDEDGE_i*Vdsx)))*((pInst->CFDEDGE_i*Vdsx_VDI_SI))*(pInst->CFDEDGE_i*Vdsx_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*Vdsx_VDI_SI+pInst->CFDEDGE_i*Vdsx_VDI_SI_VDI_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*(2.0*Vdsx)*(pInst->CFDEDGE_i*Vdsx_VDI_SI)*d10_sqrt0*((pInst->CFDEDGE_i*Vdsx_VDI_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#endif
#endif
Vdspedge=((2.0*Vdsx)/(1.0+d00_sqrt0));
EXIT_IF_ISNAN(((2.0*Vdsx)/(1.0+d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
delVgedge_VDI_SI=(((pInst->CFEDGE_i*Vdspedge_VDI_SI)*(1+(pInst->CFBEDGE_i*Vsbxedge)))+((pInst->CFEDGE_i*Vdspedge)*(pInst->CFBEDGE_i*Vsbxedge_VDI_SI)));
#if defined(_DERIVATE2)
  delVgedge_VDI_SI_VDI_SI=(+(+0.0*Vdspedge+0.0*Vdspedge_VDI_SI+0.0*Vdspedge_VDI_SI+pInst->CFEDGE_i*Vdspedge_VDI_SI_VDI_SI)*(1+(pInst->CFBEDGE_i*Vsbxedge))+(pInst->CFEDGE_i*Vdspedge_VDI_SI)*((pInst->CFBEDGE_i*Vsbxedge_VDI_SI))+((pInst->CFEDGE_i*Vdspedge_VDI_SI))*(pInst->CFBEDGE_i*Vsbxedge_VDI_SI)+(pInst->CFEDGE_i*Vdspedge)*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VDI_SI+0.0*Vsbxedge_VDI_SI+pInst->CFBEDGE_i*Vsbxedge_VDI_SI_VDI_SI)));
  delVgedge_VDI_SI_VSI_BP=(+(+0.0*Vdspedge+0.0*0.0+0.0*Vdspedge_VDI_SI+pInst->CFEDGE_i*0.0)*(1+(pInst->CFBEDGE_i*Vsbxedge))+(pInst->CFEDGE_i*Vdspedge_VDI_SI)*((pInst->CFBEDGE_i*Vsbxedge_VSI_BP))+(0.0)*(pInst->CFBEDGE_i*Vsbxedge_VDI_SI)+(pInst->CFEDGE_i*Vdspedge)*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VSI_BP+0.0*Vsbxedge_VDI_SI+pInst->CFBEDGE_i*Vsbxedge_VDI_SI_VSI_BP)));
  delVgedge_VDI_SI_VGP_SI=(+(+0.0*Vdspedge+0.0*0.0+0.0*Vdspedge_VDI_SI+pInst->CFEDGE_i*0.0)*(1+(pInst->CFBEDGE_i*Vsbxedge))+(pInst->CFEDGE_i*Vdspedge_VDI_SI)*((pInst->CFBEDGE_i*Vsbxedge_VGP_SI))+(0.0)*(pInst->CFBEDGE_i*Vsbxedge_VDI_SI)+(pInst->CFEDGE_i*Vdspedge)*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VGP_SI+0.0*Vsbxedge_VDI_SI+pInst->CFBEDGE_i*Vsbxedge_VDI_SI_VGP_SI)));
#endif
delVgedge_VSI_BP=((pInst->CFEDGE_i*Vdspedge)*(pInst->CFBEDGE_i*Vsbxedge_VSI_BP));
#if defined(_DERIVATE2)
  delVgedge_VSI_BP_VDI_SI=(+(+0.0*Vdspedge+0.0*Vdspedge_VDI_SI+0.0*0.0+pInst->CFEDGE_i*0.0)*(1+(pInst->CFBEDGE_i*Vsbxedge))+0.0*((pInst->CFBEDGE_i*Vsbxedge_VDI_SI))+((pInst->CFEDGE_i*Vdspedge_VDI_SI))*(pInst->CFBEDGE_i*Vsbxedge_VSI_BP)+(pInst->CFEDGE_i*Vdspedge)*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VDI_SI+0.0*Vsbxedge_VSI_BP+pInst->CFBEDGE_i*Vsbxedge_VSI_BP_VDI_SI)));
  delVgedge_VSI_BP_VSI_BP=(+(+0.0*Vdspedge+0.0*0.0+0.0*0.0+pInst->CFEDGE_i*0.0)*(1+(pInst->CFBEDGE_i*Vsbxedge))+0.0*((pInst->CFBEDGE_i*Vsbxedge_VSI_BP))+(0.0)*(pInst->CFBEDGE_i*Vsbxedge_VSI_BP)+(pInst->CFEDGE_i*Vdspedge)*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VSI_BP+0.0*Vsbxedge_VSI_BP+pInst->CFBEDGE_i*Vsbxedge_VSI_BP_VSI_BP)));
  delVgedge_VSI_BP_VGP_SI=(+(+0.0*Vdspedge+0.0*0.0+0.0*0.0+pInst->CFEDGE_i*0.0)*(1+(pInst->CFBEDGE_i*Vsbxedge))+0.0*((pInst->CFBEDGE_i*Vsbxedge_VGP_SI))+(0.0)*(pInst->CFBEDGE_i*Vsbxedge_VSI_BP)+(pInst->CFEDGE_i*Vdspedge)*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VGP_SI+0.0*Vsbxedge_VSI_BP+pInst->CFBEDGE_i*Vsbxedge_VSI_BP_VGP_SI)));
#endif
delVgedge_VGP_SI=((pInst->CFEDGE_i*Vdspedge)*(pInst->CFBEDGE_i*Vsbxedge_VGP_SI));
#if defined(_DERIVATE2)
  delVgedge_VGP_SI_VDI_SI=(+(+0.0*Vdspedge+0.0*Vdspedge_VDI_SI+0.0*0.0+pInst->CFEDGE_i*0.0)*(1+(pInst->CFBEDGE_i*Vsbxedge))+0.0*((pInst->CFBEDGE_i*Vsbxedge_VDI_SI))+((pInst->CFEDGE_i*Vdspedge_VDI_SI))*(pInst->CFBEDGE_i*Vsbxedge_VGP_SI)+(pInst->CFEDGE_i*Vdspedge)*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VDI_SI+0.0*Vsbxedge_VGP_SI+pInst->CFBEDGE_i*Vsbxedge_VGP_SI_VDI_SI)));
  delVgedge_VGP_SI_VSI_BP=(+(+0.0*Vdspedge+0.0*0.0+0.0*0.0+pInst->CFEDGE_i*0.0)*(1+(pInst->CFBEDGE_i*Vsbxedge))+0.0*((pInst->CFBEDGE_i*Vsbxedge_VSI_BP))+(0.0)*(pInst->CFBEDGE_i*Vsbxedge_VGP_SI)+(pInst->CFEDGE_i*Vdspedge)*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VSI_BP+0.0*Vsbxedge_VGP_SI+pInst->CFBEDGE_i*Vsbxedge_VGP_SI_VSI_BP)));
  delVgedge_VGP_SI_VGP_SI=(+(+0.0*Vdspedge+0.0*0.0+0.0*0.0+pInst->CFEDGE_i*0.0)*(1+(pInst->CFBEDGE_i*Vsbxedge))+0.0*((pInst->CFBEDGE_i*Vsbxedge_VGP_SI))+(0.0)*(pInst->CFBEDGE_i*Vsbxedge_VGP_SI)+(pInst->CFEDGE_i*Vdspedge)*(+0.0+(+0.0*Vsbxedge+0.0*Vsbxedge_VGP_SI+0.0*Vsbxedge_VGP_SI+pInst->CFBEDGE_i*Vsbxedge_VGP_SI_VGP_SI)));
#endif
#endif
delVgedge=((pInst->CFEDGE_i*Vdspedge)*(1+(pInst->CFBEDGE_i*Vsbxedge)));
EXIT_IF_ISNAN(((pInst->CFEDGE_i*Vdspedge)*(1+(pInst->CFBEDGE_i*Vsbxedge))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
xgedge_VDI_SI=((inv_phit1edge_VDI_SI*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T))+(inv_phit1edge*((Vgs_VDI_SI+Vsbstaredge_VDI_SI)+delVgedge_VDI_SI)));
#if defined(_DERIVATE2)
  xgedge_VDI_SI_VDI_SI=(+inv_phit1edge_VDI_SI_VDI_SI*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T)+inv_phit1edge_VDI_SI*((Vgs_VDI_SI+Vsbstaredge_VDI_SI)+delVgedge_VDI_SI)+inv_phit1edge_VDI_SI*((Vgs_VDI_SI+Vsbstaredge_VDI_SI)+delVgedge_VDI_SI)+inv_phit1edge*(+(+(+Vgs_VDI_SI_VDI_SI+Vsbstaredge_VDI_SI_VDI_SI)+delVgedge_VDI_SI_VDI_SI)-0.0));
  xgedge_VDI_SI_VSI_BP=(+inv_phit1edge_VDI_SI_VSI_BP*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T)+inv_phit1edge_VDI_SI*(Vsbstaredge_VSI_BP+delVgedge_VSI_BP)+inv_phit1edge_VSI_BP*((Vgs_VDI_SI+Vsbstaredge_VDI_SI)+delVgedge_VDI_SI)+inv_phit1edge*(+(+(+0.0+Vsbstaredge_VDI_SI_VSI_BP)+delVgedge_VDI_SI_VSI_BP)-0.0));
  xgedge_VDI_SI_VGP_SI=(+inv_phit1edge_VDI_SI_VGP_SI*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T)+inv_phit1edge_VDI_SI*((Vgs_VGP_SI+Vsbstaredge_VGP_SI)+delVgedge_VGP_SI)+inv_phit1edge_VGP_SI*((Vgs_VDI_SI+Vsbstaredge_VDI_SI)+delVgedge_VDI_SI)+inv_phit1edge*(+(+(+Vgs_VDI_SI_VGP_SI+Vsbstaredge_VDI_SI_VGP_SI)+delVgedge_VDI_SI_VGP_SI)-0.0));
#endif
xgedge_VSI_BP=((inv_phit1edge_VSI_BP*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T))+(inv_phit1edge*(Vsbstaredge_VSI_BP+delVgedge_VSI_BP)));
#if defined(_DERIVATE2)
  xgedge_VSI_BP_VDI_SI=(+inv_phit1edge_VSI_BP_VDI_SI*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T)+inv_phit1edge_VSI_BP*((Vgs_VDI_SI+Vsbstaredge_VDI_SI)+delVgedge_VDI_SI)+inv_phit1edge_VDI_SI*(Vsbstaredge_VSI_BP+delVgedge_VSI_BP)+inv_phit1edge*(+(+(+0.0+Vsbstaredge_VSI_BP_VDI_SI)+delVgedge_VSI_BP_VDI_SI)-0.0));
  xgedge_VSI_BP_VSI_BP=(+inv_phit1edge_VSI_BP_VSI_BP*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T)+inv_phit1edge_VSI_BP*(Vsbstaredge_VSI_BP+delVgedge_VSI_BP)+inv_phit1edge_VSI_BP*(Vsbstaredge_VSI_BP+delVgedge_VSI_BP)+inv_phit1edge*(+(+(+0.0+Vsbstaredge_VSI_BP_VSI_BP)+delVgedge_VSI_BP_VSI_BP)-0.0));
  xgedge_VSI_BP_VGP_SI=(+inv_phit1edge_VSI_BP_VGP_SI*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T)+inv_phit1edge_VSI_BP*((Vgs_VGP_SI+Vsbstaredge_VGP_SI)+delVgedge_VGP_SI)+inv_phit1edge_VGP_SI*(Vsbstaredge_VSI_BP+delVgedge_VSI_BP)+inv_phit1edge*(+(+(+0.0+Vsbstaredge_VSI_BP_VGP_SI)+delVgedge_VSI_BP_VGP_SI)-0.0));
#endif
xgedge_VGP_SI=((inv_phit1edge_VGP_SI*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T))+(inv_phit1edge*((Vgs_VGP_SI+Vsbstaredge_VGP_SI)+delVgedge_VGP_SI)));
#if defined(_DERIVATE2)
  xgedge_VGP_SI_VDI_SI=(+inv_phit1edge_VGP_SI_VDI_SI*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T)+inv_phit1edge_VGP_SI*((Vgs_VDI_SI+Vsbstaredge_VDI_SI)+delVgedge_VDI_SI)+inv_phit1edge_VDI_SI*((Vgs_VGP_SI+Vsbstaredge_VGP_SI)+delVgedge_VGP_SI)+inv_phit1edge*(+(+(+Vgs_VGP_SI_VDI_SI+Vsbstaredge_VGP_SI_VDI_SI)+delVgedge_VGP_SI_VDI_SI)-0.0));
  xgedge_VGP_SI_VSI_BP=(+inv_phit1edge_VGP_SI_VSI_BP*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T)+inv_phit1edge_VGP_SI*(Vsbstaredge_VSI_BP+delVgedge_VSI_BP)+inv_phit1edge_VSI_BP*((Vgs_VGP_SI+Vsbstaredge_VGP_SI)+delVgedge_VGP_SI)+inv_phit1edge*(+(+(+0.0+Vsbstaredge_VGP_SI_VSI_BP)+delVgedge_VGP_SI_VSI_BP)-0.0));
  xgedge_VGP_SI_VGP_SI=(+inv_phit1edge_VGP_SI_VGP_SI*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T)+inv_phit1edge_VGP_SI*((Vgs_VGP_SI+Vsbstaredge_VGP_SI)+delVgedge_VGP_SI)+inv_phit1edge_VGP_SI*((Vgs_VGP_SI+Vsbstaredge_VGP_SI)+delVgedge_VGP_SI)+inv_phit1edge*(+(+(+Vgs_VGP_SI_VGP_SI+Vsbstaredge_VGP_SI_VGP_SI)+delVgedge_VGP_SI_VGP_SI)-0.0));
#endif
#endif
pInst->xgedge=(inv_phit1edge*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T));
EXIT_IF_ISNAN((inv_phit1edge*(((Vgs+Vsbstaredge)+delVgedge)-pInst->VFBEDGE_T)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
xbedge_VDI_SI=inv_phit1edge_VDI_SI*pInst->phibedge;
#if defined(_DERIVATE2)
  xbedge_VDI_SI_VDI_SI=(+inv_phit1edge_VDI_SI_VDI_SI*pInst->phibedge+inv_phit1edge_VDI_SI*0.0+inv_phit1edge_VDI_SI*0.0+inv_phit1edge*0.0);
  xbedge_VDI_SI_VSI_BP=(+inv_phit1edge_VDI_SI_VSI_BP*pInst->phibedge+inv_phit1edge_VDI_SI*0.0+inv_phit1edge_VSI_BP*0.0+inv_phit1edge*0.0);
  xbedge_VDI_SI_VGP_SI=(+inv_phit1edge_VDI_SI_VGP_SI*pInst->phibedge+inv_phit1edge_VDI_SI*0.0+inv_phit1edge_VGP_SI*0.0+inv_phit1edge*0.0);
#endif
xbedge_VSI_BP=inv_phit1edge_VSI_BP*pInst->phibedge;
#if defined(_DERIVATE2)
  xbedge_VSI_BP_VDI_SI=(+inv_phit1edge_VSI_BP_VDI_SI*pInst->phibedge+inv_phit1edge_VSI_BP*0.0+inv_phit1edge_VDI_SI*0.0+inv_phit1edge*0.0);
  xbedge_VSI_BP_VSI_BP=(+inv_phit1edge_VSI_BP_VSI_BP*pInst->phibedge+inv_phit1edge_VSI_BP*0.0+inv_phit1edge_VSI_BP*0.0+inv_phit1edge*0.0);
  xbedge_VSI_BP_VGP_SI=(+inv_phit1edge_VSI_BP_VGP_SI*pInst->phibedge+inv_phit1edge_VSI_BP*0.0+inv_phit1edge_VGP_SI*0.0+inv_phit1edge*0.0);
#endif
xbedge_VGP_SI=inv_phit1edge_VGP_SI*pInst->phibedge;
#if defined(_DERIVATE2)
  xbedge_VGP_SI_VDI_SI=(+inv_phit1edge_VGP_SI_VDI_SI*pInst->phibedge+inv_phit1edge_VGP_SI*0.0+inv_phit1edge_VDI_SI*0.0+inv_phit1edge*0.0);
  xbedge_VGP_SI_VSI_BP=(+inv_phit1edge_VGP_SI_VSI_BP*pInst->phibedge+inv_phit1edge_VGP_SI*0.0+inv_phit1edge_VSI_BP*0.0+inv_phit1edge*0.0);
  xbedge_VGP_SI_VGP_SI=(+inv_phit1edge_VGP_SI_VGP_SI*pInst->phibedge+inv_phit1edge_VGP_SI*0.0+inv_phit1edge_VGP_SI*0.0+inv_phit1edge*0.0);
#endif
#endif
xbedge=(inv_phit1edge*pInst->phibedge);
EXIT_IF_ISNAN((inv_phit1edge*pInst->phibedge))
{
double m00_sqrt(d00_sqrt0,xbedge)
double m00_logE(d00_logE1,((xbedge/pInst->Gfedge)+d00_sqrt0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,xbedge)
double m10_logE(d10_logE1,d00_logE1,((xbedge/pInst->Gfedge)+d00_sqrt0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dxthedge_VDI_SI=(2.0*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)*d10_logE1);
#if defined(_DERIVATE2)
  dxthedge_VDI_SI_VDI_SI=(+0.0*d00_logE1+0.0*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)*d10_logE1+0.0*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)*d10_logE1+2.0*(m20_logE(((xbedge/pInst->Gfedge)+d00_sqrt0))*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)+d10_logE1*(+(xbedge_VDI_SI_VDI_SI/pInst->Gfedge-(xbedge_VDI_SI*0.0+xbedge_VDI_SI*0.0+xbedge*0.0)/pInst->Gfedge/pInst->Gfedge+2*xbedge*0.0*0.0/pInst->Gfedge/pInst->Gfedge/pInst->Gfedge)+(m20_sqrt(xbedge)*xbedge_VDI_SI*xbedge_VDI_SI+d10_sqrt0*xbedge_VDI_SI_VDI_SI))));
  dxthedge_VDI_SI_VSI_BP=(+0.0*d00_logE1+0.0*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)*d10_logE1+0.0*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)*d10_logE1+2.0*(m20_logE(((xbedge/pInst->Gfedge)+d00_sqrt0))*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)+d10_logE1*(+(xbedge_VDI_SI_VSI_BP/pInst->Gfedge-(xbedge_VDI_SI*0.0+xbedge_VSI_BP*0.0+xbedge*0.0)/pInst->Gfedge/pInst->Gfedge+2*xbedge*0.0*0.0/pInst->Gfedge/pInst->Gfedge/pInst->Gfedge)+(m20_sqrt(xbedge)*xbedge_VSI_BP*xbedge_VDI_SI+d10_sqrt0*xbedge_VDI_SI_VSI_BP))));
  dxthedge_VDI_SI_VGP_SI=(+0.0*d00_logE1+0.0*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)*d10_logE1+0.0*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)*d10_logE1+2.0*(m20_logE(((xbedge/pInst->Gfedge)+d00_sqrt0))*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)+d10_logE1*(+(xbedge_VDI_SI_VGP_SI/pInst->Gfedge-(xbedge_VDI_SI*0.0+xbedge_VGP_SI*0.0+xbedge*0.0)/pInst->Gfedge/pInst->Gfedge+2*xbedge*0.0*0.0/pInst->Gfedge/pInst->Gfedge/pInst->Gfedge)+(m20_sqrt(xbedge)*xbedge_VGP_SI*xbedge_VDI_SI+d10_sqrt0*xbedge_VDI_SI_VGP_SI))));
#endif
dxthedge_VSI_BP=(2.0*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)*d10_logE1);
#if defined(_DERIVATE2)
  dxthedge_VSI_BP_VDI_SI=(+0.0*d00_logE1+0.0*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)*d10_logE1+0.0*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)*d10_logE1+2.0*(m20_logE(((xbedge/pInst->Gfedge)+d00_sqrt0))*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)+d10_logE1*(+(xbedge_VSI_BP_VDI_SI/pInst->Gfedge-(xbedge_VSI_BP*0.0+xbedge_VDI_SI*0.0+xbedge*0.0)/pInst->Gfedge/pInst->Gfedge+2*xbedge*0.0*0.0/pInst->Gfedge/pInst->Gfedge/pInst->Gfedge)+(m20_sqrt(xbedge)*xbedge_VDI_SI*xbedge_VSI_BP+d10_sqrt0*xbedge_VSI_BP_VDI_SI))));
  dxthedge_VSI_BP_VSI_BP=(+0.0*d00_logE1+0.0*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)*d10_logE1+0.0*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)*d10_logE1+2.0*(m20_logE(((xbedge/pInst->Gfedge)+d00_sqrt0))*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)+d10_logE1*(+(xbedge_VSI_BP_VSI_BP/pInst->Gfedge-(xbedge_VSI_BP*0.0+xbedge_VSI_BP*0.0+xbedge*0.0)/pInst->Gfedge/pInst->Gfedge+2*xbedge*0.0*0.0/pInst->Gfedge/pInst->Gfedge/pInst->Gfedge)+(m20_sqrt(xbedge)*xbedge_VSI_BP*xbedge_VSI_BP+d10_sqrt0*xbedge_VSI_BP_VSI_BP))));
  dxthedge_VSI_BP_VGP_SI=(+0.0*d00_logE1+0.0*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)*d10_logE1+0.0*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)*d10_logE1+2.0*(m20_logE(((xbedge/pInst->Gfedge)+d00_sqrt0))*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)+d10_logE1*(+(xbedge_VSI_BP_VGP_SI/pInst->Gfedge-(xbedge_VSI_BP*0.0+xbedge_VGP_SI*0.0+xbedge*0.0)/pInst->Gfedge/pInst->Gfedge+2*xbedge*0.0*0.0/pInst->Gfedge/pInst->Gfedge/pInst->Gfedge)+(m20_sqrt(xbedge)*xbedge_VGP_SI*xbedge_VSI_BP+d10_sqrt0*xbedge_VSI_BP_VGP_SI))));
#endif
dxthedge_VGP_SI=(2.0*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)*d10_logE1);
#if defined(_DERIVATE2)
  dxthedge_VGP_SI_VDI_SI=(+0.0*d00_logE1+0.0*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)*d10_logE1+0.0*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)*d10_logE1+2.0*(m20_logE(((xbedge/pInst->Gfedge)+d00_sqrt0))*((xbedge_VDI_SI/pInst->Gfedge)+xbedge_VDI_SI*d10_sqrt0)*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)+d10_logE1*(+(xbedge_VGP_SI_VDI_SI/pInst->Gfedge-(xbedge_VGP_SI*0.0+xbedge_VDI_SI*0.0+xbedge*0.0)/pInst->Gfedge/pInst->Gfedge+2*xbedge*0.0*0.0/pInst->Gfedge/pInst->Gfedge/pInst->Gfedge)+(m20_sqrt(xbedge)*xbedge_VDI_SI*xbedge_VGP_SI+d10_sqrt0*xbedge_VGP_SI_VDI_SI))));
  dxthedge_VGP_SI_VSI_BP=(+0.0*d00_logE1+0.0*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)*d10_logE1+0.0*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)*d10_logE1+2.0*(m20_logE(((xbedge/pInst->Gfedge)+d00_sqrt0))*((xbedge_VSI_BP/pInst->Gfedge)+xbedge_VSI_BP*d10_sqrt0)*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)+d10_logE1*(+(xbedge_VGP_SI_VSI_BP/pInst->Gfedge-(xbedge_VGP_SI*0.0+xbedge_VSI_BP*0.0+xbedge*0.0)/pInst->Gfedge/pInst->Gfedge+2*xbedge*0.0*0.0/pInst->Gfedge/pInst->Gfedge/pInst->Gfedge)+(m20_sqrt(xbedge)*xbedge_VSI_BP*xbedge_VGP_SI+d10_sqrt0*xbedge_VGP_SI_VSI_BP))));
  dxthedge_VGP_SI_VGP_SI=(+0.0*d00_logE1+0.0*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)*d10_logE1+0.0*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)*d10_logE1+2.0*(m20_logE(((xbedge/pInst->Gfedge)+d00_sqrt0))*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)*((xbedge_VGP_SI/pInst->Gfedge)+xbedge_VGP_SI*d10_sqrt0)+d10_logE1*(+(xbedge_VGP_SI_VGP_SI/pInst->Gfedge-(xbedge_VGP_SI*0.0+xbedge_VGP_SI*0.0+xbedge*0.0)/pInst->Gfedge/pInst->Gfedge+2*xbedge*0.0*0.0/pInst->Gfedge/pInst->Gfedge/pInst->Gfedge)+(m20_sqrt(xbedge)*xbedge_VGP_SI*xbedge_VGP_SI+d10_sqrt0*xbedge_VGP_SI_VGP_SI))));
#endif
#endif
dxthedge=(2.0*d00_logE1);
EXIT_IF_ISNAN((2.0*d00_logE1))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND)V(SI,GND) */
xnedge_s_VDI_SI=((inv_phit1edge_VDI_SI*Vsbstaredge)+(inv_phit1edge*Vsbstaredge_VDI_SI));
#if defined(_DERIVATE2)
  xnedge_s_VDI_SI_VDI_SI=(+inv_phit1edge_VDI_SI_VDI_SI*Vsbstaredge+inv_phit1edge_VDI_SI*Vsbstaredge_VDI_SI+inv_phit1edge_VDI_SI*Vsbstaredge_VDI_SI+inv_phit1edge*Vsbstaredge_VDI_SI_VDI_SI);
  xnedge_s_VDI_SI_VSI_BP=(+inv_phit1edge_VDI_SI_VSI_BP*Vsbstaredge+inv_phit1edge_VDI_SI*Vsbstaredge_VSI_BP+inv_phit1edge_VSI_BP*Vsbstaredge_VDI_SI+inv_phit1edge*Vsbstaredge_VDI_SI_VSI_BP);
  xnedge_s_VDI_SI_VGP_SI=(+inv_phit1edge_VDI_SI_VGP_SI*Vsbstaredge+inv_phit1edge_VDI_SI*Vsbstaredge_VGP_SI+inv_phit1edge_VGP_SI*Vsbstaredge_VDI_SI+inv_phit1edge*Vsbstaredge_VDI_SI_VGP_SI);
#endif
xnedge_s_VSI_BP=((inv_phit1edge_VSI_BP*Vsbstaredge)+(inv_phit1edge*Vsbstaredge_VSI_BP));
#if defined(_DERIVATE2)
  xnedge_s_VSI_BP_VDI_SI=(+inv_phit1edge_VSI_BP_VDI_SI*Vsbstaredge+inv_phit1edge_VSI_BP*Vsbstaredge_VDI_SI+inv_phit1edge_VDI_SI*Vsbstaredge_VSI_BP+inv_phit1edge*Vsbstaredge_VSI_BP_VDI_SI);
  xnedge_s_VSI_BP_VSI_BP=(+inv_phit1edge_VSI_BP_VSI_BP*Vsbstaredge+inv_phit1edge_VSI_BP*Vsbstaredge_VSI_BP+inv_phit1edge_VSI_BP*Vsbstaredge_VSI_BP+inv_phit1edge*Vsbstaredge_VSI_BP_VSI_BP);
  xnedge_s_VSI_BP_VGP_SI=(+inv_phit1edge_VSI_BP_VGP_SI*Vsbstaredge+inv_phit1edge_VSI_BP*Vsbstaredge_VGP_SI+inv_phit1edge_VGP_SI*Vsbstaredge_VSI_BP+inv_phit1edge*Vsbstaredge_VSI_BP_VGP_SI);
#endif
xnedge_s_VGP_SI=((inv_phit1edge_VGP_SI*Vsbstaredge)+(inv_phit1edge*Vsbstaredge_VGP_SI));
#if defined(_DERIVATE2)
  xnedge_s_VGP_SI_VDI_SI=(+inv_phit1edge_VGP_SI_VDI_SI*Vsbstaredge+inv_phit1edge_VGP_SI*Vsbstaredge_VDI_SI+inv_phit1edge_VDI_SI*Vsbstaredge_VGP_SI+inv_phit1edge*Vsbstaredge_VGP_SI_VDI_SI);
  xnedge_s_VGP_SI_VSI_BP=(+inv_phit1edge_VGP_SI_VSI_BP*Vsbstaredge+inv_phit1edge_VGP_SI*Vsbstaredge_VSI_BP+inv_phit1edge_VSI_BP*Vsbstaredge_VGP_SI+inv_phit1edge*Vsbstaredge_VGP_SI_VSI_BP);
  xnedge_s_VGP_SI_VGP_SI=(+inv_phit1edge_VGP_SI_VGP_SI*Vsbstaredge+inv_phit1edge_VGP_SI*Vsbstaredge_VGP_SI+inv_phit1edge_VGP_SI*Vsbstaredge_VGP_SI+inv_phit1edge*Vsbstaredge_VGP_SI_VGP_SI);
#endif
#endif
xnedge_s=(inv_phit1edge*Vsbstaredge);
EXIT_IF_ISNAN((inv_phit1edge*Vsbstaredge))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_xsth_VDI_SI=(xbedge_VDI_SI+xnedge_s_VDI_SI);
#if defined(_DERIVATE2)
  Q_EDGE_xsth_VDI_SI_VDI_SI=(+xbedge_VDI_SI_VDI_SI+xnedge_s_VDI_SI_VDI_SI);
  Q_EDGE_xsth_VDI_SI_VSI_BP=(+xbedge_VDI_SI_VSI_BP+xnedge_s_VDI_SI_VSI_BP);
  Q_EDGE_xsth_VDI_SI_VGP_SI=(+xbedge_VDI_SI_VGP_SI+xnedge_s_VDI_SI_VGP_SI);
#endif
Q_EDGE_xsth_VSI_BP=(xbedge_VSI_BP+xnedge_s_VSI_BP);
#if defined(_DERIVATE2)
  Q_EDGE_xsth_VSI_BP_VDI_SI=(+xbedge_VSI_BP_VDI_SI+xnedge_s_VSI_BP_VDI_SI);
  Q_EDGE_xsth_VSI_BP_VSI_BP=(+xbedge_VSI_BP_VSI_BP+xnedge_s_VSI_BP_VSI_BP);
  Q_EDGE_xsth_VSI_BP_VGP_SI=(+xbedge_VSI_BP_VGP_SI+xnedge_s_VSI_BP_VGP_SI);
#endif
Q_EDGE_xsth_VGP_SI=(xbedge_VGP_SI+xnedge_s_VGP_SI);
#if defined(_DERIVATE2)
  Q_EDGE_xsth_VGP_SI_VDI_SI=(+xbedge_VGP_SI_VDI_SI+xnedge_s_VGP_SI_VDI_SI);
  Q_EDGE_xsth_VGP_SI_VSI_BP=(+xbedge_VGP_SI_VSI_BP+xnedge_s_VGP_SI_VSI_BP);
  Q_EDGE_xsth_VGP_SI_VGP_SI=(+xbedge_VGP_SI_VGP_SI+xnedge_s_VGP_SI_VGP_SI);
#endif
#endif
Q_EDGE_xsth=(xbedge+xnedge_s);
EXIT_IF_ISNAN((xbedge+xnedge_s))
{
double m00_sqrt(d00_sqrt0,Q_EDGE_xsth)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,Q_EDGE_xsth)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_xth0_VDI_SI=(Q_EDGE_xsth_VDI_SI+(pInst->Gfedge*Q_EDGE_xsth_VDI_SI*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_xth0_VDI_SI_VDI_SI=(+Q_EDGE_xsth_VDI_SI_VDI_SI+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VDI_SI*Q_EDGE_xsth_VDI_SI+d10_sqrt0*Q_EDGE_xsth_VDI_SI_VDI_SI)));
  Q_EDGE_xth0_VDI_SI_VSI_BP=(+Q_EDGE_xsth_VDI_SI_VSI_BP+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VSI_BP*Q_EDGE_xsth_VDI_SI+d10_sqrt0*Q_EDGE_xsth_VDI_SI_VSI_BP)));
  Q_EDGE_xth0_VDI_SI_VGP_SI=(+Q_EDGE_xsth_VDI_SI_VGP_SI+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VGP_SI*Q_EDGE_xsth_VDI_SI+d10_sqrt0*Q_EDGE_xsth_VDI_SI_VGP_SI)));
#endif
Q_EDGE_xth0_VSI_BP=(Q_EDGE_xsth_VSI_BP+(pInst->Gfedge*Q_EDGE_xsth_VSI_BP*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_xth0_VSI_BP_VDI_SI=(+Q_EDGE_xsth_VSI_BP_VDI_SI+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VDI_SI*Q_EDGE_xsth_VSI_BP+d10_sqrt0*Q_EDGE_xsth_VSI_BP_VDI_SI)));
  Q_EDGE_xth0_VSI_BP_VSI_BP=(+Q_EDGE_xsth_VSI_BP_VSI_BP+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VSI_BP*Q_EDGE_xsth_VSI_BP+d10_sqrt0*Q_EDGE_xsth_VSI_BP_VSI_BP)));
  Q_EDGE_xth0_VSI_BP_VGP_SI=(+Q_EDGE_xsth_VSI_BP_VGP_SI+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VGP_SI*Q_EDGE_xsth_VSI_BP+d10_sqrt0*Q_EDGE_xsth_VSI_BP_VGP_SI)));
#endif
Q_EDGE_xth0_VGP_SI=(Q_EDGE_xsth_VGP_SI+(pInst->Gfedge*Q_EDGE_xsth_VGP_SI*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_xth0_VGP_SI_VDI_SI=(+Q_EDGE_xsth_VGP_SI_VDI_SI+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VDI_SI*Q_EDGE_xsth_VGP_SI+d10_sqrt0*Q_EDGE_xsth_VGP_SI_VDI_SI)));
  Q_EDGE_xth0_VGP_SI_VSI_BP=(+Q_EDGE_xsth_VGP_SI_VSI_BP+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VSI_BP*Q_EDGE_xsth_VGP_SI+d10_sqrt0*Q_EDGE_xsth_VGP_SI_VSI_BP)));
  Q_EDGE_xth0_VGP_SI_VGP_SI=(+Q_EDGE_xsth_VGP_SI_VGP_SI+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VGP_SI*Q_EDGE_xsth_VGP_SI+d10_sqrt0*Q_EDGE_xsth_VGP_SI_VGP_SI)));
#endif
#endif
Q_EDGE_xth0=(Q_EDGE_xsth+(pInst->Gfedge*d00_sqrt0));
EXIT_IF_ISNAN((Q_EDGE_xsth+(pInst->Gfedge*d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_xth_VDI_SI=(Q_EDGE_xth0_VDI_SI+dxthedge_VDI_SI);
#if defined(_DERIVATE2)
  Q_EDGE_xth_VDI_SI_VDI_SI=(+Q_EDGE_xth0_VDI_SI_VDI_SI+dxthedge_VDI_SI_VDI_SI);
  Q_EDGE_xth_VDI_SI_VSI_BP=(+Q_EDGE_xth0_VDI_SI_VSI_BP+dxthedge_VDI_SI_VSI_BP);
  Q_EDGE_xth_VDI_SI_VGP_SI=(+Q_EDGE_xth0_VDI_SI_VGP_SI+dxthedge_VDI_SI_VGP_SI);
#endif
Q_EDGE_xth_VSI_BP=(Q_EDGE_xth0_VSI_BP+dxthedge_VSI_BP);
#if defined(_DERIVATE2)
  Q_EDGE_xth_VSI_BP_VDI_SI=(+Q_EDGE_xth0_VSI_BP_VDI_SI+dxthedge_VSI_BP_VDI_SI);
  Q_EDGE_xth_VSI_BP_VSI_BP=(+Q_EDGE_xth0_VSI_BP_VSI_BP+dxthedge_VSI_BP_VSI_BP);
  Q_EDGE_xth_VSI_BP_VGP_SI=(+Q_EDGE_xth0_VSI_BP_VGP_SI+dxthedge_VSI_BP_VGP_SI);
#endif
Q_EDGE_xth_VGP_SI=(Q_EDGE_xth0_VGP_SI+dxthedge_VGP_SI);
#if defined(_DERIVATE2)
  Q_EDGE_xth_VGP_SI_VDI_SI=(+Q_EDGE_xth0_VGP_SI_VDI_SI+dxthedge_VGP_SI_VDI_SI);
  Q_EDGE_xth_VGP_SI_VSI_BP=(+Q_EDGE_xth0_VGP_SI_VSI_BP+dxthedge_VGP_SI_VSI_BP);
  Q_EDGE_xth_VGP_SI_VGP_SI=(+Q_EDGE_xth0_VGP_SI_VGP_SI+dxthedge_VGP_SI_VGP_SI);
#endif
#endif
Q_EDGE_xth=(Q_EDGE_xth0+dxthedge);
EXIT_IF_ISNAN((Q_EDGE_xth0+dxthedge))
{
double m00_sqrt(d00_sqrt0,Q_EDGE_xsth)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,Q_EDGE_xsth)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_n_VDI_SI=(-pInst->Gfedge*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_n_VDI_SI_VDI_SI=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VDI_SI*Q_EDGE_xsth_VDI_SI+d10_sqrt0*Q_EDGE_xsth_VDI_SI_VDI_SI)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)*((2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
  Q_EDGE_n_VDI_SI_VSI_BP=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VSI_BP*Q_EDGE_xsth_VDI_SI+d10_sqrt0*Q_EDGE_xsth_VDI_SI_VSI_BP)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)*((2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
  Q_EDGE_n_VDI_SI_VGP_SI=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VGP_SI*Q_EDGE_xsth_VDI_SI+d10_sqrt0*Q_EDGE_xsth_VDI_SI_VGP_SI)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)*((2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
#endif
Q_EDGE_n_VSI_BP=(-pInst->Gfedge*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_n_VSI_BP_VDI_SI=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VDI_SI*Q_EDGE_xsth_VSI_BP+d10_sqrt0*Q_EDGE_xsth_VSI_BP_VDI_SI)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)*((2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
  Q_EDGE_n_VSI_BP_VSI_BP=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VSI_BP*Q_EDGE_xsth_VSI_BP+d10_sqrt0*Q_EDGE_xsth_VSI_BP_VSI_BP)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)*((2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
  Q_EDGE_n_VSI_BP_VGP_SI=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VGP_SI*Q_EDGE_xsth_VSI_BP+d10_sqrt0*Q_EDGE_xsth_VSI_BP_VGP_SI)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)*((2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
#endif
Q_EDGE_n_VGP_SI=(-pInst->Gfedge*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_n_VGP_SI_VDI_SI=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VDI_SI*Q_EDGE_xsth_VGP_SI+d10_sqrt0*Q_EDGE_xsth_VGP_SI_VDI_SI)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)*((2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
  Q_EDGE_n_VGP_SI_VSI_BP=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VSI_BP*Q_EDGE_xsth_VGP_SI+d10_sqrt0*Q_EDGE_xsth_VGP_SI_VSI_BP)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)*((2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
  Q_EDGE_n_VGP_SI_VGP_SI=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VGP_SI*Q_EDGE_xsth_VGP_SI+d10_sqrt0*Q_EDGE_xsth_VGP_SI_VGP_SI)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)*((2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
#endif
#endif
Q_EDGE_n=(1.0+(pInst->Gfedge/(2.0*d00_sqrt0)));
EXIT_IF_ISNAN((1.0+(pInst->Gfedge/(2.0*d00_sqrt0))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_n_inv_VDI_SI=(-Q_EDGE_n_VDI_SI/Q_EDGE_n/Q_EDGE_n);
#if defined(_DERIVATE2)
  Q_EDGE_n_inv_VDI_SI_VDI_SI=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VDI_SI+0.0*Q_EDGE_n_VDI_SI+1.0*Q_EDGE_n_VDI_SI_VDI_SI)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VDI_SI*Q_EDGE_n_VDI_SI/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
  Q_EDGE_n_inv_VDI_SI_VSI_BP=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VSI_BP+0.0*Q_EDGE_n_VDI_SI+1.0*Q_EDGE_n_VDI_SI_VSI_BP)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VDI_SI*Q_EDGE_n_VSI_BP/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
  Q_EDGE_n_inv_VDI_SI_VGP_SI=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VGP_SI+0.0*Q_EDGE_n_VDI_SI+1.0*Q_EDGE_n_VDI_SI_VGP_SI)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VDI_SI*Q_EDGE_n_VGP_SI/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
#endif
Q_EDGE_n_inv_VSI_BP=(-Q_EDGE_n_VSI_BP/Q_EDGE_n/Q_EDGE_n);
#if defined(_DERIVATE2)
  Q_EDGE_n_inv_VSI_BP_VDI_SI=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VDI_SI+0.0*Q_EDGE_n_VSI_BP+1.0*Q_EDGE_n_VSI_BP_VDI_SI)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VSI_BP*Q_EDGE_n_VDI_SI/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
  Q_EDGE_n_inv_VSI_BP_VSI_BP=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VSI_BP+0.0*Q_EDGE_n_VSI_BP+1.0*Q_EDGE_n_VSI_BP_VSI_BP)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VSI_BP*Q_EDGE_n_VSI_BP/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
  Q_EDGE_n_inv_VSI_BP_VGP_SI=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VGP_SI+0.0*Q_EDGE_n_VSI_BP+1.0*Q_EDGE_n_VSI_BP_VGP_SI)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VSI_BP*Q_EDGE_n_VGP_SI/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
#endif
Q_EDGE_n_inv_VGP_SI=(-Q_EDGE_n_VGP_SI/Q_EDGE_n/Q_EDGE_n);
#if defined(_DERIVATE2)
  Q_EDGE_n_inv_VGP_SI_VDI_SI=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VDI_SI+0.0*Q_EDGE_n_VGP_SI+1.0*Q_EDGE_n_VGP_SI_VDI_SI)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VGP_SI*Q_EDGE_n_VDI_SI/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
  Q_EDGE_n_inv_VGP_SI_VSI_BP=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VSI_BP+0.0*Q_EDGE_n_VGP_SI+1.0*Q_EDGE_n_VGP_SI_VSI_BP)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VGP_SI*Q_EDGE_n_VSI_BP/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
  Q_EDGE_n_inv_VGP_SI_VGP_SI=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VGP_SI+0.0*Q_EDGE_n_VGP_SI+1.0*Q_EDGE_n_VGP_SI_VGP_SI)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VGP_SI*Q_EDGE_n_VGP_SI/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
#endif
#endif
Q_EDGE_n_inv=(1.0/Q_EDGE_n);
EXIT_IF_ISNAN((1.0/Q_EDGE_n))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_xgt_VDI_SI=(xgedge_VDI_SI-Q_EDGE_xth_VDI_SI);
#if defined(_DERIVATE2)
  Q_EDGE_xgt_VDI_SI_VDI_SI=(+xgedge_VDI_SI_VDI_SI-Q_EDGE_xth_VDI_SI_VDI_SI);
  Q_EDGE_xgt_VDI_SI_VSI_BP=(+xgedge_VDI_SI_VSI_BP-Q_EDGE_xth_VDI_SI_VSI_BP);
  Q_EDGE_xgt_VDI_SI_VGP_SI=(+xgedge_VDI_SI_VGP_SI-Q_EDGE_xth_VDI_SI_VGP_SI);
#endif
Q_EDGE_xgt_VSI_BP=(xgedge_VSI_BP-Q_EDGE_xth_VSI_BP);
#if defined(_DERIVATE2)
  Q_EDGE_xgt_VSI_BP_VDI_SI=(+xgedge_VSI_BP_VDI_SI-Q_EDGE_xth_VSI_BP_VDI_SI);
  Q_EDGE_xgt_VSI_BP_VSI_BP=(+xgedge_VSI_BP_VSI_BP-Q_EDGE_xth_VSI_BP_VSI_BP);
  Q_EDGE_xgt_VSI_BP_VGP_SI=(+xgedge_VSI_BP_VGP_SI-Q_EDGE_xth_VSI_BP_VGP_SI);
#endif
Q_EDGE_xgt_VGP_SI=(xgedge_VGP_SI-Q_EDGE_xth_VGP_SI);
#if defined(_DERIVATE2)
  Q_EDGE_xgt_VGP_SI_VDI_SI=(+xgedge_VGP_SI_VDI_SI-Q_EDGE_xth_VGP_SI_VDI_SI);
  Q_EDGE_xgt_VGP_SI_VSI_BP=(+xgedge_VGP_SI_VSI_BP-Q_EDGE_xth_VGP_SI_VSI_BP);
  Q_EDGE_xgt_VGP_SI_VGP_SI=(+xgedge_VGP_SI_VGP_SI-Q_EDGE_xth_VGP_SI_VGP_SI);
#endif
#endif
Q_EDGE_xgt=(pInst->xgedge-Q_EDGE_xth);
EXIT_IF_ISNAN((pInst->xgedge-Q_EDGE_xth))
if
((Q_EDGE_xgt>(-12.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_xgt0_VDI_SI=Q_EDGE_xgt_VDI_SI;
#if defined(_DERIVATE2)
  Q_EDGE_xgt0_VDI_SI_VDI_SI=(+(+Q_EDGE_xgt_VDI_SI_VDI_SI+0.0)-0.0);
  Q_EDGE_xgt0_VDI_SI_VSI_BP=(+(+Q_EDGE_xgt_VDI_SI_VSI_BP+0.0)-0.0);
  Q_EDGE_xgt0_VDI_SI_VGP_SI=(+(+Q_EDGE_xgt_VDI_SI_VGP_SI+0.0)-0.0);
#endif
Q_EDGE_xgt0_VSI_BP=Q_EDGE_xgt_VSI_BP;
#if defined(_DERIVATE2)
  Q_EDGE_xgt0_VSI_BP_VDI_SI=(+(+Q_EDGE_xgt_VSI_BP_VDI_SI+0.0)-0.0);
  Q_EDGE_xgt0_VSI_BP_VSI_BP=(+(+Q_EDGE_xgt_VSI_BP_VSI_BP+0.0)-0.0);
  Q_EDGE_xgt0_VSI_BP_VGP_SI=(+(+Q_EDGE_xgt_VSI_BP_VGP_SI+0.0)-0.0);
#endif
Q_EDGE_xgt0_VGP_SI=Q_EDGE_xgt_VGP_SI;
#if defined(_DERIVATE2)
  Q_EDGE_xgt0_VGP_SI_VDI_SI=(+(+Q_EDGE_xgt_VGP_SI_VDI_SI+0.0)-0.0);
  Q_EDGE_xgt0_VGP_SI_VSI_BP=(+(+Q_EDGE_xgt_VGP_SI_VSI_BP+0.0)-0.0);
  Q_EDGE_xgt0_VGP_SI_VGP_SI=(+(+Q_EDGE_xgt_VGP_SI_VGP_SI+0.0)-0.0);
#endif
#endif
Q_EDGE_xgt0=((Q_EDGE_xgt+pInst->lnGfedge2)-1.0);
EXIT_IF_ISNAN(((Q_EDGE_xgt+pInst->lnGfedge2)-1.0))
{
double m00_sqrt(d00_sqrt0,((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_xgt0e_VDI_SI=(0.5*(Q_EDGE_xgt0_VDI_SI+((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_xgt0e_VDI_SI_VDI_SI=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VDI_SI+(((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VDI_SI+((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VDI_SI_VDI_SI+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI)))*((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))+d10_sqrt0*(+(+Q_EDGE_xgt0_VDI_SI_VDI_SI*Q_EDGE_xgt0+Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0_VDI_SI+Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0_VDI_SI+Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI_VDI_SI)+0.0))));
  Q_EDGE_xgt0e_VDI_SI_VSI_BP=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VSI_BP+(((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VDI_SI+((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VDI_SI_VSI_BP+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP)))*((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))+d10_sqrt0*(+(+Q_EDGE_xgt0_VDI_SI_VSI_BP*Q_EDGE_xgt0+Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0_VSI_BP+Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0_VDI_SI+Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI_VSI_BP)+0.0))));
  Q_EDGE_xgt0e_VDI_SI_VGP_SI=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VGP_SI+(((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VDI_SI+((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VDI_SI_VGP_SI+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI)))*((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))+d10_sqrt0*(+(+Q_EDGE_xgt0_VDI_SI_VGP_SI*Q_EDGE_xgt0+Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0_VGP_SI+Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0_VDI_SI+Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI_VGP_SI)+0.0))));
#endif
Q_EDGE_xgt0e_VSI_BP=(0.5*(Q_EDGE_xgt0_VSI_BP+((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_xgt0e_VSI_BP_VDI_SI=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VDI_SI+(((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VSI_BP+((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VSI_BP_VDI_SI+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI)))*((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))+d10_sqrt0*(+(+Q_EDGE_xgt0_VSI_BP_VDI_SI*Q_EDGE_xgt0+Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0_VDI_SI+Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0_VSI_BP+Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP_VDI_SI)+0.0))));
  Q_EDGE_xgt0e_VSI_BP_VSI_BP=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VSI_BP+(((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VSI_BP+((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VSI_BP_VSI_BP+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP)))*((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))+d10_sqrt0*(+(+Q_EDGE_xgt0_VSI_BP_VSI_BP*Q_EDGE_xgt0+Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0_VSI_BP+Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0_VSI_BP+Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP_VSI_BP)+0.0))));
  Q_EDGE_xgt0e_VSI_BP_VGP_SI=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VGP_SI+(((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VSI_BP+((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VSI_BP_VGP_SI+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI)))*((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))+d10_sqrt0*(+(+Q_EDGE_xgt0_VSI_BP_VGP_SI*Q_EDGE_xgt0+Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0_VGP_SI+Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0_VSI_BP+Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP_VGP_SI)+0.0))));
#endif
Q_EDGE_xgt0e_VGP_SI=(0.5*(Q_EDGE_xgt0_VGP_SI+((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_xgt0e_VGP_SI_VDI_SI=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VDI_SI+(((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VGP_SI+((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VGP_SI_VDI_SI+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI)))*((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))+d10_sqrt0*(+(+Q_EDGE_xgt0_VGP_SI_VDI_SI*Q_EDGE_xgt0+Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0_VDI_SI+Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0_VGP_SI+Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI_VDI_SI)+0.0))));
  Q_EDGE_xgt0e_VGP_SI_VSI_BP=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VSI_BP+(((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VGP_SI+((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VGP_SI_VSI_BP+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP)))*((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))+d10_sqrt0*(+(+Q_EDGE_xgt0_VGP_SI_VSI_BP*Q_EDGE_xgt0+Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0_VSI_BP+Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0_VGP_SI+Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI_VSI_BP)+0.0))));
  Q_EDGE_xgt0e_VGP_SI_VGP_SI=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VGP_SI+(((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VGP_SI+((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VGP_SI_VGP_SI+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI)))*((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))+d10_sqrt0*(+(+Q_EDGE_xgt0_VGP_SI_VGP_SI*Q_EDGE_xgt0+Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0_VGP_SI+Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0_VGP_SI+Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI_VGP_SI)+0.0))));
#endif
#endif
Q_EDGE_xgt0e=(0.5*(Q_EDGE_xgt0+d00_sqrt0));
EXIT_IF_ISNAN((0.5*(Q_EDGE_xgt0+d00_sqrt0)))
}
{
double m00_logE(d00_logE0,Q_EDGE_xgt0e)
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,Q_EDGE_xgt0e)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_qi0si_VDI_SI=(Q_EDGE_xgt_VDI_SI-((Q_EDGE_n_VDI_SI*d00_logE0)+(Q_EDGE_n*Q_EDGE_xgt0e_VDI_SI*d10_logE0)));
#if defined(_DERIVATE2)
  Q_EDGE_qi0si_VDI_SI_VDI_SI=(+(+Q_EDGE_xgt_VDI_SI_VDI_SI-(+Q_EDGE_n_VDI_SI_VDI_SI*d00_logE0+Q_EDGE_n_VDI_SI*Q_EDGE_xgt0e_VDI_SI*d10_logE0+Q_EDGE_n_VDI_SI*Q_EDGE_xgt0e_VDI_SI*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VDI_SI*Q_EDGE_xgt0e_VDI_SI+d10_logE0*Q_EDGE_xgt0e_VDI_SI_VDI_SI)))+0.0);
  Q_EDGE_qi0si_VDI_SI_VSI_BP=(+(+Q_EDGE_xgt_VDI_SI_VSI_BP-(+Q_EDGE_n_VDI_SI_VSI_BP*d00_logE0+Q_EDGE_n_VDI_SI*Q_EDGE_xgt0e_VSI_BP*d10_logE0+Q_EDGE_n_VSI_BP*Q_EDGE_xgt0e_VDI_SI*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VSI_BP*Q_EDGE_xgt0e_VDI_SI+d10_logE0*Q_EDGE_xgt0e_VDI_SI_VSI_BP)))+0.0);
  Q_EDGE_qi0si_VDI_SI_VGP_SI=(+(+Q_EDGE_xgt_VDI_SI_VGP_SI-(+Q_EDGE_n_VDI_SI_VGP_SI*d00_logE0+Q_EDGE_n_VDI_SI*Q_EDGE_xgt0e_VGP_SI*d10_logE0+Q_EDGE_n_VGP_SI*Q_EDGE_xgt0e_VDI_SI*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VGP_SI*Q_EDGE_xgt0e_VDI_SI+d10_logE0*Q_EDGE_xgt0e_VDI_SI_VGP_SI)))+0.0);
#endif
Q_EDGE_qi0si_VSI_BP=(Q_EDGE_xgt_VSI_BP-((Q_EDGE_n_VSI_BP*d00_logE0)+(Q_EDGE_n*Q_EDGE_xgt0e_VSI_BP*d10_logE0)));
#if defined(_DERIVATE2)
  Q_EDGE_qi0si_VSI_BP_VDI_SI=(+(+Q_EDGE_xgt_VSI_BP_VDI_SI-(+Q_EDGE_n_VSI_BP_VDI_SI*d00_logE0+Q_EDGE_n_VSI_BP*Q_EDGE_xgt0e_VDI_SI*d10_logE0+Q_EDGE_n_VDI_SI*Q_EDGE_xgt0e_VSI_BP*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VDI_SI*Q_EDGE_xgt0e_VSI_BP+d10_logE0*Q_EDGE_xgt0e_VSI_BP_VDI_SI)))+0.0);
  Q_EDGE_qi0si_VSI_BP_VSI_BP=(+(+Q_EDGE_xgt_VSI_BP_VSI_BP-(+Q_EDGE_n_VSI_BP_VSI_BP*d00_logE0+Q_EDGE_n_VSI_BP*Q_EDGE_xgt0e_VSI_BP*d10_logE0+Q_EDGE_n_VSI_BP*Q_EDGE_xgt0e_VSI_BP*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VSI_BP*Q_EDGE_xgt0e_VSI_BP+d10_logE0*Q_EDGE_xgt0e_VSI_BP_VSI_BP)))+0.0);
  Q_EDGE_qi0si_VSI_BP_VGP_SI=(+(+Q_EDGE_xgt_VSI_BP_VGP_SI-(+Q_EDGE_n_VSI_BP_VGP_SI*d00_logE0+Q_EDGE_n_VSI_BP*Q_EDGE_xgt0e_VGP_SI*d10_logE0+Q_EDGE_n_VGP_SI*Q_EDGE_xgt0e_VSI_BP*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VGP_SI*Q_EDGE_xgt0e_VSI_BP+d10_logE0*Q_EDGE_xgt0e_VSI_BP_VGP_SI)))+0.0);
#endif
Q_EDGE_qi0si_VGP_SI=(Q_EDGE_xgt_VGP_SI-((Q_EDGE_n_VGP_SI*d00_logE0)+(Q_EDGE_n*Q_EDGE_xgt0e_VGP_SI*d10_logE0)));
#if defined(_DERIVATE2)
  Q_EDGE_qi0si_VGP_SI_VDI_SI=(+(+Q_EDGE_xgt_VGP_SI_VDI_SI-(+Q_EDGE_n_VGP_SI_VDI_SI*d00_logE0+Q_EDGE_n_VGP_SI*Q_EDGE_xgt0e_VDI_SI*d10_logE0+Q_EDGE_n_VDI_SI*Q_EDGE_xgt0e_VGP_SI*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VDI_SI*Q_EDGE_xgt0e_VGP_SI+d10_logE0*Q_EDGE_xgt0e_VGP_SI_VDI_SI)))+0.0);
  Q_EDGE_qi0si_VGP_SI_VSI_BP=(+(+Q_EDGE_xgt_VGP_SI_VSI_BP-(+Q_EDGE_n_VGP_SI_VSI_BP*d00_logE0+Q_EDGE_n_VGP_SI*Q_EDGE_xgt0e_VSI_BP*d10_logE0+Q_EDGE_n_VSI_BP*Q_EDGE_xgt0e_VGP_SI*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VSI_BP*Q_EDGE_xgt0e_VGP_SI+d10_logE0*Q_EDGE_xgt0e_VGP_SI_VSI_BP)))+0.0);
  Q_EDGE_qi0si_VGP_SI_VGP_SI=(+(+Q_EDGE_xgt_VGP_SI_VGP_SI-(+Q_EDGE_n_VGP_SI_VGP_SI*d00_logE0+Q_EDGE_n_VGP_SI*Q_EDGE_xgt0e_VGP_SI*d10_logE0+Q_EDGE_n_VGP_SI*Q_EDGE_xgt0e_VGP_SI*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VGP_SI*Q_EDGE_xgt0e_VGP_SI+d10_logE0*Q_EDGE_xgt0e_VGP_SI_VGP_SI)))+0.0);
#endif
#endif
Q_EDGE_qi0si=((Q_EDGE_xgt-(Q_EDGE_n*d00_logE0))+pInst->lnGfedge2);
EXIT_IF_ISNAN(((Q_EDGE_xgt-(Q_EDGE_n*d00_logE0))+pInst->lnGfedge2))
}
{
double m00_sqrt(d00_sqrt0,((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_qi0_VDI_SI=(0.5*(Q_EDGE_qi0si_VDI_SI+((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_qi0_VDI_SI_VDI_SI=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VDI_SI+(((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VDI_SI+((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VDI_SI_VDI_SI+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI)))*((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))+d10_sqrt0*(+(+Q_EDGE_qi0si_VDI_SI_VDI_SI*Q_EDGE_qi0si+Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si_VDI_SI+Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si_VDI_SI+Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI_VDI_SI)+0.0))));
  Q_EDGE_qi0_VDI_SI_VSI_BP=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VSI_BP+(((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VDI_SI+((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VDI_SI_VSI_BP+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP)))*((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))+d10_sqrt0*(+(+Q_EDGE_qi0si_VDI_SI_VSI_BP*Q_EDGE_qi0si+Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si_VSI_BP+Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si_VDI_SI+Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI_VSI_BP)+0.0))));
  Q_EDGE_qi0_VDI_SI_VGP_SI=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VGP_SI+(((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VDI_SI+((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VDI_SI_VGP_SI+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI)))*((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))+d10_sqrt0*(+(+Q_EDGE_qi0si_VDI_SI_VGP_SI*Q_EDGE_qi0si+Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si_VGP_SI+Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si_VDI_SI+Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI_VGP_SI)+0.0))));
#endif
Q_EDGE_qi0_VSI_BP=(0.5*(Q_EDGE_qi0si_VSI_BP+((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_qi0_VSI_BP_VDI_SI=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VDI_SI+(((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VSI_BP+((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VSI_BP_VDI_SI+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI)))*((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))+d10_sqrt0*(+(+Q_EDGE_qi0si_VSI_BP_VDI_SI*Q_EDGE_qi0si+Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si_VDI_SI+Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si_VSI_BP+Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP_VDI_SI)+0.0))));
  Q_EDGE_qi0_VSI_BP_VSI_BP=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VSI_BP+(((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VSI_BP+((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VSI_BP_VSI_BP+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP)))*((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))+d10_sqrt0*(+(+Q_EDGE_qi0si_VSI_BP_VSI_BP*Q_EDGE_qi0si+Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si_VSI_BP+Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si_VSI_BP+Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP_VSI_BP)+0.0))));
  Q_EDGE_qi0_VSI_BP_VGP_SI=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VGP_SI+(((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VSI_BP+((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VSI_BP_VGP_SI+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI)))*((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))+d10_sqrt0*(+(+Q_EDGE_qi0si_VSI_BP_VGP_SI*Q_EDGE_qi0si+Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si_VGP_SI+Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si_VSI_BP+Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP_VGP_SI)+0.0))));
#endif
Q_EDGE_qi0_VGP_SI=(0.5*(Q_EDGE_qi0si_VGP_SI+((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_qi0_VGP_SI_VDI_SI=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VDI_SI+(((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VGP_SI+((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VGP_SI_VDI_SI+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI)))*((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))+d10_sqrt0*(+(+Q_EDGE_qi0si_VGP_SI_VDI_SI*Q_EDGE_qi0si+Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si_VDI_SI+Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si_VGP_SI+Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI_VDI_SI)+0.0))));
  Q_EDGE_qi0_VGP_SI_VSI_BP=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VSI_BP+(((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VGP_SI+((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VGP_SI_VSI_BP+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP)))*((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))+d10_sqrt0*(+(+Q_EDGE_qi0si_VGP_SI_VSI_BP*Q_EDGE_qi0si+Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si_VSI_BP+Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si_VGP_SI+Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI_VSI_BP)+0.0))));
  Q_EDGE_qi0_VGP_SI_VGP_SI=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VGP_SI+(((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VGP_SI+((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VGP_SI_VGP_SI+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI)))*((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))+d10_sqrt0*(+(+Q_EDGE_qi0si_VGP_SI_VGP_SI*Q_EDGE_qi0si+Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si_VGP_SI+Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si_VGP_SI+Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI_VGP_SI)+0.0))));
#endif
#endif
Q_EDGE_qi0=(0.5*(Q_EDGE_qi0si+d00_sqrt0));
EXIT_IF_ISNAN((0.5*(Q_EDGE_qi0si+d00_sqrt0)))
}
if
(((Q_EDGE_xgt-Q_EDGE_qi0)<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,(Q_EDGE_xgt-Q_EDGE_qi0))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_exp_x_VDI_SI=(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  Q_EDGE_exp_x_VDI_SI_VDI_SI=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)+d10_exp0*(+Q_EDGE_xgt_VDI_SI_VDI_SI-Q_EDGE_qi0_VDI_SI_VDI_SI));
  Q_EDGE_exp_x_VDI_SI_VSI_BP=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)+d10_exp0*(+Q_EDGE_xgt_VDI_SI_VSI_BP-Q_EDGE_qi0_VDI_SI_VSI_BP));
  Q_EDGE_exp_x_VDI_SI_VGP_SI=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)+d10_exp0*(+Q_EDGE_xgt_VDI_SI_VGP_SI-Q_EDGE_qi0_VDI_SI_VGP_SI));
#endif
Q_EDGE_exp_x_VSI_BP=(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  Q_EDGE_exp_x_VSI_BP_VDI_SI=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)+d10_exp0*(+Q_EDGE_xgt_VSI_BP_VDI_SI-Q_EDGE_qi0_VSI_BP_VDI_SI));
  Q_EDGE_exp_x_VSI_BP_VSI_BP=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)+d10_exp0*(+Q_EDGE_xgt_VSI_BP_VSI_BP-Q_EDGE_qi0_VSI_BP_VSI_BP));
  Q_EDGE_exp_x_VSI_BP_VGP_SI=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)+d10_exp0*(+Q_EDGE_xgt_VSI_BP_VGP_SI-Q_EDGE_qi0_VSI_BP_VGP_SI));
#endif
Q_EDGE_exp_x_VGP_SI=(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  Q_EDGE_exp_x_VGP_SI_VDI_SI=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)+d10_exp0*(+Q_EDGE_xgt_VGP_SI_VDI_SI-Q_EDGE_qi0_VGP_SI_VDI_SI));
  Q_EDGE_exp_x_VGP_SI_VSI_BP=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)+d10_exp0*(+Q_EDGE_xgt_VGP_SI_VSI_BP-Q_EDGE_qi0_VGP_SI_VSI_BP));
  Q_EDGE_exp_x_VGP_SI_VGP_SI=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)+d10_exp0*(+Q_EDGE_xgt_VGP_SI_VGP_SI-Q_EDGE_qi0_VGP_SI_VGP_SI));
#endif
#endif
Q_EDGE_exp_x=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_exp_x_VDI_SI=(1.0e100*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  Q_EDGE_exp_x_VDI_SI_VDI_SI=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VDI_SI_VDI_SI-Q_EDGE_qi0_VDI_SI_VDI_SI)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*((0.5*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VDI_SI_VDI_SI-Q_EDGE_qi0_VDI_SI_VDI_SI)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VDI_SI_VDI_SI-Q_EDGE_qi0_VDI_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*0.0+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
  Q_EDGE_exp_x_VDI_SI_VSI_BP=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VDI_SI_VSI_BP-Q_EDGE_qi0_VDI_SI_VSI_BP)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*((0.5*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VDI_SI_VSI_BP-Q_EDGE_qi0_VDI_SI_VSI_BP)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VDI_SI_VSI_BP-Q_EDGE_qi0_VDI_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*0.0+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
  Q_EDGE_exp_x_VDI_SI_VGP_SI=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VDI_SI_VGP_SI-Q_EDGE_qi0_VDI_SI_VGP_SI)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*((0.5*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VDI_SI_VGP_SI-Q_EDGE_qi0_VDI_SI_VGP_SI)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VDI_SI_VGP_SI-Q_EDGE_qi0_VDI_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*0.0+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
#endif
Q_EDGE_exp_x_VSI_BP=(1.0e100*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  Q_EDGE_exp_x_VSI_BP_VDI_SI=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VSI_BP_VDI_SI-Q_EDGE_qi0_VSI_BP_VDI_SI)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*((0.5*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VSI_BP_VDI_SI-Q_EDGE_qi0_VSI_BP_VDI_SI)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VSI_BP_VDI_SI-Q_EDGE_qi0_VSI_BP_VDI_SI)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*0.0+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
  Q_EDGE_exp_x_VSI_BP_VSI_BP=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VSI_BP_VSI_BP-Q_EDGE_qi0_VSI_BP_VSI_BP)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*((0.5*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VSI_BP_VSI_BP-Q_EDGE_qi0_VSI_BP_VSI_BP)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VSI_BP_VSI_BP-Q_EDGE_qi0_VSI_BP_VSI_BP)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*0.0+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
  Q_EDGE_exp_x_VSI_BP_VGP_SI=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VSI_BP_VGP_SI-Q_EDGE_qi0_VSI_BP_VGP_SI)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*((0.5*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VSI_BP_VGP_SI-Q_EDGE_qi0_VSI_BP_VGP_SI)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VSI_BP_VGP_SI-Q_EDGE_qi0_VSI_BP_VGP_SI)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*0.0+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
#endif
Q_EDGE_exp_x_VGP_SI=(1.0e100*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  Q_EDGE_exp_x_VGP_SI_VDI_SI=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VGP_SI_VDI_SI-Q_EDGE_qi0_VGP_SI_VDI_SI)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*((0.5*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VGP_SI_VDI_SI-Q_EDGE_qi0_VGP_SI_VDI_SI)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VGP_SI_VDI_SI-Q_EDGE_qi0_VGP_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*0.0+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
  Q_EDGE_exp_x_VGP_SI_VSI_BP=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VGP_SI_VSI_BP-Q_EDGE_qi0_VGP_SI_VSI_BP)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*((0.5*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VGP_SI_VSI_BP-Q_EDGE_qi0_VGP_SI_VSI_BP)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VGP_SI_VSI_BP-Q_EDGE_qi0_VGP_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*0.0+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
  Q_EDGE_exp_x_VGP_SI_VGP_SI=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VGP_SI_VGP_SI-Q_EDGE_qi0_VGP_SI_VGP_SI)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*((0.5*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VGP_SI_VGP_SI-Q_EDGE_qi0_VGP_SI_VGP_SI)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VGP_SI_VGP_SI-Q_EDGE_qi0_VGP_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*0.0+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
Q_EDGE_exp_x=(1.0e100*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_d0_VDI_SI=(pInst->Gfedge2*Q_EDGE_exp_x_VDI_SI);
#if defined(_DERIVATE2)
  Q_EDGE_d0_VDI_SI_VDI_SI=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VDI_SI+0.0*Q_EDGE_exp_x_VDI_SI+pInst->Gfedge2*Q_EDGE_exp_x_VDI_SI_VDI_SI);
  Q_EDGE_d0_VDI_SI_VSI_BP=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VSI_BP+0.0*Q_EDGE_exp_x_VDI_SI+pInst->Gfedge2*Q_EDGE_exp_x_VDI_SI_VSI_BP);
  Q_EDGE_d0_VDI_SI_VGP_SI=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VGP_SI+0.0*Q_EDGE_exp_x_VDI_SI+pInst->Gfedge2*Q_EDGE_exp_x_VDI_SI_VGP_SI);
#endif
Q_EDGE_d0_VSI_BP=(pInst->Gfedge2*Q_EDGE_exp_x_VSI_BP);
#if defined(_DERIVATE2)
  Q_EDGE_d0_VSI_BP_VDI_SI=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VDI_SI+0.0*Q_EDGE_exp_x_VSI_BP+pInst->Gfedge2*Q_EDGE_exp_x_VSI_BP_VDI_SI);
  Q_EDGE_d0_VSI_BP_VSI_BP=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VSI_BP+0.0*Q_EDGE_exp_x_VSI_BP+pInst->Gfedge2*Q_EDGE_exp_x_VSI_BP_VSI_BP);
  Q_EDGE_d0_VSI_BP_VGP_SI=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VGP_SI+0.0*Q_EDGE_exp_x_VSI_BP+pInst->Gfedge2*Q_EDGE_exp_x_VSI_BP_VGP_SI);
#endif
Q_EDGE_d0_VGP_SI=(pInst->Gfedge2*Q_EDGE_exp_x_VGP_SI);
#if defined(_DERIVATE2)
  Q_EDGE_d0_VGP_SI_VDI_SI=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VDI_SI+0.0*Q_EDGE_exp_x_VGP_SI+pInst->Gfedge2*Q_EDGE_exp_x_VGP_SI_VDI_SI);
  Q_EDGE_d0_VGP_SI_VSI_BP=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VSI_BP+0.0*Q_EDGE_exp_x_VGP_SI+pInst->Gfedge2*Q_EDGE_exp_x_VGP_SI_VSI_BP);
  Q_EDGE_d0_VGP_SI_VGP_SI=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VGP_SI+0.0*Q_EDGE_exp_x_VGP_SI+pInst->Gfedge2*Q_EDGE_exp_x_VGP_SI_VGP_SI);
#endif
#endif
Q_EDGE_d0=(pInst->Gfedge2*Q_EDGE_exp_x);
EXIT_IF_ISNAN((pInst->Gfedge2*Q_EDGE_exp_x))
{
double m00_pow(d00_pow0,Q_EDGE_d0,Q_EDGE_n_inv)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,Q_EDGE_d0,Q_EDGE_n_inv)
double m11_pow(d11_pow0,d00_pow0,Q_EDGE_d0,Q_EDGE_n_inv)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_d0p_VDI_SI=(d10_pow0*Q_EDGE_d0_VDI_SI+d11_pow0*Q_EDGE_n_inv_VDI_SI);
#if defined(_DERIVATE2)
  Q_EDGE_d0p_VDI_SI_VDI_SI=fixme;
  Q_EDGE_d0p_VDI_SI_VSI_BP=fixme;
  Q_EDGE_d0p_VDI_SI_VGP_SI=fixme;
#endif
Q_EDGE_d0p_VSI_BP=(d10_pow0*Q_EDGE_d0_VSI_BP+d11_pow0*Q_EDGE_n_inv_VSI_BP);
#if defined(_DERIVATE2)
  Q_EDGE_d0p_VSI_BP_VDI_SI=fixme;
  Q_EDGE_d0p_VSI_BP_VSI_BP=fixme;
  Q_EDGE_d0p_VSI_BP_VGP_SI=fixme;
#endif
Q_EDGE_d0p_VGP_SI=(d10_pow0*Q_EDGE_d0_VGP_SI+d11_pow0*Q_EDGE_n_inv_VGP_SI);
#if defined(_DERIVATE2)
  Q_EDGE_d0p_VGP_SI_VDI_SI=fixme;
  Q_EDGE_d0p_VGP_SI_VSI_BP=fixme;
  Q_EDGE_d0p_VGP_SI_VGP_SI=fixme;
#endif
#endif
Q_EDGE_d0p=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_sqerr_VDI_SI=(((Q_EDGE_n_VDI_SI*Q_EDGE_n)+(Q_EDGE_n*Q_EDGE_n_VDI_SI))+((((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p)+(((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VDI_SI)));
#if defined(_DERIVATE2)
  Q_EDGE_sqerr_VDI_SI_VDI_SI=(+(+Q_EDGE_n_VDI_SI_VDI_SI*Q_EDGE_n+Q_EDGE_n_VDI_SI*Q_EDGE_n_VDI_SI+Q_EDGE_n_VDI_SI*Q_EDGE_n_VDI_SI+Q_EDGE_n*Q_EDGE_n_VDI_SI_VDI_SI)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)+0.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)+2.0*(+Q_EDGE_qi0_VDI_SI_VDI_SI+Q_EDGE_n_VDI_SI_VDI_SI))-Q_EDGE_d0p_VDI_SI_VDI_SI)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p_VDI_SI+(((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p_VDI_SI+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VDI_SI_VDI_SI));
  Q_EDGE_sqerr_VDI_SI_VSI_BP=(+(+Q_EDGE_n_VDI_SI_VSI_BP*Q_EDGE_n+Q_EDGE_n_VDI_SI*Q_EDGE_n_VSI_BP+Q_EDGE_n_VSI_BP*Q_EDGE_n_VDI_SI+Q_EDGE_n*Q_EDGE_n_VDI_SI_VSI_BP)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)+0.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)+2.0*(+Q_EDGE_qi0_VDI_SI_VSI_BP+Q_EDGE_n_VDI_SI_VSI_BP))-Q_EDGE_d0p_VDI_SI_VSI_BP)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p_VSI_BP+(((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p_VDI_SI+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VDI_SI_VSI_BP));
  Q_EDGE_sqerr_VDI_SI_VGP_SI=(+(+Q_EDGE_n_VDI_SI_VGP_SI*Q_EDGE_n+Q_EDGE_n_VDI_SI*Q_EDGE_n_VGP_SI+Q_EDGE_n_VGP_SI*Q_EDGE_n_VDI_SI+Q_EDGE_n*Q_EDGE_n_VDI_SI_VGP_SI)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)+0.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)+2.0*(+Q_EDGE_qi0_VDI_SI_VGP_SI+Q_EDGE_n_VDI_SI_VGP_SI))-Q_EDGE_d0p_VDI_SI_VGP_SI)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p_VGP_SI+(((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p_VDI_SI+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VDI_SI_VGP_SI));
#endif
Q_EDGE_sqerr_VSI_BP=(((Q_EDGE_n_VSI_BP*Q_EDGE_n)+(Q_EDGE_n*Q_EDGE_n_VSI_BP))+((((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p)+(((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VSI_BP)));
#if defined(_DERIVATE2)
  Q_EDGE_sqerr_VSI_BP_VDI_SI=(+(+Q_EDGE_n_VSI_BP_VDI_SI*Q_EDGE_n+Q_EDGE_n_VSI_BP*Q_EDGE_n_VDI_SI+Q_EDGE_n_VDI_SI*Q_EDGE_n_VSI_BP+Q_EDGE_n*Q_EDGE_n_VSI_BP_VDI_SI)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)+0.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)+2.0*(+Q_EDGE_qi0_VSI_BP_VDI_SI+Q_EDGE_n_VSI_BP_VDI_SI))-Q_EDGE_d0p_VSI_BP_VDI_SI)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p_VDI_SI+(((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p_VSI_BP+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VSI_BP_VDI_SI));
  Q_EDGE_sqerr_VSI_BP_VSI_BP=(+(+Q_EDGE_n_VSI_BP_VSI_BP*Q_EDGE_n+Q_EDGE_n_VSI_BP*Q_EDGE_n_VSI_BP+Q_EDGE_n_VSI_BP*Q_EDGE_n_VSI_BP+Q_EDGE_n*Q_EDGE_n_VSI_BP_VSI_BP)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)+0.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)+2.0*(+Q_EDGE_qi0_VSI_BP_VSI_BP+Q_EDGE_n_VSI_BP_VSI_BP))-Q_EDGE_d0p_VSI_BP_VSI_BP)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p_VSI_BP+(((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p_VSI_BP+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VSI_BP_VSI_BP));
  Q_EDGE_sqerr_VSI_BP_VGP_SI=(+(+Q_EDGE_n_VSI_BP_VGP_SI*Q_EDGE_n+Q_EDGE_n_VSI_BP*Q_EDGE_n_VGP_SI+Q_EDGE_n_VGP_SI*Q_EDGE_n_VSI_BP+Q_EDGE_n*Q_EDGE_n_VSI_BP_VGP_SI)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)+0.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)+2.0*(+Q_EDGE_qi0_VSI_BP_VGP_SI+Q_EDGE_n_VSI_BP_VGP_SI))-Q_EDGE_d0p_VSI_BP_VGP_SI)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p_VGP_SI+(((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p_VSI_BP+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VSI_BP_VGP_SI));
#endif
Q_EDGE_sqerr_VGP_SI=(((Q_EDGE_n_VGP_SI*Q_EDGE_n)+(Q_EDGE_n*Q_EDGE_n_VGP_SI))+((((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p)+(((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VGP_SI)));
#if defined(_DERIVATE2)
  Q_EDGE_sqerr_VGP_SI_VDI_SI=(+(+Q_EDGE_n_VGP_SI_VDI_SI*Q_EDGE_n+Q_EDGE_n_VGP_SI*Q_EDGE_n_VDI_SI+Q_EDGE_n_VDI_SI*Q_EDGE_n_VGP_SI+Q_EDGE_n*Q_EDGE_n_VGP_SI_VDI_SI)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)+0.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)+2.0*(+Q_EDGE_qi0_VGP_SI_VDI_SI+Q_EDGE_n_VGP_SI_VDI_SI))-Q_EDGE_d0p_VGP_SI_VDI_SI)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p_VDI_SI+(((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p_VGP_SI+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VGP_SI_VDI_SI));
  Q_EDGE_sqerr_VGP_SI_VSI_BP=(+(+Q_EDGE_n_VGP_SI_VSI_BP*Q_EDGE_n+Q_EDGE_n_VGP_SI*Q_EDGE_n_VSI_BP+Q_EDGE_n_VSI_BP*Q_EDGE_n_VGP_SI+Q_EDGE_n*Q_EDGE_n_VGP_SI_VSI_BP)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)+0.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)+2.0*(+Q_EDGE_qi0_VGP_SI_VSI_BP+Q_EDGE_n_VGP_SI_VSI_BP))-Q_EDGE_d0p_VGP_SI_VSI_BP)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p_VSI_BP+(((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p_VGP_SI+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VGP_SI_VSI_BP));
  Q_EDGE_sqerr_VGP_SI_VGP_SI=(+(+Q_EDGE_n_VGP_SI_VGP_SI*Q_EDGE_n+Q_EDGE_n_VGP_SI*Q_EDGE_n_VGP_SI+Q_EDGE_n_VGP_SI*Q_EDGE_n_VGP_SI+Q_EDGE_n*Q_EDGE_n_VGP_SI_VGP_SI)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)+0.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)+2.0*(+Q_EDGE_qi0_VGP_SI_VGP_SI+Q_EDGE_n_VGP_SI_VGP_SI))-Q_EDGE_d0p_VGP_SI_VGP_SI)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p_VGP_SI+(((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p_VGP_SI+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VGP_SI_VGP_SI));
#endif
#endif
Q_EDGE_sqerr=((Q_EDGE_n*Q_EDGE_n)+(((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p));
EXIT_IF_ISNAN(((Q_EDGE_n*Q_EDGE_n)+(((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p)))
{
double m00_sqrt(d00_sqrt0,Q_EDGE_sqerr)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,Q_EDGE_sqerr)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_errq_VDI_SI=((Q_EDGE_n_VDI_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0))+(Q_EDGE_n*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)));
#if defined(_DERIVATE2)
  Q_EDGE_errq_VDI_SI_VDI_SI=(+Q_EDGE_n_VDI_SI_VDI_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VDI_SI*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VDI_SI*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VDI_SI*Q_EDGE_sqerr_VDI_SI+d10_sqrt0*Q_EDGE_sqerr_VDI_SI_VDI_SI)-Q_EDGE_n_VDI_SI_VDI_SI)/Q_EDGE_d0p-((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p_VDI_SI+(Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p_VDI_SI+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI*Q_EDGE_d0p_VDI_SI/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
  Q_EDGE_errq_VDI_SI_VSI_BP=(+Q_EDGE_n_VDI_SI_VSI_BP*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VDI_SI*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VSI_BP*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VSI_BP*Q_EDGE_sqerr_VDI_SI+d10_sqrt0*Q_EDGE_sqerr_VDI_SI_VSI_BP)-Q_EDGE_n_VDI_SI_VSI_BP)/Q_EDGE_d0p-((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p_VSI_BP+(Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p_VDI_SI+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI*Q_EDGE_d0p_VSI_BP/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
  Q_EDGE_errq_VDI_SI_VGP_SI=(+Q_EDGE_n_VDI_SI_VGP_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VDI_SI*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VGP_SI*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VGP_SI*Q_EDGE_sqerr_VDI_SI+d10_sqrt0*Q_EDGE_sqerr_VDI_SI_VGP_SI)-Q_EDGE_n_VDI_SI_VGP_SI)/Q_EDGE_d0p-((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p_VGP_SI+(Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p_VDI_SI+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI*Q_EDGE_d0p_VGP_SI/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
#endif
Q_EDGE_errq_VSI_BP=((Q_EDGE_n_VSI_BP*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0))+(Q_EDGE_n*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)));
#if defined(_DERIVATE2)
  Q_EDGE_errq_VSI_BP_VDI_SI=(+Q_EDGE_n_VSI_BP_VDI_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VSI_BP*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VDI_SI*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VDI_SI*Q_EDGE_sqerr_VSI_BP+d10_sqrt0*Q_EDGE_sqerr_VSI_BP_VDI_SI)-Q_EDGE_n_VSI_BP_VDI_SI)/Q_EDGE_d0p-((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p_VDI_SI+(Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p_VSI_BP+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP*Q_EDGE_d0p_VDI_SI/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
  Q_EDGE_errq_VSI_BP_VSI_BP=(+Q_EDGE_n_VSI_BP_VSI_BP*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VSI_BP*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VSI_BP*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VSI_BP*Q_EDGE_sqerr_VSI_BP+d10_sqrt0*Q_EDGE_sqerr_VSI_BP_VSI_BP)-Q_EDGE_n_VSI_BP_VSI_BP)/Q_EDGE_d0p-((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p_VSI_BP+(Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p_VSI_BP+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP*Q_EDGE_d0p_VSI_BP/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
  Q_EDGE_errq_VSI_BP_VGP_SI=(+Q_EDGE_n_VSI_BP_VGP_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VSI_BP*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VGP_SI*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VGP_SI*Q_EDGE_sqerr_VSI_BP+d10_sqrt0*Q_EDGE_sqerr_VSI_BP_VGP_SI)-Q_EDGE_n_VSI_BP_VGP_SI)/Q_EDGE_d0p-((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p_VGP_SI+(Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p_VSI_BP+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP*Q_EDGE_d0p_VGP_SI/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
#endif
Q_EDGE_errq_VGP_SI=((Q_EDGE_n_VGP_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0))+(Q_EDGE_n*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)));
#if defined(_DERIVATE2)
  Q_EDGE_errq_VGP_SI_VDI_SI=(+Q_EDGE_n_VGP_SI_VDI_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VGP_SI*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VDI_SI*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VDI_SI*Q_EDGE_sqerr_VGP_SI+d10_sqrt0*Q_EDGE_sqerr_VGP_SI_VDI_SI)-Q_EDGE_n_VGP_SI_VDI_SI)/Q_EDGE_d0p-((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p_VDI_SI+(Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p_VGP_SI+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI*Q_EDGE_d0p_VDI_SI/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
  Q_EDGE_errq_VGP_SI_VSI_BP=(+Q_EDGE_n_VGP_SI_VSI_BP*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VGP_SI*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VSI_BP*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VSI_BP*Q_EDGE_sqerr_VGP_SI+d10_sqrt0*Q_EDGE_sqerr_VGP_SI_VSI_BP)-Q_EDGE_n_VGP_SI_VSI_BP)/Q_EDGE_d0p-((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p_VSI_BP+(Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p_VGP_SI+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI*Q_EDGE_d0p_VSI_BP/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
  Q_EDGE_errq_VGP_SI_VGP_SI=(+Q_EDGE_n_VGP_SI_VGP_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VGP_SI*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VGP_SI*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VGP_SI*Q_EDGE_sqerr_VGP_SI+d10_sqrt0*Q_EDGE_sqerr_VGP_SI_VGP_SI)-Q_EDGE_n_VGP_SI_VGP_SI)/Q_EDGE_d0p-((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p_VGP_SI+(Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p_VGP_SI+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI*Q_EDGE_d0p_VGP_SI/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
#endif
#endif
Q_EDGE_errq=(Q_EDGE_n*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0));
EXIT_IF_ISNAN((Q_EDGE_n*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
qseffedge_VDI_SI=(Q_EDGE_qi0_VDI_SI-Q_EDGE_errq_VDI_SI);
#if defined(_DERIVATE2)
  qseffedge_VDI_SI_VDI_SI=(+Q_EDGE_qi0_VDI_SI_VDI_SI-Q_EDGE_errq_VDI_SI_VDI_SI);
  qseffedge_VDI_SI_VSI_BP=(+Q_EDGE_qi0_VDI_SI_VSI_BP-Q_EDGE_errq_VDI_SI_VSI_BP);
  qseffedge_VDI_SI_VGP_SI=(+Q_EDGE_qi0_VDI_SI_VGP_SI-Q_EDGE_errq_VDI_SI_VGP_SI);
#endif
qseffedge_VSI_BP=(Q_EDGE_qi0_VSI_BP-Q_EDGE_errq_VSI_BP);
#if defined(_DERIVATE2)
  qseffedge_VSI_BP_VDI_SI=(+Q_EDGE_qi0_VSI_BP_VDI_SI-Q_EDGE_errq_VSI_BP_VDI_SI);
  qseffedge_VSI_BP_VSI_BP=(+Q_EDGE_qi0_VSI_BP_VSI_BP-Q_EDGE_errq_VSI_BP_VSI_BP);
  qseffedge_VSI_BP_VGP_SI=(+Q_EDGE_qi0_VSI_BP_VGP_SI-Q_EDGE_errq_VSI_BP_VGP_SI);
#endif
qseffedge_VGP_SI=(Q_EDGE_qi0_VGP_SI-Q_EDGE_errq_VGP_SI);
#if defined(_DERIVATE2)
  qseffedge_VGP_SI_VDI_SI=(+Q_EDGE_qi0_VGP_SI_VDI_SI-Q_EDGE_errq_VGP_SI_VDI_SI);
  qseffedge_VGP_SI_VSI_BP=(+Q_EDGE_qi0_VGP_SI_VSI_BP-Q_EDGE_errq_VGP_SI_VSI_BP);
  qseffedge_VGP_SI_VGP_SI=(+Q_EDGE_qi0_VGP_SI_VGP_SI-Q_EDGE_errq_VGP_SI_VGP_SI);
#endif
#endif
qseffedge=(Q_EDGE_qi0-Q_EDGE_errq);
EXIT_IF_ISNAN((Q_EDGE_qi0-Q_EDGE_errq))
}
else
{
if
(((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2))>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
qseffedge_VDI_SI=((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))*d10_exp0;
#if defined(_DERIVATE2)
  qseffedge_VDI_SI_VDI_SI=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))+d10_exp0*(+Q_EDGE_n_inv_VDI_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VDI_SI+0.0)));
  qseffedge_VDI_SI_VSI_BP=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))+d10_exp0*(+Q_EDGE_n_inv_VDI_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VSI_BP+0.0)));
  qseffedge_VDI_SI_VGP_SI=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))+d10_exp0*(+Q_EDGE_n_inv_VDI_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VGP_SI+0.0)));
#endif
qseffedge_VSI_BP=((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))*d10_exp0;
#if defined(_DERIVATE2)
  qseffedge_VSI_BP_VDI_SI=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))+d10_exp0*(+Q_EDGE_n_inv_VSI_BP_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VDI_SI+0.0)));
  qseffedge_VSI_BP_VSI_BP=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))+d10_exp0*(+Q_EDGE_n_inv_VSI_BP_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VSI_BP+0.0)));
  qseffedge_VSI_BP_VGP_SI=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))+d10_exp0*(+Q_EDGE_n_inv_VSI_BP_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VGP_SI+0.0)));
#endif
qseffedge_VGP_SI=((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))*d10_exp0;
#if defined(_DERIVATE2)
  qseffedge_VGP_SI_VDI_SI=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))+d10_exp0*(+Q_EDGE_n_inv_VGP_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VDI_SI+0.0)));
  qseffedge_VGP_SI_VSI_BP=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))+d10_exp0*(+Q_EDGE_n_inv_VGP_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VSI_BP+0.0)));
  qseffedge_VGP_SI_VGP_SI=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))+d10_exp0*(+Q_EDGE_n_inv_VGP_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VGP_SI+0.0)));
#endif
#endif
qseffedge=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
qseffedge_VDI_SI=(-1.0e-100*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  qseffedge_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VDI_SI+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VDI_SI+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VDI_SI+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*0.0+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
  qseffedge_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VSI_BP+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VSI_BP+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VSI_BP+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*0.0+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
  qseffedge_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VGP_SI+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VGP_SI+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VGP_SI+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*0.0+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
#endif
qseffedge_VSI_BP=(-1.0e-100*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  qseffedge_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VDI_SI+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VDI_SI+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VDI_SI+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*0.0+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
  qseffedge_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VSI_BP+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VSI_BP+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VSI_BP+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*0.0+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
  qseffedge_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VGP_SI+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VGP_SI+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VGP_SI+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*0.0+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
#endif
qseffedge_VGP_SI=(-1.0e-100*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  qseffedge_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VDI_SI+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VDI_SI+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VDI_SI+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*0.0+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
  qseffedge_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VSI_BP+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VSI_BP+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VSI_BP+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*0.0+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
  qseffedge_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VGP_SI+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VGP_SI+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VGP_SI+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*0.0+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
#endif
#endif
qseffedge=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
xnedge_d_VDI_SI=((inv_phit1edge_VDI_SI*(pInst->Vdse_dc+Vsbstaredge))+(inv_phit1edge*(Vdse_dc_VDI_SI+Vsbstaredge_VDI_SI)));
#if defined(_DERIVATE2)
  xnedge_d_VDI_SI_VDI_SI=(+inv_phit1edge_VDI_SI_VDI_SI*(pInst->Vdse_dc+Vsbstaredge)+inv_phit1edge_VDI_SI*(Vdse_dc_VDI_SI+Vsbstaredge_VDI_SI)+inv_phit1edge_VDI_SI*(Vdse_dc_VDI_SI+Vsbstaredge_VDI_SI)+inv_phit1edge*(+Vdse_dc_VDI_SI_VDI_SI+Vsbstaredge_VDI_SI_VDI_SI));
  xnedge_d_VDI_SI_VSI_BP=(+inv_phit1edge_VDI_SI_VSI_BP*(pInst->Vdse_dc+Vsbstaredge)+inv_phit1edge_VDI_SI*(Vdse_dc_VSI_BP+Vsbstaredge_VSI_BP)+inv_phit1edge_VSI_BP*(Vdse_dc_VDI_SI+Vsbstaredge_VDI_SI)+inv_phit1edge*(+Vdse_dc_VDI_SI_VSI_BP+Vsbstaredge_VDI_SI_VSI_BP));
  xnedge_d_VDI_SI_VGP_SI=(+inv_phit1edge_VDI_SI_VGP_SI*(pInst->Vdse_dc+Vsbstaredge)+inv_phit1edge_VDI_SI*(Vdse_dc_VGP_SI+Vsbstaredge_VGP_SI)+inv_phit1edge_VGP_SI*(Vdse_dc_VDI_SI+Vsbstaredge_VDI_SI)+inv_phit1edge*(+Vdse_dc_VDI_SI_VGP_SI+Vsbstaredge_VDI_SI_VGP_SI));
#endif
xnedge_d_VSI_BP=((inv_phit1edge_VSI_BP*(pInst->Vdse_dc+Vsbstaredge))+(inv_phit1edge*(Vdse_dc_VSI_BP+Vsbstaredge_VSI_BP)));
#if defined(_DERIVATE2)
  xnedge_d_VSI_BP_VDI_SI=(+inv_phit1edge_VSI_BP_VDI_SI*(pInst->Vdse_dc+Vsbstaredge)+inv_phit1edge_VSI_BP*(Vdse_dc_VDI_SI+Vsbstaredge_VDI_SI)+inv_phit1edge_VDI_SI*(Vdse_dc_VSI_BP+Vsbstaredge_VSI_BP)+inv_phit1edge*(+Vdse_dc_VSI_BP_VDI_SI+Vsbstaredge_VSI_BP_VDI_SI));
  xnedge_d_VSI_BP_VSI_BP=(+inv_phit1edge_VSI_BP_VSI_BP*(pInst->Vdse_dc+Vsbstaredge)+inv_phit1edge_VSI_BP*(Vdse_dc_VSI_BP+Vsbstaredge_VSI_BP)+inv_phit1edge_VSI_BP*(Vdse_dc_VSI_BP+Vsbstaredge_VSI_BP)+inv_phit1edge*(+Vdse_dc_VSI_BP_VSI_BP+Vsbstaredge_VSI_BP_VSI_BP));
  xnedge_d_VSI_BP_VGP_SI=(+inv_phit1edge_VSI_BP_VGP_SI*(pInst->Vdse_dc+Vsbstaredge)+inv_phit1edge_VSI_BP*(Vdse_dc_VGP_SI+Vsbstaredge_VGP_SI)+inv_phit1edge_VGP_SI*(Vdse_dc_VSI_BP+Vsbstaredge_VSI_BP)+inv_phit1edge*(+Vdse_dc_VSI_BP_VGP_SI+Vsbstaredge_VSI_BP_VGP_SI));
#endif
xnedge_d_VGP_SI=((inv_phit1edge_VGP_SI*(pInst->Vdse_dc+Vsbstaredge))+(inv_phit1edge*(Vdse_dc_VGP_SI+Vsbstaredge_VGP_SI)));
#if defined(_DERIVATE2)
  xnedge_d_VGP_SI_VDI_SI=(+inv_phit1edge_VGP_SI_VDI_SI*(pInst->Vdse_dc+Vsbstaredge)+inv_phit1edge_VGP_SI*(Vdse_dc_VDI_SI+Vsbstaredge_VDI_SI)+inv_phit1edge_VDI_SI*(Vdse_dc_VGP_SI+Vsbstaredge_VGP_SI)+inv_phit1edge*(+Vdse_dc_VGP_SI_VDI_SI+Vsbstaredge_VGP_SI_VDI_SI));
  xnedge_d_VGP_SI_VSI_BP=(+inv_phit1edge_VGP_SI_VSI_BP*(pInst->Vdse_dc+Vsbstaredge)+inv_phit1edge_VGP_SI*(Vdse_dc_VSI_BP+Vsbstaredge_VSI_BP)+inv_phit1edge_VSI_BP*(Vdse_dc_VGP_SI+Vsbstaredge_VGP_SI)+inv_phit1edge*(+Vdse_dc_VGP_SI_VSI_BP+Vsbstaredge_VGP_SI_VSI_BP));
  xnedge_d_VGP_SI_VGP_SI=(+inv_phit1edge_VGP_SI_VGP_SI*(pInst->Vdse_dc+Vsbstaredge)+inv_phit1edge_VGP_SI*(Vdse_dc_VGP_SI+Vsbstaredge_VGP_SI)+inv_phit1edge_VGP_SI*(Vdse_dc_VGP_SI+Vsbstaredge_VGP_SI)+inv_phit1edge*(+Vdse_dc_VGP_SI_VGP_SI+Vsbstaredge_VGP_SI_VGP_SI));
#endif
#endif
xnedge_d=(inv_phit1edge*(pInst->Vdse_dc+Vsbstaredge));
EXIT_IF_ISNAN((inv_phit1edge*(pInst->Vdse_dc+Vsbstaredge)))
if
(((qseffedge<1.0e-3)&&(pInst->Vdse_dc<1.0e-6)))
{
if
((((-xnedge_d)+xnedge_s)>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,((-xnedge_d)+xnedge_s))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(m20_exp(((-xnedge_d)+xnedge_s))*((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI)*((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI)+d10_exp0*(+0.0+xnedge_s_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(m20_exp(((-xnedge_d)+xnedge_s))*((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI)*((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI)+d10_exp0*(+0.0+xnedge_s_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(m20_exp(((-xnedge_d)+xnedge_s))*((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP)*((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI)+d10_exp0*(+0.0+xnedge_s_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(m20_exp(((-xnedge_d)+xnedge_s))*((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI)*((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI)+d10_exp0*(+0.0+xnedge_s_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(m20_exp(((-xnedge_d)+xnedge_s))*((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI)*((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI)+d10_exp0*(+0.0+xnedge_s_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(m20_exp(((-xnedge_d)+xnedge_s))*((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP)*((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI)+d10_exp0*(+0.0+xnedge_s_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(m20_exp(((-xnedge_d)+xnedge_s))*((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI)*((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP)+d10_exp0*(+0.0+xnedge_s_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(m20_exp(((-xnedge_d)+xnedge_s))*((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI)*((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP)+d10_exp0*(+0.0+xnedge_s_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(m20_exp(((-xnedge_d)+xnedge_s))*((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP)*((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP)+d10_exp0*(+0.0+xnedge_s_VSI_BP_VSI_BP));
#endif
#endif
temp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-1.0e-100*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))-(0.0*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+xnedge_s_VGP_SI_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*((0.5*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01))))))+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(0.5*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+0.0*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+xnedge_s_VGP_SI_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+(+0.0-(+0.0+xnedge_s_VGP_SI_VGP_SI))*3.3333333333333333e-01+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*0.0+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*0.0+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
  temp_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))-(0.0*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+xnedge_s_VGP_SI_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*((0.5*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01))))))+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(0.5*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+0.0*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+xnedge_s_VGP_SI_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+(+0.0-(+0.0+xnedge_s_VGP_SI_VDI_SI))*3.3333333333333333e-01+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*0.0+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*0.0+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
  temp_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))-(0.0*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+xnedge_s_VGP_SI_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*((0.5*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01))))))+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(0.5*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+0.0*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+xnedge_s_VGP_SI_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+(+0.0-(+0.0+xnedge_s_VGP_SI_VSI_BP))*3.3333333333333333e-01+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*0.0+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*0.0+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
#endif
temp_VDI_SI=(-1.0e-100*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))-(0.0*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+xnedge_s_VDI_SI_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*((0.5*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01))))))+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(0.5*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+0.0*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+xnedge_s_VDI_SI_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+(+0.0-(+0.0+xnedge_s_VDI_SI_VGP_SI))*3.3333333333333333e-01+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*0.0+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*0.0+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
  temp_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))-(0.0*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+xnedge_s_VDI_SI_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*((0.5*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01))))))+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(0.5*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+0.0*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+xnedge_s_VDI_SI_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+(+0.0-(+0.0+xnedge_s_VDI_SI_VDI_SI))*3.3333333333333333e-01+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*0.0+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*0.0+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
  temp_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))-(0.0*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+xnedge_s_VDI_SI_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*((0.5*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01))))))+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(0.5*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+0.0*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+xnedge_s_VDI_SI_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+(+0.0-(+0.0+xnedge_s_VDI_SI_VSI_BP))*3.3333333333333333e-01+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*0.0+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*0.0+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
#endif
temp_VSI_BP=(-1.0e-100*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))-(0.0*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+xnedge_s_VSI_BP_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*((0.5*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01))))))+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(0.5*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+0.0*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+xnedge_s_VSI_BP_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+(+0.0-(+0.0+xnedge_s_VSI_BP_VGP_SI))*3.3333333333333333e-01+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*0.0+(-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*0.0+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VGP_SI)+xnedge_s_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
  temp_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))-(0.0*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+xnedge_s_VSI_BP_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*((0.5*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01))))))+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(0.5*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+0.0*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+xnedge_s_VSI_BP_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+(+0.0-(+0.0+xnedge_s_VSI_BP_VDI_SI))*3.3333333333333333e-01+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*0.0+(-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*0.0+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VDI_SI)+xnedge_s_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
  temp_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))-(0.0*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+xnedge_s_VSI_BP_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*((0.5*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01))))))+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(0.5*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+0.0*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+xnedge_s_VSI_BP_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(+0.0+(+(+0.0-(+0.0+xnedge_s_VSI_BP_VSI_BP))*3.3333333333333333e-01+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*0.0+(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*0.0+((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(0.5*(((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((0.5*((((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*((-((-xnedge_d_VSI_BP)+xnedge_s_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
#endif
#endif
temp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*(1.0+(((-2.3025850929940458e+02)-((-xnedge_d)+xnedge_s))*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
qdseffedge_VDI_SI=((qseffedge_VDI_SI*(temp-1.0))+(qseffedge*temp_VDI_SI));
#if defined(_DERIVATE2)
  qdseffedge_VDI_SI_VDI_SI=(+qseffedge_VDI_SI_VDI_SI*(temp-1.0)+qseffedge_VDI_SI*temp_VDI_SI+qseffedge_VDI_SI*temp_VDI_SI+qseffedge*(+temp_VDI_SI_VDI_SI-0.0));
  qdseffedge_VDI_SI_VSI_BP=(+qseffedge_VDI_SI_VSI_BP*(temp-1.0)+qseffedge_VDI_SI*temp_VSI_BP+qseffedge_VSI_BP*temp_VDI_SI+qseffedge*(+temp_VDI_SI_VSI_BP-0.0));
  qdseffedge_VDI_SI_VGP_SI=(+qseffedge_VDI_SI_VGP_SI*(temp-1.0)+qseffedge_VDI_SI*temp_VGP_SI+qseffedge_VGP_SI*temp_VDI_SI+qseffedge*(+temp_VDI_SI_VGP_SI-0.0));
#endif
qdseffedge_VSI_BP=((qseffedge_VSI_BP*(temp-1.0))+(qseffedge*temp_VSI_BP));
#if defined(_DERIVATE2)
  qdseffedge_VSI_BP_VDI_SI=(+qseffedge_VSI_BP_VDI_SI*(temp-1.0)+qseffedge_VSI_BP*temp_VDI_SI+qseffedge_VDI_SI*temp_VSI_BP+qseffedge*(+temp_VSI_BP_VDI_SI-0.0));
  qdseffedge_VSI_BP_VSI_BP=(+qseffedge_VSI_BP_VSI_BP*(temp-1.0)+qseffedge_VSI_BP*temp_VSI_BP+qseffedge_VSI_BP*temp_VSI_BP+qseffedge*(+temp_VSI_BP_VSI_BP-0.0));
  qdseffedge_VSI_BP_VGP_SI=(+qseffedge_VSI_BP_VGP_SI*(temp-1.0)+qseffedge_VSI_BP*temp_VGP_SI+qseffedge_VGP_SI*temp_VSI_BP+qseffedge*(+temp_VSI_BP_VGP_SI-0.0));
#endif
qdseffedge_VGP_SI=((qseffedge_VGP_SI*(temp-1.0))+(qseffedge*temp_VGP_SI));
#if defined(_DERIVATE2)
  qdseffedge_VGP_SI_VDI_SI=(+qseffedge_VGP_SI_VDI_SI*(temp-1.0)+qseffedge_VGP_SI*temp_VDI_SI+qseffedge_VDI_SI*temp_VGP_SI+qseffedge*(+temp_VGP_SI_VDI_SI-0.0));
  qdseffedge_VGP_SI_VSI_BP=(+qseffedge_VGP_SI_VSI_BP*(temp-1.0)+qseffedge_VGP_SI*temp_VSI_BP+qseffedge_VSI_BP*temp_VGP_SI+qseffedge*(+temp_VGP_SI_VSI_BP-0.0));
  qdseffedge_VGP_SI_VGP_SI=(+qseffedge_VGP_SI_VGP_SI*(temp-1.0)+qseffedge_VGP_SI*temp_VGP_SI+qseffedge_VGP_SI*temp_VGP_SI+qseffedge*(+temp_VGP_SI_VGP_SI-0.0));
#endif
#endif
pInst->qdseffedge=(qseffedge*(temp-1.0));
EXIT_IF_ISNAN((qseffedge*(temp-1.0)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
qdeffedge_VDI_SI=(qdseffedge_VDI_SI+qseffedge_VDI_SI);
#if defined(_DERIVATE2)
  qdeffedge_VDI_SI_VDI_SI=(+qdseffedge_VDI_SI_VDI_SI+qseffedge_VDI_SI_VDI_SI);
  qdeffedge_VDI_SI_VSI_BP=(+qdseffedge_VDI_SI_VSI_BP+qseffedge_VDI_SI_VSI_BP);
  qdeffedge_VDI_SI_VGP_SI=(+qdseffedge_VDI_SI_VGP_SI+qseffedge_VDI_SI_VGP_SI);
#endif
qdeffedge_VSI_BP=(qdseffedge_VSI_BP+qseffedge_VSI_BP);
#if defined(_DERIVATE2)
  qdeffedge_VSI_BP_VDI_SI=(+qdseffedge_VSI_BP_VDI_SI+qseffedge_VSI_BP_VDI_SI);
  qdeffedge_VSI_BP_VSI_BP=(+qdseffedge_VSI_BP_VSI_BP+qseffedge_VSI_BP_VSI_BP);
  qdeffedge_VSI_BP_VGP_SI=(+qdseffedge_VSI_BP_VGP_SI+qseffedge_VSI_BP_VGP_SI);
#endif
qdeffedge_VGP_SI=(qdseffedge_VGP_SI+qseffedge_VGP_SI);
#if defined(_DERIVATE2)
  qdeffedge_VGP_SI_VDI_SI=(+qdseffedge_VGP_SI_VDI_SI+qseffedge_VGP_SI_VDI_SI);
  qdeffedge_VGP_SI_VSI_BP=(+qdseffedge_VGP_SI_VSI_BP+qseffedge_VGP_SI_VSI_BP);
  qdeffedge_VGP_SI_VGP_SI=(+qdseffedge_VGP_SI_VGP_SI+qseffedge_VGP_SI_VGP_SI);
#endif
#endif
qdeffedge=(pInst->qdseffedge+qseffedge);
EXIT_IF_ISNAN((pInst->qdseffedge+qseffedge))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_xsth_VDI_SI=(xbedge_VDI_SI+xnedge_d_VDI_SI);
#if defined(_DERIVATE2)
  Q_EDGE_xsth_VDI_SI_VDI_SI=(+xbedge_VDI_SI_VDI_SI+xnedge_d_VDI_SI_VDI_SI);
  Q_EDGE_xsth_VDI_SI_VSI_BP=(+xbedge_VDI_SI_VSI_BP+xnedge_d_VDI_SI_VSI_BP);
  Q_EDGE_xsth_VDI_SI_VGP_SI=(+xbedge_VDI_SI_VGP_SI+xnedge_d_VDI_SI_VGP_SI);
#endif
Q_EDGE_xsth_VSI_BP=(xbedge_VSI_BP+xnedge_d_VSI_BP);
#if defined(_DERIVATE2)
  Q_EDGE_xsth_VSI_BP_VDI_SI=(+xbedge_VSI_BP_VDI_SI+xnedge_d_VSI_BP_VDI_SI);
  Q_EDGE_xsth_VSI_BP_VSI_BP=(+xbedge_VSI_BP_VSI_BP+xnedge_d_VSI_BP_VSI_BP);
  Q_EDGE_xsth_VSI_BP_VGP_SI=(+xbedge_VSI_BP_VGP_SI+xnedge_d_VSI_BP_VGP_SI);
#endif
Q_EDGE_xsth_VGP_SI=(xbedge_VGP_SI+xnedge_d_VGP_SI);
#if defined(_DERIVATE2)
  Q_EDGE_xsth_VGP_SI_VDI_SI=(+xbedge_VGP_SI_VDI_SI+xnedge_d_VGP_SI_VDI_SI);
  Q_EDGE_xsth_VGP_SI_VSI_BP=(+xbedge_VGP_SI_VSI_BP+xnedge_d_VGP_SI_VSI_BP);
  Q_EDGE_xsth_VGP_SI_VGP_SI=(+xbedge_VGP_SI_VGP_SI+xnedge_d_VGP_SI_VGP_SI);
#endif
#endif
Q_EDGE_xsth=(xbedge+xnedge_d);
EXIT_IF_ISNAN((xbedge+xnedge_d))
{
double m00_sqrt(d00_sqrt0,Q_EDGE_xsth)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,Q_EDGE_xsth)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_xth0_VDI_SI=(Q_EDGE_xsth_VDI_SI+(pInst->Gfedge*Q_EDGE_xsth_VDI_SI*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_xth0_VDI_SI_VDI_SI=(+Q_EDGE_xsth_VDI_SI_VDI_SI+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VDI_SI*Q_EDGE_xsth_VDI_SI+d10_sqrt0*Q_EDGE_xsth_VDI_SI_VDI_SI)));
  Q_EDGE_xth0_VDI_SI_VSI_BP=(+Q_EDGE_xsth_VDI_SI_VSI_BP+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VSI_BP*Q_EDGE_xsth_VDI_SI+d10_sqrt0*Q_EDGE_xsth_VDI_SI_VSI_BP)));
  Q_EDGE_xth0_VDI_SI_VGP_SI=(+Q_EDGE_xsth_VDI_SI_VGP_SI+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VGP_SI*Q_EDGE_xsth_VDI_SI+d10_sqrt0*Q_EDGE_xsth_VDI_SI_VGP_SI)));
#endif
Q_EDGE_xth0_VSI_BP=(Q_EDGE_xsth_VSI_BP+(pInst->Gfedge*Q_EDGE_xsth_VSI_BP*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_xth0_VSI_BP_VDI_SI=(+Q_EDGE_xsth_VSI_BP_VDI_SI+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VDI_SI*Q_EDGE_xsth_VSI_BP+d10_sqrt0*Q_EDGE_xsth_VSI_BP_VDI_SI)));
  Q_EDGE_xth0_VSI_BP_VSI_BP=(+Q_EDGE_xsth_VSI_BP_VSI_BP+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VSI_BP*Q_EDGE_xsth_VSI_BP+d10_sqrt0*Q_EDGE_xsth_VSI_BP_VSI_BP)));
  Q_EDGE_xth0_VSI_BP_VGP_SI=(+Q_EDGE_xsth_VSI_BP_VGP_SI+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VGP_SI*Q_EDGE_xsth_VSI_BP+d10_sqrt0*Q_EDGE_xsth_VSI_BP_VGP_SI)));
#endif
Q_EDGE_xth0_VGP_SI=(Q_EDGE_xsth_VGP_SI+(pInst->Gfedge*Q_EDGE_xsth_VGP_SI*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_xth0_VGP_SI_VDI_SI=(+Q_EDGE_xsth_VGP_SI_VDI_SI+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VDI_SI*Q_EDGE_xsth_VGP_SI+d10_sqrt0*Q_EDGE_xsth_VGP_SI_VDI_SI)));
  Q_EDGE_xth0_VGP_SI_VSI_BP=(+Q_EDGE_xsth_VGP_SI_VSI_BP+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VSI_BP*Q_EDGE_xsth_VGP_SI+d10_sqrt0*Q_EDGE_xsth_VGP_SI_VSI_BP)));
  Q_EDGE_xth0_VGP_SI_VGP_SI=(+Q_EDGE_xsth_VGP_SI_VGP_SI+(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+pInst->Gfedge*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VGP_SI*Q_EDGE_xsth_VGP_SI+d10_sqrt0*Q_EDGE_xsth_VGP_SI_VGP_SI)));
#endif
#endif
Q_EDGE_xth0=(Q_EDGE_xsth+(pInst->Gfedge*d00_sqrt0));
EXIT_IF_ISNAN((Q_EDGE_xsth+(pInst->Gfedge*d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_xth_VDI_SI=(Q_EDGE_xth0_VDI_SI+dxthedge_VDI_SI);
#if defined(_DERIVATE2)
  Q_EDGE_xth_VDI_SI_VDI_SI=(+Q_EDGE_xth0_VDI_SI_VDI_SI+dxthedge_VDI_SI_VDI_SI);
  Q_EDGE_xth_VDI_SI_VSI_BP=(+Q_EDGE_xth0_VDI_SI_VSI_BP+dxthedge_VDI_SI_VSI_BP);
  Q_EDGE_xth_VDI_SI_VGP_SI=(+Q_EDGE_xth0_VDI_SI_VGP_SI+dxthedge_VDI_SI_VGP_SI);
#endif
Q_EDGE_xth_VSI_BP=(Q_EDGE_xth0_VSI_BP+dxthedge_VSI_BP);
#if defined(_DERIVATE2)
  Q_EDGE_xth_VSI_BP_VDI_SI=(+Q_EDGE_xth0_VSI_BP_VDI_SI+dxthedge_VSI_BP_VDI_SI);
  Q_EDGE_xth_VSI_BP_VSI_BP=(+Q_EDGE_xth0_VSI_BP_VSI_BP+dxthedge_VSI_BP_VSI_BP);
  Q_EDGE_xth_VSI_BP_VGP_SI=(+Q_EDGE_xth0_VSI_BP_VGP_SI+dxthedge_VSI_BP_VGP_SI);
#endif
Q_EDGE_xth_VGP_SI=(Q_EDGE_xth0_VGP_SI+dxthedge_VGP_SI);
#if defined(_DERIVATE2)
  Q_EDGE_xth_VGP_SI_VDI_SI=(+Q_EDGE_xth0_VGP_SI_VDI_SI+dxthedge_VGP_SI_VDI_SI);
  Q_EDGE_xth_VGP_SI_VSI_BP=(+Q_EDGE_xth0_VGP_SI_VSI_BP+dxthedge_VGP_SI_VSI_BP);
  Q_EDGE_xth_VGP_SI_VGP_SI=(+Q_EDGE_xth0_VGP_SI_VGP_SI+dxthedge_VGP_SI_VGP_SI);
#endif
#endif
Q_EDGE_xth=(Q_EDGE_xth0+dxthedge);
EXIT_IF_ISNAN((Q_EDGE_xth0+dxthedge))
{
double m00_sqrt(d00_sqrt0,Q_EDGE_xsth)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,Q_EDGE_xsth)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_n_VDI_SI=(-pInst->Gfedge*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_n_VDI_SI_VDI_SI=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VDI_SI*Q_EDGE_xsth_VDI_SI+d10_sqrt0*Q_EDGE_xsth_VDI_SI_VDI_SI)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)*((2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
  Q_EDGE_n_VDI_SI_VSI_BP=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VSI_BP*Q_EDGE_xsth_VDI_SI+d10_sqrt0*Q_EDGE_xsth_VDI_SI_VSI_BP)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)*((2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
  Q_EDGE_n_VDI_SI_VGP_SI=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VGP_SI*Q_EDGE_xsth_VDI_SI+d10_sqrt0*Q_EDGE_xsth_VDI_SI_VGP_SI)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0)*((2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
#endif
Q_EDGE_n_VSI_BP=(-pInst->Gfedge*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_n_VSI_BP_VDI_SI=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VDI_SI*Q_EDGE_xsth_VSI_BP+d10_sqrt0*Q_EDGE_xsth_VSI_BP_VDI_SI)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)*((2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
  Q_EDGE_n_VSI_BP_VSI_BP=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VSI_BP*Q_EDGE_xsth_VSI_BP+d10_sqrt0*Q_EDGE_xsth_VSI_BP_VSI_BP)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)*((2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
  Q_EDGE_n_VSI_BP_VGP_SI=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VGP_SI*Q_EDGE_xsth_VSI_BP+d10_sqrt0*Q_EDGE_xsth_VSI_BP_VGP_SI)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0)*((2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
#endif
Q_EDGE_n_VGP_SI=(-pInst->Gfedge*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_n_VGP_SI_VDI_SI=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VDI_SI*Q_EDGE_xsth_VGP_SI+d10_sqrt0*Q_EDGE_xsth_VGP_SI_VDI_SI)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)*((2.0*Q_EDGE_xsth_VDI_SI*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
  Q_EDGE_n_VGP_SI_VSI_BP=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VSI_BP*Q_EDGE_xsth_VGP_SI+d10_sqrt0*Q_EDGE_xsth_VGP_SI_VSI_BP)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)*((2.0*Q_EDGE_xsth_VSI_BP*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
  Q_EDGE_n_VGP_SI_VGP_SI=(+0.0+(0.0/(2.0*d00_sqrt0)-(0.0*((2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0))+0.0*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)+pInst->Gfedge*(+0.0*d00_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+0.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0+2.0*(m20_sqrt(Q_EDGE_xsth)*Q_EDGE_xsth_VGP_SI*Q_EDGE_xsth_VGP_SI+d10_sqrt0*Q_EDGE_xsth_VGP_SI_VGP_SI)))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)+2*pInst->Gfedge*(2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0)*((2.0*Q_EDGE_xsth_VGP_SI*d10_sqrt0))/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)/(2.0*d00_sqrt0)));
#endif
#endif
Q_EDGE_n=(1.0+(pInst->Gfedge/(2.0*d00_sqrt0)));
EXIT_IF_ISNAN((1.0+(pInst->Gfedge/(2.0*d00_sqrt0))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_n_inv_VDI_SI=(-Q_EDGE_n_VDI_SI/Q_EDGE_n/Q_EDGE_n);
#if defined(_DERIVATE2)
  Q_EDGE_n_inv_VDI_SI_VDI_SI=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VDI_SI+0.0*Q_EDGE_n_VDI_SI+1.0*Q_EDGE_n_VDI_SI_VDI_SI)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VDI_SI*Q_EDGE_n_VDI_SI/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
  Q_EDGE_n_inv_VDI_SI_VSI_BP=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VSI_BP+0.0*Q_EDGE_n_VDI_SI+1.0*Q_EDGE_n_VDI_SI_VSI_BP)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VDI_SI*Q_EDGE_n_VSI_BP/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
  Q_EDGE_n_inv_VDI_SI_VGP_SI=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VGP_SI+0.0*Q_EDGE_n_VDI_SI+1.0*Q_EDGE_n_VDI_SI_VGP_SI)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VDI_SI*Q_EDGE_n_VGP_SI/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
#endif
Q_EDGE_n_inv_VSI_BP=(-Q_EDGE_n_VSI_BP/Q_EDGE_n/Q_EDGE_n);
#if defined(_DERIVATE2)
  Q_EDGE_n_inv_VSI_BP_VDI_SI=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VDI_SI+0.0*Q_EDGE_n_VSI_BP+1.0*Q_EDGE_n_VSI_BP_VDI_SI)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VSI_BP*Q_EDGE_n_VDI_SI/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
  Q_EDGE_n_inv_VSI_BP_VSI_BP=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VSI_BP+0.0*Q_EDGE_n_VSI_BP+1.0*Q_EDGE_n_VSI_BP_VSI_BP)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VSI_BP*Q_EDGE_n_VSI_BP/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
  Q_EDGE_n_inv_VSI_BP_VGP_SI=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VGP_SI+0.0*Q_EDGE_n_VSI_BP+1.0*Q_EDGE_n_VSI_BP_VGP_SI)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VSI_BP*Q_EDGE_n_VGP_SI/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
#endif
Q_EDGE_n_inv_VGP_SI=(-Q_EDGE_n_VGP_SI/Q_EDGE_n/Q_EDGE_n);
#if defined(_DERIVATE2)
  Q_EDGE_n_inv_VGP_SI_VDI_SI=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VDI_SI+0.0*Q_EDGE_n_VGP_SI+1.0*Q_EDGE_n_VGP_SI_VDI_SI)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VGP_SI*Q_EDGE_n_VDI_SI/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
  Q_EDGE_n_inv_VGP_SI_VSI_BP=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VSI_BP+0.0*Q_EDGE_n_VGP_SI+1.0*Q_EDGE_n_VGP_SI_VSI_BP)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VGP_SI*Q_EDGE_n_VSI_BP/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
  Q_EDGE_n_inv_VGP_SI_VGP_SI=(0.0/Q_EDGE_n-(0.0*Q_EDGE_n_VGP_SI+0.0*Q_EDGE_n_VGP_SI+1.0*Q_EDGE_n_VGP_SI_VGP_SI)/Q_EDGE_n/Q_EDGE_n+2*1.0*Q_EDGE_n_VGP_SI*Q_EDGE_n_VGP_SI/Q_EDGE_n/Q_EDGE_n/Q_EDGE_n);
#endif
#endif
Q_EDGE_n_inv=(1.0/Q_EDGE_n);
EXIT_IF_ISNAN((1.0/Q_EDGE_n))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_xgt_VDI_SI=(xgedge_VDI_SI-Q_EDGE_xth_VDI_SI);
#if defined(_DERIVATE2)
  Q_EDGE_xgt_VDI_SI_VDI_SI=(+xgedge_VDI_SI_VDI_SI-Q_EDGE_xth_VDI_SI_VDI_SI);
  Q_EDGE_xgt_VDI_SI_VSI_BP=(+xgedge_VDI_SI_VSI_BP-Q_EDGE_xth_VDI_SI_VSI_BP);
  Q_EDGE_xgt_VDI_SI_VGP_SI=(+xgedge_VDI_SI_VGP_SI-Q_EDGE_xth_VDI_SI_VGP_SI);
#endif
Q_EDGE_xgt_VSI_BP=(xgedge_VSI_BP-Q_EDGE_xth_VSI_BP);
#if defined(_DERIVATE2)
  Q_EDGE_xgt_VSI_BP_VDI_SI=(+xgedge_VSI_BP_VDI_SI-Q_EDGE_xth_VSI_BP_VDI_SI);
  Q_EDGE_xgt_VSI_BP_VSI_BP=(+xgedge_VSI_BP_VSI_BP-Q_EDGE_xth_VSI_BP_VSI_BP);
  Q_EDGE_xgt_VSI_BP_VGP_SI=(+xgedge_VSI_BP_VGP_SI-Q_EDGE_xth_VSI_BP_VGP_SI);
#endif
Q_EDGE_xgt_VGP_SI=(xgedge_VGP_SI-Q_EDGE_xth_VGP_SI);
#if defined(_DERIVATE2)
  Q_EDGE_xgt_VGP_SI_VDI_SI=(+xgedge_VGP_SI_VDI_SI-Q_EDGE_xth_VGP_SI_VDI_SI);
  Q_EDGE_xgt_VGP_SI_VSI_BP=(+xgedge_VGP_SI_VSI_BP-Q_EDGE_xth_VGP_SI_VSI_BP);
  Q_EDGE_xgt_VGP_SI_VGP_SI=(+xgedge_VGP_SI_VGP_SI-Q_EDGE_xth_VGP_SI_VGP_SI);
#endif
#endif
Q_EDGE_xgt=(pInst->xgedge-Q_EDGE_xth);
EXIT_IF_ISNAN((pInst->xgedge-Q_EDGE_xth))
if
((Q_EDGE_xgt>(-12.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_xgt0_VDI_SI=Q_EDGE_xgt_VDI_SI;
#if defined(_DERIVATE2)
  Q_EDGE_xgt0_VDI_SI_VDI_SI=(+(+Q_EDGE_xgt_VDI_SI_VDI_SI+0.0)-0.0);
  Q_EDGE_xgt0_VDI_SI_VSI_BP=(+(+Q_EDGE_xgt_VDI_SI_VSI_BP+0.0)-0.0);
  Q_EDGE_xgt0_VDI_SI_VGP_SI=(+(+Q_EDGE_xgt_VDI_SI_VGP_SI+0.0)-0.0);
#endif
Q_EDGE_xgt0_VSI_BP=Q_EDGE_xgt_VSI_BP;
#if defined(_DERIVATE2)
  Q_EDGE_xgt0_VSI_BP_VDI_SI=(+(+Q_EDGE_xgt_VSI_BP_VDI_SI+0.0)-0.0);
  Q_EDGE_xgt0_VSI_BP_VSI_BP=(+(+Q_EDGE_xgt_VSI_BP_VSI_BP+0.0)-0.0);
  Q_EDGE_xgt0_VSI_BP_VGP_SI=(+(+Q_EDGE_xgt_VSI_BP_VGP_SI+0.0)-0.0);
#endif
Q_EDGE_xgt0_VGP_SI=Q_EDGE_xgt_VGP_SI;
#if defined(_DERIVATE2)
  Q_EDGE_xgt0_VGP_SI_VDI_SI=(+(+Q_EDGE_xgt_VGP_SI_VDI_SI+0.0)-0.0);
  Q_EDGE_xgt0_VGP_SI_VSI_BP=(+(+Q_EDGE_xgt_VGP_SI_VSI_BP+0.0)-0.0);
  Q_EDGE_xgt0_VGP_SI_VGP_SI=(+(+Q_EDGE_xgt_VGP_SI_VGP_SI+0.0)-0.0);
#endif
#endif
Q_EDGE_xgt0=((Q_EDGE_xgt+pInst->lnGfedge2)-1.0);
EXIT_IF_ISNAN(((Q_EDGE_xgt+pInst->lnGfedge2)-1.0))
{
double m00_sqrt(d00_sqrt0,((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_xgt0e_VDI_SI=(0.5*(Q_EDGE_xgt0_VDI_SI+((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_xgt0e_VDI_SI_VDI_SI=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VDI_SI+(((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VDI_SI+((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VDI_SI_VDI_SI+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI)))*((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))+d10_sqrt0*(+(+Q_EDGE_xgt0_VDI_SI_VDI_SI*Q_EDGE_xgt0+Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0_VDI_SI+Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0_VDI_SI+Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI_VDI_SI)+0.0))));
  Q_EDGE_xgt0e_VDI_SI_VSI_BP=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VSI_BP+(((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VDI_SI+((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VDI_SI_VSI_BP+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP)))*((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))+d10_sqrt0*(+(+Q_EDGE_xgt0_VDI_SI_VSI_BP*Q_EDGE_xgt0+Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0_VSI_BP+Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0_VDI_SI+Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI_VSI_BP)+0.0))));
  Q_EDGE_xgt0e_VDI_SI_VGP_SI=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VGP_SI+(((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VDI_SI+((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VDI_SI_VGP_SI+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI)))*((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI))+d10_sqrt0*(+(+Q_EDGE_xgt0_VDI_SI_VGP_SI*Q_EDGE_xgt0+Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0_VGP_SI+Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0_VDI_SI+Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI_VGP_SI)+0.0))));
#endif
Q_EDGE_xgt0e_VSI_BP=(0.5*(Q_EDGE_xgt0_VSI_BP+((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_xgt0e_VSI_BP_VDI_SI=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VDI_SI+(((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VSI_BP+((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VSI_BP_VDI_SI+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI)))*((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))+d10_sqrt0*(+(+Q_EDGE_xgt0_VSI_BP_VDI_SI*Q_EDGE_xgt0+Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0_VDI_SI+Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0_VSI_BP+Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP_VDI_SI)+0.0))));
  Q_EDGE_xgt0e_VSI_BP_VSI_BP=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VSI_BP+(((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VSI_BP+((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VSI_BP_VSI_BP+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP)))*((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))+d10_sqrt0*(+(+Q_EDGE_xgt0_VSI_BP_VSI_BP*Q_EDGE_xgt0+Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0_VSI_BP+Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0_VSI_BP+Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP_VSI_BP)+0.0))));
  Q_EDGE_xgt0e_VSI_BP_VGP_SI=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VGP_SI+(((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VSI_BP+((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VSI_BP_VGP_SI+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI)))*((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP))+d10_sqrt0*(+(+Q_EDGE_xgt0_VSI_BP_VGP_SI*Q_EDGE_xgt0+Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0_VGP_SI+Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0_VSI_BP+Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP_VGP_SI)+0.0))));
#endif
Q_EDGE_xgt0e_VGP_SI=(0.5*(Q_EDGE_xgt0_VGP_SI+((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_xgt0e_VGP_SI_VDI_SI=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VDI_SI+(((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VGP_SI+((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VGP_SI_VDI_SI+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VDI_SI)))*((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))+d10_sqrt0*(+(+Q_EDGE_xgt0_VGP_SI_VDI_SI*Q_EDGE_xgt0+Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0_VDI_SI+Q_EDGE_xgt0_VDI_SI*Q_EDGE_xgt0_VGP_SI+Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI_VDI_SI)+0.0))));
  Q_EDGE_xgt0e_VGP_SI_VSI_BP=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VSI_BP+(((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VGP_SI+((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VGP_SI_VSI_BP+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VSI_BP)))*((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))+d10_sqrt0*(+(+Q_EDGE_xgt0_VGP_SI_VSI_BP*Q_EDGE_xgt0+Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0_VSI_BP+Q_EDGE_xgt0_VSI_BP*Q_EDGE_xgt0_VGP_SI+Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI_VSI_BP)+0.0))));
  Q_EDGE_xgt0e_VGP_SI_VGP_SI=(+0.0*(Q_EDGE_xgt0+d00_sqrt0)+0.0*(Q_EDGE_xgt0_VGP_SI+(((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI)))*d10_sqrt0)+0.0*(Q_EDGE_xgt0_VGP_SI+((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))*d10_sqrt0)+0.5*(+Q_EDGE_xgt0_VGP_SI_VGP_SI+(m20_sqrt(((Q_EDGE_xgt0*Q_EDGE_xgt0)+10.0))*(((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI)))*((Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0)+(Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI))+d10_sqrt0*(+(+Q_EDGE_xgt0_VGP_SI_VGP_SI*Q_EDGE_xgt0+Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0_VGP_SI+Q_EDGE_xgt0_VGP_SI*Q_EDGE_xgt0_VGP_SI+Q_EDGE_xgt0*Q_EDGE_xgt0_VGP_SI_VGP_SI)+0.0))));
#endif
#endif
Q_EDGE_xgt0e=(0.5*(Q_EDGE_xgt0+d00_sqrt0));
EXIT_IF_ISNAN((0.5*(Q_EDGE_xgt0+d00_sqrt0)))
}
{
double m00_logE(d00_logE0,Q_EDGE_xgt0e)
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,Q_EDGE_xgt0e)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_qi0si_VDI_SI=(Q_EDGE_xgt_VDI_SI-((Q_EDGE_n_VDI_SI*d00_logE0)+(Q_EDGE_n*Q_EDGE_xgt0e_VDI_SI*d10_logE0)));
#if defined(_DERIVATE2)
  Q_EDGE_qi0si_VDI_SI_VDI_SI=(+(+Q_EDGE_xgt_VDI_SI_VDI_SI-(+Q_EDGE_n_VDI_SI_VDI_SI*d00_logE0+Q_EDGE_n_VDI_SI*Q_EDGE_xgt0e_VDI_SI*d10_logE0+Q_EDGE_n_VDI_SI*Q_EDGE_xgt0e_VDI_SI*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VDI_SI*Q_EDGE_xgt0e_VDI_SI+d10_logE0*Q_EDGE_xgt0e_VDI_SI_VDI_SI)))+0.0);
  Q_EDGE_qi0si_VDI_SI_VSI_BP=(+(+Q_EDGE_xgt_VDI_SI_VSI_BP-(+Q_EDGE_n_VDI_SI_VSI_BP*d00_logE0+Q_EDGE_n_VDI_SI*Q_EDGE_xgt0e_VSI_BP*d10_logE0+Q_EDGE_n_VSI_BP*Q_EDGE_xgt0e_VDI_SI*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VSI_BP*Q_EDGE_xgt0e_VDI_SI+d10_logE0*Q_EDGE_xgt0e_VDI_SI_VSI_BP)))+0.0);
  Q_EDGE_qi0si_VDI_SI_VGP_SI=(+(+Q_EDGE_xgt_VDI_SI_VGP_SI-(+Q_EDGE_n_VDI_SI_VGP_SI*d00_logE0+Q_EDGE_n_VDI_SI*Q_EDGE_xgt0e_VGP_SI*d10_logE0+Q_EDGE_n_VGP_SI*Q_EDGE_xgt0e_VDI_SI*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VGP_SI*Q_EDGE_xgt0e_VDI_SI+d10_logE0*Q_EDGE_xgt0e_VDI_SI_VGP_SI)))+0.0);
#endif
Q_EDGE_qi0si_VSI_BP=(Q_EDGE_xgt_VSI_BP-((Q_EDGE_n_VSI_BP*d00_logE0)+(Q_EDGE_n*Q_EDGE_xgt0e_VSI_BP*d10_logE0)));
#if defined(_DERIVATE2)
  Q_EDGE_qi0si_VSI_BP_VDI_SI=(+(+Q_EDGE_xgt_VSI_BP_VDI_SI-(+Q_EDGE_n_VSI_BP_VDI_SI*d00_logE0+Q_EDGE_n_VSI_BP*Q_EDGE_xgt0e_VDI_SI*d10_logE0+Q_EDGE_n_VDI_SI*Q_EDGE_xgt0e_VSI_BP*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VDI_SI*Q_EDGE_xgt0e_VSI_BP+d10_logE0*Q_EDGE_xgt0e_VSI_BP_VDI_SI)))+0.0);
  Q_EDGE_qi0si_VSI_BP_VSI_BP=(+(+Q_EDGE_xgt_VSI_BP_VSI_BP-(+Q_EDGE_n_VSI_BP_VSI_BP*d00_logE0+Q_EDGE_n_VSI_BP*Q_EDGE_xgt0e_VSI_BP*d10_logE0+Q_EDGE_n_VSI_BP*Q_EDGE_xgt0e_VSI_BP*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VSI_BP*Q_EDGE_xgt0e_VSI_BP+d10_logE0*Q_EDGE_xgt0e_VSI_BP_VSI_BP)))+0.0);
  Q_EDGE_qi0si_VSI_BP_VGP_SI=(+(+Q_EDGE_xgt_VSI_BP_VGP_SI-(+Q_EDGE_n_VSI_BP_VGP_SI*d00_logE0+Q_EDGE_n_VSI_BP*Q_EDGE_xgt0e_VGP_SI*d10_logE0+Q_EDGE_n_VGP_SI*Q_EDGE_xgt0e_VSI_BP*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VGP_SI*Q_EDGE_xgt0e_VSI_BP+d10_logE0*Q_EDGE_xgt0e_VSI_BP_VGP_SI)))+0.0);
#endif
Q_EDGE_qi0si_VGP_SI=(Q_EDGE_xgt_VGP_SI-((Q_EDGE_n_VGP_SI*d00_logE0)+(Q_EDGE_n*Q_EDGE_xgt0e_VGP_SI*d10_logE0)));
#if defined(_DERIVATE2)
  Q_EDGE_qi0si_VGP_SI_VDI_SI=(+(+Q_EDGE_xgt_VGP_SI_VDI_SI-(+Q_EDGE_n_VGP_SI_VDI_SI*d00_logE0+Q_EDGE_n_VGP_SI*Q_EDGE_xgt0e_VDI_SI*d10_logE0+Q_EDGE_n_VDI_SI*Q_EDGE_xgt0e_VGP_SI*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VDI_SI*Q_EDGE_xgt0e_VGP_SI+d10_logE0*Q_EDGE_xgt0e_VGP_SI_VDI_SI)))+0.0);
  Q_EDGE_qi0si_VGP_SI_VSI_BP=(+(+Q_EDGE_xgt_VGP_SI_VSI_BP-(+Q_EDGE_n_VGP_SI_VSI_BP*d00_logE0+Q_EDGE_n_VGP_SI*Q_EDGE_xgt0e_VSI_BP*d10_logE0+Q_EDGE_n_VSI_BP*Q_EDGE_xgt0e_VGP_SI*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VSI_BP*Q_EDGE_xgt0e_VGP_SI+d10_logE0*Q_EDGE_xgt0e_VGP_SI_VSI_BP)))+0.0);
  Q_EDGE_qi0si_VGP_SI_VGP_SI=(+(+Q_EDGE_xgt_VGP_SI_VGP_SI-(+Q_EDGE_n_VGP_SI_VGP_SI*d00_logE0+Q_EDGE_n_VGP_SI*Q_EDGE_xgt0e_VGP_SI*d10_logE0+Q_EDGE_n_VGP_SI*Q_EDGE_xgt0e_VGP_SI*d10_logE0+Q_EDGE_n*(m20_logE(Q_EDGE_xgt0e)*Q_EDGE_xgt0e_VGP_SI*Q_EDGE_xgt0e_VGP_SI+d10_logE0*Q_EDGE_xgt0e_VGP_SI_VGP_SI)))+0.0);
#endif
#endif
Q_EDGE_qi0si=((Q_EDGE_xgt-(Q_EDGE_n*d00_logE0))+pInst->lnGfedge2);
EXIT_IF_ISNAN(((Q_EDGE_xgt-(Q_EDGE_n*d00_logE0))+pInst->lnGfedge2))
}
{
double m00_sqrt(d00_sqrt0,((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_qi0_VDI_SI=(0.5*(Q_EDGE_qi0si_VDI_SI+((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_qi0_VDI_SI_VDI_SI=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VDI_SI+(((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VDI_SI+((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VDI_SI_VDI_SI+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI)))*((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))+d10_sqrt0*(+(+Q_EDGE_qi0si_VDI_SI_VDI_SI*Q_EDGE_qi0si+Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si_VDI_SI+Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si_VDI_SI+Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI_VDI_SI)+0.0))));
  Q_EDGE_qi0_VDI_SI_VSI_BP=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VSI_BP+(((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VDI_SI+((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VDI_SI_VSI_BP+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP)))*((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))+d10_sqrt0*(+(+Q_EDGE_qi0si_VDI_SI_VSI_BP*Q_EDGE_qi0si+Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si_VSI_BP+Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si_VDI_SI+Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI_VSI_BP)+0.0))));
  Q_EDGE_qi0_VDI_SI_VGP_SI=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VGP_SI+(((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VDI_SI+((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VDI_SI_VGP_SI+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI)))*((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI))+d10_sqrt0*(+(+Q_EDGE_qi0si_VDI_SI_VGP_SI*Q_EDGE_qi0si+Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si_VGP_SI+Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si_VDI_SI+Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI_VGP_SI)+0.0))));
#endif
Q_EDGE_qi0_VSI_BP=(0.5*(Q_EDGE_qi0si_VSI_BP+((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_qi0_VSI_BP_VDI_SI=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VDI_SI+(((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VSI_BP+((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VSI_BP_VDI_SI+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI)))*((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))+d10_sqrt0*(+(+Q_EDGE_qi0si_VSI_BP_VDI_SI*Q_EDGE_qi0si+Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si_VDI_SI+Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si_VSI_BP+Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP_VDI_SI)+0.0))));
  Q_EDGE_qi0_VSI_BP_VSI_BP=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VSI_BP+(((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VSI_BP+((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VSI_BP_VSI_BP+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP)))*((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))+d10_sqrt0*(+(+Q_EDGE_qi0si_VSI_BP_VSI_BP*Q_EDGE_qi0si+Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si_VSI_BP+Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si_VSI_BP+Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP_VSI_BP)+0.0))));
  Q_EDGE_qi0_VSI_BP_VGP_SI=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VGP_SI+(((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VSI_BP+((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VSI_BP_VGP_SI+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI)))*((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP))+d10_sqrt0*(+(+Q_EDGE_qi0si_VSI_BP_VGP_SI*Q_EDGE_qi0si+Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si_VGP_SI+Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si_VSI_BP+Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP_VGP_SI)+0.0))));
#endif
Q_EDGE_qi0_VGP_SI=(0.5*(Q_EDGE_qi0si_VGP_SI+((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  Q_EDGE_qi0_VGP_SI_VDI_SI=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VDI_SI+(((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VGP_SI+((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VGP_SI_VDI_SI+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VDI_SI)))*((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))+d10_sqrt0*(+(+Q_EDGE_qi0si_VGP_SI_VDI_SI*Q_EDGE_qi0si+Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si_VDI_SI+Q_EDGE_qi0si_VDI_SI*Q_EDGE_qi0si_VGP_SI+Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI_VDI_SI)+0.0))));
  Q_EDGE_qi0_VGP_SI_VSI_BP=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VSI_BP+(((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VGP_SI+((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VGP_SI_VSI_BP+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VSI_BP)))*((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))+d10_sqrt0*(+(+Q_EDGE_qi0si_VGP_SI_VSI_BP*Q_EDGE_qi0si+Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si_VSI_BP+Q_EDGE_qi0si_VSI_BP*Q_EDGE_qi0si_VGP_SI+Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI_VSI_BP)+0.0))));
  Q_EDGE_qi0_VGP_SI_VGP_SI=(+0.0*(Q_EDGE_qi0si+d00_sqrt0)+0.0*(Q_EDGE_qi0si_VGP_SI+(((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI)))*d10_sqrt0)+0.0*(Q_EDGE_qi0si_VGP_SI+((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))*d10_sqrt0)+0.5*(+Q_EDGE_qi0si_VGP_SI_VGP_SI+(m20_sqrt(((Q_EDGE_qi0si*Q_EDGE_qi0si)+2.0))*(((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI)))*((Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si)+(Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI))+d10_sqrt0*(+(+Q_EDGE_qi0si_VGP_SI_VGP_SI*Q_EDGE_qi0si+Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si_VGP_SI+Q_EDGE_qi0si_VGP_SI*Q_EDGE_qi0si_VGP_SI+Q_EDGE_qi0si*Q_EDGE_qi0si_VGP_SI_VGP_SI)+0.0))));
#endif
#endif
Q_EDGE_qi0=(0.5*(Q_EDGE_qi0si+d00_sqrt0));
EXIT_IF_ISNAN((0.5*(Q_EDGE_qi0si+d00_sqrt0)))
}
if
(((Q_EDGE_xgt-Q_EDGE_qi0)<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,(Q_EDGE_xgt-Q_EDGE_qi0))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_exp_x_VDI_SI=(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  Q_EDGE_exp_x_VDI_SI_VDI_SI=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)+d10_exp0*(+Q_EDGE_xgt_VDI_SI_VDI_SI-Q_EDGE_qi0_VDI_SI_VDI_SI));
  Q_EDGE_exp_x_VDI_SI_VSI_BP=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)+d10_exp0*(+Q_EDGE_xgt_VDI_SI_VSI_BP-Q_EDGE_qi0_VDI_SI_VSI_BP));
  Q_EDGE_exp_x_VDI_SI_VGP_SI=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)+d10_exp0*(+Q_EDGE_xgt_VDI_SI_VGP_SI-Q_EDGE_qi0_VDI_SI_VGP_SI));
#endif
Q_EDGE_exp_x_VSI_BP=(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  Q_EDGE_exp_x_VSI_BP_VDI_SI=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)+d10_exp0*(+Q_EDGE_xgt_VSI_BP_VDI_SI-Q_EDGE_qi0_VSI_BP_VDI_SI));
  Q_EDGE_exp_x_VSI_BP_VSI_BP=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)+d10_exp0*(+Q_EDGE_xgt_VSI_BP_VSI_BP-Q_EDGE_qi0_VSI_BP_VSI_BP));
  Q_EDGE_exp_x_VSI_BP_VGP_SI=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)+d10_exp0*(+Q_EDGE_xgt_VSI_BP_VGP_SI-Q_EDGE_qi0_VSI_BP_VGP_SI));
#endif
Q_EDGE_exp_x_VGP_SI=(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  Q_EDGE_exp_x_VGP_SI_VDI_SI=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)+d10_exp0*(+Q_EDGE_xgt_VGP_SI_VDI_SI-Q_EDGE_qi0_VGP_SI_VDI_SI));
  Q_EDGE_exp_x_VGP_SI_VSI_BP=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)+d10_exp0*(+Q_EDGE_xgt_VGP_SI_VSI_BP-Q_EDGE_qi0_VGP_SI_VSI_BP));
  Q_EDGE_exp_x_VGP_SI_VGP_SI=(m20_exp((Q_EDGE_xgt-Q_EDGE_qi0))*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)+d10_exp0*(+Q_EDGE_xgt_VGP_SI_VGP_SI-Q_EDGE_qi0_VGP_SI_VGP_SI));
#endif
#endif
Q_EDGE_exp_x=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_exp_x_VDI_SI=(1.0e100*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  Q_EDGE_exp_x_VDI_SI_VDI_SI=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VDI_SI_VDI_SI-Q_EDGE_qi0_VDI_SI_VDI_SI)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*((0.5*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VDI_SI_VDI_SI-Q_EDGE_qi0_VDI_SI_VDI_SI)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VDI_SI_VDI_SI-Q_EDGE_qi0_VDI_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*0.0+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
  Q_EDGE_exp_x_VDI_SI_VSI_BP=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VDI_SI_VSI_BP-Q_EDGE_qi0_VDI_SI_VSI_BP)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*((0.5*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VDI_SI_VSI_BP-Q_EDGE_qi0_VDI_SI_VSI_BP)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VDI_SI_VSI_BP-Q_EDGE_qi0_VDI_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*0.0+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
  Q_EDGE_exp_x_VDI_SI_VGP_SI=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VDI_SI_VGP_SI-Q_EDGE_qi0_VDI_SI_VGP_SI)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*((0.5*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(0.5*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VDI_SI_VGP_SI-Q_EDGE_qi0_VDI_SI_VGP_SI)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VDI_SI_VGP_SI-Q_EDGE_qi0_VDI_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*0.0+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
#endif
Q_EDGE_exp_x_VSI_BP=(1.0e100*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  Q_EDGE_exp_x_VSI_BP_VDI_SI=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VSI_BP_VDI_SI-Q_EDGE_qi0_VSI_BP_VDI_SI)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*((0.5*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VSI_BP_VDI_SI-Q_EDGE_qi0_VSI_BP_VDI_SI)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VSI_BP_VDI_SI-Q_EDGE_qi0_VSI_BP_VDI_SI)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*0.0+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
  Q_EDGE_exp_x_VSI_BP_VSI_BP=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VSI_BP_VSI_BP-Q_EDGE_qi0_VSI_BP_VSI_BP)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*((0.5*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VSI_BP_VSI_BP-Q_EDGE_qi0_VSI_BP_VSI_BP)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VSI_BP_VSI_BP-Q_EDGE_qi0_VSI_BP_VSI_BP)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*0.0+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
  Q_EDGE_exp_x_VSI_BP_VGP_SI=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VSI_BP_VGP_SI-Q_EDGE_qi0_VSI_BP_VGP_SI)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*((0.5*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(0.5*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VSI_BP_VGP_SI-Q_EDGE_qi0_VSI_BP_VGP_SI)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VSI_BP_VGP_SI-Q_EDGE_qi0_VSI_BP_VGP_SI)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*0.0+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
#endif
Q_EDGE_exp_x_VGP_SI=(1.0e100*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  Q_EDGE_exp_x_VGP_SI_VDI_SI=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VGP_SI_VDI_SI-Q_EDGE_qi0_VGP_SI_VDI_SI)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*((0.5*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VGP_SI_VDI_SI-Q_EDGE_qi0_VGP_SI_VDI_SI)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*((Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*3.3333333333333333e-01)+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VGP_SI_VDI_SI-Q_EDGE_qi0_VGP_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*0.0+(Q_EDGE_xgt_VDI_SI-Q_EDGE_qi0_VDI_SI)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
  Q_EDGE_exp_x_VGP_SI_VSI_BP=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VGP_SI_VSI_BP-Q_EDGE_qi0_VGP_SI_VSI_BP)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*((0.5*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VGP_SI_VSI_BP-Q_EDGE_qi0_VGP_SI_VSI_BP)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*((Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*3.3333333333333333e-01)+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VGP_SI_VSI_BP-Q_EDGE_qi0_VGP_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*0.0+(Q_EDGE_xgt_VSI_BP-Q_EDGE_qi0_VSI_BP)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
  Q_EDGE_exp_x_VGP_SI_VGP_SI=(+0.0*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((0.5*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+Q_EDGE_xgt_VGP_SI_VGP_SI-Q_EDGE_qi0_VGP_SI_VGP_SI)-0.0)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*((0.5*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(0.5*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)))+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+Q_EDGE_xgt_VGP_SI_VGP_SI-Q_EDGE_qi0_VGP_SI_VGP_SI)-0.0)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*((Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01)+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*3.3333333333333333e-01+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(+0.0+(+(+(+Q_EDGE_xgt_VGP_SI_VGP_SI-Q_EDGE_qi0_VGP_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*0.0+(Q_EDGE_xgt_VGP_SI-Q_EDGE_qi0_VGP_SI)*0.0+((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
Q_EDGE_exp_x=(1.0e100*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(0.5*(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*(1.0+(((Q_EDGE_xgt-Q_EDGE_qi0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_d0_VDI_SI=(pInst->Gfedge2*Q_EDGE_exp_x_VDI_SI);
#if defined(_DERIVATE2)
  Q_EDGE_d0_VDI_SI_VDI_SI=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VDI_SI+0.0*Q_EDGE_exp_x_VDI_SI+pInst->Gfedge2*Q_EDGE_exp_x_VDI_SI_VDI_SI);
  Q_EDGE_d0_VDI_SI_VSI_BP=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VSI_BP+0.0*Q_EDGE_exp_x_VDI_SI+pInst->Gfedge2*Q_EDGE_exp_x_VDI_SI_VSI_BP);
  Q_EDGE_d0_VDI_SI_VGP_SI=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VGP_SI+0.0*Q_EDGE_exp_x_VDI_SI+pInst->Gfedge2*Q_EDGE_exp_x_VDI_SI_VGP_SI);
#endif
Q_EDGE_d0_VSI_BP=(pInst->Gfedge2*Q_EDGE_exp_x_VSI_BP);
#if defined(_DERIVATE2)
  Q_EDGE_d0_VSI_BP_VDI_SI=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VDI_SI+0.0*Q_EDGE_exp_x_VSI_BP+pInst->Gfedge2*Q_EDGE_exp_x_VSI_BP_VDI_SI);
  Q_EDGE_d0_VSI_BP_VSI_BP=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VSI_BP+0.0*Q_EDGE_exp_x_VSI_BP+pInst->Gfedge2*Q_EDGE_exp_x_VSI_BP_VSI_BP);
  Q_EDGE_d0_VSI_BP_VGP_SI=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VGP_SI+0.0*Q_EDGE_exp_x_VSI_BP+pInst->Gfedge2*Q_EDGE_exp_x_VSI_BP_VGP_SI);
#endif
Q_EDGE_d0_VGP_SI=(pInst->Gfedge2*Q_EDGE_exp_x_VGP_SI);
#if defined(_DERIVATE2)
  Q_EDGE_d0_VGP_SI_VDI_SI=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VDI_SI+0.0*Q_EDGE_exp_x_VGP_SI+pInst->Gfedge2*Q_EDGE_exp_x_VGP_SI_VDI_SI);
  Q_EDGE_d0_VGP_SI_VSI_BP=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VSI_BP+0.0*Q_EDGE_exp_x_VGP_SI+pInst->Gfedge2*Q_EDGE_exp_x_VGP_SI_VSI_BP);
  Q_EDGE_d0_VGP_SI_VGP_SI=(+0.0*Q_EDGE_exp_x+0.0*Q_EDGE_exp_x_VGP_SI+0.0*Q_EDGE_exp_x_VGP_SI+pInst->Gfedge2*Q_EDGE_exp_x_VGP_SI_VGP_SI);
#endif
#endif
Q_EDGE_d0=(pInst->Gfedge2*Q_EDGE_exp_x);
EXIT_IF_ISNAN((pInst->Gfedge2*Q_EDGE_exp_x))
{
double m00_pow(d00_pow0,Q_EDGE_d0,Q_EDGE_n_inv)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,Q_EDGE_d0,Q_EDGE_n_inv)
double m11_pow(d11_pow0,d00_pow0,Q_EDGE_d0,Q_EDGE_n_inv)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_d0p_VDI_SI=(d10_pow0*Q_EDGE_d0_VDI_SI+d11_pow0*Q_EDGE_n_inv_VDI_SI);
#if defined(_DERIVATE2)
  Q_EDGE_d0p_VDI_SI_VDI_SI=fixme;
  Q_EDGE_d0p_VDI_SI_VSI_BP=fixme;
  Q_EDGE_d0p_VDI_SI_VGP_SI=fixme;
#endif
Q_EDGE_d0p_VSI_BP=(d10_pow0*Q_EDGE_d0_VSI_BP+d11_pow0*Q_EDGE_n_inv_VSI_BP);
#if defined(_DERIVATE2)
  Q_EDGE_d0p_VSI_BP_VDI_SI=fixme;
  Q_EDGE_d0p_VSI_BP_VSI_BP=fixme;
  Q_EDGE_d0p_VSI_BP_VGP_SI=fixme;
#endif
Q_EDGE_d0p_VGP_SI=(d10_pow0*Q_EDGE_d0_VGP_SI+d11_pow0*Q_EDGE_n_inv_VGP_SI);
#if defined(_DERIVATE2)
  Q_EDGE_d0p_VGP_SI_VDI_SI=fixme;
  Q_EDGE_d0p_VGP_SI_VSI_BP=fixme;
  Q_EDGE_d0p_VGP_SI_VGP_SI=fixme;
#endif
#endif
Q_EDGE_d0p=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Q_EDGE_sqerr_VDI_SI=(((Q_EDGE_n_VDI_SI*Q_EDGE_n)+(Q_EDGE_n*Q_EDGE_n_VDI_SI))+((((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p)+(((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VDI_SI)));
#if defined(_DERIVATE2)
  Q_EDGE_sqerr_VDI_SI_VDI_SI=(+(+Q_EDGE_n_VDI_SI_VDI_SI*Q_EDGE_n+Q_EDGE_n_VDI_SI*Q_EDGE_n_VDI_SI+Q_EDGE_n_VDI_SI*Q_EDGE_n_VDI_SI+Q_EDGE_n*Q_EDGE_n_VDI_SI_VDI_SI)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)+0.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)+2.0*(+Q_EDGE_qi0_VDI_SI_VDI_SI+Q_EDGE_n_VDI_SI_VDI_SI))-Q_EDGE_d0p_VDI_SI_VDI_SI)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p_VDI_SI+(((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p_VDI_SI+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VDI_SI_VDI_SI));
  Q_EDGE_sqerr_VDI_SI_VSI_BP=(+(+Q_EDGE_n_VDI_SI_VSI_BP*Q_EDGE_n+Q_EDGE_n_VDI_SI*Q_EDGE_n_VSI_BP+Q_EDGE_n_VSI_BP*Q_EDGE_n_VDI_SI+Q_EDGE_n*Q_EDGE_n_VDI_SI_VSI_BP)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)+0.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)+2.0*(+Q_EDGE_qi0_VDI_SI_VSI_BP+Q_EDGE_n_VDI_SI_VSI_BP))-Q_EDGE_d0p_VDI_SI_VSI_BP)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p_VSI_BP+(((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p_VDI_SI+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VDI_SI_VSI_BP));
  Q_EDGE_sqerr_VDI_SI_VGP_SI=(+(+Q_EDGE_n_VDI_SI_VGP_SI*Q_EDGE_n+Q_EDGE_n_VDI_SI*Q_EDGE_n_VGP_SI+Q_EDGE_n_VGP_SI*Q_EDGE_n_VDI_SI+Q_EDGE_n*Q_EDGE_n_VDI_SI_VGP_SI)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)+0.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)+2.0*(+Q_EDGE_qi0_VDI_SI_VGP_SI+Q_EDGE_n_VDI_SI_VGP_SI))-Q_EDGE_d0p_VDI_SI_VGP_SI)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p_VGP_SI+(((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p_VDI_SI+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VDI_SI_VGP_SI));
#endif
Q_EDGE_sqerr_VSI_BP=(((Q_EDGE_n_VSI_BP*Q_EDGE_n)+(Q_EDGE_n*Q_EDGE_n_VSI_BP))+((((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p)+(((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VSI_BP)));
#if defined(_DERIVATE2)
  Q_EDGE_sqerr_VSI_BP_VDI_SI=(+(+Q_EDGE_n_VSI_BP_VDI_SI*Q_EDGE_n+Q_EDGE_n_VSI_BP*Q_EDGE_n_VDI_SI+Q_EDGE_n_VDI_SI*Q_EDGE_n_VSI_BP+Q_EDGE_n*Q_EDGE_n_VSI_BP_VDI_SI)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)+0.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)+2.0*(+Q_EDGE_qi0_VSI_BP_VDI_SI+Q_EDGE_n_VSI_BP_VDI_SI))-Q_EDGE_d0p_VSI_BP_VDI_SI)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p_VDI_SI+(((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p_VSI_BP+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VSI_BP_VDI_SI));
  Q_EDGE_sqerr_VSI_BP_VSI_BP=(+(+Q_EDGE_n_VSI_BP_VSI_BP*Q_EDGE_n+Q_EDGE_n_VSI_BP*Q_EDGE_n_VSI_BP+Q_EDGE_n_VSI_BP*Q_EDGE_n_VSI_BP+Q_EDGE_n*Q_EDGE_n_VSI_BP_VSI_BP)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)+0.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)+2.0*(+Q_EDGE_qi0_VSI_BP_VSI_BP+Q_EDGE_n_VSI_BP_VSI_BP))-Q_EDGE_d0p_VSI_BP_VSI_BP)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p_VSI_BP+(((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p_VSI_BP+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VSI_BP_VSI_BP));
  Q_EDGE_sqerr_VSI_BP_VGP_SI=(+(+Q_EDGE_n_VSI_BP_VGP_SI*Q_EDGE_n+Q_EDGE_n_VSI_BP*Q_EDGE_n_VGP_SI+Q_EDGE_n_VGP_SI*Q_EDGE_n_VSI_BP+Q_EDGE_n*Q_EDGE_n_VSI_BP_VGP_SI)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)+0.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)+2.0*(+Q_EDGE_qi0_VSI_BP_VGP_SI+Q_EDGE_n_VSI_BP_VGP_SI))-Q_EDGE_d0p_VSI_BP_VGP_SI)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p_VGP_SI+(((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p_VSI_BP+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VSI_BP_VGP_SI));
#endif
Q_EDGE_sqerr_VGP_SI=(((Q_EDGE_n_VGP_SI*Q_EDGE_n)+(Q_EDGE_n*Q_EDGE_n_VGP_SI))+((((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p)+(((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VGP_SI)));
#if defined(_DERIVATE2)
  Q_EDGE_sqerr_VGP_SI_VDI_SI=(+(+Q_EDGE_n_VGP_SI_VDI_SI*Q_EDGE_n+Q_EDGE_n_VGP_SI*Q_EDGE_n_VDI_SI+Q_EDGE_n_VDI_SI*Q_EDGE_n_VGP_SI+Q_EDGE_n*Q_EDGE_n_VGP_SI_VDI_SI)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)+0.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)+2.0*(+Q_EDGE_qi0_VGP_SI_VDI_SI+Q_EDGE_n_VGP_SI_VDI_SI))-Q_EDGE_d0p_VGP_SI_VDI_SI)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p_VDI_SI+(((2.0*(Q_EDGE_qi0_VDI_SI+Q_EDGE_n_VDI_SI)))-Q_EDGE_d0p_VDI_SI)*Q_EDGE_d0p_VGP_SI+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VGP_SI_VDI_SI));
  Q_EDGE_sqerr_VGP_SI_VSI_BP=(+(+Q_EDGE_n_VGP_SI_VSI_BP*Q_EDGE_n+Q_EDGE_n_VGP_SI*Q_EDGE_n_VSI_BP+Q_EDGE_n_VSI_BP*Q_EDGE_n_VGP_SI+Q_EDGE_n*Q_EDGE_n_VGP_SI_VSI_BP)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)+0.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)+2.0*(+Q_EDGE_qi0_VGP_SI_VSI_BP+Q_EDGE_n_VGP_SI_VSI_BP))-Q_EDGE_d0p_VGP_SI_VSI_BP)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p_VSI_BP+(((2.0*(Q_EDGE_qi0_VSI_BP+Q_EDGE_n_VSI_BP)))-Q_EDGE_d0p_VSI_BP)*Q_EDGE_d0p_VGP_SI+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VGP_SI_VSI_BP));
  Q_EDGE_sqerr_VGP_SI_VGP_SI=(+(+Q_EDGE_n_VGP_SI_VGP_SI*Q_EDGE_n+Q_EDGE_n_VGP_SI*Q_EDGE_n_VGP_SI+Q_EDGE_n_VGP_SI*Q_EDGE_n_VGP_SI+Q_EDGE_n*Q_EDGE_n_VGP_SI_VGP_SI)+(+(+(+0.0*(Q_EDGE_qi0+Q_EDGE_n)+0.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)+0.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)+2.0*(+Q_EDGE_qi0_VGP_SI_VGP_SI+Q_EDGE_n_VGP_SI_VGP_SI))-Q_EDGE_d0p_VGP_SI_VGP_SI)*Q_EDGE_d0p+((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p_VGP_SI+(((2.0*(Q_EDGE_qi0_VGP_SI+Q_EDGE_n_VGP_SI)))-Q_EDGE_d0p_VGP_SI)*Q_EDGE_d0p_VGP_SI+((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p_VGP_SI_VGP_SI));
#endif
#endif
Q_EDGE_sqerr=((Q_EDGE_n*Q_EDGE_n)+(((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p));
EXIT_IF_ISNAN(((Q_EDGE_n*Q_EDGE_n)+(((2.0*(Q_EDGE_qi0+Q_EDGE_n))-Q_EDGE_d0p)*Q_EDGE_d0p)))
{
double m00_sqrt(d00_sqrt0,Q_EDGE_sqerr)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,Q_EDGE_sqerr)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Q_EDGE_errq_VDI_SI=((Q_EDGE_n_VDI_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0))+(Q_EDGE_n*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)));
#if defined(_DERIVATE2)
  Q_EDGE_errq_VDI_SI_VDI_SI=(+Q_EDGE_n_VDI_SI_VDI_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VDI_SI*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VDI_SI*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VDI_SI*Q_EDGE_sqerr_VDI_SI+d10_sqrt0*Q_EDGE_sqerr_VDI_SI_VDI_SI)-Q_EDGE_n_VDI_SI_VDI_SI)/Q_EDGE_d0p-((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p_VDI_SI+(Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p_VDI_SI+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI*Q_EDGE_d0p_VDI_SI/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
  Q_EDGE_errq_VDI_SI_VSI_BP=(+Q_EDGE_n_VDI_SI_VSI_BP*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VDI_SI*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VSI_BP*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VSI_BP*Q_EDGE_sqerr_VDI_SI+d10_sqrt0*Q_EDGE_sqerr_VDI_SI_VSI_BP)-Q_EDGE_n_VDI_SI_VSI_BP)/Q_EDGE_d0p-((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p_VSI_BP+(Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p_VDI_SI+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI*Q_EDGE_d0p_VSI_BP/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
  Q_EDGE_errq_VDI_SI_VGP_SI=(+Q_EDGE_n_VDI_SI_VGP_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VDI_SI*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VGP_SI*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VGP_SI*Q_EDGE_sqerr_VDI_SI+d10_sqrt0*Q_EDGE_sqerr_VDI_SI_VGP_SI)-Q_EDGE_n_VDI_SI_VGP_SI)/Q_EDGE_d0p-((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p_VGP_SI+(Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p_VDI_SI+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI*Q_EDGE_d0p_VGP_SI/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
#endif
Q_EDGE_errq_VSI_BP=((Q_EDGE_n_VSI_BP*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0))+(Q_EDGE_n*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)));
#if defined(_DERIVATE2)
  Q_EDGE_errq_VSI_BP_VDI_SI=(+Q_EDGE_n_VSI_BP_VDI_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VSI_BP*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VDI_SI*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VDI_SI*Q_EDGE_sqerr_VSI_BP+d10_sqrt0*Q_EDGE_sqerr_VSI_BP_VDI_SI)-Q_EDGE_n_VSI_BP_VDI_SI)/Q_EDGE_d0p-((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p_VDI_SI+(Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p_VSI_BP+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP*Q_EDGE_d0p_VDI_SI/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
  Q_EDGE_errq_VSI_BP_VSI_BP=(+Q_EDGE_n_VSI_BP_VSI_BP*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VSI_BP*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VSI_BP*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VSI_BP*Q_EDGE_sqerr_VSI_BP+d10_sqrt0*Q_EDGE_sqerr_VSI_BP_VSI_BP)-Q_EDGE_n_VSI_BP_VSI_BP)/Q_EDGE_d0p-((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p_VSI_BP+(Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p_VSI_BP+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP*Q_EDGE_d0p_VSI_BP/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
  Q_EDGE_errq_VSI_BP_VGP_SI=(+Q_EDGE_n_VSI_BP_VGP_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VSI_BP*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VGP_SI*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VGP_SI*Q_EDGE_sqerr_VSI_BP+d10_sqrt0*Q_EDGE_sqerr_VSI_BP_VGP_SI)-Q_EDGE_n_VSI_BP_VGP_SI)/Q_EDGE_d0p-((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p_VGP_SI+(Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p_VSI_BP+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP*Q_EDGE_d0p_VGP_SI/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
#endif
Q_EDGE_errq_VGP_SI=((Q_EDGE_n_VGP_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0))+(Q_EDGE_n*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)));
#if defined(_DERIVATE2)
  Q_EDGE_errq_VGP_SI_VDI_SI=(+Q_EDGE_n_VGP_SI_VDI_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VGP_SI*(((Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VDI_SI*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VDI_SI*Q_EDGE_sqerr_VGP_SI+d10_sqrt0*Q_EDGE_sqerr_VGP_SI_VDI_SI)-Q_EDGE_n_VGP_SI_VDI_SI)/Q_EDGE_d0p-((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p_VDI_SI+(Q_EDGE_sqerr_VDI_SI*d10_sqrt0-Q_EDGE_n_VDI_SI)*Q_EDGE_d0p_VGP_SI+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI_VDI_SI)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI*Q_EDGE_d0p_VDI_SI/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
  Q_EDGE_errq_VGP_SI_VSI_BP=(+Q_EDGE_n_VGP_SI_VSI_BP*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VGP_SI*(((Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VSI_BP*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VSI_BP*Q_EDGE_sqerr_VGP_SI+d10_sqrt0*Q_EDGE_sqerr_VGP_SI_VSI_BP)-Q_EDGE_n_VGP_SI_VSI_BP)/Q_EDGE_d0p-((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p_VSI_BP+(Q_EDGE_sqerr_VSI_BP*d10_sqrt0-Q_EDGE_n_VSI_BP)*Q_EDGE_d0p_VGP_SI+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI_VSI_BP)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI*Q_EDGE_d0p_VSI_BP/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
  Q_EDGE_errq_VGP_SI_VGP_SI=(+Q_EDGE_n_VGP_SI_VGP_SI*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)+Q_EDGE_n_VGP_SI*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n_VGP_SI*(((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p-(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p)+Q_EDGE_n*(+((+(m20_sqrt(Q_EDGE_sqerr)*Q_EDGE_sqerr_VGP_SI*Q_EDGE_sqerr_VGP_SI+d10_sqrt0*Q_EDGE_sqerr_VGP_SI_VGP_SI)-Q_EDGE_n_VGP_SI_VGP_SI)/Q_EDGE_d0p-((Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p_VGP_SI+(Q_EDGE_sqerr_VGP_SI*d10_sqrt0-Q_EDGE_n_VGP_SI)*Q_EDGE_d0p_VGP_SI+(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI_VGP_SI)/Q_EDGE_d0p/Q_EDGE_d0p+2*(d00_sqrt0-Q_EDGE_n)*Q_EDGE_d0p_VGP_SI*Q_EDGE_d0p_VGP_SI/Q_EDGE_d0p/Q_EDGE_d0p/Q_EDGE_d0p)-0.0));
#endif
#endif
Q_EDGE_errq=(Q_EDGE_n*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0));
EXIT_IF_ISNAN((Q_EDGE_n*(((d00_sqrt0-Q_EDGE_n)/Q_EDGE_d0p)-1.0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
qdeffedge_VDI_SI=(Q_EDGE_qi0_VDI_SI-Q_EDGE_errq_VDI_SI);
#if defined(_DERIVATE2)
  qdeffedge_VDI_SI_VDI_SI=(+Q_EDGE_qi0_VDI_SI_VDI_SI-Q_EDGE_errq_VDI_SI_VDI_SI);
  qdeffedge_VDI_SI_VSI_BP=(+Q_EDGE_qi0_VDI_SI_VSI_BP-Q_EDGE_errq_VDI_SI_VSI_BP);
  qdeffedge_VDI_SI_VGP_SI=(+Q_EDGE_qi0_VDI_SI_VGP_SI-Q_EDGE_errq_VDI_SI_VGP_SI);
#endif
qdeffedge_VSI_BP=(Q_EDGE_qi0_VSI_BP-Q_EDGE_errq_VSI_BP);
#if defined(_DERIVATE2)
  qdeffedge_VSI_BP_VDI_SI=(+Q_EDGE_qi0_VSI_BP_VDI_SI-Q_EDGE_errq_VSI_BP_VDI_SI);
  qdeffedge_VSI_BP_VSI_BP=(+Q_EDGE_qi0_VSI_BP_VSI_BP-Q_EDGE_errq_VSI_BP_VSI_BP);
  qdeffedge_VSI_BP_VGP_SI=(+Q_EDGE_qi0_VSI_BP_VGP_SI-Q_EDGE_errq_VSI_BP_VGP_SI);
#endif
qdeffedge_VGP_SI=(Q_EDGE_qi0_VGP_SI-Q_EDGE_errq_VGP_SI);
#if defined(_DERIVATE2)
  qdeffedge_VGP_SI_VDI_SI=(+Q_EDGE_qi0_VGP_SI_VDI_SI-Q_EDGE_errq_VGP_SI_VDI_SI);
  qdeffedge_VGP_SI_VSI_BP=(+Q_EDGE_qi0_VGP_SI_VSI_BP-Q_EDGE_errq_VGP_SI_VSI_BP);
  qdeffedge_VGP_SI_VGP_SI=(+Q_EDGE_qi0_VGP_SI_VGP_SI-Q_EDGE_errq_VGP_SI_VGP_SI);
#endif
#endif
qdeffedge=(Q_EDGE_qi0-Q_EDGE_errq);
EXIT_IF_ISNAN((Q_EDGE_qi0-Q_EDGE_errq))
}
else
{
if
(((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2))>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
qdeffedge_VDI_SI=((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))*d10_exp0;
#if defined(_DERIVATE2)
  qdeffedge_VDI_SI_VDI_SI=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))+d10_exp0*(+Q_EDGE_n_inv_VDI_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VDI_SI+0.0)));
  qdeffedge_VDI_SI_VSI_BP=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))+d10_exp0*(+Q_EDGE_n_inv_VDI_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VSI_BP+0.0)));
  qdeffedge_VDI_SI_VGP_SI=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))+d10_exp0*(+Q_EDGE_n_inv_VDI_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VGP_SI+0.0)));
#endif
qdeffedge_VSI_BP=((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))*d10_exp0;
#if defined(_DERIVATE2)
  qdeffedge_VSI_BP_VDI_SI=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))+d10_exp0*(+Q_EDGE_n_inv_VSI_BP_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VDI_SI+0.0)));
  qdeffedge_VSI_BP_VSI_BP=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))+d10_exp0*(+Q_EDGE_n_inv_VSI_BP_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VSI_BP+0.0)));
  qdeffedge_VSI_BP_VGP_SI=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))+d10_exp0*(+Q_EDGE_n_inv_VSI_BP_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VGP_SI+0.0)));
#endif
qdeffedge_VGP_SI=((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))*d10_exp0;
#if defined(_DERIVATE2)
  qdeffedge_VGP_SI_VDI_SI=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))+d10_exp0*(+Q_EDGE_n_inv_VGP_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VDI_SI+0.0)));
  qdeffedge_VGP_SI_VSI_BP=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))+d10_exp0*(+Q_EDGE_n_inv_VGP_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VSI_BP+0.0)));
  qdeffedge_VGP_SI_VGP_SI=(m20_exp((Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))+d10_exp0*(+Q_EDGE_n_inv_VGP_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VGP_SI+0.0)));
#endif
#endif
qdeffedge=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
qdeffedge_VDI_SI=(-1.0e-100*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  qdeffedge_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VDI_SI+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VDI_SI+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VDI_SI+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*0.0+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
  qdeffedge_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VSI_BP+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VSI_BP+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VSI_BP+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*0.0+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
  qdeffedge_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VGP_SI+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VGP_SI+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VDI_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VDI_SI_VGP_SI+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*0.0+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
#endif
qdeffedge_VSI_BP=(-1.0e-100*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  qdeffedge_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VDI_SI+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VDI_SI+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VDI_SI+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*0.0+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
  qdeffedge_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VSI_BP+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VSI_BP+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VSI_BP+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*0.0+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
  qdeffedge_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VGP_SI+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VGP_SI+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VSI_BP_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv*(+Q_EDGE_xgt_VSI_BP_VGP_SI+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*0.0+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
#endif
qdeffedge_VGP_SI=(-1.0e-100*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  qdeffedge_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VDI_SI+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VDI_SI+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VDI_SI+Q_EDGE_n_inv_VDI_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VDI_SI+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*0.0+(-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VDI_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VDI_SI))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
  qdeffedge_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VSI_BP+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VSI_BP+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VSI_BP+Q_EDGE_n_inv_VSI_BP*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VSI_BP+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*0.0+(-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VSI_BP*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VSI_BP))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
  qdeffedge_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))-(0.0*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)))))))))+0.0*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VGP_SI+0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01))))))+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+0.0*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01))))+0.0*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01))+0.5*(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VGP_SI+0.0)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(+0.0+(+(+0.0-(+Q_EDGE_n_inv_VGP_SI_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2)+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv_VGP_SI*Q_EDGE_xgt_VGP_SI+Q_EDGE_n_inv*(+Q_EDGE_xgt_VGP_SI_VGP_SI+0.0)))*3.3333333333333333e-01+(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*0.0+(-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*0.0+((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(0.5*(((-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(-((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI)))*3.3333333333333333e-01)))))*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((0.5*((((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*((-(((Q_EDGE_n_inv_VGP_SI*(Q_EDGE_xgt+pInst->lnGfedge2))+(Q_EDGE_n_inv*Q_EDGE_xgt_VGP_SI))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
#endif
#endif
qdeffedge=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*(1.0+(((-2.3025850929940458e+02)-(Q_EDGE_n_inv*(Q_EDGE_xgt+pInst->lnGfedge2)))*3.3333333333333333e-01)))))))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
qdseffedge_VDI_SI=(qdeffedge_VDI_SI-qseffedge_VDI_SI);
#if defined(_DERIVATE2)
  qdseffedge_VDI_SI_VDI_SI=(+qdeffedge_VDI_SI_VDI_SI-qseffedge_VDI_SI_VDI_SI);
  qdseffedge_VDI_SI_VSI_BP=(+qdeffedge_VDI_SI_VSI_BP-qseffedge_VDI_SI_VSI_BP);
  qdseffedge_VDI_SI_VGP_SI=(+qdeffedge_VDI_SI_VGP_SI-qseffedge_VDI_SI_VGP_SI);
#endif
qdseffedge_VSI_BP=(qdeffedge_VSI_BP-qseffedge_VSI_BP);
#if defined(_DERIVATE2)
  qdseffedge_VSI_BP_VDI_SI=(+qdeffedge_VSI_BP_VDI_SI-qseffedge_VSI_BP_VDI_SI);
  qdseffedge_VSI_BP_VSI_BP=(+qdeffedge_VSI_BP_VSI_BP-qseffedge_VSI_BP_VSI_BP);
  qdseffedge_VSI_BP_VGP_SI=(+qdeffedge_VSI_BP_VGP_SI-qseffedge_VSI_BP_VGP_SI);
#endif
qdseffedge_VGP_SI=(qdeffedge_VGP_SI-qseffedge_VGP_SI);
#if defined(_DERIVATE2)
  qdseffedge_VGP_SI_VDI_SI=(+qdeffedge_VGP_SI_VDI_SI-qseffedge_VGP_SI_VDI_SI);
  qdseffedge_VGP_SI_VSI_BP=(+qdeffedge_VGP_SI_VSI_BP-qseffedge_VGP_SI_VSI_BP);
  qdseffedge_VGP_SI_VGP_SI=(+qdeffedge_VGP_SI_VGP_SI-qseffedge_VGP_SI_VGP_SI);
#endif
#endif
pInst->qdseffedge=(qdeffedge-qseffedge);
EXIT_IF_ISNAN((qdeffedge-qseffedge))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
qmeffedge_VDI_SI=(0.5*(qdeffedge_VDI_SI+qseffedge_VDI_SI));
#if defined(_DERIVATE2)
  qmeffedge_VDI_SI_VDI_SI=(+0.0*(qdeffedge+qseffedge)+0.0*(qdeffedge_VDI_SI+qseffedge_VDI_SI)+0.0*(qdeffedge_VDI_SI+qseffedge_VDI_SI)+0.5*(+qdeffedge_VDI_SI_VDI_SI+qseffedge_VDI_SI_VDI_SI));
  qmeffedge_VDI_SI_VSI_BP=(+0.0*(qdeffedge+qseffedge)+0.0*(qdeffedge_VSI_BP+qseffedge_VSI_BP)+0.0*(qdeffedge_VDI_SI+qseffedge_VDI_SI)+0.5*(+qdeffedge_VDI_SI_VSI_BP+qseffedge_VDI_SI_VSI_BP));
  qmeffedge_VDI_SI_VGP_SI=(+0.0*(qdeffedge+qseffedge)+0.0*(qdeffedge_VGP_SI+qseffedge_VGP_SI)+0.0*(qdeffedge_VDI_SI+qseffedge_VDI_SI)+0.5*(+qdeffedge_VDI_SI_VGP_SI+qseffedge_VDI_SI_VGP_SI));
#endif
qmeffedge_VSI_BP=(0.5*(qdeffedge_VSI_BP+qseffedge_VSI_BP));
#if defined(_DERIVATE2)
  qmeffedge_VSI_BP_VDI_SI=(+0.0*(qdeffedge+qseffedge)+0.0*(qdeffedge_VDI_SI+qseffedge_VDI_SI)+0.0*(qdeffedge_VSI_BP+qseffedge_VSI_BP)+0.5*(+qdeffedge_VSI_BP_VDI_SI+qseffedge_VSI_BP_VDI_SI));
  qmeffedge_VSI_BP_VSI_BP=(+0.0*(qdeffedge+qseffedge)+0.0*(qdeffedge_VSI_BP+qseffedge_VSI_BP)+0.0*(qdeffedge_VSI_BP+qseffedge_VSI_BP)+0.5*(+qdeffedge_VSI_BP_VSI_BP+qseffedge_VSI_BP_VSI_BP));
  qmeffedge_VSI_BP_VGP_SI=(+0.0*(qdeffedge+qseffedge)+0.0*(qdeffedge_VGP_SI+qseffedge_VGP_SI)+0.0*(qdeffedge_VSI_BP+qseffedge_VSI_BP)+0.5*(+qdeffedge_VSI_BP_VGP_SI+qseffedge_VSI_BP_VGP_SI));
#endif
qmeffedge_VGP_SI=(0.5*(qdeffedge_VGP_SI+qseffedge_VGP_SI));
#if defined(_DERIVATE2)
  qmeffedge_VGP_SI_VDI_SI=(+0.0*(qdeffedge+qseffedge)+0.0*(qdeffedge_VDI_SI+qseffedge_VDI_SI)+0.0*(qdeffedge_VGP_SI+qseffedge_VGP_SI)+0.5*(+qdeffedge_VGP_SI_VDI_SI+qseffedge_VGP_SI_VDI_SI));
  qmeffedge_VGP_SI_VSI_BP=(+0.0*(qdeffedge+qseffedge)+0.0*(qdeffedge_VSI_BP+qseffedge_VSI_BP)+0.0*(qdeffedge_VGP_SI+qseffedge_VGP_SI)+0.5*(+qdeffedge_VGP_SI_VSI_BP+qseffedge_VGP_SI_VSI_BP));
  qmeffedge_VGP_SI_VGP_SI=(+0.0*(qdeffedge+qseffedge)+0.0*(qdeffedge_VGP_SI+qseffedge_VGP_SI)+0.0*(qdeffedge_VGP_SI+qseffedge_VGP_SI)+0.5*(+qdeffedge_VGP_SI_VGP_SI+qseffedge_VGP_SI_VGP_SI));
#endif
#endif
pInst->qmeffedge=(0.5*(qdeffedge+qseffedge));
EXIT_IF_ISNAN((0.5*(qdeffedge+qseffedge)))
{
double m00_max(d00_max0,(pInst->xgedge-pInst->qmeffedge),1.0e-40)
#if defined(_DERIVATEFORDDX)
double m10_max(d10_max0,d00_max0,(pInst->xgedge-pInst->qmeffedge),1.0e-40)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
dsqredge_VDI_SI=(d10_max0*(xgedge_VDI_SI-qmeffedge_VDI_SI));
#if defined(_DERIVATE2)
  dsqredge_VDI_SI_VDI_SI=fixme;
  dsqredge_VDI_SI_VSI_BP=fixme;
  dsqredge_VDI_SI_VGP_SI=fixme;
#endif
dsqredge_VSI_BP=(d10_max0*(xgedge_VSI_BP-qmeffedge_VSI_BP));
#if defined(_DERIVATE2)
  dsqredge_VSI_BP_VDI_SI=fixme;
  dsqredge_VSI_BP_VSI_BP=fixme;
  dsqredge_VSI_BP_VGP_SI=fixme;
#endif
dsqredge_VGP_SI=(d10_max0*(xgedge_VGP_SI-qmeffedge_VGP_SI));
#if defined(_DERIVATE2)
  dsqredge_VGP_SI_VDI_SI=fixme;
  dsqredge_VGP_SI_VSI_BP=fixme;
  dsqredge_VGP_SI_VGP_SI=fixme;
#endif
#endif
pInst->dsqredge=d00_max0;
EXIT_IF_ISNAN(d00_max0)
}
{
double m00_sqrt(d00_sqrt0,(pInst->dsqredge+(0.25*pInst->Gfedge2)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(pInst->dsqredge+(0.25*pInst->Gfedge2)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
alphabmedge_VDI_SI=(-(-(0.5*pInst->Gfedge)*dsqredge_VDI_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0));
#if defined(_DERIVATE2)
  alphabmedge_VDI_SI_VDI_SI=(+0.0-((+0.0*pInst->Gfedge+0.0*0.0+0.0*0.0+0.5*0.0)/d00_sqrt0-(0.0*(dsqredge_VDI_SI+(0.0))*d10_sqrt0+(0.0)*dsqredge_VDI_SI*d10_sqrt0+(0.5*pInst->Gfedge)*(m20_sqrt((pInst->dsqredge+(0.25*pInst->Gfedge2)))*(dsqredge_VDI_SI+(0.0))*dsqredge_VDI_SI+d10_sqrt0*(+dsqredge_VDI_SI_VDI_SI+(+0.0*pInst->Gfedge2+0.0*0.0+0.0*0.0+0.25*0.0))))/d00_sqrt0/d00_sqrt0+2*(0.5*pInst->Gfedge)*dsqredge_VDI_SI*d10_sqrt0*(dsqredge_VDI_SI+(0.0))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0));
  alphabmedge_VDI_SI_VSI_BP=(+0.0-((+0.0*pInst->Gfedge+0.0*0.0+0.0*0.0+0.5*0.0)/d00_sqrt0-(0.0*(dsqredge_VSI_BP+(0.0))*d10_sqrt0+(0.0)*dsqredge_VDI_SI*d10_sqrt0+(0.5*pInst->Gfedge)*(m20_sqrt((pInst->dsqredge+(0.25*pInst->Gfedge2)))*(dsqredge_VSI_BP+(0.0))*dsqredge_VDI_SI+d10_sqrt0*(+dsqredge_VDI_SI_VSI_BP+(+0.0*pInst->Gfedge2+0.0*0.0+0.0*0.0+0.25*0.0))))/d00_sqrt0/d00_sqrt0+2*(0.5*pInst->Gfedge)*dsqredge_VDI_SI*d10_sqrt0*(dsqredge_VSI_BP+(0.0))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0));
  alphabmedge_VDI_SI_VGP_SI=(+0.0-((+0.0*pInst->Gfedge+0.0*0.0+0.0*0.0+0.5*0.0)/d00_sqrt0-(0.0*(dsqredge_VGP_SI+(0.0))*d10_sqrt0+(0.0)*dsqredge_VDI_SI*d10_sqrt0+(0.5*pInst->Gfedge)*(m20_sqrt((pInst->dsqredge+(0.25*pInst->Gfedge2)))*(dsqredge_VGP_SI+(0.0))*dsqredge_VDI_SI+d10_sqrt0*(+dsqredge_VDI_SI_VGP_SI+(+0.0*pInst->Gfedge2+0.0*0.0+0.0*0.0+0.25*0.0))))/d00_sqrt0/d00_sqrt0+2*(0.5*pInst->Gfedge)*dsqredge_VDI_SI*d10_sqrt0*(dsqredge_VGP_SI+(0.0))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0));
#endif
alphabmedge_VSI_BP=(-(-(0.5*pInst->Gfedge)*dsqredge_VSI_BP*d10_sqrt0/d00_sqrt0/d00_sqrt0));
#if defined(_DERIVATE2)
  alphabmedge_VSI_BP_VDI_SI=(+0.0-((+0.0*pInst->Gfedge+0.0*0.0+0.0*0.0+0.5*0.0)/d00_sqrt0-(0.0*(dsqredge_VDI_SI+(0.0))*d10_sqrt0+(0.0)*dsqredge_VSI_BP*d10_sqrt0+(0.5*pInst->Gfedge)*(m20_sqrt((pInst->dsqredge+(0.25*pInst->Gfedge2)))*(dsqredge_VDI_SI+(0.0))*dsqredge_VSI_BP+d10_sqrt0*(+dsqredge_VSI_BP_VDI_SI+(+0.0*pInst->Gfedge2+0.0*0.0+0.0*0.0+0.25*0.0))))/d00_sqrt0/d00_sqrt0+2*(0.5*pInst->Gfedge)*dsqredge_VSI_BP*d10_sqrt0*(dsqredge_VDI_SI+(0.0))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0));
  alphabmedge_VSI_BP_VSI_BP=(+0.0-((+0.0*pInst->Gfedge+0.0*0.0+0.0*0.0+0.5*0.0)/d00_sqrt0-(0.0*(dsqredge_VSI_BP+(0.0))*d10_sqrt0+(0.0)*dsqredge_VSI_BP*d10_sqrt0+(0.5*pInst->Gfedge)*(m20_sqrt((pInst->dsqredge+(0.25*pInst->Gfedge2)))*(dsqredge_VSI_BP+(0.0))*dsqredge_VSI_BP+d10_sqrt0*(+dsqredge_VSI_BP_VSI_BP+(+0.0*pInst->Gfedge2+0.0*0.0+0.0*0.0+0.25*0.0))))/d00_sqrt0/d00_sqrt0+2*(0.5*pInst->Gfedge)*dsqredge_VSI_BP*d10_sqrt0*(dsqredge_VSI_BP+(0.0))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0));
  alphabmedge_VSI_BP_VGP_SI=(+0.0-((+0.0*pInst->Gfedge+0.0*0.0+0.0*0.0+0.5*0.0)/d00_sqrt0-(0.0*(dsqredge_VGP_SI+(0.0))*d10_sqrt0+(0.0)*dsqredge_VSI_BP*d10_sqrt0+(0.5*pInst->Gfedge)*(m20_sqrt((pInst->dsqredge+(0.25*pInst->Gfedge2)))*(dsqredge_VGP_SI+(0.0))*dsqredge_VSI_BP+d10_sqrt0*(+dsqredge_VSI_BP_VGP_SI+(+0.0*pInst->Gfedge2+0.0*0.0+0.0*0.0+0.25*0.0))))/d00_sqrt0/d00_sqrt0+2*(0.5*pInst->Gfedge)*dsqredge_VSI_BP*d10_sqrt0*(dsqredge_VGP_SI+(0.0))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0));
#endif
alphabmedge_VGP_SI=(-(-(0.5*pInst->Gfedge)*dsqredge_VGP_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0));
#if defined(_DERIVATE2)
  alphabmedge_VGP_SI_VDI_SI=(+0.0-((+0.0*pInst->Gfedge+0.0*0.0+0.0*0.0+0.5*0.0)/d00_sqrt0-(0.0*(dsqredge_VDI_SI+(0.0))*d10_sqrt0+(0.0)*dsqredge_VGP_SI*d10_sqrt0+(0.5*pInst->Gfedge)*(m20_sqrt((pInst->dsqredge+(0.25*pInst->Gfedge2)))*(dsqredge_VDI_SI+(0.0))*dsqredge_VGP_SI+d10_sqrt0*(+dsqredge_VGP_SI_VDI_SI+(+0.0*pInst->Gfedge2+0.0*0.0+0.0*0.0+0.25*0.0))))/d00_sqrt0/d00_sqrt0+2*(0.5*pInst->Gfedge)*dsqredge_VGP_SI*d10_sqrt0*(dsqredge_VDI_SI+(0.0))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0));
  alphabmedge_VGP_SI_VSI_BP=(+0.0-((+0.0*pInst->Gfedge+0.0*0.0+0.0*0.0+0.5*0.0)/d00_sqrt0-(0.0*(dsqredge_VSI_BP+(0.0))*d10_sqrt0+(0.0)*dsqredge_VGP_SI*d10_sqrt0+(0.5*pInst->Gfedge)*(m20_sqrt((pInst->dsqredge+(0.25*pInst->Gfedge2)))*(dsqredge_VSI_BP+(0.0))*dsqredge_VGP_SI+d10_sqrt0*(+dsqredge_VGP_SI_VSI_BP+(+0.0*pInst->Gfedge2+0.0*0.0+0.0*0.0+0.25*0.0))))/d00_sqrt0/d00_sqrt0+2*(0.5*pInst->Gfedge)*dsqredge_VGP_SI*d10_sqrt0*(dsqredge_VSI_BP+(0.0))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0));
  alphabmedge_VGP_SI_VGP_SI=(+0.0-((+0.0*pInst->Gfedge+0.0*0.0+0.0*0.0+0.5*0.0)/d00_sqrt0-(0.0*(dsqredge_VGP_SI+(0.0))*d10_sqrt0+(0.0)*dsqredge_VGP_SI*d10_sqrt0+(0.5*pInst->Gfedge)*(m20_sqrt((pInst->dsqredge+(0.25*pInst->Gfedge2)))*(dsqredge_VGP_SI+(0.0))*dsqredge_VGP_SI+d10_sqrt0*(+dsqredge_VGP_SI_VGP_SI+(+0.0*pInst->Gfedge2+0.0*0.0+0.0*0.0+0.25*0.0))))/d00_sqrt0/d00_sqrt0+2*(0.5*pInst->Gfedge)*dsqredge_VGP_SI*d10_sqrt0*(dsqredge_VGP_SI+(0.0))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0));
#endif
#endif
pInst->alphabmedge=(1.0-((0.5*pInst->Gfedge)/d00_sqrt0));
EXIT_IF_ISNAN((1.0-((0.5*pInst->Gfedge)/d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Idsedge_VDI_SI=((((((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VDI_SI))*pInst->Gmob_dc-(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VDI_SI)/pInst->Gmob_dc/pInst->Gmob_dc);
#if defined(_DERIVATE2)
  Idsedge_VDI_SI_VDI_SI=((+(+(+(+0.0*phit1edge+0.0*phit1edge_VDI_SI+0.0*phit1edge_VDI_SI+(-pInst->BETEDGE_i)*phit1edge_VDI_SI_VDI_SI)*phit1edge+((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge_VDI_SI+(((-pInst->BETEDGE_i)*phit1edge_VDI_SI))*phit1edge_VDI_SI+((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI_VDI_SI)*((pInst->alphabmedge*pInst->qmeffedge)+1.0)+((((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI))*(((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI)))+((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI)))*((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(+(+alphabmedge_VDI_SI_VDI_SI*pInst->qmeffedge+alphabmedge_VDI_SI*qmeffedge_VDI_SI+alphabmedge_VDI_SI*qmeffedge_VDI_SI+pInst->alphabmedge*qmeffedge_VDI_SI_VDI_SI)+0.0))*pInst->qdseffedge+((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))*qdseffedge_VDI_SI+(((((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))))*qdseffedge_VDI_SI+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VDI_SI_VDI_SI)/pInst->Gmob_dc-(((((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VDI_SI))*Gmob_dc_VDI_SI+((((((((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VDI_SI)))*Gmob_dc_VDI_SI+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VDI_SI_VDI_SI)/pInst->Gmob_dc/pInst->Gmob_dc+2*(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VDI_SI*Gmob_dc_VDI_SI/pInst->Gmob_dc/pInst->Gmob_dc/pInst->Gmob_dc);
  Idsedge_VDI_SI_VSI_BP=((+(+(+(+0.0*phit1edge+0.0*phit1edge_VSI_BP+0.0*phit1edge_VDI_SI+(-pInst->BETEDGE_i)*phit1edge_VDI_SI_VSI_BP)*phit1edge+((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge_VSI_BP+(((-pInst->BETEDGE_i)*phit1edge_VSI_BP))*phit1edge_VDI_SI+((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI_VSI_BP)*((pInst->alphabmedge*pInst->qmeffedge)+1.0)+((((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI))*(((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP)))+((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP)))*((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(+(+alphabmedge_VDI_SI_VSI_BP*pInst->qmeffedge+alphabmedge_VDI_SI*qmeffedge_VSI_BP+alphabmedge_VSI_BP*qmeffedge_VDI_SI+pInst->alphabmedge*qmeffedge_VDI_SI_VSI_BP)+0.0))*pInst->qdseffedge+((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))*qdseffedge_VSI_BP+(((((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))))*qdseffedge_VDI_SI+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VDI_SI_VSI_BP)/pInst->Gmob_dc-(((((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VDI_SI))*Gmob_dc_VSI_BP+((((((((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VSI_BP)))*Gmob_dc_VDI_SI+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VDI_SI_VSI_BP)/pInst->Gmob_dc/pInst->Gmob_dc+2*(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VDI_SI*Gmob_dc_VSI_BP/pInst->Gmob_dc/pInst->Gmob_dc/pInst->Gmob_dc);
  Idsedge_VDI_SI_VGP_SI=((+(+(+(+0.0*phit1edge+0.0*phit1edge_VGP_SI+0.0*phit1edge_VDI_SI+(-pInst->BETEDGE_i)*phit1edge_VDI_SI_VGP_SI)*phit1edge+((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge_VGP_SI+(((-pInst->BETEDGE_i)*phit1edge_VGP_SI))*phit1edge_VDI_SI+((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI_VGP_SI)*((pInst->alphabmedge*pInst->qmeffedge)+1.0)+((((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI))*(((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI)))+((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI)))*((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(+(+alphabmedge_VDI_SI_VGP_SI*pInst->qmeffedge+alphabmedge_VDI_SI*qmeffedge_VGP_SI+alphabmedge_VGP_SI*qmeffedge_VDI_SI+pInst->alphabmedge*qmeffedge_VDI_SI_VGP_SI)+0.0))*pInst->qdseffedge+((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))*qdseffedge_VGP_SI+(((((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))))*qdseffedge_VDI_SI+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VDI_SI_VGP_SI)/pInst->Gmob_dc-(((((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VDI_SI))*Gmob_dc_VGP_SI+((((((((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VGP_SI)))*Gmob_dc_VDI_SI+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VDI_SI_VGP_SI)/pInst->Gmob_dc/pInst->Gmob_dc+2*(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VDI_SI*Gmob_dc_VGP_SI/pInst->Gmob_dc/pInst->Gmob_dc/pInst->Gmob_dc);
#endif
Idsedge_VSI_BP=((((((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VSI_BP))*pInst->Gmob_dc-(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VSI_BP)/pInst->Gmob_dc/pInst->Gmob_dc);
#if defined(_DERIVATE2)
  Idsedge_VSI_BP_VDI_SI=((+(+(+(+0.0*phit1edge+0.0*phit1edge_VDI_SI+0.0*phit1edge_VSI_BP+(-pInst->BETEDGE_i)*phit1edge_VSI_BP_VDI_SI)*phit1edge+((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge_VDI_SI+(((-pInst->BETEDGE_i)*phit1edge_VDI_SI))*phit1edge_VSI_BP+((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP_VDI_SI)*((pInst->alphabmedge*pInst->qmeffedge)+1.0)+((((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP))*(((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI)))+((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI)))*((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(+(+alphabmedge_VSI_BP_VDI_SI*pInst->qmeffedge+alphabmedge_VSI_BP*qmeffedge_VDI_SI+alphabmedge_VDI_SI*qmeffedge_VSI_BP+pInst->alphabmedge*qmeffedge_VSI_BP_VDI_SI)+0.0))*pInst->qdseffedge+((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))*qdseffedge_VDI_SI+(((((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))))*qdseffedge_VSI_BP+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VSI_BP_VDI_SI)/pInst->Gmob_dc-(((((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VSI_BP))*Gmob_dc_VDI_SI+((((((((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VDI_SI)))*Gmob_dc_VSI_BP+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VSI_BP_VDI_SI)/pInst->Gmob_dc/pInst->Gmob_dc+2*(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VSI_BP*Gmob_dc_VDI_SI/pInst->Gmob_dc/pInst->Gmob_dc/pInst->Gmob_dc);
  Idsedge_VSI_BP_VSI_BP=((+(+(+(+0.0*phit1edge+0.0*phit1edge_VSI_BP+0.0*phit1edge_VSI_BP+(-pInst->BETEDGE_i)*phit1edge_VSI_BP_VSI_BP)*phit1edge+((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge_VSI_BP+(((-pInst->BETEDGE_i)*phit1edge_VSI_BP))*phit1edge_VSI_BP+((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP_VSI_BP)*((pInst->alphabmedge*pInst->qmeffedge)+1.0)+((((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP))*(((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP)))+((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP)))*((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(+(+alphabmedge_VSI_BP_VSI_BP*pInst->qmeffedge+alphabmedge_VSI_BP*qmeffedge_VSI_BP+alphabmedge_VSI_BP*qmeffedge_VSI_BP+pInst->alphabmedge*qmeffedge_VSI_BP_VSI_BP)+0.0))*pInst->qdseffedge+((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))*qdseffedge_VSI_BP+(((((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))))*qdseffedge_VSI_BP+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VSI_BP_VSI_BP)/pInst->Gmob_dc-(((((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VSI_BP))*Gmob_dc_VSI_BP+((((((((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VSI_BP)))*Gmob_dc_VSI_BP+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VSI_BP_VSI_BP)/pInst->Gmob_dc/pInst->Gmob_dc+2*(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VSI_BP*Gmob_dc_VSI_BP/pInst->Gmob_dc/pInst->Gmob_dc/pInst->Gmob_dc);
  Idsedge_VSI_BP_VGP_SI=((+(+(+(+0.0*phit1edge+0.0*phit1edge_VGP_SI+0.0*phit1edge_VSI_BP+(-pInst->BETEDGE_i)*phit1edge_VSI_BP_VGP_SI)*phit1edge+((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge_VGP_SI+(((-pInst->BETEDGE_i)*phit1edge_VGP_SI))*phit1edge_VSI_BP+((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP_VGP_SI)*((pInst->alphabmedge*pInst->qmeffedge)+1.0)+((((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP))*(((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI)))+((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI)))*((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(+(+alphabmedge_VSI_BP_VGP_SI*pInst->qmeffedge+alphabmedge_VSI_BP*qmeffedge_VGP_SI+alphabmedge_VGP_SI*qmeffedge_VSI_BP+pInst->alphabmedge*qmeffedge_VSI_BP_VGP_SI)+0.0))*pInst->qdseffedge+((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))*qdseffedge_VGP_SI+(((((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))))*qdseffedge_VSI_BP+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VSI_BP_VGP_SI)/pInst->Gmob_dc-(((((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VSI_BP))*Gmob_dc_VGP_SI+((((((((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VGP_SI)))*Gmob_dc_VSI_BP+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VSI_BP_VGP_SI)/pInst->Gmob_dc/pInst->Gmob_dc+2*(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VSI_BP*Gmob_dc_VGP_SI/pInst->Gmob_dc/pInst->Gmob_dc/pInst->Gmob_dc);
#endif
Idsedge_VGP_SI=((((((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VGP_SI))*pInst->Gmob_dc-(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VGP_SI)/pInst->Gmob_dc/pInst->Gmob_dc);
#if defined(_DERIVATE2)
  Idsedge_VGP_SI_VDI_SI=((+(+(+(+0.0*phit1edge+0.0*phit1edge_VDI_SI+0.0*phit1edge_VGP_SI+(-pInst->BETEDGE_i)*phit1edge_VGP_SI_VDI_SI)*phit1edge+((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge_VDI_SI+(((-pInst->BETEDGE_i)*phit1edge_VDI_SI))*phit1edge_VGP_SI+((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI_VDI_SI)*((pInst->alphabmedge*pInst->qmeffedge)+1.0)+((((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI))*(((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI)))+((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI)))*((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(+(+alphabmedge_VGP_SI_VDI_SI*pInst->qmeffedge+alphabmedge_VGP_SI*qmeffedge_VDI_SI+alphabmedge_VDI_SI*qmeffedge_VGP_SI+pInst->alphabmedge*qmeffedge_VGP_SI_VDI_SI)+0.0))*pInst->qdseffedge+((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))*qdseffedge_VDI_SI+(((((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))))*qdseffedge_VGP_SI+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VGP_SI_VDI_SI)/pInst->Gmob_dc-(((((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VGP_SI))*Gmob_dc_VDI_SI+((((((((((((-pInst->BETEDGE_i)*phit1edge_VDI_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VDI_SI)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VDI_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VDI_SI))))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VDI_SI)))*Gmob_dc_VGP_SI+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VGP_SI_VDI_SI)/pInst->Gmob_dc/pInst->Gmob_dc+2*(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VGP_SI*Gmob_dc_VDI_SI/pInst->Gmob_dc/pInst->Gmob_dc/pInst->Gmob_dc);
  Idsedge_VGP_SI_VSI_BP=((+(+(+(+0.0*phit1edge+0.0*phit1edge_VSI_BP+0.0*phit1edge_VGP_SI+(-pInst->BETEDGE_i)*phit1edge_VGP_SI_VSI_BP)*phit1edge+((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge_VSI_BP+(((-pInst->BETEDGE_i)*phit1edge_VSI_BP))*phit1edge_VGP_SI+((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI_VSI_BP)*((pInst->alphabmedge*pInst->qmeffedge)+1.0)+((((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI))*(((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP)))+((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP)))*((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(+(+alphabmedge_VGP_SI_VSI_BP*pInst->qmeffedge+alphabmedge_VGP_SI*qmeffedge_VSI_BP+alphabmedge_VSI_BP*qmeffedge_VGP_SI+pInst->alphabmedge*qmeffedge_VGP_SI_VSI_BP)+0.0))*pInst->qdseffedge+((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))*qdseffedge_VSI_BP+(((((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))))*qdseffedge_VGP_SI+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VGP_SI_VSI_BP)/pInst->Gmob_dc-(((((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VGP_SI))*Gmob_dc_VSI_BP+((((((((((((-pInst->BETEDGE_i)*phit1edge_VSI_BP))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VSI_BP)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VSI_BP*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VSI_BP))))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VSI_BP)))*Gmob_dc_VGP_SI+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VGP_SI_VSI_BP)/pInst->Gmob_dc/pInst->Gmob_dc+2*(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VGP_SI*Gmob_dc_VSI_BP/pInst->Gmob_dc/pInst->Gmob_dc/pInst->Gmob_dc);
  Idsedge_VGP_SI_VGP_SI=((+(+(+(+0.0*phit1edge+0.0*phit1edge_VGP_SI+0.0*phit1edge_VGP_SI+(-pInst->BETEDGE_i)*phit1edge_VGP_SI_VGP_SI)*phit1edge+((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge_VGP_SI+(((-pInst->BETEDGE_i)*phit1edge_VGP_SI))*phit1edge_VGP_SI+((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI_VGP_SI)*((pInst->alphabmedge*pInst->qmeffedge)+1.0)+((((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI))*(((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI)))+((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI)))*((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(+(+alphabmedge_VGP_SI_VGP_SI*pInst->qmeffedge+alphabmedge_VGP_SI*qmeffedge_VGP_SI+alphabmedge_VGP_SI*qmeffedge_VGP_SI+pInst->alphabmedge*qmeffedge_VGP_SI_VGP_SI)+0.0))*pInst->qdseffedge+((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))*qdseffedge_VGP_SI+(((((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))))*qdseffedge_VGP_SI+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VGP_SI_VGP_SI)/pInst->Gmob_dc-(((((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI)*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VGP_SI))*Gmob_dc_VGP_SI+((((((((((((-pInst->BETEDGE_i)*phit1edge_VGP_SI))*phit1edge)+(((-pInst->BETEDGE_i)*phit1edge)*phit1edge_VGP_SI)))*((pInst->alphabmedge*pInst->qmeffedge)+1.0))+((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*(((alphabmedge_VGP_SI*pInst->qmeffedge)+(pInst->alphabmedge*qmeffedge_VGP_SI))))))*pInst->qdseffedge)+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*qdseffedge_VGP_SI)))*Gmob_dc_VGP_SI+(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VGP_SI_VGP_SI)/pInst->Gmob_dc/pInst->Gmob_dc+2*(((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)*Gmob_dc_VGP_SI*Gmob_dc_VGP_SI/pInst->Gmob_dc/pInst->Gmob_dc/pInst->Gmob_dc);
#endif
#endif
pInst->Idsedge=((((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)/pInst->Gmob_dc);
EXIT_IF_ISNAN(((((((-pInst->BETEDGE_i)*phit1edge)*phit1edge)*((pInst->alphabmedge*pInst->qmeffedge)+1.0))*pInst->qdseffedge)/pInst->Gmob_dc))
}
if
(((pInst->xg_dc>0)&&(pModel->SWIMPACT_i!=0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
delVsat_VDI_SI=(Vds_VDI_SI-(pInst->A3_i*dps_dc_VDI_SI));
#if defined(_DERIVATE2)
  delVsat_VDI_SI_VDI_SI=(+Vds_VDI_SI_VDI_SI-(+0.0*pInst->dps_dc+0.0*dps_dc_VDI_SI+0.0*dps_dc_VDI_SI+pInst->A3_i*dps_dc_VDI_SI_VDI_SI));
  delVsat_VDI_SI_VGP_SI=(+0.0-(+0.0*pInst->dps_dc+0.0*dps_dc_VGP_SI+0.0*dps_dc_VDI_SI+pInst->A3_i*dps_dc_VDI_SI_VGP_SI));
  delVsat_VDI_SI_VSI_BP=(+0.0-(+0.0*pInst->dps_dc+0.0*dps_dc_VSI_BP+0.0*dps_dc_VDI_SI+pInst->A3_i*dps_dc_VDI_SI_VSI_BP));
#endif
delVsat_VGP_SI=(-(pInst->A3_i*dps_dc_VGP_SI));
#if defined(_DERIVATE2)
  delVsat_VGP_SI_VDI_SI=(+0.0-(+0.0*pInst->dps_dc+0.0*dps_dc_VDI_SI+0.0*dps_dc_VGP_SI+pInst->A3_i*dps_dc_VGP_SI_VDI_SI));
  delVsat_VGP_SI_VGP_SI=(+0.0-(+0.0*pInst->dps_dc+0.0*dps_dc_VGP_SI+0.0*dps_dc_VGP_SI+pInst->A3_i*dps_dc_VGP_SI_VGP_SI));
  delVsat_VGP_SI_VSI_BP=(+0.0-(+0.0*pInst->dps_dc+0.0*dps_dc_VSI_BP+0.0*dps_dc_VGP_SI+pInst->A3_i*dps_dc_VGP_SI_VSI_BP));
#endif
delVsat_VSI_BP=(-(pInst->A3_i*dps_dc_VSI_BP));
#if defined(_DERIVATE2)
  delVsat_VSI_BP_VDI_SI=(+0.0-(+0.0*pInst->dps_dc+0.0*dps_dc_VDI_SI+0.0*dps_dc_VSI_BP+pInst->A3_i*dps_dc_VSI_BP_VDI_SI));
  delVsat_VSI_BP_VGP_SI=(+0.0-(+0.0*pInst->dps_dc+0.0*dps_dc_VGP_SI+0.0*dps_dc_VSI_BP+pInst->A3_i*dps_dc_VSI_BP_VGP_SI));
  delVsat_VSI_BP_VSI_BP=(+0.0-(+0.0*pInst->dps_dc+0.0*dps_dc_VSI_BP+0.0*dps_dc_VSI_BP+pInst->A3_i*dps_dc_VSI_BP_VSI_BP));
#endif
#endif
delVsat=(Vds-(pInst->A3_i*pInst->dps_dc));
EXIT_IF_ISNAN((Vds-(pInst->A3_i*pInst->dps_dc)))
if
((delVsat>0))
{
{
double m00_sqrt(d00_sqrt0,(pInst->phib_dc+Vsbstar_dc))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(pInst->phib_dc+Vsbstar_dc))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=(pInst->A2_T*(((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0)*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VDI_SI)/(delVsat+1.0e-30)/(delVsat+1.0e-30)));
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(+0.0*((1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))/(delVsat+1.0e-30))+0.0*((((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0))*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VDI_SI)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+0.0*(((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0)*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VDI_SI)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+pInst->A2_T*((+0.0+(+0.0*(d00_sqrt0-pInst->sqrt_phib_dc)+0.0*Vsbstar_dc_VDI_SI*d10_sqrt0+0.0*Vsbstar_dc_VDI_SI*d10_sqrt0+pInst->A4_i*(+(m20_sqrt((pInst->phib_dc+Vsbstar_dc))*Vsbstar_dc_VDI_SI*Vsbstar_dc_VDI_SI+d10_sqrt0*(+0.0+Vsbstar_dc_VDI_SI_VDI_SI))-0.0)))/(delVsat+1.0e-30)-((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0)*delVsat_VDI_SI+((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0))*delVsat_VDI_SI+(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*(+delVsat_VDI_SI_VDI_SI+0.0))/(delVsat+1.0e-30)/(delVsat+1.0e-30)+2*(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VDI_SI*delVsat_VDI_SI/(delVsat+1.0e-30)/(delVsat+1.0e-30)/(delVsat+1.0e-30)));
  temp2_VDI_SI_VGP_SI=(+0.0*((1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))/(delVsat+1.0e-30))+0.0*(((0.0)*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VGP_SI)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+0.0*(((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0)*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VDI_SI)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+pInst->A2_T*((+0.0+(+0.0*(d00_sqrt0-pInst->sqrt_phib_dc)+0.0*0.0+0.0*Vsbstar_dc_VDI_SI*d10_sqrt0+pInst->A4_i*(+0.0-0.0)))/(delVsat+1.0e-30)-((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0)*delVsat_VGP_SI+(0.0)*delVsat_VDI_SI+(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*(+delVsat_VDI_SI_VGP_SI+0.0))/(delVsat+1.0e-30)/(delVsat+1.0e-30)+2*(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VDI_SI*delVsat_VGP_SI/(delVsat+1.0e-30)/(delVsat+1.0e-30)/(delVsat+1.0e-30)));
  temp2_VDI_SI_VSI_BP=(+0.0*((1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))/(delVsat+1.0e-30))+0.0*((((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0))*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VSI_BP)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+0.0*(((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0)*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VDI_SI)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+pInst->A2_T*((+0.0+(+0.0*(d00_sqrt0-pInst->sqrt_phib_dc)+0.0*Vsbstar_dc_VSI_BP*d10_sqrt0+0.0*Vsbstar_dc_VDI_SI*d10_sqrt0+pInst->A4_i*(+(m20_sqrt((pInst->phib_dc+Vsbstar_dc))*Vsbstar_dc_VSI_BP*Vsbstar_dc_VDI_SI+d10_sqrt0*(+0.0+Vsbstar_dc_VDI_SI_VSI_BP))-0.0)))/(delVsat+1.0e-30)-((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0)*delVsat_VSI_BP+((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0))*delVsat_VDI_SI+(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*(+delVsat_VDI_SI_VSI_BP+0.0))/(delVsat+1.0e-30)/(delVsat+1.0e-30)+2*(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VDI_SI*delVsat_VSI_BP/(delVsat+1.0e-30)/(delVsat+1.0e-30)/(delVsat+1.0e-30)));
#endif
temp2_VGP_SI=(pInst->A2_T*(-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VGP_SI/(delVsat+1.0e-30)/(delVsat+1.0e-30)));
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(+0.0*((1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))/(delVsat+1.0e-30))+0.0*((((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0))*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VDI_SI)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+0.0*(-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VGP_SI/(delVsat+1.0e-30)/(delVsat+1.0e-30))+pInst->A2_T*((+0.0+(+0.0*(d00_sqrt0-pInst->sqrt_phib_dc)+0.0*Vsbstar_dc_VDI_SI*d10_sqrt0+0.0*0.0+pInst->A4_i*(+0.0-0.0)))/(delVsat+1.0e-30)-(0.0*delVsat_VDI_SI+((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0))*delVsat_VGP_SI+(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*(+delVsat_VGP_SI_VDI_SI+0.0))/(delVsat+1.0e-30)/(delVsat+1.0e-30)+2*(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VGP_SI*delVsat_VDI_SI/(delVsat+1.0e-30)/(delVsat+1.0e-30)/(delVsat+1.0e-30)));
  temp2_VGP_SI_VGP_SI=(+0.0*((1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))/(delVsat+1.0e-30))+0.0*(((0.0)*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VGP_SI)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+0.0*(-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VGP_SI/(delVsat+1.0e-30)/(delVsat+1.0e-30))+pInst->A2_T*((+0.0+(+0.0*(d00_sqrt0-pInst->sqrt_phib_dc)+0.0*0.0+0.0*0.0+pInst->A4_i*(+0.0-0.0)))/(delVsat+1.0e-30)-(0.0*delVsat_VGP_SI+(0.0)*delVsat_VGP_SI+(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*(+delVsat_VGP_SI_VGP_SI+0.0))/(delVsat+1.0e-30)/(delVsat+1.0e-30)+2*(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VGP_SI*delVsat_VGP_SI/(delVsat+1.0e-30)/(delVsat+1.0e-30)/(delVsat+1.0e-30)));
  temp2_VGP_SI_VSI_BP=(+0.0*((1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))/(delVsat+1.0e-30))+0.0*((((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0))*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VSI_BP)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+0.0*(-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VGP_SI/(delVsat+1.0e-30)/(delVsat+1.0e-30))+pInst->A2_T*((+0.0+(+0.0*(d00_sqrt0-pInst->sqrt_phib_dc)+0.0*Vsbstar_dc_VSI_BP*d10_sqrt0+0.0*0.0+pInst->A4_i*(+0.0-0.0)))/(delVsat+1.0e-30)-(0.0*delVsat_VSI_BP+((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0))*delVsat_VGP_SI+(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*(+delVsat_VGP_SI_VSI_BP+0.0))/(delVsat+1.0e-30)/(delVsat+1.0e-30)+2*(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VGP_SI*delVsat_VSI_BP/(delVsat+1.0e-30)/(delVsat+1.0e-30)/(delVsat+1.0e-30)));
#endif
temp2_VSI_BP=(pInst->A2_T*(((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0)*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VSI_BP)/(delVsat+1.0e-30)/(delVsat+1.0e-30)));
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(+0.0*((1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))/(delVsat+1.0e-30))+0.0*((((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0))*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VDI_SI)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+0.0*(((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0)*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VSI_BP)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+pInst->A2_T*((+0.0+(+0.0*(d00_sqrt0-pInst->sqrt_phib_dc)+0.0*Vsbstar_dc_VDI_SI*d10_sqrt0+0.0*Vsbstar_dc_VSI_BP*d10_sqrt0+pInst->A4_i*(+(m20_sqrt((pInst->phib_dc+Vsbstar_dc))*Vsbstar_dc_VDI_SI*Vsbstar_dc_VSI_BP+d10_sqrt0*(+0.0+Vsbstar_dc_VSI_BP_VDI_SI))-0.0)))/(delVsat+1.0e-30)-((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0)*delVsat_VDI_SI+((pInst->A4_i*Vsbstar_dc_VDI_SI*d10_sqrt0))*delVsat_VSI_BP+(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*(+delVsat_VSI_BP_VDI_SI+0.0))/(delVsat+1.0e-30)/(delVsat+1.0e-30)+2*(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VSI_BP*delVsat_VDI_SI/(delVsat+1.0e-30)/(delVsat+1.0e-30)/(delVsat+1.0e-30)));
  temp2_VSI_BP_VGP_SI=(+0.0*((1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))/(delVsat+1.0e-30))+0.0*(((0.0)*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VGP_SI)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+0.0*(((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0)*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VSI_BP)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+pInst->A2_T*((+0.0+(+0.0*(d00_sqrt0-pInst->sqrt_phib_dc)+0.0*0.0+0.0*Vsbstar_dc_VSI_BP*d10_sqrt0+pInst->A4_i*(+0.0-0.0)))/(delVsat+1.0e-30)-((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0)*delVsat_VGP_SI+(0.0)*delVsat_VSI_BP+(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*(+delVsat_VSI_BP_VGP_SI+0.0))/(delVsat+1.0e-30)/(delVsat+1.0e-30)+2*(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VSI_BP*delVsat_VGP_SI/(delVsat+1.0e-30)/(delVsat+1.0e-30)/(delVsat+1.0e-30)));
  temp2_VSI_BP_VSI_BP=(+0.0*((1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))/(delVsat+1.0e-30))+0.0*((((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0))*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VSI_BP)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+0.0*(((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0)*(delVsat+1.0e-30)-(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VSI_BP)/(delVsat+1.0e-30)/(delVsat+1.0e-30))+pInst->A2_T*((+0.0+(+0.0*(d00_sqrt0-pInst->sqrt_phib_dc)+0.0*Vsbstar_dc_VSI_BP*d10_sqrt0+0.0*Vsbstar_dc_VSI_BP*d10_sqrt0+pInst->A4_i*(+(m20_sqrt((pInst->phib_dc+Vsbstar_dc))*Vsbstar_dc_VSI_BP*Vsbstar_dc_VSI_BP+d10_sqrt0*(+0.0+Vsbstar_dc_VSI_BP_VSI_BP))-0.0)))/(delVsat+1.0e-30)-((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0)*delVsat_VSI_BP+((pInst->A4_i*Vsbstar_dc_VSI_BP*d10_sqrt0))*delVsat_VSI_BP+(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*(+delVsat_VSI_BP_VSI_BP+0.0))/(delVsat+1.0e-30)/(delVsat+1.0e-30)+2*(1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))*delVsat_VSI_BP*delVsat_VSI_BP/(delVsat+1.0e-30)/(delVsat+1.0e-30)/(delVsat+1.0e-30)));
#endif
#endif
temp2=(pInst->A2_T*((1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))/(delVsat+1.0e-30)));
EXIT_IF_ISNAN((pInst->A2_T*((1.0+(pInst->A4_i*(d00_sqrt0-pInst->sqrt_phib_dc)))/(delVsat+1.0e-30))))
}
{
double m00_fabs(d00_fabs0,(-temp2))
if
((d00_fabs0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,(-temp2))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-temp2_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(m20_exp((-temp2))*(-temp2_VGP_SI)*(-temp2_VGP_SI)+d10_exp0*0.0);
  temp_VGP_SI_VDI_SI=(m20_exp((-temp2))*(-temp2_VDI_SI)*(-temp2_VGP_SI)+d10_exp0*0.0);
  temp_VGP_SI_VSI_BP=(m20_exp((-temp2))*(-temp2_VSI_BP)*(-temp2_VGP_SI)+d10_exp0*0.0);
#endif
temp_VDI_SI=(-temp2_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(m20_exp((-temp2))*(-temp2_VGP_SI)*(-temp2_VDI_SI)+d10_exp0*0.0);
  temp_VDI_SI_VDI_SI=(m20_exp((-temp2))*(-temp2_VDI_SI)*(-temp2_VDI_SI)+d10_exp0*0.0);
  temp_VDI_SI_VSI_BP=(m20_exp((-temp2))*(-temp2_VSI_BP)*(-temp2_VDI_SI)+d10_exp0*0.0);
#endif
temp_VSI_BP=(-temp2_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(m20_exp((-temp2))*(-temp2_VGP_SI)*(-temp2_VSI_BP)+d10_exp0*0.0);
  temp_VSI_BP_VDI_SI=(m20_exp((-temp2))*(-temp2_VDI_SI)*(-temp2_VSI_BP)+d10_exp0*0.0);
  temp_VSI_BP_VSI_BP=(m20_exp((-temp2))*(-temp2_VSI_BP)*(-temp2_VSI_BP)+d10_exp0*0.0);
#endif
#endif
temp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
if
(((-temp2)<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-1.0e-100*(((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))-(0.0*((((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))+(-(-temp2_VGP_SI))*((0.5*((((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VGP_SI))*3.3333333333333333e-01))))))+(-(-temp2_VGP_SI))*(0.5*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+0.0*((((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))+(-(-temp2_VGP_SI))*((-(-temp2_VGP_SI))*3.3333333333333333e-01)+(-(-temp2_VGP_SI))*(-(-temp2_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-temp2_VGP_SI))*0.0+(-(-temp2_VGP_SI))*0.0+((-2.3025850929940458e+02)-(-temp2))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01)))))*((((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
  temp_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))-(0.0*((((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))+(-(-temp2_VGP_SI))*((0.5*((((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VDI_SI))*3.3333333333333333e-01))))))+(-(-temp2_VDI_SI))*(0.5*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+0.0*((((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))+(-(-temp2_VGP_SI))*((-(-temp2_VDI_SI))*3.3333333333333333e-01)+(-(-temp2_VDI_SI))*(-(-temp2_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-temp2_VGP_SI))*0.0+(-(-temp2_VDI_SI))*0.0+((-2.3025850929940458e+02)-(-temp2))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01)))))*((((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
  temp_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))-(0.0*((((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))+(-(-temp2_VGP_SI))*((0.5*((((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VSI_BP))*3.3333333333333333e-01))))))+(-(-temp2_VSI_BP))*(0.5*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+0.0*((((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))+(-(-temp2_VGP_SI))*((-(-temp2_VSI_BP))*3.3333333333333333e-01)+(-(-temp2_VSI_BP))*(-(-temp2_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-temp2_VGP_SI))*0.0+(-(-temp2_VSI_BP))*0.0+((-2.3025850929940458e+02)-(-temp2))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VGP_SI))*3.3333333333333333e-01)))))*((((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
#endif
temp_VDI_SI=(-1.0e-100*(((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))-(0.0*((((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))+(-(-temp2_VDI_SI))*((0.5*((((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VGP_SI))*3.3333333333333333e-01))))))+(-(-temp2_VGP_SI))*(0.5*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+0.0*((((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))+(-(-temp2_VDI_SI))*((-(-temp2_VGP_SI))*3.3333333333333333e-01)+(-(-temp2_VGP_SI))*(-(-temp2_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-temp2_VDI_SI))*0.0+(-(-temp2_VGP_SI))*0.0+((-2.3025850929940458e+02)-(-temp2))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01)))))*((((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
  temp_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))-(0.0*((((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))+(-(-temp2_VDI_SI))*((0.5*((((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VDI_SI))*3.3333333333333333e-01))))))+(-(-temp2_VDI_SI))*(0.5*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+0.0*((((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))+(-(-temp2_VDI_SI))*((-(-temp2_VDI_SI))*3.3333333333333333e-01)+(-(-temp2_VDI_SI))*(-(-temp2_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-temp2_VDI_SI))*0.0+(-(-temp2_VDI_SI))*0.0+((-2.3025850929940458e+02)-(-temp2))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01)))))*((((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
  temp_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))-(0.0*((((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))+(-(-temp2_VDI_SI))*((0.5*((((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VSI_BP))*3.3333333333333333e-01))))))+(-(-temp2_VSI_BP))*(0.5*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+0.0*((((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))+(-(-temp2_VDI_SI))*((-(-temp2_VSI_BP))*3.3333333333333333e-01)+(-(-temp2_VSI_BP))*(-(-temp2_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-temp2_VDI_SI))*0.0+(-(-temp2_VSI_BP))*0.0+((-2.3025850929940458e+02)-(-temp2))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VDI_SI))*3.3333333333333333e-01)))))*((((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
#endif
temp_VSI_BP=(-1.0e-100*(((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))-(0.0*((((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))+(-(-temp2_VSI_BP))*((0.5*((((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VGP_SI))*3.3333333333333333e-01))))))+(-(-temp2_VGP_SI))*(0.5*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+0.0*((((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))+(-(-temp2_VSI_BP))*((-(-temp2_VGP_SI))*3.3333333333333333e-01)+(-(-temp2_VGP_SI))*(-(-temp2_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-temp2_VSI_BP))*0.0+(-(-temp2_VGP_SI))*0.0+((-2.3025850929940458e+02)-(-temp2))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01)))))*((((-(-temp2_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
  temp_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))-(0.0*((((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))+(-(-temp2_VSI_BP))*((0.5*((((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VDI_SI))*3.3333333333333333e-01))))))+(-(-temp2_VDI_SI))*(0.5*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+0.0*((((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))+(-(-temp2_VSI_BP))*((-(-temp2_VDI_SI))*3.3333333333333333e-01)+(-(-temp2_VDI_SI))*(-(-temp2_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-temp2_VSI_BP))*0.0+(-(-temp2_VDI_SI))*0.0+((-2.3025850929940458e+02)-(-temp2))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01)))))*((((-(-temp2_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
  temp_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))-(0.0*((((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))+(-(-temp2_VSI_BP))*((0.5*((((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VSI_BP))*3.3333333333333333e-01))))))+(-(-temp2_VSI_BP))*(0.5*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+0.0*((((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))+(-(-temp2_VSI_BP))*((-(-temp2_VSI_BP))*3.3333333333333333e-01)+(-(-temp2_VSI_BP))*(-(-temp2_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-temp2))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-temp2_VSI_BP))*0.0+(-(-temp2_VSI_BP))*0.0+((-2.3025850929940458e+02)-(-temp2))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*(0.5*(((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*(-(-temp2_VSI_BP))*3.3333333333333333e-01)))))*((((-(-temp2_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-temp2))*((0.5*((((-(-temp2_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-temp2))*((-(-temp2_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
#endif
#endif
temp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01)))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(1.0e100*(((-temp2_VGP_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VGP_SI)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0*(1.0+(((-temp2)-2.3025850929940458e+02)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-temp2_VGP_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VGP_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-temp2_VGP_SI)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VGP_SI)*3.3333333333333333e-01))))))+(-temp2_VGP_SI)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VGP_SI)*3.3333333333333333e-01)))+((-temp2)-2.3025850929940458e+02)*(+0.0+(+0.0*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-temp2_VGP_SI)*((-temp2_VGP_SI)*3.3333333333333333e-01)+(-temp2_VGP_SI)*(-temp2_VGP_SI)*3.3333333333333333e-01+((-temp2)-2.3025850929940458e+02)*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-temp2_VGP_SI)*0.0+(-temp2_VGP_SI)*0.0+((-temp2)-2.3025850929940458e+02)*0.0))))))));
  temp_VGP_SI_VDI_SI=(+0.0*(1.0+(((-temp2)-2.3025850929940458e+02)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-temp2_VDI_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VGP_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-temp2_VGP_SI)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VDI_SI)*3.3333333333333333e-01))))))+(-temp2_VDI_SI)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VGP_SI)*3.3333333333333333e-01)))+((-temp2)-2.3025850929940458e+02)*(+0.0+(+0.0*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-temp2_VGP_SI)*((-temp2_VDI_SI)*3.3333333333333333e-01)+(-temp2_VDI_SI)*(-temp2_VGP_SI)*3.3333333333333333e-01+((-temp2)-2.3025850929940458e+02)*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-temp2_VGP_SI)*0.0+(-temp2_VDI_SI)*0.0+((-temp2)-2.3025850929940458e+02)*0.0))))))));
  temp_VGP_SI_VSI_BP=(+0.0*(1.0+(((-temp2)-2.3025850929940458e+02)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-temp2_VSI_BP)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VGP_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-temp2_VGP_SI)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VSI_BP)*3.3333333333333333e-01))))))+(-temp2_VSI_BP)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VGP_SI)*3.3333333333333333e-01)))+((-temp2)-2.3025850929940458e+02)*(+0.0+(+0.0*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-temp2_VGP_SI)*((-temp2_VSI_BP)*3.3333333333333333e-01)+(-temp2_VSI_BP)*(-temp2_VGP_SI)*3.3333333333333333e-01+((-temp2)-2.3025850929940458e+02)*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-temp2_VGP_SI)*0.0+(-temp2_VSI_BP)*0.0+((-temp2)-2.3025850929940458e+02)*0.0))))))));
#endif
temp_VDI_SI=(1.0e100*(((-temp2_VDI_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VDI_SI)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0*(1.0+(((-temp2)-2.3025850929940458e+02)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-temp2_VGP_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VDI_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-temp2_VDI_SI)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VGP_SI)*3.3333333333333333e-01))))))+(-temp2_VGP_SI)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VDI_SI)*3.3333333333333333e-01)))+((-temp2)-2.3025850929940458e+02)*(+0.0+(+0.0*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-temp2_VDI_SI)*((-temp2_VGP_SI)*3.3333333333333333e-01)+(-temp2_VGP_SI)*(-temp2_VDI_SI)*3.3333333333333333e-01+((-temp2)-2.3025850929940458e+02)*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-temp2_VDI_SI)*0.0+(-temp2_VGP_SI)*0.0+((-temp2)-2.3025850929940458e+02)*0.0))))))));
  temp_VDI_SI_VDI_SI=(+0.0*(1.0+(((-temp2)-2.3025850929940458e+02)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-temp2_VDI_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VDI_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-temp2_VDI_SI)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VDI_SI)*3.3333333333333333e-01))))))+(-temp2_VDI_SI)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VDI_SI)*3.3333333333333333e-01)))+((-temp2)-2.3025850929940458e+02)*(+0.0+(+0.0*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-temp2_VDI_SI)*((-temp2_VDI_SI)*3.3333333333333333e-01)+(-temp2_VDI_SI)*(-temp2_VDI_SI)*3.3333333333333333e-01+((-temp2)-2.3025850929940458e+02)*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-temp2_VDI_SI)*0.0+(-temp2_VDI_SI)*0.0+((-temp2)-2.3025850929940458e+02)*0.0))))))));
  temp_VDI_SI_VSI_BP=(+0.0*(1.0+(((-temp2)-2.3025850929940458e+02)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-temp2_VSI_BP)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VDI_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-temp2_VDI_SI)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VSI_BP)*3.3333333333333333e-01))))))+(-temp2_VSI_BP)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VDI_SI)*3.3333333333333333e-01)))+((-temp2)-2.3025850929940458e+02)*(+0.0+(+0.0*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-temp2_VDI_SI)*((-temp2_VSI_BP)*3.3333333333333333e-01)+(-temp2_VSI_BP)*(-temp2_VDI_SI)*3.3333333333333333e-01+((-temp2)-2.3025850929940458e+02)*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-temp2_VDI_SI)*0.0+(-temp2_VSI_BP)*0.0+((-temp2)-2.3025850929940458e+02)*0.0))))))));
#endif
temp_VSI_BP=(1.0e100*(((-temp2_VSI_BP)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VSI_BP)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0*(1.0+(((-temp2)-2.3025850929940458e+02)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-temp2_VGP_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VSI_BP)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-temp2_VSI_BP)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VGP_SI)*3.3333333333333333e-01))))))+(-temp2_VGP_SI)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VSI_BP)*3.3333333333333333e-01)))+((-temp2)-2.3025850929940458e+02)*(+0.0+(+0.0*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-temp2_VGP_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-temp2_VSI_BP)*((-temp2_VGP_SI)*3.3333333333333333e-01)+(-temp2_VGP_SI)*(-temp2_VSI_BP)*3.3333333333333333e-01+((-temp2)-2.3025850929940458e+02)*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-temp2_VSI_BP)*0.0+(-temp2_VGP_SI)*0.0+((-temp2)-2.3025850929940458e+02)*0.0))))))));
  temp_VSI_BP_VDI_SI=(+0.0*(1.0+(((-temp2)-2.3025850929940458e+02)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-temp2_VDI_SI)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VSI_BP)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-temp2_VSI_BP)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VDI_SI)*3.3333333333333333e-01))))))+(-temp2_VDI_SI)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VSI_BP)*3.3333333333333333e-01)))+((-temp2)-2.3025850929940458e+02)*(+0.0+(+0.0*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-temp2_VDI_SI)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-temp2_VSI_BP)*((-temp2_VDI_SI)*3.3333333333333333e-01)+(-temp2_VDI_SI)*(-temp2_VSI_BP)*3.3333333333333333e-01+((-temp2)-2.3025850929940458e+02)*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-temp2_VSI_BP)*0.0+(-temp2_VDI_SI)*0.0+((-temp2)-2.3025850929940458e+02)*0.0))))))));
  temp_VSI_BP_VSI_BP=(+0.0*(1.0+(((-temp2)-2.3025850929940458e+02)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-temp2_VSI_BP)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VSI_BP)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((-temp2)-2.3025850929940458e+02)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-temp2_VSI_BP)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VSI_BP)*3.3333333333333333e-01))))))+(-temp2_VSI_BP)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VSI_BP)*3.3333333333333333e-01)))+((-temp2)-2.3025850929940458e+02)*(+0.0+(+0.0*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*((-temp2_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp2_VSI_BP)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((-temp2)-2.3025850929940458e+02)*(-temp2_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-temp2_VSI_BP)*((-temp2_VSI_BP)*3.3333333333333333e-01)+(-temp2_VSI_BP)*(-temp2_VSI_BP)*3.3333333333333333e-01+((-temp2)-2.3025850929940458e+02)*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-temp2_VSI_BP)*0.0+(-temp2_VSI_BP)*0.0+((-temp2)-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
temp=(1.0e100*(1.0+(((-temp2)-2.3025850929940458e+02)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+(((-temp2)-2.3025850929940458e+02)*(1.0+(0.5*(((-temp2)-2.3025850929940458e+02)*(1.0+(((-temp2)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
mavl_VDI_SI=(pInst->A1_i*((delVsat_VDI_SI*temp)+(delVsat*temp_VDI_SI)));
#if defined(_DERIVATE2)
  mavl_VDI_SI_VDI_SI=(+0.0*(delVsat*temp)+0.0*(((delVsat_VDI_SI*temp)+(delVsat*temp_VDI_SI)))+0.0*((delVsat_VDI_SI*temp)+(delVsat*temp_VDI_SI))+pInst->A1_i*(+delVsat_VDI_SI_VDI_SI*temp+delVsat_VDI_SI*temp_VDI_SI+delVsat_VDI_SI*temp_VDI_SI+delVsat*temp_VDI_SI_VDI_SI));
  mavl_VDI_SI_VGP_SI=(+0.0*(delVsat*temp)+0.0*(((delVsat_VGP_SI*temp)+(delVsat*temp_VGP_SI)))+0.0*((delVsat_VDI_SI*temp)+(delVsat*temp_VDI_SI))+pInst->A1_i*(+delVsat_VDI_SI_VGP_SI*temp+delVsat_VDI_SI*temp_VGP_SI+delVsat_VGP_SI*temp_VDI_SI+delVsat*temp_VDI_SI_VGP_SI));
  mavl_VDI_SI_VSI_BP=(+0.0*(delVsat*temp)+0.0*(((delVsat_VSI_BP*temp)+(delVsat*temp_VSI_BP)))+0.0*((delVsat_VDI_SI*temp)+(delVsat*temp_VDI_SI))+pInst->A1_i*(+delVsat_VDI_SI_VSI_BP*temp+delVsat_VDI_SI*temp_VSI_BP+delVsat_VSI_BP*temp_VDI_SI+delVsat*temp_VDI_SI_VSI_BP));
#endif
mavl_VGP_SI=(pInst->A1_i*((delVsat_VGP_SI*temp)+(delVsat*temp_VGP_SI)));
#if defined(_DERIVATE2)
  mavl_VGP_SI_VDI_SI=(+0.0*(delVsat*temp)+0.0*(((delVsat_VDI_SI*temp)+(delVsat*temp_VDI_SI)))+0.0*((delVsat_VGP_SI*temp)+(delVsat*temp_VGP_SI))+pInst->A1_i*(+delVsat_VGP_SI_VDI_SI*temp+delVsat_VGP_SI*temp_VDI_SI+delVsat_VDI_SI*temp_VGP_SI+delVsat*temp_VGP_SI_VDI_SI));
  mavl_VGP_SI_VGP_SI=(+0.0*(delVsat*temp)+0.0*(((delVsat_VGP_SI*temp)+(delVsat*temp_VGP_SI)))+0.0*((delVsat_VGP_SI*temp)+(delVsat*temp_VGP_SI))+pInst->A1_i*(+delVsat_VGP_SI_VGP_SI*temp+delVsat_VGP_SI*temp_VGP_SI+delVsat_VGP_SI*temp_VGP_SI+delVsat*temp_VGP_SI_VGP_SI));
  mavl_VGP_SI_VSI_BP=(+0.0*(delVsat*temp)+0.0*(((delVsat_VSI_BP*temp)+(delVsat*temp_VSI_BP)))+0.0*((delVsat_VGP_SI*temp)+(delVsat*temp_VGP_SI))+pInst->A1_i*(+delVsat_VGP_SI_VSI_BP*temp+delVsat_VGP_SI*temp_VSI_BP+delVsat_VSI_BP*temp_VGP_SI+delVsat*temp_VGP_SI_VSI_BP));
#endif
mavl_VSI_BP=(pInst->A1_i*((delVsat_VSI_BP*temp)+(delVsat*temp_VSI_BP)));
#if defined(_DERIVATE2)
  mavl_VSI_BP_VDI_SI=(+0.0*(delVsat*temp)+0.0*(((delVsat_VDI_SI*temp)+(delVsat*temp_VDI_SI)))+0.0*((delVsat_VSI_BP*temp)+(delVsat*temp_VSI_BP))+pInst->A1_i*(+delVsat_VSI_BP_VDI_SI*temp+delVsat_VSI_BP*temp_VDI_SI+delVsat_VDI_SI*temp_VSI_BP+delVsat*temp_VSI_BP_VDI_SI));
  mavl_VSI_BP_VGP_SI=(+0.0*(delVsat*temp)+0.0*(((delVsat_VGP_SI*temp)+(delVsat*temp_VGP_SI)))+0.0*((delVsat_VSI_BP*temp)+(delVsat*temp_VSI_BP))+pInst->A1_i*(+delVsat_VSI_BP_VGP_SI*temp+delVsat_VSI_BP*temp_VGP_SI+delVsat_VGP_SI*temp_VSI_BP+delVsat*temp_VSI_BP_VGP_SI));
  mavl_VSI_BP_VSI_BP=(+0.0*(delVsat*temp)+0.0*(((delVsat_VSI_BP*temp)+(delVsat*temp_VSI_BP)))+0.0*((delVsat_VSI_BP*temp)+(delVsat*temp_VSI_BP))+pInst->A1_i*(+delVsat_VSI_BP_VSI_BP*temp+delVsat_VSI_BP*temp_VSI_BP+delVsat_VSI_BP*temp_VSI_BP+delVsat*temp_VSI_BP_VSI_BP));
#endif
#endif
pInst->mavl=(pInst->A1_i*(delVsat*temp));
EXIT_IF_ISNAN((pInst->A1_i*(delVsat*temp)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND) */
Iimpact_VDI_SI=((mavl_VDI_SI*(pInst->Ids+pInst->Idsedge))+(pInst->mavl*(Ids_VDI_SI+Idsedge_VDI_SI)));
#if defined(_DERIVATE2)
  Iimpact_VDI_SI_VDI_SI=(+mavl_VDI_SI_VDI_SI*(pInst->Ids+pInst->Idsedge)+mavl_VDI_SI*(Ids_VDI_SI+Idsedge_VDI_SI)+mavl_VDI_SI*(Ids_VDI_SI+Idsedge_VDI_SI)+pInst->mavl*(+Ids_VDI_SI_VDI_SI+Idsedge_VDI_SI_VDI_SI));
  Iimpact_VDI_SI_VGP_SI=(+mavl_VDI_SI_VGP_SI*(pInst->Ids+pInst->Idsedge)+mavl_VDI_SI*(Ids_VGP_SI+Idsedge_VGP_SI)+mavl_VGP_SI*(Ids_VDI_SI+Idsedge_VDI_SI)+pInst->mavl*(+Ids_VDI_SI_VGP_SI+Idsedge_VDI_SI_VGP_SI));
  Iimpact_VDI_SI_VSI_BP=(+mavl_VDI_SI_VSI_BP*(pInst->Ids+pInst->Idsedge)+mavl_VDI_SI*(Ids_VSI_BP+Idsedge_VSI_BP)+mavl_VSI_BP*(Ids_VDI_SI+Idsedge_VDI_SI)+pInst->mavl*(+Ids_VDI_SI_VSI_BP+Idsedge_VDI_SI_VSI_BP));
#endif
Iimpact_VGP_SI=((mavl_VGP_SI*(pInst->Ids+pInst->Idsedge))+(pInst->mavl*(Ids_VGP_SI+Idsedge_VGP_SI)));
#if defined(_DERIVATE2)
  Iimpact_VGP_SI_VDI_SI=(+mavl_VGP_SI_VDI_SI*(pInst->Ids+pInst->Idsedge)+mavl_VGP_SI*(Ids_VDI_SI+Idsedge_VDI_SI)+mavl_VDI_SI*(Ids_VGP_SI+Idsedge_VGP_SI)+pInst->mavl*(+Ids_VGP_SI_VDI_SI+Idsedge_VGP_SI_VDI_SI));
  Iimpact_VGP_SI_VGP_SI=(+mavl_VGP_SI_VGP_SI*(pInst->Ids+pInst->Idsedge)+mavl_VGP_SI*(Ids_VGP_SI+Idsedge_VGP_SI)+mavl_VGP_SI*(Ids_VGP_SI+Idsedge_VGP_SI)+pInst->mavl*(+Ids_VGP_SI_VGP_SI+Idsedge_VGP_SI_VGP_SI));
  Iimpact_VGP_SI_VSI_BP=(+mavl_VGP_SI_VSI_BP*(pInst->Ids+pInst->Idsedge)+mavl_VGP_SI*(Ids_VSI_BP+Idsedge_VSI_BP)+mavl_VSI_BP*(Ids_VGP_SI+Idsedge_VGP_SI)+pInst->mavl*(+Ids_VGP_SI_VSI_BP+Idsedge_VGP_SI_VSI_BP));
#endif
Iimpact_VSI_BP=((mavl_VSI_BP*(pInst->Ids+pInst->Idsedge))+(pInst->mavl*(Ids_VSI_BP+Idsedge_VSI_BP)));
#if defined(_DERIVATE2)
  Iimpact_VSI_BP_VDI_SI=(+mavl_VSI_BP_VDI_SI*(pInst->Ids+pInst->Idsedge)+mavl_VSI_BP*(Ids_VDI_SI+Idsedge_VDI_SI)+mavl_VDI_SI*(Ids_VSI_BP+Idsedge_VSI_BP)+pInst->mavl*(+Ids_VSI_BP_VDI_SI+Idsedge_VSI_BP_VDI_SI));
  Iimpact_VSI_BP_VGP_SI=(+mavl_VSI_BP_VGP_SI*(pInst->Ids+pInst->Idsedge)+mavl_VSI_BP*(Ids_VGP_SI+Idsedge_VGP_SI)+mavl_VGP_SI*(Ids_VSI_BP+Idsedge_VSI_BP)+pInst->mavl*(+Ids_VSI_BP_VGP_SI+Idsedge_VSI_BP_VGP_SI));
  Iimpact_VSI_BP_VSI_BP=(+mavl_VSI_BP_VSI_BP*(pInst->Ids+pInst->Idsedge)+mavl_VSI_BP*(Ids_VSI_BP+Idsedge_VSI_BP)+mavl_VSI_BP*(Ids_VSI_BP+Idsedge_VSI_BP)+pInst->mavl*(+Ids_VSI_BP_VSI_BP+Idsedge_VSI_BP_VSI_BP));
#endif
#endif
pInst->Iimpact=(pInst->mavl*(pInst->Ids+pInst->Idsedge));
EXIT_IF_ISNAN((pInst->mavl*(pInst->Ids+pInst->Idsedge)))
}
}
#if defined(_DYNAMIC)
P_D=(1.0+(0.25*(Gf_dc*pInst->kp)));
EXIT_IF_ISNAN((1.0+(0.25*(Gf_dc*pInst->kp))))
#endif
#if defined(_DYNAMIC)
facvsb0=(pInst->phib_dc+(2.0*pInst->phit1));
EXIT_IF_ISNAN((pInst->phib_dc+(2.0*pInst->phit1)))
#endif
#if defined(_DYNAMIC)
facvsb=(Vsbstar_dc+facvsb0);
EXIT_IF_ISNAN((Vsbstar_dc+facvsb0))
#endif
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,(pInst->phit1*facvsb))
vts_i=(((pInst->VFB_T+(P_D*facvsb))-Vsbstar_dc)+(Gf_dc*d00_sqrt0));
EXIT_IF_ISNAN((((pInst->VFB_T+(P_D*facvsb))-Vsbstar_dc)+(Gf_dc*d00_sqrt0)))
}
#endif
#if defined(_DYNAMIC)
vth_i=(vts_i-delVg);
EXIT_IF_ISNAN((vts_i-delVg))
#endif
}
{
{
if
((((pModel->SWNUD_i==1)||(pModel->SWDELVTAC_i!=0))||(pModel->SWQSAT_i==1)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vsbstar_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Vsbstar_VGP_SI_VGP_SI=0.0;
  Vsbstar_VGP_SI_VDI_SI=0.0;
  Vsbstar_VGP_SI_VSI_BP=0.0;
#endif
Vsbstar_VDI_SI=Vsbstar_dc_tmp_VDI_SI;
#if defined(_DERIVATE2)
  Vsbstar_VDI_SI_VGP_SI=0.0;
  Vsbstar_VDI_SI_VDI_SI=Vsbstar_dc_tmp_VDI_SI_VDI_SI;
  Vsbstar_VDI_SI_VSI_BP=Vsbstar_dc_tmp_VDI_SI_VSI_BP;
#endif
Vsbstar_VSI_BP=Vsbstar_dc_tmp_VSI_BP;
#if defined(_DERIVATE2)
  Vsbstar_VSI_BP_VGP_SI=0.0;
  Vsbstar_VSI_BP_VDI_SI=Vsbstar_dc_tmp_VSI_BP_VDI_SI;
  Vsbstar_VSI_BP_VSI_BP=Vsbstar_dc_tmp_VSI_BP_VSI_BP;
#endif
#endif
Vsbstar=Vsbstar_dc_tmp;
EXIT_IF_ISNAN(Vsbstar_dc_tmp)
phib=pInst->phib_dc;
EXIT_IF_ISNAN(pInst->phib_dc)
G_0=pInst->G_0_dc;
EXIT_IF_ISNAN(pInst->G_0_dc)
cfloc=pInst->CF_i;
EXIT_IF_ISNAN(pInst->CF_i)
thesatloc=pInst->THESAT_T;
EXIT_IF_ISNAN(pInst->THESAT_T)
axloc=pInst->AX_i;
EXIT_IF_ISNAN(pInst->AX_i)
#if defined(_DYNAMIC)
alploc=pInst->ALP_i;
EXIT_IF_ISNAN(pInst->ALP_i)
#endif
if
((pModel->SWDELVTAC_i!=0))
{
{
double m00_sqrt(d00_sqrt0,(((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_ac))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_ac))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=0.0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=0.0;
  temp_VGP_SI_VDI_SI=0.0;
  temp_VGP_SI_VSI_BP=0.0;
#endif
temp_VDI_SI=(0.5*((Vdb_VDI_SI+Vsb_VDI_SI)-(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*(-(0.0)*d10_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))*d10_sqrt0)+0.5*(+(+0.0+0.0)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_ac))*(0.0)*(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))+d10_sqrt0*(+(+(+0.0-0.0)*(Vdb-Vsb)+(Vdb_VDI_SI-Vsb_VDI_SI)*0.0+0.0*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb-Vsb)*(+0.0-0.0))+0.0))))+0.0);
  temp_VDI_SI_VDI_SI=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-((((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI))))*d10_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))*d10_sqrt0)+0.5*(+(+Vdb_VDI_SI_VDI_SI+Vsb_VDI_SI_VDI_SI)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_ac))*((((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI))))*(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))+d10_sqrt0*(+(+(+Vdb_VDI_SI_VDI_SI-Vsb_VDI_SI_VDI_SI)*(Vdb-Vsb)+(Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb-Vsb)*(+Vdb_VDI_SI_VDI_SI-Vsb_VDI_SI_VDI_SI))+0.0))))+0.0);
  temp_VDI_SI_VSI_BP=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-((((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP))))*d10_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))*d10_sqrt0)+0.5*(+(+Vdb_VDI_SI_VSI_BP+Vsb_VDI_SI_VSI_BP)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_ac))*((((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP))))*(((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI)))+d10_sqrt0*(+(+(+Vdb_VDI_SI_VSI_BP-Vsb_VDI_SI_VSI_BP)*(Vdb-Vsb)+(Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb-Vsb)*(+Vdb_VDI_SI_VSI_BP-Vsb_VDI_SI_VSI_BP))+0.0))))+0.0);
#endif
temp_VSI_BP=(0.5*((Vdb_VSI_BP+Vsb_VSI_BP)-(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*(-(0.0)*d10_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))*d10_sqrt0)+0.5*(+(+0.0+0.0)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_ac))*(0.0)*(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+0.0-0.0)*(Vdb-Vsb)+(Vdb_VSI_BP-Vsb_VSI_BP)*0.0+0.0*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb-Vsb)*(+0.0-0.0))+0.0))))+0.0);
  temp_VSI_BP_VDI_SI=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*((Vdb_VDI_SI+Vsb_VDI_SI)-((((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI))))*d10_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))*d10_sqrt0)+0.5*(+(+Vdb_VSI_BP_VDI_SI+Vsb_VSI_BP_VDI_SI)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_ac))*((((Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VDI_SI-Vsb_VDI_SI))))*(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+Vdb_VSI_BP_VDI_SI-Vsb_VSI_BP_VDI_SI)*(Vdb-Vsb)+(Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb_VDI_SI-Vsb_VDI_SI)+(Vdb_VDI_SI-Vsb_VDI_SI)*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb-Vsb)*(+Vdb_VSI_BP_VDI_SI-Vsb_VSI_BP_VDI_SI))+0.0))))+0.0);
  temp_VSI_BP_VSI_BP=(+(+0.0*((Vdb+Vsb)-d00_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-((((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP))))*d10_sqrt0)+0.0*((Vdb_VSI_BP+Vsb_VSI_BP)-(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))*d10_sqrt0)+0.5*(+(+Vdb_VSI_BP_VSI_BP+Vsb_VSI_BP_VSI_BP)-(m20_sqrt((((Vdb-Vsb)*(Vdb-Vsb))+pInst->bphi_ac))*((((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP))))*(((Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb-Vsb))+((Vdb-Vsb)*(Vdb_VSI_BP-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+Vdb_VSI_BP_VSI_BP-Vsb_VSI_BP_VSI_BP)*(Vdb-Vsb)+(Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb_VSI_BP-Vsb_VSI_BP)*(Vdb_VSI_BP-Vsb_VSI_BP)+(Vdb-Vsb)*(+Vdb_VSI_BP_VSI_BP-Vsb_VSI_BP_VSI_BP))+0.0))))+0.0);
#endif
#endif
temp=((0.5*((Vdb+Vsb)-d00_sqrt0))+pInst->phix_ac);
EXIT_IF_ISNAN(((0.5*((Vdb+Vsb)-d00_sqrt0))+pInst->phix_ac))
}
{
double m00_sqrt(d00_sqrt0,((temp*temp)+pInst->aphi_ac))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((temp*temp)+pInst->aphi_ac))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
Vsbstar_ac_VDI_SI=(Vsb_VDI_SI-(0.5*(temp_VDI_SI-((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)));
#if defined(_DERIVATE2)
  Vsbstar_ac_VDI_SI_VDI_SI=(+(+Vsb_VDI_SI_VDI_SI-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VDI_SI-(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*d10_sqrt0)+0.0*(temp_VDI_SI-((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)+0.5*(+(+temp_VDI_SI_VDI_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_ac))*(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*((temp_VDI_SI*temp)+(temp*temp_VDI_SI))+d10_sqrt0*(+(+(+temp_VDI_SI_VDI_SI-0.0)*temp+temp_VDI_SI*temp_VDI_SI+temp_VDI_SI*temp_VDI_SI+temp*(+temp_VDI_SI_VDI_SI-0.0))+0.0)))))+0.0);
  Vsbstar_ac_VDI_SI_VSI_BP=(+(+Vsb_VDI_SI_VSI_BP-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VSI_BP-(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*d10_sqrt0)+0.0*(temp_VDI_SI-((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)+0.5*(+(+temp_VDI_SI_VSI_BP+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_ac))*(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*((temp_VDI_SI*temp)+(temp*temp_VDI_SI))+d10_sqrt0*(+(+(+temp_VDI_SI_VSI_BP-0.0)*temp+temp_VDI_SI*temp_VSI_BP+temp_VSI_BP*temp_VDI_SI+temp*(+temp_VDI_SI_VSI_BP-0.0))+0.0)))))+0.0);
  Vsbstar_ac_VDI_SI_VGP_SI=(+(+0.0-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VGP_SI-(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*d10_sqrt0)+0.0*(temp_VDI_SI-((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*d10_sqrt0)+0.5*(+(+temp_VDI_SI_VGP_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_ac))*(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*((temp_VDI_SI*temp)+(temp*temp_VDI_SI))+d10_sqrt0*(+(+(+temp_VDI_SI_VGP_SI-0.0)*temp+temp_VDI_SI*temp_VGP_SI+temp_VGP_SI*temp_VDI_SI+temp*(+temp_VDI_SI_VGP_SI-0.0))+0.0)))))+0.0);
#endif
Vsbstar_ac_VSI_BP=(Vsb_VSI_BP-(0.5*(temp_VSI_BP-((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)));
#if defined(_DERIVATE2)
  Vsbstar_ac_VSI_BP_VDI_SI=(+(+Vsb_VSI_BP_VDI_SI-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VDI_SI-(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*d10_sqrt0)+0.0*(temp_VSI_BP-((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)+0.5*(+(+temp_VSI_BP_VDI_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_ac))*(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*((temp_VSI_BP*temp)+(temp*temp_VSI_BP))+d10_sqrt0*(+(+(+temp_VSI_BP_VDI_SI-0.0)*temp+temp_VSI_BP*temp_VDI_SI+temp_VDI_SI*temp_VSI_BP+temp*(+temp_VSI_BP_VDI_SI-0.0))+0.0)))))+0.0);
  Vsbstar_ac_VSI_BP_VSI_BP=(+(+Vsb_VSI_BP_VSI_BP-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VSI_BP-(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*d10_sqrt0)+0.0*(temp_VSI_BP-((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)+0.5*(+(+temp_VSI_BP_VSI_BP+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_ac))*(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*((temp_VSI_BP*temp)+(temp*temp_VSI_BP))+d10_sqrt0*(+(+(+temp_VSI_BP_VSI_BP-0.0)*temp+temp_VSI_BP*temp_VSI_BP+temp_VSI_BP*temp_VSI_BP+temp*(+temp_VSI_BP_VSI_BP-0.0))+0.0)))))+0.0);
  Vsbstar_ac_VSI_BP_VGP_SI=(+(+0.0-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VGP_SI-(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*d10_sqrt0)+0.0*(temp_VSI_BP-((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*d10_sqrt0)+0.5*(+(+temp_VSI_BP_VGP_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_ac))*(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*((temp_VSI_BP*temp)+(temp*temp_VSI_BP))+d10_sqrt0*(+(+(+temp_VSI_BP_VGP_SI-0.0)*temp+temp_VSI_BP*temp_VGP_SI+temp_VGP_SI*temp_VSI_BP+temp*(+temp_VSI_BP_VGP_SI-0.0))+0.0)))))+0.0);
#endif
Vsbstar_ac_VGP_SI=(-(0.5*(temp_VGP_SI-((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*d10_sqrt0)));
#if defined(_DERIVATE2)
  Vsbstar_ac_VGP_SI_VDI_SI=(+(+0.0-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VDI_SI-(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*d10_sqrt0)+0.0*(temp_VGP_SI-((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*d10_sqrt0)+0.5*(+(+temp_VGP_SI_VDI_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_ac))*(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*((temp_VGP_SI*temp)+(temp*temp_VGP_SI))+d10_sqrt0*(+(+(+temp_VGP_SI_VDI_SI-0.0)*temp+temp_VGP_SI*temp_VDI_SI+temp_VDI_SI*temp_VGP_SI+temp*(+temp_VGP_SI_VDI_SI-0.0))+0.0)))))+0.0);
  Vsbstar_ac_VGP_SI_VSI_BP=(+(+0.0-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VSI_BP-(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*d10_sqrt0)+0.0*(temp_VGP_SI-((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*d10_sqrt0)+0.5*(+(+temp_VGP_SI_VSI_BP+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_ac))*(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*((temp_VGP_SI*temp)+(temp*temp_VGP_SI))+d10_sqrt0*(+(+(+temp_VGP_SI_VSI_BP-0.0)*temp+temp_VGP_SI*temp_VSI_BP+temp_VSI_BP*temp_VGP_SI+temp*(+temp_VGP_SI_VSI_BP-0.0))+0.0)))))+0.0);
  Vsbstar_ac_VGP_SI_VGP_SI=(+(+0.0-(+0.0*(temp-d00_sqrt0)+0.0*(temp_VGP_SI-(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*d10_sqrt0)+0.0*(temp_VGP_SI-((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*d10_sqrt0)+0.5*(+(+temp_VGP_SI_VGP_SI+0.0)-(m20_sqrt(((temp*temp)+pInst->aphi_ac))*(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*((temp_VGP_SI*temp)+(temp*temp_VGP_SI))+d10_sqrt0*(+(+(+temp_VGP_SI_VGP_SI-0.0)*temp+temp_VGP_SI*temp_VGP_SI+temp_VGP_SI*temp_VGP_SI+temp*(+temp_VGP_SI_VGP_SI-0.0))+0.0)))))+0.0);
#endif
#endif
Vsbstar_ac=((Vsb-(0.5*(temp-d00_sqrt0)))+pInst->phix1_ac);
EXIT_IF_ISNAN(((Vsb-(0.5*(temp-d00_sqrt0)))+pInst->phix1_ac))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vsbstar_VGP_SI=Vsbstar_ac_VGP_SI;
#if defined(_DERIVATE2)
  Vsbstar_VGP_SI_VGP_SI=Vsbstar_ac_VGP_SI_VGP_SI;
  Vsbstar_VGP_SI_VDI_SI=Vsbstar_ac_VGP_SI_VDI_SI;
  Vsbstar_VGP_SI_VSI_BP=Vsbstar_ac_VGP_SI_VSI_BP;
#endif
Vsbstar_VDI_SI=Vsbstar_ac_VDI_SI;
#if defined(_DERIVATE2)
  Vsbstar_VDI_SI_VGP_SI=Vsbstar_ac_VDI_SI_VGP_SI;
  Vsbstar_VDI_SI_VDI_SI=Vsbstar_ac_VDI_SI_VDI_SI;
  Vsbstar_VDI_SI_VSI_BP=Vsbstar_ac_VDI_SI_VSI_BP;
#endif
Vsbstar_VSI_BP=Vsbstar_ac_VSI_BP;
#if defined(_DERIVATE2)
  Vsbstar_VSI_BP_VGP_SI=Vsbstar_ac_VSI_BP_VGP_SI;
  Vsbstar_VSI_BP_VDI_SI=Vsbstar_ac_VSI_BP_VDI_SI;
  Vsbstar_VSI_BP_VSI_BP=Vsbstar_ac_VSI_BP_VSI_BP;
#endif
#endif
Vsbstar=Vsbstar_ac;
EXIT_IF_ISNAN(Vsbstar_ac)
phib=pInst->phib_ac;
EXIT_IF_ISNAN(pInst->phib_ac)
G_0=pInst->G_0_ac;
EXIT_IF_ISNAN(pInst->G_0_ac)
}
if
((pModel->SWQSAT_i!=0))
{
cfloc=pInst->CFAC_i;
EXIT_IF_ISNAN(pInst->CFAC_i)
thesatloc=pInst->THESATAC_T;
EXIT_IF_ISNAN(pInst->THESATAC_T)
axloc=pInst->AXAC_i;
EXIT_IF_ISNAN(pInst->AXAC_i)
#if defined(_DYNAMIC)
alploc=pInst->ALPAC_i;
EXIT_IF_ISNAN(pInst->ALPAC_i)
#endif
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
alpha_VDI_SI=0.0;
#if defined(_DERIVATE2)
  alpha_VDI_SI_VDI_SI=0.0;
  alpha_VDI_SI_VGP_SI=0.0;
  alpha_VDI_SI_VSI_BP=0.0;
#endif
alpha_VGP_SI=0.0;
#if defined(_DERIVATE2)
  alpha_VGP_SI_VDI_SI=0.0;
  alpha_VGP_SI_VGP_SI=0.0;
  alpha_VGP_SI_VSI_BP=0.0;
#endif
alpha_VSI_BP=0.0;
#if defined(_DERIVATE2)
  alpha_VSI_BP_VDI_SI=0.0;
  alpha_VSI_BP_VGP_SI=0.0;
  alpha_VSI_BP_VSI_BP=0.0;
#endif
#endif
alpha=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
GdL_VDI_SI=0.0;
#if defined(_DERIVATE2)
  GdL_VDI_SI_VDI_SI=0.0;
  GdL_VDI_SI_VGP_SI=0.0;
  GdL_VDI_SI_VSI_BP=0.0;
#endif
GdL_VGP_SI=0.0;
#if defined(_DERIVATE2)
  GdL_VGP_SI_VDI_SI=0.0;
  GdL_VGP_SI_VGP_SI=0.0;
  GdL_VGP_SI_VSI_BP=0.0;
#endif
GdL_VSI_BP=0.0;
#if defined(_DERIVATE2)
  GdL_VSI_BP_VDI_SI=0.0;
  GdL_VSI_BP_VGP_SI=0.0;
  GdL_VSI_BP_VSI_BP=0.0;
#endif
#endif
GdL=1.0;
EXIT_IF_ISNAN(1.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dL_VDI_SI=0.0;
#if defined(_DERIVATE2)
  dL_VDI_SI_VDI_SI=0.0;
  dL_VDI_SI_VGP_SI=0.0;
  dL_VDI_SI_VSI_BP=0.0;
#endif
dL_VGP_SI=0.0;
#if defined(_DERIVATE2)
  dL_VGP_SI_VDI_SI=0.0;
  dL_VGP_SI_VGP_SI=0.0;
  dL_VGP_SI_VSI_BP=0.0;
#endif
dL_VSI_BP=0.0;
#if defined(_DERIVATE2)
  dL_VSI_BP_VDI_SI=0.0;
  dL_VSI_BP_VGP_SI=0.0;
  dL_VSI_BP_VSI_BP=0.0;
#endif
#endif
dL=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qbm_VDI_SI=0.0;
#if defined(_DERIVATE2)
  qbm_VDI_SI_VDI_SI=0.0;
  qbm_VDI_SI_VGP_SI=0.0;
  qbm_VDI_SI_VSI_BP=0.0;
#endif
qbm_VGP_SI=0.0;
#if defined(_DERIVATE2)
  qbm_VGP_SI_VDI_SI=0.0;
  qbm_VGP_SI_VGP_SI=0.0;
  qbm_VGP_SI_VSI_BP=0.0;
#endif
qbm_VSI_BP=0.0;
#if defined(_DERIVATE2)
  qbm_VSI_BP_VDI_SI=0.0;
  qbm_VSI_BP_VGP_SI=0.0;
  qbm_VSI_BP_VSI_BP=0.0;
#endif
#endif
qbm=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dps_VDI_SI=0.0;
#if defined(_DERIVATE2)
  dps_VDI_SI_VDI_SI=0.0;
  dps_VDI_SI_VGP_SI=0.0;
  dps_VDI_SI_VSI_BP=0.0;
#endif
dps_VGP_SI=0.0;
#if defined(_DERIVATE2)
  dps_VGP_SI_VDI_SI=0.0;
  dps_VGP_SI_VGP_SI=0.0;
  dps_VGP_SI_VSI_BP=0.0;
#endif
dps_VSI_BP=0.0;
#if defined(_DERIVATE2)
  dps_VSI_BP_VDI_SI=0.0;
  dps_VSI_BP_VGP_SI=0.0;
  dps_VSI_BP_VSI_BP=0.0;
#endif
#endif
dps=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qim_VDI_SI=0.0;
#if defined(_DERIVATE2)
  qim_VDI_SI_VDI_SI=0.0;
  qim_VDI_SI_VGP_SI=0.0;
  qim_VDI_SI_VSI_BP=0.0;
#endif
qim_VGP_SI=0.0;
#if defined(_DERIVATE2)
  qim_VGP_SI_VDI_SI=0.0;
  qim_VGP_SI_VGP_SI=0.0;
  qim_VGP_SI_VSI_BP=0.0;
#endif
qim_VSI_BP=0.0;
#if defined(_DERIVATE2)
  qim_VSI_BP_VDI_SI=0.0;
  qim_VSI_BP_VGP_SI=0.0;
  qim_VSI_BP_VSI_BP=0.0;
#endif
#endif
qim=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qim1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  qim1_VDI_SI_VDI_SI=0.0;
  qim1_VDI_SI_VGP_SI=0.0;
  qim1_VDI_SI_VSI_BP=0.0;
#endif
qim1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  qim1_VGP_SI_VDI_SI=0.0;
  qim1_VGP_SI_VGP_SI=0.0;
  qim1_VGP_SI_VSI_BP=0.0;
#endif
qim1_VSI_BP=0.0;
#if defined(_DERIVATE2)
  qim1_VSI_BP_VDI_SI=0.0;
  qim1_VSI_BP_VGP_SI=0.0;
  qim1_VSI_BP_VSI_BP=0.0;
#endif
#endif
qim1=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
H_VGP_SI=0.0;
#if defined(_DERIVATE2)
  H_VGP_SI_VGP_SI=0.0;
  H_VGP_SI_VDI_SI=0.0;
  H_VGP_SI_VSI_BP=0.0;
#endif
H_VDI_SI=0.0;
#if defined(_DERIVATE2)
  H_VDI_SI_VGP_SI=0.0;
  H_VDI_SI_VDI_SI=0.0;
  H_VDI_SI_VSI_BP=0.0;
#endif
H_VSI_BP=0.0;
#if defined(_DERIVATE2)
  H_VSI_BP_VGP_SI=0.0;
  H_VSI_BP_VDI_SI=0.0;
  H_VSI_BP_VSI_BP=0.0;
#endif
#endif
H=1.0;
EXIT_IF_ISNAN(1.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
s1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  s1_VDI_SI_VDI_SI=0.0;
  s1_VDI_SI_VGP_SI=0.0;
  s1_VDI_SI_VSI_BP=0.0;
#endif
s1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  s1_VGP_SI_VDI_SI=0.0;
  s1_VGP_SI_VGP_SI=0.0;
  s1_VGP_SI_VSI_BP=0.0;
#endif
s1_VSI_BP=0.0;
#if defined(_DERIVATE2)
  s1_VSI_BP_VDI_SI=0.0;
  s1_VSI_BP_VGP_SI=0.0;
  s1_VSI_BP_VSI_BP=0.0;
#endif
#endif
s1=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
eta_p_VDI_SI=0.0;
#if defined(_DERIVATE2)
  eta_p_VDI_SI_VDI_SI=0.0;
  eta_p_VDI_SI_VGP_SI=0.0;
  eta_p_VDI_SI_VSI_BP=0.0;
#endif
eta_p_VGP_SI=0.0;
#if defined(_DERIVATE2)
  eta_p_VGP_SI_VDI_SI=0.0;
  eta_p_VGP_SI_VGP_SI=0.0;
  eta_p_VGP_SI_VSI_BP=0.0;
#endif
eta_p_VSI_BP=0.0;
#if defined(_DERIVATE2)
  eta_p_VSI_BP_VDI_SI=0.0;
  eta_p_VSI_BP_VGP_SI=0.0;
  eta_p_VSI_BP_VSI_BP=0.0;
#endif
#endif
eta_p=1.0;
EXIT_IF_ISNAN(1.0)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gvsat_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Gvsat_VDI_SI_VDI_SI=0.0;
  Gvsat_VDI_SI_VGP_SI=0.0;
  Gvsat_VDI_SI_VSI_BP=0.0;
#endif
Gvsat_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Gvsat_VGP_SI_VDI_SI=0.0;
  Gvsat_VGP_SI_VGP_SI=0.0;
  Gvsat_VGP_SI_VSI_BP=0.0;
#endif
Gvsat_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Gvsat_VSI_BP_VDI_SI=0.0;
  Gvsat_VSI_BP_VGP_SI=0.0;
  Gvsat_VSI_BP_VSI_BP=0.0;
#endif
#endif
Gvsat=1.0;
EXIT_IF_ISNAN(1.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Gvsatinv_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Gvsatinv_VDI_SI_VDI_SI=0.0;
  Gvsatinv_VDI_SI_VGP_SI=0.0;
  Gvsatinv_VDI_SI_VSI_BP=0.0;
#endif
Gvsatinv_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Gvsatinv_VGP_SI_VDI_SI=0.0;
  Gvsatinv_VGP_SI_VGP_SI=0.0;
  Gvsatinv_VGP_SI_VSI_BP=0.0;
#endif
Gvsatinv_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Gvsatinv_VSI_BP_VDI_SI=0.0;
  Gvsatinv_VSI_BP_VGP_SI=0.0;
  Gvsatinv_VSI_BP_VSI_BP=0.0;
#endif
#endif
Gvsatinv=1.0;
EXIT_IF_ISNAN(1.0)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_x1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  SP_S_x1_VDI_SI_VDI_SI=0.0;
  SP_S_x1_VDI_SI_VGP_SI=0.0;
  SP_S_x1_VDI_SI_VSI_BP=0.0;
#endif
SP_S_x1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  SP_S_x1_VGP_SI_VDI_SI=0.0;
  SP_S_x1_VGP_SI_VGP_SI=0.0;
  SP_S_x1_VGP_SI_VSI_BP=0.0;
#endif
SP_S_x1_VSI_BP=0.0;
#if defined(_DERIVATE2)
  SP_S_x1_VSI_BP_VDI_SI=0.0;
  SP_S_x1_VSI_BP_VGP_SI=0.0;
  SP_S_x1_VSI_BP_VSI_BP=0.0;
#endif
#endif
SP_S_x1=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_s_VDI_SI=0.0;
#if defined(_DERIVATE2)
  x_s_VDI_SI_VDI_SI=0.0;
  x_s_VDI_SI_VGP_SI=0.0;
  x_s_VDI_SI_VSI_BP=0.0;
#endif
x_s_VGP_SI=0.0;
#if defined(_DERIVATE2)
  x_s_VGP_SI_VDI_SI=0.0;
  x_s_VGP_SI_VGP_SI=0.0;
  x_s_VGP_SI_VSI_BP=0.0;
#endif
x_s_VSI_BP=0.0;
#if defined(_DERIVATE2)
  x_s_VSI_BP_VDI_SI=0.0;
  x_s_VSI_BP_VGP_SI=0.0;
  x_s_VSI_BP_VSI_BP=0.0;
#endif
#endif
x_s=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
sqm_VDI_SI=0.0;
#if defined(_DERIVATE2)
  sqm_VDI_SI_VDI_SI=0.0;
  sqm_VDI_SI_VGP_SI=0.0;
  sqm_VDI_SI_VSI_BP=0.0;
#endif
sqm_VGP_SI=0.0;
#if defined(_DERIVATE2)
  sqm_VGP_SI_VDI_SI=0.0;
  sqm_VGP_SI_VGP_SI=0.0;
  sqm_VGP_SI_VSI_BP=0.0;
#endif
sqm_VSI_BP=0.0;
#if defined(_DERIVATE2)
  sqm_VSI_BP_VDI_SI=0.0;
  sqm_VSI_BP_VGP_SI=0.0;
  sqm_VSI_BP_VSI_BP=0.0;
#endif
#endif
sqm=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xitsb_VGP_SI=0.0;
#if defined(_DERIVATE2)
  xitsb_VGP_SI_VGP_SI=0.0;
  xitsb_VGP_SI_VDI_SI=0.0;
  xitsb_VGP_SI_VSI_BP=0.0;
#endif
xitsb_VDI_SI=0.0;
#if defined(_DERIVATE2)
  xitsb_VDI_SI_VGP_SI=0.0;
  xitsb_VDI_SI_VDI_SI=0.0;
  xitsb_VDI_SI_VSI_BP=0.0;
#endif
xitsb_VSI_BP=0.0;
#if defined(_DERIVATE2)
  xitsb_VSI_BP_VGP_SI=0.0;
  xitsb_VSI_BP_VDI_SI=0.0;
  xitsb_VSI_BP_VSI_BP=0.0;
#endif
#endif
xitsb=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
rhob_VGP_SI=0.0;
#if defined(_DERIVATE2)
  rhob_VGP_SI_VGP_SI=0.0;
  rhob_VGP_SI_VDI_SI=0.0;
  rhob_VGP_SI_VSI_BP=0.0;
#endif
rhob_VDI_SI=0.0;
#if defined(_DERIVATE2)
  rhob_VDI_SI_VGP_SI=0.0;
  rhob_VDI_SI_VDI_SI=0.0;
  rhob_VDI_SI_VSI_BP=0.0;
#endif
rhob_VSI_BP=0.0;
#if defined(_DERIVATE2)
  rhob_VSI_BP_VGP_SI=0.0;
  rhob_VSI_BP_VDI_SI=0.0;
  rhob_VSI_BP_VSI_BP=0.0;
#endif
#endif
rhob=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gmob_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Gmob_VDI_SI_VDI_SI=0.0;
  Gmob_VDI_SI_VGP_SI=0.0;
  Gmob_VDI_SI_VSI_BP=0.0;
#endif
Gmob_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Gmob_VGP_SI_VDI_SI=0.0;
  Gmob_VGP_SI_VGP_SI=0.0;
  Gmob_VGP_SI_VSI_BP=0.0;
#endif
Gmob_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Gmob_VSI_BP_VDI_SI=0.0;
  Gmob_VSI_BP_VGP_SI=0.0;
  Gmob_VSI_BP_VSI_BP=0.0;
#endif
#endif
Gmob=1.0;
EXIT_IF_ISNAN(1.0)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Gmob_dL_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Gmob_dL_VDI_SI_VDI_SI=0.0;
  Gmob_dL_VDI_SI_VGP_SI=0.0;
  Gmob_dL_VDI_SI_VSI_BP=0.0;
#endif
Gmob_dL_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Gmob_dL_VGP_SI_VDI_SI=0.0;
  Gmob_dL_VGP_SI_VGP_SI=0.0;
  Gmob_dL_VGP_SI_VSI_BP=0.0;
#endif
Gmob_dL_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Gmob_dL_VSI_BP_VDI_SI=0.0;
  Gmob_dL_VSI_BP_VGP_SI=0.0;
  Gmob_dL_VSI_BP_VSI_BP=0.0;
#endif
#endif
Gmob_dL=1.0;
EXIT_IF_ISNAN(1.0)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Udse_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Udse_VGP_SI_VGP_SI=0.0;
  Udse_VGP_SI_VSI_BP=0.0;
  Udse_VGP_SI_VDI_SI=0.0;
#endif
Udse_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Udse_VSI_BP_VGP_SI=0.0;
  Udse_VSI_BP_VSI_BP=0.0;
  Udse_VSI_BP_VDI_SI=0.0;
#endif
Udse_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Udse_VDI_SI_VGP_SI=0.0;
  Udse_VDI_SI_VSI_BP=0.0;
  Udse_VDI_SI_VDI_SI=0.0;
#endif
#endif
Udse=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
thesat1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  thesat1_VGP_SI_VGP_SI=0.0;
  thesat1_VGP_SI_VDI_SI=0.0;
  thesat1_VGP_SI_VSI_BP=0.0;
#endif
thesat1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  thesat1_VDI_SI_VGP_SI=0.0;
  thesat1_VDI_SI_VDI_SI=0.0;
  thesat1_VDI_SI_VSI_BP=0.0;
#endif
thesat1_VSI_BP=0.0;
#if defined(_DERIVATE2)
  thesat1_VSI_BP_VGP_SI=0.0;
  thesat1_VSI_BP_VDI_SI=0.0;
  thesat1_VSI_BP_VSI_BP=0.0;
#endif
#endif
thesat1=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgm_VDI_SI=0.0;
#if defined(_DERIVATE2)
  xgm_VDI_SI_VDI_SI=0.0;
  xgm_VDI_SI_VGP_SI=0.0;
  xgm_VDI_SI_VSI_BP=0.0;
#endif
xgm_VGP_SI=0.0;
#if defined(_DERIVATE2)
  xgm_VGP_SI_VDI_SI=0.0;
  xgm_VGP_SI_VGP_SI=0.0;
  xgm_VGP_SI_VSI_BP=0.0;
#endif
xgm_VSI_BP=0.0;
#if defined(_DERIVATE2)
  xgm_VSI_BP_VDI_SI=0.0;
  xgm_VSI_BP_VGP_SI=0.0;
  xgm_VSI_BP_VSI_BP=0.0;
#endif
#endif
xgm=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vgb1_VDI_SI=(Vgs_VDI_SI+Vsbstar_VDI_SI);
#if defined(_DERIVATE2)
  Vgb1_VDI_SI_VDI_SI=(+(+Vgs_VDI_SI_VDI_SI+Vsbstar_VDI_SI_VDI_SI)-0.0);
  Vgb1_VDI_SI_VGP_SI=(+(+Vgs_VDI_SI_VGP_SI+Vsbstar_VDI_SI_VGP_SI)-0.0);
  Vgb1_VDI_SI_VSI_BP=(+(+0.0+Vsbstar_VDI_SI_VSI_BP)-0.0);
#endif
Vgb1_VGP_SI=(Vgs_VGP_SI+Vsbstar_VGP_SI);
#if defined(_DERIVATE2)
  Vgb1_VGP_SI_VDI_SI=(+(+Vgs_VGP_SI_VDI_SI+Vsbstar_VGP_SI_VDI_SI)-0.0);
  Vgb1_VGP_SI_VGP_SI=(+(+Vgs_VGP_SI_VGP_SI+Vsbstar_VGP_SI_VGP_SI)-0.0);
  Vgb1_VGP_SI_VSI_BP=(+(+0.0+Vsbstar_VGP_SI_VSI_BP)-0.0);
#endif
Vgb1_VSI_BP=Vsbstar_VSI_BP;
#if defined(_DERIVATE2)
  Vgb1_VSI_BP_VDI_SI=(+(+0.0+Vsbstar_VSI_BP_VDI_SI)-0.0);
  Vgb1_VSI_BP_VGP_SI=(+(+0.0+Vsbstar_VSI_BP_VGP_SI)-0.0);
  Vgb1_VSI_BP_VSI_BP=(+(+0.0+Vsbstar_VSI_BP_VSI_BP)-0.0);
#endif
#endif
Vgb1=((Vgs+Vsbstar)-pInst->VFB_T);
EXIT_IF_ISNAN(((Vgs+Vsbstar)-pInst->VFB_T))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vsbx_VGP_SI=Vsbstar_VGP_SI;
#if defined(_DERIVATE2)
  Vsbx_VGP_SI_VGP_SI=(+Vsbstar_VGP_SI_VGP_SI+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*0.0+0.5*(+0.0-0.0)));
  Vsbx_VGP_SI_VDI_SI=(+Vsbstar_VGP_SI_VDI_SI+(+0.0*(Vds-Vdsx)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.0*0.0+0.5*(+0.0-0.0)));
  Vsbx_VGP_SI_VSI_BP=(+Vsbstar_VGP_SI_VSI_BP+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*0.0+0.5*(+0.0-0.0)));
#endif
Vsbx_VDI_SI=(Vsbstar_VDI_SI+(0.5*(Vds_VDI_SI-Vdsx_VDI_SI)));
#if defined(_DERIVATE2)
  Vsbx_VDI_SI_VGP_SI=(+Vsbstar_VDI_SI_VGP_SI+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+0.0-0.0)));
  Vsbx_VDI_SI_VDI_SI=(+Vsbstar_VDI_SI_VDI_SI+(+0.0*(Vds-Vdsx)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+Vds_VDI_SI_VDI_SI-Vdsx_VDI_SI_VDI_SI)));
  Vsbx_VDI_SI_VSI_BP=(+Vsbstar_VDI_SI_VSI_BP+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.5*(+0.0-0.0)));
#endif
Vsbx_VSI_BP=Vsbstar_VSI_BP;
#if defined(_DERIVATE2)
  Vsbx_VSI_BP_VGP_SI=(+Vsbstar_VSI_BP_VGP_SI+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*0.0+0.5*(+0.0-0.0)));
  Vsbx_VSI_BP_VDI_SI=(+Vsbstar_VSI_BP_VDI_SI+(+0.0*(Vds-Vdsx)+0.0*(Vds_VDI_SI-Vdsx_VDI_SI)+0.0*0.0+0.5*(+0.0-0.0)));
  Vsbx_VSI_BP_VSI_BP=(+Vsbstar_VSI_BP_VSI_BP+(+0.0*(Vds-Vdsx)+0.0*0.0+0.0*0.0+0.5*(+0.0-0.0)));
#endif
#endif
Vsbx=(Vsbstar+(0.5*(Vds-Vdsx)));
EXIT_IF_ISNAN((Vsbstar+(0.5*(Vds-Vdsx))))
{
double m00_sqrt(d00_sqrt0,(1.0+(pInst->CFD_i*Vdsx)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+(pInst->CFD_i*Vdsx)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vdsp_VDI_SI=(((2.0*Vdsx_VDI_SI)*(1.0+d00_sqrt0)-(2.0*Vdsx)*(pInst->CFD_i*Vdsx_VDI_SI)*d10_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#if defined(_DERIVATE2)
  Vdsp_VDI_SI_VDI_SI=((+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*Vdsx_VDI_SI+2.0*Vdsx_VDI_SI_VDI_SI)/(1.0+d00_sqrt0)-((2.0*Vdsx_VDI_SI)*((pInst->CFD_i*Vdsx_VDI_SI))*d10_sqrt0+((2.0*Vdsx_VDI_SI))*(pInst->CFD_i*Vdsx_VDI_SI)*d10_sqrt0+(2.0*Vdsx)*(+0.0+(m20_sqrt((1.0+(pInst->CFD_i*Vdsx)))*((pInst->CFD_i*Vdsx_VDI_SI))*(pInst->CFD_i*Vdsx_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*Vdsx_VDI_SI+pInst->CFD_i*Vdsx_VDI_SI_VDI_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*(2.0*Vdsx)*(pInst->CFD_i*Vdsx_VDI_SI)*d10_sqrt0*((pInst->CFD_i*Vdsx_VDI_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#endif
#endif
Vdsp=((2.0*Vdsx)/(1.0+d00_sqrt0));
EXIT_IF_ISNAN(((2.0*Vdsx)/(1.0+d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delVg_VGP_SI=((cfloc*Vdsp)*(pInst->CFB_i*Vsbx_VGP_SI));
#if defined(_DERIVATE2)
  delVg_VGP_SI_VGP_SI=(+(+0.0*Vdsp+0.0*0.0+0.0*0.0+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+0.0*((pInst->CFB_i*Vsbx_VGP_SI))+(0.0)*(pInst->CFB_i*Vsbx_VGP_SI)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VGP_SI+pInst->CFB_i*Vsbx_VGP_SI_VGP_SI)));
  delVg_VGP_SI_VDI_SI=(+(+0.0*Vdsp+0.0*Vdsp_VDI_SI+0.0*0.0+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+0.0*((pInst->CFB_i*Vsbx_VDI_SI))+((cfloc*Vdsp_VDI_SI))*(pInst->CFB_i*Vsbx_VGP_SI)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VGP_SI+pInst->CFB_i*Vsbx_VGP_SI_VDI_SI)));
  delVg_VGP_SI_VSI_BP=(+(+0.0*Vdsp+0.0*0.0+0.0*0.0+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+0.0*((pInst->CFB_i*Vsbx_VSI_BP))+(0.0)*(pInst->CFB_i*Vsbx_VGP_SI)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VGP_SI+pInst->CFB_i*Vsbx_VGP_SI_VSI_BP)));
#endif
delVg_VDI_SI=(((cfloc*Vdsp_VDI_SI)*(1.0+(pInst->CFB_i*Vsbx)))+((cfloc*Vdsp)*(pInst->CFB_i*Vsbx_VDI_SI)));
#if defined(_DERIVATE2)
  delVg_VDI_SI_VGP_SI=(+(+0.0*Vdsp+0.0*0.0+0.0*Vdsp_VDI_SI+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+(cfloc*Vdsp_VDI_SI)*((pInst->CFB_i*Vsbx_VGP_SI))+(0.0)*(pInst->CFB_i*Vsbx_VDI_SI)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->CFB_i*Vsbx_VDI_SI_VGP_SI)));
  delVg_VDI_SI_VDI_SI=(+(+0.0*Vdsp+0.0*Vdsp_VDI_SI+0.0*Vdsp_VDI_SI+cfloc*Vdsp_VDI_SI_VDI_SI)*(1.0+(pInst->CFB_i*Vsbx))+(cfloc*Vdsp_VDI_SI)*((pInst->CFB_i*Vsbx_VDI_SI))+((cfloc*Vdsp_VDI_SI))*(pInst->CFB_i*Vsbx_VDI_SI)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->CFB_i*Vsbx_VDI_SI_VDI_SI)));
  delVg_VDI_SI_VSI_BP=(+(+0.0*Vdsp+0.0*0.0+0.0*Vdsp_VDI_SI+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+(cfloc*Vdsp_VDI_SI)*((pInst->CFB_i*Vsbx_VSI_BP))+(0.0)*(pInst->CFB_i*Vsbx_VDI_SI)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->CFB_i*Vsbx_VDI_SI_VSI_BP)));
#endif
delVg_VSI_BP=((cfloc*Vdsp)*(pInst->CFB_i*Vsbx_VSI_BP));
#if defined(_DERIVATE2)
  delVg_VSI_BP_VGP_SI=(+(+0.0*Vdsp+0.0*0.0+0.0*0.0+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+0.0*((pInst->CFB_i*Vsbx_VGP_SI))+(0.0)*(pInst->CFB_i*Vsbx_VSI_BP)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->CFB_i*Vsbx_VSI_BP_VGP_SI)));
  delVg_VSI_BP_VDI_SI=(+(+0.0*Vdsp+0.0*Vdsp_VDI_SI+0.0*0.0+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+0.0*((pInst->CFB_i*Vsbx_VDI_SI))+((cfloc*Vdsp_VDI_SI))*(pInst->CFB_i*Vsbx_VSI_BP)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->CFB_i*Vsbx_VSI_BP_VDI_SI)));
  delVg_VSI_BP_VSI_BP=(+(+0.0*Vdsp+0.0*0.0+0.0*0.0+cfloc*0.0)*(1.0+(pInst->CFB_i*Vsbx))+0.0*((pInst->CFB_i*Vsbx_VSI_BP))+(0.0)*(pInst->CFB_i*Vsbx_VSI_BP)+(cfloc*Vdsp)*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->CFB_i*Vsbx_VSI_BP_VSI_BP)));
#endif
#endif
delVg=((cfloc*Vdsp)*(1.0+(pInst->CFB_i*Vsbx)));
EXIT_IF_ISNAN(((cfloc*Vdsp)*(1.0+(pInst->CFB_i*Vsbx))))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dphit1_VGP_SI=((pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(pInst->PSCEB_i*Vsbx_VGP_SI));
#if defined(_DERIVATE2)
  dphit1_VGP_SI_VGP_SI=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*(0.0)+0.0*0.0+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*0.0+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+0.0*((pInst->PSCEB_i*Vsbx_VGP_SI))+((pInst->PSCE_i*(0.0)))*(pInst->PSCEB_i*Vsbx_VGP_SI)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VGP_SI+pInst->PSCEB_i*Vsbx_VGP_SI_VGP_SI)));
  dphit1_VGP_SI_VDI_SI=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*((pInst->PSCED_i*Vdsx_VDI_SI))+0.0*0.0+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*0.0+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+0.0*((pInst->PSCEB_i*Vsbx_VDI_SI))+((pInst->PSCE_i*((pInst->PSCED_i*Vdsx_VDI_SI))))*(pInst->PSCEB_i*Vsbx_VGP_SI)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VGP_SI+pInst->PSCEB_i*Vsbx_VGP_SI_VDI_SI)));
  dphit1_VGP_SI_VSI_BP=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*(0.0)+0.0*0.0+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*0.0+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+0.0*((pInst->PSCEB_i*Vsbx_VSI_BP))+((pInst->PSCE_i*(0.0)))*(pInst->PSCEB_i*Vsbx_VGP_SI)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VGP_SI+pInst->PSCEB_i*Vsbx_VGP_SI_VSI_BP)));
#endif
dphit1_VDI_SI=(((pInst->PSCE_i*(pInst->PSCED_i*Vdsx_VDI_SI))*(1.0+(pInst->PSCEB_i*Vsbx)))+((pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(pInst->PSCEB_i*Vsbx_VDI_SI)));
#if defined(_DERIVATE2)
  dphit1_VDI_SI_VGP_SI=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*(0.0)+0.0*(pInst->PSCED_i*Vdsx_VDI_SI)+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*Vdsx_VDI_SI+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+(pInst->PSCE_i*(pInst->PSCED_i*Vdsx_VDI_SI))*((pInst->PSCEB_i*Vsbx_VGP_SI))+((pInst->PSCE_i*(0.0)))*(pInst->PSCEB_i*Vsbx_VDI_SI)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->PSCEB_i*Vsbx_VDI_SI_VGP_SI)));
  dphit1_VDI_SI_VDI_SI=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*((pInst->PSCED_i*Vdsx_VDI_SI))+0.0*(pInst->PSCED_i*Vdsx_VDI_SI)+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*Vdsx_VDI_SI+pInst->PSCED_i*Vdsx_VDI_SI_VDI_SI)))*(1.0+(pInst->PSCEB_i*Vsbx))+(pInst->PSCE_i*(pInst->PSCED_i*Vdsx_VDI_SI))*((pInst->PSCEB_i*Vsbx_VDI_SI))+((pInst->PSCE_i*((pInst->PSCED_i*Vdsx_VDI_SI))))*(pInst->PSCEB_i*Vsbx_VDI_SI)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->PSCEB_i*Vsbx_VDI_SI_VDI_SI)));
  dphit1_VDI_SI_VSI_BP=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*(0.0)+0.0*(pInst->PSCED_i*Vdsx_VDI_SI)+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*Vdsx_VDI_SI+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+(pInst->PSCE_i*(pInst->PSCED_i*Vdsx_VDI_SI))*((pInst->PSCEB_i*Vsbx_VSI_BP))+((pInst->PSCE_i*(0.0)))*(pInst->PSCEB_i*Vsbx_VDI_SI)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->PSCEB_i*Vsbx_VDI_SI_VSI_BP)));
#endif
dphit1_VSI_BP=((pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(pInst->PSCEB_i*Vsbx_VSI_BP));
#if defined(_DERIVATE2)
  dphit1_VSI_BP_VGP_SI=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*(0.0)+0.0*0.0+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*0.0+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+0.0*((pInst->PSCEB_i*Vsbx_VGP_SI))+((pInst->PSCE_i*(0.0)))*(pInst->PSCEB_i*Vsbx_VSI_BP)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->PSCEB_i*Vsbx_VSI_BP_VGP_SI)));
  dphit1_VSI_BP_VDI_SI=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*((pInst->PSCED_i*Vdsx_VDI_SI))+0.0*0.0+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*Vdsx_VDI_SI+0.0*0.0+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+0.0*((pInst->PSCEB_i*Vsbx_VDI_SI))+((pInst->PSCE_i*((pInst->PSCED_i*Vdsx_VDI_SI))))*(pInst->PSCEB_i*Vsbx_VSI_BP)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->PSCEB_i*Vsbx_VSI_BP_VDI_SI)));
  dphit1_VSI_BP_VSI_BP=(+(+0.0*(1.0+(pInst->PSCED_i*Vdsx))+0.0*(0.0)+0.0*0.0+pInst->PSCE_i*(+0.0+(+0.0*Vdsx+0.0*0.0+0.0*0.0+pInst->PSCED_i*0.0)))*(1.0+(pInst->PSCEB_i*Vsbx))+0.0*((pInst->PSCEB_i*Vsbx_VSI_BP))+((pInst->PSCE_i*(0.0)))*(pInst->PSCEB_i*Vsbx_VSI_BP)+(pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->PSCEB_i*Vsbx_VSI_BP_VSI_BP)));
#endif
#endif
dphit1=((pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(1.0+(pInst->PSCEB_i*Vsbx)));
EXIT_IF_ISNAN(((pInst->PSCE_i*(1.0+(pInst->PSCED_i*Vdsx)))*(1.0+(pInst->PSCEB_i*Vsbx))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vgb1_VDI_SI=(Vgb1_VDI_SI+delVg_VDI_SI);
#if defined(_DERIVATE2)
  Vgb1_VDI_SI_VDI_SI=(+Vgb1_VDI_SI_VDI_SI+delVg_VDI_SI_VDI_SI);
  Vgb1_VDI_SI_VGP_SI=(+Vgb1_VDI_SI_VGP_SI+delVg_VDI_SI_VGP_SI);
  Vgb1_VDI_SI_VSI_BP=(+Vgb1_VDI_SI_VSI_BP+delVg_VDI_SI_VSI_BP);
#endif
Vgb1_VGP_SI=(Vgb1_VGP_SI+delVg_VGP_SI);
#if defined(_DERIVATE2)
  Vgb1_VGP_SI_VDI_SI=(+Vgb1_VGP_SI_VDI_SI+delVg_VGP_SI_VDI_SI);
  Vgb1_VGP_SI_VGP_SI=(+Vgb1_VGP_SI_VGP_SI+delVg_VGP_SI_VGP_SI);
  Vgb1_VGP_SI_VSI_BP=(+Vgb1_VGP_SI_VSI_BP+delVg_VGP_SI_VSI_BP);
#endif
Vgb1_VSI_BP=(Vgb1_VSI_BP+delVg_VSI_BP);
#if defined(_DERIVATE2)
  Vgb1_VSI_BP_VDI_SI=(+Vgb1_VSI_BP_VDI_SI+delVg_VSI_BP_VDI_SI);
  Vgb1_VSI_BP_VGP_SI=(+Vgb1_VSI_BP_VGP_SI+delVg_VSI_BP_VGP_SI);
  Vgb1_VSI_BP_VSI_BP=(+Vgb1_VSI_BP_VSI_BP+delVg_VSI_BP_VSI_BP);
#endif
#endif
Vgb1=(Vgb1+delVg);
EXIT_IF_ISNAN((Vgb1+delVg))
if
((pInst->DNSUB_i>0.0))
{
{
double m00_sqrt(d00_sqrt0,(((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dnsub_VDI_SI=((pInst->DNSUB_i*0.5)*((Vgs_VDI_SI+Vsb_VDI_SI)+(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))*d10_sqrt0));
#if defined(_DERIVATE2)
  Dnsub_VDI_SI_VDI_SI=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*((Vgs_VDI_SI+Vsb_VDI_SI)+((((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI)))))*d10_sqrt0)+(0.0)*((Vgs_VDI_SI+Vsb_VDI_SI)+(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+Vgs_VDI_SI_VDI_SI+Vsb_VDI_SI_VDI_SI)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI)))))*(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))+d10_sqrt0*(+(+(+0.0-(+(+Vgs_VDI_SI_VDI_SI+Vsb_VDI_SI_VDI_SI)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-(Vgs_VDI_SI+Vsb_VDI_SI))*(-(Vgs_VDI_SI+Vsb_VDI_SI))+(-(Vgs_VDI_SI+Vsb_VDI_SI))*(-(Vgs_VDI_SI+Vsb_VDI_SI))+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+Vgs_VDI_SI_VDI_SI+Vsb_VDI_SI_VDI_SI)-0.0)))+0.0))));
  Dnsub_VDI_SI_VGP_SI=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*(Vgs_VGP_SI+((((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI))))*d10_sqrt0)+(0.0)*((Vgs_VDI_SI+Vsb_VDI_SI)+(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+Vgs_VDI_SI_VGP_SI+0.0)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI))))*(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))+d10_sqrt0*(+(+(+0.0-(+(+Vgs_VDI_SI_VGP_SI+0.0)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-(Vgs_VDI_SI+Vsb_VDI_SI))*(-Vgs_VGP_SI)+(-Vgs_VGP_SI)*(-(Vgs_VDI_SI+Vsb_VDI_SI))+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+Vgs_VDI_SI_VGP_SI+0.0)-0.0)))+0.0))));
  Dnsub_VDI_SI_VSI_BP=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*(Vsb_VSI_BP+((((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP))))*d10_sqrt0)+(0.0)*((Vgs_VDI_SI+Vsb_VDI_SI)+(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+0.0+Vsb_VDI_SI_VSI_BP)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP))))*(((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI))))+d10_sqrt0*(+(+(+0.0-(+(+0.0+Vsb_VDI_SI_VSI_BP)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-(Vgs_VDI_SI+Vsb_VDI_SI))*(-Vsb_VSI_BP)+(-Vsb_VSI_BP)*(-(Vgs_VDI_SI+Vsb_VDI_SI))+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+0.0+Vsb_VDI_SI_VSI_BP)-0.0)))+0.0))));
#endif
Dnsub_VGP_SI=((pInst->DNSUB_i*0.5)*(Vgs_VGP_SI+(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  Dnsub_VGP_SI_VDI_SI=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*((Vgs_VDI_SI+Vsb_VDI_SI)+((((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI)))))*d10_sqrt0)+(0.0)*(Vgs_VGP_SI+(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+Vgs_VGP_SI_VDI_SI+0.0)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI)))))*(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))+d10_sqrt0*(+(+(+0.0-(+(+Vgs_VGP_SI_VDI_SI+0.0)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-Vgs_VGP_SI)*(-(Vgs_VDI_SI+Vsb_VDI_SI))+(-(Vgs_VDI_SI+Vsb_VDI_SI))*(-Vgs_VGP_SI)+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+Vgs_VGP_SI_VDI_SI+0.0)-0.0)))+0.0))));
  Dnsub_VGP_SI_VGP_SI=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*(Vgs_VGP_SI+((((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI))))*d10_sqrt0)+(0.0)*(Vgs_VGP_SI+(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+Vgs_VGP_SI_VGP_SI+0.0)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI))))*(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))+d10_sqrt0*(+(+(+0.0-(+(+Vgs_VGP_SI_VGP_SI+0.0)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-Vgs_VGP_SI)*(-Vgs_VGP_SI)+(-Vgs_VGP_SI)*(-Vgs_VGP_SI)+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+Vgs_VGP_SI_VGP_SI+0.0)-0.0)))+0.0))));
  Dnsub_VGP_SI_VSI_BP=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*(Vsb_VSI_BP+((((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP))))*d10_sqrt0)+(0.0)*(Vgs_VGP_SI+(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+0.0+0.0)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP))))*(((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI)))+d10_sqrt0*(+(+(+0.0-(+(+0.0+0.0)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-Vgs_VGP_SI)*(-Vsb_VSI_BP)+(-Vsb_VSI_BP)*(-Vgs_VGP_SI)+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+0.0+0.0)-0.0)))+0.0))));
#endif
Dnsub_VSI_BP=((pInst->DNSUB_i*0.5)*(Vsb_VSI_BP+(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))*d10_sqrt0));
#if defined(_DERIVATE2)
  Dnsub_VSI_BP_VDI_SI=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*((Vgs_VDI_SI+Vsb_VDI_SI)+((((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI)))))*d10_sqrt0)+(0.0)*(Vsb_VSI_BP+(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+0.0+Vsb_VSI_BP_VDI_SI)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-(Vgs_VDI_SI+Vsb_VDI_SI))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-(Vgs_VDI_SI+Vsb_VDI_SI)))))*(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+0.0-(+(+0.0+Vsb_VSI_BP_VDI_SI)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-Vsb_VSI_BP)*(-(Vgs_VDI_SI+Vsb_VDI_SI))+(-(Vgs_VDI_SI+Vsb_VDI_SI))*(-Vsb_VSI_BP)+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+0.0+Vsb_VSI_BP_VDI_SI)-0.0)))+0.0))));
  Dnsub_VSI_BP_VGP_SI=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*(Vgs_VGP_SI+((((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI))))*d10_sqrt0)+(0.0)*(Vsb_VSI_BP+(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+0.0+0.0)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-Vgs_VGP_SI)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vgs_VGP_SI))))*(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+0.0-(+(+0.0+0.0)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-Vsb_VSI_BP)*(-Vgs_VGP_SI)+(-Vgs_VGP_SI)*(-Vsb_VSI_BP)+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+0.0+0.0)-0.0)))+0.0))));
  Dnsub_VSI_BP_VSI_BP=(+(+0.0*0.5+0.0*0.0+0.0*0.0+pInst->DNSUB_i*0.0)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)+0.0*(Vsb_VSI_BP+((((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP))))*d10_sqrt0)+(0.0)*(Vsb_VSI_BP+(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))*d10_sqrt0)+(pInst->DNSUB_i*0.5)*(+(+0.0+(+(+0.0+Vsb_VSI_BP_VSI_BP)-0.0))+(m20_sqrt((((-((Vgs+Vsb)-pInst->VNSUB_i))*(-((Vgs+Vsb)-pInst->VNSUB_i)))+pInst->NSLP_i))*((((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP))))*(((-Vsb_VSI_BP)*(-((Vgs+Vsb)-pInst->VNSUB_i)))+((-((Vgs+Vsb)-pInst->VNSUB_i))*(-Vsb_VSI_BP)))+d10_sqrt0*(+(+(+0.0-(+(+0.0+Vsb_VSI_BP_VSI_BP)-0.0))*(-((Vgs+Vsb)-pInst->VNSUB_i))+(-Vsb_VSI_BP)*(-Vsb_VSI_BP)+(-Vsb_VSI_BP)*(-Vsb_VSI_BP)+(-((Vgs+Vsb)-pInst->VNSUB_i))*(+0.0-(+(+0.0+Vsb_VSI_BP_VSI_BP)-0.0)))+0.0))));
#endif
#endif
Dnsub=((pInst->DNSUB_i*0.5)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0));
EXIT_IF_ISNAN(((pInst->DNSUB_i*0.5)*((+((Vgs+Vsb)-pInst->VNSUB_i))+d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,(1.0+Dnsub))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+Dnsub))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gf_VDI_SI=(G_0*Dnsub_VDI_SI*d10_sqrt0);
#if defined(_DERIVATE2)
  Gf_VDI_SI_VDI_SI=(+0.0*d00_sqrt0+0.0*Dnsub_VDI_SI*d10_sqrt0+0.0*Dnsub_VDI_SI*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VDI_SI*Dnsub_VDI_SI+d10_sqrt0*(+0.0+Dnsub_VDI_SI_VDI_SI)));
  Gf_VDI_SI_VGP_SI=(+0.0*d00_sqrt0+0.0*Dnsub_VGP_SI*d10_sqrt0+0.0*Dnsub_VDI_SI*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VGP_SI*Dnsub_VDI_SI+d10_sqrt0*(+0.0+Dnsub_VDI_SI_VGP_SI)));
  Gf_VDI_SI_VSI_BP=(+0.0*d00_sqrt0+0.0*Dnsub_VSI_BP*d10_sqrt0+0.0*Dnsub_VDI_SI*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VSI_BP*Dnsub_VDI_SI+d10_sqrt0*(+0.0+Dnsub_VDI_SI_VSI_BP)));
#endif
Gf_VGP_SI=(G_0*Dnsub_VGP_SI*d10_sqrt0);
#if defined(_DERIVATE2)
  Gf_VGP_SI_VDI_SI=(+0.0*d00_sqrt0+0.0*Dnsub_VDI_SI*d10_sqrt0+0.0*Dnsub_VGP_SI*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VDI_SI*Dnsub_VGP_SI+d10_sqrt0*(+0.0+Dnsub_VGP_SI_VDI_SI)));
  Gf_VGP_SI_VGP_SI=(+0.0*d00_sqrt0+0.0*Dnsub_VGP_SI*d10_sqrt0+0.0*Dnsub_VGP_SI*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VGP_SI*Dnsub_VGP_SI+d10_sqrt0*(+0.0+Dnsub_VGP_SI_VGP_SI)));
  Gf_VGP_SI_VSI_BP=(+0.0*d00_sqrt0+0.0*Dnsub_VSI_BP*d10_sqrt0+0.0*Dnsub_VGP_SI*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VSI_BP*Dnsub_VGP_SI+d10_sqrt0*(+0.0+Dnsub_VGP_SI_VSI_BP)));
#endif
Gf_VSI_BP=(G_0*Dnsub_VSI_BP*d10_sqrt0);
#if defined(_DERIVATE2)
  Gf_VSI_BP_VDI_SI=(+0.0*d00_sqrt0+0.0*Dnsub_VDI_SI*d10_sqrt0+0.0*Dnsub_VSI_BP*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VDI_SI*Dnsub_VSI_BP+d10_sqrt0*(+0.0+Dnsub_VSI_BP_VDI_SI)));
  Gf_VSI_BP_VGP_SI=(+0.0*d00_sqrt0+0.0*Dnsub_VGP_SI*d10_sqrt0+0.0*Dnsub_VSI_BP*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VGP_SI*Dnsub_VSI_BP+d10_sqrt0*(+0.0+Dnsub_VSI_BP_VGP_SI)));
  Gf_VSI_BP_VSI_BP=(+0.0*d00_sqrt0+0.0*Dnsub_VSI_BP*d10_sqrt0+0.0*Dnsub_VSI_BP*d10_sqrt0+G_0*(m20_sqrt((1.0+Dnsub))*Dnsub_VSI_BP*Dnsub_VSI_BP+d10_sqrt0*(+0.0+Dnsub_VSI_BP_VSI_BP)));
#endif
#endif
Gf=(G_0*d00_sqrt0);
EXIT_IF_ISNAN((G_0*d00_sqrt0))
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gf_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Gf_VDI_SI_VDI_SI=0.0;
  Gf_VDI_SI_VGP_SI=0.0;
  Gf_VDI_SI_VSI_BP=0.0;
#endif
Gf_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Gf_VGP_SI_VDI_SI=0.0;
  Gf_VGP_SI_VGP_SI=0.0;
  Gf_VGP_SI_VSI_BP=0.0;
#endif
Gf_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Gf_VSI_BP_VDI_SI=0.0;
  Gf_VSI_BP_VGP_SI=0.0;
  Gf_VSI_BP_VSI_BP=0.0;
#endif
#endif
Gf=G_0;
EXIT_IF_ISNAN(G_0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gf2_VDI_SI=((Gf_VDI_SI*Gf)+(Gf*Gf_VDI_SI));
#if defined(_DERIVATE2)
  Gf2_VDI_SI_VDI_SI=(+Gf_VDI_SI_VDI_SI*Gf+Gf_VDI_SI*Gf_VDI_SI+Gf_VDI_SI*Gf_VDI_SI+Gf*Gf_VDI_SI_VDI_SI);
  Gf2_VDI_SI_VGP_SI=(+Gf_VDI_SI_VGP_SI*Gf+Gf_VDI_SI*Gf_VGP_SI+Gf_VGP_SI*Gf_VDI_SI+Gf*Gf_VDI_SI_VGP_SI);
  Gf2_VDI_SI_VSI_BP=(+Gf_VDI_SI_VSI_BP*Gf+Gf_VDI_SI*Gf_VSI_BP+Gf_VSI_BP*Gf_VDI_SI+Gf*Gf_VDI_SI_VSI_BP);
#endif
Gf2_VGP_SI=((Gf_VGP_SI*Gf)+(Gf*Gf_VGP_SI));
#if defined(_DERIVATE2)
  Gf2_VGP_SI_VDI_SI=(+Gf_VGP_SI_VDI_SI*Gf+Gf_VGP_SI*Gf_VDI_SI+Gf_VDI_SI*Gf_VGP_SI+Gf*Gf_VGP_SI_VDI_SI);
  Gf2_VGP_SI_VGP_SI=(+Gf_VGP_SI_VGP_SI*Gf+Gf_VGP_SI*Gf_VGP_SI+Gf_VGP_SI*Gf_VGP_SI+Gf*Gf_VGP_SI_VGP_SI);
  Gf2_VGP_SI_VSI_BP=(+Gf_VGP_SI_VSI_BP*Gf+Gf_VGP_SI*Gf_VSI_BP+Gf_VSI_BP*Gf_VGP_SI+Gf*Gf_VGP_SI_VSI_BP);
#endif
Gf2_VSI_BP=((Gf_VSI_BP*Gf)+(Gf*Gf_VSI_BP));
#if defined(_DERIVATE2)
  Gf2_VSI_BP_VDI_SI=(+Gf_VSI_BP_VDI_SI*Gf+Gf_VSI_BP*Gf_VDI_SI+Gf_VDI_SI*Gf_VSI_BP+Gf*Gf_VSI_BP_VDI_SI);
  Gf2_VSI_BP_VGP_SI=(+Gf_VSI_BP_VGP_SI*Gf+Gf_VSI_BP*Gf_VGP_SI+Gf_VGP_SI*Gf_VSI_BP+Gf*Gf_VSI_BP_VGP_SI);
  Gf2_VSI_BP_VSI_BP=(+Gf_VSI_BP_VSI_BP*Gf+Gf_VSI_BP*Gf_VSI_BP+Gf_VSI_BP*Gf_VSI_BP+Gf*Gf_VSI_BP_VSI_BP);
#endif
#endif
Gf2=(Gf*Gf);
EXIT_IF_ISNAN((Gf*Gf))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
inv_Gf2_VDI_SI=(-Gf2_VDI_SI/Gf2/Gf2);
#if defined(_DERIVATE2)
  inv_Gf2_VDI_SI_VDI_SI=(0.0/Gf2-(0.0*Gf2_VDI_SI+0.0*Gf2_VDI_SI+1.0*Gf2_VDI_SI_VDI_SI)/Gf2/Gf2+2*1.0*Gf2_VDI_SI*Gf2_VDI_SI/Gf2/Gf2/Gf2);
  inv_Gf2_VDI_SI_VGP_SI=(0.0/Gf2-(0.0*Gf2_VGP_SI+0.0*Gf2_VDI_SI+1.0*Gf2_VDI_SI_VGP_SI)/Gf2/Gf2+2*1.0*Gf2_VDI_SI*Gf2_VGP_SI/Gf2/Gf2/Gf2);
  inv_Gf2_VDI_SI_VSI_BP=(0.0/Gf2-(0.0*Gf2_VSI_BP+0.0*Gf2_VDI_SI+1.0*Gf2_VDI_SI_VSI_BP)/Gf2/Gf2+2*1.0*Gf2_VDI_SI*Gf2_VSI_BP/Gf2/Gf2/Gf2);
#endif
inv_Gf2_VGP_SI=(-Gf2_VGP_SI/Gf2/Gf2);
#if defined(_DERIVATE2)
  inv_Gf2_VGP_SI_VDI_SI=(0.0/Gf2-(0.0*Gf2_VDI_SI+0.0*Gf2_VGP_SI+1.0*Gf2_VGP_SI_VDI_SI)/Gf2/Gf2+2*1.0*Gf2_VGP_SI*Gf2_VDI_SI/Gf2/Gf2/Gf2);
  inv_Gf2_VGP_SI_VGP_SI=(0.0/Gf2-(0.0*Gf2_VGP_SI+0.0*Gf2_VGP_SI+1.0*Gf2_VGP_SI_VGP_SI)/Gf2/Gf2+2*1.0*Gf2_VGP_SI*Gf2_VGP_SI/Gf2/Gf2/Gf2);
  inv_Gf2_VGP_SI_VSI_BP=(0.0/Gf2-(0.0*Gf2_VSI_BP+0.0*Gf2_VGP_SI+1.0*Gf2_VGP_SI_VSI_BP)/Gf2/Gf2+2*1.0*Gf2_VGP_SI*Gf2_VSI_BP/Gf2/Gf2/Gf2);
#endif
inv_Gf2_VSI_BP=(-Gf2_VSI_BP/Gf2/Gf2);
#if defined(_DERIVATE2)
  inv_Gf2_VSI_BP_VDI_SI=(0.0/Gf2-(0.0*Gf2_VDI_SI+0.0*Gf2_VSI_BP+1.0*Gf2_VSI_BP_VDI_SI)/Gf2/Gf2+2*1.0*Gf2_VSI_BP*Gf2_VDI_SI/Gf2/Gf2/Gf2);
  inv_Gf2_VSI_BP_VGP_SI=(0.0/Gf2-(0.0*Gf2_VGP_SI+0.0*Gf2_VSI_BP+1.0*Gf2_VSI_BP_VGP_SI)/Gf2/Gf2+2*1.0*Gf2_VSI_BP*Gf2_VGP_SI/Gf2/Gf2/Gf2);
  inv_Gf2_VSI_BP_VSI_BP=(0.0/Gf2-(0.0*Gf2_VSI_BP+0.0*Gf2_VSI_BP+1.0*Gf2_VSI_BP_VSI_BP)/Gf2/Gf2+2*1.0*Gf2_VSI_BP*Gf2_VSI_BP/Gf2/Gf2/Gf2);
#endif
#endif
inv_Gf2=(1.0/Gf2);
EXIT_IF_ISNAN((1.0/Gf2))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
dCTG_VDI_SI=0.0;
#if defined(_DERIVATE2)
  dCTG_VDI_SI_VDI_SI=0.0;
  dCTG_VDI_SI_VGP_SI=0.0;
  dCTG_VDI_SI_VSI_BP=0.0;
#endif
dCTG_VGP_SI=0.0;
#if defined(_DERIVATE2)
  dCTG_VGP_SI_VDI_SI=0.0;
  dCTG_VGP_SI_VGP_SI=0.0;
  dCTG_VGP_SI_VSI_BP=0.0;
#endif
dCTG_VSI_BP=0.0;
#if defined(_DERIVATE2)
  dCTG_VSI_BP_VDI_SI=0.0;
  dCTG_VSI_BP_VGP_SI=0.0;
  dCTG_VSI_BP_VSI_BP=0.0;
#endif
#endif
dCTG=1.0;
EXIT_IF_ISNAN(1.0)
if
((pInst->CTG_i>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgct_VDI_SI=(2.0*Vgb1_VDI_SI)*pModel->inv_phit;
#if defined(_DERIVATE2)
  xgct_VDI_SI_VDI_SI=(+(+0.0*Vgb1+0.0*Vgb1_VDI_SI+0.0*Vgb1_VDI_SI+2.0*Vgb1_VDI_SI_VDI_SI)*pModel->inv_phit+(2.0*Vgb1_VDI_SI)*0.0+((2.0*Vgb1_VDI_SI))*0.0+(2.0*Vgb1)*0.0);
  xgct_VDI_SI_VGP_SI=(+(+0.0*Vgb1+0.0*Vgb1_VGP_SI+0.0*Vgb1_VDI_SI+2.0*Vgb1_VDI_SI_VGP_SI)*pModel->inv_phit+(2.0*Vgb1_VDI_SI)*0.0+((2.0*Vgb1_VGP_SI))*0.0+(2.0*Vgb1)*0.0);
  xgct_VDI_SI_VSI_BP=(+(+0.0*Vgb1+0.0*Vgb1_VSI_BP+0.0*Vgb1_VDI_SI+2.0*Vgb1_VDI_SI_VSI_BP)*pModel->inv_phit+(2.0*Vgb1_VDI_SI)*0.0+((2.0*Vgb1_VSI_BP))*0.0+(2.0*Vgb1)*0.0);
#endif
xgct_VGP_SI=(2.0*Vgb1_VGP_SI)*pModel->inv_phit;
#if defined(_DERIVATE2)
  xgct_VGP_SI_VDI_SI=(+(+0.0*Vgb1+0.0*Vgb1_VDI_SI+0.0*Vgb1_VGP_SI+2.0*Vgb1_VGP_SI_VDI_SI)*pModel->inv_phit+(2.0*Vgb1_VGP_SI)*0.0+((2.0*Vgb1_VDI_SI))*0.0+(2.0*Vgb1)*0.0);
  xgct_VGP_SI_VGP_SI=(+(+0.0*Vgb1+0.0*Vgb1_VGP_SI+0.0*Vgb1_VGP_SI+2.0*Vgb1_VGP_SI_VGP_SI)*pModel->inv_phit+(2.0*Vgb1_VGP_SI)*0.0+((2.0*Vgb1_VGP_SI))*0.0+(2.0*Vgb1)*0.0);
  xgct_VGP_SI_VSI_BP=(+(+0.0*Vgb1+0.0*Vgb1_VSI_BP+0.0*Vgb1_VGP_SI+2.0*Vgb1_VGP_SI_VSI_BP)*pModel->inv_phit+(2.0*Vgb1_VGP_SI)*0.0+((2.0*Vgb1_VSI_BP))*0.0+(2.0*Vgb1)*0.0);
#endif
xgct_VSI_BP=(2.0*Vgb1_VSI_BP)*pModel->inv_phit;
#if defined(_DERIVATE2)
  xgct_VSI_BP_VDI_SI=(+(+0.0*Vgb1+0.0*Vgb1_VDI_SI+0.0*Vgb1_VSI_BP+2.0*Vgb1_VSI_BP_VDI_SI)*pModel->inv_phit+(2.0*Vgb1_VSI_BP)*0.0+((2.0*Vgb1_VDI_SI))*0.0+(2.0*Vgb1)*0.0);
  xgct_VSI_BP_VGP_SI=(+(+0.0*Vgb1+0.0*Vgb1_VGP_SI+0.0*Vgb1_VSI_BP+2.0*Vgb1_VSI_BP_VGP_SI)*pModel->inv_phit+(2.0*Vgb1_VSI_BP)*0.0+((2.0*Vgb1_VGP_SI))*0.0+(2.0*Vgb1)*0.0);
  xgct_VSI_BP_VSI_BP=(+(+0.0*Vgb1+0.0*Vgb1_VSI_BP+0.0*Vgb1_VSI_BP+2.0*Vgb1_VSI_BP_VSI_BP)*pModel->inv_phit+(2.0*Vgb1_VSI_BP)*0.0+((2.0*Vgb1_VSI_BP))*0.0+(2.0*Vgb1)*0.0);
#endif
#endif
xgct=((2.0*Vgb1)*pModel->inv_phit);
EXIT_IF_ISNAN(((2.0*Vgb1)*pModel->inv_phit))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=(Gf2_VDI_SI+xgct_VDI_SI);
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=(+Gf2_VDI_SI_VDI_SI+xgct_VDI_SI_VDI_SI);
  temp1_VDI_SI_VGP_SI=(+Gf2_VDI_SI_VGP_SI+xgct_VDI_SI_VGP_SI);
  temp1_VDI_SI_VSI_BP=(+Gf2_VDI_SI_VSI_BP+xgct_VDI_SI_VSI_BP);
#endif
temp1_VGP_SI=(Gf2_VGP_SI+xgct_VGP_SI);
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=(+Gf2_VGP_SI_VDI_SI+xgct_VGP_SI_VDI_SI);
  temp1_VGP_SI_VGP_SI=(+Gf2_VGP_SI_VGP_SI+xgct_VGP_SI_VGP_SI);
  temp1_VGP_SI_VSI_BP=(+Gf2_VGP_SI_VSI_BP+xgct_VGP_SI_VSI_BP);
#endif
temp1_VSI_BP=(Gf2_VSI_BP+xgct_VSI_BP);
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=(+Gf2_VSI_BP_VDI_SI+xgct_VSI_BP_VDI_SI);
  temp1_VSI_BP_VGP_SI=(+Gf2_VSI_BP_VGP_SI+xgct_VSI_BP_VGP_SI);
  temp1_VSI_BP_VSI_BP=(+Gf2_VSI_BP_VSI_BP+xgct_VSI_BP_VSI_BP);
#endif
#endif
pInst->temp1=(Gf2+xgct);
EXIT_IF_ISNAN((Gf2+xgct))
{
double m00_sqrt(d00_sqrt0,(((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=(0.5*((temp1_VDI_SI+xgct_VDI_SI)+(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VDI_SI+xgct_VDI_SI)+((((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI))))*d10_sqrt0)+0.0*((temp1_VDI_SI+xgct_VDI_SI)+(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))*d10_sqrt0)+0.5*(+(+(+temp1_VDI_SI_VDI_SI+xgct_VDI_SI_VDI_SI)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI))))*(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))+d10_sqrt0*(+(+(+(+temp1_VDI_SI_VDI_SI+xgct_VDI_SI_VDI_SI)-0.0)*(pInst->temp1+xgct)+(temp1_VDI_SI+xgct_VDI_SI)*(temp1_VDI_SI+xgct_VDI_SI)+(temp1_VDI_SI+xgct_VDI_SI)*(temp1_VDI_SI+xgct_VDI_SI)+(pInst->temp1+xgct)*(+(+temp1_VDI_SI_VDI_SI+xgct_VDI_SI_VDI_SI)-0.0))+0.0))));
  temp2_VDI_SI_VGP_SI=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VGP_SI+xgct_VGP_SI)+((((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI))))*d10_sqrt0)+0.0*((temp1_VDI_SI+xgct_VDI_SI)+(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))*d10_sqrt0)+0.5*(+(+(+temp1_VDI_SI_VGP_SI+xgct_VDI_SI_VGP_SI)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI))))*(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))+d10_sqrt0*(+(+(+(+temp1_VDI_SI_VGP_SI+xgct_VDI_SI_VGP_SI)-0.0)*(pInst->temp1+xgct)+(temp1_VDI_SI+xgct_VDI_SI)*(temp1_VGP_SI+xgct_VGP_SI)+(temp1_VGP_SI+xgct_VGP_SI)*(temp1_VDI_SI+xgct_VDI_SI)+(pInst->temp1+xgct)*(+(+temp1_VDI_SI_VGP_SI+xgct_VDI_SI_VGP_SI)-0.0))+0.0))));
  temp2_VDI_SI_VSI_BP=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VSI_BP+xgct_VSI_BP)+((((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP))))*d10_sqrt0)+0.0*((temp1_VDI_SI+xgct_VDI_SI)+(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))*d10_sqrt0)+0.5*(+(+(+temp1_VDI_SI_VSI_BP+xgct_VDI_SI_VSI_BP)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP))))*(((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI)))+d10_sqrt0*(+(+(+(+temp1_VDI_SI_VSI_BP+xgct_VDI_SI_VSI_BP)-0.0)*(pInst->temp1+xgct)+(temp1_VDI_SI+xgct_VDI_SI)*(temp1_VSI_BP+xgct_VSI_BP)+(temp1_VSI_BP+xgct_VSI_BP)*(temp1_VDI_SI+xgct_VDI_SI)+(pInst->temp1+xgct)*(+(+temp1_VDI_SI_VSI_BP+xgct_VDI_SI_VSI_BP)-0.0))+0.0))));
#endif
temp2_VGP_SI=(0.5*((temp1_VGP_SI+xgct_VGP_SI)+(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VDI_SI+xgct_VDI_SI)+((((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI))))*d10_sqrt0)+0.0*((temp1_VGP_SI+xgct_VGP_SI)+(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))*d10_sqrt0)+0.5*(+(+(+temp1_VGP_SI_VDI_SI+xgct_VGP_SI_VDI_SI)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI))))*(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))+d10_sqrt0*(+(+(+(+temp1_VGP_SI_VDI_SI+xgct_VGP_SI_VDI_SI)-0.0)*(pInst->temp1+xgct)+(temp1_VGP_SI+xgct_VGP_SI)*(temp1_VDI_SI+xgct_VDI_SI)+(temp1_VDI_SI+xgct_VDI_SI)*(temp1_VGP_SI+xgct_VGP_SI)+(pInst->temp1+xgct)*(+(+temp1_VGP_SI_VDI_SI+xgct_VGP_SI_VDI_SI)-0.0))+0.0))));
  temp2_VGP_SI_VGP_SI=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VGP_SI+xgct_VGP_SI)+((((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI))))*d10_sqrt0)+0.0*((temp1_VGP_SI+xgct_VGP_SI)+(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))*d10_sqrt0)+0.5*(+(+(+temp1_VGP_SI_VGP_SI+xgct_VGP_SI_VGP_SI)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI))))*(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))+d10_sqrt0*(+(+(+(+temp1_VGP_SI_VGP_SI+xgct_VGP_SI_VGP_SI)-0.0)*(pInst->temp1+xgct)+(temp1_VGP_SI+xgct_VGP_SI)*(temp1_VGP_SI+xgct_VGP_SI)+(temp1_VGP_SI+xgct_VGP_SI)*(temp1_VGP_SI+xgct_VGP_SI)+(pInst->temp1+xgct)*(+(+temp1_VGP_SI_VGP_SI+xgct_VGP_SI_VGP_SI)-0.0))+0.0))));
  temp2_VGP_SI_VSI_BP=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VSI_BP+xgct_VSI_BP)+((((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP))))*d10_sqrt0)+0.0*((temp1_VGP_SI+xgct_VGP_SI)+(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))*d10_sqrt0)+0.5*(+(+(+temp1_VGP_SI_VSI_BP+xgct_VGP_SI_VSI_BP)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP))))*(((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI)))+d10_sqrt0*(+(+(+(+temp1_VGP_SI_VSI_BP+xgct_VGP_SI_VSI_BP)-0.0)*(pInst->temp1+xgct)+(temp1_VGP_SI+xgct_VGP_SI)*(temp1_VSI_BP+xgct_VSI_BP)+(temp1_VSI_BP+xgct_VSI_BP)*(temp1_VGP_SI+xgct_VGP_SI)+(pInst->temp1+xgct)*(+(+temp1_VGP_SI_VSI_BP+xgct_VGP_SI_VSI_BP)-0.0))+0.0))));
#endif
temp2_VSI_BP=(0.5*((temp1_VSI_BP+xgct_VSI_BP)+(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))*d10_sqrt0));
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VDI_SI+xgct_VDI_SI)+((((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI))))*d10_sqrt0)+0.0*((temp1_VSI_BP+xgct_VSI_BP)+(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))*d10_sqrt0)+0.5*(+(+(+temp1_VSI_BP_VDI_SI+xgct_VSI_BP_VDI_SI)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VDI_SI+xgct_VDI_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VDI_SI+xgct_VDI_SI))))*(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))+d10_sqrt0*(+(+(+(+temp1_VSI_BP_VDI_SI+xgct_VSI_BP_VDI_SI)-0.0)*(pInst->temp1+xgct)+(temp1_VSI_BP+xgct_VSI_BP)*(temp1_VDI_SI+xgct_VDI_SI)+(temp1_VDI_SI+xgct_VDI_SI)*(temp1_VSI_BP+xgct_VSI_BP)+(pInst->temp1+xgct)*(+(+temp1_VSI_BP_VDI_SI+xgct_VSI_BP_VDI_SI)-0.0))+0.0))));
  temp2_VSI_BP_VGP_SI=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VGP_SI+xgct_VGP_SI)+((((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI))))*d10_sqrt0)+0.0*((temp1_VSI_BP+xgct_VSI_BP)+(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))*d10_sqrt0)+0.5*(+(+(+temp1_VSI_BP_VGP_SI+xgct_VSI_BP_VGP_SI)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VGP_SI+xgct_VGP_SI)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VGP_SI+xgct_VGP_SI))))*(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))+d10_sqrt0*(+(+(+(+temp1_VSI_BP_VGP_SI+xgct_VSI_BP_VGP_SI)-0.0)*(pInst->temp1+xgct)+(temp1_VSI_BP+xgct_VSI_BP)*(temp1_VGP_SI+xgct_VGP_SI)+(temp1_VGP_SI+xgct_VGP_SI)*(temp1_VSI_BP+xgct_VSI_BP)+(pInst->temp1+xgct)*(+(+temp1_VSI_BP_VGP_SI+xgct_VSI_BP_VGP_SI)-0.0))+0.0))));
  temp2_VSI_BP_VSI_BP=(+0.0*((pInst->temp1+xgct)+d00_sqrt0)+0.0*((temp1_VSI_BP+xgct_VSI_BP)+((((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP))))*d10_sqrt0)+0.0*((temp1_VSI_BP+xgct_VSI_BP)+(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))*d10_sqrt0)+0.5*(+(+(+temp1_VSI_BP_VSI_BP+xgct_VSI_BP_VSI_BP)+0.0)+(m20_sqrt((((pInst->temp1+xgct)*(pInst->temp1+xgct))+5.0))*((((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP))))*(((temp1_VSI_BP+xgct_VSI_BP)*(pInst->temp1+xgct))+((pInst->temp1+xgct)*(temp1_VSI_BP+xgct_VSI_BP)))+d10_sqrt0*(+(+(+(+temp1_VSI_BP_VSI_BP+xgct_VSI_BP_VSI_BP)-0.0)*(pInst->temp1+xgct)+(temp1_VSI_BP+xgct_VSI_BP)*(temp1_VSI_BP+xgct_VSI_BP)+(temp1_VSI_BP+xgct_VSI_BP)*(temp1_VSI_BP+xgct_VSI_BP)+(pInst->temp1+xgct)*(+(+temp1_VSI_BP_VSI_BP+xgct_VSI_BP_VSI_BP)-0.0))+0.0))));
#endif
#endif
temp2=(0.5*((pInst->temp1+xgct)+d00_sqrt0));
EXIT_IF_ISNAN((0.5*((pInst->temp1+xgct)+d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,temp2)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,temp2)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xsct0_VDI_SI=(0.5*(temp1_VDI_SI-((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0))));
#if defined(_DERIVATE2)
  xsct0_VDI_SI_VDI_SI=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VDI_SI-(((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0))))+0.0*(temp1_VDI_SI-((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0)))+0.5*(+temp1_VDI_SI_VDI_SI-(+Gf_VDI_SI_VDI_SI*d00_sqrt0+Gf_VDI_SI*temp2_VDI_SI*d10_sqrt0+Gf_VDI_SI*temp2_VDI_SI*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VDI_SI*temp2_VDI_SI+d10_sqrt0*temp2_VDI_SI_VDI_SI))));
  xsct0_VDI_SI_VGP_SI=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VGP_SI-(((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0))))+0.0*(temp1_VDI_SI-((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0)))+0.5*(+temp1_VDI_SI_VGP_SI-(+Gf_VDI_SI_VGP_SI*d00_sqrt0+Gf_VDI_SI*temp2_VGP_SI*d10_sqrt0+Gf_VGP_SI*temp2_VDI_SI*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VGP_SI*temp2_VDI_SI+d10_sqrt0*temp2_VDI_SI_VGP_SI))));
  xsct0_VDI_SI_VSI_BP=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VSI_BP-(((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0))))+0.0*(temp1_VDI_SI-((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0)))+0.5*(+temp1_VDI_SI_VSI_BP-(+Gf_VDI_SI_VSI_BP*d00_sqrt0+Gf_VDI_SI*temp2_VSI_BP*d10_sqrt0+Gf_VSI_BP*temp2_VDI_SI*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VSI_BP*temp2_VDI_SI+d10_sqrt0*temp2_VDI_SI_VSI_BP))));
#endif
xsct0_VGP_SI=(0.5*(temp1_VGP_SI-((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0))));
#if defined(_DERIVATE2)
  xsct0_VGP_SI_VDI_SI=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VDI_SI-(((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0))))+0.0*(temp1_VGP_SI-((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0)))+0.5*(+temp1_VGP_SI_VDI_SI-(+Gf_VGP_SI_VDI_SI*d00_sqrt0+Gf_VGP_SI*temp2_VDI_SI*d10_sqrt0+Gf_VDI_SI*temp2_VGP_SI*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VDI_SI*temp2_VGP_SI+d10_sqrt0*temp2_VGP_SI_VDI_SI))));
  xsct0_VGP_SI_VGP_SI=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VGP_SI-(((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0))))+0.0*(temp1_VGP_SI-((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0)))+0.5*(+temp1_VGP_SI_VGP_SI-(+Gf_VGP_SI_VGP_SI*d00_sqrt0+Gf_VGP_SI*temp2_VGP_SI*d10_sqrt0+Gf_VGP_SI*temp2_VGP_SI*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VGP_SI*temp2_VGP_SI+d10_sqrt0*temp2_VGP_SI_VGP_SI))));
  xsct0_VGP_SI_VSI_BP=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VSI_BP-(((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0))))+0.0*(temp1_VGP_SI-((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0)))+0.5*(+temp1_VGP_SI_VSI_BP-(+Gf_VGP_SI_VSI_BP*d00_sqrt0+Gf_VGP_SI*temp2_VSI_BP*d10_sqrt0+Gf_VSI_BP*temp2_VGP_SI*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VSI_BP*temp2_VGP_SI+d10_sqrt0*temp2_VGP_SI_VSI_BP))));
#endif
xsct0_VSI_BP=(0.5*(temp1_VSI_BP-((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0))));
#if defined(_DERIVATE2)
  xsct0_VSI_BP_VDI_SI=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VDI_SI-(((Gf_VDI_SI*d00_sqrt0)+(Gf*temp2_VDI_SI*d10_sqrt0))))+0.0*(temp1_VSI_BP-((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0)))+0.5*(+temp1_VSI_BP_VDI_SI-(+Gf_VSI_BP_VDI_SI*d00_sqrt0+Gf_VSI_BP*temp2_VDI_SI*d10_sqrt0+Gf_VDI_SI*temp2_VSI_BP*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VDI_SI*temp2_VSI_BP+d10_sqrt0*temp2_VSI_BP_VDI_SI))));
  xsct0_VSI_BP_VGP_SI=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VGP_SI-(((Gf_VGP_SI*d00_sqrt0)+(Gf*temp2_VGP_SI*d10_sqrt0))))+0.0*(temp1_VSI_BP-((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0)))+0.5*(+temp1_VSI_BP_VGP_SI-(+Gf_VSI_BP_VGP_SI*d00_sqrt0+Gf_VSI_BP*temp2_VGP_SI*d10_sqrt0+Gf_VGP_SI*temp2_VSI_BP*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VGP_SI*temp2_VSI_BP+d10_sqrt0*temp2_VSI_BP_VGP_SI))));
  xsct0_VSI_BP_VSI_BP=(+0.0*(pInst->temp1-(Gf*d00_sqrt0))+0.0*(temp1_VSI_BP-(((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0))))+0.0*(temp1_VSI_BP-((Gf_VSI_BP*d00_sqrt0)+(Gf*temp2_VSI_BP*d10_sqrt0)))+0.5*(+temp1_VSI_BP_VSI_BP-(+Gf_VSI_BP_VSI_BP*d00_sqrt0+Gf_VSI_BP*temp2_VSI_BP*d10_sqrt0+Gf_VSI_BP*temp2_VSI_BP*d10_sqrt0+Gf*(m20_sqrt(temp2)*temp2_VSI_BP*temp2_VSI_BP+d10_sqrt0*temp2_VSI_BP_VSI_BP))));
#endif
#endif
xsct0=(0.5*(pInst->temp1-(Gf*d00_sqrt0)));
EXIT_IF_ISNAN((0.5*(pInst->temp1-(Gf*d00_sqrt0))))
}
xbct=(phib*pModel->inv_phit);
EXIT_IF_ISNAN((phib*pModel->inv_phit))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xsbstar_VGP_SI=Vsbx_VGP_SI*pModel->inv_phit;
#if defined(_DERIVATE2)
  xsbstar_VGP_SI_VGP_SI=(+Vsbx_VGP_SI_VGP_SI*pModel->inv_phit+Vsbx_VGP_SI*0.0+Vsbx_VGP_SI*0.0+Vsbx*0.0);
  xsbstar_VGP_SI_VDI_SI=(+Vsbx_VGP_SI_VDI_SI*pModel->inv_phit+Vsbx_VGP_SI*0.0+Vsbx_VDI_SI*0.0+Vsbx*0.0);
  xsbstar_VGP_SI_VSI_BP=(+Vsbx_VGP_SI_VSI_BP*pModel->inv_phit+Vsbx_VGP_SI*0.0+Vsbx_VSI_BP*0.0+Vsbx*0.0);
#endif
xsbstar_VDI_SI=Vsbx_VDI_SI*pModel->inv_phit;
#if defined(_DERIVATE2)
  xsbstar_VDI_SI_VGP_SI=(+Vsbx_VDI_SI_VGP_SI*pModel->inv_phit+Vsbx_VDI_SI*0.0+Vsbx_VGP_SI*0.0+Vsbx*0.0);
  xsbstar_VDI_SI_VDI_SI=(+Vsbx_VDI_SI_VDI_SI*pModel->inv_phit+Vsbx_VDI_SI*0.0+Vsbx_VDI_SI*0.0+Vsbx*0.0);
  xsbstar_VDI_SI_VSI_BP=(+Vsbx_VDI_SI_VSI_BP*pModel->inv_phit+Vsbx_VDI_SI*0.0+Vsbx_VSI_BP*0.0+Vsbx*0.0);
#endif
xsbstar_VSI_BP=Vsbx_VSI_BP*pModel->inv_phit;
#if defined(_DERIVATE2)
  xsbstar_VSI_BP_VGP_SI=(+Vsbx_VSI_BP_VGP_SI*pModel->inv_phit+Vsbx_VSI_BP*0.0+Vsbx_VGP_SI*0.0+Vsbx*0.0);
  xsbstar_VSI_BP_VDI_SI=(+Vsbx_VSI_BP_VDI_SI*pModel->inv_phit+Vsbx_VSI_BP*0.0+Vsbx_VDI_SI*0.0+Vsbx*0.0);
  xsbstar_VSI_BP_VSI_BP=(+Vsbx_VSI_BP_VSI_BP*pModel->inv_phit+Vsbx_VSI_BP*0.0+Vsbx_VSI_BP*0.0+Vsbx*0.0);
#endif
#endif
xsbstar=(Vsbx*pModel->inv_phit);
EXIT_IF_ISNAN((Vsbx*pModel->inv_phit))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=xsbstar_VDI_SI;
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=(+(+0.0+xsbstar_VDI_SI_VDI_SI)+0.0);
  temp1_VDI_SI_VGP_SI=(+(+0.0+xsbstar_VDI_SI_VGP_SI)+0.0);
  temp1_VDI_SI_VSI_BP=(+(+0.0+xsbstar_VDI_SI_VSI_BP)+0.0);
#endif
temp1_VGP_SI=xsbstar_VGP_SI;
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=(+(+0.0+xsbstar_VGP_SI_VDI_SI)+0.0);
  temp1_VGP_SI_VGP_SI=(+(+0.0+xsbstar_VGP_SI_VGP_SI)+0.0);
  temp1_VGP_SI_VSI_BP=(+(+0.0+xsbstar_VGP_SI_VSI_BP)+0.0);
#endif
temp1_VSI_BP=xsbstar_VSI_BP;
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=(+(+0.0+xsbstar_VSI_BP_VDI_SI)+0.0);
  temp1_VSI_BP_VGP_SI=(+(+0.0+xsbstar_VSI_BP_VGP_SI)+0.0);
  temp1_VSI_BP_VSI_BP=(+(+0.0+xsbstar_VSI_BP_VSI_BP)+0.0);
#endif
#endif
pInst->temp1=((xbct+xsbstar)+2.0);
EXIT_IF_ISNAN(((xbct+xsbstar)+2.0))
{
double m00_sqrt(d00_sqrt0,(((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xsct_VDI_SI=(0.5*((xsct0_VDI_SI+temp1_VDI_SI)-(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  xsct_VDI_SI_VDI_SI=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VDI_SI+temp1_VDI_SI)-((((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI))))*d10_sqrt0)+0.0*((xsct0_VDI_SI+temp1_VDI_SI)-(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))*d10_sqrt0)+0.5*(+(+xsct0_VDI_SI_VDI_SI+temp1_VDI_SI_VDI_SI)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI))))*(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))+d10_sqrt0*(+(+(+xsct0_VDI_SI_VDI_SI-temp1_VDI_SI_VDI_SI)*(xsct0-pInst->temp1)+(xsct0_VDI_SI-temp1_VDI_SI)*(xsct0_VDI_SI-temp1_VDI_SI)+(xsct0_VDI_SI-temp1_VDI_SI)*(xsct0_VDI_SI-temp1_VDI_SI)+(xsct0-pInst->temp1)*(+xsct0_VDI_SI_VDI_SI-temp1_VDI_SI_VDI_SI))+0.0))));
  xsct_VDI_SI_VGP_SI=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VGP_SI+temp1_VGP_SI)-((((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI))))*d10_sqrt0)+0.0*((xsct0_VDI_SI+temp1_VDI_SI)-(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))*d10_sqrt0)+0.5*(+(+xsct0_VDI_SI_VGP_SI+temp1_VDI_SI_VGP_SI)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI))))*(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))+d10_sqrt0*(+(+(+xsct0_VDI_SI_VGP_SI-temp1_VDI_SI_VGP_SI)*(xsct0-pInst->temp1)+(xsct0_VDI_SI-temp1_VDI_SI)*(xsct0_VGP_SI-temp1_VGP_SI)+(xsct0_VGP_SI-temp1_VGP_SI)*(xsct0_VDI_SI-temp1_VDI_SI)+(xsct0-pInst->temp1)*(+xsct0_VDI_SI_VGP_SI-temp1_VDI_SI_VGP_SI))+0.0))));
  xsct_VDI_SI_VSI_BP=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VSI_BP+temp1_VSI_BP)-((((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP))))*d10_sqrt0)+0.0*((xsct0_VDI_SI+temp1_VDI_SI)-(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))*d10_sqrt0)+0.5*(+(+xsct0_VDI_SI_VSI_BP+temp1_VDI_SI_VSI_BP)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP))))*(((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI)))+d10_sqrt0*(+(+(+xsct0_VDI_SI_VSI_BP-temp1_VDI_SI_VSI_BP)*(xsct0-pInst->temp1)+(xsct0_VDI_SI-temp1_VDI_SI)*(xsct0_VSI_BP-temp1_VSI_BP)+(xsct0_VSI_BP-temp1_VSI_BP)*(xsct0_VDI_SI-temp1_VDI_SI)+(xsct0-pInst->temp1)*(+xsct0_VDI_SI_VSI_BP-temp1_VDI_SI_VSI_BP))+0.0))));
#endif
xsct_VGP_SI=(0.5*((xsct0_VGP_SI+temp1_VGP_SI)-(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))*d10_sqrt0));
#if defined(_DERIVATE2)
  xsct_VGP_SI_VDI_SI=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VDI_SI+temp1_VDI_SI)-((((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI))))*d10_sqrt0)+0.0*((xsct0_VGP_SI+temp1_VGP_SI)-(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))*d10_sqrt0)+0.5*(+(+xsct0_VGP_SI_VDI_SI+temp1_VGP_SI_VDI_SI)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI))))*(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))+d10_sqrt0*(+(+(+xsct0_VGP_SI_VDI_SI-temp1_VGP_SI_VDI_SI)*(xsct0-pInst->temp1)+(xsct0_VGP_SI-temp1_VGP_SI)*(xsct0_VDI_SI-temp1_VDI_SI)+(xsct0_VDI_SI-temp1_VDI_SI)*(xsct0_VGP_SI-temp1_VGP_SI)+(xsct0-pInst->temp1)*(+xsct0_VGP_SI_VDI_SI-temp1_VGP_SI_VDI_SI))+0.0))));
  xsct_VGP_SI_VGP_SI=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VGP_SI+temp1_VGP_SI)-((((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI))))*d10_sqrt0)+0.0*((xsct0_VGP_SI+temp1_VGP_SI)-(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))*d10_sqrt0)+0.5*(+(+xsct0_VGP_SI_VGP_SI+temp1_VGP_SI_VGP_SI)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI))))*(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))+d10_sqrt0*(+(+(+xsct0_VGP_SI_VGP_SI-temp1_VGP_SI_VGP_SI)*(xsct0-pInst->temp1)+(xsct0_VGP_SI-temp1_VGP_SI)*(xsct0_VGP_SI-temp1_VGP_SI)+(xsct0_VGP_SI-temp1_VGP_SI)*(xsct0_VGP_SI-temp1_VGP_SI)+(xsct0-pInst->temp1)*(+xsct0_VGP_SI_VGP_SI-temp1_VGP_SI_VGP_SI))+0.0))));
  xsct_VGP_SI_VSI_BP=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VSI_BP+temp1_VSI_BP)-((((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP))))*d10_sqrt0)+0.0*((xsct0_VGP_SI+temp1_VGP_SI)-(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))*d10_sqrt0)+0.5*(+(+xsct0_VGP_SI_VSI_BP+temp1_VGP_SI_VSI_BP)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP))))*(((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI)))+d10_sqrt0*(+(+(+xsct0_VGP_SI_VSI_BP-temp1_VGP_SI_VSI_BP)*(xsct0-pInst->temp1)+(xsct0_VGP_SI-temp1_VGP_SI)*(xsct0_VSI_BP-temp1_VSI_BP)+(xsct0_VSI_BP-temp1_VSI_BP)*(xsct0_VGP_SI-temp1_VGP_SI)+(xsct0-pInst->temp1)*(+xsct0_VGP_SI_VSI_BP-temp1_VGP_SI_VSI_BP))+0.0))));
#endif
xsct_VSI_BP=(0.5*((xsct0_VSI_BP+temp1_VSI_BP)-(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))*d10_sqrt0));
#if defined(_DERIVATE2)
  xsct_VSI_BP_VDI_SI=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VDI_SI+temp1_VDI_SI)-((((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI))))*d10_sqrt0)+0.0*((xsct0_VSI_BP+temp1_VSI_BP)-(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))*d10_sqrt0)+0.5*(+(+xsct0_VSI_BP_VDI_SI+temp1_VSI_BP_VDI_SI)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VDI_SI-temp1_VDI_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VDI_SI-temp1_VDI_SI))))*(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))+d10_sqrt0*(+(+(+xsct0_VSI_BP_VDI_SI-temp1_VSI_BP_VDI_SI)*(xsct0-pInst->temp1)+(xsct0_VSI_BP-temp1_VSI_BP)*(xsct0_VDI_SI-temp1_VDI_SI)+(xsct0_VDI_SI-temp1_VDI_SI)*(xsct0_VSI_BP-temp1_VSI_BP)+(xsct0-pInst->temp1)*(+xsct0_VSI_BP_VDI_SI-temp1_VSI_BP_VDI_SI))+0.0))));
  xsct_VSI_BP_VGP_SI=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VGP_SI+temp1_VGP_SI)-((((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI))))*d10_sqrt0)+0.0*((xsct0_VSI_BP+temp1_VSI_BP)-(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))*d10_sqrt0)+0.5*(+(+xsct0_VSI_BP_VGP_SI+temp1_VSI_BP_VGP_SI)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VGP_SI-temp1_VGP_SI)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VGP_SI-temp1_VGP_SI))))*(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))+d10_sqrt0*(+(+(+xsct0_VSI_BP_VGP_SI-temp1_VSI_BP_VGP_SI)*(xsct0-pInst->temp1)+(xsct0_VSI_BP-temp1_VSI_BP)*(xsct0_VGP_SI-temp1_VGP_SI)+(xsct0_VGP_SI-temp1_VGP_SI)*(xsct0_VSI_BP-temp1_VSI_BP)+(xsct0-pInst->temp1)*(+xsct0_VSI_BP_VGP_SI-temp1_VSI_BP_VGP_SI))+0.0))));
  xsct_VSI_BP_VSI_BP=(+0.0*((xsct0+pInst->temp1)-d00_sqrt0)+0.0*((xsct0_VSI_BP+temp1_VSI_BP)-((((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP))))*d10_sqrt0)+0.0*((xsct0_VSI_BP+temp1_VSI_BP)-(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))*d10_sqrt0)+0.5*(+(+xsct0_VSI_BP_VSI_BP+temp1_VSI_BP_VSI_BP)-(m20_sqrt((((xsct0-pInst->temp1)*(xsct0-pInst->temp1))+5.0))*((((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP))))*(((xsct0_VSI_BP-temp1_VSI_BP)*(xsct0-pInst->temp1))+((xsct0-pInst->temp1)*(xsct0_VSI_BP-temp1_VSI_BP)))+d10_sqrt0*(+(+(+xsct0_VSI_BP_VSI_BP-temp1_VSI_BP_VSI_BP)*(xsct0-pInst->temp1)+(xsct0_VSI_BP-temp1_VSI_BP)*(xsct0_VSI_BP-temp1_VSI_BP)+(xsct0_VSI_BP-temp1_VSI_BP)*(xsct0_VSI_BP-temp1_VSI_BP)+(xsct0-pInst->temp1)*(+xsct0_VSI_BP_VSI_BP-temp1_VSI_BP_VSI_BP))+0.0))));
#endif
#endif
xsct=(0.5*((xsct0+pInst->temp1)-d00_sqrt0));
EXIT_IF_ISNAN((0.5*((xsct0+pInst->temp1)-d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=(pInst->CTG_T*(xsct_VDI_SI-((1.0+pInst->CTB_i)*xsbstar_VDI_SI)));
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VDI_SI-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VDI_SI))))+0.0*(xsct_VDI_SI-((1.0+pInst->CTB_i)*xsbstar_VDI_SI))+pInst->CTG_T*(+xsct_VDI_SI_VDI_SI-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VDI_SI)+0.0*xsbstar_VDI_SI+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VDI_SI_VDI_SI))));
  temp2_VDI_SI_VGP_SI=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VGP_SI-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VGP_SI))))+0.0*(xsct_VDI_SI-((1.0+pInst->CTB_i)*xsbstar_VDI_SI))+pInst->CTG_T*(+xsct_VDI_SI_VGP_SI-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VGP_SI)+0.0*xsbstar_VDI_SI+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VDI_SI_VGP_SI))));
  temp2_VDI_SI_VSI_BP=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VSI_BP-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VSI_BP))))+0.0*(xsct_VDI_SI-((1.0+pInst->CTB_i)*xsbstar_VDI_SI))+pInst->CTG_T*(+xsct_VDI_SI_VSI_BP-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VSI_BP)+0.0*xsbstar_VDI_SI+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VDI_SI_VSI_BP))));
#endif
temp2_VGP_SI=(pInst->CTG_T*(xsct_VGP_SI-((1.0+pInst->CTB_i)*xsbstar_VGP_SI)));
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VDI_SI-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VDI_SI))))+0.0*(xsct_VGP_SI-((1.0+pInst->CTB_i)*xsbstar_VGP_SI))+pInst->CTG_T*(+xsct_VGP_SI_VDI_SI-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VDI_SI)+0.0*xsbstar_VGP_SI+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VGP_SI_VDI_SI))));
  temp2_VGP_SI_VGP_SI=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VGP_SI-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VGP_SI))))+0.0*(xsct_VGP_SI-((1.0+pInst->CTB_i)*xsbstar_VGP_SI))+pInst->CTG_T*(+xsct_VGP_SI_VGP_SI-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VGP_SI)+0.0*xsbstar_VGP_SI+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VGP_SI_VGP_SI))));
  temp2_VGP_SI_VSI_BP=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VSI_BP-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VSI_BP))))+0.0*(xsct_VGP_SI-((1.0+pInst->CTB_i)*xsbstar_VGP_SI))+pInst->CTG_T*(+xsct_VGP_SI_VSI_BP-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VSI_BP)+0.0*xsbstar_VGP_SI+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VGP_SI_VSI_BP))));
#endif
temp2_VSI_BP=(pInst->CTG_T*(xsct_VSI_BP-((1.0+pInst->CTB_i)*xsbstar_VSI_BP)));
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VDI_SI-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VDI_SI))))+0.0*(xsct_VSI_BP-((1.0+pInst->CTB_i)*xsbstar_VSI_BP))+pInst->CTG_T*(+xsct_VSI_BP_VDI_SI-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VDI_SI)+0.0*xsbstar_VSI_BP+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VSI_BP_VDI_SI))));
  temp2_VSI_BP_VGP_SI=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VGP_SI-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VGP_SI))))+0.0*(xsct_VSI_BP-((1.0+pInst->CTB_i)*xsbstar_VSI_BP))+pInst->CTG_T*(+xsct_VSI_BP_VGP_SI-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VGP_SI)+0.0*xsbstar_VSI_BP+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VSI_BP_VGP_SI))));
  temp2_VSI_BP_VSI_BP=(+0.0*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))+0.0*(xsct_VSI_BP-(((1.0+pInst->CTB_i)*((0.0)+xsbstar_VSI_BP))))+0.0*(xsct_VSI_BP-((1.0+pInst->CTB_i)*xsbstar_VSI_BP))+pInst->CTG_T*(+xsct_VSI_BP_VSI_BP-(+(+0.0+0.0)*((0.5*xbct)+xsbstar)+0.0*((0.0)+xsbstar_VSI_BP)+0.0*xsbstar_VSI_BP+(1.0+pInst->CTB_i)*(+(+0.0*xbct+0.0*0.0+0.0*0.0+0.5*0.0)+xsbstar_VSI_BP_VSI_BP))));
#endif
#endif
temp2=(pInst->CTG_T*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar))));
EXIT_IF_ISNAN((pInst->CTG_T*(xsct-((1.0+pInst->CTB_i)*((0.5*xbct)+xsbstar)))))
if
((temp2>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,temp2)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
dCTG_VDI_SI=temp2_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  dCTG_VDI_SI_VDI_SI=(m20_exp(temp2)*temp2_VDI_SI*temp2_VDI_SI+d10_exp0*temp2_VDI_SI_VDI_SI);
  dCTG_VDI_SI_VGP_SI=(m20_exp(temp2)*temp2_VGP_SI*temp2_VDI_SI+d10_exp0*temp2_VDI_SI_VGP_SI);
  dCTG_VDI_SI_VSI_BP=(m20_exp(temp2)*temp2_VSI_BP*temp2_VDI_SI+d10_exp0*temp2_VDI_SI_VSI_BP);
#endif
dCTG_VGP_SI=temp2_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  dCTG_VGP_SI_VDI_SI=(m20_exp(temp2)*temp2_VDI_SI*temp2_VGP_SI+d10_exp0*temp2_VGP_SI_VDI_SI);
  dCTG_VGP_SI_VGP_SI=(m20_exp(temp2)*temp2_VGP_SI*temp2_VGP_SI+d10_exp0*temp2_VGP_SI_VGP_SI);
  dCTG_VGP_SI_VSI_BP=(m20_exp(temp2)*temp2_VSI_BP*temp2_VGP_SI+d10_exp0*temp2_VGP_SI_VSI_BP);
#endif
dCTG_VSI_BP=temp2_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  dCTG_VSI_BP_VDI_SI=(m20_exp(temp2)*temp2_VDI_SI*temp2_VSI_BP+d10_exp0*temp2_VSI_BP_VDI_SI);
  dCTG_VSI_BP_VGP_SI=(m20_exp(temp2)*temp2_VGP_SI*temp2_VSI_BP+d10_exp0*temp2_VSI_BP_VGP_SI);
  dCTG_VSI_BP_VSI_BP=(m20_exp(temp2)*temp2_VSI_BP*temp2_VSI_BP+d10_exp0*temp2_VSI_BP_VSI_BP);
#endif
#endif
dCTG=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
dCTG_VDI_SI=(-1.0e-100*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  dCTG_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VDI_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VDI_SI)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01))))))+(-temp2_VDI_SI)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VDI_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VDI_SI)*((-temp2_VDI_SI)*3.3333333333333333e-01)+(-temp2_VDI_SI)*(-temp2_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VDI_SI_VDI_SI)*3.3333333333333333e-01+(-temp2_VDI_SI)*0.0+(-temp2_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))*((((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
  dCTG_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VDI_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VDI_SI)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01))))))+(-temp2_VGP_SI)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VDI_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VDI_SI)*((-temp2_VGP_SI)*3.3333333333333333e-01)+(-temp2_VGP_SI)*(-temp2_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VDI_SI_VGP_SI)*3.3333333333333333e-01+(-temp2_VDI_SI)*0.0+(-temp2_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))*((((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
  dCTG_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VDI_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VDI_SI)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01))))))+(-temp2_VSI_BP)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VDI_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VDI_SI)*((-temp2_VSI_BP)*3.3333333333333333e-01)+(-temp2_VSI_BP)*(-temp2_VDI_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VDI_SI_VSI_BP)*3.3333333333333333e-01+(-temp2_VDI_SI)*0.0+(-temp2_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VDI_SI)*3.3333333333333333e-01)))))*((((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
#endif
dCTG_VGP_SI=(-1.0e-100*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  dCTG_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VGP_SI_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VGP_SI)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01))))))+(-temp2_VDI_SI)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VGP_SI_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VGP_SI)*((-temp2_VDI_SI)*3.3333333333333333e-01)+(-temp2_VDI_SI)*(-temp2_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VGP_SI_VDI_SI)*3.3333333333333333e-01+(-temp2_VGP_SI)*0.0+(-temp2_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))*((((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
  dCTG_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VGP_SI_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VGP_SI)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01))))))+(-temp2_VGP_SI)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VGP_SI_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VGP_SI)*((-temp2_VGP_SI)*3.3333333333333333e-01)+(-temp2_VGP_SI)*(-temp2_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VGP_SI_VGP_SI)*3.3333333333333333e-01+(-temp2_VGP_SI)*0.0+(-temp2_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))*((((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
  dCTG_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VGP_SI_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VGP_SI)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01))))))+(-temp2_VSI_BP)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VGP_SI_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VGP_SI)*((-temp2_VSI_BP)*3.3333333333333333e-01)+(-temp2_VSI_BP)*(-temp2_VGP_SI)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VGP_SI_VSI_BP)*3.3333333333333333e-01+(-temp2_VGP_SI)*0.0+(-temp2_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VGP_SI)*3.3333333333333333e-01)))))*((((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
#endif
dCTG_VSI_BP=(-1.0e-100*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  dCTG_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VSI_BP_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VSI_BP)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01))))))+(-temp2_VDI_SI)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VSI_BP_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VSI_BP)*((-temp2_VDI_SI)*3.3333333333333333e-01)+(-temp2_VDI_SI)*(-temp2_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VSI_BP_VDI_SI)*3.3333333333333333e-01+(-temp2_VSI_BP)*0.0+(-temp2_VDI_SI)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))*((((-temp2_VDI_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VDI_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
  dCTG_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VSI_BP_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VSI_BP)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01))))))+(-temp2_VGP_SI)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01))))+0.0*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VSI_BP_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VSI_BP)*((-temp2_VGP_SI)*3.3333333333333333e-01)+(-temp2_VGP_SI)*(-temp2_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VSI_BP_VGP_SI)*3.3333333333333333e-01+(-temp2_VSI_BP)*0.0+(-temp2_VGP_SI)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))*((((-temp2_VGP_SI)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VGP_SI)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
  dCTG_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))-(0.0*((((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-temp2_VSI_BP_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))+(-temp2_VSI_BP)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01))))))+(-temp2_VSI_BP)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-temp2)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+0.0*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01))))+0.0*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+0.0-temp2_VSI_BP_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))+(-temp2_VSI_BP)*((-temp2_VSI_BP)*3.3333333333333333e-01)+(-temp2_VSI_BP)*(-temp2_VSI_BP)*3.3333333333333333e-01+((-2.3025850929940458e+02)-temp2)*(+0.0+(+(+0.0-temp2_VSI_BP_VSI_BP)*3.3333333333333333e-01+(-temp2_VSI_BP)*0.0+(-temp2_VSI_BP)*0.0+((-2.3025850929940458e+02)-temp2)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*(0.5*(((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*(-temp2_VSI_BP)*3.3333333333333333e-01)))))*((((-temp2_VSI_BP)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-temp2)*((0.5*((((-temp2_VSI_BP)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-temp2)*((-temp2_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
#endif
#endif
dCTG=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp2)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp2)*(1.0+(((-2.3025850929940458e+02)-temp2)*3.3333333333333333e-01)))))))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
ct_fact_VDI_SI=(pInst->CT_T*dCTG_VDI_SI);
#if defined(_DERIVATE2)
  ct_fact_VDI_SI_VDI_SI=(+0.0+(+0.0*dCTG+0.0*dCTG_VDI_SI+0.0*dCTG_VDI_SI+pInst->CT_T*dCTG_VDI_SI_VDI_SI));
  ct_fact_VDI_SI_VGP_SI=(+0.0+(+0.0*dCTG+0.0*dCTG_VGP_SI+0.0*dCTG_VDI_SI+pInst->CT_T*dCTG_VDI_SI_VGP_SI));
  ct_fact_VDI_SI_VSI_BP=(+0.0+(+0.0*dCTG+0.0*dCTG_VSI_BP+0.0*dCTG_VDI_SI+pInst->CT_T*dCTG_VDI_SI_VSI_BP));
#endif
ct_fact_VGP_SI=(pInst->CT_T*dCTG_VGP_SI);
#if defined(_DERIVATE2)
  ct_fact_VGP_SI_VDI_SI=(+0.0+(+0.0*dCTG+0.0*dCTG_VDI_SI+0.0*dCTG_VGP_SI+pInst->CT_T*dCTG_VGP_SI_VDI_SI));
  ct_fact_VGP_SI_VGP_SI=(+0.0+(+0.0*dCTG+0.0*dCTG_VGP_SI+0.0*dCTG_VGP_SI+pInst->CT_T*dCTG_VGP_SI_VGP_SI));
  ct_fact_VGP_SI_VSI_BP=(+0.0+(+0.0*dCTG+0.0*dCTG_VSI_BP+0.0*dCTG_VGP_SI+pInst->CT_T*dCTG_VGP_SI_VSI_BP));
#endif
ct_fact_VSI_BP=(pInst->CT_T*dCTG_VSI_BP);
#if defined(_DERIVATE2)
  ct_fact_VSI_BP_VDI_SI=(+0.0+(+0.0*dCTG+0.0*dCTG_VDI_SI+0.0*dCTG_VSI_BP+pInst->CT_T*dCTG_VSI_BP_VDI_SI));
  ct_fact_VSI_BP_VGP_SI=(+0.0+(+0.0*dCTG+0.0*dCTG_VGP_SI+0.0*dCTG_VSI_BP+pInst->CT_T*dCTG_VSI_BP_VGP_SI));
  ct_fact_VSI_BP_VSI_BP=(+0.0+(+0.0*dCTG+0.0*dCTG_VSI_BP+0.0*dCTG_VSI_BP+pInst->CT_T*dCTG_VSI_BP_VSI_BP));
#endif
#endif
ct_fact=(1.0+(pInst->CT_T*dCTG));
EXIT_IF_ISNAN((1.0+(pInst->CT_T*dCTG)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
phit1_VDI_SI=(((pModel->phit*ct_fact_VDI_SI)*(1.0+dphit1))+((pModel->phit*ct_fact)*dphit1_VDI_SI));
#if defined(_DERIVATE2)
  phit1_VDI_SI_VDI_SI=(+(+0.0*ct_fact+0.0*ct_fact_VDI_SI+0.0*ct_fact_VDI_SI+pModel->phit*ct_fact_VDI_SI_VDI_SI)*(1.0+dphit1)+(pModel->phit*ct_fact_VDI_SI)*dphit1_VDI_SI+((pModel->phit*ct_fact_VDI_SI))*dphit1_VDI_SI+(pModel->phit*ct_fact)*(+0.0+dphit1_VDI_SI_VDI_SI));
  phit1_VDI_SI_VGP_SI=(+(+0.0*ct_fact+0.0*ct_fact_VGP_SI+0.0*ct_fact_VDI_SI+pModel->phit*ct_fact_VDI_SI_VGP_SI)*(1.0+dphit1)+(pModel->phit*ct_fact_VDI_SI)*dphit1_VGP_SI+((pModel->phit*ct_fact_VGP_SI))*dphit1_VDI_SI+(pModel->phit*ct_fact)*(+0.0+dphit1_VDI_SI_VGP_SI));
  phit1_VDI_SI_VSI_BP=(+(+0.0*ct_fact+0.0*ct_fact_VSI_BP+0.0*ct_fact_VDI_SI+pModel->phit*ct_fact_VDI_SI_VSI_BP)*(1.0+dphit1)+(pModel->phit*ct_fact_VDI_SI)*dphit1_VSI_BP+((pModel->phit*ct_fact_VSI_BP))*dphit1_VDI_SI+(pModel->phit*ct_fact)*(+0.0+dphit1_VDI_SI_VSI_BP));
#endif
phit1_VGP_SI=(((pModel->phit*ct_fact_VGP_SI)*(1.0+dphit1))+((pModel->phit*ct_fact)*dphit1_VGP_SI));
#if defined(_DERIVATE2)
  phit1_VGP_SI_VDI_SI=(+(+0.0*ct_fact+0.0*ct_fact_VDI_SI+0.0*ct_fact_VGP_SI+pModel->phit*ct_fact_VGP_SI_VDI_SI)*(1.0+dphit1)+(pModel->phit*ct_fact_VGP_SI)*dphit1_VDI_SI+((pModel->phit*ct_fact_VDI_SI))*dphit1_VGP_SI+(pModel->phit*ct_fact)*(+0.0+dphit1_VGP_SI_VDI_SI));
  phit1_VGP_SI_VGP_SI=(+(+0.0*ct_fact+0.0*ct_fact_VGP_SI+0.0*ct_fact_VGP_SI+pModel->phit*ct_fact_VGP_SI_VGP_SI)*(1.0+dphit1)+(pModel->phit*ct_fact_VGP_SI)*dphit1_VGP_SI+((pModel->phit*ct_fact_VGP_SI))*dphit1_VGP_SI+(pModel->phit*ct_fact)*(+0.0+dphit1_VGP_SI_VGP_SI));
  phit1_VGP_SI_VSI_BP=(+(+0.0*ct_fact+0.0*ct_fact_VSI_BP+0.0*ct_fact_VGP_SI+pModel->phit*ct_fact_VGP_SI_VSI_BP)*(1.0+dphit1)+(pModel->phit*ct_fact_VGP_SI)*dphit1_VSI_BP+((pModel->phit*ct_fact_VSI_BP))*dphit1_VGP_SI+(pModel->phit*ct_fact)*(+0.0+dphit1_VGP_SI_VSI_BP));
#endif
phit1_VSI_BP=(((pModel->phit*ct_fact_VSI_BP)*(1.0+dphit1))+((pModel->phit*ct_fact)*dphit1_VSI_BP));
#if defined(_DERIVATE2)
  phit1_VSI_BP_VDI_SI=(+(+0.0*ct_fact+0.0*ct_fact_VDI_SI+0.0*ct_fact_VSI_BP+pModel->phit*ct_fact_VSI_BP_VDI_SI)*(1.0+dphit1)+(pModel->phit*ct_fact_VSI_BP)*dphit1_VDI_SI+((pModel->phit*ct_fact_VDI_SI))*dphit1_VSI_BP+(pModel->phit*ct_fact)*(+0.0+dphit1_VSI_BP_VDI_SI));
  phit1_VSI_BP_VGP_SI=(+(+0.0*ct_fact+0.0*ct_fact_VGP_SI+0.0*ct_fact_VSI_BP+pModel->phit*ct_fact_VSI_BP_VGP_SI)*(1.0+dphit1)+(pModel->phit*ct_fact_VSI_BP)*dphit1_VGP_SI+((pModel->phit*ct_fact_VGP_SI))*dphit1_VSI_BP+(pModel->phit*ct_fact)*(+0.0+dphit1_VSI_BP_VGP_SI));
  phit1_VSI_BP_VSI_BP=(+(+0.0*ct_fact+0.0*ct_fact_VSI_BP+0.0*ct_fact_VSI_BP+pModel->phit*ct_fact_VSI_BP_VSI_BP)*(1.0+dphit1)+(pModel->phit*ct_fact_VSI_BP)*dphit1_VSI_BP+((pModel->phit*ct_fact_VSI_BP))*dphit1_VSI_BP+(pModel->phit*ct_fact)*(+0.0+dphit1_VSI_BP_VSI_BP));
#endif
#endif
pInst->phit1=((pModel->phit*ct_fact)*(1.0+dphit1));
EXIT_IF_ISNAN(((pModel->phit*ct_fact)*(1.0+dphit1)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
inv_phit1_VDI_SI=(-phit1_VDI_SI/pInst->phit1/pInst->phit1);
#if defined(_DERIVATE2)
  inv_phit1_VDI_SI_VDI_SI=(0.0/pInst->phit1-(0.0*phit1_VDI_SI+0.0*phit1_VDI_SI+1.0*phit1_VDI_SI_VDI_SI)/pInst->phit1/pInst->phit1+2*1.0*phit1_VDI_SI*phit1_VDI_SI/pInst->phit1/pInst->phit1/pInst->phit1);
  inv_phit1_VDI_SI_VGP_SI=(0.0/pInst->phit1-(0.0*phit1_VGP_SI+0.0*phit1_VDI_SI+1.0*phit1_VDI_SI_VGP_SI)/pInst->phit1/pInst->phit1+2*1.0*phit1_VDI_SI*phit1_VGP_SI/pInst->phit1/pInst->phit1/pInst->phit1);
  inv_phit1_VDI_SI_VSI_BP=(0.0/pInst->phit1-(0.0*phit1_VSI_BP+0.0*phit1_VDI_SI+1.0*phit1_VDI_SI_VSI_BP)/pInst->phit1/pInst->phit1+2*1.0*phit1_VDI_SI*phit1_VSI_BP/pInst->phit1/pInst->phit1/pInst->phit1);
#endif
inv_phit1_VGP_SI=(-phit1_VGP_SI/pInst->phit1/pInst->phit1);
#if defined(_DERIVATE2)
  inv_phit1_VGP_SI_VDI_SI=(0.0/pInst->phit1-(0.0*phit1_VDI_SI+0.0*phit1_VGP_SI+1.0*phit1_VGP_SI_VDI_SI)/pInst->phit1/pInst->phit1+2*1.0*phit1_VGP_SI*phit1_VDI_SI/pInst->phit1/pInst->phit1/pInst->phit1);
  inv_phit1_VGP_SI_VGP_SI=(0.0/pInst->phit1-(0.0*phit1_VGP_SI+0.0*phit1_VGP_SI+1.0*phit1_VGP_SI_VGP_SI)/pInst->phit1/pInst->phit1+2*1.0*phit1_VGP_SI*phit1_VGP_SI/pInst->phit1/pInst->phit1/pInst->phit1);
  inv_phit1_VGP_SI_VSI_BP=(0.0/pInst->phit1-(0.0*phit1_VSI_BP+0.0*phit1_VGP_SI+1.0*phit1_VGP_SI_VSI_BP)/pInst->phit1/pInst->phit1+2*1.0*phit1_VGP_SI*phit1_VSI_BP/pInst->phit1/pInst->phit1/pInst->phit1);
#endif
inv_phit1_VSI_BP=(-phit1_VSI_BP/pInst->phit1/pInst->phit1);
#if defined(_DERIVATE2)
  inv_phit1_VSI_BP_VDI_SI=(0.0/pInst->phit1-(0.0*phit1_VDI_SI+0.0*phit1_VSI_BP+1.0*phit1_VSI_BP_VDI_SI)/pInst->phit1/pInst->phit1+2*1.0*phit1_VSI_BP*phit1_VDI_SI/pInst->phit1/pInst->phit1/pInst->phit1);
  inv_phit1_VSI_BP_VGP_SI=(0.0/pInst->phit1-(0.0*phit1_VGP_SI+0.0*phit1_VSI_BP+1.0*phit1_VSI_BP_VGP_SI)/pInst->phit1/pInst->phit1+2*1.0*phit1_VSI_BP*phit1_VGP_SI/pInst->phit1/pInst->phit1/pInst->phit1);
  inv_phit1_VSI_BP_VSI_BP=(0.0/pInst->phit1-(0.0*phit1_VSI_BP+0.0*phit1_VSI_BP+1.0*phit1_VSI_BP_VSI_BP)/pInst->phit1/pInst->phit1+2*1.0*phit1_VSI_BP*phit1_VSI_BP/pInst->phit1/pInst->phit1/pInst->phit1);
#endif
#endif
inv_phit1=(1.0/pInst->phit1);
EXIT_IF_ISNAN((1.0/pInst->phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xg_VDI_SI=((Vgb1_VDI_SI*inv_phit1)+(Vgb1*inv_phit1_VDI_SI));
#if defined(_DERIVATE2)
  xg_VDI_SI_VDI_SI=(+Vgb1_VDI_SI_VDI_SI*inv_phit1+Vgb1_VDI_SI*inv_phit1_VDI_SI+Vgb1_VDI_SI*inv_phit1_VDI_SI+Vgb1*inv_phit1_VDI_SI_VDI_SI);
  xg_VDI_SI_VGP_SI=(+Vgb1_VDI_SI_VGP_SI*inv_phit1+Vgb1_VDI_SI*inv_phit1_VGP_SI+Vgb1_VGP_SI*inv_phit1_VDI_SI+Vgb1*inv_phit1_VDI_SI_VGP_SI);
  xg_VDI_SI_VSI_BP=(+Vgb1_VDI_SI_VSI_BP*inv_phit1+Vgb1_VDI_SI*inv_phit1_VSI_BP+Vgb1_VSI_BP*inv_phit1_VDI_SI+Vgb1*inv_phit1_VDI_SI_VSI_BP);
#endif
xg_VGP_SI=((Vgb1_VGP_SI*inv_phit1)+(Vgb1*inv_phit1_VGP_SI));
#if defined(_DERIVATE2)
  xg_VGP_SI_VDI_SI=(+Vgb1_VGP_SI_VDI_SI*inv_phit1+Vgb1_VGP_SI*inv_phit1_VDI_SI+Vgb1_VDI_SI*inv_phit1_VGP_SI+Vgb1*inv_phit1_VGP_SI_VDI_SI);
  xg_VGP_SI_VGP_SI=(+Vgb1_VGP_SI_VGP_SI*inv_phit1+Vgb1_VGP_SI*inv_phit1_VGP_SI+Vgb1_VGP_SI*inv_phit1_VGP_SI+Vgb1*inv_phit1_VGP_SI_VGP_SI);
  xg_VGP_SI_VSI_BP=(+Vgb1_VGP_SI_VSI_BP*inv_phit1+Vgb1_VGP_SI*inv_phit1_VSI_BP+Vgb1_VSI_BP*inv_phit1_VGP_SI+Vgb1*inv_phit1_VGP_SI_VSI_BP);
#endif
xg_VSI_BP=((Vgb1_VSI_BP*inv_phit1)+(Vgb1*inv_phit1_VSI_BP));
#if defined(_DERIVATE2)
  xg_VSI_BP_VDI_SI=(+Vgb1_VSI_BP_VDI_SI*inv_phit1+Vgb1_VSI_BP*inv_phit1_VDI_SI+Vgb1_VDI_SI*inv_phit1_VSI_BP+Vgb1*inv_phit1_VSI_BP_VDI_SI);
  xg_VSI_BP_VGP_SI=(+Vgb1_VSI_BP_VGP_SI*inv_phit1+Vgb1_VSI_BP*inv_phit1_VGP_SI+Vgb1_VGP_SI*inv_phit1_VSI_BP+Vgb1*inv_phit1_VSI_BP_VGP_SI);
  xg_VSI_BP_VSI_BP=(+Vgb1_VSI_BP_VSI_BP*inv_phit1+Vgb1_VSI_BP*inv_phit1_VSI_BP+Vgb1_VSI_BP*inv_phit1_VSI_BP+Vgb1*inv_phit1_VSI_BP_VSI_BP);
#endif
#endif
xg=(Vgb1*inv_phit1);
EXIT_IF_ISNAN((Vgb1*inv_phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xi_VDI_SI=Gf_VDI_SI*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  xi_VDI_SI_VDI_SI=(+0.0+(+Gf_VDI_SI_VDI_SI*7.0710678118654746e-01+Gf_VDI_SI*0.0+Gf_VDI_SI*0.0+Gf*0.0));
  xi_VDI_SI_VGP_SI=(+0.0+(+Gf_VDI_SI_VGP_SI*7.0710678118654746e-01+Gf_VDI_SI*0.0+Gf_VGP_SI*0.0+Gf*0.0));
  xi_VDI_SI_VSI_BP=(+0.0+(+Gf_VDI_SI_VSI_BP*7.0710678118654746e-01+Gf_VDI_SI*0.0+Gf_VSI_BP*0.0+Gf*0.0));
#endif
xi_VGP_SI=Gf_VGP_SI*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  xi_VGP_SI_VDI_SI=(+0.0+(+Gf_VGP_SI_VDI_SI*7.0710678118654746e-01+Gf_VGP_SI*0.0+Gf_VDI_SI*0.0+Gf*0.0));
  xi_VGP_SI_VGP_SI=(+0.0+(+Gf_VGP_SI_VGP_SI*7.0710678118654746e-01+Gf_VGP_SI*0.0+Gf_VGP_SI*0.0+Gf*0.0));
  xi_VGP_SI_VSI_BP=(+0.0+(+Gf_VGP_SI_VSI_BP*7.0710678118654746e-01+Gf_VGP_SI*0.0+Gf_VSI_BP*0.0+Gf*0.0));
#endif
xi_VSI_BP=Gf_VSI_BP*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  xi_VSI_BP_VDI_SI=(+0.0+(+Gf_VSI_BP_VDI_SI*7.0710678118654746e-01+Gf_VSI_BP*0.0+Gf_VDI_SI*0.0+Gf*0.0));
  xi_VSI_BP_VGP_SI=(+0.0+(+Gf_VSI_BP_VGP_SI*7.0710678118654746e-01+Gf_VSI_BP*0.0+Gf_VGP_SI*0.0+Gf*0.0));
  xi_VSI_BP_VSI_BP=(+0.0+(+Gf_VSI_BP_VSI_BP*7.0710678118654746e-01+Gf_VSI_BP*0.0+Gf_VSI_BP*0.0+Gf*0.0));
#endif
#endif
xi=(1.0+(Gf*7.0710678118654746e-01));
EXIT_IF_ISNAN((1.0+(Gf*7.0710678118654746e-01)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
inv_xi_VDI_SI=(-xi_VDI_SI/xi/xi);
#if defined(_DERIVATE2)
  inv_xi_VDI_SI_VDI_SI=(0.0/xi-(0.0*xi_VDI_SI+0.0*xi_VDI_SI+1.0*xi_VDI_SI_VDI_SI)/xi/xi+2*1.0*xi_VDI_SI*xi_VDI_SI/xi/xi/xi);
  inv_xi_VDI_SI_VGP_SI=(0.0/xi-(0.0*xi_VGP_SI+0.0*xi_VDI_SI+1.0*xi_VDI_SI_VGP_SI)/xi/xi+2*1.0*xi_VDI_SI*xi_VGP_SI/xi/xi/xi);
  inv_xi_VDI_SI_VSI_BP=(0.0/xi-(0.0*xi_VSI_BP+0.0*xi_VDI_SI+1.0*xi_VDI_SI_VSI_BP)/xi/xi+2*1.0*xi_VDI_SI*xi_VSI_BP/xi/xi/xi);
#endif
inv_xi_VGP_SI=(-xi_VGP_SI/xi/xi);
#if defined(_DERIVATE2)
  inv_xi_VGP_SI_VDI_SI=(0.0/xi-(0.0*xi_VDI_SI+0.0*xi_VGP_SI+1.0*xi_VGP_SI_VDI_SI)/xi/xi+2*1.0*xi_VGP_SI*xi_VDI_SI/xi/xi/xi);
  inv_xi_VGP_SI_VGP_SI=(0.0/xi-(0.0*xi_VGP_SI+0.0*xi_VGP_SI+1.0*xi_VGP_SI_VGP_SI)/xi/xi+2*1.0*xi_VGP_SI*xi_VGP_SI/xi/xi/xi);
  inv_xi_VGP_SI_VSI_BP=(0.0/xi-(0.0*xi_VSI_BP+0.0*xi_VGP_SI+1.0*xi_VGP_SI_VSI_BP)/xi/xi+2*1.0*xi_VGP_SI*xi_VSI_BP/xi/xi/xi);
#endif
inv_xi_VSI_BP=(-xi_VSI_BP/xi/xi);
#if defined(_DERIVATE2)
  inv_xi_VSI_BP_VDI_SI=(0.0/xi-(0.0*xi_VDI_SI+0.0*xi_VSI_BP+1.0*xi_VSI_BP_VDI_SI)/xi/xi+2*1.0*xi_VSI_BP*xi_VDI_SI/xi/xi/xi);
  inv_xi_VSI_BP_VGP_SI=(0.0/xi-(0.0*xi_VGP_SI+0.0*xi_VSI_BP+1.0*xi_VSI_BP_VGP_SI)/xi/xi+2*1.0*xi_VSI_BP*xi_VGP_SI/xi/xi/xi);
  inv_xi_VSI_BP_VSI_BP=(0.0/xi-(0.0*xi_VSI_BP+0.0*xi_VSI_BP+1.0*xi_VSI_BP_VSI_BP)/xi/xi+2*1.0*xi_VSI_BP*xi_VSI_BP/xi/xi/xi);
#endif
#endif
inv_xi=(1.0/xi);
EXIT_IF_ISNAN((1.0/xi))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ux_VDI_SI=((Vsbstar_VDI_SI*inv_phit1)+(Vsbstar*inv_phit1_VDI_SI));
#if defined(_DERIVATE2)
  Ux_VDI_SI_VDI_SI=(+Vsbstar_VDI_SI_VDI_SI*inv_phit1+Vsbstar_VDI_SI*inv_phit1_VDI_SI+Vsbstar_VDI_SI*inv_phit1_VDI_SI+Vsbstar*inv_phit1_VDI_SI_VDI_SI);
  Ux_VDI_SI_VSI_BP=(+Vsbstar_VDI_SI_VSI_BP*inv_phit1+Vsbstar_VDI_SI*inv_phit1_VSI_BP+Vsbstar_VSI_BP*inv_phit1_VDI_SI+Vsbstar*inv_phit1_VDI_SI_VSI_BP);
  Ux_VDI_SI_VGP_SI=(+Vsbstar_VDI_SI_VGP_SI*inv_phit1+Vsbstar_VDI_SI*inv_phit1_VGP_SI+Vsbstar_VGP_SI*inv_phit1_VDI_SI+Vsbstar*inv_phit1_VDI_SI_VGP_SI);
#endif
Ux_VSI_BP=((Vsbstar_VSI_BP*inv_phit1)+(Vsbstar*inv_phit1_VSI_BP));
#if defined(_DERIVATE2)
  Ux_VSI_BP_VDI_SI=(+Vsbstar_VSI_BP_VDI_SI*inv_phit1+Vsbstar_VSI_BP*inv_phit1_VDI_SI+Vsbstar_VDI_SI*inv_phit1_VSI_BP+Vsbstar*inv_phit1_VSI_BP_VDI_SI);
  Ux_VSI_BP_VSI_BP=(+Vsbstar_VSI_BP_VSI_BP*inv_phit1+Vsbstar_VSI_BP*inv_phit1_VSI_BP+Vsbstar_VSI_BP*inv_phit1_VSI_BP+Vsbstar*inv_phit1_VSI_BP_VSI_BP);
  Ux_VSI_BP_VGP_SI=(+Vsbstar_VSI_BP_VGP_SI*inv_phit1+Vsbstar_VSI_BP*inv_phit1_VGP_SI+Vsbstar_VGP_SI*inv_phit1_VSI_BP+Vsbstar*inv_phit1_VSI_BP_VGP_SI);
#endif
Ux_VGP_SI=((Vsbstar_VGP_SI*inv_phit1)+(Vsbstar*inv_phit1_VGP_SI));
#if defined(_DERIVATE2)
  Ux_VGP_SI_VDI_SI=(+Vsbstar_VGP_SI_VDI_SI*inv_phit1+Vsbstar_VGP_SI*inv_phit1_VDI_SI+Vsbstar_VDI_SI*inv_phit1_VGP_SI+Vsbstar*inv_phit1_VGP_SI_VDI_SI);
  Ux_VGP_SI_VSI_BP=(+Vsbstar_VGP_SI_VSI_BP*inv_phit1+Vsbstar_VGP_SI*inv_phit1_VSI_BP+Vsbstar_VSI_BP*inv_phit1_VGP_SI+Vsbstar*inv_phit1_VGP_SI_VSI_BP);
  Ux_VGP_SI_VGP_SI=(+Vsbstar_VGP_SI_VGP_SI*inv_phit1+Vsbstar_VGP_SI*inv_phit1_VGP_SI+Vsbstar_VGP_SI*inv_phit1_VGP_SI+Vsbstar*inv_phit1_VGP_SI_VGP_SI);
#endif
#endif
Ux=(Vsbstar*inv_phit1);
EXIT_IF_ISNAN((Vsbstar*inv_phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xn_s_VDI_SI=((phib*inv_phit1_VDI_SI)+Ux_VDI_SI);
#if defined(_DERIVATE2)
  xn_s_VDI_SI_VDI_SI=(+(+0.0*inv_phit1+0.0*inv_phit1_VDI_SI+0.0*inv_phit1_VDI_SI+phib*inv_phit1_VDI_SI_VDI_SI)+Ux_VDI_SI_VDI_SI);
  xn_s_VDI_SI_VGP_SI=(+(+0.0*inv_phit1+0.0*inv_phit1_VGP_SI+0.0*inv_phit1_VDI_SI+phib*inv_phit1_VDI_SI_VGP_SI)+Ux_VDI_SI_VGP_SI);
  xn_s_VDI_SI_VSI_BP=(+(+0.0*inv_phit1+0.0*inv_phit1_VSI_BP+0.0*inv_phit1_VDI_SI+phib*inv_phit1_VDI_SI_VSI_BP)+Ux_VDI_SI_VSI_BP);
#endif
xn_s_VGP_SI=((phib*inv_phit1_VGP_SI)+Ux_VGP_SI);
#if defined(_DERIVATE2)
  xn_s_VGP_SI_VDI_SI=(+(+0.0*inv_phit1+0.0*inv_phit1_VDI_SI+0.0*inv_phit1_VGP_SI+phib*inv_phit1_VGP_SI_VDI_SI)+Ux_VGP_SI_VDI_SI);
  xn_s_VGP_SI_VGP_SI=(+(+0.0*inv_phit1+0.0*inv_phit1_VGP_SI+0.0*inv_phit1_VGP_SI+phib*inv_phit1_VGP_SI_VGP_SI)+Ux_VGP_SI_VGP_SI);
  xn_s_VGP_SI_VSI_BP=(+(+0.0*inv_phit1+0.0*inv_phit1_VSI_BP+0.0*inv_phit1_VGP_SI+phib*inv_phit1_VGP_SI_VSI_BP)+Ux_VGP_SI_VSI_BP);
#endif
xn_s_VSI_BP=((phib*inv_phit1_VSI_BP)+Ux_VSI_BP);
#if defined(_DERIVATE2)
  xn_s_VSI_BP_VDI_SI=(+(+0.0*inv_phit1+0.0*inv_phit1_VDI_SI+0.0*inv_phit1_VSI_BP+phib*inv_phit1_VSI_BP_VDI_SI)+Ux_VSI_BP_VDI_SI);
  xn_s_VSI_BP_VGP_SI=(+(+0.0*inv_phit1+0.0*inv_phit1_VGP_SI+0.0*inv_phit1_VSI_BP+phib*inv_phit1_VSI_BP_VGP_SI)+Ux_VSI_BP_VGP_SI);
  xn_s_VSI_BP_VSI_BP=(+(+0.0*inv_phit1+0.0*inv_phit1_VSI_BP+0.0*inv_phit1_VSI_BP+phib*inv_phit1_VSI_BP_VSI_BP)+Ux_VSI_BP_VSI_BP);
#endif
#endif
xn_s=((phib*inv_phit1)+Ux);
EXIT_IF_ISNAN(((phib*inv_phit1)+Ux))
if
((xn_s<4.6051701859880916e+02))
{
{
double m00_exp(d00_exp0,(-xn_s))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_ns_VDI_SI=(-xn_s_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  delta_ns_VDI_SI_VDI_SI=(m20_exp((-xn_s))*(-xn_s_VDI_SI)*(-xn_s_VDI_SI)+d10_exp0*0.0);
  delta_ns_VDI_SI_VGP_SI=(m20_exp((-xn_s))*(-xn_s_VGP_SI)*(-xn_s_VDI_SI)+d10_exp0*0.0);
  delta_ns_VDI_SI_VSI_BP=(m20_exp((-xn_s))*(-xn_s_VSI_BP)*(-xn_s_VDI_SI)+d10_exp0*0.0);
#endif
delta_ns_VGP_SI=(-xn_s_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  delta_ns_VGP_SI_VDI_SI=(m20_exp((-xn_s))*(-xn_s_VDI_SI)*(-xn_s_VGP_SI)+d10_exp0*0.0);
  delta_ns_VGP_SI_VGP_SI=(m20_exp((-xn_s))*(-xn_s_VGP_SI)*(-xn_s_VGP_SI)+d10_exp0*0.0);
  delta_ns_VGP_SI_VSI_BP=(m20_exp((-xn_s))*(-xn_s_VSI_BP)*(-xn_s_VGP_SI)+d10_exp0*0.0);
#endif
delta_ns_VSI_BP=(-xn_s_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  delta_ns_VSI_BP_VDI_SI=(m20_exp((-xn_s))*(-xn_s_VDI_SI)*(-xn_s_VSI_BP)+d10_exp0*0.0);
  delta_ns_VSI_BP_VGP_SI=(m20_exp((-xn_s))*(-xn_s_VGP_SI)*(-xn_s_VSI_BP)+d10_exp0*0.0);
  delta_ns_VSI_BP_VSI_BP=(m20_exp((-xn_s))*(-xn_s_VSI_BP)*(-xn_s_VSI_BP)+d10_exp0*0.0);
#endif
#endif
delta_ns=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_ns_VDI_SI=(-1.0e-200*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  delta_ns_VDI_SI_VDI_SI=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VDI_SI*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01))))))+xn_s_VDI_SI*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01))))+0.0*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01))+0.5*(+(+xn_s_VDI_SI_VDI_SI-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VDI_SI*(xn_s_VDI_SI*3.3333333333333333e-01)+xn_s_VDI_SI*xn_s_VDI_SI*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+xn_s_VDI_SI*0.0+xn_s_VDI_SI*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))*(((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  delta_ns_VDI_SI_VGP_SI=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VDI_SI*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01))))))+xn_s_VGP_SI*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01))))+0.0*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01))+0.5*(+(+xn_s_VDI_SI_VGP_SI-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VDI_SI*(xn_s_VGP_SI*3.3333333333333333e-01)+xn_s_VGP_SI*xn_s_VDI_SI*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+xn_s_VDI_SI*0.0+xn_s_VGP_SI*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))*(((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  delta_ns_VDI_SI_VSI_BP=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VDI_SI*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01))))))+xn_s_VSI_BP*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01))))+0.0*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01))+0.5*(+(+xn_s_VDI_SI_VSI_BP-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VDI_SI*(xn_s_VSI_BP*3.3333333333333333e-01)+xn_s_VSI_BP*xn_s_VDI_SI*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+xn_s_VDI_SI*0.0+xn_s_VSI_BP*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VDI_SI*3.3333333333333333e-01)))))*(((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#endif
delta_ns_VGP_SI=(-1.0e-200*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  delta_ns_VGP_SI_VDI_SI=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VGP_SI*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01))))))+xn_s_VDI_SI*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01))))+0.0*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01))+0.5*(+(+xn_s_VGP_SI_VDI_SI-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VGP_SI*(xn_s_VDI_SI*3.3333333333333333e-01)+xn_s_VDI_SI*xn_s_VGP_SI*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+xn_s_VGP_SI*0.0+xn_s_VDI_SI*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))*(((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  delta_ns_VGP_SI_VGP_SI=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VGP_SI*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01))))))+xn_s_VGP_SI*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01))))+0.0*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01))+0.5*(+(+xn_s_VGP_SI_VGP_SI-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VGP_SI*(xn_s_VGP_SI*3.3333333333333333e-01)+xn_s_VGP_SI*xn_s_VGP_SI*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+xn_s_VGP_SI*0.0+xn_s_VGP_SI*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))*(((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  delta_ns_VGP_SI_VSI_BP=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VGP_SI*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01))))))+xn_s_VSI_BP*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01))))+0.0*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01))+0.5*(+(+xn_s_VGP_SI_VSI_BP-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VGP_SI*(xn_s_VSI_BP*3.3333333333333333e-01)+xn_s_VSI_BP*xn_s_VGP_SI*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+xn_s_VGP_SI*0.0+xn_s_VSI_BP*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VGP_SI*3.3333333333333333e-01)))))*(((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#endif
delta_ns_VSI_BP=(-1.0e-200*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  delta_ns_VSI_BP_VDI_SI=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VSI_BP*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01))))))+xn_s_VDI_SI*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01))))+0.0*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01))+0.5*(+(+xn_s_VSI_BP_VDI_SI-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VSI_BP*(xn_s_VDI_SI*3.3333333333333333e-01)+xn_s_VDI_SI*xn_s_VSI_BP*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+xn_s_VSI_BP*0.0+xn_s_VDI_SI*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))*(((xn_s_VDI_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VDI_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  delta_ns_VSI_BP_VGP_SI=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VSI_BP*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01))))))+xn_s_VGP_SI*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01))))+0.0*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01))+0.5*(+(+xn_s_VSI_BP_VGP_SI-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VSI_BP*(xn_s_VGP_SI*3.3333333333333333e-01)+xn_s_VGP_SI*xn_s_VSI_BP*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+xn_s_VSI_BP*0.0+xn_s_VGP_SI*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))*(((xn_s_VGP_SI*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VGP_SI*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  delta_ns_VSI_BP_VSI_BP=(0.0/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+xn_s_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))+xn_s_VSI_BP*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01))))))+xn_s_VSI_BP*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))+(xn_s-4.6051701859880916e+02)*(+0.0+(+0.0*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01))))+0.0*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01))+0.5*(+(+xn_s_VSI_BP_VSI_BP-0.0)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))+xn_s_VSI_BP*(xn_s_VSI_BP*3.3333333333333333e-01)+xn_s_VSI_BP*xn_s_VSI_BP*3.3333333333333333e-01+(xn_s-4.6051701859880916e+02)*(+0.0+(+(+xn_s_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+xn_s_VSI_BP*0.0+xn_s_VSI_BP*0.0+(xn_s-4.6051701859880916e+02)*0.0))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*(0.5*((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*xn_s_VSI_BP*3.3333333333333333e-01)))))*(((xn_s_VSI_BP*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((xn_s-4.6051701859880916e+02)*((0.5*(((xn_s_VSI_BP*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))+((xn_s-4.6051701859880916e+02)*(xn_s_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#endif
#endif
delta_ns=(1.0e-200/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-200/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
margin_VDI_SI=(1.0e-5*xi_VDI_SI);
margin_VGP_SI=(1.0e-5*xi_VGP_SI);
margin_VSI_BP=(1.0e-5*xi_VSI_BP);
#endif
margin=(1.0e-5*xi);
EXIT_IF_ISNAN((1.0e-5*xi))
{
double m00_fabs(d00_fabs0,xg)
if
((d00_fabs0<=margin))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp1_VDI_SI=((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  SP_S_temp1_VDI_SI_VDI_SI=(+(+(+inv_xi_VDI_SI_VDI_SI*inv_xi+inv_xi_VDI_SI*inv_xi_VDI_SI+inv_xi_VDI_SI*inv_xi_VDI_SI+inv_xi*inv_xi_VDI_SI_VDI_SI)*1.6666666666666667e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*0.0+(((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VDI_SI_VGP_SI=(+(+(+inv_xi_VDI_SI_VGP_SI*inv_xi+inv_xi_VDI_SI*inv_xi_VGP_SI+inv_xi_VGP_SI*inv_xi_VDI_SI+inv_xi*inv_xi_VDI_SI_VGP_SI)*1.6666666666666667e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*0.0+(((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VDI_SI_VSI_BP=(+(+(+inv_xi_VDI_SI_VSI_BP*inv_xi+inv_xi_VDI_SI*inv_xi_VSI_BP+inv_xi_VSI_BP*inv_xi_VDI_SI+inv_xi*inv_xi_VDI_SI_VSI_BP)*1.6666666666666667e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*0.0+(((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
#endif
SP_S_temp1_VGP_SI=((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  SP_S_temp1_VGP_SI_VDI_SI=(+(+(+inv_xi_VGP_SI_VDI_SI*inv_xi+inv_xi_VGP_SI*inv_xi_VDI_SI+inv_xi_VDI_SI*inv_xi_VGP_SI+inv_xi*inv_xi_VGP_SI_VDI_SI)*1.6666666666666667e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*0.0+(((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VGP_SI_VGP_SI=(+(+(+inv_xi_VGP_SI_VGP_SI*inv_xi+inv_xi_VGP_SI*inv_xi_VGP_SI+inv_xi_VGP_SI*inv_xi_VGP_SI+inv_xi*inv_xi_VGP_SI_VGP_SI)*1.6666666666666667e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*0.0+(((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VGP_SI_VSI_BP=(+(+(+inv_xi_VGP_SI_VSI_BP*inv_xi+inv_xi_VGP_SI*inv_xi_VSI_BP+inv_xi_VSI_BP*inv_xi_VGP_SI+inv_xi*inv_xi_VGP_SI_VSI_BP)*1.6666666666666667e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*0.0+(((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
#endif
SP_S_temp1_VSI_BP=((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  SP_S_temp1_VSI_BP_VDI_SI=(+(+(+inv_xi_VSI_BP_VDI_SI*inv_xi+inv_xi_VSI_BP*inv_xi_VDI_SI+inv_xi_VDI_SI*inv_xi_VSI_BP+inv_xi*inv_xi_VSI_BP_VDI_SI)*1.6666666666666667e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*0.0+(((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*0.0+((((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VSI_BP_VGP_SI=(+(+(+inv_xi_VSI_BP_VGP_SI*inv_xi+inv_xi_VSI_BP*inv_xi_VGP_SI+inv_xi_VGP_SI*inv_xi_VSI_BP+inv_xi*inv_xi_VSI_BP_VGP_SI)*1.6666666666666667e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*0.0+(((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*0.0+((((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VSI_BP_VSI_BP=(+(+(+inv_xi_VSI_BP_VSI_BP*inv_xi+inv_xi_VSI_BP*inv_xi_VSI_BP+inv_xi_VSI_BP*inv_xi_VSI_BP+inv_xi*inv_xi_VSI_BP_VSI_BP)*1.6666666666666667e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*0.0+(((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*0.0+((((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
#endif
#endif
SP_S_temp1=(((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
EXIT_IF_ISNAN((((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_s_VDI_SI=((((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)))+((xg*inv_xi)*((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI))));
#if defined(_DERIVATE2)
  x_s_VDI_SI_VDI_SI=(+(+xg_VDI_SI_VDI_SI*inv_xi+xg_VDI_SI*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VDI_SI)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VDI_SI_VDI_SI*(1.0-delta_ns)+xg_VDI_SI*(-delta_ns_VDI_SI)+xg_VDI_SI*(-delta_ns_VDI_SI)+xg*(+0.0-delta_ns_VDI_SI_VDI_SI))*Gf+((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf_VDI_SI+(((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf_VDI_SI+(xg*(1.0-delta_ns))*Gf_VDI_SI_VDI_SI)*SP_S_temp1+((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1_VDI_SI+((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI)))*SP_S_temp1_VDI_SI+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI_VDI_SI)));
  x_s_VDI_SI_VGP_SI=(+(+xg_VDI_SI_VGP_SI*inv_xi+xg_VDI_SI*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VGP_SI)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VDI_SI_VGP_SI*(1.0-delta_ns)+xg_VDI_SI*(-delta_ns_VGP_SI)+xg_VGP_SI*(-delta_ns_VDI_SI)+xg*(+0.0-delta_ns_VDI_SI_VGP_SI))*Gf+((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf_VGP_SI+(((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf_VDI_SI+(xg*(1.0-delta_ns))*Gf_VDI_SI_VGP_SI)*SP_S_temp1+((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1_VGP_SI+((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI)))*SP_S_temp1_VDI_SI+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI_VGP_SI)));
  x_s_VDI_SI_VSI_BP=(+(+xg_VDI_SI_VSI_BP*inv_xi+xg_VDI_SI*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VSI_BP)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VDI_SI_VSI_BP*(1.0-delta_ns)+xg_VDI_SI*(-delta_ns_VSI_BP)+xg_VSI_BP*(-delta_ns_VDI_SI)+xg*(+0.0-delta_ns_VDI_SI_VSI_BP))*Gf+((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf_VSI_BP+(((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf_VDI_SI+(xg*(1.0-delta_ns))*Gf_VDI_SI_VSI_BP)*SP_S_temp1+((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI))*SP_S_temp1_VSI_BP+((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP)))*SP_S_temp1_VDI_SI+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI_VSI_BP)));
#endif
x_s_VGP_SI=((((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)))+((xg*inv_xi)*((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI))));
#if defined(_DERIVATE2)
  x_s_VGP_SI_VDI_SI=(+(+xg_VGP_SI_VDI_SI*inv_xi+xg_VGP_SI*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VDI_SI)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VGP_SI_VDI_SI*(1.0-delta_ns)+xg_VGP_SI*(-delta_ns_VDI_SI)+xg_VDI_SI*(-delta_ns_VGP_SI)+xg*(+0.0-delta_ns_VGP_SI_VDI_SI))*Gf+((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf_VDI_SI+(((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf_VGP_SI+(xg*(1.0-delta_ns))*Gf_VGP_SI_VDI_SI)*SP_S_temp1+((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1_VDI_SI+((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI)))*SP_S_temp1_VGP_SI+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI_VDI_SI)));
  x_s_VGP_SI_VGP_SI=(+(+xg_VGP_SI_VGP_SI*inv_xi+xg_VGP_SI*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VGP_SI)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VGP_SI_VGP_SI*(1.0-delta_ns)+xg_VGP_SI*(-delta_ns_VGP_SI)+xg_VGP_SI*(-delta_ns_VGP_SI)+xg*(+0.0-delta_ns_VGP_SI_VGP_SI))*Gf+((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf_VGP_SI+(((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf_VGP_SI+(xg*(1.0-delta_ns))*Gf_VGP_SI_VGP_SI)*SP_S_temp1+((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1_VGP_SI+((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI)))*SP_S_temp1_VGP_SI+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI_VGP_SI)));
  x_s_VGP_SI_VSI_BP=(+(+xg_VGP_SI_VSI_BP*inv_xi+xg_VGP_SI*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VSI_BP)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VGP_SI_VSI_BP*(1.0-delta_ns)+xg_VGP_SI*(-delta_ns_VSI_BP)+xg_VSI_BP*(-delta_ns_VGP_SI)+xg*(+0.0-delta_ns_VGP_SI_VSI_BP))*Gf+((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf_VSI_BP+(((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf_VGP_SI+(xg*(1.0-delta_ns))*Gf_VGP_SI_VSI_BP)*SP_S_temp1+((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI)))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI))*SP_S_temp1_VSI_BP+((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP)))*SP_S_temp1_VGP_SI+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI_VSI_BP)));
#endif
x_s_VSI_BP=((((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)))+((xg*inv_xi)*((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP))));
#if defined(_DERIVATE2)
  x_s_VSI_BP_VDI_SI=(+(+xg_VSI_BP_VDI_SI*inv_xi+xg_VSI_BP*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VDI_SI)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP))+(xg*inv_xi)*(+0.0+(+(+(+xg_VSI_BP_VDI_SI*(1.0-delta_ns)+xg_VSI_BP*(-delta_ns_VDI_SI)+xg_VDI_SI*(-delta_ns_VSI_BP)+xg*(+0.0-delta_ns_VSI_BP_VDI_SI))*Gf+((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf_VDI_SI+(((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf_VSI_BP+(xg*(1.0-delta_ns))*Gf_VSI_BP_VDI_SI)*SP_S_temp1+((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1_VDI_SI+((((((xg_VDI_SI*(1.0-delta_ns))+(xg*(-delta_ns_VDI_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VDI_SI)))*SP_S_temp1_VSI_BP+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP_VDI_SI)));
  x_s_VSI_BP_VGP_SI=(+(+xg_VSI_BP_VGP_SI*inv_xi+xg_VSI_BP*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VGP_SI)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP))+(xg*inv_xi)*(+0.0+(+(+(+xg_VSI_BP_VGP_SI*(1.0-delta_ns)+xg_VSI_BP*(-delta_ns_VGP_SI)+xg_VGP_SI*(-delta_ns_VSI_BP)+xg*(+0.0-delta_ns_VSI_BP_VGP_SI))*Gf+((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf_VGP_SI+(((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf_VSI_BP+(xg*(1.0-delta_ns))*Gf_VSI_BP_VGP_SI)*SP_S_temp1+((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1_VGP_SI+((((((xg_VGP_SI*(1.0-delta_ns))+(xg*(-delta_ns_VGP_SI))))*Gf)+((xg*(1.0-delta_ns))*Gf_VGP_SI)))*SP_S_temp1_VSI_BP+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP_VGP_SI)));
  x_s_VSI_BP_VSI_BP=(+(+xg_VSI_BP_VSI_BP*inv_xi+xg_VSI_BP*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VSI_BP)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP)))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP))+(xg*inv_xi)*(+0.0+(+(+(+xg_VSI_BP_VSI_BP*(1.0-delta_ns)+xg_VSI_BP*(-delta_ns_VSI_BP)+xg_VSI_BP*(-delta_ns_VSI_BP)+xg*(+0.0-delta_ns_VSI_BP_VSI_BP))*Gf+((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf_VSI_BP+(((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf_VSI_BP+(xg*(1.0-delta_ns))*Gf_VSI_BP_VSI_BP)*SP_S_temp1+((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP)))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP))*SP_S_temp1_VSI_BP+((((((xg_VSI_BP*(1.0-delta_ns))+(xg*(-delta_ns_VSI_BP))))*Gf)+((xg*(1.0-delta_ns))*Gf_VSI_BP)))*SP_S_temp1_VSI_BP+((xg*(1.0-delta_ns))*Gf)*SP_S_temp1_VSI_BP_VSI_BP)));
#endif
#endif
x_s=((xg*inv_xi)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)));
EXIT_IF_ISNAN(((xg*inv_xi)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1))))
}
else
{
if
((xg<(-margin)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_yg_VDI_SI=(-xg_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_yg_VDI_SI_VDI_SI=0.0;
  SP_S_yg_VDI_SI_VGP_SI=0.0;
  SP_S_yg_VDI_SI_VSI_BP=0.0;
#endif
SP_S_yg_VGP_SI=(-xg_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_yg_VGP_SI_VDI_SI=0.0;
  SP_S_yg_VGP_SI_VGP_SI=0.0;
  SP_S_yg_VGP_SI_VSI_BP=0.0;
#endif
SP_S_yg_VSI_BP=(-xg_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_yg_VSI_BP_VDI_SI=0.0;
  SP_S_yg_VSI_BP_VGP_SI=0.0;
  SP_S_yg_VSI_BP_VSI_BP=0.0;
#endif
#endif
SP_S_yg=(-xg);
EXIT_IF_ISNAN((-xg))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_ysub_VDI_SI=(1.25*((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_ysub_VDI_SI_VDI_SI=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI)))+0.0*((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI))+1.25*(+SP_S_yg_VDI_SI_VDI_SI*inv_xi+SP_S_yg_VDI_SI*inv_xi_VDI_SI+SP_S_yg_VDI_SI*inv_xi_VDI_SI+SP_S_yg*inv_xi_VDI_SI_VDI_SI));
  SP_S_ysub_VDI_SI_VGP_SI=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI)))+0.0*((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI))+1.25*(+SP_S_yg_VDI_SI_VGP_SI*inv_xi+SP_S_yg_VDI_SI*inv_xi_VGP_SI+SP_S_yg_VGP_SI*inv_xi_VDI_SI+SP_S_yg*inv_xi_VDI_SI_VGP_SI));
  SP_S_ysub_VDI_SI_VSI_BP=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP)))+0.0*((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI))+1.25*(+SP_S_yg_VDI_SI_VSI_BP*inv_xi+SP_S_yg_VDI_SI*inv_xi_VSI_BP+SP_S_yg_VSI_BP*inv_xi_VDI_SI+SP_S_yg*inv_xi_VDI_SI_VSI_BP));
#endif
SP_S_ysub_VGP_SI=(1.25*((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_ysub_VGP_SI_VDI_SI=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI)))+0.0*((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI))+1.25*(+SP_S_yg_VGP_SI_VDI_SI*inv_xi+SP_S_yg_VGP_SI*inv_xi_VDI_SI+SP_S_yg_VDI_SI*inv_xi_VGP_SI+SP_S_yg*inv_xi_VGP_SI_VDI_SI));
  SP_S_ysub_VGP_SI_VGP_SI=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI)))+0.0*((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI))+1.25*(+SP_S_yg_VGP_SI_VGP_SI*inv_xi+SP_S_yg_VGP_SI*inv_xi_VGP_SI+SP_S_yg_VGP_SI*inv_xi_VGP_SI+SP_S_yg*inv_xi_VGP_SI_VGP_SI));
  SP_S_ysub_VGP_SI_VSI_BP=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP)))+0.0*((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI))+1.25*(+SP_S_yg_VGP_SI_VSI_BP*inv_xi+SP_S_yg_VGP_SI*inv_xi_VSI_BP+SP_S_yg_VSI_BP*inv_xi_VGP_SI+SP_S_yg*inv_xi_VGP_SI_VSI_BP));
#endif
SP_S_ysub_VSI_BP=(1.25*((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_ysub_VSI_BP_VDI_SI=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VDI_SI*inv_xi)+(SP_S_yg*inv_xi_VDI_SI)))+0.0*((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP))+1.25*(+SP_S_yg_VSI_BP_VDI_SI*inv_xi+SP_S_yg_VSI_BP*inv_xi_VDI_SI+SP_S_yg_VDI_SI*inv_xi_VSI_BP+SP_S_yg*inv_xi_VSI_BP_VDI_SI));
  SP_S_ysub_VSI_BP_VGP_SI=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VGP_SI*inv_xi)+(SP_S_yg*inv_xi_VGP_SI)))+0.0*((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP))+1.25*(+SP_S_yg_VSI_BP_VGP_SI*inv_xi+SP_S_yg_VSI_BP*inv_xi_VGP_SI+SP_S_yg_VGP_SI*inv_xi_VSI_BP+SP_S_yg*inv_xi_VSI_BP_VGP_SI));
  SP_S_ysub_VSI_BP_VSI_BP=(+0.0*(SP_S_yg*inv_xi)+0.0*(((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP)))+0.0*((SP_S_yg_VSI_BP*inv_xi)+(SP_S_yg*inv_xi_VSI_BP))+1.25*(+SP_S_yg_VSI_BP_VSI_BP*inv_xi+SP_S_yg_VSI_BP*inv_xi_VSI_BP+SP_S_yg_VSI_BP*inv_xi_VSI_BP+SP_S_yg*inv_xi_VSI_BP_VSI_BP));
#endif
#endif
SP_S_ysub=(1.25*(SP_S_yg*inv_xi));
EXIT_IF_ISNAN((1.25*(SP_S_yg*inv_xi)))
{
double m00_sqrt(d00_sqrt0,(((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_eta_VDI_SI=(0.5*(SP_S_ysub_VDI_SI-((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  SP_S_eta_VDI_SI_VDI_SI=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VDI_SI-(((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI)))*d10_sqrt0)+0.0*(SP_S_ysub_VDI_SI-((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VDI_SI_VDI_SI+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI)))*((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))+d10_sqrt0*(+(+(+SP_S_ysub_VDI_SI_VDI_SI-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VDI_SI*SP_S_ysub_VDI_SI+SP_S_ysub_VDI_SI*SP_S_ysub_VDI_SI+(SP_S_ysub-6.0)*(+SP_S_ysub_VDI_SI_VDI_SI-0.0))+0.0))));
  SP_S_eta_VDI_SI_VGP_SI=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VGP_SI-(((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI)))*d10_sqrt0)+0.0*(SP_S_ysub_VDI_SI-((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VDI_SI_VGP_SI+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI)))*((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))+d10_sqrt0*(+(+(+SP_S_ysub_VDI_SI_VGP_SI-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VDI_SI*SP_S_ysub_VGP_SI+SP_S_ysub_VGP_SI*SP_S_ysub_VDI_SI+(SP_S_ysub-6.0)*(+SP_S_ysub_VDI_SI_VGP_SI-0.0))+0.0))));
  SP_S_eta_VDI_SI_VSI_BP=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VSI_BP-(((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP)))*d10_sqrt0)+0.0*(SP_S_ysub_VDI_SI-((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VDI_SI_VSI_BP+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP)))*((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI))+d10_sqrt0*(+(+(+SP_S_ysub_VDI_SI_VSI_BP-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VDI_SI*SP_S_ysub_VSI_BP+SP_S_ysub_VSI_BP*SP_S_ysub_VDI_SI+(SP_S_ysub-6.0)*(+SP_S_ysub_VDI_SI_VSI_BP-0.0))+0.0))));
#endif
SP_S_eta_VGP_SI=(0.5*(SP_S_ysub_VGP_SI-((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))*d10_sqrt0));
#if defined(_DERIVATE2)
  SP_S_eta_VGP_SI_VDI_SI=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VDI_SI-(((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI)))*d10_sqrt0)+0.0*(SP_S_ysub_VGP_SI-((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VGP_SI_VDI_SI+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI)))*((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))+d10_sqrt0*(+(+(+SP_S_ysub_VGP_SI_VDI_SI-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VGP_SI*SP_S_ysub_VDI_SI+SP_S_ysub_VDI_SI*SP_S_ysub_VGP_SI+(SP_S_ysub-6.0)*(+SP_S_ysub_VGP_SI_VDI_SI-0.0))+0.0))));
  SP_S_eta_VGP_SI_VGP_SI=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VGP_SI-(((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI)))*d10_sqrt0)+0.0*(SP_S_ysub_VGP_SI-((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VGP_SI_VGP_SI+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI)))*((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))+d10_sqrt0*(+(+(+SP_S_ysub_VGP_SI_VGP_SI-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VGP_SI*SP_S_ysub_VGP_SI+SP_S_ysub_VGP_SI*SP_S_ysub_VGP_SI+(SP_S_ysub-6.0)*(+SP_S_ysub_VGP_SI_VGP_SI-0.0))+0.0))));
  SP_S_eta_VGP_SI_VSI_BP=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VSI_BP-(((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP)))*d10_sqrt0)+0.0*(SP_S_ysub_VGP_SI-((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VGP_SI_VSI_BP+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP)))*((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI))+d10_sqrt0*(+(+(+SP_S_ysub_VGP_SI_VSI_BP-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VGP_SI*SP_S_ysub_VSI_BP+SP_S_ysub_VSI_BP*SP_S_ysub_VGP_SI+(SP_S_ysub-6.0)*(+SP_S_ysub_VGP_SI_VSI_BP-0.0))+0.0))));
#endif
SP_S_eta_VSI_BP=(0.5*(SP_S_ysub_VSI_BP-((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))*d10_sqrt0));
#if defined(_DERIVATE2)
  SP_S_eta_VSI_BP_VDI_SI=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VDI_SI-(((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI)))*d10_sqrt0)+0.0*(SP_S_ysub_VSI_BP-((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VSI_BP_VDI_SI+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VDI_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VDI_SI)))*((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))+d10_sqrt0*(+(+(+SP_S_ysub_VSI_BP_VDI_SI-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VSI_BP*SP_S_ysub_VDI_SI+SP_S_ysub_VDI_SI*SP_S_ysub_VSI_BP+(SP_S_ysub-6.0)*(+SP_S_ysub_VSI_BP_VDI_SI-0.0))+0.0))));
  SP_S_eta_VSI_BP_VGP_SI=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VGP_SI-(((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI)))*d10_sqrt0)+0.0*(SP_S_ysub_VSI_BP-((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VSI_BP_VGP_SI+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VGP_SI*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VGP_SI)))*((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))+d10_sqrt0*(+(+(+SP_S_ysub_VSI_BP_VGP_SI-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VSI_BP*SP_S_ysub_VGP_SI+SP_S_ysub_VGP_SI*SP_S_ysub_VSI_BP+(SP_S_ysub-6.0)*(+SP_S_ysub_VSI_BP_VGP_SI-0.0))+0.0))));
  SP_S_eta_VSI_BP_VSI_BP=(+0.0*((SP_S_ysub+10)-d00_sqrt0)+0.0*(SP_S_ysub_VSI_BP-(((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP)))*d10_sqrt0)+0.0*(SP_S_ysub_VSI_BP-((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))*d10_sqrt0)+0.5*(+(+SP_S_ysub_VSI_BP_VSI_BP+0.0)-(m20_sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))*(((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP)))*((SP_S_ysub_VSI_BP*(SP_S_ysub-6.0))+((SP_S_ysub-6.0)*SP_S_ysub_VSI_BP))+d10_sqrt0*(+(+(+SP_S_ysub_VSI_BP_VSI_BP-0.0)*(SP_S_ysub-6.0)+SP_S_ysub_VSI_BP*SP_S_ysub_VSI_BP+SP_S_ysub_VSI_BP*SP_S_ysub_VSI_BP+(SP_S_ysub-6.0)*(+SP_S_ysub_VSI_BP_VSI_BP-0.0))+0.0))));
#endif
#endif
SP_S_eta=(0.5*((SP_S_ysub+10)-d00_sqrt0));
EXIT_IF_ISNAN((0.5*((SP_S_ysub+10)-d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(SP_S_yg_VDI_SI-SP_S_eta_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+SP_S_yg_VDI_SI_VDI_SI-SP_S_eta_VDI_SI_VDI_SI);
  SP_S_temp_VDI_SI_VGP_SI=(+SP_S_yg_VDI_SI_VGP_SI-SP_S_eta_VDI_SI_VGP_SI);
  SP_S_temp_VDI_SI_VSI_BP=(+SP_S_yg_VDI_SI_VSI_BP-SP_S_eta_VDI_SI_VSI_BP);
#endif
SP_S_temp_VGP_SI=(SP_S_yg_VGP_SI-SP_S_eta_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+SP_S_yg_VGP_SI_VDI_SI-SP_S_eta_VGP_SI_VDI_SI);
  SP_S_temp_VGP_SI_VGP_SI=(+SP_S_yg_VGP_SI_VGP_SI-SP_S_eta_VGP_SI_VGP_SI);
  SP_S_temp_VGP_SI_VSI_BP=(+SP_S_yg_VGP_SI_VSI_BP-SP_S_eta_VGP_SI_VSI_BP);
#endif
SP_S_temp_VSI_BP=(SP_S_yg_VSI_BP-SP_S_eta_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+SP_S_yg_VSI_BP_VDI_SI-SP_S_eta_VSI_BP_VDI_SI);
  SP_S_temp_VSI_BP_VGP_SI=(+SP_S_yg_VSI_BP_VGP_SI-SP_S_eta_VSI_BP_VGP_SI);
  SP_S_temp_VSI_BP_VSI_BP=(+SP_S_yg_VSI_BP_VSI_BP-SP_S_eta_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp=(SP_S_yg-SP_S_eta);
EXIT_IF_ISNAN((SP_S_yg-SP_S_eta))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_a_VDI_SI=(((SP_S_temp_VDI_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VDI_SI))+((Gf2_VDI_SI*(SP_S_eta+1.0))+(Gf2*SP_S_eta_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_a_VDI_SI_VDI_SI=(+(+SP_S_temp_VDI_SI_VDI_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VDI_SI)+(+Gf2_VDI_SI_VDI_SI*(SP_S_eta+1.0)+Gf2_VDI_SI*SP_S_eta_VDI_SI+Gf2_VDI_SI*SP_S_eta_VDI_SI+Gf2*(+SP_S_eta_VDI_SI_VDI_SI+0.0)));
  SP_S_a_VDI_SI_VGP_SI=(+(+SP_S_temp_VDI_SI_VGP_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VGP_SI)+(+Gf2_VDI_SI_VGP_SI*(SP_S_eta+1.0)+Gf2_VDI_SI*SP_S_eta_VGP_SI+Gf2_VGP_SI*SP_S_eta_VDI_SI+Gf2*(+SP_S_eta_VDI_SI_VGP_SI+0.0)));
  SP_S_a_VDI_SI_VSI_BP=(+(+SP_S_temp_VDI_SI_VSI_BP*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VSI_BP)+(+Gf2_VDI_SI_VSI_BP*(SP_S_eta+1.0)+Gf2_VDI_SI*SP_S_eta_VSI_BP+Gf2_VSI_BP*SP_S_eta_VDI_SI+Gf2*(+SP_S_eta_VDI_SI_VSI_BP+0.0)));
#endif
SP_S_a_VGP_SI=(((SP_S_temp_VGP_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VGP_SI))+((Gf2_VGP_SI*(SP_S_eta+1.0))+(Gf2*SP_S_eta_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_a_VGP_SI_VDI_SI=(+(+SP_S_temp_VGP_SI_VDI_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VDI_SI)+(+Gf2_VGP_SI_VDI_SI*(SP_S_eta+1.0)+Gf2_VGP_SI*SP_S_eta_VDI_SI+Gf2_VDI_SI*SP_S_eta_VGP_SI+Gf2*(+SP_S_eta_VGP_SI_VDI_SI+0.0)));
  SP_S_a_VGP_SI_VGP_SI=(+(+SP_S_temp_VGP_SI_VGP_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VGP_SI)+(+Gf2_VGP_SI_VGP_SI*(SP_S_eta+1.0)+Gf2_VGP_SI*SP_S_eta_VGP_SI+Gf2_VGP_SI*SP_S_eta_VGP_SI+Gf2*(+SP_S_eta_VGP_SI_VGP_SI+0.0)));
  SP_S_a_VGP_SI_VSI_BP=(+(+SP_S_temp_VGP_SI_VSI_BP*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VSI_BP)+(+Gf2_VGP_SI_VSI_BP*(SP_S_eta+1.0)+Gf2_VGP_SI*SP_S_eta_VSI_BP+Gf2_VSI_BP*SP_S_eta_VGP_SI+Gf2*(+SP_S_eta_VGP_SI_VSI_BP+0.0)));
#endif
SP_S_a_VSI_BP=(((SP_S_temp_VSI_BP*SP_S_temp)+(SP_S_temp*SP_S_temp_VSI_BP))+((Gf2_VSI_BP*(SP_S_eta+1.0))+(Gf2*SP_S_eta_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_a_VSI_BP_VDI_SI=(+(+SP_S_temp_VSI_BP_VDI_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VDI_SI)+(+Gf2_VSI_BP_VDI_SI*(SP_S_eta+1.0)+Gf2_VSI_BP*SP_S_eta_VDI_SI+Gf2_VDI_SI*SP_S_eta_VSI_BP+Gf2*(+SP_S_eta_VSI_BP_VDI_SI+0.0)));
  SP_S_a_VSI_BP_VGP_SI=(+(+SP_S_temp_VSI_BP_VGP_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VGP_SI)+(+Gf2_VSI_BP_VGP_SI*(SP_S_eta+1.0)+Gf2_VSI_BP*SP_S_eta_VGP_SI+Gf2_VGP_SI*SP_S_eta_VSI_BP+Gf2*(+SP_S_eta_VSI_BP_VGP_SI+0.0)));
  SP_S_a_VSI_BP_VSI_BP=(+(+SP_S_temp_VSI_BP_VSI_BP*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VSI_BP)+(+Gf2_VSI_BP_VSI_BP*(SP_S_eta+1.0)+Gf2_VSI_BP*SP_S_eta_VSI_BP+Gf2_VSI_BP*SP_S_eta_VSI_BP+Gf2*(+SP_S_eta_VSI_BP_VSI_BP+0.0)));
#endif
#endif
SP_S_a=((SP_S_temp*SP_S_temp)+(Gf2*(SP_S_eta+1.0)));
EXIT_IF_ISNAN(((SP_S_temp*SP_S_temp)+(Gf2*(SP_S_eta+1.0))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_c_VDI_SI=((2.0*SP_S_temp_VDI_SI)-Gf2_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_c_VDI_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VDI_SI)-Gf2_VDI_SI_VDI_SI);
  SP_S_c_VDI_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VGP_SI)-Gf2_VDI_SI_VGP_SI);
  SP_S_c_VDI_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VSI_BP)-Gf2_VDI_SI_VSI_BP);
#endif
SP_S_c_VGP_SI=((2.0*SP_S_temp_VGP_SI)-Gf2_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_c_VGP_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VDI_SI)-Gf2_VGP_SI_VDI_SI);
  SP_S_c_VGP_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VGP_SI)-Gf2_VGP_SI_VGP_SI);
  SP_S_c_VGP_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VSI_BP)-Gf2_VGP_SI_VSI_BP);
#endif
SP_S_c_VSI_BP=((2.0*SP_S_temp_VSI_BP)-Gf2_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_c_VSI_BP_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VDI_SI)-Gf2_VSI_BP_VDI_SI);
  SP_S_c_VSI_BP_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VGP_SI)-Gf2_VSI_BP_VGP_SI);
  SP_S_c_VSI_BP_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VSI_BP)-Gf2_VSI_BP_VSI_BP);
#endif
#endif
SP_S_c=((2.0*SP_S_temp)-Gf2);
EXIT_IF_ISNAN(((2.0*SP_S_temp)-Gf2))
{
double m00_logE(d00_logE0,(SP_S_a*inv_Gf2))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(SP_S_a*inv_Gf2))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_tau_VDI_SI=((-SP_S_eta_VDI_SI)+((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI))*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VDI_SI_VDI_SI=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI)))*((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI))+d10_logE0*(+SP_S_a_VDI_SI_VDI_SI*inv_Gf2+SP_S_a_VDI_SI*inv_Gf2_VDI_SI+SP_S_a_VDI_SI*inv_Gf2_VDI_SI+SP_S_a*inv_Gf2_VDI_SI_VDI_SI)));
  SP_S_tau_VDI_SI_VGP_SI=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI)))*((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI))+d10_logE0*(+SP_S_a_VDI_SI_VGP_SI*inv_Gf2+SP_S_a_VDI_SI*inv_Gf2_VGP_SI+SP_S_a_VGP_SI*inv_Gf2_VDI_SI+SP_S_a*inv_Gf2_VDI_SI_VGP_SI)));
  SP_S_tau_VDI_SI_VSI_BP=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP)))*((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI))+d10_logE0*(+SP_S_a_VDI_SI_VSI_BP*inv_Gf2+SP_S_a_VDI_SI*inv_Gf2_VSI_BP+SP_S_a_VSI_BP*inv_Gf2_VDI_SI+SP_S_a*inv_Gf2_VDI_SI_VSI_BP)));
#endif
SP_S_tau_VGP_SI=((-SP_S_eta_VGP_SI)+((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI))*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VGP_SI_VDI_SI=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI)))*((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI))+d10_logE0*(+SP_S_a_VGP_SI_VDI_SI*inv_Gf2+SP_S_a_VGP_SI*inv_Gf2_VDI_SI+SP_S_a_VDI_SI*inv_Gf2_VGP_SI+SP_S_a*inv_Gf2_VGP_SI_VDI_SI)));
  SP_S_tau_VGP_SI_VGP_SI=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI)))*((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI))+d10_logE0*(+SP_S_a_VGP_SI_VGP_SI*inv_Gf2+SP_S_a_VGP_SI*inv_Gf2_VGP_SI+SP_S_a_VGP_SI*inv_Gf2_VGP_SI+SP_S_a*inv_Gf2_VGP_SI_VGP_SI)));
  SP_S_tau_VGP_SI_VSI_BP=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP)))*((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI))+d10_logE0*(+SP_S_a_VGP_SI_VSI_BP*inv_Gf2+SP_S_a_VGP_SI*inv_Gf2_VSI_BP+SP_S_a_VSI_BP*inv_Gf2_VGP_SI+SP_S_a*inv_Gf2_VGP_SI_VSI_BP)));
#endif
SP_S_tau_VSI_BP=((-SP_S_eta_VSI_BP)+((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP))*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VSI_BP_VDI_SI=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VDI_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VDI_SI)))*((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP))+d10_logE0*(+SP_S_a_VSI_BP_VDI_SI*inv_Gf2+SP_S_a_VSI_BP*inv_Gf2_VDI_SI+SP_S_a_VDI_SI*inv_Gf2_VSI_BP+SP_S_a*inv_Gf2_VSI_BP_VDI_SI)));
  SP_S_tau_VSI_BP_VGP_SI=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VGP_SI*inv_Gf2)+(SP_S_a*inv_Gf2_VGP_SI)))*((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP))+d10_logE0*(+SP_S_a_VSI_BP_VGP_SI*inv_Gf2+SP_S_a_VSI_BP*inv_Gf2_VGP_SI+SP_S_a_VGP_SI*inv_Gf2_VSI_BP+SP_S_a*inv_Gf2_VSI_BP_VGP_SI)));
  SP_S_tau_VSI_BP_VSI_BP=(+0.0+(m20_logE((SP_S_a*inv_Gf2))*(((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP)))*((SP_S_a_VSI_BP*inv_Gf2)+(SP_S_a*inv_Gf2_VSI_BP))+d10_logE0*(+SP_S_a_VSI_BP_VSI_BP*inv_Gf2+SP_S_a_VSI_BP*inv_Gf2_VSI_BP+SP_S_a_VSI_BP*inv_Gf2_VSI_BP+SP_S_a*inv_Gf2_VSI_BP_VSI_BP)));
#endif
#endif
SP_S_tau=((-SP_S_eta)+d00_logE0);
EXIT_IF_ISNAN(((-SP_S_eta)+d00_logE0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
nu_VDI_SI=(SP_S_a_VDI_SI+SP_S_c_VDI_SI);
#if defined(_DERIVATE2)
  nu_VDI_SI_VDI_SI=(+SP_S_a_VDI_SI_VDI_SI+SP_S_c_VDI_SI_VDI_SI);
  nu_VDI_SI_VGP_SI=(+SP_S_a_VDI_SI_VGP_SI+SP_S_c_VDI_SI_VGP_SI);
  nu_VDI_SI_VSI_BP=(+SP_S_a_VDI_SI_VSI_BP+SP_S_c_VDI_SI_VSI_BP);
#endif
nu_VGP_SI=(SP_S_a_VGP_SI+SP_S_c_VGP_SI);
#if defined(_DERIVATE2)
  nu_VGP_SI_VDI_SI=(+SP_S_a_VGP_SI_VDI_SI+SP_S_c_VGP_SI_VDI_SI);
  nu_VGP_SI_VGP_SI=(+SP_S_a_VGP_SI_VGP_SI+SP_S_c_VGP_SI_VGP_SI);
  nu_VGP_SI_VSI_BP=(+SP_S_a_VGP_SI_VSI_BP+SP_S_c_VGP_SI_VSI_BP);
#endif
nu_VSI_BP=(SP_S_a_VSI_BP+SP_S_c_VSI_BP);
#if defined(_DERIVATE2)
  nu_VSI_BP_VDI_SI=(+SP_S_a_VSI_BP_VDI_SI+SP_S_c_VSI_BP_VDI_SI);
  nu_VSI_BP_VGP_SI=(+SP_S_a_VSI_BP_VGP_SI+SP_S_c_VSI_BP_VGP_SI);
  nu_VSI_BP_VSI_BP=(+SP_S_a_VSI_BP_VSI_BP+SP_S_c_VSI_BP_VSI_BP);
#endif
#endif
nu=(SP_S_a+SP_S_c);
EXIT_IF_ISNAN((SP_S_a+SP_S_c))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
mutau_VDI_SI=(((nu_VDI_SI*nu)+(nu*nu_VDI_SI))+((SP_S_tau_VDI_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a))+(SP_S_tau*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-SP_S_a_VDI_SI))));
#if defined(_DERIVATE2)
  mutau_VDI_SI_VDI_SI=(+(+nu_VDI_SI_VDI_SI*nu+nu_VDI_SI*nu_VDI_SI+nu_VDI_SI*nu_VDI_SI+nu*nu_VDI_SI_VDI_SI)+(+SP_S_tau_VDI_SI_VDI_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-SP_S_a_VDI_SI)+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-SP_S_a_VDI_SI)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VDI_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VDI_SI))-SP_S_a_VDI_SI_VDI_SI)));
  mutau_VDI_SI_VGP_SI=(+(+nu_VDI_SI_VGP_SI*nu+nu_VDI_SI*nu_VGP_SI+nu_VGP_SI*nu_VDI_SI+nu*nu_VDI_SI_VGP_SI)+(+SP_S_tau_VDI_SI_VGP_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-SP_S_a_VGP_SI)+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-SP_S_a_VDI_SI)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VGP_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VGP_SI))-SP_S_a_VDI_SI_VGP_SI)));
  mutau_VDI_SI_VSI_BP=(+(+nu_VDI_SI_VSI_BP*nu+nu_VDI_SI*nu_VSI_BP+nu_VSI_BP*nu_VDI_SI+nu*nu_VDI_SI_VSI_BP)+(+SP_S_tau_VDI_SI_VSI_BP*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-SP_S_a_VSI_BP)+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-SP_S_a_VDI_SI)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VSI_BP*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VSI_BP))-SP_S_a_VDI_SI_VSI_BP)));
#endif
mutau_VGP_SI=(((nu_VGP_SI*nu)+(nu*nu_VGP_SI))+((SP_S_tau_VGP_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a))+(SP_S_tau*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-SP_S_a_VGP_SI))));
#if defined(_DERIVATE2)
  mutau_VGP_SI_VDI_SI=(+(+nu_VGP_SI_VDI_SI*nu+nu_VGP_SI*nu_VDI_SI+nu_VDI_SI*nu_VGP_SI+nu*nu_VGP_SI_VDI_SI)+(+SP_S_tau_VGP_SI_VDI_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-SP_S_a_VDI_SI)+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-SP_S_a_VGP_SI)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VDI_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VDI_SI))-SP_S_a_VGP_SI_VDI_SI)));
  mutau_VGP_SI_VGP_SI=(+(+nu_VGP_SI_VGP_SI*nu+nu_VGP_SI*nu_VGP_SI+nu_VGP_SI*nu_VGP_SI+nu*nu_VGP_SI_VGP_SI)+(+SP_S_tau_VGP_SI_VGP_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-SP_S_a_VGP_SI)+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-SP_S_a_VGP_SI)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VGP_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VGP_SI))-SP_S_a_VGP_SI_VGP_SI)));
  mutau_VGP_SI_VSI_BP=(+(+nu_VGP_SI_VSI_BP*nu+nu_VGP_SI*nu_VSI_BP+nu_VSI_BP*nu_VGP_SI+nu*nu_VGP_SI_VSI_BP)+(+SP_S_tau_VGP_SI_VSI_BP*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-SP_S_a_VSI_BP)+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-SP_S_a_VGP_SI)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VSI_BP*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VSI_BP))-SP_S_a_VGP_SI_VSI_BP)));
#endif
mutau_VSI_BP=(((nu_VSI_BP*nu)+(nu*nu_VSI_BP))+((SP_S_tau_VSI_BP*((0.5*(SP_S_c*SP_S_c))-SP_S_a))+(SP_S_tau*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-SP_S_a_VSI_BP))));
#if defined(_DERIVATE2)
  mutau_VSI_BP_VDI_SI=(+(+nu_VSI_BP_VDI_SI*nu+nu_VSI_BP*nu_VDI_SI+nu_VDI_SI*nu_VSI_BP+nu*nu_VSI_BP_VDI_SI)+(+SP_S_tau_VSI_BP_VDI_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-SP_S_a_VDI_SI)+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-SP_S_a_VSI_BP)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VDI_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VDI_SI))-SP_S_a_VSI_BP_VDI_SI)));
  mutau_VSI_BP_VGP_SI=(+(+nu_VSI_BP_VGP_SI*nu+nu_VSI_BP*nu_VGP_SI+nu_VGP_SI*nu_VSI_BP+nu*nu_VSI_BP_VGP_SI)+(+SP_S_tau_VSI_BP_VGP_SI*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-SP_S_a_VGP_SI)+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-SP_S_a_VSI_BP)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VGP_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VGP_SI))-SP_S_a_VSI_BP_VGP_SI)));
  mutau_VSI_BP_VSI_BP=(+(+nu_VSI_BP_VSI_BP*nu+nu_VSI_BP*nu_VSI_BP+nu_VSI_BP*nu_VSI_BP+nu*nu_VSI_BP_VSI_BP)+(+SP_S_tau_VSI_BP_VSI_BP*((0.5*(SP_S_c*SP_S_c))-SP_S_a)+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-SP_S_a_VSI_BP)+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-SP_S_a_VSI_BP)+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VSI_BP*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VSI_BP))-SP_S_a_VSI_BP_VSI_BP)));
#endif
#endif
mutau=((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-SP_S_a)));
EXIT_IF_ISNAN(((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-SP_S_a))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_y0_VDI_SI=(SP_S_eta_VDI_SI+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
#if defined(_DERIVATE2)
  SP_S_y0_VDI_SI_VDI_SI=(+SP_S_eta_VDI_SI_VDI_SI+((+(+SP_S_a_VDI_SI_VDI_SI*nu+SP_S_a_VDI_SI*nu_VDI_SI+SP_S_a_VDI_SI*nu_VDI_SI+SP_S_a*nu_VDI_SI_VDI_SI)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VDI_SI+(+(+(+(+(nu_VDI_SI_VDI_SI/mutau-(nu_VDI_SI*mutau_VDI_SI+nu_VDI_SI*mutau_VDI_SI+nu*mutau_VDI_SI_VDI_SI)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VDI_SI)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VDI_SI)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VDI_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VDI_SI_VDI_SI))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
  SP_S_y0_VDI_SI_VGP_SI=(+SP_S_eta_VDI_SI_VGP_SI+((+(+SP_S_a_VDI_SI_VGP_SI*nu+SP_S_a_VDI_SI*nu_VGP_SI+SP_S_a_VGP_SI*nu_VDI_SI+SP_S_a*nu_VDI_SI_VGP_SI)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VGP_SI+(+(+(+(+(nu_VDI_SI_VGP_SI/mutau-(nu_VDI_SI*mutau_VGP_SI+nu_VGP_SI*mutau_VDI_SI+nu*mutau_VDI_SI_VGP_SI)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VGP_SI)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VGP_SI)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VGP_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VDI_SI_VGP_SI))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
  SP_S_y0_VDI_SI_VSI_BP=(+SP_S_eta_VDI_SI_VSI_BP+((+(+SP_S_a_VDI_SI_VSI_BP*nu+SP_S_a_VDI_SI*nu_VSI_BP+SP_S_a_VSI_BP*nu_VDI_SI+SP_S_a*nu_VDI_SI_VSI_BP)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VSI_BP+(+(+(+(+(nu_VDI_SI_VSI_BP/mutau-(nu_VDI_SI*mutau_VSI_BP+nu_VSI_BP*mutau_VDI_SI+nu*mutau_VDI_SI_VSI_BP)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VSI_BP)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VSI_BP)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VSI_BP*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VDI_SI_VSI_BP))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-SP_S_a_VDI_SI))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
#endif
SP_S_y0_VGP_SI=(SP_S_eta_VGP_SI+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
#if defined(_DERIVATE2)
  SP_S_y0_VGP_SI_VDI_SI=(+SP_S_eta_VGP_SI_VDI_SI+((+(+SP_S_a_VGP_SI_VDI_SI*nu+SP_S_a_VGP_SI*nu_VDI_SI+SP_S_a_VDI_SI*nu_VGP_SI+SP_S_a*nu_VGP_SI_VDI_SI)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VDI_SI+(+(+(+(+(nu_VGP_SI_VDI_SI/mutau-(nu_VGP_SI*mutau_VDI_SI+nu_VDI_SI*mutau_VGP_SI+nu*mutau_VGP_SI_VDI_SI)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VDI_SI)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VDI_SI)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VDI_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VGP_SI_VDI_SI))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
  SP_S_y0_VGP_SI_VGP_SI=(+SP_S_eta_VGP_SI_VGP_SI+((+(+SP_S_a_VGP_SI_VGP_SI*nu+SP_S_a_VGP_SI*nu_VGP_SI+SP_S_a_VGP_SI*nu_VGP_SI+SP_S_a*nu_VGP_SI_VGP_SI)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VGP_SI+(+(+(+(+(nu_VGP_SI_VGP_SI/mutau-(nu_VGP_SI*mutau_VGP_SI+nu_VGP_SI*mutau_VGP_SI+nu*mutau_VGP_SI_VGP_SI)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VGP_SI)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VGP_SI)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VGP_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VGP_SI_VGP_SI))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
  SP_S_y0_VGP_SI_VSI_BP=(+SP_S_eta_VGP_SI_VSI_BP+((+(+SP_S_a_VGP_SI_VSI_BP*nu+SP_S_a_VGP_SI*nu_VSI_BP+SP_S_a_VSI_BP*nu_VGP_SI+SP_S_a*nu_VGP_SI_VSI_BP)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VSI_BP+(+(+(+(+(nu_VGP_SI_VSI_BP/mutau-(nu_VGP_SI*mutau_VSI_BP+nu_VSI_BP*mutau_VGP_SI+nu*mutau_VGP_SI_VSI_BP)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VSI_BP)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VSI_BP)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VSI_BP*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VGP_SI_VSI_BP))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-SP_S_a_VGP_SI))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
#endif
SP_S_y0_VSI_BP=(SP_S_eta_VSI_BP+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
#if defined(_DERIVATE2)
  SP_S_y0_VSI_BP_VDI_SI=(+SP_S_eta_VSI_BP_VDI_SI+((+(+SP_S_a_VSI_BP_VDI_SI*nu+SP_S_a_VSI_BP*nu_VDI_SI+SP_S_a_VDI_SI*nu_VSI_BP+SP_S_a*nu_VSI_BP_VDI_SI)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VDI_SI+(+(+(+(+(nu_VSI_BP_VDI_SI/mutau-(nu_VSI_BP*mutau_VDI_SI+nu_VDI_SI*mutau_VSI_BP+nu*mutau_VSI_BP_VDI_SI)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VDI_SI)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VDI_SI)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VDI_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VSI_BP_VDI_SI))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-SP_S_a_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
  SP_S_y0_VSI_BP_VGP_SI=(+SP_S_eta_VSI_BP_VGP_SI+((+(+SP_S_a_VSI_BP_VGP_SI*nu+SP_S_a_VSI_BP*nu_VGP_SI+SP_S_a_VGP_SI*nu_VSI_BP+SP_S_a*nu_VSI_BP_VGP_SI)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VGP_SI+(+(+(+(+(nu_VSI_BP_VGP_SI/mutau-(nu_VSI_BP*mutau_VGP_SI+nu_VGP_SI*mutau_VSI_BP+nu*mutau_VSI_BP_VGP_SI)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VGP_SI)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VGP_SI)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VGP_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VSI_BP_VGP_SI))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-SP_S_a_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
  SP_S_y0_VSI_BP_VSI_BP=(+SP_S_eta_VSI_BP_VSI_BP+((+(+SP_S_a_VSI_BP_VSI_BP*nu+SP_S_a_VSI_BP*nu_VSI_BP+SP_S_a_VSI_BP*nu_VSI_BP+SP_S_a*nu_VSI_BP_VSI_BP)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VSI_BP+(+(+(+(+(nu_VSI_BP_VSI_BP/mutau-(nu_VSI_BP*mutau_VSI_BP+nu_VSI_BP*mutau_VSI_BP+nu*mutau_VSI_BP_VSI_BP)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VSI_BP)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VSI_BP)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VSI_BP*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-SP_S_a_VSI_BP_VSI_BP))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-SP_S_a_VSI_BP))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-SP_S_a_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
#endif
#endif
SP_S_y0=(SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
EXIT_IF_ISNAN((SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a))))))
if
((SP_S_y0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,SP_S_y0)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=SP_S_y0_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(m20_exp(SP_S_y0)*SP_S_y0_VDI_SI*SP_S_y0_VDI_SI+d10_exp0*SP_S_y0_VDI_SI_VDI_SI);
  SP_S_delta0_VDI_SI_VGP_SI=(m20_exp(SP_S_y0)*SP_S_y0_VGP_SI*SP_S_y0_VDI_SI+d10_exp0*SP_S_y0_VDI_SI_VGP_SI);
  SP_S_delta0_VDI_SI_VSI_BP=(m20_exp(SP_S_y0)*SP_S_y0_VSI_BP*SP_S_y0_VDI_SI+d10_exp0*SP_S_y0_VDI_SI_VSI_BP);
#endif
SP_S_delta0_VGP_SI=SP_S_y0_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(m20_exp(SP_S_y0)*SP_S_y0_VDI_SI*SP_S_y0_VGP_SI+d10_exp0*SP_S_y0_VGP_SI_VDI_SI);
  SP_S_delta0_VGP_SI_VGP_SI=(m20_exp(SP_S_y0)*SP_S_y0_VGP_SI*SP_S_y0_VGP_SI+d10_exp0*SP_S_y0_VGP_SI_VGP_SI);
  SP_S_delta0_VGP_SI_VSI_BP=(m20_exp(SP_S_y0)*SP_S_y0_VSI_BP*SP_S_y0_VGP_SI+d10_exp0*SP_S_y0_VGP_SI_VSI_BP);
#endif
SP_S_delta0_VSI_BP=SP_S_y0_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(m20_exp(SP_S_y0)*SP_S_y0_VDI_SI*SP_S_y0_VSI_BP+d10_exp0*SP_S_y0_VSI_BP_VDI_SI);
  SP_S_delta0_VSI_BP_VGP_SI=(m20_exp(SP_S_y0)*SP_S_y0_VGP_SI*SP_S_y0_VSI_BP+d10_exp0*SP_S_y0_VSI_BP_VGP_SI);
  SP_S_delta0_VSI_BP_VSI_BP=(m20_exp(SP_S_y0)*SP_S_y0_VSI_BP*SP_S_y0_VSI_BP+d10_exp0*SP_S_y0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_delta0=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=(1.0e100*((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VDI_SI*((0.5*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01))))))+SP_S_y0_VDI_SI*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VDI_SI_VDI_SI-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VDI_SI*(SP_S_y0_VDI_SI*3.3333333333333333e-01)+SP_S_y0_VDI_SI*SP_S_y0_VDI_SI*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_y0_VDI_SI*0.0+SP_S_y0_VDI_SI*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
  SP_S_delta0_VDI_SI_VGP_SI=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VDI_SI*((0.5*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01))))))+SP_S_y0_VGP_SI*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VDI_SI_VGP_SI-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VDI_SI*(SP_S_y0_VGP_SI*3.3333333333333333e-01)+SP_S_y0_VGP_SI*SP_S_y0_VDI_SI*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_y0_VDI_SI*0.0+SP_S_y0_VGP_SI*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
  SP_S_delta0_VDI_SI_VSI_BP=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VDI_SI*((0.5*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01))))))+SP_S_y0_VSI_BP*(0.5*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VDI_SI_VSI_BP-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VDI_SI*(SP_S_y0_VSI_BP*3.3333333333333333e-01)+SP_S_y0_VSI_BP*SP_S_y0_VDI_SI*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_y0_VDI_SI*0.0+SP_S_y0_VSI_BP*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
#endif
SP_S_delta0_VGP_SI=(1.0e100*((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VGP_SI*((0.5*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01))))))+SP_S_y0_VDI_SI*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VGP_SI_VDI_SI-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VGP_SI*(SP_S_y0_VDI_SI*3.3333333333333333e-01)+SP_S_y0_VDI_SI*SP_S_y0_VGP_SI*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_y0_VGP_SI*0.0+SP_S_y0_VDI_SI*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
  SP_S_delta0_VGP_SI_VGP_SI=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VGP_SI*((0.5*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01))))))+SP_S_y0_VGP_SI*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VGP_SI_VGP_SI-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VGP_SI*(SP_S_y0_VGP_SI*3.3333333333333333e-01)+SP_S_y0_VGP_SI*SP_S_y0_VGP_SI*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_y0_VGP_SI*0.0+SP_S_y0_VGP_SI*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
  SP_S_delta0_VGP_SI_VSI_BP=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VGP_SI*((0.5*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01))))))+SP_S_y0_VSI_BP*(0.5*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VGP_SI_VSI_BP-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VGP_SI*(SP_S_y0_VSI_BP*3.3333333333333333e-01)+SP_S_y0_VSI_BP*SP_S_y0_VGP_SI*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_y0_VGP_SI*0.0+SP_S_y0_VSI_BP*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
#endif
SP_S_delta0_VSI_BP=(1.0e100*((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VDI_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VSI_BP*((0.5*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01))))))+SP_S_y0_VDI_SI*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VDI_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VSI_BP_VDI_SI-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VSI_BP*(SP_S_y0_VDI_SI*3.3333333333333333e-01)+SP_S_y0_VDI_SI*SP_S_y0_VSI_BP*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_y0_VSI_BP*0.0+SP_S_y0_VDI_SI*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
  SP_S_delta0_VSI_BP_VGP_SI=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VGP_SI*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VSI_BP*((0.5*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01))))))+SP_S_y0_VGP_SI*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VGP_SI*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VSI_BP_VGP_SI-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VSI_BP*(SP_S_y0_VGP_SI*3.3333333333333333e-01)+SP_S_y0_VGP_SI*SP_S_y0_VSI_BP*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_y0_VSI_BP*0.0+SP_S_y0_VGP_SI*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
  SP_S_delta0_VSI_BP_VSI_BP=(+0.0*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*((0.5*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_y0_VSI_BP*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_y0-2.3025850929940458e+02)*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+SP_S_y0_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_y0_VSI_BP*((0.5*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01))))))+SP_S_y0_VSI_BP*(0.5*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01)))+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*(SP_S_y0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_y0_VSI_BP*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_y0-2.3025850929940458e+02)*SP_S_y0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_y0_VSI_BP_VSI_BP-0.0)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_y0_VSI_BP*(SP_S_y0_VSI_BP*3.3333333333333333e-01)+SP_S_y0_VSI_BP*SP_S_y0_VSI_BP*3.3333333333333333e-01+(SP_S_y0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_y0_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_y0_VSI_BP*0.0+SP_S_y0_VSI_BP*0.0+(SP_S_y0-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
SP_S_delta0=(1.0e100*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=(-SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VGP_SI=(-SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VSI_BP=(-SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
#endif
SP_S_delta1=(1.0/SP_S_delta0);
EXIT_IF_ISNAN((1.0/SP_S_delta0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))+0.0*((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))+1.0*(+0.0+(+SP_S_y0_VDI_SI_VDI_SI*SP_S_y0+SP_S_y0_VDI_SI*SP_S_y0_VDI_SI+SP_S_y0_VDI_SI*SP_S_y0_VDI_SI+SP_S_y0*SP_S_y0_VDI_SI_VDI_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
  SP_S_temp_VDI_SI_VGP_SI=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))+0.0*((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))+1.0*(+0.0+(+SP_S_y0_VDI_SI_VGP_SI*SP_S_y0+SP_S_y0_VDI_SI*SP_S_y0_VGP_SI+SP_S_y0_VGP_SI*SP_S_y0_VDI_SI+SP_S_y0*SP_S_y0_VDI_SI_VGP_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
  SP_S_temp_VDI_SI_VSI_BP=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))+0.0*((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))+1.0*(+0.0+(+SP_S_y0_VDI_SI_VSI_BP*SP_S_y0+SP_S_y0_VDI_SI*SP_S_y0_VSI_BP+SP_S_y0_VSI_BP*SP_S_y0_VDI_SI+SP_S_y0*SP_S_y0_VDI_SI_VSI_BP)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
#endif
SP_S_temp_VGP_SI=(-((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))+0.0*((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))+1.0*(+0.0+(+SP_S_y0_VGP_SI_VDI_SI*SP_S_y0+SP_S_y0_VGP_SI*SP_S_y0_VDI_SI+SP_S_y0_VDI_SI*SP_S_y0_VGP_SI+SP_S_y0*SP_S_y0_VGP_SI_VDI_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
  SP_S_temp_VGP_SI_VGP_SI=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))+0.0*((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))+1.0*(+0.0+(+SP_S_y0_VGP_SI_VGP_SI*SP_S_y0+SP_S_y0_VGP_SI*SP_S_y0_VGP_SI+SP_S_y0_VGP_SI*SP_S_y0_VGP_SI+SP_S_y0*SP_S_y0_VGP_SI_VGP_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
  SP_S_temp_VGP_SI_VSI_BP=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))+0.0*((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))+1.0*(+0.0+(+SP_S_y0_VGP_SI_VSI_BP*SP_S_y0+SP_S_y0_VGP_SI*SP_S_y0_VSI_BP+SP_S_y0_VSI_BP*SP_S_y0_VGP_SI+SP_S_y0*SP_S_y0_VGP_SI_VSI_BP)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
#endif
SP_S_temp_VSI_BP=(-((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))+0.0*((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))+1.0*(+0.0+(+SP_S_y0_VSI_BP_VDI_SI*SP_S_y0+SP_S_y0_VSI_BP*SP_S_y0_VDI_SI+SP_S_y0_VDI_SI*SP_S_y0_VSI_BP+SP_S_y0*SP_S_y0_VSI_BP_VDI_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
  SP_S_temp_VSI_BP_VGP_SI=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))+0.0*((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))+1.0*(+0.0+(+SP_S_y0_VSI_BP_VGP_SI*SP_S_y0+SP_S_y0_VSI_BP*SP_S_y0_VGP_SI+SP_S_y0_VGP_SI*SP_S_y0_VSI_BP+SP_S_y0*SP_S_y0_VSI_BP_VGP_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
  SP_S_temp_VSI_BP_VSI_BP=(0.0/(2.0+(SP_S_y0*SP_S_y0))-(0.0*(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))+0.0*((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))+1.0*(+0.0+(+SP_S_y0_VSI_BP_VSI_BP*SP_S_y0+SP_S_y0_VSI_BP*SP_S_y0_VSI_BP+SP_S_y0_VSI_BP*SP_S_y0_VSI_BP+SP_S_y0*SP_S_y0_VSI_BP_VSI_BP)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))+2*1.0*((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0))/(2.0+(SP_S_y0*SP_S_y0)));
#endif
#endif
SP_S_temp=(1.0/(2.0+(SP_S_y0*SP_S_y0)));
EXIT_IF_ISNAN((1.0/(2.0+(SP_S_y0*SP_S_y0))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi0_VDI_SI=((((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*SP_S_temp)+((SP_S_y0*SP_S_y0)*SP_S_temp_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VDI_SI_VDI_SI=(+(+SP_S_y0_VDI_SI_VDI_SI*SP_S_y0+SP_S_y0_VDI_SI*SP_S_y0_VDI_SI+SP_S_y0_VDI_SI*SP_S_y0_VDI_SI+SP_S_y0*SP_S_y0_VDI_SI_VDI_SI)*SP_S_temp+((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*SP_S_temp_VDI_SI+(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))*SP_S_temp_VDI_SI+(SP_S_y0*SP_S_y0)*SP_S_temp_VDI_SI_VDI_SI);
  SP_S_xi0_VDI_SI_VGP_SI=(+(+SP_S_y0_VDI_SI_VGP_SI*SP_S_y0+SP_S_y0_VDI_SI*SP_S_y0_VGP_SI+SP_S_y0_VGP_SI*SP_S_y0_VDI_SI+SP_S_y0*SP_S_y0_VDI_SI_VGP_SI)*SP_S_temp+((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*SP_S_temp_VGP_SI+(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))*SP_S_temp_VDI_SI+(SP_S_y0*SP_S_y0)*SP_S_temp_VDI_SI_VGP_SI);
  SP_S_xi0_VDI_SI_VSI_BP=(+(+SP_S_y0_VDI_SI_VSI_BP*SP_S_y0+SP_S_y0_VDI_SI*SP_S_y0_VSI_BP+SP_S_y0_VSI_BP*SP_S_y0_VDI_SI+SP_S_y0*SP_S_y0_VDI_SI_VSI_BP)*SP_S_temp+((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI))*SP_S_temp_VSI_BP+(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))*SP_S_temp_VDI_SI+(SP_S_y0*SP_S_y0)*SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_xi0_VGP_SI=((((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*SP_S_temp)+((SP_S_y0*SP_S_y0)*SP_S_temp_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VGP_SI_VDI_SI=(+(+SP_S_y0_VGP_SI_VDI_SI*SP_S_y0+SP_S_y0_VGP_SI*SP_S_y0_VDI_SI+SP_S_y0_VDI_SI*SP_S_y0_VGP_SI+SP_S_y0*SP_S_y0_VGP_SI_VDI_SI)*SP_S_temp+((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*SP_S_temp_VDI_SI+(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))*SP_S_temp_VGP_SI+(SP_S_y0*SP_S_y0)*SP_S_temp_VGP_SI_VDI_SI);
  SP_S_xi0_VGP_SI_VGP_SI=(+(+SP_S_y0_VGP_SI_VGP_SI*SP_S_y0+SP_S_y0_VGP_SI*SP_S_y0_VGP_SI+SP_S_y0_VGP_SI*SP_S_y0_VGP_SI+SP_S_y0*SP_S_y0_VGP_SI_VGP_SI)*SP_S_temp+((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*SP_S_temp_VGP_SI+(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))*SP_S_temp_VGP_SI+(SP_S_y0*SP_S_y0)*SP_S_temp_VGP_SI_VGP_SI);
  SP_S_xi0_VGP_SI_VSI_BP=(+(+SP_S_y0_VGP_SI_VSI_BP*SP_S_y0+SP_S_y0_VGP_SI*SP_S_y0_VSI_BP+SP_S_y0_VSI_BP*SP_S_y0_VGP_SI+SP_S_y0*SP_S_y0_VGP_SI_VSI_BP)*SP_S_temp+((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI))*SP_S_temp_VSI_BP+(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))*SP_S_temp_VGP_SI+(SP_S_y0*SP_S_y0)*SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_xi0_VSI_BP=((((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*SP_S_temp)+((SP_S_y0*SP_S_y0)*SP_S_temp_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi0_VSI_BP_VDI_SI=(+(+SP_S_y0_VSI_BP_VDI_SI*SP_S_y0+SP_S_y0_VSI_BP*SP_S_y0_VDI_SI+SP_S_y0_VDI_SI*SP_S_y0_VSI_BP+SP_S_y0*SP_S_y0_VSI_BP_VDI_SI)*SP_S_temp+((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*SP_S_temp_VDI_SI+(((SP_S_y0_VDI_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VDI_SI)))*SP_S_temp_VSI_BP+(SP_S_y0*SP_S_y0)*SP_S_temp_VSI_BP_VDI_SI);
  SP_S_xi0_VSI_BP_VGP_SI=(+(+SP_S_y0_VSI_BP_VGP_SI*SP_S_y0+SP_S_y0_VSI_BP*SP_S_y0_VGP_SI+SP_S_y0_VGP_SI*SP_S_y0_VSI_BP+SP_S_y0*SP_S_y0_VSI_BP_VGP_SI)*SP_S_temp+((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*SP_S_temp_VGP_SI+(((SP_S_y0_VGP_SI*SP_S_y0)+(SP_S_y0*SP_S_y0_VGP_SI)))*SP_S_temp_VSI_BP+(SP_S_y0*SP_S_y0)*SP_S_temp_VSI_BP_VGP_SI);
  SP_S_xi0_VSI_BP_VSI_BP=(+(+SP_S_y0_VSI_BP_VSI_BP*SP_S_y0+SP_S_y0_VSI_BP*SP_S_y0_VSI_BP+SP_S_y0_VSI_BP*SP_S_y0_VSI_BP+SP_S_y0*SP_S_y0_VSI_BP_VSI_BP)*SP_S_temp+((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP))*SP_S_temp_VSI_BP+(((SP_S_y0_VSI_BP*SP_S_y0)+(SP_S_y0*SP_S_y0_VSI_BP)))*SP_S_temp_VSI_BP+(SP_S_y0*SP_S_y0)*SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi0=((SP_S_y0*SP_S_y0)*SP_S_temp);
EXIT_IF_ISNAN(((SP_S_y0*SP_S_y0)*SP_S_temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi1_VDI_SI=(4.0*((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VDI_SI_VDI_SI=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_y0_VDI_SI_VDI_SI*SP_S_temp+SP_S_y0_VDI_SI*SP_S_temp_VDI_SI+SP_S_y0_VDI_SI*SP_S_temp_VDI_SI+SP_S_y0*SP_S_temp_VDI_SI_VDI_SI)*SP_S_temp+((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp_VDI_SI+(((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI)))*SP_S_temp_VDI_SI+(SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI_VDI_SI));
  SP_S_xi1_VDI_SI_VGP_SI=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_y0_VDI_SI_VGP_SI*SP_S_temp+SP_S_y0_VDI_SI*SP_S_temp_VGP_SI+SP_S_y0_VGP_SI*SP_S_temp_VDI_SI+SP_S_y0*SP_S_temp_VDI_SI_VGP_SI)*SP_S_temp+((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp_VGP_SI+(((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI)))*SP_S_temp_VDI_SI+(SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI_VGP_SI));
  SP_S_xi1_VDI_SI_VSI_BP=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_y0_VDI_SI_VSI_BP*SP_S_temp+SP_S_y0_VDI_SI*SP_S_temp_VSI_BP+SP_S_y0_VSI_BP*SP_S_temp_VDI_SI+SP_S_y0*SP_S_temp_VDI_SI_VSI_BP)*SP_S_temp+((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI))*SP_S_temp_VSI_BP+(((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP)))*SP_S_temp_VDI_SI+(SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI_VSI_BP));
#endif
SP_S_xi1_VGP_SI=(4.0*((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VGP_SI_VDI_SI=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_y0_VGP_SI_VDI_SI*SP_S_temp+SP_S_y0_VGP_SI*SP_S_temp_VDI_SI+SP_S_y0_VDI_SI*SP_S_temp_VGP_SI+SP_S_y0*SP_S_temp_VGP_SI_VDI_SI)*SP_S_temp+((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp_VDI_SI+(((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI)))*SP_S_temp_VGP_SI+(SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI_VDI_SI));
  SP_S_xi1_VGP_SI_VGP_SI=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_y0_VGP_SI_VGP_SI*SP_S_temp+SP_S_y0_VGP_SI*SP_S_temp_VGP_SI+SP_S_y0_VGP_SI*SP_S_temp_VGP_SI+SP_S_y0*SP_S_temp_VGP_SI_VGP_SI)*SP_S_temp+((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp_VGP_SI+(((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI)))*SP_S_temp_VGP_SI+(SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI_VGP_SI));
  SP_S_xi1_VGP_SI_VSI_BP=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_y0_VGP_SI_VSI_BP*SP_S_temp+SP_S_y0_VGP_SI*SP_S_temp_VSI_BP+SP_S_y0_VSI_BP*SP_S_temp_VGP_SI+SP_S_y0*SP_S_temp_VGP_SI_VSI_BP)*SP_S_temp+((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI))*SP_S_temp_VSI_BP+(((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP)))*SP_S_temp_VGP_SI+(SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI_VSI_BP));
#endif
SP_S_xi1_VSI_BP=(4.0*((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_xi1_VSI_BP_VDI_SI=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_y0_VSI_BP_VDI_SI*SP_S_temp+SP_S_y0_VSI_BP*SP_S_temp_VDI_SI+SP_S_y0_VDI_SI*SP_S_temp_VSI_BP+SP_S_y0*SP_S_temp_VSI_BP_VDI_SI)*SP_S_temp+((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp_VDI_SI+(((SP_S_y0_VDI_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VDI_SI)))*SP_S_temp_VSI_BP+(SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP_VDI_SI));
  SP_S_xi1_VSI_BP_VGP_SI=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_y0_VSI_BP_VGP_SI*SP_S_temp+SP_S_y0_VSI_BP*SP_S_temp_VGP_SI+SP_S_y0_VGP_SI*SP_S_temp_VSI_BP+SP_S_y0*SP_S_temp_VSI_BP_VGP_SI)*SP_S_temp+((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp_VGP_SI+(((SP_S_y0_VGP_SI*SP_S_temp)+(SP_S_y0*SP_S_temp_VGP_SI)))*SP_S_temp_VSI_BP+(SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP_VGP_SI));
  SP_S_xi1_VSI_BP_VSI_BP=(+0.0*((SP_S_y0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_y0_VSI_BP_VSI_BP*SP_S_temp+SP_S_y0_VSI_BP*SP_S_temp_VSI_BP+SP_S_y0_VSI_BP*SP_S_temp_VSI_BP+SP_S_y0*SP_S_temp_VSI_BP_VSI_BP)*SP_S_temp+((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP))*SP_S_temp_VSI_BP+(((SP_S_y0_VSI_BP*SP_S_temp)+(SP_S_y0*SP_S_temp_VSI_BP)))*SP_S_temp_VSI_BP+(SP_S_y0*SP_S_temp)*SP_S_temp_VSI_BP_VSI_BP));
#endif
#endif
SP_S_xi1=(4.0*((SP_S_y0*SP_S_temp)*SP_S_temp));
EXIT_IF_ISNAN((4.0*((SP_S_y0*SP_S_temp)*SP_S_temp)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi2_VDI_SI=((((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VDI_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VDI_SI);
  SP_S_xi2_VDI_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VGP_SI);
  SP_S_xi2_VDI_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_xi2_VGP_SI=((((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VGP_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VDI_SI);
  SP_S_xi2_VGP_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VGP_SI);
  SP_S_xi2_VGP_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_xi2_VSI_BP=((((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi2_VSI_BP_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VDI_SI);
  SP_S_xi2_VSI_BP_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VGP_SI);
  SP_S_xi2_VSI_BP_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi2=((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
EXIT_IF_ISNAN(((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(SP_S_yg_VDI_SI-SP_S_y0_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+SP_S_yg_VDI_SI_VDI_SI-SP_S_y0_VDI_SI_VDI_SI);
  SP_S_temp_VDI_SI_VGP_SI=(+SP_S_yg_VDI_SI_VGP_SI-SP_S_y0_VDI_SI_VGP_SI);
  SP_S_temp_VDI_SI_VSI_BP=(+SP_S_yg_VDI_SI_VSI_BP-SP_S_y0_VDI_SI_VSI_BP);
#endif
SP_S_temp_VGP_SI=(SP_S_yg_VGP_SI-SP_S_y0_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+SP_S_yg_VGP_SI_VDI_SI-SP_S_y0_VGP_SI_VDI_SI);
  SP_S_temp_VGP_SI_VGP_SI=(+SP_S_yg_VGP_SI_VGP_SI-SP_S_y0_VGP_SI_VGP_SI);
  SP_S_temp_VGP_SI_VSI_BP=(+SP_S_yg_VGP_SI_VSI_BP-SP_S_y0_VGP_SI_VSI_BP);
#endif
SP_S_temp_VSI_BP=(SP_S_yg_VSI_BP-SP_S_y0_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+SP_S_yg_VSI_BP_VDI_SI-SP_S_y0_VSI_BP_VDI_SI);
  SP_S_temp_VSI_BP_VGP_SI=(+SP_S_yg_VSI_BP_VGP_SI-SP_S_y0_VSI_BP_VGP_SI);
  SP_S_temp_VSI_BP_VSI_BP=(+SP_S_yg_VSI_BP_VSI_BP-SP_S_y0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp=(SP_S_yg-SP_S_y0);
EXIT_IF_ISNAN((SP_S_yg-SP_S_y0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp1_VDI_SI=((delta_ns_VDI_SI*SP_S_delta1)+(delta_ns*SP_S_delta1_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_temp1_VDI_SI_VDI_SI=(+delta_ns_VDI_SI_VDI_SI*SP_S_delta1+delta_ns_VDI_SI*SP_S_delta1_VDI_SI+delta_ns_VDI_SI*SP_S_delta1_VDI_SI+delta_ns*SP_S_delta1_VDI_SI_VDI_SI);
  SP_S_temp1_VDI_SI_VGP_SI=(+delta_ns_VDI_SI_VGP_SI*SP_S_delta1+delta_ns_VDI_SI*SP_S_delta1_VGP_SI+delta_ns_VGP_SI*SP_S_delta1_VDI_SI+delta_ns*SP_S_delta1_VDI_SI_VGP_SI);
  SP_S_temp1_VDI_SI_VSI_BP=(+delta_ns_VDI_SI_VSI_BP*SP_S_delta1+delta_ns_VDI_SI*SP_S_delta1_VSI_BP+delta_ns_VSI_BP*SP_S_delta1_VDI_SI+delta_ns*SP_S_delta1_VDI_SI_VSI_BP);
#endif
SP_S_temp1_VGP_SI=((delta_ns_VGP_SI*SP_S_delta1)+(delta_ns*SP_S_delta1_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_temp1_VGP_SI_VDI_SI=(+delta_ns_VGP_SI_VDI_SI*SP_S_delta1+delta_ns_VGP_SI*SP_S_delta1_VDI_SI+delta_ns_VDI_SI*SP_S_delta1_VGP_SI+delta_ns*SP_S_delta1_VGP_SI_VDI_SI);
  SP_S_temp1_VGP_SI_VGP_SI=(+delta_ns_VGP_SI_VGP_SI*SP_S_delta1+delta_ns_VGP_SI*SP_S_delta1_VGP_SI+delta_ns_VGP_SI*SP_S_delta1_VGP_SI+delta_ns*SP_S_delta1_VGP_SI_VGP_SI);
  SP_S_temp1_VGP_SI_VSI_BP=(+delta_ns_VGP_SI_VSI_BP*SP_S_delta1+delta_ns_VGP_SI*SP_S_delta1_VSI_BP+delta_ns_VSI_BP*SP_S_delta1_VGP_SI+delta_ns*SP_S_delta1_VGP_SI_VSI_BP);
#endif
SP_S_temp1_VSI_BP=((delta_ns_VSI_BP*SP_S_delta1)+(delta_ns*SP_S_delta1_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_temp1_VSI_BP_VDI_SI=(+delta_ns_VSI_BP_VDI_SI*SP_S_delta1+delta_ns_VSI_BP*SP_S_delta1_VDI_SI+delta_ns_VDI_SI*SP_S_delta1_VSI_BP+delta_ns*SP_S_delta1_VSI_BP_VDI_SI);
  SP_S_temp1_VSI_BP_VGP_SI=(+delta_ns_VSI_BP_VGP_SI*SP_S_delta1+delta_ns_VSI_BP*SP_S_delta1_VGP_SI+delta_ns_VGP_SI*SP_S_delta1_VSI_BP+delta_ns*SP_S_delta1_VSI_BP_VGP_SI);
  SP_S_temp1_VSI_BP_VSI_BP=(+delta_ns_VSI_BP_VSI_BP*SP_S_delta1+delta_ns_VSI_BP*SP_S_delta1_VSI_BP+delta_ns_VSI_BP*SP_S_delta1_VSI_BP+delta_ns*SP_S_delta1_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp1=(delta_ns*SP_S_delta1);
EXIT_IF_ISNAN((delta_ns*SP_S_delta1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_pC_VDI_SI=((2.0*SP_S_temp_VDI_SI)+((Gf2_VDI_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1))))+(Gf2*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI)))))));
#if defined(_DERIVATE2)
  SP_S_pC_VDI_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VDI_SI)+(+Gf2_VDI_SI_VDI_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VDI_SI*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+(((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI)))))+Gf2_VDI_SI*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI))))+Gf2*(+(+(+SP_S_delta0_VDI_SI_VDI_SI-0.0)-SP_S_temp1_VDI_SI_VDI_SI)+(+delta_ns_VDI_SI_VDI_SI*(1.0-SP_S_xi1)+delta_ns_VDI_SI*(-SP_S_xi1_VDI_SI)+delta_ns_VDI_SI*(-SP_S_xi1_VDI_SI)+delta_ns*(+0.0-SP_S_xi1_VDI_SI_VDI_SI)))));
  SP_S_pC_VDI_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VGP_SI)+(+Gf2_VDI_SI_VGP_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VDI_SI*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+(((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI)))))+Gf2_VGP_SI*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI))))+Gf2*(+(+(+SP_S_delta0_VDI_SI_VGP_SI-0.0)-SP_S_temp1_VDI_SI_VGP_SI)+(+delta_ns_VDI_SI_VGP_SI*(1.0-SP_S_xi1)+delta_ns_VDI_SI*(-SP_S_xi1_VGP_SI)+delta_ns_VGP_SI*(-SP_S_xi1_VDI_SI)+delta_ns*(+0.0-SP_S_xi1_VDI_SI_VGP_SI)))));
  SP_S_pC_VDI_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VSI_BP)+(+Gf2_VDI_SI_VSI_BP*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VDI_SI*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+(((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP)))))+Gf2_VSI_BP*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI))))+Gf2*(+(+(+SP_S_delta0_VDI_SI_VSI_BP-0.0)-SP_S_temp1_VDI_SI_VSI_BP)+(+delta_ns_VDI_SI_VSI_BP*(1.0-SP_S_xi1)+delta_ns_VDI_SI*(-SP_S_xi1_VSI_BP)+delta_ns_VSI_BP*(-SP_S_xi1_VDI_SI)+delta_ns*(+0.0-SP_S_xi1_VDI_SI_VSI_BP)))));
#endif
SP_S_pC_VGP_SI=((2.0*SP_S_temp_VGP_SI)+((Gf2_VGP_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1))))+(Gf2*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI)))))));
#if defined(_DERIVATE2)
  SP_S_pC_VGP_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VDI_SI)+(+Gf2_VGP_SI_VDI_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VGP_SI*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+(((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI)))))+Gf2_VDI_SI*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI))))+Gf2*(+(+(+SP_S_delta0_VGP_SI_VDI_SI-0.0)-SP_S_temp1_VGP_SI_VDI_SI)+(+delta_ns_VGP_SI_VDI_SI*(1.0-SP_S_xi1)+delta_ns_VGP_SI*(-SP_S_xi1_VDI_SI)+delta_ns_VDI_SI*(-SP_S_xi1_VGP_SI)+delta_ns*(+0.0-SP_S_xi1_VGP_SI_VDI_SI)))));
  SP_S_pC_VGP_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VGP_SI)+(+Gf2_VGP_SI_VGP_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VGP_SI*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+(((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI)))))+Gf2_VGP_SI*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI))))+Gf2*(+(+(+SP_S_delta0_VGP_SI_VGP_SI-0.0)-SP_S_temp1_VGP_SI_VGP_SI)+(+delta_ns_VGP_SI_VGP_SI*(1.0-SP_S_xi1)+delta_ns_VGP_SI*(-SP_S_xi1_VGP_SI)+delta_ns_VGP_SI*(-SP_S_xi1_VGP_SI)+delta_ns*(+0.0-SP_S_xi1_VGP_SI_VGP_SI)))));
  SP_S_pC_VGP_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VSI_BP)+(+Gf2_VGP_SI_VSI_BP*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VGP_SI*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+(((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP)))))+Gf2_VSI_BP*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI))))+Gf2*(+(+(+SP_S_delta0_VGP_SI_VSI_BP-0.0)-SP_S_temp1_VGP_SI_VSI_BP)+(+delta_ns_VGP_SI_VSI_BP*(1.0-SP_S_xi1)+delta_ns_VGP_SI*(-SP_S_xi1_VSI_BP)+delta_ns_VSI_BP*(-SP_S_xi1_VGP_SI)+delta_ns*(+0.0-SP_S_xi1_VGP_SI_VSI_BP)))));
#endif
SP_S_pC_VSI_BP=((2.0*SP_S_temp_VSI_BP)+((Gf2_VSI_BP*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1))))+(Gf2*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP)))))));
#if defined(_DERIVATE2)
  SP_S_pC_VSI_BP_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VDI_SI)+(+Gf2_VSI_BP_VDI_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VSI_BP*((SP_S_delta0_VDI_SI-SP_S_temp1_VDI_SI)+(((delta_ns_VDI_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VDI_SI)))))+Gf2_VDI_SI*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP))))+Gf2*(+(+(+SP_S_delta0_VSI_BP_VDI_SI-0.0)-SP_S_temp1_VSI_BP_VDI_SI)+(+delta_ns_VSI_BP_VDI_SI*(1.0-SP_S_xi1)+delta_ns_VSI_BP*(-SP_S_xi1_VDI_SI)+delta_ns_VDI_SI*(-SP_S_xi1_VSI_BP)+delta_ns*(+0.0-SP_S_xi1_VSI_BP_VDI_SI)))));
  SP_S_pC_VSI_BP_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VGP_SI)+(+Gf2_VSI_BP_VGP_SI*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VSI_BP*((SP_S_delta0_VGP_SI-SP_S_temp1_VGP_SI)+(((delta_ns_VGP_SI*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VGP_SI)))))+Gf2_VGP_SI*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP))))+Gf2*(+(+(+SP_S_delta0_VSI_BP_VGP_SI-0.0)-SP_S_temp1_VSI_BP_VGP_SI)+(+delta_ns_VSI_BP_VGP_SI*(1.0-SP_S_xi1)+delta_ns_VSI_BP*(-SP_S_xi1_VGP_SI)+delta_ns_VGP_SI*(-SP_S_xi1_VSI_BP)+delta_ns*(+0.0-SP_S_xi1_VSI_BP_VGP_SI)))));
  SP_S_pC_VSI_BP_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VSI_BP)+(+Gf2_VSI_BP_VSI_BP*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))+Gf2_VSI_BP*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+(((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP)))))+Gf2_VSI_BP*((SP_S_delta0_VSI_BP-SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*(1.0-SP_S_xi1))+(delta_ns*(-SP_S_xi1_VSI_BP))))+Gf2*(+(+(+SP_S_delta0_VSI_BP_VSI_BP-0.0)-SP_S_temp1_VSI_BP_VSI_BP)+(+delta_ns_VSI_BP_VSI_BP*(1.0-SP_S_xi1)+delta_ns_VSI_BP*(-SP_S_xi1_VSI_BP)+delta_ns_VSI_BP*(-SP_S_xi1_VSI_BP)+delta_ns*(+0.0-SP_S_xi1_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_pC=((2.0*SP_S_temp)+(Gf2*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))));
EXIT_IF_ISNAN(((2.0*SP_S_temp)+(Gf2*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_qC_VDI_SI=(((SP_S_temp_VDI_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VDI_SI))-((Gf2_VDI_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0))))+(Gf2*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VDI_SI_VDI_SI=(+(+SP_S_temp_VDI_SI_VDI_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VDI_SI)-(+Gf2_VDI_SI_VDI_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+(((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta0_VDI_SI_VDI_SI-SP_S_y0_VDI_SI_VDI_SI)-0.0)+SP_S_temp1_VDI_SI_VDI_SI)+(+delta_ns_VDI_SI_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VDI_SI*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)+delta_ns_VDI_SI*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)+delta_ns*(+(+SP_S_y0_VDI_SI_VDI_SI-0.0)-SP_S_xi0_VDI_SI_VDI_SI)))));
  SP_S_qC_VDI_SI_VGP_SI=(+(+SP_S_temp_VDI_SI_VGP_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VGP_SI)-(+Gf2_VDI_SI_VGP_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+(((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta0_VDI_SI_VGP_SI-SP_S_y0_VDI_SI_VGP_SI)-0.0)+SP_S_temp1_VDI_SI_VGP_SI)+(+delta_ns_VDI_SI_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VDI_SI*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)+delta_ns_VGP_SI*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)+delta_ns*(+(+SP_S_y0_VDI_SI_VGP_SI-0.0)-SP_S_xi0_VDI_SI_VGP_SI)))));
  SP_S_qC_VDI_SI_VSI_BP=(+(+SP_S_temp_VDI_SI_VSI_BP*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VSI_BP)-(+Gf2_VDI_SI_VSI_BP*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+(((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta0_VDI_SI_VSI_BP-SP_S_y0_VDI_SI_VSI_BP)-0.0)+SP_S_temp1_VDI_SI_VSI_BP)+(+delta_ns_VDI_SI_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VDI_SI*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)+delta_ns_VSI_BP*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)+delta_ns*(+(+SP_S_y0_VDI_SI_VSI_BP-0.0)-SP_S_xi0_VDI_SI_VSI_BP)))));
#endif
SP_S_qC_VGP_SI=(((SP_S_temp_VGP_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VGP_SI))-((Gf2_VGP_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0))))+(Gf2*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VGP_SI_VDI_SI=(+(+SP_S_temp_VGP_SI_VDI_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VDI_SI)-(+Gf2_VGP_SI_VDI_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+(((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta0_VGP_SI_VDI_SI-SP_S_y0_VGP_SI_VDI_SI)-0.0)+SP_S_temp1_VGP_SI_VDI_SI)+(+delta_ns_VGP_SI_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VGP_SI*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)+delta_ns_VDI_SI*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)+delta_ns*(+(+SP_S_y0_VGP_SI_VDI_SI-0.0)-SP_S_xi0_VGP_SI_VDI_SI)))));
  SP_S_qC_VGP_SI_VGP_SI=(+(+SP_S_temp_VGP_SI_VGP_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VGP_SI)-(+Gf2_VGP_SI_VGP_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+(((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta0_VGP_SI_VGP_SI-SP_S_y0_VGP_SI_VGP_SI)-0.0)+SP_S_temp1_VGP_SI_VGP_SI)+(+delta_ns_VGP_SI_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VGP_SI*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)+delta_ns_VGP_SI*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)+delta_ns*(+(+SP_S_y0_VGP_SI_VGP_SI-0.0)-SP_S_xi0_VGP_SI_VGP_SI)))));
  SP_S_qC_VGP_SI_VSI_BP=(+(+SP_S_temp_VGP_SI_VSI_BP*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VSI_BP)-(+Gf2_VGP_SI_VSI_BP*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+(((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta0_VGP_SI_VSI_BP-SP_S_y0_VGP_SI_VSI_BP)-0.0)+SP_S_temp1_VGP_SI_VSI_BP)+(+delta_ns_VGP_SI_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VGP_SI*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)+delta_ns_VSI_BP*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)+delta_ns*(+(+SP_S_y0_VGP_SI_VSI_BP-0.0)-SP_S_xi0_VGP_SI_VSI_BP)))));
#endif
SP_S_qC_VSI_BP=(((SP_S_temp_VSI_BP*SP_S_temp)+(SP_S_temp*SP_S_temp_VSI_BP))-((Gf2_VSI_BP*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0))))+(Gf2*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VSI_BP_VDI_SI=(+(+SP_S_temp_VSI_BP_VDI_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VDI_SI)-(+Gf2_VSI_BP_VDI_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta0_VDI_SI-SP_S_y0_VDI_SI)+SP_S_temp1_VDI_SI)+(((delta_ns_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta0_VSI_BP_VDI_SI-SP_S_y0_VSI_BP_VDI_SI)-0.0)+SP_S_temp1_VSI_BP_VDI_SI)+(+delta_ns_VSI_BP_VDI_SI*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VSI_BP*(SP_S_y0_VDI_SI-SP_S_xi0_VDI_SI)+delta_ns_VDI_SI*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)+delta_ns*(+(+SP_S_y0_VSI_BP_VDI_SI-0.0)-SP_S_xi0_VSI_BP_VDI_SI)))));
  SP_S_qC_VSI_BP_VGP_SI=(+(+SP_S_temp_VSI_BP_VGP_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VGP_SI)-(+Gf2_VSI_BP_VGP_SI*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta0_VGP_SI-SP_S_y0_VGP_SI)+SP_S_temp1_VGP_SI)+(((delta_ns_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta0_VSI_BP_VGP_SI-SP_S_y0_VSI_BP_VGP_SI)-0.0)+SP_S_temp1_VSI_BP_VGP_SI)+(+delta_ns_VSI_BP_VGP_SI*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VSI_BP*(SP_S_y0_VGP_SI-SP_S_xi0_VGP_SI)+delta_ns_VGP_SI*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)+delta_ns*(+(+SP_S_y0_VSI_BP_VGP_SI-0.0)-SP_S_xi0_VSI_BP_VGP_SI)))));
  SP_S_qC_VSI_BP_VSI_BP=(+(+SP_S_temp_VSI_BP_VSI_BP*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VSI_BP)-(+Gf2_VSI_BP_VSI_BP*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+(((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta0_VSI_BP-SP_S_y0_VSI_BP)+SP_S_temp1_VSI_BP)+((delta_ns_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0))+(delta_ns*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta0_VSI_BP_VSI_BP-SP_S_y0_VSI_BP_VSI_BP)-0.0)+SP_S_temp1_VSI_BP_VSI_BP)+(+delta_ns_VSI_BP_VSI_BP*((SP_S_y0-1.0)-SP_S_xi0)+delta_ns_VSI_BP*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)+delta_ns_VSI_BP*(SP_S_y0_VSI_BP-SP_S_xi0_VSI_BP)+delta_ns*(+(+SP_S_y0_VSI_BP_VSI_BP-0.0)-SP_S_xi0_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_qC=((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))));
EXIT_IF_ISNAN(((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-((Gf2_VDI_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2)))+(Gf2*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+0.0-(+Gf2_VDI_SI_VDI_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta0_VDI_SI_VDI_SI+SP_S_temp1_VDI_SI_VDI_SI)-(+delta_ns_VDI_SI_VDI_SI*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VDI_SI))));
  SP_S_temp_VDI_SI_VGP_SI=(+0.0-(+Gf2_VDI_SI_VGP_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta0_VDI_SI_VGP_SI+SP_S_temp1_VDI_SI_VGP_SI)-(+delta_ns_VDI_SI_VGP_SI*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VGP_SI))));
  SP_S_temp_VDI_SI_VSI_BP=(+0.0-(+Gf2_VDI_SI_VSI_BP*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta0_VDI_SI_VSI_BP+SP_S_temp1_VDI_SI_VSI_BP)-(+delta_ns_VDI_SI_VSI_BP*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VSI_BP))));
#endif
SP_S_temp_VGP_SI=(-((Gf2_VGP_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2)))+(Gf2*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+0.0-(+Gf2_VGP_SI_VDI_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta0_VGP_SI_VDI_SI+SP_S_temp1_VGP_SI_VDI_SI)-(+delta_ns_VGP_SI_VDI_SI*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VDI_SI))));
  SP_S_temp_VGP_SI_VGP_SI=(+0.0-(+Gf2_VGP_SI_VGP_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta0_VGP_SI_VGP_SI+SP_S_temp1_VGP_SI_VGP_SI)-(+delta_ns_VGP_SI_VGP_SI*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VGP_SI))));
  SP_S_temp_VGP_SI_VSI_BP=(+0.0-(+Gf2_VGP_SI_VSI_BP*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta0_VGP_SI_VSI_BP+SP_S_temp1_VGP_SI_VSI_BP)-(+delta_ns_VGP_SI_VSI_BP*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VSI_BP))));
#endif
SP_S_temp_VSI_BP=(-((Gf2_VSI_BP*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2)))+(Gf2*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+0.0-(+Gf2_VSI_BP_VDI_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta0_VDI_SI+SP_S_temp1_VDI_SI)-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta0_VSI_BP_VDI_SI+SP_S_temp1_VSI_BP_VDI_SI)-(+delta_ns_VSI_BP_VDI_SI*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VDI_SI))));
  SP_S_temp_VSI_BP_VGP_SI=(+0.0-(+Gf2_VSI_BP_VGP_SI*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta0_VGP_SI+SP_S_temp1_VGP_SI)-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta0_VSI_BP_VGP_SI+SP_S_temp1_VSI_BP_VGP_SI)-(+delta_ns_VSI_BP_VGP_SI*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VGP_SI))));
  SP_S_temp_VSI_BP_VSI_BP=(+0.0-(+Gf2_VSI_BP_VSI_BP*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta0_VSI_BP+SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta0_VSI_BP_VSI_BP+SP_S_temp1_VSI_BP_VSI_BP)-(+delta_ns_VSI_BP_VSI_BP*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VSI_BP))));
#endif
#endif
SP_S_temp=(2.0-(Gf2*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))));
EXIT_IF_ISNAN((2.0-(Gf2*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2)))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(((SP_S_pC_VDI_SI*SP_S_pC)+(SP_S_pC*SP_S_pC_VDI_SI))-(2.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+(+SP_S_pC_VDI_SI_VDI_SI*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VDI_SI*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VDI_SI)));
  SP_S_temp_VDI_SI_VGP_SI=(+(+SP_S_pC_VDI_SI_VGP_SI*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VGP_SI*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VGP_SI)));
  SP_S_temp_VDI_SI_VSI_BP=(+(+SP_S_pC_VDI_SI_VSI_BP*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VSI_BP*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VSI_BP)));
#endif
SP_S_temp_VGP_SI=(((SP_S_pC_VGP_SI*SP_S_pC)+(SP_S_pC*SP_S_pC_VGP_SI))-(2.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+(+SP_S_pC_VGP_SI_VDI_SI*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VDI_SI*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VDI_SI)));
  SP_S_temp_VGP_SI_VGP_SI=(+(+SP_S_pC_VGP_SI_VGP_SI*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VGP_SI*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VGP_SI)));
  SP_S_temp_VGP_SI_VSI_BP=(+(+SP_S_pC_VGP_SI_VSI_BP*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VSI_BP*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VSI_BP)));
#endif
SP_S_temp_VSI_BP=(((SP_S_pC_VSI_BP*SP_S_pC)+(SP_S_pC*SP_S_pC_VSI_BP))-(2.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+(+SP_S_pC_VSI_BP_VDI_SI*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VDI_SI*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VDI_SI)));
  SP_S_temp_VSI_BP_VGP_SI=(+(+SP_S_pC_VSI_BP_VGP_SI*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VGP_SI*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VGP_SI)));
  SP_S_temp_VSI_BP_VSI_BP=(+(+SP_S_pC_VSI_BP_VSI_BP*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VSI_BP*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VSI_BP)));
#endif
#endif
SP_S_temp=((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
EXIT_IF_ISNAN(((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp))))
{
double m00_sqrt(d00_sqrt0,SP_S_temp)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,SP_S_temp)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_s_VDI_SI=((-SP_S_y0_VDI_SI)-(2.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_s_VDI_SI_VDI_SI=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VDI_SI_VGP_SI=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VDI_SI_VSI_BP=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
x_s_VGP_SI=((-SP_S_y0_VGP_SI)-(2.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_s_VGP_SI_VDI_SI=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VGP_SI_VGP_SI=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VGP_SI_VSI_BP=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
x_s_VSI_BP=((-SP_S_y0_VSI_BP)-(2.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_s_VSI_BP_VDI_SI=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VSI_BP_VGP_SI=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VSI_BP_VSI_BP=(+0.0-(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
#endif
x_s=((-SP_S_y0)-(2.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))));
EXIT_IF_ISNAN(((-SP_S_y0)-(2.0*(SP_S_qC/(SP_S_pC+d00_sqrt0)))))
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_xg1_VDI_SI=(-Gf_VDI_SI*7.324648775608221e-001/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
#if defined(_DERIVATE2)
  SP_xg1_VDI_SI_VDI_SI=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VDI_SI*7.324648775608221e-001)+0.0*Gf_VDI_SI*7.324648775608221e-001+1.0*(+0.0+(+Gf_VDI_SI_VDI_SI*7.324648775608221e-001+Gf_VDI_SI*0.0+Gf_VDI_SI*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VDI_SI*7.324648775608221e-001*(Gf_VDI_SI*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
  SP_xg1_VDI_SI_VGP_SI=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VGP_SI*7.324648775608221e-001)+0.0*Gf_VDI_SI*7.324648775608221e-001+1.0*(+0.0+(+Gf_VDI_SI_VGP_SI*7.324648775608221e-001+Gf_VDI_SI*0.0+Gf_VGP_SI*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VDI_SI*7.324648775608221e-001*(Gf_VGP_SI*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
  SP_xg1_VDI_SI_VSI_BP=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VSI_BP*7.324648775608221e-001)+0.0*Gf_VDI_SI*7.324648775608221e-001+1.0*(+0.0+(+Gf_VDI_SI_VSI_BP*7.324648775608221e-001+Gf_VDI_SI*0.0+Gf_VSI_BP*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VDI_SI*7.324648775608221e-001*(Gf_VSI_BP*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
#endif
SP_xg1_VGP_SI=(-Gf_VGP_SI*7.324648775608221e-001/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
#if defined(_DERIVATE2)
  SP_xg1_VGP_SI_VDI_SI=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VDI_SI*7.324648775608221e-001)+0.0*Gf_VGP_SI*7.324648775608221e-001+1.0*(+0.0+(+Gf_VGP_SI_VDI_SI*7.324648775608221e-001+Gf_VGP_SI*0.0+Gf_VDI_SI*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VGP_SI*7.324648775608221e-001*(Gf_VDI_SI*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
  SP_xg1_VGP_SI_VGP_SI=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VGP_SI*7.324648775608221e-001)+0.0*Gf_VGP_SI*7.324648775608221e-001+1.0*(+0.0+(+Gf_VGP_SI_VGP_SI*7.324648775608221e-001+Gf_VGP_SI*0.0+Gf_VGP_SI*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VGP_SI*7.324648775608221e-001*(Gf_VGP_SI*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
  SP_xg1_VGP_SI_VSI_BP=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VSI_BP*7.324648775608221e-001)+0.0*Gf_VGP_SI*7.324648775608221e-001+1.0*(+0.0+(+Gf_VGP_SI_VSI_BP*7.324648775608221e-001+Gf_VGP_SI*0.0+Gf_VSI_BP*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VGP_SI*7.324648775608221e-001*(Gf_VSI_BP*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
#endif
SP_xg1_VSI_BP=(-Gf_VSI_BP*7.324648775608221e-001/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
#if defined(_DERIVATE2)
  SP_xg1_VSI_BP_VDI_SI=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VDI_SI*7.324648775608221e-001)+0.0*Gf_VSI_BP*7.324648775608221e-001+1.0*(+0.0+(+Gf_VSI_BP_VDI_SI*7.324648775608221e-001+Gf_VSI_BP*0.0+Gf_VDI_SI*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VSI_BP*7.324648775608221e-001*(Gf_VDI_SI*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
  SP_xg1_VSI_BP_VGP_SI=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VGP_SI*7.324648775608221e-001)+0.0*Gf_VSI_BP*7.324648775608221e-001+1.0*(+0.0+(+Gf_VSI_BP_VGP_SI*7.324648775608221e-001+Gf_VSI_BP*0.0+Gf_VGP_SI*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VSI_BP*7.324648775608221e-001*(Gf_VGP_SI*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
  SP_xg1_VSI_BP_VSI_BP=(0.0/(1.25+(Gf*7.324648775608221e-001))-(0.0*(Gf_VSI_BP*7.324648775608221e-001)+0.0*Gf_VSI_BP*7.324648775608221e-001+1.0*(+0.0+(+Gf_VSI_BP_VSI_BP*7.324648775608221e-001+Gf_VSI_BP*0.0+Gf_VSI_BP*0.0+Gf*0.0)))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))+2*1.0*Gf_VSI_BP*7.324648775608221e-001*(Gf_VSI_BP*7.324648775608221e-001)/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001))/(1.25+(Gf*7.324648775608221e-001)));
#endif
#endif
SP_xg1=(1.0/(1.25+(Gf*7.324648775608221e-001)));
EXIT_IF_ISNAN((1.0/(1.25+(Gf*7.324648775608221e-001))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_A_fac_VDI_SI=((((xi_VDI_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI))*SP_xg1)+((((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_A_fac_VDI_SI_VDI_SI=(+(+(+(+xi_VDI_SI_VDI_SI*1.25+xi_VDI_SI*0.0+xi_VDI_SI*0.0+xi*0.0)*SP_xg1+xi_VDI_SI*1.25*SP_xg1_VDI_SI+(xi_VDI_SI*1.25)*SP_xg1_VDI_SI+(xi*1.25)*SP_xg1_VDI_SI_VDI_SI)-0.0)*SP_xg1+((xi_VDI_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI))*SP_xg1_VDI_SI+((((xi_VDI_SI*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI)))*SP_xg1_VDI_SI+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VDI_SI_VDI_SI);
  SP_S_A_fac_VDI_SI_VGP_SI=(+(+(+(+xi_VDI_SI_VGP_SI*1.25+xi_VDI_SI*0.0+xi_VGP_SI*0.0+xi*0.0)*SP_xg1+xi_VDI_SI*1.25*SP_xg1_VGP_SI+(xi_VGP_SI*1.25)*SP_xg1_VDI_SI+(xi*1.25)*SP_xg1_VDI_SI_VGP_SI)-0.0)*SP_xg1+((xi_VDI_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI))*SP_xg1_VGP_SI+((((xi_VGP_SI*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI)))*SP_xg1_VDI_SI+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VDI_SI_VGP_SI);
  SP_S_A_fac_VDI_SI_VSI_BP=(+(+(+(+xi_VDI_SI_VSI_BP*1.25+xi_VDI_SI*0.0+xi_VSI_BP*0.0+xi*0.0)*SP_xg1+xi_VDI_SI*1.25*SP_xg1_VSI_BP+(xi_VSI_BP*1.25)*SP_xg1_VDI_SI+(xi*1.25)*SP_xg1_VDI_SI_VSI_BP)-0.0)*SP_xg1+((xi_VDI_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI))*SP_xg1_VSI_BP+((((xi_VSI_BP*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP)))*SP_xg1_VDI_SI+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VDI_SI_VSI_BP);
#endif
SP_S_A_fac_VGP_SI=((((xi_VGP_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI))*SP_xg1)+((((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_A_fac_VGP_SI_VDI_SI=(+(+(+(+xi_VGP_SI_VDI_SI*1.25+xi_VGP_SI*0.0+xi_VDI_SI*0.0+xi*0.0)*SP_xg1+xi_VGP_SI*1.25*SP_xg1_VDI_SI+(xi_VDI_SI*1.25)*SP_xg1_VGP_SI+(xi*1.25)*SP_xg1_VGP_SI_VDI_SI)-0.0)*SP_xg1+((xi_VGP_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI))*SP_xg1_VDI_SI+((((xi_VDI_SI*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI)))*SP_xg1_VGP_SI+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VGP_SI_VDI_SI);
  SP_S_A_fac_VGP_SI_VGP_SI=(+(+(+(+xi_VGP_SI_VGP_SI*1.25+xi_VGP_SI*0.0+xi_VGP_SI*0.0+xi*0.0)*SP_xg1+xi_VGP_SI*1.25*SP_xg1_VGP_SI+(xi_VGP_SI*1.25)*SP_xg1_VGP_SI+(xi*1.25)*SP_xg1_VGP_SI_VGP_SI)-0.0)*SP_xg1+((xi_VGP_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI))*SP_xg1_VGP_SI+((((xi_VGP_SI*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI)))*SP_xg1_VGP_SI+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VGP_SI_VGP_SI);
  SP_S_A_fac_VGP_SI_VSI_BP=(+(+(+(+xi_VGP_SI_VSI_BP*1.25+xi_VGP_SI*0.0+xi_VSI_BP*0.0+xi*0.0)*SP_xg1+xi_VGP_SI*1.25*SP_xg1_VSI_BP+(xi_VSI_BP*1.25)*SP_xg1_VGP_SI+(xi*1.25)*SP_xg1_VGP_SI_VSI_BP)-0.0)*SP_xg1+((xi_VGP_SI*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI))*SP_xg1_VSI_BP+((((xi_VSI_BP*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP)))*SP_xg1_VGP_SI+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VGP_SI_VSI_BP);
#endif
SP_S_A_fac_VSI_BP=((((xi_VSI_BP*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP))*SP_xg1)+((((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_A_fac_VSI_BP_VDI_SI=(+(+(+(+xi_VSI_BP_VDI_SI*1.25+xi_VSI_BP*0.0+xi_VDI_SI*0.0+xi*0.0)*SP_xg1+xi_VSI_BP*1.25*SP_xg1_VDI_SI+(xi_VDI_SI*1.25)*SP_xg1_VSI_BP+(xi*1.25)*SP_xg1_VSI_BP_VDI_SI)-0.0)*SP_xg1+((xi_VSI_BP*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP))*SP_xg1_VDI_SI+((((xi_VDI_SI*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VDI_SI)))*SP_xg1_VSI_BP+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VSI_BP_VDI_SI);
  SP_S_A_fac_VSI_BP_VGP_SI=(+(+(+(+xi_VSI_BP_VGP_SI*1.25+xi_VSI_BP*0.0+xi_VGP_SI*0.0+xi*0.0)*SP_xg1+xi_VSI_BP*1.25*SP_xg1_VGP_SI+(xi_VGP_SI*1.25)*SP_xg1_VSI_BP+(xi*1.25)*SP_xg1_VSI_BP_VGP_SI)-0.0)*SP_xg1+((xi_VSI_BP*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP))*SP_xg1_VGP_SI+((((xi_VGP_SI*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VGP_SI)))*SP_xg1_VSI_BP+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VSI_BP_VGP_SI);
  SP_S_A_fac_VSI_BP_VSI_BP=(+(+(+(+xi_VSI_BP_VSI_BP*1.25+xi_VSI_BP*0.0+xi_VSI_BP*0.0+xi*0.0)*SP_xg1+xi_VSI_BP*1.25*SP_xg1_VSI_BP+(xi_VSI_BP*1.25)*SP_xg1_VSI_BP+(xi*1.25)*SP_xg1_VSI_BP_VSI_BP)-0.0)*SP_xg1+((xi_VSI_BP*1.25*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP))*SP_xg1_VSI_BP+((((xi_VSI_BP*1.25)*SP_xg1)+((xi*1.25)*SP_xg1_VSI_BP)))*SP_xg1_VSI_BP+(((xi*1.25)*SP_xg1)-1.0)*SP_xg1_VSI_BP_VSI_BP);
#endif
#endif
SP_S_A_fac=((((xi*1.25)*SP_xg1)-1.0)*SP_xg1);
EXIT_IF_ISNAN(((((xi*1.25)*SP_xg1)-1.0)*SP_xg1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xbar_VDI_SI=((((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(1.0+(SP_S_A_fac*xg)))+((xg*inv_xi)*((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI))));
#if defined(_DERIVATE2)
  SP_S_xbar_VDI_SI_VDI_SI=(+(+xg_VDI_SI_VDI_SI*inv_xi+xg_VDI_SI*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VDI_SI)*(1.0+(SP_S_A_fac*xg))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VDI_SI_VDI_SI*xg+SP_S_A_fac_VDI_SI*xg_VDI_SI+SP_S_A_fac_VDI_SI*xg_VDI_SI+SP_S_A_fac*xg_VDI_SI_VDI_SI)));
  SP_S_xbar_VDI_SI_VGP_SI=(+(+xg_VDI_SI_VGP_SI*inv_xi+xg_VDI_SI*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VGP_SI)*(1.0+(SP_S_A_fac*xg))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VDI_SI_VGP_SI*xg+SP_S_A_fac_VDI_SI*xg_VGP_SI+SP_S_A_fac_VGP_SI*xg_VDI_SI+SP_S_A_fac*xg_VDI_SI_VGP_SI)));
  SP_S_xbar_VDI_SI_VSI_BP=(+(+xg_VDI_SI_VSI_BP*inv_xi+xg_VDI_SI*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VSI_BP)*(1.0+(SP_S_A_fac*xg))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VDI_SI_VSI_BP*xg+SP_S_A_fac_VDI_SI*xg_VSI_BP+SP_S_A_fac_VSI_BP*xg_VDI_SI+SP_S_A_fac*xg_VDI_SI_VSI_BP)));
#endif
SP_S_xbar_VGP_SI=((((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(1.0+(SP_S_A_fac*xg)))+((xg*inv_xi)*((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI))));
#if defined(_DERIVATE2)
  SP_S_xbar_VGP_SI_VDI_SI=(+(+xg_VGP_SI_VDI_SI*inv_xi+xg_VGP_SI*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VDI_SI)*(1.0+(SP_S_A_fac*xg))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VGP_SI_VDI_SI*xg+SP_S_A_fac_VGP_SI*xg_VDI_SI+SP_S_A_fac_VDI_SI*xg_VGP_SI+SP_S_A_fac*xg_VGP_SI_VDI_SI)));
  SP_S_xbar_VGP_SI_VGP_SI=(+(+xg_VGP_SI_VGP_SI*inv_xi+xg_VGP_SI*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VGP_SI)*(1.0+(SP_S_A_fac*xg))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VGP_SI_VGP_SI*xg+SP_S_A_fac_VGP_SI*xg_VGP_SI+SP_S_A_fac_VGP_SI*xg_VGP_SI+SP_S_A_fac*xg_VGP_SI_VGP_SI)));
  SP_S_xbar_VGP_SI_VSI_BP=(+(+xg_VGP_SI_VSI_BP*inv_xi+xg_VGP_SI*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VSI_BP)*(1.0+(SP_S_A_fac*xg))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VGP_SI_VSI_BP*xg+SP_S_A_fac_VGP_SI*xg_VSI_BP+SP_S_A_fac_VSI_BP*xg_VGP_SI+SP_S_A_fac*xg_VGP_SI_VSI_BP)));
#endif
SP_S_xbar_VSI_BP=((((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(1.0+(SP_S_A_fac*xg)))+((xg*inv_xi)*((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP))));
#if defined(_DERIVATE2)
  SP_S_xbar_VSI_BP_VDI_SI=(+(+xg_VSI_BP_VDI_SI*inv_xi+xg_VSI_BP*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VDI_SI)*(1.0+(SP_S_A_fac*xg))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((SP_S_A_fac_VDI_SI*xg)+(SP_S_A_fac*xg_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VSI_BP_VDI_SI*xg+SP_S_A_fac_VSI_BP*xg_VDI_SI+SP_S_A_fac_VDI_SI*xg_VSI_BP+SP_S_A_fac*xg_VSI_BP_VDI_SI)));
  SP_S_xbar_VSI_BP_VGP_SI=(+(+xg_VSI_BP_VGP_SI*inv_xi+xg_VSI_BP*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VGP_SI)*(1.0+(SP_S_A_fac*xg))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((SP_S_A_fac_VGP_SI*xg)+(SP_S_A_fac*xg_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VSI_BP_VGP_SI*xg+SP_S_A_fac_VSI_BP*xg_VGP_SI+SP_S_A_fac_VGP_SI*xg_VSI_BP+SP_S_A_fac*xg_VSI_BP_VGP_SI)));
  SP_S_xbar_VSI_BP_VSI_BP=(+(+xg_VSI_BP_VSI_BP*inv_xi+xg_VSI_BP*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VSI_BP)*(1.0+(SP_S_A_fac*xg))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((SP_S_A_fac_VSI_BP*xg)+(SP_S_A_fac*xg_VSI_BP))+(xg*inv_xi)*(+0.0+(+SP_S_A_fac_VSI_BP_VSI_BP*xg+SP_S_A_fac_VSI_BP*xg_VSI_BP+SP_S_A_fac_VSI_BP*xg_VSI_BP+SP_S_A_fac*xg_VSI_BP_VSI_BP)));
#endif
#endif
SP_S_xbar=((xg*inv_xi)*(1.0+(SP_S_A_fac*xg)));
EXIT_IF_ISNAN(((xg*inv_xi)*(1.0+(SP_S_A_fac*xg))))
if
(((-SP_S_xbar)>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(-SP_S_xbar))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-SP_S_xbar_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VDI_SI)*(-SP_S_xbar_VDI_SI)+d10_exp0*0.0);
  SP_S_temp_VDI_SI_VGP_SI=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VGP_SI)*(-SP_S_xbar_VDI_SI)+d10_exp0*0.0);
  SP_S_temp_VDI_SI_VSI_BP=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VSI_BP)*(-SP_S_xbar_VDI_SI)+d10_exp0*0.0);
#endif
SP_S_temp_VGP_SI=(-SP_S_xbar_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VDI_SI)*(-SP_S_xbar_VGP_SI)+d10_exp0*0.0);
  SP_S_temp_VGP_SI_VGP_SI=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VGP_SI)*(-SP_S_xbar_VGP_SI)+d10_exp0*0.0);
  SP_S_temp_VGP_SI_VSI_BP=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VSI_BP)*(-SP_S_xbar_VGP_SI)+d10_exp0*0.0);
#endif
SP_S_temp_VSI_BP=(-SP_S_xbar_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VDI_SI)*(-SP_S_xbar_VSI_BP)+d10_exp0*0.0);
  SP_S_temp_VSI_BP_VGP_SI=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VGP_SI)*(-SP_S_xbar_VSI_BP)+d10_exp0*0.0);
  SP_S_temp_VSI_BP_VSI_BP=(m20_exp((-SP_S_xbar))*(-SP_S_xbar_VSI_BP)*(-SP_S_xbar_VSI_BP)+d10_exp0*0.0);
#endif
#endif
SP_S_temp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-1.0e-100*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VDI_SI))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VDI_SI))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VDI_SI))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)+(-(-SP_S_xbar_VDI_SI))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VDI_SI))*0.0+(-(-SP_S_xbar_VDI_SI))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
  SP_S_temp_VDI_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VDI_SI))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VGP_SI))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VDI_SI))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)+(-(-SP_S_xbar_VGP_SI))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VDI_SI))*0.0+(-(-SP_S_xbar_VGP_SI))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
  SP_S_temp_VDI_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VDI_SI))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VSI_BP))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VDI_SI))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)+(-(-SP_S_xbar_VSI_BP))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VDI_SI))*0.0+(-(-SP_S_xbar_VSI_BP))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
#endif
SP_S_temp_VGP_SI=(-1.0e-100*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VGP_SI))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VDI_SI))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VGP_SI))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)+(-(-SP_S_xbar_VDI_SI))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VGP_SI))*0.0+(-(-SP_S_xbar_VDI_SI))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
  SP_S_temp_VGP_SI_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VGP_SI))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VGP_SI))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VGP_SI))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)+(-(-SP_S_xbar_VGP_SI))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VGP_SI))*0.0+(-(-SP_S_xbar_VGP_SI))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
  SP_S_temp_VGP_SI_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VGP_SI))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VSI_BP))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VGP_SI))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)+(-(-SP_S_xbar_VSI_BP))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VGP_SI))*0.0+(-(-SP_S_xbar_VSI_BP))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
#endif
SP_S_temp_VSI_BP=(-1.0e-100*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VSI_BP))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VDI_SI))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VSI_BP))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)+(-(-SP_S_xbar_VDI_SI))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VSI_BP))*0.0+(-(-SP_S_xbar_VDI_SI))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VDI_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VDI_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VDI_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
  SP_S_temp_VSI_BP_VGP_SI=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VSI_BP))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VGP_SI))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VSI_BP))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)+(-(-SP_S_xbar_VGP_SI))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VSI_BP))*0.0+(-(-SP_S_xbar_VGP_SI))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VGP_SI))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VGP_SI))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VGP_SI))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
  SP_S_temp_VSI_BP_VSI_BP=(0.0/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))-(0.0*((((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))))))+0.0*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-0.0)*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))+(-(-SP_S_xbar_VSI_BP))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))))))+(-(-SP_S_xbar_VSI_BP))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+0.0*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))))+0.0*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01))+0.5*(+(+0.0-0.0)*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))+(-(-SP_S_xbar_VSI_BP))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)+(-(-SP_S_xbar_VSI_BP))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(-SP_S_xbar))*(+0.0+(+(+0.0-0.0)*3.3333333333333333e-01+(-(-SP_S_xbar_VSI_BP))*0.0+(-(-SP_S_xbar_VSI_BP))*0.0+((-2.3025850929940458e+02)-(-SP_S_xbar))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(0.5*(((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))*((((-(-SP_S_xbar_VSI_BP))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((0.5*((((-(-SP_S_xbar_VSI_BP))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(-SP_S_xbar))*((-(-SP_S_xbar_VSI_BP))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
#endif
#endif
SP_S_temp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_w_VDI_SI=(-SP_S_temp_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_w_VDI_SI_VDI_SI=(+0.0-SP_S_temp_VDI_SI_VDI_SI);
  SP_S_w_VDI_SI_VGP_SI=(+0.0-SP_S_temp_VDI_SI_VGP_SI);
  SP_S_w_VDI_SI_VSI_BP=(+0.0-SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_w_VGP_SI=(-SP_S_temp_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_w_VGP_SI_VDI_SI=(+0.0-SP_S_temp_VGP_SI_VDI_SI);
  SP_S_w_VGP_SI_VGP_SI=(+0.0-SP_S_temp_VGP_SI_VGP_SI);
  SP_S_w_VGP_SI_VSI_BP=(+0.0-SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_w_VSI_BP=(-SP_S_temp_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_w_VSI_BP_VDI_SI=(+0.0-SP_S_temp_VSI_BP_VDI_SI);
  SP_S_w_VSI_BP_VGP_SI=(+0.0-SP_S_temp_VSI_BP_VGP_SI);
  SP_S_w_VSI_BP_VSI_BP=(+0.0-SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_w=(1.0-SP_S_temp);
EXIT_IF_ISNAN((1.0-SP_S_temp))
{
double m00_sqrt(d00_sqrt0,((xg+(Gf2*0.25))-SP_S_w))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((xg+(Gf2*0.25))-SP_S_w))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_x1_VDI_SI=((xg_VDI_SI+Gf2_VDI_SI*0.5)-((Gf_VDI_SI*d00_sqrt0)+(Gf*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)*d10_sqrt0)));
#if defined(_DERIVATE2)
  SP_S_x1_VDI_SI_VDI_SI=(+(+xg_VDI_SI_VDI_SI+(+Gf2_VDI_SI_VDI_SI*0.5+Gf2_VDI_SI*0.0+Gf2_VDI_SI*0.0+Gf2*0.0))-(+Gf_VDI_SI_VDI_SI*d00_sqrt0+Gf_VDI_SI*((xg_VDI_SI+(Gf2_VDI_SI*0.25))-SP_S_w_VDI_SI)*d10_sqrt0+Gf_VDI_SI*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VDI_SI+(Gf2_VDI_SI*0.25))-SP_S_w_VDI_SI)*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)+d10_sqrt0*(+(+xg_VDI_SI_VDI_SI+(+Gf2_VDI_SI_VDI_SI*0.25+Gf2_VDI_SI*0.0+Gf2_VDI_SI*0.0+Gf2*0.0))-SP_S_w_VDI_SI_VDI_SI))));
  SP_S_x1_VDI_SI_VGP_SI=(+(+xg_VDI_SI_VGP_SI+(+Gf2_VDI_SI_VGP_SI*0.5+Gf2_VDI_SI*0.0+Gf2_VGP_SI*0.0+Gf2*0.0))-(+Gf_VDI_SI_VGP_SI*d00_sqrt0+Gf_VDI_SI*((xg_VGP_SI+(Gf2_VGP_SI*0.25))-SP_S_w_VGP_SI)*d10_sqrt0+Gf_VGP_SI*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VGP_SI+(Gf2_VGP_SI*0.25))-SP_S_w_VGP_SI)*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)+d10_sqrt0*(+(+xg_VDI_SI_VGP_SI+(+Gf2_VDI_SI_VGP_SI*0.25+Gf2_VDI_SI*0.0+Gf2_VGP_SI*0.0+Gf2*0.0))-SP_S_w_VDI_SI_VGP_SI))));
  SP_S_x1_VDI_SI_VSI_BP=(+(+xg_VDI_SI_VSI_BP+(+Gf2_VDI_SI_VSI_BP*0.5+Gf2_VDI_SI*0.0+Gf2_VSI_BP*0.0+Gf2*0.0))-(+Gf_VDI_SI_VSI_BP*d00_sqrt0+Gf_VDI_SI*((xg_VSI_BP+(Gf2_VSI_BP*0.25))-SP_S_w_VSI_BP)*d10_sqrt0+Gf_VSI_BP*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VSI_BP+(Gf2_VSI_BP*0.25))-SP_S_w_VSI_BP)*((xg_VDI_SI+Gf2_VDI_SI*0.25)-SP_S_w_VDI_SI)+d10_sqrt0*(+(+xg_VDI_SI_VSI_BP+(+Gf2_VDI_SI_VSI_BP*0.25+Gf2_VDI_SI*0.0+Gf2_VSI_BP*0.0+Gf2*0.0))-SP_S_w_VDI_SI_VSI_BP))));
#endif
SP_S_x1_VGP_SI=((xg_VGP_SI+Gf2_VGP_SI*0.5)-((Gf_VGP_SI*d00_sqrt0)+(Gf*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)*d10_sqrt0)));
#if defined(_DERIVATE2)
  SP_S_x1_VGP_SI_VDI_SI=(+(+xg_VGP_SI_VDI_SI+(+Gf2_VGP_SI_VDI_SI*0.5+Gf2_VGP_SI*0.0+Gf2_VDI_SI*0.0+Gf2*0.0))-(+Gf_VGP_SI_VDI_SI*d00_sqrt0+Gf_VGP_SI*((xg_VDI_SI+(Gf2_VDI_SI*0.25))-SP_S_w_VDI_SI)*d10_sqrt0+Gf_VDI_SI*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VDI_SI+(Gf2_VDI_SI*0.25))-SP_S_w_VDI_SI)*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)+d10_sqrt0*(+(+xg_VGP_SI_VDI_SI+(+Gf2_VGP_SI_VDI_SI*0.25+Gf2_VGP_SI*0.0+Gf2_VDI_SI*0.0+Gf2*0.0))-SP_S_w_VGP_SI_VDI_SI))));
  SP_S_x1_VGP_SI_VGP_SI=(+(+xg_VGP_SI_VGP_SI+(+Gf2_VGP_SI_VGP_SI*0.5+Gf2_VGP_SI*0.0+Gf2_VGP_SI*0.0+Gf2*0.0))-(+Gf_VGP_SI_VGP_SI*d00_sqrt0+Gf_VGP_SI*((xg_VGP_SI+(Gf2_VGP_SI*0.25))-SP_S_w_VGP_SI)*d10_sqrt0+Gf_VGP_SI*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VGP_SI+(Gf2_VGP_SI*0.25))-SP_S_w_VGP_SI)*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)+d10_sqrt0*(+(+xg_VGP_SI_VGP_SI+(+Gf2_VGP_SI_VGP_SI*0.25+Gf2_VGP_SI*0.0+Gf2_VGP_SI*0.0+Gf2*0.0))-SP_S_w_VGP_SI_VGP_SI))));
  SP_S_x1_VGP_SI_VSI_BP=(+(+xg_VGP_SI_VSI_BP+(+Gf2_VGP_SI_VSI_BP*0.5+Gf2_VGP_SI*0.0+Gf2_VSI_BP*0.0+Gf2*0.0))-(+Gf_VGP_SI_VSI_BP*d00_sqrt0+Gf_VGP_SI*((xg_VSI_BP+(Gf2_VSI_BP*0.25))-SP_S_w_VSI_BP)*d10_sqrt0+Gf_VSI_BP*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VSI_BP+(Gf2_VSI_BP*0.25))-SP_S_w_VSI_BP)*((xg_VGP_SI+Gf2_VGP_SI*0.25)-SP_S_w_VGP_SI)+d10_sqrt0*(+(+xg_VGP_SI_VSI_BP+(+Gf2_VGP_SI_VSI_BP*0.25+Gf2_VGP_SI*0.0+Gf2_VSI_BP*0.0+Gf2*0.0))-SP_S_w_VGP_SI_VSI_BP))));
#endif
SP_S_x1_VSI_BP=((xg_VSI_BP+Gf2_VSI_BP*0.5)-((Gf_VSI_BP*d00_sqrt0)+(Gf*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)*d10_sqrt0)));
#if defined(_DERIVATE2)
  SP_S_x1_VSI_BP_VDI_SI=(+(+xg_VSI_BP_VDI_SI+(+Gf2_VSI_BP_VDI_SI*0.5+Gf2_VSI_BP*0.0+Gf2_VDI_SI*0.0+Gf2*0.0))-(+Gf_VSI_BP_VDI_SI*d00_sqrt0+Gf_VSI_BP*((xg_VDI_SI+(Gf2_VDI_SI*0.25))-SP_S_w_VDI_SI)*d10_sqrt0+Gf_VDI_SI*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VDI_SI+(Gf2_VDI_SI*0.25))-SP_S_w_VDI_SI)*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)+d10_sqrt0*(+(+xg_VSI_BP_VDI_SI+(+Gf2_VSI_BP_VDI_SI*0.25+Gf2_VSI_BP*0.0+Gf2_VDI_SI*0.0+Gf2*0.0))-SP_S_w_VSI_BP_VDI_SI))));
  SP_S_x1_VSI_BP_VGP_SI=(+(+xg_VSI_BP_VGP_SI+(+Gf2_VSI_BP_VGP_SI*0.5+Gf2_VSI_BP*0.0+Gf2_VGP_SI*0.0+Gf2*0.0))-(+Gf_VSI_BP_VGP_SI*d00_sqrt0+Gf_VSI_BP*((xg_VGP_SI+(Gf2_VGP_SI*0.25))-SP_S_w_VGP_SI)*d10_sqrt0+Gf_VGP_SI*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VGP_SI+(Gf2_VGP_SI*0.25))-SP_S_w_VGP_SI)*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)+d10_sqrt0*(+(+xg_VSI_BP_VGP_SI+(+Gf2_VSI_BP_VGP_SI*0.25+Gf2_VSI_BP*0.0+Gf2_VGP_SI*0.0+Gf2*0.0))-SP_S_w_VSI_BP_VGP_SI))));
  SP_S_x1_VSI_BP_VSI_BP=(+(+xg_VSI_BP_VSI_BP+(+Gf2_VSI_BP_VSI_BP*0.5+Gf2_VSI_BP*0.0+Gf2_VSI_BP*0.0+Gf2*0.0))-(+Gf_VSI_BP_VSI_BP*d00_sqrt0+Gf_VSI_BP*((xg_VSI_BP+(Gf2_VSI_BP*0.25))-SP_S_w_VSI_BP)*d10_sqrt0+Gf_VSI_BP*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt(((xg+(Gf2*0.25))-SP_S_w))*((xg_VSI_BP+(Gf2_VSI_BP*0.25))-SP_S_w_VSI_BP)*((xg_VSI_BP+Gf2_VSI_BP*0.25)-SP_S_w_VSI_BP)+d10_sqrt0*(+(+xg_VSI_BP_VSI_BP+(+Gf2_VSI_BP_VSI_BP*0.25+Gf2_VSI_BP*0.0+Gf2_VSI_BP*0.0+Gf2*0.0))-SP_S_w_VSI_BP_VSI_BP))));
#endif
#endif
SP_S_x1=((xg+(Gf2*0.5))-(Gf*d00_sqrt0));
EXIT_IF_ISNAN(((xg+(Gf2*0.5))-(Gf*d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_bx_VDI_SI=xn_s_VDI_SI;
#if defined(_DERIVATE2)
  SP_S_bx_VDI_SI_VDI_SI=(+xn_s_VDI_SI_VDI_SI+0.0);
  SP_S_bx_VDI_SI_VGP_SI=(+xn_s_VDI_SI_VGP_SI+0.0);
  SP_S_bx_VDI_SI_VSI_BP=(+xn_s_VDI_SI_VSI_BP+0.0);
#endif
SP_S_bx_VGP_SI=xn_s_VGP_SI;
#if defined(_DERIVATE2)
  SP_S_bx_VGP_SI_VDI_SI=(+xn_s_VGP_SI_VDI_SI+0.0);
  SP_S_bx_VGP_SI_VGP_SI=(+xn_s_VGP_SI_VGP_SI+0.0);
  SP_S_bx_VGP_SI_VSI_BP=(+xn_s_VGP_SI_VSI_BP+0.0);
#endif
SP_S_bx_VSI_BP=xn_s_VSI_BP;
#if defined(_DERIVATE2)
  SP_S_bx_VSI_BP_VDI_SI=(+xn_s_VSI_BP_VDI_SI+0.0);
  SP_S_bx_VSI_BP_VGP_SI=(+xn_s_VSI_BP_VGP_SI+0.0);
  SP_S_bx_VSI_BP_VSI_BP=(+xn_s_VSI_BP_VSI_BP+0.0);
#endif
#endif
SP_S_bx=(xn_s+3.0);
EXIT_IF_ISNAN((xn_s+3.0))
{
double m00_sqrt(d00_sqrt0,(((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))
double m00_sqrt(d00_sqrt1,((SP_S_bx*SP_S_bx)+5.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))
double m10_sqrt(d10_sqrt1,d00_sqrt1,((SP_S_bx*SP_S_bx)+5.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_eta_VDI_SI=((0.5*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0))-(0.5*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)));
#if defined(_DERIVATE2)
  SP_S_eta_VDI_SI_VDI_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VDI_SI_VDI_SI+SP_S_bx_VDI_SI_VDI_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VDI_SI_VDI_SI-SP_S_bx_VDI_SI_VDI_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VDI_SI_VDI_SI-SP_S_bx_VDI_SI_VDI_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VDI_SI-(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VDI_SI_VDI_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))+d10_sqrt1*(+(+SP_S_bx_VDI_SI_VDI_SI*SP_S_bx+SP_S_bx_VDI_SI*SP_S_bx_VDI_SI+SP_S_bx_VDI_SI*SP_S_bx_VDI_SI+SP_S_bx*SP_S_bx_VDI_SI_VDI_SI)+0.0)))));
  SP_S_eta_VDI_SI_VGP_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VDI_SI_VGP_SI+SP_S_bx_VDI_SI_VGP_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VDI_SI_VGP_SI-SP_S_bx_VDI_SI_VGP_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VDI_SI_VGP_SI-SP_S_bx_VDI_SI_VGP_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VGP_SI-(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VDI_SI_VGP_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))+d10_sqrt1*(+(+SP_S_bx_VDI_SI_VGP_SI*SP_S_bx+SP_S_bx_VDI_SI*SP_S_bx_VGP_SI+SP_S_bx_VGP_SI*SP_S_bx_VDI_SI+SP_S_bx*SP_S_bx_VDI_SI_VGP_SI)+0.0)))));
  SP_S_eta_VDI_SI_VSI_BP=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*d10_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VDI_SI_VSI_BP+SP_S_bx_VDI_SI_VSI_BP)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VDI_SI_VSI_BP-SP_S_bx_VDI_SI_VSI_BP)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VDI_SI_VSI_BP-SP_S_bx_VDI_SI_VSI_BP))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VSI_BP-(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*d10_sqrt1)+0.0*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VDI_SI_VSI_BP-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))+d10_sqrt1*(+(+SP_S_bx_VDI_SI_VSI_BP*SP_S_bx+SP_S_bx_VDI_SI*SP_S_bx_VSI_BP+SP_S_bx_VSI_BP*SP_S_bx_VDI_SI+SP_S_bx*SP_S_bx_VDI_SI_VSI_BP)+0.0)))));
#endif
SP_S_eta_VGP_SI=((0.5*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0))-(0.5*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)));
#if defined(_DERIVATE2)
  SP_S_eta_VGP_SI_VDI_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VGP_SI_VDI_SI+SP_S_bx_VGP_SI_VDI_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VGP_SI_VDI_SI-SP_S_bx_VGP_SI_VDI_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VGP_SI_VDI_SI-SP_S_bx_VGP_SI_VDI_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VDI_SI-(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VGP_SI_VDI_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))+d10_sqrt1*(+(+SP_S_bx_VGP_SI_VDI_SI*SP_S_bx+SP_S_bx_VGP_SI*SP_S_bx_VDI_SI+SP_S_bx_VDI_SI*SP_S_bx_VGP_SI+SP_S_bx*SP_S_bx_VGP_SI_VDI_SI)+0.0)))));
  SP_S_eta_VGP_SI_VGP_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VGP_SI_VGP_SI+SP_S_bx_VGP_SI_VGP_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VGP_SI_VGP_SI-SP_S_bx_VGP_SI_VGP_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VGP_SI_VGP_SI-SP_S_bx_VGP_SI_VGP_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VGP_SI-(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VGP_SI_VGP_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))+d10_sqrt1*(+(+SP_S_bx_VGP_SI_VGP_SI*SP_S_bx+SP_S_bx_VGP_SI*SP_S_bx_VGP_SI+SP_S_bx_VGP_SI*SP_S_bx_VGP_SI+SP_S_bx*SP_S_bx_VGP_SI_VGP_SI)+0.0)))));
  SP_S_eta_VGP_SI_VSI_BP=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*d10_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VGP_SI_VSI_BP+SP_S_bx_VGP_SI_VSI_BP)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VGP_SI_VSI_BP-SP_S_bx_VGP_SI_VSI_BP)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VGP_SI_VSI_BP-SP_S_bx_VGP_SI_VSI_BP))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VSI_BP-(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*d10_sqrt1)+0.0*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VGP_SI_VSI_BP-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))+d10_sqrt1*(+(+SP_S_bx_VGP_SI_VSI_BP*SP_S_bx+SP_S_bx_VGP_SI*SP_S_bx_VSI_BP+SP_S_bx_VSI_BP*SP_S_bx_VGP_SI+SP_S_bx*SP_S_bx_VGP_SI_VSI_BP)+0.0)))));
#endif
SP_S_eta_VSI_BP=((0.5*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0))-(0.5*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)));
#if defined(_DERIVATE2)
  SP_S_eta_VSI_BP_VDI_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VSI_BP_VDI_SI+SP_S_bx_VSI_BP_VDI_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))+d10_sqrt0*(+(+(+SP_S_x1_VSI_BP_VDI_SI-SP_S_bx_VSI_BP_VDI_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VSI_BP_VDI_SI-SP_S_bx_VSI_BP_VDI_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VDI_SI-(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)+0.5*(+SP_S_bx_VSI_BP_VDI_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))+d10_sqrt1*(+(+SP_S_bx_VSI_BP_VDI_SI*SP_S_bx+SP_S_bx_VSI_BP*SP_S_bx_VDI_SI+SP_S_bx_VDI_SI*SP_S_bx_VSI_BP+SP_S_bx*SP_S_bx_VSI_BP_VDI_SI)+0.0)))));
  SP_S_eta_VSI_BP_VGP_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VSI_BP_VGP_SI+SP_S_bx_VSI_BP_VGP_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))+d10_sqrt0*(+(+(+SP_S_x1_VSI_BP_VGP_SI-SP_S_bx_VSI_BP_VGP_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VSI_BP_VGP_SI-SP_S_bx_VSI_BP_VGP_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VGP_SI-(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)+0.5*(+SP_S_bx_VSI_BP_VGP_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))+d10_sqrt1*(+(+SP_S_bx_VSI_BP_VGP_SI*SP_S_bx+SP_S_bx_VSI_BP*SP_S_bx_VGP_SI+SP_S_bx_VGP_SI*SP_S_bx_VSI_BP+SP_S_bx*SP_S_bx_VSI_BP_VGP_SI)+0.0)))));
  SP_S_eta_VSI_BP_VSI_BP=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*d10_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VSI_BP_VSI_BP+SP_S_bx_VSI_BP_VSI_BP)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))+d10_sqrt0*(+(+(+SP_S_x1_VSI_BP_VSI_BP-SP_S_bx_VSI_BP_VSI_BP)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VSI_BP_VSI_BP-SP_S_bx_VSI_BP_VSI_BP))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VSI_BP-(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*d10_sqrt1)+0.0*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)+0.5*(+SP_S_bx_VSI_BP_VSI_BP-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))+d10_sqrt1*(+(+SP_S_bx_VSI_BP_VSI_BP*SP_S_bx+SP_S_bx_VSI_BP*SP_S_bx_VSI_BP+SP_S_bx_VSI_BP*SP_S_bx_VSI_BP+SP_S_bx*SP_S_bx_VSI_BP_VSI_BP)+0.0)))));
#endif
#endif
SP_S_eta=((0.5*((SP_S_x1+SP_S_bx)-d00_sqrt0))-(0.5*(SP_S_bx-d00_sqrt1)));
EXIT_IF_ISNAN(((0.5*((SP_S_x1+SP_S_bx)-d00_sqrt0))-(0.5*(SP_S_bx-d00_sqrt1))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(xg_VDI_SI-SP_S_eta_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+xg_VDI_SI_VDI_SI-SP_S_eta_VDI_SI_VDI_SI);
  SP_S_temp_VDI_SI_VGP_SI=(+xg_VDI_SI_VGP_SI-SP_S_eta_VDI_SI_VGP_SI);
  SP_S_temp_VDI_SI_VSI_BP=(+xg_VDI_SI_VSI_BP-SP_S_eta_VDI_SI_VSI_BP);
#endif
SP_S_temp_VGP_SI=(xg_VGP_SI-SP_S_eta_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+xg_VGP_SI_VDI_SI-SP_S_eta_VGP_SI_VDI_SI);
  SP_S_temp_VGP_SI_VGP_SI=(+xg_VGP_SI_VGP_SI-SP_S_eta_VGP_SI_VGP_SI);
  SP_S_temp_VGP_SI_VSI_BP=(+xg_VGP_SI_VSI_BP-SP_S_eta_VGP_SI_VSI_BP);
#endif
SP_S_temp_VSI_BP=(xg_VSI_BP-SP_S_eta_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+xg_VSI_BP_VDI_SI-SP_S_eta_VSI_BP_VDI_SI);
  SP_S_temp_VSI_BP_VGP_SI=(+xg_VSI_BP_VGP_SI-SP_S_eta_VSI_BP_VGP_SI);
  SP_S_temp_VSI_BP_VSI_BP=(+xg_VSI_BP_VSI_BP-SP_S_eta_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp=(xg-SP_S_eta);
EXIT_IF_ISNAN((xg-SP_S_eta))
{
double m00_exp(d00_exp0,(-SP_S_eta))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp1_VDI_SI=(-SP_S_eta_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp1_VDI_SI_VDI_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VDI_SI)*(-SP_S_eta_VDI_SI)+d10_exp0*0.0);
  SP_S_temp1_VDI_SI_VGP_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VGP_SI)*(-SP_S_eta_VDI_SI)+d10_exp0*0.0);
  SP_S_temp1_VDI_SI_VSI_BP=(m20_exp((-SP_S_eta))*(-SP_S_eta_VSI_BP)*(-SP_S_eta_VDI_SI)+d10_exp0*0.0);
#endif
SP_S_temp1_VGP_SI=(-SP_S_eta_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp1_VGP_SI_VDI_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VDI_SI)*(-SP_S_eta_VGP_SI)+d10_exp0*0.0);
  SP_S_temp1_VGP_SI_VGP_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VGP_SI)*(-SP_S_eta_VGP_SI)+d10_exp0*0.0);
  SP_S_temp1_VGP_SI_VSI_BP=(m20_exp((-SP_S_eta))*(-SP_S_eta_VSI_BP)*(-SP_S_eta_VGP_SI)+d10_exp0*0.0);
#endif
SP_S_temp1_VSI_BP=(-SP_S_eta_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp1_VSI_BP_VDI_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VDI_SI)*(-SP_S_eta_VSI_BP)+d10_exp0*0.0);
  SP_S_temp1_VSI_BP_VGP_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VGP_SI)*(-SP_S_eta_VSI_BP)+d10_exp0*0.0);
  SP_S_temp1_VSI_BP_VSI_BP=(m20_exp((-SP_S_eta))*(-SP_S_eta_VSI_BP)*(-SP_S_eta_VSI_BP)+d10_exp0*0.0);
#endif
#endif
SP_S_temp1=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp2_VDI_SI=(-((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#if defined(_DERIVATE2)
  SP_S_temp2_VDI_SI_VDI_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))+0.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))+1.0*(+0.0+(+SP_S_eta_VDI_SI_VDI_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VDI_SI_VGP_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))+0.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))+1.0*(+0.0+(+SP_S_eta_VDI_SI_VGP_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VDI_SI_VSI_BP=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))+0.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))+1.0*(+0.0+(+SP_S_eta_VDI_SI_VSI_BP*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#endif
SP_S_temp2_VGP_SI=(-((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#if defined(_DERIVATE2)
  SP_S_temp2_VGP_SI_VDI_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))+0.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))+1.0*(+0.0+(+SP_S_eta_VGP_SI_VDI_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VGP_SI_VGP_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))+0.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))+1.0*(+0.0+(+SP_S_eta_VGP_SI_VGP_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VGP_SI_VSI_BP=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))+0.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))+1.0*(+0.0+(+SP_S_eta_VGP_SI_VSI_BP*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#endif
SP_S_temp2_VSI_BP=(-((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#if defined(_DERIVATE2)
  SP_S_temp2_VSI_BP_VDI_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))+0.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))+1.0*(+0.0+(+SP_S_eta_VSI_BP_VDI_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VSI_BP_VGP_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))+0.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))+1.0*(+0.0+(+SP_S_eta_VSI_BP_VGP_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VSI_BP_VSI_BP=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))+0.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))+1.0*(+0.0+(+SP_S_eta_VSI_BP_VSI_BP*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#endif
#endif
SP_S_temp2=(1.0/(2.0+(SP_S_eta*SP_S_eta)));
EXIT_IF_ISNAN((1.0/(2.0+(SP_S_eta*SP_S_eta))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi0_VDI_SI=((((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VDI_SI_VDI_SI=(+(+SP_S_eta_VDI_SI_VDI_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI_VDI_SI);
  SP_S_xi0_VDI_SI_VGP_SI=(+(+SP_S_eta_VDI_SI_VGP_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI_VGP_SI);
  SP_S_xi0_VDI_SI_VSI_BP=(+(+SP_S_eta_VDI_SI_VSI_BP*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI_VSI_BP);
#endif
SP_S_xi0_VGP_SI=((((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VGP_SI_VDI_SI=(+(+SP_S_eta_VGP_SI_VDI_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI_VDI_SI);
  SP_S_xi0_VGP_SI_VGP_SI=(+(+SP_S_eta_VGP_SI_VGP_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI_VGP_SI);
  SP_S_xi0_VGP_SI_VSI_BP=(+(+SP_S_eta_VGP_SI_VSI_BP*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI_VSI_BP);
#endif
SP_S_xi0_VSI_BP=((((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi0_VSI_BP_VDI_SI=(+(+SP_S_eta_VSI_BP_VDI_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VDI_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP_VDI_SI);
  SP_S_xi0_VSI_BP_VGP_SI=(+(+SP_S_eta_VSI_BP_VGP_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VGP_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP_VGP_SI);
  SP_S_xi0_VSI_BP_VSI_BP=(+(+SP_S_eta_VSI_BP_VSI_BP*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VSI_BP)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi0=((SP_S_eta*SP_S_eta)*SP_S_temp2);
EXIT_IF_ISNAN(((SP_S_eta*SP_S_eta)*SP_S_temp2))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi1_VDI_SI=(4.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VDI_SI_VDI_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)))+0.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI))+4.0*(+(+SP_S_eta_VDI_SI_VDI_SI*SP_S_temp2+SP_S_eta_VDI_SI*SP_S_temp2_VDI_SI+SP_S_eta_VDI_SI*SP_S_temp2_VDI_SI+SP_S_eta*SP_S_temp2_VDI_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI_VDI_SI));
  SP_S_xi1_VDI_SI_VGP_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)))+0.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI))+4.0*(+(+SP_S_eta_VDI_SI_VGP_SI*SP_S_temp2+SP_S_eta_VDI_SI*SP_S_temp2_VGP_SI+SP_S_eta_VGP_SI*SP_S_temp2_VDI_SI+SP_S_eta*SP_S_temp2_VDI_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI_VGP_SI));
  SP_S_xi1_VDI_SI_VSI_BP=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)))+0.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI))+4.0*(+(+SP_S_eta_VDI_SI_VSI_BP*SP_S_temp2+SP_S_eta_VDI_SI*SP_S_temp2_VSI_BP+SP_S_eta_VSI_BP*SP_S_temp2_VDI_SI+SP_S_eta*SP_S_temp2_VDI_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI_VSI_BP));
#endif
SP_S_xi1_VGP_SI=(4.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VGP_SI_VDI_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)))+0.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI))+4.0*(+(+SP_S_eta_VGP_SI_VDI_SI*SP_S_temp2+SP_S_eta_VGP_SI*SP_S_temp2_VDI_SI+SP_S_eta_VDI_SI*SP_S_temp2_VGP_SI+SP_S_eta*SP_S_temp2_VGP_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI_VDI_SI));
  SP_S_xi1_VGP_SI_VGP_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)))+0.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI))+4.0*(+(+SP_S_eta_VGP_SI_VGP_SI*SP_S_temp2+SP_S_eta_VGP_SI*SP_S_temp2_VGP_SI+SP_S_eta_VGP_SI*SP_S_temp2_VGP_SI+SP_S_eta*SP_S_temp2_VGP_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI_VGP_SI));
  SP_S_xi1_VGP_SI_VSI_BP=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)))+0.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI))+4.0*(+(+SP_S_eta_VGP_SI_VSI_BP*SP_S_temp2+SP_S_eta_VGP_SI*SP_S_temp2_VSI_BP+SP_S_eta_VSI_BP*SP_S_temp2_VGP_SI+SP_S_eta*SP_S_temp2_VGP_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI_VSI_BP));
#endif
SP_S_xi1_VSI_BP=(4.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_xi1_VSI_BP_VDI_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)))+0.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP))+4.0*(+(+SP_S_eta_VSI_BP_VDI_SI*SP_S_temp2+SP_S_eta_VSI_BP*SP_S_temp2_VDI_SI+SP_S_eta_VDI_SI*SP_S_temp2_VSI_BP+SP_S_eta*SP_S_temp2_VSI_BP_VDI_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP_VDI_SI));
  SP_S_xi1_VSI_BP_VGP_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)))+0.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP))+4.0*(+(+SP_S_eta_VSI_BP_VGP_SI*SP_S_temp2+SP_S_eta_VSI_BP*SP_S_temp2_VGP_SI+SP_S_eta_VGP_SI*SP_S_temp2_VSI_BP+SP_S_eta*SP_S_temp2_VSI_BP_VGP_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP_VGP_SI));
  SP_S_xi1_VSI_BP_VSI_BP=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)))+0.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP))+4.0*(+(+SP_S_eta_VSI_BP_VSI_BP*SP_S_temp2+SP_S_eta_VSI_BP*SP_S_temp2_VSI_BP+SP_S_eta_VSI_BP*SP_S_temp2_VSI_BP+SP_S_eta*SP_S_temp2_VSI_BP_VSI_BP)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP_VSI_BP));
#endif
#endif
SP_S_xi1=(4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
EXIT_IF_ISNAN((4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi2_VDI_SI=((((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2)+((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VDI_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VDI_SI+0.0*SP_S_temp2_VDI_SI+8.0*SP_S_temp2_VDI_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VDI_SI))*SP_S_temp2+((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2_VDI_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI_VDI_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2_VDI_SI+((((((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI)))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI_VDI_SI);
  SP_S_xi2_VDI_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VGP_SI+0.0*SP_S_temp2_VDI_SI+8.0*SP_S_temp2_VDI_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VGP_SI))*SP_S_temp2+((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2_VDI_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI_VGP_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2_VGP_SI+((((((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI)))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI_VGP_SI);
  SP_S_xi2_VDI_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VSI_BP+0.0*SP_S_temp2_VDI_SI+8.0*SP_S_temp2_VDI_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VSI_BP))*SP_S_temp2+((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2_VDI_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI_VSI_BP)*SP_S_temp2+((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2_VSI_BP+((((((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP)))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI_VSI_BP);
#endif
SP_S_xi2_VGP_SI=((((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2)+((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VGP_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VDI_SI+0.0*SP_S_temp2_VGP_SI+8.0*SP_S_temp2_VGP_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VDI_SI))*SP_S_temp2+((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2_VGP_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI_VDI_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2_VDI_SI+((((((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI)))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI_VDI_SI);
  SP_S_xi2_VGP_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VGP_SI+0.0*SP_S_temp2_VGP_SI+8.0*SP_S_temp2_VGP_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VGP_SI))*SP_S_temp2+((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2_VGP_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI_VGP_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2_VGP_SI+((((((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI)))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI_VGP_SI);
  SP_S_xi2_VGP_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VSI_BP+0.0*SP_S_temp2_VGP_SI+8.0*SP_S_temp2_VGP_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VSI_BP))*SP_S_temp2+((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2_VGP_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI_VSI_BP)*SP_S_temp2+((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2_VSI_BP+((((((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP)))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI_VSI_BP);
#endif
SP_S_xi2_VSI_BP=((((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2)+((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi2_VSI_BP_VDI_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VDI_SI+0.0*SP_S_temp2_VSI_BP+8.0*SP_S_temp2_VSI_BP_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VDI_SI))*SP_S_temp2+((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2_VSI_BP+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP_VDI_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2_VDI_SI+((((((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI)))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP_VDI_SI);
  SP_S_xi2_VSI_BP_VGP_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VGP_SI+0.0*SP_S_temp2_VSI_BP+8.0*SP_S_temp2_VSI_BP_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VGP_SI))*SP_S_temp2+((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2_VSI_BP+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP_VGP_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2_VGP_SI+((((((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI)))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP_VGP_SI);
  SP_S_xi2_VSI_BP_VSI_BP=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VSI_BP+0.0*SP_S_temp2_VSI_BP+8.0*SP_S_temp2_VSI_BP_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VSI_BP))*SP_S_temp2+((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2_VSI_BP+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP_VSI_BP)*SP_S_temp2+((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2_VSI_BP+((((((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP)))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi2=((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
EXIT_IF_ISNAN(((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2))
{
double m00_max(d00_max0,1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))))
#if defined(_DERIVATEFORDDX)
double m11_max(d11_max0,d00_max0,1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_a_VDI_SI=(d11_max0*(((SP_S_temp_VDI_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VDI_SI))-((Gf2_VDI_SI*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))+(Gf2*((SP_S_temp1_VDI_SI+SP_S_eta_VDI_SI)-((delta_ns_VDI_SI*((SP_S_eta+1.0)+SP_S_xi0))+(delta_ns*(SP_S_eta_VDI_SI+SP_S_xi0_VDI_SI))))))));
#if defined(_DERIVATE2)
  SP_S_a_VDI_SI_VDI_SI=fixme;
  SP_S_a_VDI_SI_VGP_SI=fixme;
  SP_S_a_VDI_SI_VSI_BP=fixme;
#endif
SP_S_a_VGP_SI=(d11_max0*(((SP_S_temp_VGP_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VGP_SI))-((Gf2_VGP_SI*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))+(Gf2*((SP_S_temp1_VGP_SI+SP_S_eta_VGP_SI)-((delta_ns_VGP_SI*((SP_S_eta+1.0)+SP_S_xi0))+(delta_ns*(SP_S_eta_VGP_SI+SP_S_xi0_VGP_SI))))))));
#if defined(_DERIVATE2)
  SP_S_a_VGP_SI_VDI_SI=fixme;
  SP_S_a_VGP_SI_VGP_SI=fixme;
  SP_S_a_VGP_SI_VSI_BP=fixme;
#endif
SP_S_a_VSI_BP=(d11_max0*(((SP_S_temp_VSI_BP*SP_S_temp)+(SP_S_temp*SP_S_temp_VSI_BP))-((Gf2_VSI_BP*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))+(Gf2*((SP_S_temp1_VSI_BP+SP_S_eta_VSI_BP)-((delta_ns_VSI_BP*((SP_S_eta+1.0)+SP_S_xi0))+(delta_ns*(SP_S_eta_VSI_BP+SP_S_xi0_VSI_BP))))))));
#if defined(_DERIVATE2)
  SP_S_a_VSI_BP_VDI_SI=fixme;
  SP_S_a_VSI_BP_VGP_SI=fixme;
  SP_S_a_VSI_BP_VSI_BP=fixme;
#endif
#endif
SP_S_a=d00_max0;
EXIT_IF_ISNAN(d00_max0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_b_VDI_SI=(-(0.5*((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))));
#if defined(_DERIVATE2)
  SP_S_b_VDI_SI_VDI_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))))+0.0*((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))+0.5*(+Gf2_VDI_SI_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*(SP_S_temp1_VDI_SI-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+SP_S_temp1_VDI_SI_VDI_SI-(+delta_ns_VDI_SI_VDI_SI*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VDI_SI)))));
  SP_S_b_VDI_SI_VGP_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))))+0.0*((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))+0.5*(+Gf2_VDI_SI_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*(SP_S_temp1_VGP_SI-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+SP_S_temp1_VDI_SI_VGP_SI-(+delta_ns_VDI_SI_VGP_SI*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VGP_SI)))));
  SP_S_b_VDI_SI_VSI_BP=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))))+0.0*((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))+0.5*(+Gf2_VDI_SI_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*(SP_S_temp1_VSI_BP-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*(SP_S_temp1_VDI_SI-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+SP_S_temp1_VDI_SI_VSI_BP-(+delta_ns_VDI_SI_VSI_BP*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VSI_BP)))));
#endif
SP_S_b_VGP_SI=(-(0.5*((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))));
#if defined(_DERIVATE2)
  SP_S_b_VGP_SI_VDI_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))))+0.0*((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))+0.5*(+Gf2_VGP_SI_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*(SP_S_temp1_VDI_SI-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+SP_S_temp1_VGP_SI_VDI_SI-(+delta_ns_VGP_SI_VDI_SI*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VDI_SI)))));
  SP_S_b_VGP_SI_VGP_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))))+0.0*((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))+0.5*(+Gf2_VGP_SI_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*(SP_S_temp1_VGP_SI-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+SP_S_temp1_VGP_SI_VGP_SI-(+delta_ns_VGP_SI_VGP_SI*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VGP_SI)))));
  SP_S_b_VGP_SI_VSI_BP=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))))+0.0*((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))+0.5*(+Gf2_VGP_SI_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*(SP_S_temp1_VSI_BP-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*(SP_S_temp1_VGP_SI-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+SP_S_temp1_VGP_SI_VSI_BP-(+delta_ns_VGP_SI_VSI_BP*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VSI_BP)))));
#endif
SP_S_b_VSI_BP=(-(0.5*((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))));
#if defined(_DERIVATE2)
  SP_S_b_VSI_BP_VDI_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))))))+0.0*((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))+0.5*(+Gf2_VSI_BP_VDI_SI*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*(SP_S_temp1_VDI_SI-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+SP_S_temp1_VSI_BP_VDI_SI-(+delta_ns_VSI_BP_VDI_SI*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VDI_SI)))));
  SP_S_b_VSI_BP_VGP_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))))))+0.0*((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))+0.5*(+Gf2_VSI_BP_VGP_SI*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*(SP_S_temp1_VGP_SI-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+SP_S_temp1_VSI_BP_VGP_SI-(+delta_ns_VSI_BP_VGP_SI*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VGP_SI)))));
  SP_S_b_VSI_BP_VSI_BP=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))+0.0*(((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))))+0.0*((Gf2_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))))+0.5*(+Gf2_VSI_BP_VSI_BP*(SP_S_temp1-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*(SP_S_temp1_VSI_BP-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*(SP_S_temp1_VSI_BP-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+SP_S_temp1_VSI_BP_VSI_BP-(+delta_ns_VSI_BP_VSI_BP*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_b=(1.0-(0.5*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))));
EXIT_IF_ISNAN((1.0-(0.5*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_c_VDI_SI=((2.0*SP_S_temp_VDI_SI)+((Gf2_VDI_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1))))+(Gf2*((-SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_c_VDI_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VDI_SI)+(+Gf2_VDI_SI_VDI_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VDI_SI*((-SP_S_temp1_VDI_SI)-(((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*((-SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI)))+Gf2*(+(+0.0-SP_S_temp1_VDI_SI_VDI_SI)-(+delta_ns_VDI_SI_VDI_SI*(1.0+SP_S_xi1)+delta_ns_VDI_SI*SP_S_xi1_VDI_SI+delta_ns_VDI_SI*SP_S_xi1_VDI_SI+delta_ns*(+0.0+SP_S_xi1_VDI_SI_VDI_SI)))));
  SP_S_c_VDI_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VGP_SI)+(+Gf2_VDI_SI_VGP_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VDI_SI*((-SP_S_temp1_VGP_SI)-(((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*((-SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI)))+Gf2*(+(+0.0-SP_S_temp1_VDI_SI_VGP_SI)-(+delta_ns_VDI_SI_VGP_SI*(1.0+SP_S_xi1)+delta_ns_VDI_SI*SP_S_xi1_VGP_SI+delta_ns_VGP_SI*SP_S_xi1_VDI_SI+delta_ns*(+0.0+SP_S_xi1_VDI_SI_VGP_SI)))));
  SP_S_c_VDI_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VSI_BP)+(+Gf2_VDI_SI_VSI_BP*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VDI_SI*((-SP_S_temp1_VSI_BP)-(((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*((-SP_S_temp1_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI)))+Gf2*(+(+0.0-SP_S_temp1_VDI_SI_VSI_BP)-(+delta_ns_VDI_SI_VSI_BP*(1.0+SP_S_xi1)+delta_ns_VDI_SI*SP_S_xi1_VSI_BP+delta_ns_VSI_BP*SP_S_xi1_VDI_SI+delta_ns*(+0.0+SP_S_xi1_VDI_SI_VSI_BP)))));
#endif
SP_S_c_VGP_SI=((2.0*SP_S_temp_VGP_SI)+((Gf2_VGP_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1))))+(Gf2*((-SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_c_VGP_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VDI_SI)+(+Gf2_VGP_SI_VDI_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VGP_SI*((-SP_S_temp1_VDI_SI)-(((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*((-SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI)))+Gf2*(+(+0.0-SP_S_temp1_VGP_SI_VDI_SI)-(+delta_ns_VGP_SI_VDI_SI*(1.0+SP_S_xi1)+delta_ns_VGP_SI*SP_S_xi1_VDI_SI+delta_ns_VDI_SI*SP_S_xi1_VGP_SI+delta_ns*(+0.0+SP_S_xi1_VGP_SI_VDI_SI)))));
  SP_S_c_VGP_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VGP_SI)+(+Gf2_VGP_SI_VGP_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VGP_SI*((-SP_S_temp1_VGP_SI)-(((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*((-SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI)))+Gf2*(+(+0.0-SP_S_temp1_VGP_SI_VGP_SI)-(+delta_ns_VGP_SI_VGP_SI*(1.0+SP_S_xi1)+delta_ns_VGP_SI*SP_S_xi1_VGP_SI+delta_ns_VGP_SI*SP_S_xi1_VGP_SI+delta_ns*(+0.0+SP_S_xi1_VGP_SI_VGP_SI)))));
  SP_S_c_VGP_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VSI_BP)+(+Gf2_VGP_SI_VSI_BP*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VGP_SI*((-SP_S_temp1_VSI_BP)-(((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*((-SP_S_temp1_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI)))+Gf2*(+(+0.0-SP_S_temp1_VGP_SI_VSI_BP)-(+delta_ns_VGP_SI_VSI_BP*(1.0+SP_S_xi1)+delta_ns_VGP_SI*SP_S_xi1_VSI_BP+delta_ns_VSI_BP*SP_S_xi1_VGP_SI+delta_ns*(+0.0+SP_S_xi1_VGP_SI_VSI_BP)))));
#endif
SP_S_c_VSI_BP=((2.0*SP_S_temp_VSI_BP)+((Gf2_VSI_BP*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1))))+(Gf2*((-SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_c_VSI_BP_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VDI_SI)+(+Gf2_VSI_BP_VDI_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VSI_BP*((-SP_S_temp1_VDI_SI)-(((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*((-SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP)))+Gf2*(+(+0.0-SP_S_temp1_VSI_BP_VDI_SI)-(+delta_ns_VSI_BP_VDI_SI*(1.0+SP_S_xi1)+delta_ns_VSI_BP*SP_S_xi1_VDI_SI+delta_ns_VDI_SI*SP_S_xi1_VSI_BP+delta_ns*(+0.0+SP_S_xi1_VSI_BP_VDI_SI)))));
  SP_S_c_VSI_BP_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VGP_SI)+(+Gf2_VSI_BP_VGP_SI*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VSI_BP*((-SP_S_temp1_VGP_SI)-(((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*((-SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP)))+Gf2*(+(+0.0-SP_S_temp1_VSI_BP_VGP_SI)-(+delta_ns_VSI_BP_VGP_SI*(1.0+SP_S_xi1)+delta_ns_VSI_BP*SP_S_xi1_VGP_SI+delta_ns_VGP_SI*SP_S_xi1_VSI_BP+delta_ns*(+0.0+SP_S_xi1_VSI_BP_VGP_SI)))));
  SP_S_c_VSI_BP_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VSI_BP)+(+Gf2_VSI_BP_VSI_BP*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VSI_BP*((-SP_S_temp1_VSI_BP)-(((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*((-SP_S_temp1_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP)))+Gf2*(+(+0.0-SP_S_temp1_VSI_BP_VSI_BP)-(+delta_ns_VSI_BP_VSI_BP*(1.0+SP_S_xi1)+delta_ns_VSI_BP*SP_S_xi1_VSI_BP+delta_ns_VSI_BP*SP_S_xi1_VSI_BP+delta_ns*(+0.0+SP_S_xi1_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_c=((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))));
EXIT_IF_ISNAN(((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1))))))
{
double m00_logE(d00_logE0,(SP_S_a/Gf2))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(SP_S_a/Gf2))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_tau_VDI_SI=((xn_s_VDI_SI-SP_S_eta_VDI_SI)+((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VDI_SI_VDI_SI=(+(+xn_s_VDI_SI_VDI_SI-SP_S_eta_VDI_SI_VDI_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VDI_SI_VDI_SI/Gf2-(SP_S_a_VDI_SI*Gf2_VDI_SI+SP_S_a_VDI_SI*Gf2_VDI_SI+SP_S_a*Gf2_VDI_SI_VDI_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VDI_SI*Gf2_VDI_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VDI_SI_VGP_SI=(+(+xn_s_VDI_SI_VGP_SI-SP_S_eta_VDI_SI_VGP_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VDI_SI_VGP_SI/Gf2-(SP_S_a_VDI_SI*Gf2_VGP_SI+SP_S_a_VGP_SI*Gf2_VDI_SI+SP_S_a*Gf2_VDI_SI_VGP_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VDI_SI*Gf2_VGP_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VDI_SI_VSI_BP=(+(+xn_s_VDI_SI_VSI_BP-SP_S_eta_VDI_SI_VSI_BP)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VDI_SI_VSI_BP/Gf2-(SP_S_a_VDI_SI*Gf2_VSI_BP+SP_S_a_VSI_BP*Gf2_VDI_SI+SP_S_a*Gf2_VDI_SI_VSI_BP)/Gf2/Gf2+2*SP_S_a*Gf2_VDI_SI*Gf2_VSI_BP/Gf2/Gf2/Gf2)));
#endif
SP_S_tau_VGP_SI=((xn_s_VGP_SI-SP_S_eta_VGP_SI)+((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VGP_SI_VDI_SI=(+(+xn_s_VGP_SI_VDI_SI-SP_S_eta_VGP_SI_VDI_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VGP_SI_VDI_SI/Gf2-(SP_S_a_VGP_SI*Gf2_VDI_SI+SP_S_a_VDI_SI*Gf2_VGP_SI+SP_S_a*Gf2_VGP_SI_VDI_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VGP_SI*Gf2_VDI_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VGP_SI_VGP_SI=(+(+xn_s_VGP_SI_VGP_SI-SP_S_eta_VGP_SI_VGP_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VGP_SI_VGP_SI/Gf2-(SP_S_a_VGP_SI*Gf2_VGP_SI+SP_S_a_VGP_SI*Gf2_VGP_SI+SP_S_a*Gf2_VGP_SI_VGP_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VGP_SI*Gf2_VGP_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VGP_SI_VSI_BP=(+(+xn_s_VGP_SI_VSI_BP-SP_S_eta_VGP_SI_VSI_BP)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VGP_SI_VSI_BP/Gf2-(SP_S_a_VGP_SI*Gf2_VSI_BP+SP_S_a_VSI_BP*Gf2_VGP_SI+SP_S_a*Gf2_VGP_SI_VSI_BP)/Gf2/Gf2+2*SP_S_a*Gf2_VGP_SI*Gf2_VSI_BP/Gf2/Gf2/Gf2)));
#endif
SP_S_tau_VSI_BP=((xn_s_VSI_BP-SP_S_eta_VSI_BP)+((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VSI_BP_VDI_SI=(+(+xn_s_VSI_BP_VDI_SI-SP_S_eta_VSI_BP_VDI_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)+d10_logE0*(SP_S_a_VSI_BP_VDI_SI/Gf2-(SP_S_a_VSI_BP*Gf2_VDI_SI+SP_S_a_VDI_SI*Gf2_VSI_BP+SP_S_a*Gf2_VSI_BP_VDI_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VSI_BP*Gf2_VDI_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VSI_BP_VGP_SI=(+(+xn_s_VSI_BP_VGP_SI-SP_S_eta_VSI_BP_VGP_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)+d10_logE0*(SP_S_a_VSI_BP_VGP_SI/Gf2-(SP_S_a_VSI_BP*Gf2_VGP_SI+SP_S_a_VGP_SI*Gf2_VSI_BP+SP_S_a*Gf2_VSI_BP_VGP_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VSI_BP*Gf2_VGP_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VSI_BP_VSI_BP=(+(+xn_s_VSI_BP_VSI_BP-SP_S_eta_VSI_BP_VSI_BP)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)+d10_logE0*(SP_S_a_VSI_BP_VSI_BP/Gf2-(SP_S_a_VSI_BP*Gf2_VSI_BP+SP_S_a_VSI_BP*Gf2_VSI_BP+SP_S_a*Gf2_VSI_BP_VSI_BP)/Gf2/Gf2+2*SP_S_a*Gf2_VSI_BP*Gf2_VSI_BP/Gf2/Gf2/Gf2)));
#endif
#endif
SP_S_tau=((xn_s-SP_S_eta)+d00_logE0);
EXIT_IF_ISNAN(((xn_s-SP_S_eta)+d00_logE0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
nu_VDI_SI=(SP_S_a_VDI_SI+SP_S_c_VDI_SI);
#if defined(_DERIVATE2)
  nu_VDI_SI_VDI_SI=(+SP_S_a_VDI_SI_VDI_SI+SP_S_c_VDI_SI_VDI_SI);
  nu_VDI_SI_VGP_SI=(+SP_S_a_VDI_SI_VGP_SI+SP_S_c_VDI_SI_VGP_SI);
  nu_VDI_SI_VSI_BP=(+SP_S_a_VDI_SI_VSI_BP+SP_S_c_VDI_SI_VSI_BP);
#endif
nu_VGP_SI=(SP_S_a_VGP_SI+SP_S_c_VGP_SI);
#if defined(_DERIVATE2)
  nu_VGP_SI_VDI_SI=(+SP_S_a_VGP_SI_VDI_SI+SP_S_c_VGP_SI_VDI_SI);
  nu_VGP_SI_VGP_SI=(+SP_S_a_VGP_SI_VGP_SI+SP_S_c_VGP_SI_VGP_SI);
  nu_VGP_SI_VSI_BP=(+SP_S_a_VGP_SI_VSI_BP+SP_S_c_VGP_SI_VSI_BP);
#endif
nu_VSI_BP=(SP_S_a_VSI_BP+SP_S_c_VSI_BP);
#if defined(_DERIVATE2)
  nu_VSI_BP_VDI_SI=(+SP_S_a_VSI_BP_VDI_SI+SP_S_c_VSI_BP_VDI_SI);
  nu_VSI_BP_VGP_SI=(+SP_S_a_VSI_BP_VGP_SI+SP_S_c_VSI_BP_VGP_SI);
  nu_VSI_BP_VSI_BP=(+SP_S_a_VSI_BP_VSI_BP+SP_S_c_VSI_BP_VSI_BP);
#endif
#endif
nu=(SP_S_a+SP_S_c);
EXIT_IF_ISNAN((SP_S_a+SP_S_c))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
mutau_VDI_SI=(((nu_VDI_SI*nu)+(nu*nu_VDI_SI))+((SP_S_tau_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))+(SP_S_tau*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))));
#if defined(_DERIVATE2)
  mutau_VDI_SI_VDI_SI=(+(+nu_VDI_SI_VDI_SI*nu+nu_VDI_SI*nu_VDI_SI+nu_VDI_SI*nu_VDI_SI+nu*nu_VDI_SI_VDI_SI)+(+SP_S_tau_VDI_SI_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VDI_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VDI_SI))-(+SP_S_a_VDI_SI_VDI_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VDI_SI))));
  mutau_VDI_SI_VGP_SI=(+(+nu_VDI_SI_VGP_SI*nu+nu_VDI_SI*nu_VGP_SI+nu_VGP_SI*nu_VDI_SI+nu*nu_VDI_SI_VGP_SI)+(+SP_S_tau_VDI_SI_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VGP_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VGP_SI))-(+SP_S_a_VDI_SI_VGP_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VGP_SI))));
  mutau_VDI_SI_VSI_BP=(+(+nu_VDI_SI_VSI_BP*nu+nu_VDI_SI*nu_VSI_BP+nu_VSI_BP*nu_VDI_SI+nu*nu_VDI_SI_VSI_BP)+(+SP_S_tau_VDI_SI_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VSI_BP*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VSI_BP))-(+SP_S_a_VDI_SI_VSI_BP*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VSI_BP))));
#endif
mutau_VGP_SI=(((nu_VGP_SI*nu)+(nu*nu_VGP_SI))+((SP_S_tau_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))+(SP_S_tau*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))));
#if defined(_DERIVATE2)
  mutau_VGP_SI_VDI_SI=(+(+nu_VGP_SI_VDI_SI*nu+nu_VGP_SI*nu_VDI_SI+nu_VDI_SI*nu_VGP_SI+nu*nu_VGP_SI_VDI_SI)+(+SP_S_tau_VGP_SI_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VDI_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VDI_SI))-(+SP_S_a_VGP_SI_VDI_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VDI_SI))));
  mutau_VGP_SI_VGP_SI=(+(+nu_VGP_SI_VGP_SI*nu+nu_VGP_SI*nu_VGP_SI+nu_VGP_SI*nu_VGP_SI+nu*nu_VGP_SI_VGP_SI)+(+SP_S_tau_VGP_SI_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VGP_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VGP_SI))-(+SP_S_a_VGP_SI_VGP_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VGP_SI))));
  mutau_VGP_SI_VSI_BP=(+(+nu_VGP_SI_VSI_BP*nu+nu_VGP_SI*nu_VSI_BP+nu_VSI_BP*nu_VGP_SI+nu*nu_VGP_SI_VSI_BP)+(+SP_S_tau_VGP_SI_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VSI_BP*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VSI_BP))-(+SP_S_a_VGP_SI_VSI_BP*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VSI_BP))));
#endif
mutau_VSI_BP=(((nu_VSI_BP*nu)+(nu*nu_VSI_BP))+((SP_S_tau_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))+(SP_S_tau*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))));
#if defined(_DERIVATE2)
  mutau_VSI_BP_VDI_SI=(+(+nu_VSI_BP_VDI_SI*nu+nu_VSI_BP*nu_VDI_SI+nu_VDI_SI*nu_VSI_BP+nu*nu_VSI_BP_VDI_SI)+(+SP_S_tau_VSI_BP_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VDI_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VDI_SI))-(+SP_S_a_VSI_BP_VDI_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VDI_SI))));
  mutau_VSI_BP_VGP_SI=(+(+nu_VSI_BP_VGP_SI*nu+nu_VSI_BP*nu_VGP_SI+nu_VGP_SI*nu_VSI_BP+nu*nu_VSI_BP_VGP_SI)+(+SP_S_tau_VSI_BP_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VGP_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VGP_SI))-(+SP_S_a_VSI_BP_VGP_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VGP_SI))));
  mutau_VSI_BP_VSI_BP=(+(+nu_VSI_BP_VSI_BP*nu+nu_VSI_BP*nu_VSI_BP+nu_VSI_BP*nu_VSI_BP+nu*nu_VSI_BP_VSI_BP)+(+SP_S_tau_VSI_BP_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VSI_BP*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VSI_BP))-(+SP_S_a_VSI_BP_VSI_BP*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VSI_BP))));
#endif
#endif
mutau=((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
EXIT_IF_ISNAN(((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_x0_VDI_SI=(SP_S_eta_VDI_SI+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#if defined(_DERIVATE2)
  SP_S_x0_VDI_SI_VDI_SI=(+SP_S_eta_VDI_SI_VDI_SI+((+(+SP_S_a_VDI_SI_VDI_SI*nu+SP_S_a_VDI_SI*nu_VDI_SI+SP_S_a_VDI_SI*nu_VDI_SI+SP_S_a*nu_VDI_SI_VDI_SI)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VDI_SI+(+(+(+(+(nu_VDI_SI_VDI_SI/mutau-(nu_VDI_SI*mutau_VDI_SI+nu_VDI_SI*mutau_VDI_SI+nu*mutau_VDI_SI_VDI_SI)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VDI_SI)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VDI_SI)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VDI_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VDI_SI_VDI_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VDI_SI_VGP_SI=(+SP_S_eta_VDI_SI_VGP_SI+((+(+SP_S_a_VDI_SI_VGP_SI*nu+SP_S_a_VDI_SI*nu_VGP_SI+SP_S_a_VGP_SI*nu_VDI_SI+SP_S_a*nu_VDI_SI_VGP_SI)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VGP_SI+(+(+(+(+(nu_VDI_SI_VGP_SI/mutau-(nu_VDI_SI*mutau_VGP_SI+nu_VGP_SI*mutau_VDI_SI+nu*mutau_VDI_SI_VGP_SI)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VGP_SI)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VGP_SI)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VGP_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VDI_SI_VGP_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VDI_SI_VSI_BP=(+SP_S_eta_VDI_SI_VSI_BP+((+(+SP_S_a_VDI_SI_VSI_BP*nu+SP_S_a_VDI_SI*nu_VSI_BP+SP_S_a_VSI_BP*nu_VDI_SI+SP_S_a*nu_VDI_SI_VSI_BP)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VSI_BP+(+(+(+(+(nu_VDI_SI_VSI_BP/mutau-(nu_VDI_SI*mutau_VSI_BP+nu_VSI_BP*mutau_VDI_SI+nu*mutau_VDI_SI_VSI_BP)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VSI_BP)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VSI_BP)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VSI_BP*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VDI_SI_VSI_BP*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#endif
SP_S_x0_VGP_SI=(SP_S_eta_VGP_SI+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#if defined(_DERIVATE2)
  SP_S_x0_VGP_SI_VDI_SI=(+SP_S_eta_VGP_SI_VDI_SI+((+(+SP_S_a_VGP_SI_VDI_SI*nu+SP_S_a_VGP_SI*nu_VDI_SI+SP_S_a_VDI_SI*nu_VGP_SI+SP_S_a*nu_VGP_SI_VDI_SI)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VDI_SI+(+(+(+(+(nu_VGP_SI_VDI_SI/mutau-(nu_VGP_SI*mutau_VDI_SI+nu_VDI_SI*mutau_VGP_SI+nu*mutau_VGP_SI_VDI_SI)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VDI_SI)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VDI_SI)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VDI_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VGP_SI_VDI_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VGP_SI_VGP_SI=(+SP_S_eta_VGP_SI_VGP_SI+((+(+SP_S_a_VGP_SI_VGP_SI*nu+SP_S_a_VGP_SI*nu_VGP_SI+SP_S_a_VGP_SI*nu_VGP_SI+SP_S_a*nu_VGP_SI_VGP_SI)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VGP_SI+(+(+(+(+(nu_VGP_SI_VGP_SI/mutau-(nu_VGP_SI*mutau_VGP_SI+nu_VGP_SI*mutau_VGP_SI+nu*mutau_VGP_SI_VGP_SI)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VGP_SI)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VGP_SI)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VGP_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VGP_SI_VGP_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VGP_SI_VSI_BP=(+SP_S_eta_VGP_SI_VSI_BP+((+(+SP_S_a_VGP_SI_VSI_BP*nu+SP_S_a_VGP_SI*nu_VSI_BP+SP_S_a_VSI_BP*nu_VGP_SI+SP_S_a*nu_VGP_SI_VSI_BP)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VSI_BP+(+(+(+(+(nu_VGP_SI_VSI_BP/mutau-(nu_VGP_SI*mutau_VSI_BP+nu_VSI_BP*mutau_VGP_SI+nu*mutau_VGP_SI_VSI_BP)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VSI_BP)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VSI_BP)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VSI_BP*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VGP_SI_VSI_BP*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#endif
SP_S_x0_VSI_BP=(SP_S_eta_VSI_BP+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#if defined(_DERIVATE2)
  SP_S_x0_VSI_BP_VDI_SI=(+SP_S_eta_VSI_BP_VDI_SI+((+(+SP_S_a_VSI_BP_VDI_SI*nu+SP_S_a_VSI_BP*nu_VDI_SI+SP_S_a_VDI_SI*nu_VSI_BP+SP_S_a*nu_VSI_BP_VDI_SI)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VDI_SI+(+(+(+(+(nu_VSI_BP_VDI_SI/mutau-(nu_VSI_BP*mutau_VDI_SI+nu_VDI_SI*mutau_VSI_BP+nu*mutau_VSI_BP_VDI_SI)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VDI_SI)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VDI_SI)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VDI_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VSI_BP_VDI_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VSI_BP_VGP_SI=(+SP_S_eta_VSI_BP_VGP_SI+((+(+SP_S_a_VSI_BP_VGP_SI*nu+SP_S_a_VSI_BP*nu_VGP_SI+SP_S_a_VGP_SI*nu_VSI_BP+SP_S_a*nu_VSI_BP_VGP_SI)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VGP_SI+(+(+(+(+(nu_VSI_BP_VGP_SI/mutau-(nu_VSI_BP*mutau_VGP_SI+nu_VGP_SI*mutau_VSI_BP+nu*mutau_VSI_BP_VGP_SI)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VGP_SI)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VGP_SI)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VGP_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VSI_BP_VGP_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VSI_BP_VSI_BP=(+SP_S_eta_VSI_BP_VSI_BP+((+(+SP_S_a_VSI_BP_VSI_BP*nu+SP_S_a_VSI_BP*nu_VSI_BP+SP_S_a_VSI_BP*nu_VSI_BP+SP_S_a*nu_VSI_BP_VSI_BP)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VSI_BP+(+(+(+(+(nu_VSI_BP_VSI_BP/mutau-(nu_VSI_BP*mutau_VSI_BP+nu_VSI_BP*mutau_VSI_BP+nu*mutau_VSI_BP_VSI_BP)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VSI_BP)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VSI_BP)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VSI_BP*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VSI_BP_VSI_BP*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#endif
#endif
SP_S_x0=(SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
EXIT_IF_ISNAN((SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))))))
if
((SP_S_x0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,SP_S_x0)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=SP_S_x0_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(m20_exp(SP_S_x0)*SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+d10_exp0*SP_S_x0_VDI_SI_VDI_SI);
  SP_S_delta0_VDI_SI_VGP_SI=(m20_exp(SP_S_x0)*SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+d10_exp0*SP_S_x0_VDI_SI_VGP_SI);
  SP_S_delta0_VDI_SI_VSI_BP=(m20_exp(SP_S_x0)*SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+d10_exp0*SP_S_x0_VDI_SI_VSI_BP);
#endif
SP_S_delta0_VGP_SI=SP_S_x0_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(m20_exp(SP_S_x0)*SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+d10_exp0*SP_S_x0_VGP_SI_VDI_SI);
  SP_S_delta0_VGP_SI_VGP_SI=(m20_exp(SP_S_x0)*SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+d10_exp0*SP_S_x0_VGP_SI_VGP_SI);
  SP_S_delta0_VGP_SI_VSI_BP=(m20_exp(SP_S_x0)*SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+d10_exp0*SP_S_x0_VGP_SI_VSI_BP);
#endif
SP_S_delta0_VSI_BP=SP_S_x0_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(m20_exp(SP_S_x0)*SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+d10_exp0*SP_S_x0_VSI_BP_VDI_SI);
  SP_S_delta0_VSI_BP_VGP_SI=(m20_exp(SP_S_x0)*SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+d10_exp0*SP_S_x0_VSI_BP_VGP_SI);
  SP_S_delta0_VSI_BP_VSI_BP=(m20_exp(SP_S_x0)*SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+d10_exp0*SP_S_x0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_delta0=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=(-SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VGP_SI=(-SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VSI_BP=(-SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
#endif
SP_S_delta1=(1.0/SP_S_delta0);
EXIT_IF_ISNAN((1.0/SP_S_delta0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=((delta_ns_VDI_SI*SP_S_delta0)+(delta_ns*SP_S_delta0_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(+delta_ns_VDI_SI_VDI_SI*SP_S_delta0+delta_ns_VDI_SI*SP_S_delta0_VDI_SI+delta_ns_VDI_SI*SP_S_delta0_VDI_SI+delta_ns*SP_S_delta0_VDI_SI_VDI_SI);
  SP_S_delta0_VDI_SI_VGP_SI=(+delta_ns_VDI_SI_VGP_SI*SP_S_delta0+delta_ns_VDI_SI*SP_S_delta0_VGP_SI+delta_ns_VGP_SI*SP_S_delta0_VDI_SI+delta_ns*SP_S_delta0_VDI_SI_VGP_SI);
  SP_S_delta0_VDI_SI_VSI_BP=(+delta_ns_VDI_SI_VSI_BP*SP_S_delta0+delta_ns_VDI_SI*SP_S_delta0_VSI_BP+delta_ns_VSI_BP*SP_S_delta0_VDI_SI+delta_ns*SP_S_delta0_VDI_SI_VSI_BP);
#endif
SP_S_delta0_VGP_SI=((delta_ns_VGP_SI*SP_S_delta0)+(delta_ns*SP_S_delta0_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(+delta_ns_VGP_SI_VDI_SI*SP_S_delta0+delta_ns_VGP_SI*SP_S_delta0_VDI_SI+delta_ns_VDI_SI*SP_S_delta0_VGP_SI+delta_ns*SP_S_delta0_VGP_SI_VDI_SI);
  SP_S_delta0_VGP_SI_VGP_SI=(+delta_ns_VGP_SI_VGP_SI*SP_S_delta0+delta_ns_VGP_SI*SP_S_delta0_VGP_SI+delta_ns_VGP_SI*SP_S_delta0_VGP_SI+delta_ns*SP_S_delta0_VGP_SI_VGP_SI);
  SP_S_delta0_VGP_SI_VSI_BP=(+delta_ns_VGP_SI_VSI_BP*SP_S_delta0+delta_ns_VGP_SI*SP_S_delta0_VSI_BP+delta_ns_VSI_BP*SP_S_delta0_VGP_SI+delta_ns*SP_S_delta0_VGP_SI_VSI_BP);
#endif
SP_S_delta0_VSI_BP=((delta_ns_VSI_BP*SP_S_delta0)+(delta_ns*SP_S_delta0_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(+delta_ns_VSI_BP_VDI_SI*SP_S_delta0+delta_ns_VSI_BP*SP_S_delta0_VDI_SI+delta_ns_VDI_SI*SP_S_delta0_VSI_BP+delta_ns*SP_S_delta0_VSI_BP_VDI_SI);
  SP_S_delta0_VSI_BP_VGP_SI=(+delta_ns_VSI_BP_VGP_SI*SP_S_delta0+delta_ns_VSI_BP*SP_S_delta0_VGP_SI+delta_ns_VGP_SI*SP_S_delta0_VSI_BP+delta_ns*SP_S_delta0_VSI_BP_VGP_SI);
  SP_S_delta0_VSI_BP_VSI_BP=(+delta_ns_VSI_BP_VSI_BP*SP_S_delta0+delta_ns_VSI_BP*SP_S_delta0_VSI_BP+delta_ns_VSI_BP*SP_S_delta0_VSI_BP+delta_ns*SP_S_delta0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_delta0=(delta_ns*SP_S_delta0);
EXIT_IF_ISNAN((delta_ns*SP_S_delta0))
}
else
{
if
((SP_S_x0>(xn_s-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(SP_S_x0-xn_s))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=(SP_S_x0_VDI_SI-xn_s_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VDI_SI-xn_s_VDI_SI)*(SP_S_x0_VDI_SI-xn_s_VDI_SI)+d10_exp0*(+SP_S_x0_VDI_SI_VDI_SI-xn_s_VDI_SI_VDI_SI));
  SP_S_delta0_VDI_SI_VGP_SI=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VGP_SI-xn_s_VGP_SI)*(SP_S_x0_VDI_SI-xn_s_VDI_SI)+d10_exp0*(+SP_S_x0_VDI_SI_VGP_SI-xn_s_VDI_SI_VGP_SI));
  SP_S_delta0_VDI_SI_VSI_BP=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VSI_BP-xn_s_VSI_BP)*(SP_S_x0_VDI_SI-xn_s_VDI_SI)+d10_exp0*(+SP_S_x0_VDI_SI_VSI_BP-xn_s_VDI_SI_VSI_BP));
#endif
SP_S_delta0_VGP_SI=(SP_S_x0_VGP_SI-xn_s_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VDI_SI-xn_s_VDI_SI)*(SP_S_x0_VGP_SI-xn_s_VGP_SI)+d10_exp0*(+SP_S_x0_VGP_SI_VDI_SI-xn_s_VGP_SI_VDI_SI));
  SP_S_delta0_VGP_SI_VGP_SI=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VGP_SI-xn_s_VGP_SI)*(SP_S_x0_VGP_SI-xn_s_VGP_SI)+d10_exp0*(+SP_S_x0_VGP_SI_VGP_SI-xn_s_VGP_SI_VGP_SI));
  SP_S_delta0_VGP_SI_VSI_BP=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VSI_BP-xn_s_VSI_BP)*(SP_S_x0_VGP_SI-xn_s_VGP_SI)+d10_exp0*(+SP_S_x0_VGP_SI_VSI_BP-xn_s_VGP_SI_VSI_BP));
#endif
SP_S_delta0_VSI_BP=(SP_S_x0_VSI_BP-xn_s_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VDI_SI-xn_s_VDI_SI)*(SP_S_x0_VSI_BP-xn_s_VSI_BP)+d10_exp0*(+SP_S_x0_VSI_BP_VDI_SI-xn_s_VSI_BP_VDI_SI));
  SP_S_delta0_VSI_BP_VGP_SI=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VGP_SI-xn_s_VGP_SI)*(SP_S_x0_VSI_BP-xn_s_VSI_BP)+d10_exp0*(+SP_S_x0_VSI_BP_VGP_SI-xn_s_VSI_BP_VGP_SI));
  SP_S_delta0_VSI_BP_VSI_BP=(m20_exp((SP_S_x0-xn_s))*(SP_S_x0_VSI_BP-xn_s_VSI_BP)*(SP_S_x0_VSI_BP-xn_s_VSI_BP)+d10_exp0*(+SP_S_x0_VSI_BP_VSI_BP-xn_s_VSI_BP_VSI_BP));
#endif
#endif
SP_S_delta0=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=((delta_ns_VDI_SI*SP_S_delta0-delta_ns*SP_S_delta0_VDI_SI)/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(delta_ns_VDI_SI_VDI_SI/SP_S_delta0-(delta_ns_VDI_SI*SP_S_delta0_VDI_SI+delta_ns_VDI_SI*SP_S_delta0_VDI_SI+delta_ns*SP_S_delta0_VDI_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VDI_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VGP_SI=(delta_ns_VDI_SI_VGP_SI/SP_S_delta0-(delta_ns_VDI_SI*SP_S_delta0_VGP_SI+delta_ns_VGP_SI*SP_S_delta0_VDI_SI+delta_ns*SP_S_delta0_VDI_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VDI_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VSI_BP=(delta_ns_VDI_SI_VSI_BP/SP_S_delta0-(delta_ns_VDI_SI*SP_S_delta0_VSI_BP+delta_ns_VSI_BP*SP_S_delta0_VDI_SI+delta_ns*SP_S_delta0_VDI_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VDI_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VGP_SI=((delta_ns_VGP_SI*SP_S_delta0-delta_ns*SP_S_delta0_VGP_SI)/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(delta_ns_VGP_SI_VDI_SI/SP_S_delta0-(delta_ns_VGP_SI*SP_S_delta0_VDI_SI+delta_ns_VDI_SI*SP_S_delta0_VGP_SI+delta_ns*SP_S_delta0_VGP_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VGP_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VGP_SI=(delta_ns_VGP_SI_VGP_SI/SP_S_delta0-(delta_ns_VGP_SI*SP_S_delta0_VGP_SI+delta_ns_VGP_SI*SP_S_delta0_VGP_SI+delta_ns*SP_S_delta0_VGP_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VGP_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VSI_BP=(delta_ns_VGP_SI_VSI_BP/SP_S_delta0-(delta_ns_VGP_SI*SP_S_delta0_VSI_BP+delta_ns_VSI_BP*SP_S_delta0_VGP_SI+delta_ns*SP_S_delta0_VGP_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VGP_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VSI_BP=((delta_ns_VSI_BP*SP_S_delta0-delta_ns*SP_S_delta0_VSI_BP)/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(delta_ns_VSI_BP_VDI_SI/SP_S_delta0-(delta_ns_VSI_BP*SP_S_delta0_VDI_SI+delta_ns_VDI_SI*SP_S_delta0_VSI_BP+delta_ns*SP_S_delta0_VSI_BP_VDI_SI)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VSI_BP*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VGP_SI=(delta_ns_VSI_BP_VGP_SI/SP_S_delta0-(delta_ns_VSI_BP*SP_S_delta0_VGP_SI+delta_ns_VGP_SI*SP_S_delta0_VSI_BP+delta_ns*SP_S_delta0_VSI_BP_VGP_SI)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VSI_BP*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VSI_BP=(delta_ns_VSI_BP_VSI_BP/SP_S_delta0-(delta_ns_VSI_BP*SP_S_delta0_VSI_BP+delta_ns_VSI_BP*SP_S_delta0_VSI_BP+delta_ns*SP_S_delta0_VSI_BP_VSI_BP)/SP_S_delta0/SP_S_delta0+2*delta_ns*SP_S_delta0_VSI_BP*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
#endif
SP_S_delta1=(delta_ns/SP_S_delta0);
EXIT_IF_ISNAN((delta_ns/SP_S_delta0))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=(-1.0e-100*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*0.0+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VDI_SI_VGP_SI=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*0.0+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VDI_SI_VSI_BP=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*0.0+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta0_VGP_SI=(-1.0e-100*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*0.0+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VGP_SI_VGP_SI=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*0.0+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VGP_SI_VSI_BP=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*0.0+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta0_VSI_BP=(-1.0e-100*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))))+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*0.0+(xn_s_VDI_SI-SP_S_x0_VDI_SI)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VSI_BP_VGP_SI=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))))+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*0.0+(xn_s_VGP_SI-SP_S_x0_VGP_SI)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VSI_BP_VSI_BP=(0.0/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP)-0.0)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP)-0.0)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01+((xn_s-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*0.0+(xn_s_VSI_BP-SP_S_x0_VSI_BP)*0.0+((xn_s-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*((xn_s_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
SP_S_delta0=(1.0e-100/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=(-1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VDI_SI*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))))+SP_S_x0_VDI_SI*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VDI_SI_VDI_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VDI_SI*(SP_S_x0_VDI_SI*3.3333333333333333e-01)+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VDI_SI*0.0+SP_S_x0_VDI_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VDI_SI_VGP_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VDI_SI*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))))+SP_S_x0_VGP_SI*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VDI_SI_VGP_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VDI_SI*(SP_S_x0_VGP_SI*3.3333333333333333e-01)+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VDI_SI*0.0+SP_S_x0_VGP_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VDI_SI_VSI_BP=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VDI_SI*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))))+SP_S_x0_VSI_BP*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VDI_SI_VSI_BP-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VDI_SI*(SP_S_x0_VSI_BP*3.3333333333333333e-01)+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_x0_VDI_SI*0.0+SP_S_x0_VSI_BP*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta1_VGP_SI=(-1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VGP_SI*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))))+SP_S_x0_VDI_SI*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VGP_SI_VDI_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VGP_SI*(SP_S_x0_VDI_SI*3.3333333333333333e-01)+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VGP_SI*0.0+SP_S_x0_VDI_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VGP_SI_VGP_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VGP_SI*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))))+SP_S_x0_VGP_SI*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VGP_SI_VGP_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VGP_SI*(SP_S_x0_VGP_SI*3.3333333333333333e-01)+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VGP_SI*0.0+SP_S_x0_VGP_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VGP_SI_VSI_BP=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VGP_SI*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))))+SP_S_x0_VSI_BP*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VGP_SI_VSI_BP-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VGP_SI*(SP_S_x0_VSI_BP*3.3333333333333333e-01)+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_x0_VGP_SI*0.0+SP_S_x0_VSI_BP*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta1_VSI_BP=(-1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VSI_BP*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))))+SP_S_x0_VDI_SI*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VSI_BP_VDI_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VSI_BP*(SP_S_x0_VDI_SI*3.3333333333333333e-01)+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VSI_BP*0.0+SP_S_x0_VDI_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VSI_BP_VGP_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VSI_BP*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))))+SP_S_x0_VGP_SI*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VSI_BP_VGP_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VSI_BP*(SP_S_x0_VGP_SI*3.3333333333333333e-01)+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VSI_BP*0.0+SP_S_x0_VGP_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VSI_BP_VSI_BP=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VSI_BP*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))))+SP_S_x0_VSI_BP*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VSI_BP_VSI_BP-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VSI_BP*(SP_S_x0_VSI_BP*3.3333333333333333e-01)+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_x0_VSI_BP*0.0+SP_S_x0_VSI_BP*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
SP_S_delta1=(1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))+0.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))+1.0*(+0.0+(+SP_S_x0_VDI_SI_VDI_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VDI_SI_VGP_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))+0.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))+1.0*(+0.0+(+SP_S_x0_VDI_SI_VGP_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VDI_SI_VSI_BP=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))+0.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))+1.0*(+0.0+(+SP_S_x0_VDI_SI_VSI_BP*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#endif
SP_S_temp_VGP_SI=(-((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))+0.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))+1.0*(+0.0+(+SP_S_x0_VGP_SI_VDI_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VGP_SI_VGP_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))+0.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))+1.0*(+0.0+(+SP_S_x0_VGP_SI_VGP_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VGP_SI_VSI_BP=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))+0.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))+1.0*(+0.0+(+SP_S_x0_VGP_SI_VSI_BP*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#endif
SP_S_temp_VSI_BP=(-((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))+0.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))+1.0*(+0.0+(+SP_S_x0_VSI_BP_VDI_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VSI_BP_VGP_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))+0.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))+1.0*(+0.0+(+SP_S_x0_VSI_BP_VGP_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VSI_BP_VSI_BP=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))+0.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))+1.0*(+0.0+(+SP_S_x0_VSI_BP_VSI_BP*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#endif
#endif
SP_S_temp=(1.0/(2.0+(SP_S_x0*SP_S_x0)));
EXIT_IF_ISNAN((1.0/(2.0+(SP_S_x0*SP_S_x0))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi0_VDI_SI=((((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VDI_SI_VDI_SI=(+(+SP_S_x0_VDI_SI_VDI_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI_VDI_SI);
  SP_S_xi0_VDI_SI_VGP_SI=(+(+SP_S_x0_VDI_SI_VGP_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI_VGP_SI);
  SP_S_xi0_VDI_SI_VSI_BP=(+(+SP_S_x0_VDI_SI_VSI_BP*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_xi0_VGP_SI=((((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VGP_SI_VDI_SI=(+(+SP_S_x0_VGP_SI_VDI_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI_VDI_SI);
  SP_S_xi0_VGP_SI_VGP_SI=(+(+SP_S_x0_VGP_SI_VGP_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI_VGP_SI);
  SP_S_xi0_VGP_SI_VSI_BP=(+(+SP_S_x0_VGP_SI_VSI_BP*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_xi0_VSI_BP=((((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi0_VSI_BP_VDI_SI=(+(+SP_S_x0_VSI_BP_VDI_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VDI_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP_VDI_SI);
  SP_S_xi0_VSI_BP_VGP_SI=(+(+SP_S_x0_VSI_BP_VGP_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VGP_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP_VGP_SI);
  SP_S_xi0_VSI_BP_VSI_BP=(+(+SP_S_x0_VSI_BP_VSI_BP*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VSI_BP)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi0=((SP_S_x0*SP_S_x0)*SP_S_temp);
EXIT_IF_ISNAN(((SP_S_x0*SP_S_x0)*SP_S_temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi1_VDI_SI=(4.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VDI_SI_VDI_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_x0_VDI_SI_VDI_SI*SP_S_temp+SP_S_x0_VDI_SI*SP_S_temp_VDI_SI+SP_S_x0_VDI_SI*SP_S_temp_VDI_SI+SP_S_x0*SP_S_temp_VDI_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI_VDI_SI));
  SP_S_xi1_VDI_SI_VGP_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_x0_VDI_SI_VGP_SI*SP_S_temp+SP_S_x0_VDI_SI*SP_S_temp_VGP_SI+SP_S_x0_VGP_SI*SP_S_temp_VDI_SI+SP_S_x0*SP_S_temp_VDI_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI_VGP_SI));
  SP_S_xi1_VDI_SI_VSI_BP=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_x0_VDI_SI_VSI_BP*SP_S_temp+SP_S_x0_VDI_SI*SP_S_temp_VSI_BP+SP_S_x0_VSI_BP*SP_S_temp_VDI_SI+SP_S_x0*SP_S_temp_VDI_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI_VSI_BP));
#endif
SP_S_xi1_VGP_SI=(4.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VGP_SI_VDI_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_x0_VGP_SI_VDI_SI*SP_S_temp+SP_S_x0_VGP_SI*SP_S_temp_VDI_SI+SP_S_x0_VDI_SI*SP_S_temp_VGP_SI+SP_S_x0*SP_S_temp_VGP_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI_VDI_SI));
  SP_S_xi1_VGP_SI_VGP_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_x0_VGP_SI_VGP_SI*SP_S_temp+SP_S_x0_VGP_SI*SP_S_temp_VGP_SI+SP_S_x0_VGP_SI*SP_S_temp_VGP_SI+SP_S_x0*SP_S_temp_VGP_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI_VGP_SI));
  SP_S_xi1_VGP_SI_VSI_BP=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_x0_VGP_SI_VSI_BP*SP_S_temp+SP_S_x0_VGP_SI*SP_S_temp_VSI_BP+SP_S_x0_VSI_BP*SP_S_temp_VGP_SI+SP_S_x0*SP_S_temp_VGP_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI_VSI_BP));
#endif
SP_S_xi1_VSI_BP=(4.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_xi1_VSI_BP_VDI_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_x0_VSI_BP_VDI_SI*SP_S_temp+SP_S_x0_VSI_BP*SP_S_temp_VDI_SI+SP_S_x0_VDI_SI*SP_S_temp_VSI_BP+SP_S_x0*SP_S_temp_VSI_BP_VDI_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP_VDI_SI));
  SP_S_xi1_VSI_BP_VGP_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_x0_VSI_BP_VGP_SI*SP_S_temp+SP_S_x0_VSI_BP*SP_S_temp_VGP_SI+SP_S_x0_VGP_SI*SP_S_temp_VSI_BP+SP_S_x0*SP_S_temp_VSI_BP_VGP_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP_VGP_SI));
  SP_S_xi1_VSI_BP_VSI_BP=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_x0_VSI_BP_VSI_BP*SP_S_temp+SP_S_x0_VSI_BP*SP_S_temp_VSI_BP+SP_S_x0_VSI_BP*SP_S_temp_VSI_BP+SP_S_x0*SP_S_temp_VSI_BP_VSI_BP)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP_VSI_BP));
#endif
#endif
SP_S_xi1=(4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
EXIT_IF_ISNAN((4.0*((SP_S_x0*SP_S_temp)*SP_S_temp)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi2_VDI_SI=((((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VDI_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VDI_SI);
  SP_S_xi2_VDI_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VGP_SI);
  SP_S_xi2_VDI_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_xi2_VGP_SI=((((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VGP_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VDI_SI);
  SP_S_xi2_VGP_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VGP_SI);
  SP_S_xi2_VGP_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_xi2_VSI_BP=((((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi2_VSI_BP_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VDI_SI);
  SP_S_xi2_VSI_BP_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VGP_SI);
  SP_S_xi2_VSI_BP_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi2=((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
EXIT_IF_ISNAN(((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(xg_VDI_SI-SP_S_x0_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+xg_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI);
  SP_S_temp_VDI_SI_VGP_SI=(+xg_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI);
  SP_S_temp_VDI_SI_VSI_BP=(+xg_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP);
#endif
SP_S_temp_VGP_SI=(xg_VGP_SI-SP_S_x0_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+xg_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI);
  SP_S_temp_VGP_SI_VGP_SI=(+xg_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI);
  SP_S_temp_VGP_SI_VSI_BP=(+xg_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP);
#endif
SP_S_temp_VSI_BP=(xg_VSI_BP-SP_S_x0_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+xg_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI);
  SP_S_temp_VSI_BP_VGP_SI=(+xg_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI);
  SP_S_temp_VSI_BP_VSI_BP=(+xg_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp=(xg-SP_S_x0);
EXIT_IF_ISNAN((xg-SP_S_x0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_pC_VDI_SI=((2.0*SP_S_temp_VDI_SI)+((Gf2_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1))))+(Gf2*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_pC_VDI_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VDI_SI)+(+Gf2_VDI_SI_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VDI_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VDI_SI_VDI_SI)+SP_S_delta0_VDI_SI_VDI_SI)-(+delta_ns_VDI_SI_VDI_SI*(1.0+SP_S_xi1)+delta_ns_VDI_SI*SP_S_xi1_VDI_SI+delta_ns_VDI_SI*SP_S_xi1_VDI_SI+delta_ns*(+0.0+SP_S_xi1_VDI_SI_VDI_SI)))));
  SP_S_pC_VDI_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VGP_SI)+(+Gf2_VDI_SI_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VDI_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VDI_SI_VGP_SI)+SP_S_delta0_VDI_SI_VGP_SI)-(+delta_ns_VDI_SI_VGP_SI*(1.0+SP_S_xi1)+delta_ns_VDI_SI*SP_S_xi1_VGP_SI+delta_ns_VGP_SI*SP_S_xi1_VDI_SI+delta_ns*(+0.0+SP_S_xi1_VDI_SI_VGP_SI)))));
  SP_S_pC_VDI_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VSI_BP)+(+Gf2_VDI_SI_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VDI_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VDI_SI_VSI_BP)+SP_S_delta0_VDI_SI_VSI_BP)-(+delta_ns_VDI_SI_VSI_BP*(1.0+SP_S_xi1)+delta_ns_VDI_SI*SP_S_xi1_VSI_BP+delta_ns_VSI_BP*SP_S_xi1_VDI_SI+delta_ns*(+0.0+SP_S_xi1_VDI_SI_VSI_BP)))));
#endif
SP_S_pC_VGP_SI=((2.0*SP_S_temp_VGP_SI)+((Gf2_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1))))+(Gf2*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_pC_VGP_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VDI_SI)+(+Gf2_VGP_SI_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VGP_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VGP_SI_VDI_SI)+SP_S_delta0_VGP_SI_VDI_SI)-(+delta_ns_VGP_SI_VDI_SI*(1.0+SP_S_xi1)+delta_ns_VGP_SI*SP_S_xi1_VDI_SI+delta_ns_VDI_SI*SP_S_xi1_VGP_SI+delta_ns*(+0.0+SP_S_xi1_VGP_SI_VDI_SI)))));
  SP_S_pC_VGP_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VGP_SI)+(+Gf2_VGP_SI_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VGP_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VGP_SI_VGP_SI)+SP_S_delta0_VGP_SI_VGP_SI)-(+delta_ns_VGP_SI_VGP_SI*(1.0+SP_S_xi1)+delta_ns_VGP_SI*SP_S_xi1_VGP_SI+delta_ns_VGP_SI*SP_S_xi1_VGP_SI+delta_ns*(+0.0+SP_S_xi1_VGP_SI_VGP_SI)))));
  SP_S_pC_VGP_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VSI_BP)+(+Gf2_VGP_SI_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VGP_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VGP_SI_VSI_BP)+SP_S_delta0_VGP_SI_VSI_BP)-(+delta_ns_VGP_SI_VSI_BP*(1.0+SP_S_xi1)+delta_ns_VGP_SI*SP_S_xi1_VSI_BP+delta_ns_VSI_BP*SP_S_xi1_VGP_SI+delta_ns*(+0.0+SP_S_xi1_VGP_SI_VSI_BP)))));
#endif
SP_S_pC_VSI_BP=((2.0*SP_S_temp_VSI_BP)+((Gf2_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1))))+(Gf2*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_pC_VSI_BP_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VDI_SI)+(+Gf2_VSI_BP_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VSI_BP*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP)))+Gf2*(+(+(+0.0-SP_S_delta1_VSI_BP_VDI_SI)+SP_S_delta0_VSI_BP_VDI_SI)-(+delta_ns_VSI_BP_VDI_SI*(1.0+SP_S_xi1)+delta_ns_VSI_BP*SP_S_xi1_VDI_SI+delta_ns_VDI_SI*SP_S_xi1_VSI_BP+delta_ns*(+0.0+SP_S_xi1_VSI_BP_VDI_SI)))));
  SP_S_pC_VSI_BP_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VGP_SI)+(+Gf2_VSI_BP_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VSI_BP*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP)))+Gf2*(+(+(+0.0-SP_S_delta1_VSI_BP_VGP_SI)+SP_S_delta0_VSI_BP_VGP_SI)-(+delta_ns_VSI_BP_VGP_SI*(1.0+SP_S_xi1)+delta_ns_VSI_BP*SP_S_xi1_VGP_SI+delta_ns_VGP_SI*SP_S_xi1_VSI_BP+delta_ns*(+0.0+SP_S_xi1_VSI_BP_VGP_SI)))));
  SP_S_pC_VSI_BP_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VSI_BP)+(+Gf2_VSI_BP_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))+Gf2_VSI_BP*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*(1.0+SP_S_xi1))+(delta_ns*SP_S_xi1_VSI_BP)))+Gf2*(+(+(+0.0-SP_S_delta1_VSI_BP_VSI_BP)+SP_S_delta0_VSI_BP_VSI_BP)-(+delta_ns_VSI_BP_VSI_BP*(1.0+SP_S_xi1)+delta_ns_VSI_BP*SP_S_xi1_VSI_BP+delta_ns_VSI_BP*SP_S_xi1_VSI_BP+delta_ns*(+0.0+SP_S_xi1_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_pC=((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))));
EXIT_IF_ISNAN(((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_qC_VDI_SI=(((SP_S_temp_VDI_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VDI_SI))-((Gf2_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0))))+(Gf2*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VDI_SI_VDI_SI=(+(+SP_S_temp_VDI_SI_VDI_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VDI_SI)-(+Gf2_VDI_SI_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta1_VDI_SI_VDI_SI+SP_S_x0_VDI_SI_VDI_SI)-0.0)+SP_S_delta0_VDI_SI_VDI_SI)-(+delta_ns_VDI_SI_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VDI_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_ns_VDI_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_ns*(+(+SP_S_x0_VDI_SI_VDI_SI+0.0)+SP_S_xi0_VDI_SI_VDI_SI)))));
  SP_S_qC_VDI_SI_VGP_SI=(+(+SP_S_temp_VDI_SI_VGP_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VGP_SI)-(+Gf2_VDI_SI_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta1_VDI_SI_VGP_SI+SP_S_x0_VDI_SI_VGP_SI)-0.0)+SP_S_delta0_VDI_SI_VGP_SI)-(+delta_ns_VDI_SI_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VDI_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_ns_VGP_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_ns*(+(+SP_S_x0_VDI_SI_VGP_SI+0.0)+SP_S_xi0_VDI_SI_VGP_SI)))));
  SP_S_qC_VDI_SI_VSI_BP=(+(+SP_S_temp_VDI_SI_VSI_BP*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VSI_BP)-(+Gf2_VDI_SI_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta1_VDI_SI_VSI_BP+SP_S_x0_VDI_SI_VSI_BP)-0.0)+SP_S_delta0_VDI_SI_VSI_BP)-(+delta_ns_VDI_SI_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VDI_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_ns_VSI_BP*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_ns*(+(+SP_S_x0_VDI_SI_VSI_BP+0.0)+SP_S_xi0_VDI_SI_VSI_BP)))));
#endif
SP_S_qC_VGP_SI=(((SP_S_temp_VGP_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VGP_SI))-((Gf2_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0))))+(Gf2*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VGP_SI_VDI_SI=(+(+SP_S_temp_VGP_SI_VDI_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VDI_SI)-(+Gf2_VGP_SI_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta1_VGP_SI_VDI_SI+SP_S_x0_VGP_SI_VDI_SI)-0.0)+SP_S_delta0_VGP_SI_VDI_SI)-(+delta_ns_VGP_SI_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VGP_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_ns_VDI_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_ns*(+(+SP_S_x0_VGP_SI_VDI_SI+0.0)+SP_S_xi0_VGP_SI_VDI_SI)))));
  SP_S_qC_VGP_SI_VGP_SI=(+(+SP_S_temp_VGP_SI_VGP_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VGP_SI)-(+Gf2_VGP_SI_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta1_VGP_SI_VGP_SI+SP_S_x0_VGP_SI_VGP_SI)-0.0)+SP_S_delta0_VGP_SI_VGP_SI)-(+delta_ns_VGP_SI_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VGP_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_ns_VGP_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_ns*(+(+SP_S_x0_VGP_SI_VGP_SI+0.0)+SP_S_xi0_VGP_SI_VGP_SI)))));
  SP_S_qC_VGP_SI_VSI_BP=(+(+SP_S_temp_VGP_SI_VSI_BP*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VSI_BP)-(+Gf2_VGP_SI_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta1_VGP_SI_VSI_BP+SP_S_x0_VGP_SI_VSI_BP)-0.0)+SP_S_delta0_VGP_SI_VSI_BP)-(+delta_ns_VGP_SI_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VGP_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_ns_VSI_BP*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_ns*(+(+SP_S_x0_VGP_SI_VSI_BP+0.0)+SP_S_xi0_VGP_SI_VSI_BP)))));
#endif
SP_S_qC_VSI_BP=(((SP_S_temp_VSI_BP*SP_S_temp)+(SP_S_temp*SP_S_temp_VSI_BP))-((Gf2_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0))))+(Gf2*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VSI_BP_VDI_SI=(+(+SP_S_temp_VSI_BP_VDI_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VDI_SI)-(+Gf2_VSI_BP_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta1_VSI_BP_VDI_SI+SP_S_x0_VSI_BP_VDI_SI)-0.0)+SP_S_delta0_VSI_BP_VDI_SI)-(+delta_ns_VSI_BP_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VSI_BP*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_ns_VDI_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_ns*(+(+SP_S_x0_VSI_BP_VDI_SI+0.0)+SP_S_xi0_VSI_BP_VDI_SI)))));
  SP_S_qC_VSI_BP_VGP_SI=(+(+SP_S_temp_VSI_BP_VGP_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VGP_SI)-(+Gf2_VSI_BP_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta1_VSI_BP_VGP_SI+SP_S_x0_VSI_BP_VGP_SI)-0.0)+SP_S_delta0_VSI_BP_VGP_SI)-(+delta_ns_VSI_BP_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VSI_BP*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_ns_VGP_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_ns*(+(+SP_S_x0_VSI_BP_VGP_SI+0.0)+SP_S_xi0_VSI_BP_VGP_SI)))));
  SP_S_qC_VSI_BP_VSI_BP=(+(+SP_S_temp_VSI_BP_VSI_BP*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VSI_BP)-(+Gf2_VSI_BP_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_ns*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta1_VSI_BP_VSI_BP+SP_S_x0_VSI_BP_VSI_BP)-0.0)+SP_S_delta0_VSI_BP_VSI_BP)-(+delta_ns_VSI_BP_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0)+delta_ns_VSI_BP*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_ns_VSI_BP*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_ns*(+(+SP_S_x0_VSI_BP_VSI_BP+0.0)+SP_S_xi0_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_qC=((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))));
EXIT_IF_ISNAN(((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-((Gf2_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2)))+(Gf2*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+0.0-(+Gf2_VDI_SI_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta1_VDI_SI_VDI_SI+SP_S_delta0_VDI_SI_VDI_SI)-(+delta_ns_VDI_SI_VDI_SI*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VDI_SI))));
  SP_S_temp_VDI_SI_VGP_SI=(+0.0-(+Gf2_VDI_SI_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta1_VDI_SI_VGP_SI+SP_S_delta0_VDI_SI_VGP_SI)-(+delta_ns_VDI_SI_VGP_SI*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VGP_SI))));
  SP_S_temp_VDI_SI_VSI_BP=(+0.0-(+Gf2_VDI_SI_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta1_VDI_SI_VSI_BP+SP_S_delta0_VDI_SI_VSI_BP)-(+delta_ns_VDI_SI_VSI_BP*SP_S_xi2+delta_ns_VDI_SI*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VDI_SI+delta_ns*SP_S_xi2_VDI_SI_VSI_BP))));
#endif
SP_S_temp_VGP_SI=(-((Gf2_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2)))+(Gf2*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+0.0-(+Gf2_VGP_SI_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta1_VGP_SI_VDI_SI+SP_S_delta0_VGP_SI_VDI_SI)-(+delta_ns_VGP_SI_VDI_SI*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VDI_SI))));
  SP_S_temp_VGP_SI_VGP_SI=(+0.0-(+Gf2_VGP_SI_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta1_VGP_SI_VGP_SI+SP_S_delta0_VGP_SI_VGP_SI)-(+delta_ns_VGP_SI_VGP_SI*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VGP_SI))));
  SP_S_temp_VGP_SI_VSI_BP=(+0.0-(+Gf2_VGP_SI_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta1_VGP_SI_VSI_BP+SP_S_delta0_VGP_SI_VSI_BP)-(+delta_ns_VGP_SI_VSI_BP*SP_S_xi2+delta_ns_VGP_SI*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VGP_SI+delta_ns*SP_S_xi2_VGP_SI_VSI_BP))));
#endif
SP_S_temp_VSI_BP=(-((Gf2_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2)))+(Gf2*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+0.0-(+Gf2_VSI_BP_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-(((delta_ns_VDI_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta1_VSI_BP_VDI_SI+SP_S_delta0_VSI_BP_VDI_SI)-(+delta_ns_VSI_BP_VDI_SI*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VDI_SI+delta_ns_VDI_SI*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VDI_SI))));
  SP_S_temp_VSI_BP_VGP_SI=(+0.0-(+Gf2_VSI_BP_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-(((delta_ns_VGP_SI*SP_S_xi2)+(delta_ns*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta1_VSI_BP_VGP_SI+SP_S_delta0_VSI_BP_VGP_SI)-(+delta_ns_VSI_BP_VGP_SI*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VGP_SI+delta_ns_VGP_SI*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VGP_SI))));
  SP_S_temp_VSI_BP_VSI_BP=(+0.0-(+Gf2_VSI_BP_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-(((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_ns_VSI_BP*SP_S_xi2)+(delta_ns*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta1_VSI_BP_VSI_BP+SP_S_delta0_VSI_BP_VSI_BP)-(+delta_ns_VSI_BP_VSI_BP*SP_S_xi2+delta_ns_VSI_BP*SP_S_xi2_VSI_BP+delta_ns_VSI_BP*SP_S_xi2_VSI_BP+delta_ns*SP_S_xi2_VSI_BP_VSI_BP))));
#endif
#endif
SP_S_temp=(2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))));
EXIT_IF_ISNAN((2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2)))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(((SP_S_pC_VDI_SI*SP_S_pC)+(SP_S_pC*SP_S_pC_VDI_SI))-(2.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+(+SP_S_pC_VDI_SI_VDI_SI*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VDI_SI*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VDI_SI)));
  SP_S_temp_VDI_SI_VGP_SI=(+(+SP_S_pC_VDI_SI_VGP_SI*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VGP_SI*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VGP_SI)));
  SP_S_temp_VDI_SI_VSI_BP=(+(+SP_S_pC_VDI_SI_VSI_BP*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VSI_BP*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VSI_BP)));
#endif
SP_S_temp_VGP_SI=(((SP_S_pC_VGP_SI*SP_S_pC)+(SP_S_pC*SP_S_pC_VGP_SI))-(2.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+(+SP_S_pC_VGP_SI_VDI_SI*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VDI_SI*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VDI_SI)));
  SP_S_temp_VGP_SI_VGP_SI=(+(+SP_S_pC_VGP_SI_VGP_SI*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VGP_SI*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VGP_SI)));
  SP_S_temp_VGP_SI_VSI_BP=(+(+SP_S_pC_VGP_SI_VSI_BP*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VSI_BP*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VSI_BP)));
#endif
SP_S_temp_VSI_BP=(((SP_S_pC_VSI_BP*SP_S_pC)+(SP_S_pC*SP_S_pC_VSI_BP))-(2.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+(+SP_S_pC_VSI_BP_VDI_SI*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VDI_SI*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VDI_SI)));
  SP_S_temp_VSI_BP_VGP_SI=(+(+SP_S_pC_VSI_BP_VGP_SI*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VGP_SI*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VGP_SI)));
  SP_S_temp_VSI_BP_VSI_BP=(+(+SP_S_pC_VSI_BP_VSI_BP*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VSI_BP*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VSI_BP)));
#endif
#endif
SP_S_temp=((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
EXIT_IF_ISNAN(((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp))))
{
double m00_sqrt(d00_sqrt0,SP_S_temp)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,SP_S_temp)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_s_VDI_SI=(SP_S_x0_VDI_SI+(2.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_s_VDI_SI_VDI_SI=(+SP_S_x0_VDI_SI_VDI_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VDI_SI_VGP_SI=(+SP_S_x0_VDI_SI_VGP_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VDI_SI_VSI_BP=(+SP_S_x0_VDI_SI_VSI_BP+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
x_s_VGP_SI=(SP_S_x0_VGP_SI+(2.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_s_VGP_SI_VDI_SI=(+SP_S_x0_VGP_SI_VDI_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VGP_SI_VGP_SI=(+SP_S_x0_VGP_SI_VGP_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VGP_SI_VSI_BP=(+SP_S_x0_VGP_SI_VSI_BP+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
x_s_VSI_BP=(SP_S_x0_VSI_BP+(2.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_s_VSI_BP_VDI_SI=(+SP_S_x0_VSI_BP_VDI_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VSI_BP_VGP_SI=(+SP_S_x0_VSI_BP_VGP_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_s_VSI_BP_VSI_BP=(+SP_S_x0_VSI_BP_VSI_BP+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
#endif
x_s=(SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))));
EXIT_IF_ISNAN((SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+d00_sqrt0)))))
}
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_d_VDI_SI=x_s_VDI_SI;
#if defined(_DERIVATE2)
  x_d_VDI_SI_VDI_SI=x_s_VDI_SI_VDI_SI;
  x_d_VDI_SI_VGP_SI=x_s_VDI_SI_VGP_SI;
  x_d_VDI_SI_VSI_BP=x_s_VDI_SI_VSI_BP;
#endif
x_d_VGP_SI=x_s_VGP_SI;
#if defined(_DERIVATE2)
  x_d_VGP_SI_VDI_SI=x_s_VGP_SI_VDI_SI;
  x_d_VGP_SI_VGP_SI=x_s_VGP_SI_VGP_SI;
  x_d_VGP_SI_VSI_BP=x_s_VGP_SI_VSI_BP;
#endif
x_d_VSI_BP=x_s_VSI_BP;
#if defined(_DERIVATE2)
  x_d_VSI_BP_VDI_SI=x_s_VSI_BP_VDI_SI;
  x_d_VSI_BP_VGP_SI=x_s_VSI_BP_VGP_SI;
  x_d_VSI_BP_VSI_BP=x_s_VSI_BP_VSI_BP;
#endif
#endif
x_d=x_s;
EXIT_IF_ISNAN(x_s)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
x_m_VDI_SI=x_s_VDI_SI;
#if defined(_DERIVATE2)
  x_m_VDI_SI_VDI_SI=x_s_VDI_SI_VDI_SI;
  x_m_VDI_SI_VGP_SI=x_s_VDI_SI_VGP_SI;
  x_m_VDI_SI_VSI_BP=x_s_VDI_SI_VSI_BP;
#endif
x_m_VGP_SI=x_s_VGP_SI;
#if defined(_DERIVATE2)
  x_m_VGP_SI_VDI_SI=x_s_VGP_SI_VDI_SI;
  x_m_VGP_SI_VGP_SI=x_s_VGP_SI_VGP_SI;
  x_m_VGP_SI_VSI_BP=x_s_VGP_SI_VSI_BP;
#endif
x_m_VSI_BP=x_s_VSI_BP;
#if defined(_DERIVATE2)
  x_m_VSI_BP_VDI_SI=x_s_VSI_BP_VDI_SI;
  x_m_VSI_BP_VGP_SI=x_s_VSI_BP_VGP_SI;
  x_m_VSI_BP_VSI_BP=x_s_VSI_BP_VSI_BP;
#endif
#endif
x_m=x_s;
EXIT_IF_ISNAN(x_s)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_ds_VDI_SI=0.0;
#if defined(_DERIVATE2)
  x_ds_VDI_SI_VDI_SI=0.0;
  x_ds_VDI_SI_VGP_SI=0.0;
  x_ds_VDI_SI_VSI_BP=0.0;
#endif
x_ds_VGP_SI=0.0;
#if defined(_DERIVATE2)
  x_ds_VGP_SI_VDI_SI=0.0;
  x_ds_VGP_SI_VGP_SI=0.0;
  x_ds_VGP_SI_VSI_BP=0.0;
#endif
x_ds_VSI_BP=0.0;
#if defined(_DERIVATE2)
  x_ds_VSI_BP_VDI_SI=0.0;
  x_ds_VSI_BP_VGP_SI=0.0;
  x_ds_VSI_BP_VSI_BP=0.0;
#endif
#endif
x_ds=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vdsat_lim_VDI_SI=(3.912023005*phit1_VDI_SI);
#if defined(_DERIVATE2)
  Vdsat_lim_VDI_SI_VDI_SI=(+0.0*pInst->phit1+0.0*phit1_VDI_SI+0.0*phit1_VDI_SI+3.912023005*phit1_VDI_SI_VDI_SI);
  Vdsat_lim_VDI_SI_VGP_SI=(+0.0*pInst->phit1+0.0*phit1_VGP_SI+0.0*phit1_VDI_SI+3.912023005*phit1_VDI_SI_VGP_SI);
  Vdsat_lim_VDI_SI_VSI_BP=(+0.0*pInst->phit1+0.0*phit1_VSI_BP+0.0*phit1_VDI_SI+3.912023005*phit1_VDI_SI_VSI_BP);
#endif
Vdsat_lim_VGP_SI=(3.912023005*phit1_VGP_SI);
#if defined(_DERIVATE2)
  Vdsat_lim_VGP_SI_VDI_SI=(+0.0*pInst->phit1+0.0*phit1_VDI_SI+0.0*phit1_VGP_SI+3.912023005*phit1_VGP_SI_VDI_SI);
  Vdsat_lim_VGP_SI_VGP_SI=(+0.0*pInst->phit1+0.0*phit1_VGP_SI+0.0*phit1_VGP_SI+3.912023005*phit1_VGP_SI_VGP_SI);
  Vdsat_lim_VGP_SI_VSI_BP=(+0.0*pInst->phit1+0.0*phit1_VSI_BP+0.0*phit1_VGP_SI+3.912023005*phit1_VGP_SI_VSI_BP);
#endif
Vdsat_lim_VSI_BP=(3.912023005*phit1_VSI_BP);
#if defined(_DERIVATE2)
  Vdsat_lim_VSI_BP_VDI_SI=(+0.0*pInst->phit1+0.0*phit1_VDI_SI+0.0*phit1_VSI_BP+3.912023005*phit1_VSI_BP_VDI_SI);
  Vdsat_lim_VSI_BP_VGP_SI=(+0.0*pInst->phit1+0.0*phit1_VGP_SI+0.0*phit1_VSI_BP+3.912023005*phit1_VSI_BP_VGP_SI);
  Vdsat_lim_VSI_BP_VSI_BP=(+0.0*pInst->phit1+0.0*phit1_VSI_BP+0.0*phit1_VSI_BP+3.912023005*phit1_VSI_BP_VSI_BP);
#endif
#endif
Vdsat_lim=(3.912023005*pInst->phit1);
EXIT_IF_ISNAN((3.912023005*pInst->phit1))
if
((xg<=0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
qis_VDI_SI=0.0;
#if defined(_DERIVATE2)
  qis_VDI_SI_VDI_SI=0.0;
  qis_VDI_SI_VGP_SI=0.0;
  qis_VDI_SI_VSI_BP=0.0;
#endif
qis_VGP_SI=0.0;
#if defined(_DERIVATE2)
  qis_VGP_SI_VDI_SI=0.0;
  qis_VGP_SI_VGP_SI=0.0;
  qis_VGP_SI_VSI_BP=0.0;
#endif
qis_VSI_BP=0.0;
#if defined(_DERIVATE2)
  qis_VSI_BP_VDI_SI=0.0;
  qis_VSI_BP_VGP_SI=0.0;
  qis_VSI_BP_VSI_BP=0.0;
#endif
#endif
qis=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgm_VDI_SI=(xg_VDI_SI-x_s_VDI_SI);
#if defined(_DERIVATE2)
  xgm_VDI_SI_VDI_SI=(+xg_VDI_SI_VDI_SI-x_s_VDI_SI_VDI_SI);
  xgm_VDI_SI_VGP_SI=(+xg_VDI_SI_VGP_SI-x_s_VDI_SI_VGP_SI);
  xgm_VDI_SI_VSI_BP=(+xg_VDI_SI_VSI_BP-x_s_VDI_SI_VSI_BP);
#endif
xgm_VGP_SI=(xg_VGP_SI-x_s_VGP_SI);
#if defined(_DERIVATE2)
  xgm_VGP_SI_VDI_SI=(+xg_VGP_SI_VDI_SI-x_s_VGP_SI_VDI_SI);
  xgm_VGP_SI_VGP_SI=(+xg_VGP_SI_VGP_SI-x_s_VGP_SI_VGP_SI);
  xgm_VGP_SI_VSI_BP=(+xg_VGP_SI_VSI_BP-x_s_VGP_SI_VSI_BP);
#endif
xgm_VSI_BP=(xg_VSI_BP-x_s_VSI_BP);
#if defined(_DERIVATE2)
  xgm_VSI_BP_VDI_SI=(+xg_VSI_BP_VDI_SI-x_s_VSI_BP_VDI_SI);
  xgm_VSI_BP_VGP_SI=(+xg_VSI_BP_VGP_SI-x_s_VSI_BP_VGP_SI);
  xgm_VSI_BP_VSI_BP=(+xg_VSI_BP_VSI_BP-x_s_VSI_BP_VSI_BP);
#endif
#endif
xgm=(xg-x_s);
EXIT_IF_ISNAN((xg-x_s))
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Voxm_VDI_SI=((xgm_VDI_SI*pInst->phit1)+(xgm*phit1_VDI_SI));
#if defined(_DERIVATE2)
  Voxm_VDI_SI_VDI_SI=(+xgm_VDI_SI_VDI_SI*pInst->phit1+xgm_VDI_SI*phit1_VDI_SI+xgm_VDI_SI*phit1_VDI_SI+xgm*phit1_VDI_SI_VDI_SI);
  Voxm_VDI_SI_VGP_SI=(+xgm_VDI_SI_VGP_SI*pInst->phit1+xgm_VDI_SI*phit1_VGP_SI+xgm_VGP_SI*phit1_VDI_SI+xgm*phit1_VDI_SI_VGP_SI);
  Voxm_VDI_SI_VSI_BP=(+xgm_VDI_SI_VSI_BP*pInst->phit1+xgm_VDI_SI*phit1_VSI_BP+xgm_VSI_BP*phit1_VDI_SI+xgm*phit1_VDI_SI_VSI_BP);
#endif
Voxm_VGP_SI=((xgm_VGP_SI*pInst->phit1)+(xgm*phit1_VGP_SI));
#if defined(_DERIVATE2)
  Voxm_VGP_SI_VDI_SI=(+xgm_VGP_SI_VDI_SI*pInst->phit1+xgm_VGP_SI*phit1_VDI_SI+xgm_VDI_SI*phit1_VGP_SI+xgm*phit1_VGP_SI_VDI_SI);
  Voxm_VGP_SI_VGP_SI=(+xgm_VGP_SI_VGP_SI*pInst->phit1+xgm_VGP_SI*phit1_VGP_SI+xgm_VGP_SI*phit1_VGP_SI+xgm*phit1_VGP_SI_VGP_SI);
  Voxm_VGP_SI_VSI_BP=(+xgm_VGP_SI_VSI_BP*pInst->phit1+xgm_VGP_SI*phit1_VSI_BP+xgm_VSI_BP*phit1_VGP_SI+xgm*phit1_VGP_SI_VSI_BP);
#endif
Voxm_VSI_BP=((xgm_VSI_BP*pInst->phit1)+(xgm*phit1_VSI_BP));
#if defined(_DERIVATE2)
  Voxm_VSI_BP_VDI_SI=(+xgm_VSI_BP_VDI_SI*pInst->phit1+xgm_VSI_BP*phit1_VDI_SI+xgm_VDI_SI*phit1_VSI_BP+xgm*phit1_VSI_BP_VDI_SI);
  Voxm_VSI_BP_VGP_SI=(+xgm_VSI_BP_VGP_SI*pInst->phit1+xgm_VSI_BP*phit1_VGP_SI+xgm_VGP_SI*phit1_VSI_BP+xgm*phit1_VSI_BP_VGP_SI);
  Voxm_VSI_BP_VSI_BP=(+xgm_VSI_BP_VSI_BP*pInst->phit1+xgm_VSI_BP*phit1_VSI_BP+xgm_VSI_BP*phit1_VSI_BP+xgm*phit1_VSI_BP_VSI_BP);
#endif
#endif
Voxm=(xgm*pInst->phit1);
EXIT_IF_ISNAN((xgm*pInst->phit1))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
qeff1_VDI_SI=Voxm_VDI_SI;
#if defined(_DERIVATE2)
  qeff1_VDI_SI_VDI_SI=Voxm_VDI_SI_VDI_SI;
  qeff1_VDI_SI_VGP_SI=Voxm_VDI_SI_VGP_SI;
  qeff1_VDI_SI_VSI_BP=Voxm_VDI_SI_VSI_BP;
#endif
qeff1_VGP_SI=Voxm_VGP_SI;
#if defined(_DERIVATE2)
  qeff1_VGP_SI_VDI_SI=Voxm_VGP_SI_VDI_SI;
  qeff1_VGP_SI_VGP_SI=Voxm_VGP_SI_VGP_SI;
  qeff1_VGP_SI_VSI_BP=Voxm_VGP_SI_VSI_BP;
#endif
qeff1_VSI_BP=Voxm_VSI_BP;
#if defined(_DERIVATE2)
  qeff1_VSI_BP_VDI_SI=Voxm_VSI_BP_VDI_SI;
  qeff1_VSI_BP_VGP_SI=Voxm_VSI_BP_VGP_SI;
  qeff1_VSI_BP_VSI_BP=Voxm_VSI_BP_VSI_BP;
#endif
#endif
qeff1=Voxm;
EXIT_IF_ISNAN(Voxm)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Vdsat_VDI_SI=Vdsat_lim_VDI_SI;
#if defined(_DERIVATE2)
  Vdsat_VDI_SI_VDI_SI=Vdsat_lim_VDI_SI_VDI_SI;
  Vdsat_VDI_SI_VGP_SI=Vdsat_lim_VDI_SI_VGP_SI;
  Vdsat_VDI_SI_VSI_BP=Vdsat_lim_VDI_SI_VSI_BP;
#endif
Vdsat_VGP_SI=Vdsat_lim_VGP_SI;
#if defined(_DERIVATE2)
  Vdsat_VGP_SI_VDI_SI=Vdsat_lim_VGP_SI_VDI_SI;
  Vdsat_VGP_SI_VGP_SI=Vdsat_lim_VGP_SI_VGP_SI;
  Vdsat_VGP_SI_VSI_BP=Vdsat_lim_VGP_SI_VSI_BP;
#endif
Vdsat_VSI_BP=Vdsat_lim_VSI_BP;
#if defined(_DERIVATE2)
  Vdsat_VSI_BP_VDI_SI=Vdsat_lim_VSI_BP_VDI_SI;
  Vdsat_VSI_BP_VGP_SI=Vdsat_lim_VSI_BP_VGP_SI;
  Vdsat_VSI_BP_VSI_BP=Vdsat_lim_VSI_BP_VSI_BP;
#endif
#endif
Vdsat=Vdsat_lim;
EXIT_IF_ISNAN(Vdsat_lim)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vdse_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Vdse_VGP_SI_VGP_SI=0.0;
  Vdse_VGP_SI_VSI_BP=0.0;
  Vdse_VGP_SI_VDI_SI=0.0;
#endif
Vdse_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Vdse_VSI_BP_VGP_SI=0.0;
  Vdse_VSI_BP_VSI_BP=0.0;
  Vdse_VSI_BP_VDI_SI=0.0;
#endif
Vdse_VDI_SI=Vds_VDI_SI;
#if defined(_DERIVATE2)
  Vdse_VDI_SI_VGP_SI=0.0;
  Vdse_VDI_SI_VSI_BP=0.0;
  Vdse_VDI_SI_VDI_SI=Vds_VDI_SI_VDI_SI;
#endif
#endif
Vdse=Vds;
EXIT_IF_ISNAN(Vds)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_1s_VDI_SI=0.0;
#if defined(_DERIVATE2)
  delta_1s_VDI_SI_VDI_SI=0.0;
  delta_1s_VDI_SI_VGP_SI=0.0;
  delta_1s_VDI_SI_VSI_BP=0.0;
#endif
delta_1s_VGP_SI=0.0;
#if defined(_DERIVATE2)
  delta_1s_VGP_SI_VDI_SI=0.0;
  delta_1s_VGP_SI_VGP_SI=0.0;
  delta_1s_VGP_SI_VSI_BP=0.0;
#endif
delta_1s_VSI_BP=0.0;
#if defined(_DERIVATE2)
  delta_1s_VSI_BP_VDI_SI=0.0;
  delta_1s_VSI_BP_VGP_SI=0.0;
  delta_1s_VSI_BP_VSI_BP=0.0;
#endif
#endif
delta_1s=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))+0.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))+1.0*(+0.0+(+x_s_VGP_SI_VGP_SI*x_s+x_s_VGP_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VGP_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
  temp_VGP_SI_VDI_SI=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))+0.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))+1.0*(+0.0+(+x_s_VGP_SI_VDI_SI*x_s+x_s_VGP_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VDI_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
  temp_VGP_SI_VSI_BP=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))+0.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))+1.0*(+0.0+(+x_s_VGP_SI_VSI_BP*x_s+x_s_VGP_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VGP_SI+x_s*x_s_VGP_SI_VSI_BP)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
#endif
temp_VDI_SI=(-((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))+0.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))+1.0*(+0.0+(+x_s_VDI_SI_VGP_SI*x_s+x_s_VDI_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VGP_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
  temp_VDI_SI_VDI_SI=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))+0.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))+1.0*(+0.0+(+x_s_VDI_SI_VDI_SI*x_s+x_s_VDI_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VDI_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
  temp_VDI_SI_VSI_BP=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))+0.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))+1.0*(+0.0+(+x_s_VDI_SI_VSI_BP*x_s+x_s_VDI_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VDI_SI+x_s*x_s_VDI_SI_VSI_BP)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
#endif
temp_VSI_BP=(-((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))+0.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))+1.0*(+0.0+(+x_s_VSI_BP_VGP_SI*x_s+x_s_VSI_BP*x_s_VGP_SI+x_s_VGP_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VGP_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
  temp_VSI_BP_VDI_SI=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))+0.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))+1.0*(+0.0+(+x_s_VSI_BP_VDI_SI*x_s+x_s_VSI_BP*x_s_VDI_SI+x_s_VDI_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VDI_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
  temp_VSI_BP_VSI_BP=(0.0/(2.0+(x_s*x_s))-(0.0*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))+0.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))+1.0*(+0.0+(+x_s_VSI_BP_VSI_BP*x_s+x_s_VSI_BP*x_s_VSI_BP+x_s_VSI_BP*x_s_VSI_BP+x_s*x_s_VSI_BP_VSI_BP)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))+2*1.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s))/(2.0+(x_s*x_s)));
#endif
#endif
temp=(1.0/(2.0+(x_s*x_s)));
EXIT_IF_ISNAN((1.0/(2.0+(x_s*x_s))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xi0s_VDI_SI=((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*temp)+((x_s*x_s)*temp_VDI_SI));
#if defined(_DERIVATE2)
  xi0s_VDI_SI_VDI_SI=(+(+x_s_VDI_SI_VDI_SI*x_s+x_s_VDI_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VDI_SI)*temp+((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*temp_VDI_SI+(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*temp_VDI_SI+(x_s*x_s)*temp_VDI_SI_VDI_SI);
  xi0s_VDI_SI_VGP_SI=(+(+x_s_VDI_SI_VGP_SI*x_s+x_s_VDI_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VGP_SI)*temp+((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*temp_VGP_SI+(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*temp_VDI_SI+(x_s*x_s)*temp_VDI_SI_VGP_SI);
  xi0s_VDI_SI_VSI_BP=(+(+x_s_VDI_SI_VSI_BP*x_s+x_s_VDI_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VDI_SI+x_s*x_s_VDI_SI_VSI_BP)*temp+((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*temp_VSI_BP+(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*temp_VDI_SI+(x_s*x_s)*temp_VDI_SI_VSI_BP);
#endif
xi0s_VGP_SI=((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*temp)+((x_s*x_s)*temp_VGP_SI));
#if defined(_DERIVATE2)
  xi0s_VGP_SI_VDI_SI=(+(+x_s_VGP_SI_VDI_SI*x_s+x_s_VGP_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VDI_SI)*temp+((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*temp_VDI_SI+(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*temp_VGP_SI+(x_s*x_s)*temp_VGP_SI_VDI_SI);
  xi0s_VGP_SI_VGP_SI=(+(+x_s_VGP_SI_VGP_SI*x_s+x_s_VGP_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VGP_SI)*temp+((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*temp_VGP_SI+(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*temp_VGP_SI+(x_s*x_s)*temp_VGP_SI_VGP_SI);
  xi0s_VGP_SI_VSI_BP=(+(+x_s_VGP_SI_VSI_BP*x_s+x_s_VGP_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VGP_SI+x_s*x_s_VGP_SI_VSI_BP)*temp+((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*temp_VSI_BP+(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*temp_VGP_SI+(x_s*x_s)*temp_VGP_SI_VSI_BP);
#endif
xi0s_VSI_BP=((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*temp)+((x_s*x_s)*temp_VSI_BP));
#if defined(_DERIVATE2)
  xi0s_VSI_BP_VDI_SI=(+(+x_s_VSI_BP_VDI_SI*x_s+x_s_VSI_BP*x_s_VDI_SI+x_s_VDI_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VDI_SI)*temp+((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*temp_VDI_SI+(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*temp_VSI_BP+(x_s*x_s)*temp_VSI_BP_VDI_SI);
  xi0s_VSI_BP_VGP_SI=(+(+x_s_VSI_BP_VGP_SI*x_s+x_s_VSI_BP*x_s_VGP_SI+x_s_VGP_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VGP_SI)*temp+((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*temp_VGP_SI+(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*temp_VSI_BP+(x_s*x_s)*temp_VSI_BP_VGP_SI);
  xi0s_VSI_BP_VSI_BP=(+(+x_s_VSI_BP_VSI_BP*x_s+x_s_VSI_BP*x_s_VSI_BP+x_s_VSI_BP*x_s_VSI_BP+x_s*x_s_VSI_BP_VSI_BP)*temp+((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*temp_VSI_BP+(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*temp_VSI_BP+(x_s*x_s)*temp_VSI_BP_VSI_BP);
#endif
#endif
xi0s=((x_s*x_s)*temp);
EXIT_IF_ISNAN(((x_s*x_s)*temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xi1s_VDI_SI=(4.0*((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp)+((x_s*temp)*temp_VDI_SI)));
#if defined(_DERIVATE2)
  xi1s_VDI_SI_VDI_SI=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))*temp)+((x_s*temp)*temp_VDI_SI)))+0.0*((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp)+((x_s*temp)*temp_VDI_SI))+4.0*(+(+x_s_VDI_SI_VDI_SI*temp+x_s_VDI_SI*temp_VDI_SI+x_s_VDI_SI*temp_VDI_SI+x_s*temp_VDI_SI_VDI_SI)*temp+((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp_VDI_SI+(((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))*temp_VDI_SI+(x_s*temp)*temp_VDI_SI_VDI_SI));
  xi1s_VDI_SI_VGP_SI=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))*temp)+((x_s*temp)*temp_VGP_SI)))+0.0*((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp)+((x_s*temp)*temp_VDI_SI))+4.0*(+(+x_s_VDI_SI_VGP_SI*temp+x_s_VDI_SI*temp_VGP_SI+x_s_VGP_SI*temp_VDI_SI+x_s*temp_VDI_SI_VGP_SI)*temp+((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp_VGP_SI+(((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))*temp_VDI_SI+(x_s*temp)*temp_VDI_SI_VGP_SI));
  xi1s_VDI_SI_VSI_BP=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))*temp)+((x_s*temp)*temp_VSI_BP)))+0.0*((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp)+((x_s*temp)*temp_VDI_SI))+4.0*(+(+x_s_VDI_SI_VSI_BP*temp+x_s_VDI_SI*temp_VSI_BP+x_s_VSI_BP*temp_VDI_SI+x_s*temp_VDI_SI_VSI_BP)*temp+((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))*temp_VSI_BP+(((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))*temp_VDI_SI+(x_s*temp)*temp_VDI_SI_VSI_BP));
#endif
xi1s_VGP_SI=(4.0*((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp)+((x_s*temp)*temp_VGP_SI)));
#if defined(_DERIVATE2)
  xi1s_VGP_SI_VDI_SI=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))*temp)+((x_s*temp)*temp_VDI_SI)))+0.0*((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp)+((x_s*temp)*temp_VGP_SI))+4.0*(+(+x_s_VGP_SI_VDI_SI*temp+x_s_VGP_SI*temp_VDI_SI+x_s_VDI_SI*temp_VGP_SI+x_s*temp_VGP_SI_VDI_SI)*temp+((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp_VDI_SI+(((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))*temp_VGP_SI+(x_s*temp)*temp_VGP_SI_VDI_SI));
  xi1s_VGP_SI_VGP_SI=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))*temp)+((x_s*temp)*temp_VGP_SI)))+0.0*((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp)+((x_s*temp)*temp_VGP_SI))+4.0*(+(+x_s_VGP_SI_VGP_SI*temp+x_s_VGP_SI*temp_VGP_SI+x_s_VGP_SI*temp_VGP_SI+x_s*temp_VGP_SI_VGP_SI)*temp+((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp_VGP_SI+(((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))*temp_VGP_SI+(x_s*temp)*temp_VGP_SI_VGP_SI));
  xi1s_VGP_SI_VSI_BP=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))*temp)+((x_s*temp)*temp_VSI_BP)))+0.0*((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp)+((x_s*temp)*temp_VGP_SI))+4.0*(+(+x_s_VGP_SI_VSI_BP*temp+x_s_VGP_SI*temp_VSI_BP+x_s_VSI_BP*temp_VGP_SI+x_s*temp_VGP_SI_VSI_BP)*temp+((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))*temp_VSI_BP+(((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))*temp_VGP_SI+(x_s*temp)*temp_VGP_SI_VSI_BP));
#endif
xi1s_VSI_BP=(4.0*((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp)+((x_s*temp)*temp_VSI_BP)));
#if defined(_DERIVATE2)
  xi1s_VSI_BP_VDI_SI=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))*temp)+((x_s*temp)*temp_VDI_SI)))+0.0*((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp)+((x_s*temp)*temp_VSI_BP))+4.0*(+(+x_s_VSI_BP_VDI_SI*temp+x_s_VSI_BP*temp_VDI_SI+x_s_VDI_SI*temp_VSI_BP+x_s*temp_VSI_BP_VDI_SI)*temp+((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp_VDI_SI+(((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))*temp_VSI_BP+(x_s*temp)*temp_VSI_BP_VDI_SI));
  xi1s_VSI_BP_VGP_SI=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))*temp)+((x_s*temp)*temp_VGP_SI)))+0.0*((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp)+((x_s*temp)*temp_VSI_BP))+4.0*(+(+x_s_VSI_BP_VGP_SI*temp+x_s_VSI_BP*temp_VGP_SI+x_s_VGP_SI*temp_VSI_BP+x_s*temp_VSI_BP_VGP_SI)*temp+((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp_VGP_SI+(((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))*temp_VSI_BP+(x_s*temp)*temp_VSI_BP_VGP_SI));
  xi1s_VSI_BP_VSI_BP=(+0.0*((x_s*temp)*temp)+0.0*((((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))*temp)+((x_s*temp)*temp_VSI_BP)))+0.0*((((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp)+((x_s*temp)*temp_VSI_BP))+4.0*(+(+x_s_VSI_BP_VSI_BP*temp+x_s_VSI_BP*temp_VSI_BP+x_s_VSI_BP*temp_VSI_BP+x_s*temp_VSI_BP_VSI_BP)*temp+((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))*temp_VSI_BP+(((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))*temp_VSI_BP+(x_s*temp)*temp_VSI_BP_VSI_BP));
#endif
#endif
xi1s=(4.0*((x_s*temp)*temp));
EXIT_IF_ISNAN((4.0*((x_s*temp)*temp)))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xi2s_VGP_SI=((((((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI))*temp)+((((8.0*temp)-(12.0*xi0s))*temp)*temp_VGP_SI));
#if defined(_DERIVATE2)
  xi2s_VGP_SI_VGP_SI=(+(+(+(+0.0*temp+0.0*temp_VGP_SI+0.0*temp_VGP_SI+8.0*temp_VGP_SI_VGP_SI)-(+0.0*xi0s+0.0*xi0s_VGP_SI+0.0*xi0s_VGP_SI+12.0*xi0s_VGP_SI_VGP_SI))*temp+((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp_VGP_SI+(((8.0*temp_VGP_SI))-((12.0*xi0s_VGP_SI)))*temp_VGP_SI+((8.0*temp)-(12.0*xi0s))*temp_VGP_SI_VGP_SI)*temp+((((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI))*temp_VGP_SI+((((((8.0*temp_VGP_SI))-((12.0*xi0s_VGP_SI)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI)))*temp_VGP_SI+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VGP_SI_VGP_SI);
  xi2s_VGP_SI_VDI_SI=(+(+(+(+0.0*temp+0.0*temp_VDI_SI+0.0*temp_VGP_SI+8.0*temp_VGP_SI_VDI_SI)-(+0.0*xi0s+0.0*xi0s_VDI_SI+0.0*xi0s_VGP_SI+12.0*xi0s_VGP_SI_VDI_SI))*temp+((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp_VDI_SI+(((8.0*temp_VDI_SI))-((12.0*xi0s_VDI_SI)))*temp_VGP_SI+((8.0*temp)-(12.0*xi0s))*temp_VGP_SI_VDI_SI)*temp+((((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI))*temp_VDI_SI+((((((8.0*temp_VDI_SI))-((12.0*xi0s_VDI_SI)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI)))*temp_VGP_SI+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VGP_SI_VDI_SI);
  xi2s_VGP_SI_VSI_BP=(+(+(+(+0.0*temp+0.0*temp_VSI_BP+0.0*temp_VGP_SI+8.0*temp_VGP_SI_VSI_BP)-(+0.0*xi0s+0.0*xi0s_VSI_BP+0.0*xi0s_VGP_SI+12.0*xi0s_VGP_SI_VSI_BP))*temp+((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp_VSI_BP+(((8.0*temp_VSI_BP))-((12.0*xi0s_VSI_BP)))*temp_VGP_SI+((8.0*temp)-(12.0*xi0s))*temp_VGP_SI_VSI_BP)*temp+((((8.0*temp_VGP_SI)-(12.0*xi0s_VGP_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI))*temp_VSI_BP+((((((8.0*temp_VSI_BP))-((12.0*xi0s_VSI_BP)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP)))*temp_VGP_SI+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VGP_SI_VSI_BP);
#endif
xi2s_VDI_SI=((((((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI))*temp)+((((8.0*temp)-(12.0*xi0s))*temp)*temp_VDI_SI));
#if defined(_DERIVATE2)
  xi2s_VDI_SI_VGP_SI=(+(+(+(+0.0*temp+0.0*temp_VGP_SI+0.0*temp_VDI_SI+8.0*temp_VDI_SI_VGP_SI)-(+0.0*xi0s+0.0*xi0s_VGP_SI+0.0*xi0s_VDI_SI+12.0*xi0s_VDI_SI_VGP_SI))*temp+((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp_VGP_SI+(((8.0*temp_VGP_SI))-((12.0*xi0s_VGP_SI)))*temp_VDI_SI+((8.0*temp)-(12.0*xi0s))*temp_VDI_SI_VGP_SI)*temp+((((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI))*temp_VGP_SI+((((((8.0*temp_VGP_SI))-((12.0*xi0s_VGP_SI)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI)))*temp_VDI_SI+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VDI_SI_VGP_SI);
  xi2s_VDI_SI_VDI_SI=(+(+(+(+0.0*temp+0.0*temp_VDI_SI+0.0*temp_VDI_SI+8.0*temp_VDI_SI_VDI_SI)-(+0.0*xi0s+0.0*xi0s_VDI_SI+0.0*xi0s_VDI_SI+12.0*xi0s_VDI_SI_VDI_SI))*temp+((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp_VDI_SI+(((8.0*temp_VDI_SI))-((12.0*xi0s_VDI_SI)))*temp_VDI_SI+((8.0*temp)-(12.0*xi0s))*temp_VDI_SI_VDI_SI)*temp+((((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI))*temp_VDI_SI+((((((8.0*temp_VDI_SI))-((12.0*xi0s_VDI_SI)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI)))*temp_VDI_SI+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VDI_SI_VDI_SI);
  xi2s_VDI_SI_VSI_BP=(+(+(+(+0.0*temp+0.0*temp_VSI_BP+0.0*temp_VDI_SI+8.0*temp_VDI_SI_VSI_BP)-(+0.0*xi0s+0.0*xi0s_VSI_BP+0.0*xi0s_VDI_SI+12.0*xi0s_VDI_SI_VSI_BP))*temp+((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp_VSI_BP+(((8.0*temp_VSI_BP))-((12.0*xi0s_VSI_BP)))*temp_VDI_SI+((8.0*temp)-(12.0*xi0s))*temp_VDI_SI_VSI_BP)*temp+((((8.0*temp_VDI_SI)-(12.0*xi0s_VDI_SI))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI))*temp_VSI_BP+((((((8.0*temp_VSI_BP))-((12.0*xi0s_VSI_BP)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP)))*temp_VDI_SI+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VDI_SI_VSI_BP);
#endif
xi2s_VSI_BP=((((((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP))*temp)+((((8.0*temp)-(12.0*xi0s))*temp)*temp_VSI_BP));
#if defined(_DERIVATE2)
  xi2s_VSI_BP_VGP_SI=(+(+(+(+0.0*temp+0.0*temp_VGP_SI+0.0*temp_VSI_BP+8.0*temp_VSI_BP_VGP_SI)-(+0.0*xi0s+0.0*xi0s_VGP_SI+0.0*xi0s_VSI_BP+12.0*xi0s_VSI_BP_VGP_SI))*temp+((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp_VGP_SI+(((8.0*temp_VGP_SI))-((12.0*xi0s_VGP_SI)))*temp_VSI_BP+((8.0*temp)-(12.0*xi0s))*temp_VSI_BP_VGP_SI)*temp+((((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP))*temp_VGP_SI+((((((8.0*temp_VGP_SI))-((12.0*xi0s_VGP_SI)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VGP_SI)))*temp_VSI_BP+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VSI_BP_VGP_SI);
  xi2s_VSI_BP_VDI_SI=(+(+(+(+0.0*temp+0.0*temp_VDI_SI+0.0*temp_VSI_BP+8.0*temp_VSI_BP_VDI_SI)-(+0.0*xi0s+0.0*xi0s_VDI_SI+0.0*xi0s_VSI_BP+12.0*xi0s_VSI_BP_VDI_SI))*temp+((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp_VDI_SI+(((8.0*temp_VDI_SI))-((12.0*xi0s_VDI_SI)))*temp_VSI_BP+((8.0*temp)-(12.0*xi0s))*temp_VSI_BP_VDI_SI)*temp+((((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP))*temp_VDI_SI+((((((8.0*temp_VDI_SI))-((12.0*xi0s_VDI_SI)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VDI_SI)))*temp_VSI_BP+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VSI_BP_VDI_SI);
  xi2s_VSI_BP_VSI_BP=(+(+(+(+0.0*temp+0.0*temp_VSI_BP+0.0*temp_VSI_BP+8.0*temp_VSI_BP_VSI_BP)-(+0.0*xi0s+0.0*xi0s_VSI_BP+0.0*xi0s_VSI_BP+12.0*xi0s_VSI_BP_VSI_BP))*temp+((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp_VSI_BP+(((8.0*temp_VSI_BP))-((12.0*xi0s_VSI_BP)))*temp_VSI_BP+((8.0*temp)-(12.0*xi0s))*temp_VSI_BP_VSI_BP)*temp+((((8.0*temp_VSI_BP)-(12.0*xi0s_VSI_BP))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP))*temp_VSI_BP+((((((8.0*temp_VSI_BP))-((12.0*xi0s_VSI_BP)))*temp)+(((8.0*temp)-(12.0*xi0s))*temp_VSI_BP)))*temp_VSI_BP+(((8.0*temp)-(12.0*xi0s))*temp)*temp_VSI_BP_VSI_BP);
#endif
#endif
xi2s=((((8.0*temp)-(12.0*xi0s))*temp)*temp);
EXIT_IF_ISNAN(((((8.0*temp)-(12.0*xi0s))*temp)*temp))
if
((x_s<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,x_s)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_1s_VDI_SI=x_s_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  delta_1s_VDI_SI_VDI_SI=(m20_exp(x_s)*x_s_VDI_SI*x_s_VDI_SI+d10_exp0*x_s_VDI_SI_VDI_SI);
  delta_1s_VDI_SI_VGP_SI=(m20_exp(x_s)*x_s_VGP_SI*x_s_VDI_SI+d10_exp0*x_s_VDI_SI_VGP_SI);
  delta_1s_VDI_SI_VSI_BP=(m20_exp(x_s)*x_s_VSI_BP*x_s_VDI_SI+d10_exp0*x_s_VDI_SI_VSI_BP);
#endif
delta_1s_VGP_SI=x_s_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  delta_1s_VGP_SI_VDI_SI=(m20_exp(x_s)*x_s_VDI_SI*x_s_VGP_SI+d10_exp0*x_s_VGP_SI_VDI_SI);
  delta_1s_VGP_SI_VGP_SI=(m20_exp(x_s)*x_s_VGP_SI*x_s_VGP_SI+d10_exp0*x_s_VGP_SI_VGP_SI);
  delta_1s_VGP_SI_VSI_BP=(m20_exp(x_s)*x_s_VSI_BP*x_s_VGP_SI+d10_exp0*x_s_VGP_SI_VSI_BP);
#endif
delta_1s_VSI_BP=x_s_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  delta_1s_VSI_BP_VDI_SI=(m20_exp(x_s)*x_s_VDI_SI*x_s_VSI_BP+d10_exp0*x_s_VSI_BP_VDI_SI);
  delta_1s_VSI_BP_VGP_SI=(m20_exp(x_s)*x_s_VGP_SI*x_s_VSI_BP+d10_exp0*x_s_VSI_BP_VGP_SI);
  delta_1s_VSI_BP_VSI_BP=(m20_exp(x_s)*x_s_VSI_BP*x_s_VSI_BP+d10_exp0*x_s_VSI_BP_VSI_BP);
#endif
#endif
delta_1s=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Es_VDI_SI=(-delta_1s_VDI_SI/delta_1s/delta_1s);
#if defined(_DERIVATE2)
  Es_VDI_SI_VDI_SI=(0.0/delta_1s-(0.0*delta_1s_VDI_SI+0.0*delta_1s_VDI_SI+1.0*delta_1s_VDI_SI_VDI_SI)/delta_1s/delta_1s+2*1.0*delta_1s_VDI_SI*delta_1s_VDI_SI/delta_1s/delta_1s/delta_1s);
  Es_VDI_SI_VGP_SI=(0.0/delta_1s-(0.0*delta_1s_VGP_SI+0.0*delta_1s_VDI_SI+1.0*delta_1s_VDI_SI_VGP_SI)/delta_1s/delta_1s+2*1.0*delta_1s_VDI_SI*delta_1s_VGP_SI/delta_1s/delta_1s/delta_1s);
  Es_VDI_SI_VSI_BP=(0.0/delta_1s-(0.0*delta_1s_VSI_BP+0.0*delta_1s_VDI_SI+1.0*delta_1s_VDI_SI_VSI_BP)/delta_1s/delta_1s+2*1.0*delta_1s_VDI_SI*delta_1s_VSI_BP/delta_1s/delta_1s/delta_1s);
#endif
Es_VGP_SI=(-delta_1s_VGP_SI/delta_1s/delta_1s);
#if defined(_DERIVATE2)
  Es_VGP_SI_VDI_SI=(0.0/delta_1s-(0.0*delta_1s_VDI_SI+0.0*delta_1s_VGP_SI+1.0*delta_1s_VGP_SI_VDI_SI)/delta_1s/delta_1s+2*1.0*delta_1s_VGP_SI*delta_1s_VDI_SI/delta_1s/delta_1s/delta_1s);
  Es_VGP_SI_VGP_SI=(0.0/delta_1s-(0.0*delta_1s_VGP_SI+0.0*delta_1s_VGP_SI+1.0*delta_1s_VGP_SI_VGP_SI)/delta_1s/delta_1s+2*1.0*delta_1s_VGP_SI*delta_1s_VGP_SI/delta_1s/delta_1s/delta_1s);
  Es_VGP_SI_VSI_BP=(0.0/delta_1s-(0.0*delta_1s_VSI_BP+0.0*delta_1s_VGP_SI+1.0*delta_1s_VGP_SI_VSI_BP)/delta_1s/delta_1s+2*1.0*delta_1s_VGP_SI*delta_1s_VSI_BP/delta_1s/delta_1s/delta_1s);
#endif
Es_VSI_BP=(-delta_1s_VSI_BP/delta_1s/delta_1s);
#if defined(_DERIVATE2)
  Es_VSI_BP_VDI_SI=(0.0/delta_1s-(0.0*delta_1s_VDI_SI+0.0*delta_1s_VSI_BP+1.0*delta_1s_VSI_BP_VDI_SI)/delta_1s/delta_1s+2*1.0*delta_1s_VSI_BP*delta_1s_VDI_SI/delta_1s/delta_1s/delta_1s);
  Es_VSI_BP_VGP_SI=(0.0/delta_1s-(0.0*delta_1s_VGP_SI+0.0*delta_1s_VSI_BP+1.0*delta_1s_VSI_BP_VGP_SI)/delta_1s/delta_1s+2*1.0*delta_1s_VSI_BP*delta_1s_VGP_SI/delta_1s/delta_1s/delta_1s);
  Es_VSI_BP_VSI_BP=(0.0/delta_1s-(0.0*delta_1s_VSI_BP+0.0*delta_1s_VSI_BP+1.0*delta_1s_VSI_BP_VSI_BP)/delta_1s/delta_1s+2*1.0*delta_1s_VSI_BP*delta_1s_VSI_BP/delta_1s/delta_1s/delta_1s);
#endif
#endif
Es=(1.0/delta_1s);
EXIT_IF_ISNAN((1.0/delta_1s))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_1s_VDI_SI=((delta_ns_VDI_SI*delta_1s)+(delta_ns*delta_1s_VDI_SI));
#if defined(_DERIVATE2)
  delta_1s_VDI_SI_VDI_SI=(+delta_ns_VDI_SI_VDI_SI*delta_1s+delta_ns_VDI_SI*delta_1s_VDI_SI+delta_ns_VDI_SI*delta_1s_VDI_SI+delta_ns*delta_1s_VDI_SI_VDI_SI);
  delta_1s_VDI_SI_VGP_SI=(+delta_ns_VDI_SI_VGP_SI*delta_1s+delta_ns_VDI_SI*delta_1s_VGP_SI+delta_ns_VGP_SI*delta_1s_VDI_SI+delta_ns*delta_1s_VDI_SI_VGP_SI);
  delta_1s_VDI_SI_VSI_BP=(+delta_ns_VDI_SI_VSI_BP*delta_1s+delta_ns_VDI_SI*delta_1s_VSI_BP+delta_ns_VSI_BP*delta_1s_VDI_SI+delta_ns*delta_1s_VDI_SI_VSI_BP);
#endif
delta_1s_VGP_SI=((delta_ns_VGP_SI*delta_1s)+(delta_ns*delta_1s_VGP_SI));
#if defined(_DERIVATE2)
  delta_1s_VGP_SI_VDI_SI=(+delta_ns_VGP_SI_VDI_SI*delta_1s+delta_ns_VGP_SI*delta_1s_VDI_SI+delta_ns_VDI_SI*delta_1s_VGP_SI+delta_ns*delta_1s_VGP_SI_VDI_SI);
  delta_1s_VGP_SI_VGP_SI=(+delta_ns_VGP_SI_VGP_SI*delta_1s+delta_ns_VGP_SI*delta_1s_VGP_SI+delta_ns_VGP_SI*delta_1s_VGP_SI+delta_ns*delta_1s_VGP_SI_VGP_SI);
  delta_1s_VGP_SI_VSI_BP=(+delta_ns_VGP_SI_VSI_BP*delta_1s+delta_ns_VGP_SI*delta_1s_VSI_BP+delta_ns_VSI_BP*delta_1s_VGP_SI+delta_ns*delta_1s_VGP_SI_VSI_BP);
#endif
delta_1s_VSI_BP=((delta_ns_VSI_BP*delta_1s)+(delta_ns*delta_1s_VSI_BP));
#if defined(_DERIVATE2)
  delta_1s_VSI_BP_VDI_SI=(+delta_ns_VSI_BP_VDI_SI*delta_1s+delta_ns_VSI_BP*delta_1s_VDI_SI+delta_ns_VDI_SI*delta_1s_VSI_BP+delta_ns*delta_1s_VSI_BP_VDI_SI);
  delta_1s_VSI_BP_VGP_SI=(+delta_ns_VSI_BP_VGP_SI*delta_1s+delta_ns_VSI_BP*delta_1s_VGP_SI+delta_ns_VGP_SI*delta_1s_VSI_BP+delta_ns*delta_1s_VSI_BP_VGP_SI);
  delta_1s_VSI_BP_VSI_BP=(+delta_ns_VSI_BP_VSI_BP*delta_1s+delta_ns_VSI_BP*delta_1s_VSI_BP+delta_ns_VSI_BP*delta_1s_VSI_BP+delta_ns*delta_1s_VSI_BP_VSI_BP);
#endif
#endif
delta_1s=(delta_ns*delta_1s);
EXIT_IF_ISNAN((delta_ns*delta_1s))
}
else
{
if
((x_s>(xn_s-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(x_s-xn_s))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_1s_VDI_SI=(x_s_VDI_SI-xn_s_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  delta_1s_VDI_SI_VDI_SI=(m20_exp((x_s-xn_s))*(x_s_VDI_SI-xn_s_VDI_SI)*(x_s_VDI_SI-xn_s_VDI_SI)+d10_exp0*(+x_s_VDI_SI_VDI_SI-xn_s_VDI_SI_VDI_SI));
  delta_1s_VDI_SI_VGP_SI=(m20_exp((x_s-xn_s))*(x_s_VGP_SI-xn_s_VGP_SI)*(x_s_VDI_SI-xn_s_VDI_SI)+d10_exp0*(+x_s_VDI_SI_VGP_SI-xn_s_VDI_SI_VGP_SI));
  delta_1s_VDI_SI_VSI_BP=(m20_exp((x_s-xn_s))*(x_s_VSI_BP-xn_s_VSI_BP)*(x_s_VDI_SI-xn_s_VDI_SI)+d10_exp0*(+x_s_VDI_SI_VSI_BP-xn_s_VDI_SI_VSI_BP));
#endif
delta_1s_VGP_SI=(x_s_VGP_SI-xn_s_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  delta_1s_VGP_SI_VDI_SI=(m20_exp((x_s-xn_s))*(x_s_VDI_SI-xn_s_VDI_SI)*(x_s_VGP_SI-xn_s_VGP_SI)+d10_exp0*(+x_s_VGP_SI_VDI_SI-xn_s_VGP_SI_VDI_SI));
  delta_1s_VGP_SI_VGP_SI=(m20_exp((x_s-xn_s))*(x_s_VGP_SI-xn_s_VGP_SI)*(x_s_VGP_SI-xn_s_VGP_SI)+d10_exp0*(+x_s_VGP_SI_VGP_SI-xn_s_VGP_SI_VGP_SI));
  delta_1s_VGP_SI_VSI_BP=(m20_exp((x_s-xn_s))*(x_s_VSI_BP-xn_s_VSI_BP)*(x_s_VGP_SI-xn_s_VGP_SI)+d10_exp0*(+x_s_VGP_SI_VSI_BP-xn_s_VGP_SI_VSI_BP));
#endif
delta_1s_VSI_BP=(x_s_VSI_BP-xn_s_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  delta_1s_VSI_BP_VDI_SI=(m20_exp((x_s-xn_s))*(x_s_VDI_SI-xn_s_VDI_SI)*(x_s_VSI_BP-xn_s_VSI_BP)+d10_exp0*(+x_s_VSI_BP_VDI_SI-xn_s_VSI_BP_VDI_SI));
  delta_1s_VSI_BP_VGP_SI=(m20_exp((x_s-xn_s))*(x_s_VGP_SI-xn_s_VGP_SI)*(x_s_VSI_BP-xn_s_VSI_BP)+d10_exp0*(+x_s_VSI_BP_VGP_SI-xn_s_VSI_BP_VGP_SI));
  delta_1s_VSI_BP_VSI_BP=(m20_exp((x_s-xn_s))*(x_s_VSI_BP-xn_s_VSI_BP)*(x_s_VSI_BP-xn_s_VSI_BP)+d10_exp0*(+x_s_VSI_BP_VSI_BP-xn_s_VSI_BP_VSI_BP));
#endif
#endif
delta_1s=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Es_VDI_SI=((delta_ns_VDI_SI*delta_1s-delta_ns*delta_1s_VDI_SI)/delta_1s/delta_1s);
#if defined(_DERIVATE2)
  Es_VDI_SI_VDI_SI=(delta_ns_VDI_SI_VDI_SI/delta_1s-(delta_ns_VDI_SI*delta_1s_VDI_SI+delta_ns_VDI_SI*delta_1s_VDI_SI+delta_ns*delta_1s_VDI_SI_VDI_SI)/delta_1s/delta_1s+2*delta_ns*delta_1s_VDI_SI*delta_1s_VDI_SI/delta_1s/delta_1s/delta_1s);
  Es_VDI_SI_VGP_SI=(delta_ns_VDI_SI_VGP_SI/delta_1s-(delta_ns_VDI_SI*delta_1s_VGP_SI+delta_ns_VGP_SI*delta_1s_VDI_SI+delta_ns*delta_1s_VDI_SI_VGP_SI)/delta_1s/delta_1s+2*delta_ns*delta_1s_VDI_SI*delta_1s_VGP_SI/delta_1s/delta_1s/delta_1s);
  Es_VDI_SI_VSI_BP=(delta_ns_VDI_SI_VSI_BP/delta_1s-(delta_ns_VDI_SI*delta_1s_VSI_BP+delta_ns_VSI_BP*delta_1s_VDI_SI+delta_ns*delta_1s_VDI_SI_VSI_BP)/delta_1s/delta_1s+2*delta_ns*delta_1s_VDI_SI*delta_1s_VSI_BP/delta_1s/delta_1s/delta_1s);
#endif
Es_VGP_SI=((delta_ns_VGP_SI*delta_1s-delta_ns*delta_1s_VGP_SI)/delta_1s/delta_1s);
#if defined(_DERIVATE2)
  Es_VGP_SI_VDI_SI=(delta_ns_VGP_SI_VDI_SI/delta_1s-(delta_ns_VGP_SI*delta_1s_VDI_SI+delta_ns_VDI_SI*delta_1s_VGP_SI+delta_ns*delta_1s_VGP_SI_VDI_SI)/delta_1s/delta_1s+2*delta_ns*delta_1s_VGP_SI*delta_1s_VDI_SI/delta_1s/delta_1s/delta_1s);
  Es_VGP_SI_VGP_SI=(delta_ns_VGP_SI_VGP_SI/delta_1s-(delta_ns_VGP_SI*delta_1s_VGP_SI+delta_ns_VGP_SI*delta_1s_VGP_SI+delta_ns*delta_1s_VGP_SI_VGP_SI)/delta_1s/delta_1s+2*delta_ns*delta_1s_VGP_SI*delta_1s_VGP_SI/delta_1s/delta_1s/delta_1s);
  Es_VGP_SI_VSI_BP=(delta_ns_VGP_SI_VSI_BP/delta_1s-(delta_ns_VGP_SI*delta_1s_VSI_BP+delta_ns_VSI_BP*delta_1s_VGP_SI+delta_ns*delta_1s_VGP_SI_VSI_BP)/delta_1s/delta_1s+2*delta_ns*delta_1s_VGP_SI*delta_1s_VSI_BP/delta_1s/delta_1s/delta_1s);
#endif
Es_VSI_BP=((delta_ns_VSI_BP*delta_1s-delta_ns*delta_1s_VSI_BP)/delta_1s/delta_1s);
#if defined(_DERIVATE2)
  Es_VSI_BP_VDI_SI=(delta_ns_VSI_BP_VDI_SI/delta_1s-(delta_ns_VSI_BP*delta_1s_VDI_SI+delta_ns_VDI_SI*delta_1s_VSI_BP+delta_ns*delta_1s_VSI_BP_VDI_SI)/delta_1s/delta_1s+2*delta_ns*delta_1s_VSI_BP*delta_1s_VDI_SI/delta_1s/delta_1s/delta_1s);
  Es_VSI_BP_VGP_SI=(delta_ns_VSI_BP_VGP_SI/delta_1s-(delta_ns_VSI_BP*delta_1s_VGP_SI+delta_ns_VGP_SI*delta_1s_VSI_BP+delta_ns*delta_1s_VSI_BP_VGP_SI)/delta_1s/delta_1s+2*delta_ns*delta_1s_VSI_BP*delta_1s_VGP_SI/delta_1s/delta_1s/delta_1s);
  Es_VSI_BP_VSI_BP=(delta_ns_VSI_BP_VSI_BP/delta_1s-(delta_ns_VSI_BP*delta_1s_VSI_BP+delta_ns_VSI_BP*delta_1s_VSI_BP+delta_ns*delta_1s_VSI_BP_VSI_BP)/delta_1s/delta_1s+2*delta_ns*delta_1s_VSI_BP*delta_1s_VSI_BP/delta_1s/delta_1s/delta_1s);
#endif
#endif
Es=(delta_ns/delta_1s);
EXIT_IF_ISNAN((delta_ns/delta_1s))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
delta_1s_VDI_SI=(-1.0e-100*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  delta_1s_VDI_SI_VDI_SI=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VDI_SI_VDI_SI-x_s_VDI_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VDI_SI-x_s_VDI_SI)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))))))+(xn_s_VDI_SI-x_s_VDI_SI)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VDI_SI_VDI_SI-x_s_VDI_SI_VDI_SI)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VDI_SI-x_s_VDI_SI)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)+(xn_s_VDI_SI-x_s_VDI_SI)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VDI_SI_VDI_SI-x_s_VDI_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_s_VDI_SI-x_s_VDI_SI)*0.0+(xn_s_VDI_SI-x_s_VDI_SI)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  delta_1s_VDI_SI_VGP_SI=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VDI_SI_VGP_SI-x_s_VDI_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VDI_SI-x_s_VDI_SI)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))))))+(xn_s_VGP_SI-x_s_VGP_SI)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VDI_SI_VGP_SI-x_s_VDI_SI_VGP_SI)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VDI_SI-x_s_VDI_SI)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)+(xn_s_VGP_SI-x_s_VGP_SI)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VDI_SI_VGP_SI-x_s_VDI_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_s_VDI_SI-x_s_VDI_SI)*0.0+(xn_s_VGP_SI-x_s_VGP_SI)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  delta_1s_VDI_SI_VSI_BP=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VDI_SI_VSI_BP-x_s_VDI_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VDI_SI-x_s_VDI_SI)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))))))+(xn_s_VSI_BP-x_s_VSI_BP)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VDI_SI_VSI_BP-x_s_VDI_SI_VSI_BP)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VDI_SI-x_s_VDI_SI)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)+(xn_s_VSI_BP-x_s_VSI_BP)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VDI_SI_VSI_BP-x_s_VDI_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_s_VDI_SI-x_s_VDI_SI)*0.0+(xn_s_VSI_BP-x_s_VSI_BP)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
delta_1s_VGP_SI=(-1.0e-100*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  delta_1s_VGP_SI_VDI_SI=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VGP_SI_VDI_SI-x_s_VGP_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VGP_SI-x_s_VGP_SI)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))))))+(xn_s_VDI_SI-x_s_VDI_SI)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VGP_SI_VDI_SI-x_s_VGP_SI_VDI_SI)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VGP_SI-x_s_VGP_SI)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)+(xn_s_VDI_SI-x_s_VDI_SI)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VGP_SI_VDI_SI-x_s_VGP_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_s_VGP_SI-x_s_VGP_SI)*0.0+(xn_s_VDI_SI-x_s_VDI_SI)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  delta_1s_VGP_SI_VGP_SI=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VGP_SI_VGP_SI-x_s_VGP_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VGP_SI-x_s_VGP_SI)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))))))+(xn_s_VGP_SI-x_s_VGP_SI)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VGP_SI_VGP_SI-x_s_VGP_SI_VGP_SI)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VGP_SI-x_s_VGP_SI)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)+(xn_s_VGP_SI-x_s_VGP_SI)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VGP_SI_VGP_SI-x_s_VGP_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_s_VGP_SI-x_s_VGP_SI)*0.0+(xn_s_VGP_SI-x_s_VGP_SI)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  delta_1s_VGP_SI_VSI_BP=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VGP_SI_VSI_BP-x_s_VGP_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VGP_SI-x_s_VGP_SI)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))))))+(xn_s_VSI_BP-x_s_VSI_BP)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VGP_SI_VSI_BP-x_s_VGP_SI_VSI_BP)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VGP_SI-x_s_VGP_SI)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)+(xn_s_VSI_BP-x_s_VSI_BP)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VGP_SI_VSI_BP-x_s_VGP_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_s_VGP_SI-x_s_VGP_SI)*0.0+(xn_s_VSI_BP-x_s_VSI_BP)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
delta_1s_VSI_BP=(-1.0e-100*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  delta_1s_VSI_BP_VDI_SI=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VSI_BP_VDI_SI-x_s_VSI_BP_VDI_SI)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VSI_BP-x_s_VSI_BP)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))))))+(xn_s_VDI_SI-x_s_VDI_SI)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VSI_BP_VDI_SI-x_s_VSI_BP_VDI_SI)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VSI_BP-x_s_VSI_BP)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)+(xn_s_VDI_SI-x_s_VDI_SI)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VSI_BP_VDI_SI-x_s_VSI_BP_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_s_VSI_BP-x_s_VSI_BP)*0.0+(xn_s_VDI_SI-x_s_VDI_SI)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VDI_SI-x_s_VDI_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VDI_SI-x_s_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  delta_1s_VSI_BP_VGP_SI=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VSI_BP_VGP_SI-x_s_VSI_BP_VGP_SI)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VSI_BP-x_s_VSI_BP)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))))))+(xn_s_VGP_SI-x_s_VGP_SI)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VSI_BP_VGP_SI-x_s_VSI_BP_VGP_SI)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VSI_BP-x_s_VSI_BP)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)+(xn_s_VGP_SI-x_s_VGP_SI)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VSI_BP_VGP_SI-x_s_VSI_BP_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_s_VSI_BP-x_s_VSI_BP)*0.0+(xn_s_VGP_SI-x_s_VGP_SI)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VGP_SI-x_s_VGP_SI)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VGP_SI-x_s_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  delta_1s_VSI_BP_VSI_BP=(0.0/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_s_VSI_BP_VSI_BP-x_s_VSI_BP_VSI_BP)-0.0)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_s_VSI_BP-x_s_VSI_BP)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))))))+(xn_s_VSI_BP-x_s_VSI_BP)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_s_VSI_BP_VSI_BP-x_s_VSI_BP_VSI_BP)-0.0)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_s_VSI_BP-x_s_VSI_BP)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)+(xn_s_VSI_BP-x_s_VSI_BP)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01+((xn_s-x_s)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_s_VSI_BP_VSI_BP-x_s_VSI_BP_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_s_VSI_BP-x_s_VSI_BP)*0.0+(xn_s_VSI_BP-x_s_VSI_BP)*0.0+((xn_s-x_s)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*(0.5*(((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*(xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_s-x_s)-2.3025850929940458e+02)*((0.5*((((xn_s_VSI_BP-x_s_VSI_BP)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_s-x_s)-2.3025850929940458e+02)*((xn_s_VSI_BP-x_s_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
delta_1s=(1.0e-100/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Es_VDI_SI=(-1.0e-100*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Es_VDI_SI_VDI_SI=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VDI_SI*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01))))))+x_s_VDI_SI*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01))))+0.0*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_s_VDI_SI_VDI_SI-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VDI_SI*(x_s_VDI_SI*3.3333333333333333e-01)+x_s_VDI_SI*x_s_VDI_SI*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+x_s_VDI_SI*0.0+x_s_VDI_SI*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))*(((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Es_VDI_SI_VGP_SI=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VDI_SI*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01))))))+x_s_VGP_SI*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01))))+0.0*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_s_VDI_SI_VGP_SI-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VDI_SI*(x_s_VGP_SI*3.3333333333333333e-01)+x_s_VGP_SI*x_s_VDI_SI*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+x_s_VDI_SI*0.0+x_s_VGP_SI*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))*(((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Es_VDI_SI_VSI_BP=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VDI_SI*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01))))))+x_s_VSI_BP*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01))))+0.0*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_s_VDI_SI_VSI_BP-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VDI_SI*(x_s_VSI_BP*3.3333333333333333e-01)+x_s_VSI_BP*x_s_VDI_SI*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+x_s_VDI_SI*0.0+x_s_VSI_BP*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VDI_SI*3.3333333333333333e-01)))))*(((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
Es_VGP_SI=(-1.0e-100*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Es_VGP_SI_VDI_SI=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VGP_SI*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01))))))+x_s_VDI_SI*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01))))+0.0*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_s_VGP_SI_VDI_SI-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VGP_SI*(x_s_VDI_SI*3.3333333333333333e-01)+x_s_VDI_SI*x_s_VGP_SI*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+x_s_VGP_SI*0.0+x_s_VDI_SI*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))*(((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Es_VGP_SI_VGP_SI=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VGP_SI*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01))))))+x_s_VGP_SI*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01))))+0.0*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_s_VGP_SI_VGP_SI-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VGP_SI*(x_s_VGP_SI*3.3333333333333333e-01)+x_s_VGP_SI*x_s_VGP_SI*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+x_s_VGP_SI*0.0+x_s_VGP_SI*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))*(((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Es_VGP_SI_VSI_BP=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VGP_SI*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01))))))+x_s_VSI_BP*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01))))+0.0*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_s_VGP_SI_VSI_BP-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VGP_SI*(x_s_VSI_BP*3.3333333333333333e-01)+x_s_VSI_BP*x_s_VGP_SI*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+x_s_VGP_SI*0.0+x_s_VSI_BP*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VGP_SI*3.3333333333333333e-01)))))*(((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
Es_VSI_BP=(-1.0e-100*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Es_VSI_BP_VDI_SI=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VSI_BP*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01))))))+x_s_VDI_SI*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01))))+0.0*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_s_VSI_BP_VDI_SI-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VSI_BP*(x_s_VDI_SI*3.3333333333333333e-01)+x_s_VDI_SI*x_s_VSI_BP*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+x_s_VSI_BP*0.0+x_s_VDI_SI*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))*(((x_s_VDI_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VDI_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Es_VSI_BP_VGP_SI=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VSI_BP*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01))))))+x_s_VGP_SI*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01))))+0.0*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_s_VSI_BP_VGP_SI-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VSI_BP*(x_s_VGP_SI*3.3333333333333333e-01)+x_s_VGP_SI*x_s_VSI_BP*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+x_s_VSI_BP*0.0+x_s_VGP_SI*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))*(((x_s_VGP_SI*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VGP_SI*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Es_VSI_BP_VSI_BP=(0.0/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_s_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_s_VSI_BP*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01))))))+x_s_VSI_BP*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))+(x_s-2.3025850929940458e+02)*(+0.0+(+0.0*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01))))+0.0*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_s_VSI_BP_VSI_BP-0.0)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))+x_s_VSI_BP*(x_s_VSI_BP*3.3333333333333333e-01)+x_s_VSI_BP*x_s_VSI_BP*3.3333333333333333e-01+(x_s-2.3025850929940458e+02)*(+0.0+(+(+x_s_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+x_s_VSI_BP*0.0+x_s_VSI_BP*0.0+(x_s-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*(0.5*((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*x_s_VSI_BP*3.3333333333333333e-01)))))*(((x_s_VSI_BP*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_s-2.3025850929940458e+02)*((0.5*(((x_s_VSI_BP*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_s-2.3025850929940458e+02)*(x_s_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
Es=(1.0e-100/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ds_VDI_SI=(delta_1s_VDI_SI-((delta_ns_VDI_SI*((x_s+1.0)+xi0s))+(delta_ns*(x_s_VDI_SI+xi0s_VDI_SI))));
#if defined(_DERIVATE2)
  Ds_VDI_SI_VDI_SI=(+delta_1s_VDI_SI_VDI_SI-(+delta_ns_VDI_SI_VDI_SI*((x_s+1.0)+xi0s)+delta_ns_VDI_SI*(x_s_VDI_SI+xi0s_VDI_SI)+delta_ns_VDI_SI*(x_s_VDI_SI+xi0s_VDI_SI)+delta_ns*(+(+x_s_VDI_SI_VDI_SI+0.0)+xi0s_VDI_SI_VDI_SI)));
  Ds_VDI_SI_VGP_SI=(+delta_1s_VDI_SI_VGP_SI-(+delta_ns_VDI_SI_VGP_SI*((x_s+1.0)+xi0s)+delta_ns_VDI_SI*(x_s_VGP_SI+xi0s_VGP_SI)+delta_ns_VGP_SI*(x_s_VDI_SI+xi0s_VDI_SI)+delta_ns*(+(+x_s_VDI_SI_VGP_SI+0.0)+xi0s_VDI_SI_VGP_SI)));
  Ds_VDI_SI_VSI_BP=(+delta_1s_VDI_SI_VSI_BP-(+delta_ns_VDI_SI_VSI_BP*((x_s+1.0)+xi0s)+delta_ns_VDI_SI*(x_s_VSI_BP+xi0s_VSI_BP)+delta_ns_VSI_BP*(x_s_VDI_SI+xi0s_VDI_SI)+delta_ns*(+(+x_s_VDI_SI_VSI_BP+0.0)+xi0s_VDI_SI_VSI_BP)));
#endif
Ds_VGP_SI=(delta_1s_VGP_SI-((delta_ns_VGP_SI*((x_s+1.0)+xi0s))+(delta_ns*(x_s_VGP_SI+xi0s_VGP_SI))));
#if defined(_DERIVATE2)
  Ds_VGP_SI_VDI_SI=(+delta_1s_VGP_SI_VDI_SI-(+delta_ns_VGP_SI_VDI_SI*((x_s+1.0)+xi0s)+delta_ns_VGP_SI*(x_s_VDI_SI+xi0s_VDI_SI)+delta_ns_VDI_SI*(x_s_VGP_SI+xi0s_VGP_SI)+delta_ns*(+(+x_s_VGP_SI_VDI_SI+0.0)+xi0s_VGP_SI_VDI_SI)));
  Ds_VGP_SI_VGP_SI=(+delta_1s_VGP_SI_VGP_SI-(+delta_ns_VGP_SI_VGP_SI*((x_s+1.0)+xi0s)+delta_ns_VGP_SI*(x_s_VGP_SI+xi0s_VGP_SI)+delta_ns_VGP_SI*(x_s_VGP_SI+xi0s_VGP_SI)+delta_ns*(+(+x_s_VGP_SI_VGP_SI+0.0)+xi0s_VGP_SI_VGP_SI)));
  Ds_VGP_SI_VSI_BP=(+delta_1s_VGP_SI_VSI_BP-(+delta_ns_VGP_SI_VSI_BP*((x_s+1.0)+xi0s)+delta_ns_VGP_SI*(x_s_VSI_BP+xi0s_VSI_BP)+delta_ns_VSI_BP*(x_s_VGP_SI+xi0s_VGP_SI)+delta_ns*(+(+x_s_VGP_SI_VSI_BP+0.0)+xi0s_VGP_SI_VSI_BP)));
#endif
Ds_VSI_BP=(delta_1s_VSI_BP-((delta_ns_VSI_BP*((x_s+1.0)+xi0s))+(delta_ns*(x_s_VSI_BP+xi0s_VSI_BP))));
#if defined(_DERIVATE2)
  Ds_VSI_BP_VDI_SI=(+delta_1s_VSI_BP_VDI_SI-(+delta_ns_VSI_BP_VDI_SI*((x_s+1.0)+xi0s)+delta_ns_VSI_BP*(x_s_VDI_SI+xi0s_VDI_SI)+delta_ns_VDI_SI*(x_s_VSI_BP+xi0s_VSI_BP)+delta_ns*(+(+x_s_VSI_BP_VDI_SI+0.0)+xi0s_VSI_BP_VDI_SI)));
  Ds_VSI_BP_VGP_SI=(+delta_1s_VSI_BP_VGP_SI-(+delta_ns_VSI_BP_VGP_SI*((x_s+1.0)+xi0s)+delta_ns_VSI_BP*(x_s_VGP_SI+xi0s_VGP_SI)+delta_ns_VGP_SI*(x_s_VSI_BP+xi0s_VSI_BP)+delta_ns*(+(+x_s_VSI_BP_VGP_SI+0.0)+xi0s_VSI_BP_VGP_SI)));
  Ds_VSI_BP_VSI_BP=(+delta_1s_VSI_BP_VSI_BP-(+delta_ns_VSI_BP_VSI_BP*((x_s+1.0)+xi0s)+delta_ns_VSI_BP*(x_s_VSI_BP+xi0s_VSI_BP)+delta_ns_VSI_BP*(x_s_VSI_BP+xi0s_VSI_BP)+delta_ns*(+(+x_s_VSI_BP_VSI_BP+0.0)+xi0s_VSI_BP_VSI_BP)));
#endif
#endif
Ds=(delta_1s-(delta_ns*((x_s+1.0)+xi0s)));
EXIT_IF_ISNAN((delta_1s-(delta_ns*((x_s+1.0)+xi0s))))
if
((x_s<1.0e-5))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ps_VDI_SI=(0.5*((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI)))))))));
#if defined(_DERIVATE2)
  Ps_VDI_SI_VDI_SI=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))))))))+0.0*((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))))+0.5*(+(+x_s_VDI_SI_VDI_SI*x_s+x_s_VDI_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VDI_SI)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI)))))))))+(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))+0.0*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))+3.3333333333333333e-01*(+x_s_VDI_SI_VDI_SI*(1.0-(0.25*x_s))+x_s_VDI_SI*(-((0.25*x_s_VDI_SI)))+x_s_VDI_SI*(-(0.25*x_s_VDI_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VDI_SI+0.25*x_s_VDI_SI_VDI_SI)))))));
  Ps_VDI_SI_VGP_SI=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))))))))+0.0*((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))))+0.5*(+(+x_s_VDI_SI_VGP_SI*x_s+x_s_VDI_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VGP_SI)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI)))))))))+(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))+0.0*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))+3.3333333333333333e-01*(+x_s_VDI_SI_VGP_SI*(1.0-(0.25*x_s))+x_s_VDI_SI*(-((0.25*x_s_VGP_SI)))+x_s_VGP_SI*(-(0.25*x_s_VDI_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VDI_SI+0.25*x_s_VDI_SI_VGP_SI)))))));
  Ps_VDI_SI_VSI_BP=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))))))))+0.0*((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))))+0.5*(+(+x_s_VDI_SI_VSI_BP*x_s+x_s_VDI_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VDI_SI+x_s*x_s_VDI_SI_VSI_BP)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP)))))))))+(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))+0.0*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))+3.3333333333333333e-01*(+x_s_VDI_SI_VSI_BP*(1.0-(0.25*x_s))+x_s_VDI_SI*(-((0.25*x_s_VSI_BP)))+x_s_VSI_BP*(-(0.25*x_s_VDI_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VDI_SI+0.25*x_s_VDI_SI_VSI_BP)))))));
#endif
Ps_VGP_SI=(0.5*((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI)))))))));
#if defined(_DERIVATE2)
  Ps_VGP_SI_VDI_SI=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))))))))+0.0*((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))))+0.5*(+(+x_s_VGP_SI_VDI_SI*x_s+x_s_VGP_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VDI_SI)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI)))))))))+(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))+0.0*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))+3.3333333333333333e-01*(+x_s_VGP_SI_VDI_SI*(1.0-(0.25*x_s))+x_s_VGP_SI*(-((0.25*x_s_VDI_SI)))+x_s_VDI_SI*(-(0.25*x_s_VGP_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VGP_SI+0.25*x_s_VGP_SI_VDI_SI)))))));
  Ps_VGP_SI_VGP_SI=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))))))))+0.0*((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))))+0.5*(+(+x_s_VGP_SI_VGP_SI*x_s+x_s_VGP_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VGP_SI)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI)))))))))+(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))+0.0*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))+3.3333333333333333e-01*(+x_s_VGP_SI_VGP_SI*(1.0-(0.25*x_s))+x_s_VGP_SI*(-((0.25*x_s_VGP_SI)))+x_s_VGP_SI*(-(0.25*x_s_VGP_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VGP_SI+0.25*x_s_VGP_SI_VGP_SI)))))));
  Ps_VGP_SI_VSI_BP=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))))))))+0.0*((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))))+0.5*(+(+x_s_VGP_SI_VSI_BP*x_s+x_s_VGP_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VGP_SI+x_s*x_s_VGP_SI_VSI_BP)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP)))))))))+(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))+0.0*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))+3.3333333333333333e-01*(+x_s_VGP_SI_VSI_BP*(1.0-(0.25*x_s))+x_s_VGP_SI*(-((0.25*x_s_VSI_BP)))+x_s_VSI_BP*(-(0.25*x_s_VGP_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VGP_SI+0.25*x_s_VGP_SI_VSI_BP)))))));
#endif
Ps_VSI_BP=(0.5*((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP)))))))));
#if defined(_DERIVATE2)
  Ps_VSI_BP_VDI_SI=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))))))))+0.0*((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))))+0.5*(+(+x_s_VSI_BP_VDI_SI*x_s+x_s_VSI_BP*x_s_VDI_SI+x_s_VDI_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VDI_SI)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI)))))))))+(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))+0.0*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))+3.3333333333333333e-01*(+x_s_VSI_BP_VDI_SI*(1.0-(0.25*x_s))+x_s_VSI_BP*(-((0.25*x_s_VDI_SI)))+x_s_VDI_SI*(-(0.25*x_s_VSI_BP))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VSI_BP+0.25*x_s_VSI_BP_VDI_SI)))))));
  Ps_VSI_BP_VGP_SI=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))))))))+0.0*((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))))+0.5*(+(+x_s_VSI_BP_VGP_SI*x_s+x_s_VSI_BP*x_s_VGP_SI+x_s_VGP_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VGP_SI)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI)))))))))+(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))+0.0*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))+3.3333333333333333e-01*(+x_s_VSI_BP_VGP_SI*(1.0-(0.25*x_s))+x_s_VSI_BP*(-((0.25*x_s_VGP_SI)))+x_s_VGP_SI*(-(0.25*x_s_VSI_BP))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VSI_BP+0.25*x_s_VSI_BP_VGP_SI)))))));
  Ps_VSI_BP_VSI_BP=(+0.0*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+0.0*((((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))))))))+0.0*((((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))+((x_s*x_s)*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))))+0.5*(+(+x_s_VSI_BP_VSI_BP*x_s+x_s_VSI_BP*x_s_VSI_BP+x_s_VSI_BP*x_s_VSI_BP+x_s*x_s_VSI_BP_VSI_BP)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))+((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP)))))))))+(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))+(x_s*x_s)*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))+0.0*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))+3.3333333333333333e-01*(+x_s_VSI_BP_VSI_BP*(1.0-(0.25*x_s))+x_s_VSI_BP*(-((0.25*x_s_VSI_BP)))+x_s_VSI_BP*(-(0.25*x_s_VSI_BP))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VSI_BP+0.25*x_s_VSI_BP_VSI_BP)))))));
#endif
#endif
Ps=(0.5*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))));
EXIT_IF_ISNAN((0.5*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ds_VDI_SI=(1.6666666666666667e-01*((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VDI_SI))));
#if defined(_DERIVATE2)
  Ds_VDI_SI_VDI_SI=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VDI_SI)))))+0.0*((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VDI_SI)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VDI_SI_VDI_SI*x_s+delta_ns_VDI_SI*x_s_VDI_SI+delta_ns_VDI_SI*x_s_VDI_SI+delta_ns*x_s_VDI_SI_VDI_SI)*x_s+((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s_VDI_SI+(((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s_VDI_SI+(delta_ns*x_s)*x_s_VDI_SI_VDI_SI)*x_s+((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s_VDI_SI+((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s_VDI_SI+((delta_ns*x_s)*x_s)*x_s_VDI_SI_VDI_SI)*(1.0+(1.75*x_s))+((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*((1.75*x_s_VDI_SI))+(((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI)))*(1.75*x_s_VDI_SI)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VDI_SI+1.75*x_s_VDI_SI_VDI_SI))));
  Ds_VDI_SI_VGP_SI=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VGP_SI)))))+0.0*((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VDI_SI)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VDI_SI_VGP_SI*x_s+delta_ns_VDI_SI*x_s_VGP_SI+delta_ns_VGP_SI*x_s_VDI_SI+delta_ns*x_s_VDI_SI_VGP_SI)*x_s+((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s_VGP_SI+(((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s_VDI_SI+(delta_ns*x_s)*x_s_VDI_SI_VGP_SI)*x_s+((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s_VGP_SI+((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s_VDI_SI+((delta_ns*x_s)*x_s)*x_s_VDI_SI_VGP_SI)*(1.0+(1.75*x_s))+((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*((1.75*x_s_VGP_SI))+(((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI)))*(1.75*x_s_VDI_SI)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VDI_SI+1.75*x_s_VDI_SI_VGP_SI))));
  Ds_VDI_SI_VSI_BP=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VSI_BP)))))+0.0*((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VDI_SI)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VDI_SI_VSI_BP*x_s+delta_ns_VDI_SI*x_s_VSI_BP+delta_ns_VSI_BP*x_s_VDI_SI+delta_ns*x_s_VDI_SI_VSI_BP)*x_s+((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s_VSI_BP+(((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s_VDI_SI+(delta_ns*x_s)*x_s_VDI_SI_VSI_BP)*x_s+((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s_VSI_BP+((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s_VDI_SI+((delta_ns*x_s)*x_s)*x_s_VDI_SI_VSI_BP)*(1.0+(1.75*x_s))+((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI))*x_s)+((delta_ns*x_s)*x_s_VDI_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI))*((1.75*x_s_VSI_BP))+(((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP)))*(1.75*x_s_VDI_SI)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VDI_SI+1.75*x_s_VDI_SI_VSI_BP))));
#endif
Ds_VGP_SI=(1.6666666666666667e-01*((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VGP_SI))));
#if defined(_DERIVATE2)
  Ds_VGP_SI_VDI_SI=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VDI_SI)))))+0.0*((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VGP_SI)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VGP_SI_VDI_SI*x_s+delta_ns_VGP_SI*x_s_VDI_SI+delta_ns_VDI_SI*x_s_VGP_SI+delta_ns*x_s_VGP_SI_VDI_SI)*x_s+((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s_VDI_SI+(((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s_VGP_SI+(delta_ns*x_s)*x_s_VGP_SI_VDI_SI)*x_s+((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s_VDI_SI+((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s_VGP_SI+((delta_ns*x_s)*x_s)*x_s_VGP_SI_VDI_SI)*(1.0+(1.75*x_s))+((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*((1.75*x_s_VDI_SI))+(((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI)))*(1.75*x_s_VGP_SI)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VGP_SI+1.75*x_s_VGP_SI_VDI_SI))));
  Ds_VGP_SI_VGP_SI=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VGP_SI)))))+0.0*((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VGP_SI)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VGP_SI_VGP_SI*x_s+delta_ns_VGP_SI*x_s_VGP_SI+delta_ns_VGP_SI*x_s_VGP_SI+delta_ns*x_s_VGP_SI_VGP_SI)*x_s+((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s_VGP_SI+(((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s_VGP_SI+(delta_ns*x_s)*x_s_VGP_SI_VGP_SI)*x_s+((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s_VGP_SI+((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s_VGP_SI+((delta_ns*x_s)*x_s)*x_s_VGP_SI_VGP_SI)*(1.0+(1.75*x_s))+((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*((1.75*x_s_VGP_SI))+(((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI)))*(1.75*x_s_VGP_SI)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VGP_SI+1.75*x_s_VGP_SI_VGP_SI))));
  Ds_VGP_SI_VSI_BP=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VSI_BP)))))+0.0*((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VGP_SI)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VGP_SI_VSI_BP*x_s+delta_ns_VGP_SI*x_s_VSI_BP+delta_ns_VSI_BP*x_s_VGP_SI+delta_ns*x_s_VGP_SI_VSI_BP)*x_s+((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s_VSI_BP+(((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s_VGP_SI+(delta_ns*x_s)*x_s_VGP_SI_VSI_BP)*x_s+((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s_VSI_BP+((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s_VGP_SI+((delta_ns*x_s)*x_s)*x_s_VGP_SI_VSI_BP)*(1.0+(1.75*x_s))+((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI))*x_s)+((delta_ns*x_s)*x_s_VGP_SI))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI))*((1.75*x_s_VSI_BP))+(((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP)))*(1.75*x_s_VGP_SI)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VGP_SI+1.75*x_s_VGP_SI_VSI_BP))));
#endif
Ds_VSI_BP=(1.6666666666666667e-01*((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VSI_BP))));
#if defined(_DERIVATE2)
  Ds_VSI_BP_VDI_SI=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VDI_SI)))))+0.0*((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VSI_BP)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VSI_BP_VDI_SI*x_s+delta_ns_VSI_BP*x_s_VDI_SI+delta_ns_VDI_SI*x_s_VSI_BP+delta_ns*x_s_VSI_BP_VDI_SI)*x_s+((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s_VDI_SI+(((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s_VSI_BP+(delta_ns*x_s)*x_s_VSI_BP_VDI_SI)*x_s+((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s_VDI_SI+((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s_VSI_BP+((delta_ns*x_s)*x_s)*x_s_VSI_BP_VDI_SI)*(1.0+(1.75*x_s))+((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*((1.75*x_s_VDI_SI))+(((((((((delta_ns_VDI_SI*x_s)+(delta_ns*x_s_VDI_SI)))*x_s)+((delta_ns*x_s)*x_s_VDI_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VDI_SI)))*(1.75*x_s_VSI_BP)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VSI_BP+1.75*x_s_VSI_BP_VDI_SI))));
  Ds_VSI_BP_VGP_SI=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VGP_SI)))))+0.0*((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VSI_BP)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VSI_BP_VGP_SI*x_s+delta_ns_VSI_BP*x_s_VGP_SI+delta_ns_VGP_SI*x_s_VSI_BP+delta_ns*x_s_VSI_BP_VGP_SI)*x_s+((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s_VGP_SI+(((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s_VSI_BP+(delta_ns*x_s)*x_s_VSI_BP_VGP_SI)*x_s+((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s_VGP_SI+((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s_VSI_BP+((delta_ns*x_s)*x_s)*x_s_VSI_BP_VGP_SI)*(1.0+(1.75*x_s))+((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*((1.75*x_s_VGP_SI))+(((((((((delta_ns_VGP_SI*x_s)+(delta_ns*x_s_VGP_SI)))*x_s)+((delta_ns*x_s)*x_s_VGP_SI)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VGP_SI)))*(1.75*x_s_VSI_BP)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VSI_BP+1.75*x_s_VSI_BP_VGP_SI))));
  Ds_VSI_BP_VSI_BP=(+0.0*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))+0.0*((((((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP)))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*((1.75*x_s_VSI_BP)))))+0.0*((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*(1.0+(1.75*x_s)))+((((delta_ns*x_s)*x_s)*x_s)*(1.75*x_s_VSI_BP)))+1.6666666666666667e-01*(+(+(+(+delta_ns_VSI_BP_VSI_BP*x_s+delta_ns_VSI_BP*x_s_VSI_BP+delta_ns_VSI_BP*x_s_VSI_BP+delta_ns*x_s_VSI_BP_VSI_BP)*x_s+((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s_VSI_BP+(((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s_VSI_BP+(delta_ns*x_s)*x_s_VSI_BP_VSI_BP)*x_s+((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s_VSI_BP+((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s_VSI_BP+((delta_ns*x_s)*x_s)*x_s_VSI_BP_VSI_BP)*(1.0+(1.75*x_s))+((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP))*x_s)+((delta_ns*x_s)*x_s_VSI_BP))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP))*((1.75*x_s_VSI_BP))+(((((((((delta_ns_VSI_BP*x_s)+(delta_ns*x_s_VSI_BP)))*x_s)+((delta_ns*x_s)*x_s_VSI_BP)))*x_s)+(((delta_ns*x_s)*x_s)*x_s_VSI_BP)))*(1.75*x_s_VSI_BP)+(((delta_ns*x_s)*x_s)*x_s)*(+0.0+(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VSI_BP+1.75*x_s_VSI_BP_VSI_BP))));
#endif
#endif
Ds=(1.6666666666666667e-01*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s))));
EXIT_IF_ISNAN((1.6666666666666667e-01*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s)))))
{
double m00_sqrt(d00_sqrt0,(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))*d10_sqrt0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI)))))))))*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))+0.0*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))+3.3333333333333333e-01*(+x_s_VGP_SI_VGP_SI*(1.0-(0.25*x_s))+x_s_VGP_SI*(-((0.25*x_s_VGP_SI)))+x_s_VGP_SI*(-(0.25*x_s_VGP_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VGP_SI+0.25*x_s_VGP_SI_VGP_SI))))));
  temp_VGP_SI_VDI_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI)))))))))*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))+0.0*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))+3.3333333333333333e-01*(+x_s_VGP_SI_VDI_SI*(1.0-(0.25*x_s))+x_s_VGP_SI*(-((0.25*x_s_VDI_SI)))+x_s_VDI_SI*(-(0.25*x_s_VGP_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VGP_SI+0.25*x_s_VGP_SI_VDI_SI))))));
  temp_VGP_SI_VSI_BP=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP)))))))))*(-(3.3333333333333333e-01*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))+0.0*((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VGP_SI))))+3.3333333333333333e-01*(+x_s_VGP_SI_VSI_BP*(1.0-(0.25*x_s))+x_s_VGP_SI*(-((0.25*x_s_VSI_BP)))+x_s_VSI_BP*(-(0.25*x_s_VGP_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VGP_SI+0.25*x_s_VGP_SI_VSI_BP))))));
#endif
temp_VDI_SI=(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))*d10_sqrt0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI)))))))))*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))+0.0*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))+3.3333333333333333e-01*(+x_s_VDI_SI_VGP_SI*(1.0-(0.25*x_s))+x_s_VDI_SI*(-((0.25*x_s_VGP_SI)))+x_s_VGP_SI*(-(0.25*x_s_VDI_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VDI_SI+0.25*x_s_VDI_SI_VGP_SI))))));
  temp_VDI_SI_VDI_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI)))))))))*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))+0.0*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))+3.3333333333333333e-01*(+x_s_VDI_SI_VDI_SI*(1.0-(0.25*x_s))+x_s_VDI_SI*(-((0.25*x_s_VDI_SI)))+x_s_VDI_SI*(-(0.25*x_s_VDI_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VDI_SI+0.25*x_s_VDI_SI_VDI_SI))))));
  temp_VDI_SI_VSI_BP=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP)))))))))*(-(3.3333333333333333e-01*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))+0.0*((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VDI_SI))))+3.3333333333333333e-01*(+x_s_VDI_SI_VSI_BP*(1.0-(0.25*x_s))+x_s_VDI_SI*(-((0.25*x_s_VSI_BP)))+x_s_VSI_BP*(-(0.25*x_s_VDI_SI))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VDI_SI+0.25*x_s_VDI_SI_VSI_BP))))));
#endif
temp_VSI_BP=(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))*d10_sqrt0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI)))))))))*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VGP_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VGP_SI))))))+0.0*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))+3.3333333333333333e-01*(+x_s_VSI_BP_VGP_SI*(1.0-(0.25*x_s))+x_s_VSI_BP*(-((0.25*x_s_VGP_SI)))+x_s_VGP_SI*(-(0.25*x_s_VSI_BP))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VSI_BP+0.25*x_s_VSI_BP_VGP_SI))))));
  temp_VSI_BP_VDI_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI)))))))))*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VDI_SI*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VDI_SI))))))+0.0*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))+3.3333333333333333e-01*(+x_s_VSI_BP_VDI_SI*(1.0-(0.25*x_s))+x_s_VSI_BP*(-((0.25*x_s_VDI_SI)))+x_s_VDI_SI*(-(0.25*x_s_VSI_BP))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VSI_BP+0.25*x_s_VSI_BP_VDI_SI))))));
  temp_VSI_BP_VSI_BP=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))))*(-((3.3333333333333333e-01*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP)))))))))*(-(3.3333333333333333e-01*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))))+d10_sqrt0*(+0.0-(+0.0*(x_s*(1.0-(0.25*x_s)))+0.0*(((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-((0.25*x_s_VSI_BP))))))+0.0*((x_s_VSI_BP*(1.0-(0.25*x_s)))+(x_s*(-(0.25*x_s_VSI_BP))))+3.3333333333333333e-01*(+x_s_VSI_BP_VSI_BP*(1.0-(0.25*x_s))+x_s_VSI_BP*(-((0.25*x_s_VSI_BP)))+x_s_VSI_BP*(-(0.25*x_s_VSI_BP))+x_s*(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VSI_BP+0.25*x_s_VSI_BP_VSI_BP))))));
#endif
#endif
temp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
sqm_VDI_SI=(7.0710678118654746e-01*((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)));
#if defined(_DERIVATE2)
  sqm_VDI_SI_VDI_SI=(+0.0*(x_s*temp)+0.0*(((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))+0.0*((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))+7.0710678118654746e-01*(+x_s_VDI_SI_VDI_SI*temp+x_s_VDI_SI*temp_VDI_SI+x_s_VDI_SI*temp_VDI_SI+x_s*temp_VDI_SI_VDI_SI));
  sqm_VDI_SI_VGP_SI=(+0.0*(x_s*temp)+0.0*(((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))+0.0*((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))+7.0710678118654746e-01*(+x_s_VDI_SI_VGP_SI*temp+x_s_VDI_SI*temp_VGP_SI+x_s_VGP_SI*temp_VDI_SI+x_s*temp_VDI_SI_VGP_SI));
  sqm_VDI_SI_VSI_BP=(+0.0*(x_s*temp)+0.0*(((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))+0.0*((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI))+7.0710678118654746e-01*(+x_s_VDI_SI_VSI_BP*temp+x_s_VDI_SI*temp_VSI_BP+x_s_VSI_BP*temp_VDI_SI+x_s*temp_VDI_SI_VSI_BP));
#endif
sqm_VGP_SI=(7.0710678118654746e-01*((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)));
#if defined(_DERIVATE2)
  sqm_VGP_SI_VDI_SI=(+0.0*(x_s*temp)+0.0*(((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))+0.0*((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))+7.0710678118654746e-01*(+x_s_VGP_SI_VDI_SI*temp+x_s_VGP_SI*temp_VDI_SI+x_s_VDI_SI*temp_VGP_SI+x_s*temp_VGP_SI_VDI_SI));
  sqm_VGP_SI_VGP_SI=(+0.0*(x_s*temp)+0.0*(((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))+0.0*((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))+7.0710678118654746e-01*(+x_s_VGP_SI_VGP_SI*temp+x_s_VGP_SI*temp_VGP_SI+x_s_VGP_SI*temp_VGP_SI+x_s*temp_VGP_SI_VGP_SI));
  sqm_VGP_SI_VSI_BP=(+0.0*(x_s*temp)+0.0*(((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))+0.0*((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI))+7.0710678118654746e-01*(+x_s_VGP_SI_VSI_BP*temp+x_s_VGP_SI*temp_VSI_BP+x_s_VSI_BP*temp_VGP_SI+x_s*temp_VGP_SI_VSI_BP));
#endif
sqm_VSI_BP=(7.0710678118654746e-01*((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)));
#if defined(_DERIVATE2)
  sqm_VSI_BP_VDI_SI=(+0.0*(x_s*temp)+0.0*(((x_s_VDI_SI*temp)+(x_s*temp_VDI_SI)))+0.0*((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))+7.0710678118654746e-01*(+x_s_VSI_BP_VDI_SI*temp+x_s_VSI_BP*temp_VDI_SI+x_s_VDI_SI*temp_VSI_BP+x_s*temp_VSI_BP_VDI_SI));
  sqm_VSI_BP_VGP_SI=(+0.0*(x_s*temp)+0.0*(((x_s_VGP_SI*temp)+(x_s*temp_VGP_SI)))+0.0*((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))+7.0710678118654746e-01*(+x_s_VSI_BP_VGP_SI*temp+x_s_VSI_BP*temp_VGP_SI+x_s_VGP_SI*temp_VSI_BP+x_s*temp_VSI_BP_VGP_SI));
  sqm_VSI_BP_VSI_BP=(+0.0*(x_s*temp)+0.0*(((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP)))+0.0*((x_s_VSI_BP*temp)+(x_s*temp_VSI_BP))+7.0710678118654746e-01*(+x_s_VSI_BP_VSI_BP*temp+x_s_VSI_BP*temp_VSI_BP+x_s_VSI_BP*temp_VSI_BP+x_s*temp_VSI_BP_VSI_BP));
#endif
#endif
sqm=(7.0710678118654746e-01*(x_s*temp));
EXIT_IF_ISNAN((7.0710678118654746e-01*(x_s*temp)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
alpha_VDI_SI=((((Gf_VDI_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))*temp-((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI)/temp/temp);
#if defined(_DERIVATE2)
  alpha_VDI_SI_VDI_SI=(+0.0+((+(+Gf_VDI_SI_VDI_SI*7.0710678118654746e-01+Gf_VDI_SI*0.0+Gf_VDI_SI*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VDI_SI*7.0710678118654746e-01*((-((0.5*x_s_VDI_SI)))+((1.6666666666666667e-01*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))+(Gf_VDI_SI*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VDI_SI+0.5*x_s_VDI_SI_VDI_SI))+(+0.0*(x_s*x_s)+0.0*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))+0.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))+1.6666666666666667e-01*(+x_s_VDI_SI_VDI_SI*x_s+x_s_VDI_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VDI_SI))))/temp-(((Gf_VDI_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))*temp_VDI_SI+((((Gf_VDI_SI*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VDI_SI)))+((1.6666666666666667e-01*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))))))))*temp_VDI_SI+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI_VDI_SI)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI*temp_VDI_SI/temp/temp/temp));
  alpha_VDI_SI_VGP_SI=(+0.0+((+(+Gf_VDI_SI_VGP_SI*7.0710678118654746e-01+Gf_VDI_SI*0.0+Gf_VGP_SI*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VDI_SI*7.0710678118654746e-01*((-((0.5*x_s_VGP_SI)))+((1.6666666666666667e-01*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))+(Gf_VGP_SI*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VDI_SI+0.5*x_s_VDI_SI_VGP_SI))+(+0.0*(x_s*x_s)+0.0*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))+0.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))+1.6666666666666667e-01*(+x_s_VDI_SI_VGP_SI*x_s+x_s_VDI_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VDI_SI+x_s*x_s_VDI_SI_VGP_SI))))/temp-(((Gf_VDI_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))*temp_VGP_SI+((((Gf_VGP_SI*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VGP_SI)))+((1.6666666666666667e-01*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))))))))*temp_VDI_SI+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI_VGP_SI)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI*temp_VGP_SI/temp/temp/temp));
  alpha_VDI_SI_VSI_BP=(+0.0+((+(+Gf_VDI_SI_VSI_BP*7.0710678118654746e-01+Gf_VDI_SI*0.0+Gf_VSI_BP*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VDI_SI*7.0710678118654746e-01*((-((0.5*x_s_VSI_BP)))+((1.6666666666666667e-01*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))+(Gf_VSI_BP*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VDI_SI+0.5*x_s_VDI_SI_VSI_BP))+(+0.0*(x_s*x_s)+0.0*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))+0.0*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))+1.6666666666666667e-01*(+x_s_VDI_SI_VSI_BP*x_s+x_s_VDI_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VDI_SI+x_s*x_s_VDI_SI_VSI_BP))))/temp-(((Gf_VDI_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VDI_SI))+(1.6666666666666667e-01*((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))*temp_VSI_BP+((((Gf_VSI_BP*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VSI_BP)))+((1.6666666666666667e-01*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))))))))*temp_VDI_SI+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI_VSI_BP)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VDI_SI*temp_VSI_BP/temp/temp/temp));
#endif
alpha_VGP_SI=((((Gf_VGP_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))*temp-((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI)/temp/temp);
#if defined(_DERIVATE2)
  alpha_VGP_SI_VDI_SI=(+0.0+((+(+Gf_VGP_SI_VDI_SI*7.0710678118654746e-01+Gf_VGP_SI*0.0+Gf_VDI_SI*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VGP_SI*7.0710678118654746e-01*((-((0.5*x_s_VDI_SI)))+((1.6666666666666667e-01*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))+(Gf_VDI_SI*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VGP_SI+0.5*x_s_VGP_SI_VDI_SI))+(+0.0*(x_s*x_s)+0.0*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))+0.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))+1.6666666666666667e-01*(+x_s_VGP_SI_VDI_SI*x_s+x_s_VGP_SI*x_s_VDI_SI+x_s_VDI_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VDI_SI))))/temp-(((Gf_VGP_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))*temp_VDI_SI+((((Gf_VDI_SI*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VDI_SI)))+((1.6666666666666667e-01*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))))))))*temp_VGP_SI+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI_VDI_SI)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI*temp_VDI_SI/temp/temp/temp));
  alpha_VGP_SI_VGP_SI=(+0.0+((+(+Gf_VGP_SI_VGP_SI*7.0710678118654746e-01+Gf_VGP_SI*0.0+Gf_VGP_SI*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VGP_SI*7.0710678118654746e-01*((-((0.5*x_s_VGP_SI)))+((1.6666666666666667e-01*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))+(Gf_VGP_SI*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VGP_SI+0.5*x_s_VGP_SI_VGP_SI))+(+0.0*(x_s*x_s)+0.0*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))+0.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))+1.6666666666666667e-01*(+x_s_VGP_SI_VGP_SI*x_s+x_s_VGP_SI*x_s_VGP_SI+x_s_VGP_SI*x_s_VGP_SI+x_s*x_s_VGP_SI_VGP_SI))))/temp-(((Gf_VGP_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))*temp_VGP_SI+((((Gf_VGP_SI*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VGP_SI)))+((1.6666666666666667e-01*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))))))))*temp_VGP_SI+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI_VGP_SI)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI*temp_VGP_SI/temp/temp/temp));
  alpha_VGP_SI_VSI_BP=(+0.0+((+(+Gf_VGP_SI_VSI_BP*7.0710678118654746e-01+Gf_VGP_SI*0.0+Gf_VSI_BP*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VGP_SI*7.0710678118654746e-01*((-((0.5*x_s_VSI_BP)))+((1.6666666666666667e-01*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))+(Gf_VSI_BP*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VGP_SI+0.5*x_s_VGP_SI_VSI_BP))+(+0.0*(x_s*x_s)+0.0*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))+0.0*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))+1.6666666666666667e-01*(+x_s_VGP_SI_VSI_BP*x_s+x_s_VGP_SI*x_s_VSI_BP+x_s_VSI_BP*x_s_VGP_SI+x_s*x_s_VGP_SI_VSI_BP))))/temp-(((Gf_VGP_SI*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VGP_SI))+(1.6666666666666667e-01*((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))*temp_VSI_BP+((((Gf_VSI_BP*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VSI_BP)))+((1.6666666666666667e-01*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))))))))*temp_VGP_SI+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI_VSI_BP)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VGP_SI*temp_VSI_BP/temp/temp/temp));
#endif
alpha_VSI_BP=((((Gf_VSI_BP*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))*temp-((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP)/temp/temp);
#if defined(_DERIVATE2)
  alpha_VSI_BP_VDI_SI=(+0.0+((+(+Gf_VSI_BP_VDI_SI*7.0710678118654746e-01+Gf_VSI_BP*0.0+Gf_VDI_SI*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VSI_BP*7.0710678118654746e-01*((-((0.5*x_s_VDI_SI)))+((1.6666666666666667e-01*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI))))))+(Gf_VDI_SI*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VDI_SI+0.0*x_s_VSI_BP+0.5*x_s_VSI_BP_VDI_SI))+(+0.0*(x_s*x_s)+0.0*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))+0.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))+1.6666666666666667e-01*(+x_s_VSI_BP_VDI_SI*x_s+x_s_VSI_BP*x_s_VDI_SI+x_s_VDI_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VDI_SI))))/temp-(((Gf_VSI_BP*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))*temp_VDI_SI+((((Gf_VDI_SI*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VDI_SI)))+((1.6666666666666667e-01*(((x_s_VDI_SI*x_s)+(x_s*x_s_VDI_SI)))))))))*temp_VSI_BP+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP_VDI_SI)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP*temp_VDI_SI/temp/temp/temp));
  alpha_VSI_BP_VGP_SI=(+0.0+((+(+Gf_VSI_BP_VGP_SI*7.0710678118654746e-01+Gf_VSI_BP*0.0+Gf_VGP_SI*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VSI_BP*7.0710678118654746e-01*((-((0.5*x_s_VGP_SI)))+((1.6666666666666667e-01*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI))))))+(Gf_VGP_SI*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VGP_SI+0.0*x_s_VSI_BP+0.5*x_s_VSI_BP_VGP_SI))+(+0.0*(x_s*x_s)+0.0*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))+0.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))+1.6666666666666667e-01*(+x_s_VSI_BP_VGP_SI*x_s+x_s_VSI_BP*x_s_VGP_SI+x_s_VGP_SI*x_s_VSI_BP+x_s*x_s_VSI_BP_VGP_SI))))/temp-(((Gf_VSI_BP*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))*temp_VGP_SI+((((Gf_VGP_SI*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VGP_SI)))+((1.6666666666666667e-01*(((x_s_VGP_SI*x_s)+(x_s*x_s_VGP_SI)))))))))*temp_VSI_BP+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP_VGP_SI)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP*temp_VGP_SI/temp/temp/temp));
  alpha_VSI_BP_VSI_BP=(+0.0+((+(+Gf_VSI_BP_VSI_BP*7.0710678118654746e-01+Gf_VSI_BP*0.0+Gf_VSI_BP*0.0+Gf*0.0)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s)))+Gf_VSI_BP*7.0710678118654746e-01*((-((0.5*x_s_VSI_BP)))+((1.6666666666666667e-01*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))+(Gf_VSI_BP*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))+(Gf*7.0710678118654746e-01)*(+(+0.0-(+0.0*x_s+0.0*x_s_VSI_BP+0.0*x_s_VSI_BP+0.5*x_s_VSI_BP_VSI_BP))+(+0.0*(x_s*x_s)+0.0*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))+0.0*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))+1.6666666666666667e-01*(+x_s_VSI_BP_VSI_BP*x_s+x_s_VSI_BP*x_s_VSI_BP+x_s_VSI_BP*x_s_VSI_BP+x_s*x_s_VSI_BP_VSI_BP))))/temp-(((Gf_VSI_BP*7.0710678118654746e-01*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-(0.5*x_s_VSI_BP))+(1.6666666666666667e-01*((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP))))))*temp_VSI_BP+((((Gf_VSI_BP*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))+((Gf*7.0710678118654746e-01)*((-((0.5*x_s_VSI_BP)))+((1.6666666666666667e-01*(((x_s_VSI_BP*x_s)+(x_s*x_s_VSI_BP)))))))))*temp_VSI_BP+((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP_VSI_BP)/temp/temp+2*((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))*temp_VSI_BP*temp_VSI_BP/temp/temp/temp));
#endif
#endif
alpha=(1.0+(((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))/temp));
EXIT_IF_ISNAN((1.0+(((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))/temp)))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ps_VDI_SI=(x_s_VDI_SI+Es_VDI_SI);
#if defined(_DERIVATE2)
  Ps_VDI_SI_VDI_SI=(+(+x_s_VDI_SI_VDI_SI-0.0)+Es_VDI_SI_VDI_SI);
  Ps_VDI_SI_VGP_SI=(+(+x_s_VDI_SI_VGP_SI-0.0)+Es_VDI_SI_VGP_SI);
  Ps_VDI_SI_VSI_BP=(+(+x_s_VDI_SI_VSI_BP-0.0)+Es_VDI_SI_VSI_BP);
#endif
Ps_VGP_SI=(x_s_VGP_SI+Es_VGP_SI);
#if defined(_DERIVATE2)
  Ps_VGP_SI_VDI_SI=(+(+x_s_VGP_SI_VDI_SI-0.0)+Es_VGP_SI_VDI_SI);
  Ps_VGP_SI_VGP_SI=(+(+x_s_VGP_SI_VGP_SI-0.0)+Es_VGP_SI_VGP_SI);
  Ps_VGP_SI_VSI_BP=(+(+x_s_VGP_SI_VSI_BP-0.0)+Es_VGP_SI_VSI_BP);
#endif
Ps_VSI_BP=(x_s_VSI_BP+Es_VSI_BP);
#if defined(_DERIVATE2)
  Ps_VSI_BP_VDI_SI=(+(+x_s_VSI_BP_VDI_SI-0.0)+Es_VSI_BP_VDI_SI);
  Ps_VSI_BP_VGP_SI=(+(+x_s_VSI_BP_VGP_SI-0.0)+Es_VSI_BP_VGP_SI);
  Ps_VSI_BP_VSI_BP=(+(+x_s_VSI_BP_VSI_BP-0.0)+Es_VSI_BP_VSI_BP);
#endif
#endif
Ps=((x_s-1.0)+Es);
EXIT_IF_ISNAN(((x_s-1.0)+Es))
{
double m00_sqrt(d00_sqrt0,Ps)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,Ps)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
sqm_VDI_SI=Ps_VDI_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  sqm_VDI_SI_VDI_SI=(m20_sqrt(Ps)*Ps_VDI_SI*Ps_VDI_SI+d10_sqrt0*Ps_VDI_SI_VDI_SI);
  sqm_VDI_SI_VGP_SI=(m20_sqrt(Ps)*Ps_VGP_SI*Ps_VDI_SI+d10_sqrt0*Ps_VDI_SI_VGP_SI);
  sqm_VDI_SI_VSI_BP=(m20_sqrt(Ps)*Ps_VSI_BP*Ps_VDI_SI+d10_sqrt0*Ps_VDI_SI_VSI_BP);
#endif
sqm_VGP_SI=Ps_VGP_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  sqm_VGP_SI_VDI_SI=(m20_sqrt(Ps)*Ps_VDI_SI*Ps_VGP_SI+d10_sqrt0*Ps_VGP_SI_VDI_SI);
  sqm_VGP_SI_VGP_SI=(m20_sqrt(Ps)*Ps_VGP_SI*Ps_VGP_SI+d10_sqrt0*Ps_VGP_SI_VGP_SI);
  sqm_VGP_SI_VSI_BP=(m20_sqrt(Ps)*Ps_VSI_BP*Ps_VGP_SI+d10_sqrt0*Ps_VGP_SI_VSI_BP);
#endif
sqm_VSI_BP=Ps_VSI_BP*d10_sqrt0;
#if defined(_DERIVATE2)
  sqm_VSI_BP_VDI_SI=(m20_sqrt(Ps)*Ps_VDI_SI*Ps_VSI_BP+d10_sqrt0*Ps_VSI_BP_VDI_SI);
  sqm_VSI_BP_VGP_SI=(m20_sqrt(Ps)*Ps_VGP_SI*Ps_VSI_BP+d10_sqrt0*Ps_VSI_BP_VGP_SI);
  sqm_VSI_BP_VSI_BP=(m20_sqrt(Ps)*Ps_VSI_BP*Ps_VSI_BP+d10_sqrt0*Ps_VSI_BP_VSI_BP);
#endif
#endif
sqm=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
alpha_VDI_SI=(0.5*((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm));
#if defined(_DERIVATE2)
  alpha_VDI_SI_VDI_SI=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI))))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm)+0.0*((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm)+0.5*((+Gf_VDI_SI_VDI_SI*(1.0-Es)+Gf_VDI_SI*(-Es_VDI_SI)+Gf_VDI_SI*(-Es_VDI_SI)+Gf*(+0.0-Es_VDI_SI_VDI_SI))/sqm-(((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm_VDI_SI+(((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI))))*sqm_VDI_SI+(Gf*(1.0-Es))*sqm_VDI_SI_VDI_SI)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VDI_SI*sqm_VDI_SI/sqm/sqm/sqm)));
  alpha_VDI_SI_VGP_SI=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI))))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm)+0.0*((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm)+0.5*((+Gf_VDI_SI_VGP_SI*(1.0-Es)+Gf_VDI_SI*(-Es_VGP_SI)+Gf_VGP_SI*(-Es_VDI_SI)+Gf*(+0.0-Es_VDI_SI_VGP_SI))/sqm-(((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm_VGP_SI+(((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI))))*sqm_VDI_SI+(Gf*(1.0-Es))*sqm_VDI_SI_VGP_SI)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VDI_SI*sqm_VGP_SI/sqm/sqm/sqm)));
  alpha_VDI_SI_VSI_BP=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP))))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm)+0.0*((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm)+0.5*((+Gf_VDI_SI_VSI_BP*(1.0-Es)+Gf_VDI_SI*(-Es_VSI_BP)+Gf_VSI_BP*(-Es_VDI_SI)+Gf*(+0.0-Es_VDI_SI_VSI_BP))/sqm-(((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI)))*sqm_VSI_BP+(((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP))))*sqm_VDI_SI+(Gf*(1.0-Es))*sqm_VDI_SI_VSI_BP)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VDI_SI*sqm_VSI_BP/sqm/sqm/sqm)));
#endif
alpha_VGP_SI=(0.5*((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm));
#if defined(_DERIVATE2)
  alpha_VGP_SI_VDI_SI=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI))))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm)+0.0*((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm)+0.5*((+Gf_VGP_SI_VDI_SI*(1.0-Es)+Gf_VGP_SI*(-Es_VDI_SI)+Gf_VDI_SI*(-Es_VGP_SI)+Gf*(+0.0-Es_VGP_SI_VDI_SI))/sqm-(((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm_VDI_SI+(((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI))))*sqm_VGP_SI+(Gf*(1.0-Es))*sqm_VGP_SI_VDI_SI)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VGP_SI*sqm_VDI_SI/sqm/sqm/sqm)));
  alpha_VGP_SI_VGP_SI=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI))))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm)+0.0*((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm)+0.5*((+Gf_VGP_SI_VGP_SI*(1.0-Es)+Gf_VGP_SI*(-Es_VGP_SI)+Gf_VGP_SI*(-Es_VGP_SI)+Gf*(+0.0-Es_VGP_SI_VGP_SI))/sqm-(((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm_VGP_SI+(((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI))))*sqm_VGP_SI+(Gf*(1.0-Es))*sqm_VGP_SI_VGP_SI)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VGP_SI*sqm_VGP_SI/sqm/sqm/sqm)));
  alpha_VGP_SI_VSI_BP=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP))))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm)+0.0*((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm)+0.5*((+Gf_VGP_SI_VSI_BP*(1.0-Es)+Gf_VGP_SI*(-Es_VSI_BP)+Gf_VSI_BP*(-Es_VGP_SI)+Gf*(+0.0-Es_VGP_SI_VSI_BP))/sqm-(((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI)))*sqm_VSI_BP+(((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP))))*sqm_VGP_SI+(Gf*(1.0-Es))*sqm_VGP_SI_VSI_BP)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VGP_SI*sqm_VSI_BP/sqm/sqm/sqm)));
#endif
alpha_VSI_BP=(0.5*((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm));
#if defined(_DERIVATE2)
  alpha_VSI_BP_VDI_SI=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI))))*sqm-(Gf*(1.0-Es))*sqm_VDI_SI)/sqm/sqm)+0.0*((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm)+0.5*((+Gf_VSI_BP_VDI_SI*(1.0-Es)+Gf_VSI_BP*(-Es_VDI_SI)+Gf_VDI_SI*(-Es_VSI_BP)+Gf*(+0.0-Es_VSI_BP_VDI_SI))/sqm-(((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm_VDI_SI+(((Gf_VDI_SI*(1.0-Es))+(Gf*(-Es_VDI_SI))))*sqm_VSI_BP+(Gf*(1.0-Es))*sqm_VSI_BP_VDI_SI)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VSI_BP*sqm_VDI_SI/sqm/sqm/sqm)));
  alpha_VSI_BP_VGP_SI=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI))))*sqm-(Gf*(1.0-Es))*sqm_VGP_SI)/sqm/sqm)+0.0*((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm)+0.5*((+Gf_VSI_BP_VGP_SI*(1.0-Es)+Gf_VSI_BP*(-Es_VGP_SI)+Gf_VGP_SI*(-Es_VSI_BP)+Gf*(+0.0-Es_VSI_BP_VGP_SI))/sqm-(((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm_VGP_SI+(((Gf_VGP_SI*(1.0-Es))+(Gf*(-Es_VGP_SI))))*sqm_VSI_BP+(Gf*(1.0-Es))*sqm_VSI_BP_VGP_SI)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VSI_BP*sqm_VGP_SI/sqm/sqm/sqm)));
  alpha_VSI_BP_VSI_BP=(+0.0+(+0.0*((Gf*(1.0-Es))/sqm)+0.0*(((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP))))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm)+0.0*((((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm-(Gf*(1.0-Es))*sqm_VSI_BP)/sqm/sqm)+0.5*((+Gf_VSI_BP_VSI_BP*(1.0-Es)+Gf_VSI_BP*(-Es_VSI_BP)+Gf_VSI_BP*(-Es_VSI_BP)+Gf*(+0.0-Es_VSI_BP_VSI_BP))/sqm-(((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP)))*sqm_VSI_BP+(((Gf_VSI_BP*(1.0-Es))+(Gf*(-Es_VSI_BP))))*sqm_VSI_BP+(Gf*(1.0-Es))*sqm_VSI_BP_VSI_BP)/sqm/sqm+2*(Gf*(1.0-Es))*sqm_VSI_BP*sqm_VSI_BP/sqm/sqm/sqm)));
#endif
#endif
alpha=(1.0+(0.5*((Gf*(1.0-Es))/sqm)));
EXIT_IF_ISNAN((1.0+(0.5*((Gf*(1.0-Es))/sqm))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Em_VDI_SI=Es_VDI_SI;
#if defined(_DERIVATE2)
  Em_VDI_SI_VDI_SI=Es_VDI_SI_VDI_SI;
  Em_VDI_SI_VGP_SI=Es_VDI_SI_VGP_SI;
  Em_VDI_SI_VSI_BP=Es_VDI_SI_VSI_BP;
#endif
Em_VGP_SI=Es_VGP_SI;
#if defined(_DERIVATE2)
  Em_VGP_SI_VDI_SI=Es_VGP_SI_VDI_SI;
  Em_VGP_SI_VGP_SI=Es_VGP_SI_VGP_SI;
  Em_VGP_SI_VSI_BP=Es_VGP_SI_VSI_BP;
#endif
Em_VSI_BP=Es_VSI_BP;
#if defined(_DERIVATE2)
  Em_VSI_BP_VDI_SI=Es_VSI_BP_VDI_SI;
  Em_VSI_BP_VGP_SI=Es_VSI_BP_VGP_SI;
  Em_VSI_BP_VSI_BP=Es_VSI_BP_VSI_BP;
#endif
#endif
Em=Es;
EXIT_IF_ISNAN(Es)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ed_VDI_SI=Em_VDI_SI;
#if defined(_DERIVATE2)
  Ed_VDI_SI_VDI_SI=Em_VDI_SI_VDI_SI;
  Ed_VDI_SI_VGP_SI=Em_VDI_SI_VGP_SI;
  Ed_VDI_SI_VSI_BP=Em_VDI_SI_VSI_BP;
#endif
Ed_VGP_SI=Em_VGP_SI;
#if defined(_DERIVATE2)
  Ed_VGP_SI_VDI_SI=Em_VGP_SI_VDI_SI;
  Ed_VGP_SI_VGP_SI=Em_VGP_SI_VGP_SI;
  Ed_VGP_SI_VSI_BP=Em_VGP_SI_VSI_BP;
#endif
Ed_VSI_BP=Em_VSI_BP;
#if defined(_DERIVATE2)
  Ed_VSI_BP_VDI_SI=Em_VSI_BP_VDI_SI;
  Ed_VSI_BP_VGP_SI=Em_VSI_BP_VGP_SI;
  Ed_VSI_BP_VSI_BP=Em_VSI_BP_VSI_BP;
#endif
#endif
Ed=Em;
EXIT_IF_ISNAN(Em)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dm_VDI_SI=Ds_VDI_SI;
#if defined(_DERIVATE2)
  Dm_VDI_SI_VDI_SI=Ds_VDI_SI_VDI_SI;
  Dm_VDI_SI_VGP_SI=Ds_VDI_SI_VGP_SI;
  Dm_VDI_SI_VSI_BP=Ds_VDI_SI_VSI_BP;
#endif
Dm_VGP_SI=Ds_VGP_SI;
#if defined(_DERIVATE2)
  Dm_VGP_SI_VDI_SI=Ds_VGP_SI_VDI_SI;
  Dm_VGP_SI_VGP_SI=Ds_VGP_SI_VGP_SI;
  Dm_VGP_SI_VSI_BP=Ds_VGP_SI_VSI_BP;
#endif
Dm_VSI_BP=Ds_VSI_BP;
#if defined(_DERIVATE2)
  Dm_VSI_BP_VDI_SI=Ds_VSI_BP_VDI_SI;
  Dm_VSI_BP_VGP_SI=Ds_VSI_BP_VGP_SI;
  Dm_VSI_BP_VSI_BP=Ds_VSI_BP_VSI_BP;
#endif
#endif
Dm=Ds;
EXIT_IF_ISNAN(Ds)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dd_VDI_SI=Dm_VDI_SI;
#if defined(_DERIVATE2)
  Dd_VDI_SI_VDI_SI=Dm_VDI_SI_VDI_SI;
  Dd_VDI_SI_VGP_SI=Dm_VDI_SI_VGP_SI;
  Dd_VDI_SI_VSI_BP=Dm_VDI_SI_VSI_BP;
#endif
Dd_VGP_SI=Dm_VGP_SI;
#if defined(_DERIVATE2)
  Dd_VGP_SI_VDI_SI=Dm_VGP_SI_VDI_SI;
  Dd_VGP_SI_VGP_SI=Dm_VGP_SI_VGP_SI;
  Dd_VGP_SI_VSI_BP=Dm_VGP_SI_VSI_BP;
#endif
Dd_VSI_BP=Dm_VSI_BP;
#if defined(_DERIVATE2)
  Dd_VSI_BP_VDI_SI=Dm_VSI_BP_VDI_SI;
  Dd_VSI_BP_VGP_SI=Dm_VSI_BP_VGP_SI;
  Dd_VSI_BP_VSI_BP=Dm_VSI_BP_VSI_BP;
#endif
#endif
Dd=Dm;
EXIT_IF_ISNAN(Dm)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Rxcor_VGP_SI=((((0.2*pInst->XCOR_T)*Vsbx_VGP_SI)*(1.0+(pInst->XCOR_T*Vsbx))-(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VGP_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
#if defined(_DERIVATE2)
  Rxcor_VGP_SI_VGP_SI=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VGP_SI+(0.0)*Vsbx_VGP_SI+(0.2*pInst->XCOR_T)*Vsbx_VGP_SI_VGP_SI))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VGP_SI)*((pInst->XCOR_T*Vsbx_VGP_SI))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VGP_SI)))*(pInst->XCOR_T*Vsbx_VGP_SI)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VGP_SI+pInst->XCOR_T*Vsbx_VGP_SI_VGP_SI)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VGP_SI)*((pInst->XCOR_T*Vsbx_VGP_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
  Rxcor_VGP_SI_VDI_SI=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VDI_SI+(0.0)*Vsbx_VGP_SI+(0.2*pInst->XCOR_T)*Vsbx_VGP_SI_VDI_SI))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VGP_SI)*((pInst->XCOR_T*Vsbx_VDI_SI))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)))*(pInst->XCOR_T*Vsbx_VGP_SI)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VGP_SI+pInst->XCOR_T*Vsbx_VGP_SI_VDI_SI)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VGP_SI)*((pInst->XCOR_T*Vsbx_VDI_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
  Rxcor_VGP_SI_VSI_BP=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VSI_BP+(0.0)*Vsbx_VGP_SI+(0.2*pInst->XCOR_T)*Vsbx_VGP_SI_VSI_BP))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VGP_SI)*((pInst->XCOR_T*Vsbx_VSI_BP))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)))*(pInst->XCOR_T*Vsbx_VGP_SI)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VGP_SI+pInst->XCOR_T*Vsbx_VGP_SI_VSI_BP)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VGP_SI)*((pInst->XCOR_T*Vsbx_VSI_BP))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
#endif
Rxcor_VDI_SI=((((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)*(1.0+(pInst->XCOR_T*Vsbx))-(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VDI_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
#if defined(_DERIVATE2)
  Rxcor_VDI_SI_VGP_SI=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VGP_SI+(0.0)*Vsbx_VDI_SI+(0.2*pInst->XCOR_T)*Vsbx_VDI_SI_VGP_SI))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)*((pInst->XCOR_T*Vsbx_VGP_SI))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VGP_SI)))*(pInst->XCOR_T*Vsbx_VDI_SI)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->XCOR_T*Vsbx_VDI_SI_VGP_SI)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VDI_SI)*((pInst->XCOR_T*Vsbx_VGP_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
  Rxcor_VDI_SI_VDI_SI=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VDI_SI+(0.0)*Vsbx_VDI_SI+(0.2*pInst->XCOR_T)*Vsbx_VDI_SI_VDI_SI))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)*((pInst->XCOR_T*Vsbx_VDI_SI))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)))*(pInst->XCOR_T*Vsbx_VDI_SI)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->XCOR_T*Vsbx_VDI_SI_VDI_SI)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VDI_SI)*((pInst->XCOR_T*Vsbx_VDI_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
  Rxcor_VDI_SI_VSI_BP=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VSI_BP+(0.0)*Vsbx_VDI_SI+(0.2*pInst->XCOR_T)*Vsbx_VDI_SI_VSI_BP))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)*((pInst->XCOR_T*Vsbx_VSI_BP))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)))*(pInst->XCOR_T*Vsbx_VDI_SI)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->XCOR_T*Vsbx_VDI_SI_VSI_BP)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VDI_SI)*((pInst->XCOR_T*Vsbx_VSI_BP))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
#endif
Rxcor_VSI_BP=((((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)*(1.0+(pInst->XCOR_T*Vsbx))-(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VSI_BP))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
#if defined(_DERIVATE2)
  Rxcor_VSI_BP_VGP_SI=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VGP_SI+(0.0)*Vsbx_VSI_BP+(0.2*pInst->XCOR_T)*Vsbx_VSI_BP_VGP_SI))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)*((pInst->XCOR_T*Vsbx_VGP_SI))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VGP_SI)))*(pInst->XCOR_T*Vsbx_VSI_BP)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->XCOR_T*Vsbx_VSI_BP_VGP_SI)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VSI_BP)*((pInst->XCOR_T*Vsbx_VGP_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
  Rxcor_VSI_BP_VDI_SI=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VDI_SI+(0.0)*Vsbx_VSI_BP+(0.2*pInst->XCOR_T)*Vsbx_VSI_BP_VDI_SI))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)*((pInst->XCOR_T*Vsbx_VDI_SI))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VDI_SI)))*(pInst->XCOR_T*Vsbx_VSI_BP)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->XCOR_T*Vsbx_VSI_BP_VDI_SI)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VSI_BP)*((pInst->XCOR_T*Vsbx_VDI_SI))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
  Rxcor_VSI_BP_VSI_BP=((+0.0+(+(+0.0*pInst->XCOR_T+0.0*0.0+0.0*0.0+0.2*0.0)*Vsbx+0.0*Vsbx_VSI_BP+(0.0)*Vsbx_VSI_BP+(0.2*pInst->XCOR_T)*Vsbx_VSI_BP_VSI_BP))/(1.0+(pInst->XCOR_T*Vsbx))-(((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)*((pInst->XCOR_T*Vsbx_VSI_BP))+((((0.0)*Vsbx)+((0.2*pInst->XCOR_T)*Vsbx_VSI_BP)))*(pInst->XCOR_T*Vsbx_VSI_BP)+(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->XCOR_T*Vsbx_VSI_BP_VSI_BP)))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))+2*(1.0+((0.2*pInst->XCOR_T)*Vsbx))*(pInst->XCOR_T*Vsbx_VSI_BP)*((pInst->XCOR_T*Vsbx_VSI_BP))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
#endif
#endif
Rxcor=((1.0+((0.2*pInst->XCOR_T)*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx)));
EXIT_IF_ISNAN(((1.0+((0.2*pInst->XCOR_T)*Vsbx))/(1.0+(pInst->XCOR_T*Vsbx))))
if
((Ds>1.0e-100))
{
{
double m00_sqrt(d00_sqrt0,(Ps+Ds))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(Ps+Ds))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgs_VDI_SI=((Gf_VDI_SI*d00_sqrt0)+(Gf*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgs_VDI_SI_VDI_SI=(+Gf_VDI_SI_VDI_SI*d00_sqrt0+Gf_VDI_SI*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VDI_SI+Ds_VDI_SI)*(Ps_VDI_SI+Ds_VDI_SI)+d10_sqrt0*(+Ps_VDI_SI_VDI_SI+Ds_VDI_SI_VDI_SI)));
  xgs_VDI_SI_VGP_SI=(+Gf_VDI_SI_VGP_SI*d00_sqrt0+Gf_VDI_SI*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VGP_SI+Ds_VGP_SI)*(Ps_VDI_SI+Ds_VDI_SI)+d10_sqrt0*(+Ps_VDI_SI_VGP_SI+Ds_VDI_SI_VGP_SI)));
  xgs_VDI_SI_VSI_BP=(+Gf_VDI_SI_VSI_BP*d00_sqrt0+Gf_VDI_SI*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VSI_BP+Ds_VSI_BP)*(Ps_VDI_SI+Ds_VDI_SI)+d10_sqrt0*(+Ps_VDI_SI_VSI_BP+Ds_VDI_SI_VSI_BP)));
#endif
xgs_VGP_SI=((Gf_VGP_SI*d00_sqrt0)+(Gf*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgs_VGP_SI_VDI_SI=(+Gf_VGP_SI_VDI_SI*d00_sqrt0+Gf_VGP_SI*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VDI_SI+Ds_VDI_SI)*(Ps_VGP_SI+Ds_VGP_SI)+d10_sqrt0*(+Ps_VGP_SI_VDI_SI+Ds_VGP_SI_VDI_SI)));
  xgs_VGP_SI_VGP_SI=(+Gf_VGP_SI_VGP_SI*d00_sqrt0+Gf_VGP_SI*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VGP_SI+Ds_VGP_SI)*(Ps_VGP_SI+Ds_VGP_SI)+d10_sqrt0*(+Ps_VGP_SI_VGP_SI+Ds_VGP_SI_VGP_SI)));
  xgs_VGP_SI_VSI_BP=(+Gf_VGP_SI_VSI_BP*d00_sqrt0+Gf_VGP_SI*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VSI_BP+Ds_VSI_BP)*(Ps_VGP_SI+Ds_VGP_SI)+d10_sqrt0*(+Ps_VGP_SI_VSI_BP+Ds_VGP_SI_VSI_BP)));
#endif
xgs_VSI_BP=((Gf_VSI_BP*d00_sqrt0)+(Gf*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgs_VSI_BP_VDI_SI=(+Gf_VSI_BP_VDI_SI*d00_sqrt0+Gf_VSI_BP*(Ps_VDI_SI+Ds_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VDI_SI+Ds_VDI_SI)*(Ps_VSI_BP+Ds_VSI_BP)+d10_sqrt0*(+Ps_VSI_BP_VDI_SI+Ds_VSI_BP_VDI_SI)));
  xgs_VSI_BP_VGP_SI=(+Gf_VSI_BP_VGP_SI*d00_sqrt0+Gf_VSI_BP*(Ps_VGP_SI+Ds_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VGP_SI+Ds_VGP_SI)*(Ps_VSI_BP+Ds_VSI_BP)+d10_sqrt0*(+Ps_VSI_BP_VGP_SI+Ds_VSI_BP_VGP_SI)));
  xgs_VSI_BP_VSI_BP=(+Gf_VSI_BP_VSI_BP*d00_sqrt0+Gf_VSI_BP*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Ps_VSI_BP+Ds_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Ps+Ds))*(Ps_VSI_BP+Ds_VSI_BP)*(Ps_VSI_BP+Ds_VSI_BP)+d10_sqrt0*(+Ps_VSI_BP_VSI_BP+Ds_VSI_BP_VSI_BP)));
#endif
#endif
xgs=(Gf*d00_sqrt0);
EXIT_IF_ISNAN((Gf*d00_sqrt0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
qis_VDI_SI=((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(xgs+(Gf*sqm))-((Gf2*Ds)*pInst->phit1)*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
#if defined(_DERIVATE2)
  qis_VDI_SI_VDI_SI=((+(+Gf2_VDI_SI_VDI_SI*Ds+Gf2_VDI_SI*Ds_VDI_SI+Gf2_VDI_SI*Ds_VDI_SI+Gf2*Ds_VDI_SI_VDI_SI)*pInst->phit1+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*phit1_VDI_SI+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*phit1_VDI_SI+(Gf2*Ds)*phit1_VDI_SI_VDI_SI)/(xgs+(Gf*sqm))-(((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(xgs_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))+((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VDI_SI_VDI_SI+(+Gf_VDI_SI_VDI_SI*sqm+Gf_VDI_SI*sqm_VDI_SI+Gf_VDI_SI*sqm_VDI_SI+Gf*sqm_VDI_SI_VDI_SI)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))*(xgs_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
  qis_VDI_SI_VGP_SI=((+(+Gf2_VDI_SI_VGP_SI*Ds+Gf2_VDI_SI*Ds_VGP_SI+Gf2_VGP_SI*Ds_VDI_SI+Gf2*Ds_VDI_SI_VGP_SI)*pInst->phit1+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*phit1_VGP_SI+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*phit1_VDI_SI+(Gf2*Ds)*phit1_VDI_SI_VGP_SI)/(xgs+(Gf*sqm))-(((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(xgs_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))+((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VDI_SI_VGP_SI+(+Gf_VDI_SI_VGP_SI*sqm+Gf_VDI_SI*sqm_VGP_SI+Gf_VGP_SI*sqm_VDI_SI+Gf*sqm_VDI_SI_VGP_SI)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))*(xgs_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
  qis_VDI_SI_VSI_BP=((+(+Gf2_VDI_SI_VSI_BP*Ds+Gf2_VDI_SI*Ds_VSI_BP+Gf2_VSI_BP*Ds_VDI_SI+Gf2*Ds_VDI_SI_VSI_BP)*pInst->phit1+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*phit1_VSI_BP+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*phit1_VDI_SI+(Gf2*Ds)*phit1_VDI_SI_VSI_BP)/(xgs+(Gf*sqm))-(((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(xgs_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))+((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VDI_SI_VSI_BP+(+Gf_VDI_SI_VSI_BP*sqm+Gf_VDI_SI*sqm_VSI_BP+Gf_VSI_BP*sqm_VDI_SI+Gf*sqm_VDI_SI_VSI_BP)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))*(xgs_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
#endif
qis_VGP_SI=((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(xgs+(Gf*sqm))-((Gf2*Ds)*pInst->phit1)*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
#if defined(_DERIVATE2)
  qis_VGP_SI_VDI_SI=((+(+Gf2_VGP_SI_VDI_SI*Ds+Gf2_VGP_SI*Ds_VDI_SI+Gf2_VDI_SI*Ds_VGP_SI+Gf2*Ds_VGP_SI_VDI_SI)*pInst->phit1+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*phit1_VDI_SI+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*phit1_VGP_SI+(Gf2*Ds)*phit1_VGP_SI_VDI_SI)/(xgs+(Gf*sqm))-(((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(xgs_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))+((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VGP_SI_VDI_SI+(+Gf_VGP_SI_VDI_SI*sqm+Gf_VGP_SI*sqm_VDI_SI+Gf_VDI_SI*sqm_VGP_SI+Gf*sqm_VGP_SI_VDI_SI)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))*(xgs_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
  qis_VGP_SI_VGP_SI=((+(+Gf2_VGP_SI_VGP_SI*Ds+Gf2_VGP_SI*Ds_VGP_SI+Gf2_VGP_SI*Ds_VGP_SI+Gf2*Ds_VGP_SI_VGP_SI)*pInst->phit1+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*phit1_VGP_SI+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*phit1_VGP_SI+(Gf2*Ds)*phit1_VGP_SI_VGP_SI)/(xgs+(Gf*sqm))-(((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(xgs_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))+((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VGP_SI_VGP_SI+(+Gf_VGP_SI_VGP_SI*sqm+Gf_VGP_SI*sqm_VGP_SI+Gf_VGP_SI*sqm_VGP_SI+Gf*sqm_VGP_SI_VGP_SI)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))*(xgs_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
  qis_VGP_SI_VSI_BP=((+(+Gf2_VGP_SI_VSI_BP*Ds+Gf2_VGP_SI*Ds_VSI_BP+Gf2_VSI_BP*Ds_VGP_SI+Gf2*Ds_VGP_SI_VSI_BP)*pInst->phit1+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*phit1_VSI_BP+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*phit1_VGP_SI+(Gf2*Ds)*phit1_VGP_SI_VSI_BP)/(xgs+(Gf*sqm))-(((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(xgs_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))+((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VGP_SI_VSI_BP+(+Gf_VGP_SI_VSI_BP*sqm+Gf_VGP_SI*sqm_VSI_BP+Gf_VSI_BP*sqm_VGP_SI+Gf*sqm_VGP_SI_VSI_BP)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))*(xgs_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
#endif
qis_VSI_BP=((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(xgs+(Gf*sqm))-((Gf2*Ds)*pInst->phit1)*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
#if defined(_DERIVATE2)
  qis_VSI_BP_VDI_SI=((+(+Gf2_VSI_BP_VDI_SI*Ds+Gf2_VSI_BP*Ds_VDI_SI+Gf2_VDI_SI*Ds_VSI_BP+Gf2*Ds_VSI_BP_VDI_SI)*pInst->phit1+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*phit1_VDI_SI+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*phit1_VSI_BP+(Gf2*Ds)*phit1_VSI_BP_VDI_SI)/(xgs+(Gf*sqm))-(((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(xgs_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))+((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VSI_BP_VDI_SI+(+Gf_VSI_BP_VDI_SI*sqm+Gf_VSI_BP*sqm_VDI_SI+Gf_VDI_SI*sqm_VSI_BP+Gf*sqm_VSI_BP_VDI_SI)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))*(xgs_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
  qis_VSI_BP_VGP_SI=((+(+Gf2_VSI_BP_VGP_SI*Ds+Gf2_VSI_BP*Ds_VGP_SI+Gf2_VGP_SI*Ds_VSI_BP+Gf2*Ds_VSI_BP_VGP_SI)*pInst->phit1+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*phit1_VGP_SI+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*phit1_VSI_BP+(Gf2*Ds)*phit1_VSI_BP_VGP_SI)/(xgs+(Gf*sqm))-(((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(xgs_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))+((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VSI_BP_VGP_SI+(+Gf_VSI_BP_VGP_SI*sqm+Gf_VSI_BP*sqm_VGP_SI+Gf_VGP_SI*sqm_VSI_BP+Gf*sqm_VSI_BP_VGP_SI)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))*(xgs_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
  qis_VSI_BP_VSI_BP=((+(+Gf2_VSI_BP_VSI_BP*Ds+Gf2_VSI_BP*Ds_VSI_BP+Gf2_VSI_BP*Ds_VSI_BP+Gf2*Ds_VSI_BP_VSI_BP)*pInst->phit1+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*phit1_VSI_BP+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*phit1_VSI_BP+(Gf2*Ds)*phit1_VSI_BP_VSI_BP)/(xgs+(Gf*sqm))-(((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(xgs_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))+((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))+((Gf2*Ds)*pInst->phit1)*(+xgs_VSI_BP_VSI_BP+(+Gf_VSI_BP_VSI_BP*sqm+Gf_VSI_BP*sqm_VSI_BP+Gf_VSI_BP*sqm_VSI_BP+Gf*sqm_VSI_BP_VSI_BP)))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))+2*((Gf2*Ds)*pInst->phit1)*(xgs_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))*(xgs_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm))/(xgs+(Gf*sqm)));
#endif
#endif
qis=(((Gf2*Ds)*pInst->phit1)/(xgs+(Gf*sqm)));
EXIT_IF_ISNAN((((Gf2*Ds)*pInst->phit1)/(xgs+(Gf*sqm))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qbs_VDI_SI=((((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*pInst->phit1)+((sqm*Gf)*phit1_VDI_SI));
#if defined(_DERIVATE2)
  qbs_VDI_SI_VDI_SI=(+(+sqm_VDI_SI_VDI_SI*Gf+sqm_VDI_SI*Gf_VDI_SI+sqm_VDI_SI*Gf_VDI_SI+sqm*Gf_VDI_SI_VDI_SI)*pInst->phit1+((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*phit1_VDI_SI+(((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI)))*phit1_VDI_SI+(sqm*Gf)*phit1_VDI_SI_VDI_SI);
  qbs_VDI_SI_VGP_SI=(+(+sqm_VDI_SI_VGP_SI*Gf+sqm_VDI_SI*Gf_VGP_SI+sqm_VGP_SI*Gf_VDI_SI+sqm*Gf_VDI_SI_VGP_SI)*pInst->phit1+((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*phit1_VGP_SI+(((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI)))*phit1_VDI_SI+(sqm*Gf)*phit1_VDI_SI_VGP_SI);
  qbs_VDI_SI_VSI_BP=(+(+sqm_VDI_SI_VSI_BP*Gf+sqm_VDI_SI*Gf_VSI_BP+sqm_VSI_BP*Gf_VDI_SI+sqm*Gf_VDI_SI_VSI_BP)*pInst->phit1+((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*phit1_VSI_BP+(((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP)))*phit1_VDI_SI+(sqm*Gf)*phit1_VDI_SI_VSI_BP);
#endif
qbs_VGP_SI=((((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*pInst->phit1)+((sqm*Gf)*phit1_VGP_SI));
#if defined(_DERIVATE2)
  qbs_VGP_SI_VDI_SI=(+(+sqm_VGP_SI_VDI_SI*Gf+sqm_VGP_SI*Gf_VDI_SI+sqm_VDI_SI*Gf_VGP_SI+sqm*Gf_VGP_SI_VDI_SI)*pInst->phit1+((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*phit1_VDI_SI+(((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI)))*phit1_VGP_SI+(sqm*Gf)*phit1_VGP_SI_VDI_SI);
  qbs_VGP_SI_VGP_SI=(+(+sqm_VGP_SI_VGP_SI*Gf+sqm_VGP_SI*Gf_VGP_SI+sqm_VGP_SI*Gf_VGP_SI+sqm*Gf_VGP_SI_VGP_SI)*pInst->phit1+((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*phit1_VGP_SI+(((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI)))*phit1_VGP_SI+(sqm*Gf)*phit1_VGP_SI_VGP_SI);
  qbs_VGP_SI_VSI_BP=(+(+sqm_VGP_SI_VSI_BP*Gf+sqm_VGP_SI*Gf_VSI_BP+sqm_VSI_BP*Gf_VGP_SI+sqm*Gf_VGP_SI_VSI_BP)*pInst->phit1+((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*phit1_VSI_BP+(((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP)))*phit1_VGP_SI+(sqm*Gf)*phit1_VGP_SI_VSI_BP);
#endif
qbs_VSI_BP=((((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*pInst->phit1)+((sqm*Gf)*phit1_VSI_BP));
#if defined(_DERIVATE2)
  qbs_VSI_BP_VDI_SI=(+(+sqm_VSI_BP_VDI_SI*Gf+sqm_VSI_BP*Gf_VDI_SI+sqm_VDI_SI*Gf_VSI_BP+sqm*Gf_VSI_BP_VDI_SI)*pInst->phit1+((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*phit1_VDI_SI+(((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI)))*phit1_VSI_BP+(sqm*Gf)*phit1_VSI_BP_VDI_SI);
  qbs_VSI_BP_VGP_SI=(+(+sqm_VSI_BP_VGP_SI*Gf+sqm_VSI_BP*Gf_VGP_SI+sqm_VGP_SI*Gf_VSI_BP+sqm*Gf_VSI_BP_VGP_SI)*pInst->phit1+((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*phit1_VGP_SI+(((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI)))*phit1_VSI_BP+(sqm*Gf)*phit1_VSI_BP_VGP_SI);
  qbs_VSI_BP_VSI_BP=(+(+sqm_VSI_BP_VSI_BP*Gf+sqm_VSI_BP*Gf_VSI_BP+sqm_VSI_BP*Gf_VSI_BP+sqm*Gf_VSI_BP_VSI_BP)*pInst->phit1+((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*phit1_VSI_BP+(((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP)))*phit1_VSI_BP+(sqm*Gf)*phit1_VSI_BP_VSI_BP);
#endif
#endif
qbs=((sqm*Gf)*pInst->phit1);
EXIT_IF_ISNAN(((sqm*Gf)*pInst->phit1))
if
((pInst->RSB_i<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
rhob_VGP_SI=(-(-(pInst->RSB_i*Vsbx_VGP_SI))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
#if defined(_DERIVATE2)
  rhob_VGP_SI_VGP_SI=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VGP_SI)))+0.0*(-(pInst->RSB_i*Vsbx_VGP_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VGP_SI+pInst->RSB_i*Vsbx_VGP_SI_VGP_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VGP_SI))*(-((pInst->RSB_i*Vsbx_VGP_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
  rhob_VGP_SI_VDI_SI=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VDI_SI)))+0.0*(-(pInst->RSB_i*Vsbx_VGP_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VGP_SI+pInst->RSB_i*Vsbx_VGP_SI_VDI_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VGP_SI))*(-((pInst->RSB_i*Vsbx_VDI_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
  rhob_VGP_SI_VSI_BP=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VSI_BP)))+0.0*(-(pInst->RSB_i*Vsbx_VGP_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VGP_SI+pInst->RSB_i*Vsbx_VGP_SI_VSI_BP)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VGP_SI))*(-((pInst->RSB_i*Vsbx_VSI_BP)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
#endif
rhob_VDI_SI=(-(-(pInst->RSB_i*Vsbx_VDI_SI))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
#if defined(_DERIVATE2)
  rhob_VDI_SI_VGP_SI=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VGP_SI)))+0.0*(-(pInst->RSB_i*Vsbx_VDI_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->RSB_i*Vsbx_VDI_SI_VGP_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VDI_SI))*(-((pInst->RSB_i*Vsbx_VGP_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
  rhob_VDI_SI_VDI_SI=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VDI_SI)))+0.0*(-(pInst->RSB_i*Vsbx_VDI_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->RSB_i*Vsbx_VDI_SI_VDI_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VDI_SI))*(-((pInst->RSB_i*Vsbx_VDI_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
  rhob_VDI_SI_VSI_BP=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VSI_BP)))+0.0*(-(pInst->RSB_i*Vsbx_VDI_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->RSB_i*Vsbx_VDI_SI_VSI_BP)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VDI_SI))*(-((pInst->RSB_i*Vsbx_VSI_BP)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
#endif
rhob_VSI_BP=(-(-(pInst->RSB_i*Vsbx_VSI_BP))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
#if defined(_DERIVATE2)
  rhob_VSI_BP_VGP_SI=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VGP_SI)))+0.0*(-(pInst->RSB_i*Vsbx_VSI_BP))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->RSB_i*Vsbx_VSI_BP_VGP_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VSI_BP))*(-((pInst->RSB_i*Vsbx_VGP_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
  rhob_VSI_BP_VDI_SI=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VDI_SI)))+0.0*(-(pInst->RSB_i*Vsbx_VSI_BP))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->RSB_i*Vsbx_VSI_BP_VDI_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VSI_BP))*(-((pInst->RSB_i*Vsbx_VDI_SI)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
  rhob_VSI_BP_VSI_BP=(0.0/(1.0-(pInst->RSB_i*Vsbx))-(0.0*(-((pInst->RSB_i*Vsbx_VSI_BP)))+0.0*(-(pInst->RSB_i*Vsbx_VSI_BP))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->RSB_i*Vsbx_VSI_BP_VSI_BP)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))+2*1.0*(-(pInst->RSB_i*Vsbx_VSI_BP))*(-((pInst->RSB_i*Vsbx_VSI_BP)))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx))/(1.0-(pInst->RSB_i*Vsbx)));
#endif
#endif
rhob=(1.0/(1.0-(pInst->RSB_i*Vsbx)));
EXIT_IF_ISNAN((1.0/(1.0-(pInst->RSB_i*Vsbx))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
rhob_VGP_SI=(pInst->RSB_i*Vsbx_VGP_SI);
#if defined(_DERIVATE2)
  rhob_VGP_SI_VGP_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VGP_SI+pInst->RSB_i*Vsbx_VGP_SI_VGP_SI));
  rhob_VGP_SI_VDI_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VGP_SI+pInst->RSB_i*Vsbx_VGP_SI_VDI_SI));
  rhob_VGP_SI_VSI_BP=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VGP_SI+pInst->RSB_i*Vsbx_VGP_SI_VSI_BP));
#endif
rhob_VDI_SI=(pInst->RSB_i*Vsbx_VDI_SI);
#if defined(_DERIVATE2)
  rhob_VDI_SI_VGP_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->RSB_i*Vsbx_VDI_SI_VGP_SI));
  rhob_VDI_SI_VDI_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->RSB_i*Vsbx_VDI_SI_VDI_SI));
  rhob_VDI_SI_VSI_BP=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->RSB_i*Vsbx_VDI_SI_VSI_BP));
#endif
rhob_VSI_BP=(pInst->RSB_i*Vsbx_VSI_BP);
#if defined(_DERIVATE2)
  rhob_VSI_BP_VGP_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->RSB_i*Vsbx_VSI_BP_VGP_SI));
  rhob_VSI_BP_VDI_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->RSB_i*Vsbx_VSI_BP_VDI_SI));
  rhob_VSI_BP_VSI_BP=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->RSB_i*Vsbx_VSI_BP_VSI_BP));
#endif
#endif
rhob=(1.0+(pInst->RSB_i*Vsbx));
EXIT_IF_ISNAN((1.0+(pInst->RSB_i*Vsbx)))
}
if
((pInst->RSG_i<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(pInst->RSG_i*qis_VGP_SI));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0-(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VGP_SI+pInst->RSG_i*qis_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(+0.0-(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VGP_SI+pInst->RSG_i*qis_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(+0.0-(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VGP_SI+pInst->RSG_i*qis_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=(-(pInst->RSG_i*qis_VDI_SI));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0-(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VDI_SI+pInst->RSG_i*qis_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(+0.0-(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VDI_SI+pInst->RSG_i*qis_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(+0.0-(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VDI_SI+pInst->RSG_i*qis_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=(-(pInst->RSG_i*qis_VSI_BP));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0-(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VSI_BP+pInst->RSG_i*qis_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(+0.0-(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VSI_BP+pInst->RSG_i*qis_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(+0.0-(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VSI_BP+pInst->RSG_i*qis_VSI_BP_VSI_BP));
#endif
#endif
temp=(1.0-(pInst->RSG_i*qis));
EXIT_IF_ISNAN((1.0-(pInst->RSG_i*qis)))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(pInst->RSG_i*qis_VGP_SI)/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VGP_SI))+0.0*(pInst->RSG_i*qis_VGP_SI)+1.0*(+0.0+(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VGP_SI+pInst->RSG_i*qis_VGP_SI_VGP_SI)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VGP_SI)*((pInst->RSG_i*qis_VGP_SI))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
  temp_VGP_SI_VDI_SI=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VDI_SI))+0.0*(pInst->RSG_i*qis_VGP_SI)+1.0*(+0.0+(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VGP_SI+pInst->RSG_i*qis_VGP_SI_VDI_SI)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VGP_SI)*((pInst->RSG_i*qis_VDI_SI))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
  temp_VGP_SI_VSI_BP=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VSI_BP))+0.0*(pInst->RSG_i*qis_VGP_SI)+1.0*(+0.0+(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VGP_SI+pInst->RSG_i*qis_VGP_SI_VSI_BP)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VGP_SI)*((pInst->RSG_i*qis_VSI_BP))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
#endif
temp_VDI_SI=(-(pInst->RSG_i*qis_VDI_SI)/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VGP_SI))+0.0*(pInst->RSG_i*qis_VDI_SI)+1.0*(+0.0+(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VDI_SI+pInst->RSG_i*qis_VDI_SI_VGP_SI)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VDI_SI)*((pInst->RSG_i*qis_VGP_SI))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
  temp_VDI_SI_VDI_SI=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VDI_SI))+0.0*(pInst->RSG_i*qis_VDI_SI)+1.0*(+0.0+(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VDI_SI+pInst->RSG_i*qis_VDI_SI_VDI_SI)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VDI_SI)*((pInst->RSG_i*qis_VDI_SI))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
  temp_VDI_SI_VSI_BP=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VSI_BP))+0.0*(pInst->RSG_i*qis_VDI_SI)+1.0*(+0.0+(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VDI_SI+pInst->RSG_i*qis_VDI_SI_VSI_BP)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VDI_SI)*((pInst->RSG_i*qis_VSI_BP))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
#endif
temp_VSI_BP=(-(pInst->RSG_i*qis_VSI_BP)/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VGP_SI))+0.0*(pInst->RSG_i*qis_VSI_BP)+1.0*(+0.0+(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VSI_BP+pInst->RSG_i*qis_VSI_BP_VGP_SI)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VSI_BP)*((pInst->RSG_i*qis_VGP_SI))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
  temp_VSI_BP_VDI_SI=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VDI_SI))+0.0*(pInst->RSG_i*qis_VSI_BP)+1.0*(+0.0+(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VSI_BP+pInst->RSG_i*qis_VSI_BP_VDI_SI)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VSI_BP)*((pInst->RSG_i*qis_VDI_SI))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
  temp_VSI_BP_VSI_BP=(0.0/(1.0+(pInst->RSG_i*qis))-(0.0*((pInst->RSG_i*qis_VSI_BP))+0.0*(pInst->RSG_i*qis_VSI_BP)+1.0*(+0.0+(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VSI_BP+pInst->RSG_i*qis_VSI_BP_VSI_BP)))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))+2*1.0*(pInst->RSG_i*qis_VSI_BP)*((pInst->RSG_i*qis_VSI_BP))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis))/(1.0+(pInst->RSG_i*qis)));
#endif
#endif
temp=(1.0/(1.0+(pInst->RSG_i*qis)));
EXIT_IF_ISNAN((1.0/(1.0+(pInst->RSG_i*qis))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
GR_VDI_SI=(pInst->THER_i*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis)+((rhob*temp)*qis_VDI_SI)));
#if defined(_DERIVATE2)
  GR_VDI_SI_VDI_SI=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qis)+((rhob*temp)*qis_VDI_SI)))+0.0*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis)+((rhob*temp)*qis_VDI_SI))+pInst->THER_i*(+(+rhob_VDI_SI_VDI_SI*temp+rhob_VDI_SI*temp_VDI_SI+rhob_VDI_SI*temp_VDI_SI+rhob*temp_VDI_SI_VDI_SI)*qis+((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis_VDI_SI+(((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qis_VDI_SI+(rhob*temp)*qis_VDI_SI_VDI_SI));
  GR_VDI_SI_VSI_BP=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qis)+((rhob*temp)*qis_VSI_BP)))+0.0*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis)+((rhob*temp)*qis_VDI_SI))+pInst->THER_i*(+(+rhob_VDI_SI_VSI_BP*temp+rhob_VDI_SI*temp_VSI_BP+rhob_VSI_BP*temp_VDI_SI+rhob*temp_VDI_SI_VSI_BP)*qis+((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis_VSI_BP+(((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qis_VDI_SI+(rhob*temp)*qis_VDI_SI_VSI_BP));
  GR_VDI_SI_VGP_SI=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qis)+((rhob*temp)*qis_VGP_SI)))+0.0*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis)+((rhob*temp)*qis_VDI_SI))+pInst->THER_i*(+(+rhob_VDI_SI_VGP_SI*temp+rhob_VDI_SI*temp_VGP_SI+rhob_VGP_SI*temp_VDI_SI+rhob*temp_VDI_SI_VGP_SI)*qis+((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qis_VGP_SI+(((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qis_VDI_SI+(rhob*temp)*qis_VDI_SI_VGP_SI));
#endif
GR_VSI_BP=(pInst->THER_i*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis)+((rhob*temp)*qis_VSI_BP)));
#if defined(_DERIVATE2)
  GR_VSI_BP_VDI_SI=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qis)+((rhob*temp)*qis_VDI_SI)))+0.0*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis)+((rhob*temp)*qis_VSI_BP))+pInst->THER_i*(+(+rhob_VSI_BP_VDI_SI*temp+rhob_VSI_BP*temp_VDI_SI+rhob_VDI_SI*temp_VSI_BP+rhob*temp_VSI_BP_VDI_SI)*qis+((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis_VDI_SI+(((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qis_VSI_BP+(rhob*temp)*qis_VSI_BP_VDI_SI));
  GR_VSI_BP_VSI_BP=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qis)+((rhob*temp)*qis_VSI_BP)))+0.0*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis)+((rhob*temp)*qis_VSI_BP))+pInst->THER_i*(+(+rhob_VSI_BP_VSI_BP*temp+rhob_VSI_BP*temp_VSI_BP+rhob_VSI_BP*temp_VSI_BP+rhob*temp_VSI_BP_VSI_BP)*qis+((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis_VSI_BP+(((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qis_VSI_BP+(rhob*temp)*qis_VSI_BP_VSI_BP));
  GR_VSI_BP_VGP_SI=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qis)+((rhob*temp)*qis_VGP_SI)))+0.0*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis)+((rhob*temp)*qis_VSI_BP))+pInst->THER_i*(+(+rhob_VSI_BP_VGP_SI*temp+rhob_VSI_BP*temp_VGP_SI+rhob_VGP_SI*temp_VSI_BP+rhob*temp_VSI_BP_VGP_SI)*qis+((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qis_VGP_SI+(((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qis_VSI_BP+(rhob*temp)*qis_VSI_BP_VGP_SI));
#endif
GR_VGP_SI=(pInst->THER_i*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis)+((rhob*temp)*qis_VGP_SI)));
#if defined(_DERIVATE2)
  GR_VGP_SI_VDI_SI=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qis)+((rhob*temp)*qis_VDI_SI)))+0.0*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis)+((rhob*temp)*qis_VGP_SI))+pInst->THER_i*(+(+rhob_VGP_SI_VDI_SI*temp+rhob_VGP_SI*temp_VDI_SI+rhob_VDI_SI*temp_VGP_SI+rhob*temp_VGP_SI_VDI_SI)*qis+((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis_VDI_SI+(((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qis_VGP_SI+(rhob*temp)*qis_VGP_SI_VDI_SI));
  GR_VGP_SI_VSI_BP=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qis)+((rhob*temp)*qis_VSI_BP)))+0.0*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis)+((rhob*temp)*qis_VGP_SI))+pInst->THER_i*(+(+rhob_VGP_SI_VSI_BP*temp+rhob_VGP_SI*temp_VSI_BP+rhob_VSI_BP*temp_VGP_SI+rhob*temp_VGP_SI_VSI_BP)*qis+((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis_VSI_BP+(((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qis_VGP_SI+(rhob*temp)*qis_VGP_SI_VSI_BP));
  GR_VGP_SI_VGP_SI=(+0.0*((rhob*temp)*qis)+0.0*((((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qis)+((rhob*temp)*qis_VGP_SI)))+0.0*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis)+((rhob*temp)*qis_VGP_SI))+pInst->THER_i*(+(+rhob_VGP_SI_VGP_SI*temp+rhob_VGP_SI*temp_VGP_SI+rhob_VGP_SI*temp_VGP_SI+rhob*temp_VGP_SI_VGP_SI)*qis+((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qis_VGP_SI+(((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qis_VGP_SI+(rhob*temp)*qis_VGP_SI_VGP_SI));
#endif
#endif
GR=(pInst->THER_i*((rhob*temp)*qis));
EXIT_IF_ISNAN((pInst->THER_i*((rhob*temp)*qis)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Eeffm_VDI_SI=(pInst->E_eff0*(qbs_VDI_SI+(pInst->eta_mu*qis_VDI_SI)));
#if defined(_DERIVATE2)
  Eeffm_VDI_SI_VDI_SI=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VDI_SI+((pInst->eta_mu*qis_VDI_SI)))+0.0*(qbs_VDI_SI+(pInst->eta_mu*qis_VDI_SI))+pInst->E_eff0*(+qbs_VDI_SI_VDI_SI+(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VDI_SI+pInst->eta_mu*qis_VDI_SI_VDI_SI)));
  Eeffm_VDI_SI_VGP_SI=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VGP_SI+((pInst->eta_mu*qis_VGP_SI)))+0.0*(qbs_VDI_SI+(pInst->eta_mu*qis_VDI_SI))+pInst->E_eff0*(+qbs_VDI_SI_VGP_SI+(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VDI_SI+pInst->eta_mu*qis_VDI_SI_VGP_SI)));
  Eeffm_VDI_SI_VSI_BP=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VSI_BP+((pInst->eta_mu*qis_VSI_BP)))+0.0*(qbs_VDI_SI+(pInst->eta_mu*qis_VDI_SI))+pInst->E_eff0*(+qbs_VDI_SI_VSI_BP+(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VDI_SI+pInst->eta_mu*qis_VDI_SI_VSI_BP)));
#endif
Eeffm_VGP_SI=(pInst->E_eff0*(qbs_VGP_SI+(pInst->eta_mu*qis_VGP_SI)));
#if defined(_DERIVATE2)
  Eeffm_VGP_SI_VDI_SI=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VDI_SI+((pInst->eta_mu*qis_VDI_SI)))+0.0*(qbs_VGP_SI+(pInst->eta_mu*qis_VGP_SI))+pInst->E_eff0*(+qbs_VGP_SI_VDI_SI+(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VGP_SI+pInst->eta_mu*qis_VGP_SI_VDI_SI)));
  Eeffm_VGP_SI_VGP_SI=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VGP_SI+((pInst->eta_mu*qis_VGP_SI)))+0.0*(qbs_VGP_SI+(pInst->eta_mu*qis_VGP_SI))+pInst->E_eff0*(+qbs_VGP_SI_VGP_SI+(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VGP_SI+pInst->eta_mu*qis_VGP_SI_VGP_SI)));
  Eeffm_VGP_SI_VSI_BP=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VSI_BP+((pInst->eta_mu*qis_VSI_BP)))+0.0*(qbs_VGP_SI+(pInst->eta_mu*qis_VGP_SI))+pInst->E_eff0*(+qbs_VGP_SI_VSI_BP+(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VGP_SI+pInst->eta_mu*qis_VGP_SI_VSI_BP)));
#endif
Eeffm_VSI_BP=(pInst->E_eff0*(qbs_VSI_BP+(pInst->eta_mu*qis_VSI_BP)));
#if defined(_DERIVATE2)
  Eeffm_VSI_BP_VDI_SI=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VDI_SI+((pInst->eta_mu*qis_VDI_SI)))+0.0*(qbs_VSI_BP+(pInst->eta_mu*qis_VSI_BP))+pInst->E_eff0*(+qbs_VSI_BP_VDI_SI+(+0.0*qis+0.0*qis_VDI_SI+0.0*qis_VSI_BP+pInst->eta_mu*qis_VSI_BP_VDI_SI)));
  Eeffm_VSI_BP_VGP_SI=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VGP_SI+((pInst->eta_mu*qis_VGP_SI)))+0.0*(qbs_VSI_BP+(pInst->eta_mu*qis_VSI_BP))+pInst->E_eff0*(+qbs_VSI_BP_VGP_SI+(+0.0*qis+0.0*qis_VGP_SI+0.0*qis_VSI_BP+pInst->eta_mu*qis_VSI_BP_VGP_SI)));
  Eeffm_VSI_BP_VSI_BP=(+0.0*(qbs+(pInst->eta_mu*qis))+0.0*(qbs_VSI_BP+((pInst->eta_mu*qis_VSI_BP)))+0.0*(qbs_VSI_BP+(pInst->eta_mu*qis_VSI_BP))+pInst->E_eff0*(+qbs_VSI_BP_VSI_BP+(+0.0*qis+0.0*qis_VSI_BP+0.0*qis_VSI_BP+pInst->eta_mu*qis_VSI_BP_VSI_BP)));
#endif
#endif
Eeffm=(pInst->E_eff0*(qbs+(pInst->eta_mu*qis)));
EXIT_IF_ISNAN((pInst->E_eff0*(qbs+(pInst->eta_mu*qis))))
{
double m00_logE(d00_logE0,(Ps/((Ps+Ds)+1.0e-14)))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(Ps/((Ps+Ds)+1.0e-14)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*d10_logE0;
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VDI_SI_VDI_SI/((Ps+Ds)+1.0e-14)-(Ps_VDI_SI*(Ps_VDI_SI+Ds_VDI_SI)+Ps_VDI_SI*(Ps_VDI_SI+Ds_VDI_SI)+Ps*(+(+Ps_VDI_SI_VDI_SI+Ds_VDI_SI_VDI_SI)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VDI_SI+Ds_VDI_SI)*(Ps_VDI_SI+Ds_VDI_SI)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
  temp1_VDI_SI_VGP_SI=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VDI_SI_VGP_SI/((Ps+Ds)+1.0e-14)-(Ps_VDI_SI*(Ps_VGP_SI+Ds_VGP_SI)+Ps_VGP_SI*(Ps_VDI_SI+Ds_VDI_SI)+Ps*(+(+Ps_VDI_SI_VGP_SI+Ds_VDI_SI_VGP_SI)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VDI_SI+Ds_VDI_SI)*(Ps_VGP_SI+Ds_VGP_SI)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
  temp1_VDI_SI_VSI_BP=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VDI_SI_VSI_BP/((Ps+Ds)+1.0e-14)-(Ps_VDI_SI*(Ps_VSI_BP+Ds_VSI_BP)+Ps_VSI_BP*(Ps_VDI_SI+Ds_VDI_SI)+Ps*(+(+Ps_VDI_SI_VSI_BP+Ds_VDI_SI_VSI_BP)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VDI_SI+Ds_VDI_SI)*(Ps_VSI_BP+Ds_VSI_BP)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
#endif
temp1_VGP_SI=((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*d10_logE0;
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VGP_SI_VDI_SI/((Ps+Ds)+1.0e-14)-(Ps_VGP_SI*(Ps_VDI_SI+Ds_VDI_SI)+Ps_VDI_SI*(Ps_VGP_SI+Ds_VGP_SI)+Ps*(+(+Ps_VGP_SI_VDI_SI+Ds_VGP_SI_VDI_SI)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VGP_SI+Ds_VGP_SI)*(Ps_VDI_SI+Ds_VDI_SI)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
  temp1_VGP_SI_VGP_SI=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VGP_SI_VGP_SI/((Ps+Ds)+1.0e-14)-(Ps_VGP_SI*(Ps_VGP_SI+Ds_VGP_SI)+Ps_VGP_SI*(Ps_VGP_SI+Ds_VGP_SI)+Ps*(+(+Ps_VGP_SI_VGP_SI+Ds_VGP_SI_VGP_SI)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VGP_SI+Ds_VGP_SI)*(Ps_VGP_SI+Ds_VGP_SI)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
  temp1_VGP_SI_VSI_BP=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VGP_SI_VSI_BP/((Ps+Ds)+1.0e-14)-(Ps_VGP_SI*(Ps_VSI_BP+Ds_VSI_BP)+Ps_VSI_BP*(Ps_VGP_SI+Ds_VGP_SI)+Ps*(+(+Ps_VGP_SI_VSI_BP+Ds_VGP_SI_VSI_BP)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VGP_SI+Ds_VGP_SI)*(Ps_VSI_BP+Ds_VSI_BP)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
#endif
temp1_VSI_BP=((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*d10_logE0;
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VDI_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VDI_SI+Ds_VDI_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VSI_BP_VDI_SI/((Ps+Ds)+1.0e-14)-(Ps_VSI_BP*(Ps_VDI_SI+Ds_VDI_SI)+Ps_VDI_SI*(Ps_VSI_BP+Ds_VSI_BP)+Ps*(+(+Ps_VSI_BP_VDI_SI+Ds_VSI_BP_VDI_SI)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VSI_BP+Ds_VSI_BP)*(Ps_VDI_SI+Ds_VDI_SI)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
  temp1_VSI_BP_VGP_SI=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VGP_SI*((Ps+Ds)+1.0e-14)-Ps*(Ps_VGP_SI+Ds_VGP_SI))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VSI_BP_VGP_SI/((Ps+Ds)+1.0e-14)-(Ps_VSI_BP*(Ps_VGP_SI+Ds_VGP_SI)+Ps_VGP_SI*(Ps_VSI_BP+Ds_VSI_BP)+Ps*(+(+Ps_VSI_BP_VGP_SI+Ds_VSI_BP_VGP_SI)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VSI_BP+Ds_VSI_BP)*(Ps_VGP_SI+Ds_VGP_SI)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
  temp1_VSI_BP_VSI_BP=(m20_logE((Ps/((Ps+Ds)+1.0e-14)))*((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))*((Ps_VSI_BP*((Ps+Ds)+1.0e-14)-Ps*(Ps_VSI_BP+Ds_VSI_BP))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14))+d10_logE0*(Ps_VSI_BP_VSI_BP/((Ps+Ds)+1.0e-14)-(Ps_VSI_BP*(Ps_VSI_BP+Ds_VSI_BP)+Ps_VSI_BP*(Ps_VSI_BP+Ds_VSI_BP)+Ps*(+(+Ps_VSI_BP_VSI_BP+Ds_VSI_BP_VSI_BP)+0.0))/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)+2*Ps*(Ps_VSI_BP+Ds_VSI_BP)*(Ps_VSI_BP+Ds_VSI_BP)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)/((Ps+Ds)+1.0e-14)));
#endif
#endif
pInst->temp1=d00_logE0;
EXIT_IF_ISNAN(d00_logE0)
}
{
double m00_pow(d00_pow0,(Eeffm*pInst->MUE_T),pInst->THEMU_T)
double m00_exp(d00_exp1,((0.5*pInst->THECS_T)*pInst->temp1))
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(Eeffm*pInst->MUE_T),pInst->THEMU_T)
#define d10_exp1 d00_exp1
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Mutmp_VDI_SI=((d10_pow0*Eeffm_VDI_SI*pInst->MUE_T)+(pInst->CS_T*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1));
#if defined(_DERIVATE2)
  Mutmp_VDI_SI_VDI_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*((0.5*pInst->THECS_T)*temp1_VDI_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VDI_SI+(0.0)*temp1_VDI_SI+(0.5*pInst->THECS_T)*temp1_VDI_SI_VDI_SI))));
  Mutmp_VDI_SI_VGP_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*((0.5*pInst->THECS_T)*temp1_VDI_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VGP_SI+(0.0)*temp1_VDI_SI+(0.5*pInst->THECS_T)*temp1_VDI_SI_VGP_SI))));
  Mutmp_VDI_SI_VSI_BP=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*((0.5*pInst->THECS_T)*temp1_VDI_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VSI_BP+(0.0)*temp1_VDI_SI+(0.5*pInst->THECS_T)*temp1_VDI_SI_VSI_BP))));
#endif
Mutmp_VGP_SI=((d10_pow0*Eeffm_VGP_SI*pInst->MUE_T)+(pInst->CS_T*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1));
#if defined(_DERIVATE2)
  Mutmp_VGP_SI_VDI_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*((0.5*pInst->THECS_T)*temp1_VGP_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VDI_SI+(0.0)*temp1_VGP_SI+(0.5*pInst->THECS_T)*temp1_VGP_SI_VDI_SI))));
  Mutmp_VGP_SI_VGP_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*((0.5*pInst->THECS_T)*temp1_VGP_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VGP_SI+(0.0)*temp1_VGP_SI+(0.5*pInst->THECS_T)*temp1_VGP_SI_VGP_SI))));
  Mutmp_VGP_SI_VSI_BP=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*((0.5*pInst->THECS_T)*temp1_VGP_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VSI_BP+(0.0)*temp1_VGP_SI+(0.5*pInst->THECS_T)*temp1_VGP_SI_VSI_BP))));
#endif
Mutmp_VSI_BP=((d10_pow0*Eeffm_VSI_BP*pInst->MUE_T)+(pInst->CS_T*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1));
#if defined(_DERIVATE2)
  Mutmp_VSI_BP_VDI_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*((0.5*pInst->THECS_T)*temp1_VSI_BP)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VDI_SI+(0.0)*temp1_VSI_BP+(0.5*pInst->THECS_T)*temp1_VSI_BP_VDI_SI))));
  Mutmp_VSI_BP_VGP_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*((0.5*pInst->THECS_T)*temp1_VSI_BP)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VGP_SI+(0.0)*temp1_VSI_BP+(0.5*pInst->THECS_T)*temp1_VSI_BP_VGP_SI))));
  Mutmp_VSI_BP_VSI_BP=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*((0.5*pInst->THECS_T)*temp1_VSI_BP)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VSI_BP+(0.0)*temp1_VSI_BP+(0.5*pInst->THECS_T)*temp1_VSI_BP_VSI_BP))));
#endif
#endif
Mutmp=(d00_pow0+(pInst->CS_T*d00_exp1));
EXIT_IF_ISNAN((d00_pow0+(pInst->CS_T*d00_exp1)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gmob_VDI_SI=(((Mutmp_VDI_SI+GR_VDI_SI)*Rxcor)+(((1.0+Mutmp)+GR)*Rxcor_VDI_SI));
#if defined(_DERIVATE2)
  Gmob_VDI_SI_VDI_SI=(+(+(+0.0+Mutmp_VDI_SI_VDI_SI)+GR_VDI_SI_VDI_SI)*Rxcor+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VDI_SI+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VDI_SI+((1.0+Mutmp)+GR)*Rxcor_VDI_SI_VDI_SI);
  Gmob_VDI_SI_VGP_SI=(+(+(+0.0+Mutmp_VDI_SI_VGP_SI)+GR_VDI_SI_VGP_SI)*Rxcor+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VGP_SI+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VDI_SI+((1.0+Mutmp)+GR)*Rxcor_VDI_SI_VGP_SI);
  Gmob_VDI_SI_VSI_BP=(+(+(+0.0+Mutmp_VDI_SI_VSI_BP)+GR_VDI_SI_VSI_BP)*Rxcor+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VSI_BP+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VDI_SI+((1.0+Mutmp)+GR)*Rxcor_VDI_SI_VSI_BP);
#endif
Gmob_VGP_SI=(((Mutmp_VGP_SI+GR_VGP_SI)*Rxcor)+(((1.0+Mutmp)+GR)*Rxcor_VGP_SI));
#if defined(_DERIVATE2)
  Gmob_VGP_SI_VDI_SI=(+(+(+0.0+Mutmp_VGP_SI_VDI_SI)+GR_VGP_SI_VDI_SI)*Rxcor+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VDI_SI+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VGP_SI+((1.0+Mutmp)+GR)*Rxcor_VGP_SI_VDI_SI);
  Gmob_VGP_SI_VGP_SI=(+(+(+0.0+Mutmp_VGP_SI_VGP_SI)+GR_VGP_SI_VGP_SI)*Rxcor+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VGP_SI+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VGP_SI+((1.0+Mutmp)+GR)*Rxcor_VGP_SI_VGP_SI);
  Gmob_VGP_SI_VSI_BP=(+(+(+0.0+Mutmp_VGP_SI_VSI_BP)+GR_VGP_SI_VSI_BP)*Rxcor+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VSI_BP+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VGP_SI+((1.0+Mutmp)+GR)*Rxcor_VGP_SI_VSI_BP);
#endif
Gmob_VSI_BP=(((Mutmp_VSI_BP+GR_VSI_BP)*Rxcor)+(((1.0+Mutmp)+GR)*Rxcor_VSI_BP));
#if defined(_DERIVATE2)
  Gmob_VSI_BP_VDI_SI=(+(+(+0.0+Mutmp_VSI_BP_VDI_SI)+GR_VSI_BP_VDI_SI)*Rxcor+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VDI_SI+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VSI_BP+((1.0+Mutmp)+GR)*Rxcor_VSI_BP_VDI_SI);
  Gmob_VSI_BP_VGP_SI=(+(+(+0.0+Mutmp_VSI_BP_VGP_SI)+GR_VSI_BP_VGP_SI)*Rxcor+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VGP_SI+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VSI_BP+((1.0+Mutmp)+GR)*Rxcor_VSI_BP_VGP_SI);
  Gmob_VSI_BP_VSI_BP=(+(+(+0.0+Mutmp_VSI_BP_VSI_BP)+GR_VSI_BP_VSI_BP)*Rxcor+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VSI_BP+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VSI_BP+((1.0+Mutmp)+GR)*Rxcor_VSI_BP_VSI_BP);
#endif
#endif
Gmob=(((1.0+Mutmp)+GR)*Rxcor);
EXIT_IF_ISNAN((((1.0+Mutmp)+GR)*Rxcor))
if
((pInst->THESATB_i<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xitsb_VGP_SI=(-(-(pInst->THESATB_i*Vsbx_VGP_SI))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
#if defined(_DERIVATE2)
  xitsb_VGP_SI_VGP_SI=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VGP_SI)))+0.0*(-(pInst->THESATB_i*Vsbx_VGP_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VGP_SI+pInst->THESATB_i*Vsbx_VGP_SI_VGP_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VGP_SI))*(-((pInst->THESATB_i*Vsbx_VGP_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
  xitsb_VGP_SI_VDI_SI=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VDI_SI)))+0.0*(-(pInst->THESATB_i*Vsbx_VGP_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VGP_SI+pInst->THESATB_i*Vsbx_VGP_SI_VDI_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VGP_SI))*(-((pInst->THESATB_i*Vsbx_VDI_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
  xitsb_VGP_SI_VSI_BP=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VSI_BP)))+0.0*(-(pInst->THESATB_i*Vsbx_VGP_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VGP_SI+pInst->THESATB_i*Vsbx_VGP_SI_VSI_BP)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VGP_SI))*(-((pInst->THESATB_i*Vsbx_VSI_BP)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
#endif
xitsb_VDI_SI=(-(-(pInst->THESATB_i*Vsbx_VDI_SI))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
#if defined(_DERIVATE2)
  xitsb_VDI_SI_VGP_SI=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VGP_SI)))+0.0*(-(pInst->THESATB_i*Vsbx_VDI_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->THESATB_i*Vsbx_VDI_SI_VGP_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VDI_SI))*(-((pInst->THESATB_i*Vsbx_VGP_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
  xitsb_VDI_SI_VDI_SI=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VDI_SI)))+0.0*(-(pInst->THESATB_i*Vsbx_VDI_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->THESATB_i*Vsbx_VDI_SI_VDI_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VDI_SI))*(-((pInst->THESATB_i*Vsbx_VDI_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
  xitsb_VDI_SI_VSI_BP=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VSI_BP)))+0.0*(-(pInst->THESATB_i*Vsbx_VDI_SI))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->THESATB_i*Vsbx_VDI_SI_VSI_BP)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VDI_SI))*(-((pInst->THESATB_i*Vsbx_VSI_BP)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
#endif
xitsb_VSI_BP=(-(-(pInst->THESATB_i*Vsbx_VSI_BP))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
#if defined(_DERIVATE2)
  xitsb_VSI_BP_VGP_SI=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VGP_SI)))+0.0*(-(pInst->THESATB_i*Vsbx_VSI_BP))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->THESATB_i*Vsbx_VSI_BP_VGP_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VSI_BP))*(-((pInst->THESATB_i*Vsbx_VGP_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
  xitsb_VSI_BP_VDI_SI=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VDI_SI)))+0.0*(-(pInst->THESATB_i*Vsbx_VSI_BP))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->THESATB_i*Vsbx_VSI_BP_VDI_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VSI_BP))*(-((pInst->THESATB_i*Vsbx_VDI_SI)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
  xitsb_VSI_BP_VSI_BP=(0.0/(1.0-(pInst->THESATB_i*Vsbx))-(0.0*(-((pInst->THESATB_i*Vsbx_VSI_BP)))+0.0*(-(pInst->THESATB_i*Vsbx_VSI_BP))+1.0*(+0.0-(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->THESATB_i*Vsbx_VSI_BP_VSI_BP)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))+2*1.0*(-(pInst->THESATB_i*Vsbx_VSI_BP))*(-((pInst->THESATB_i*Vsbx_VSI_BP)))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx))/(1.0-(pInst->THESATB_i*Vsbx)));
#endif
#endif
xitsb=(1.0/(1.0-(pInst->THESATB_i*Vsbx)));
EXIT_IF_ISNAN((1.0/(1.0-(pInst->THESATB_i*Vsbx))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xitsb_VGP_SI=(pInst->THESATB_i*Vsbx_VGP_SI);
#if defined(_DERIVATE2)
  xitsb_VGP_SI_VGP_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VGP_SI+pInst->THESATB_i*Vsbx_VGP_SI_VGP_SI));
  xitsb_VGP_SI_VDI_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VGP_SI+pInst->THESATB_i*Vsbx_VGP_SI_VDI_SI));
  xitsb_VGP_SI_VSI_BP=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VGP_SI+pInst->THESATB_i*Vsbx_VGP_SI_VSI_BP));
#endif
xitsb_VDI_SI=(pInst->THESATB_i*Vsbx_VDI_SI);
#if defined(_DERIVATE2)
  xitsb_VDI_SI_VGP_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VDI_SI+pInst->THESATB_i*Vsbx_VDI_SI_VGP_SI));
  xitsb_VDI_SI_VDI_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VDI_SI+pInst->THESATB_i*Vsbx_VDI_SI_VDI_SI));
  xitsb_VDI_SI_VSI_BP=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VDI_SI+pInst->THESATB_i*Vsbx_VDI_SI_VSI_BP));
#endif
xitsb_VSI_BP=(pInst->THESATB_i*Vsbx_VSI_BP);
#if defined(_DERIVATE2)
  xitsb_VSI_BP_VGP_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VGP_SI+0.0*Vsbx_VSI_BP+pInst->THESATB_i*Vsbx_VSI_BP_VGP_SI));
  xitsb_VSI_BP_VDI_SI=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VDI_SI+0.0*Vsbx_VSI_BP+pInst->THESATB_i*Vsbx_VSI_BP_VDI_SI));
  xitsb_VSI_BP_VSI_BP=(+0.0+(+0.0*Vsbx+0.0*Vsbx_VSI_BP+0.0*Vsbx_VSI_BP+pInst->THESATB_i*Vsbx_VSI_BP_VSI_BP));
#endif
#endif
xitsb=(1.0+(pInst->THESATB_i*Vsbx));
EXIT_IF_ISNAN((1.0+(pInst->THESATB_i*Vsbx)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=((qis_VDI_SI*xitsb)+(qis*xitsb_VDI_SI));
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(+qis_VDI_SI_VDI_SI*xitsb+qis_VDI_SI*xitsb_VDI_SI+qis_VDI_SI*xitsb_VDI_SI+qis*xitsb_VDI_SI_VDI_SI);
  temp2_VDI_SI_VGP_SI=(+qis_VDI_SI_VGP_SI*xitsb+qis_VDI_SI*xitsb_VGP_SI+qis_VGP_SI*xitsb_VDI_SI+qis*xitsb_VDI_SI_VGP_SI);
  temp2_VDI_SI_VSI_BP=(+qis_VDI_SI_VSI_BP*xitsb+qis_VDI_SI*xitsb_VSI_BP+qis_VSI_BP*xitsb_VDI_SI+qis*xitsb_VDI_SI_VSI_BP);
#endif
temp2_VGP_SI=((qis_VGP_SI*xitsb)+(qis*xitsb_VGP_SI));
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(+qis_VGP_SI_VDI_SI*xitsb+qis_VGP_SI*xitsb_VDI_SI+qis_VDI_SI*xitsb_VGP_SI+qis*xitsb_VGP_SI_VDI_SI);
  temp2_VGP_SI_VGP_SI=(+qis_VGP_SI_VGP_SI*xitsb+qis_VGP_SI*xitsb_VGP_SI+qis_VGP_SI*xitsb_VGP_SI+qis*xitsb_VGP_SI_VGP_SI);
  temp2_VGP_SI_VSI_BP=(+qis_VGP_SI_VSI_BP*xitsb+qis_VGP_SI*xitsb_VSI_BP+qis_VSI_BP*xitsb_VGP_SI+qis*xitsb_VGP_SI_VSI_BP);
#endif
temp2_VSI_BP=((qis_VSI_BP*xitsb)+(qis*xitsb_VSI_BP));
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(+qis_VSI_BP_VDI_SI*xitsb+qis_VSI_BP*xitsb_VDI_SI+qis_VDI_SI*xitsb_VSI_BP+qis*xitsb_VSI_BP_VDI_SI);
  temp2_VSI_BP_VGP_SI=(+qis_VSI_BP_VGP_SI*xitsb+qis_VSI_BP*xitsb_VGP_SI+qis_VGP_SI*xitsb_VSI_BP+qis*xitsb_VSI_BP_VGP_SI);
  temp2_VSI_BP_VSI_BP=(+qis_VSI_BP_VSI_BP*xitsb+qis_VSI_BP*xitsb_VSI_BP+qis_VSI_BP*xitsb_VSI_BP+qis*xitsb_VSI_BP_VSI_BP);
#endif
#endif
temp2=(qis*xitsb);
EXIT_IF_ISNAN((qis*xitsb))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
wsat_VDI_SI=(100.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2)));
#if defined(_DERIVATE2)
  wsat_VDI_SI_VDI_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VDI_SI_VDI_SI/(100.0+temp2)-(temp2_VDI_SI*temp2_VDI_SI+temp2_VDI_SI*temp2_VDI_SI+temp2*(+0.0+temp2_VDI_SI_VDI_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VDI_SI*temp2_VDI_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VDI_SI_VGP_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VDI_SI_VGP_SI/(100.0+temp2)-(temp2_VDI_SI*temp2_VGP_SI+temp2_VGP_SI*temp2_VDI_SI+temp2*(+0.0+temp2_VDI_SI_VGP_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VDI_SI*temp2_VGP_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VDI_SI_VSI_BP=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VDI_SI_VSI_BP/(100.0+temp2)-(temp2_VDI_SI*temp2_VSI_BP+temp2_VSI_BP*temp2_VDI_SI+temp2*(+0.0+temp2_VDI_SI_VSI_BP))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VDI_SI*temp2_VSI_BP/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
#endif
wsat_VGP_SI=(100.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2)));
#if defined(_DERIVATE2)
  wsat_VGP_SI_VDI_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VGP_SI_VDI_SI/(100.0+temp2)-(temp2_VGP_SI*temp2_VDI_SI+temp2_VDI_SI*temp2_VGP_SI+temp2*(+0.0+temp2_VGP_SI_VDI_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VGP_SI*temp2_VDI_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VGP_SI_VGP_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VGP_SI_VGP_SI/(100.0+temp2)-(temp2_VGP_SI*temp2_VGP_SI+temp2_VGP_SI*temp2_VGP_SI+temp2*(+0.0+temp2_VGP_SI_VGP_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VGP_SI*temp2_VGP_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VGP_SI_VSI_BP=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VGP_SI_VSI_BP/(100.0+temp2)-(temp2_VGP_SI*temp2_VSI_BP+temp2_VSI_BP*temp2_VGP_SI+temp2*(+0.0+temp2_VGP_SI_VSI_BP))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VGP_SI*temp2_VSI_BP/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
#endif
wsat_VSI_BP=(100.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2)));
#if defined(_DERIVATE2)
  wsat_VSI_BP_VDI_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VSI_BP_VDI_SI/(100.0+temp2)-(temp2_VSI_BP*temp2_VDI_SI+temp2_VDI_SI*temp2_VSI_BP+temp2*(+0.0+temp2_VSI_BP_VDI_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VSI_BP*temp2_VDI_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VSI_BP_VGP_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VSI_BP_VGP_SI/(100.0+temp2)-(temp2_VSI_BP*temp2_VGP_SI+temp2_VGP_SI*temp2_VSI_BP+temp2*(+0.0+temp2_VSI_BP_VGP_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VSI_BP*temp2_VGP_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VSI_BP_VSI_BP=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VSI_BP_VSI_BP/(100.0+temp2)-(temp2_VSI_BP*temp2_VSI_BP+temp2_VSI_BP*temp2_VSI_BP+temp2*(+0.0+temp2_VSI_BP_VSI_BP))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VSI_BP*temp2_VSI_BP/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
#endif
#endif
wsat=(100.0*(temp2/(100.0+temp2)));
EXIT_IF_ISNAN((100.0*(temp2/(100.0+temp2))))
if
((pInst->THESATG_i<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(-(pInst->THESATG_i*wsat_VGP_SI))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VGP_SI)))+0.0*(-(pInst->THESATG_i*wsat_VGP_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VGP_SI))*(-((pInst->THESATG_i*wsat_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VGP_SI_VDI_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VDI_SI)))+0.0*(-(pInst->THESATG_i*wsat_VGP_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VGP_SI))*(-((pInst->THESATG_i*wsat_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VGP_SI_VSI_BP=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VSI_BP)))+0.0*(-(pInst->THESATG_i*wsat_VGP_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VGP_SI))*(-((pInst->THESATG_i*wsat_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#endif
temp_VDI_SI=(-(-(pInst->THESATG_i*wsat_VDI_SI))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VGP_SI)))+0.0*(-(pInst->THESATG_i*wsat_VDI_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VDI_SI))*(-((pInst->THESATG_i*wsat_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VDI_SI_VDI_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VDI_SI)))+0.0*(-(pInst->THESATG_i*wsat_VDI_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VDI_SI))*(-((pInst->THESATG_i*wsat_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VDI_SI_VSI_BP=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VSI_BP)))+0.0*(-(pInst->THESATG_i*wsat_VDI_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VDI_SI))*(-((pInst->THESATG_i*wsat_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#endif
temp_VSI_BP=(-(-(pInst->THESATG_i*wsat_VSI_BP))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VGP_SI)))+0.0*(-(pInst->THESATG_i*wsat_VSI_BP))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VSI_BP))*(-((pInst->THESATG_i*wsat_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VSI_BP_VDI_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VDI_SI)))+0.0*(-(pInst->THESATG_i*wsat_VSI_BP))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VSI_BP))*(-((pInst->THESATG_i*wsat_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VSI_BP_VSI_BP=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VSI_BP)))+0.0*(-(pInst->THESATG_i*wsat_VSI_BP))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VSI_BP))*(-((pInst->THESATG_i*wsat_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#endif
#endif
temp=(1.0/(1.0-(pInst->THESATG_i*wsat)));
EXIT_IF_ISNAN((1.0/(1.0-(pInst->THESATG_i*wsat))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(pInst->THESATG_i*wsat_VGP_SI);
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0+(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(+0.0+(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(+0.0+(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=(pInst->THESATG_i*wsat_VDI_SI);
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0+(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(+0.0+(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(+0.0+(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=(pInst->THESATG_i*wsat_VSI_BP);
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0+(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(+0.0+(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(+0.0+(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VSI_BP));
#endif
#endif
temp=(1.0+(pInst->THESATG_i*wsat));
EXIT_IF_ISNAN((1.0+(pInst->THESATG_i*wsat)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
thesat1_VGP_SI=(thesatloc*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob));
#if defined(_DERIVATE2)
  thesat1_VGP_SI_VGP_SI=(+0.0*(temp/Gmob)+0.0*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob)+0.0*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob)+thesatloc*(temp_VGP_SI_VGP_SI/Gmob-(temp_VGP_SI*Gmob_VGP_SI+temp_VGP_SI*Gmob_VGP_SI+temp*Gmob_VGP_SI_VGP_SI)/Gmob/Gmob+2*temp*Gmob_VGP_SI*Gmob_VGP_SI/Gmob/Gmob/Gmob));
  thesat1_VGP_SI_VDI_SI=(+0.0*(temp/Gmob)+0.0*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob)+0.0*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob)+thesatloc*(temp_VGP_SI_VDI_SI/Gmob-(temp_VGP_SI*Gmob_VDI_SI+temp_VDI_SI*Gmob_VGP_SI+temp*Gmob_VGP_SI_VDI_SI)/Gmob/Gmob+2*temp*Gmob_VGP_SI*Gmob_VDI_SI/Gmob/Gmob/Gmob));
  thesat1_VGP_SI_VSI_BP=(+0.0*(temp/Gmob)+0.0*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob)+0.0*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob)+thesatloc*(temp_VGP_SI_VSI_BP/Gmob-(temp_VGP_SI*Gmob_VSI_BP+temp_VSI_BP*Gmob_VGP_SI+temp*Gmob_VGP_SI_VSI_BP)/Gmob/Gmob+2*temp*Gmob_VGP_SI*Gmob_VSI_BP/Gmob/Gmob/Gmob));
#endif
thesat1_VDI_SI=(thesatloc*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob));
#if defined(_DERIVATE2)
  thesat1_VDI_SI_VGP_SI=(+0.0*(temp/Gmob)+0.0*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob)+0.0*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob)+thesatloc*(temp_VDI_SI_VGP_SI/Gmob-(temp_VDI_SI*Gmob_VGP_SI+temp_VGP_SI*Gmob_VDI_SI+temp*Gmob_VDI_SI_VGP_SI)/Gmob/Gmob+2*temp*Gmob_VDI_SI*Gmob_VGP_SI/Gmob/Gmob/Gmob));
  thesat1_VDI_SI_VDI_SI=(+0.0*(temp/Gmob)+0.0*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob)+0.0*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob)+thesatloc*(temp_VDI_SI_VDI_SI/Gmob-(temp_VDI_SI*Gmob_VDI_SI+temp_VDI_SI*Gmob_VDI_SI+temp*Gmob_VDI_SI_VDI_SI)/Gmob/Gmob+2*temp*Gmob_VDI_SI*Gmob_VDI_SI/Gmob/Gmob/Gmob));
  thesat1_VDI_SI_VSI_BP=(+0.0*(temp/Gmob)+0.0*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob)+0.0*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob)+thesatloc*(temp_VDI_SI_VSI_BP/Gmob-(temp_VDI_SI*Gmob_VSI_BP+temp_VSI_BP*Gmob_VDI_SI+temp*Gmob_VDI_SI_VSI_BP)/Gmob/Gmob+2*temp*Gmob_VDI_SI*Gmob_VSI_BP/Gmob/Gmob/Gmob));
#endif
thesat1_VSI_BP=(thesatloc*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob));
#if defined(_DERIVATE2)
  thesat1_VSI_BP_VGP_SI=(+0.0*(temp/Gmob)+0.0*((temp_VGP_SI*Gmob-temp*Gmob_VGP_SI)/Gmob/Gmob)+0.0*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob)+thesatloc*(temp_VSI_BP_VGP_SI/Gmob-(temp_VSI_BP*Gmob_VGP_SI+temp_VGP_SI*Gmob_VSI_BP+temp*Gmob_VSI_BP_VGP_SI)/Gmob/Gmob+2*temp*Gmob_VSI_BP*Gmob_VGP_SI/Gmob/Gmob/Gmob));
  thesat1_VSI_BP_VDI_SI=(+0.0*(temp/Gmob)+0.0*((temp_VDI_SI*Gmob-temp*Gmob_VDI_SI)/Gmob/Gmob)+0.0*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob)+thesatloc*(temp_VSI_BP_VDI_SI/Gmob-(temp_VSI_BP*Gmob_VDI_SI+temp_VDI_SI*Gmob_VSI_BP+temp*Gmob_VSI_BP_VDI_SI)/Gmob/Gmob+2*temp*Gmob_VSI_BP*Gmob_VDI_SI/Gmob/Gmob/Gmob));
  thesat1_VSI_BP_VSI_BP=(+0.0*(temp/Gmob)+0.0*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob)+0.0*((temp_VSI_BP*Gmob-temp*Gmob_VSI_BP)/Gmob/Gmob)+thesatloc*(temp_VSI_BP_VSI_BP/Gmob-(temp_VSI_BP*Gmob_VSI_BP+temp_VSI_BP*Gmob_VSI_BP+temp*Gmob_VSI_BP_VSI_BP)/Gmob/Gmob+2*temp*Gmob_VSI_BP*Gmob_VSI_BP/Gmob/Gmob/Gmob));
#endif
#endif
thesat1=(thesatloc*(temp/Gmob));
EXIT_IF_ISNAN((thesatloc*(temp/Gmob)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
phi_inf_VDI_SI=(((qis_VDI_SI*alpha-qis*alpha_VDI_SI)/alpha/alpha)+phit1_VDI_SI);
#if defined(_DERIVATE2)
  phi_inf_VDI_SI_VDI_SI=(+(qis_VDI_SI_VDI_SI/alpha-(qis_VDI_SI*alpha_VDI_SI+qis_VDI_SI*alpha_VDI_SI+qis*alpha_VDI_SI_VDI_SI)/alpha/alpha+2*qis*alpha_VDI_SI*alpha_VDI_SI/alpha/alpha/alpha)+phit1_VDI_SI_VDI_SI);
  phi_inf_VDI_SI_VGP_SI=(+(qis_VDI_SI_VGP_SI/alpha-(qis_VDI_SI*alpha_VGP_SI+qis_VGP_SI*alpha_VDI_SI+qis*alpha_VDI_SI_VGP_SI)/alpha/alpha+2*qis*alpha_VDI_SI*alpha_VGP_SI/alpha/alpha/alpha)+phit1_VDI_SI_VGP_SI);
  phi_inf_VDI_SI_VSI_BP=(+(qis_VDI_SI_VSI_BP/alpha-(qis_VDI_SI*alpha_VSI_BP+qis_VSI_BP*alpha_VDI_SI+qis*alpha_VDI_SI_VSI_BP)/alpha/alpha+2*qis*alpha_VDI_SI*alpha_VSI_BP/alpha/alpha/alpha)+phit1_VDI_SI_VSI_BP);
#endif
phi_inf_VGP_SI=(((qis_VGP_SI*alpha-qis*alpha_VGP_SI)/alpha/alpha)+phit1_VGP_SI);
#if defined(_DERIVATE2)
  phi_inf_VGP_SI_VDI_SI=(+(qis_VGP_SI_VDI_SI/alpha-(qis_VGP_SI*alpha_VDI_SI+qis_VDI_SI*alpha_VGP_SI+qis*alpha_VGP_SI_VDI_SI)/alpha/alpha+2*qis*alpha_VGP_SI*alpha_VDI_SI/alpha/alpha/alpha)+phit1_VGP_SI_VDI_SI);
  phi_inf_VGP_SI_VGP_SI=(+(qis_VGP_SI_VGP_SI/alpha-(qis_VGP_SI*alpha_VGP_SI+qis_VGP_SI*alpha_VGP_SI+qis*alpha_VGP_SI_VGP_SI)/alpha/alpha+2*qis*alpha_VGP_SI*alpha_VGP_SI/alpha/alpha/alpha)+phit1_VGP_SI_VGP_SI);
  phi_inf_VGP_SI_VSI_BP=(+(qis_VGP_SI_VSI_BP/alpha-(qis_VGP_SI*alpha_VSI_BP+qis_VSI_BP*alpha_VGP_SI+qis*alpha_VGP_SI_VSI_BP)/alpha/alpha+2*qis*alpha_VGP_SI*alpha_VSI_BP/alpha/alpha/alpha)+phit1_VGP_SI_VSI_BP);
#endif
phi_inf_VSI_BP=(((qis_VSI_BP*alpha-qis*alpha_VSI_BP)/alpha/alpha)+phit1_VSI_BP);
#if defined(_DERIVATE2)
  phi_inf_VSI_BP_VDI_SI=(+(qis_VSI_BP_VDI_SI/alpha-(qis_VSI_BP*alpha_VDI_SI+qis_VDI_SI*alpha_VSI_BP+qis*alpha_VSI_BP_VDI_SI)/alpha/alpha+2*qis*alpha_VSI_BP*alpha_VDI_SI/alpha/alpha/alpha)+phit1_VSI_BP_VDI_SI);
  phi_inf_VSI_BP_VGP_SI=(+(qis_VSI_BP_VGP_SI/alpha-(qis_VSI_BP*alpha_VGP_SI+qis_VGP_SI*alpha_VSI_BP+qis*alpha_VSI_BP_VGP_SI)/alpha/alpha+2*qis*alpha_VSI_BP*alpha_VGP_SI/alpha/alpha/alpha)+phit1_VSI_BP_VGP_SI);
  phi_inf_VSI_BP_VSI_BP=(+(qis_VSI_BP_VSI_BP/alpha-(qis_VSI_BP*alpha_VSI_BP+qis_VSI_BP*alpha_VSI_BP+qis*alpha_VSI_BP_VSI_BP)/alpha/alpha+2*qis*alpha_VSI_BP*alpha_VSI_BP/alpha/alpha/alpha)+phit1_VSI_BP_VSI_BP);
#endif
#endif
phi_inf=((qis/alpha)+pInst->phit1);
EXIT_IF_ISNAN(((qis/alpha)+pInst->phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
ysat_VGP_SI=((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI))*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  ysat_VGP_SI_VGP_SI=(+(+thesat1_VGP_SI_VGP_SI*phi_inf+thesat1_VGP_SI*phi_inf_VGP_SI+thesat1_VGP_SI*phi_inf_VGP_SI+thesat1*phi_inf_VGP_SI_VGP_SI)*7.0710678118654746e-01+((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI))*0.0+(((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI)))*0.0+(thesat1*phi_inf)*0.0);
  ysat_VGP_SI_VDI_SI=(+(+thesat1_VGP_SI_VDI_SI*phi_inf+thesat1_VGP_SI*phi_inf_VDI_SI+thesat1_VDI_SI*phi_inf_VGP_SI+thesat1*phi_inf_VGP_SI_VDI_SI)*7.0710678118654746e-01+((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI))*0.0+(((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI)))*0.0+(thesat1*phi_inf)*0.0);
  ysat_VGP_SI_VSI_BP=(+(+thesat1_VGP_SI_VSI_BP*phi_inf+thesat1_VGP_SI*phi_inf_VSI_BP+thesat1_VSI_BP*phi_inf_VGP_SI+thesat1*phi_inf_VGP_SI_VSI_BP)*7.0710678118654746e-01+((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI))*0.0+(((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP)))*0.0+(thesat1*phi_inf)*0.0);
#endif
ysat_VDI_SI=((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI))*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  ysat_VDI_SI_VGP_SI=(+(+thesat1_VDI_SI_VGP_SI*phi_inf+thesat1_VDI_SI*phi_inf_VGP_SI+thesat1_VGP_SI*phi_inf_VDI_SI+thesat1*phi_inf_VDI_SI_VGP_SI)*7.0710678118654746e-01+((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI))*0.0+(((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI)))*0.0+(thesat1*phi_inf)*0.0);
  ysat_VDI_SI_VDI_SI=(+(+thesat1_VDI_SI_VDI_SI*phi_inf+thesat1_VDI_SI*phi_inf_VDI_SI+thesat1_VDI_SI*phi_inf_VDI_SI+thesat1*phi_inf_VDI_SI_VDI_SI)*7.0710678118654746e-01+((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI))*0.0+(((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI)))*0.0+(thesat1*phi_inf)*0.0);
  ysat_VDI_SI_VSI_BP=(+(+thesat1_VDI_SI_VSI_BP*phi_inf+thesat1_VDI_SI*phi_inf_VSI_BP+thesat1_VSI_BP*phi_inf_VDI_SI+thesat1*phi_inf_VDI_SI_VSI_BP)*7.0710678118654746e-01+((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI))*0.0+(((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP)))*0.0+(thesat1*phi_inf)*0.0);
#endif
ysat_VSI_BP=((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP))*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  ysat_VSI_BP_VGP_SI=(+(+thesat1_VSI_BP_VGP_SI*phi_inf+thesat1_VSI_BP*phi_inf_VGP_SI+thesat1_VGP_SI*phi_inf_VSI_BP+thesat1*phi_inf_VSI_BP_VGP_SI)*7.0710678118654746e-01+((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP))*0.0+(((thesat1_VGP_SI*phi_inf)+(thesat1*phi_inf_VGP_SI)))*0.0+(thesat1*phi_inf)*0.0);
  ysat_VSI_BP_VDI_SI=(+(+thesat1_VSI_BP_VDI_SI*phi_inf+thesat1_VSI_BP*phi_inf_VDI_SI+thesat1_VDI_SI*phi_inf_VSI_BP+thesat1*phi_inf_VSI_BP_VDI_SI)*7.0710678118654746e-01+((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP))*0.0+(((thesat1_VDI_SI*phi_inf)+(thesat1*phi_inf_VDI_SI)))*0.0+(thesat1*phi_inf)*0.0);
  ysat_VSI_BP_VSI_BP=(+(+thesat1_VSI_BP_VSI_BP*phi_inf+thesat1_VSI_BP*phi_inf_VSI_BP+thesat1_VSI_BP*phi_inf_VSI_BP+thesat1*phi_inf_VSI_BP_VSI_BP)*7.0710678118654746e-01+((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP))*0.0+(((thesat1_VSI_BP*phi_inf)+(thesat1*phi_inf_VSI_BP)))*0.0+(thesat1*phi_inf)*0.0);
#endif
#endif
ysat=((thesat1*phi_inf)*7.0710678118654746e-01);
EXIT_IF_ISNAN(((thesat1*phi_inf)*7.0710678118654746e-01))
if
((pModel->CHNL_TYPE==(-1)))
{
{
double m00_sqrt(d00_sqrt0,(1.0+ysat))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+ysat))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
ysat_VGP_SI=((ysat_VGP_SI*d00_sqrt0-ysat*ysat_VGP_SI*d10_sqrt0)/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  ysat_VGP_SI_VGP_SI=(ysat_VGP_SI_VGP_SI/d00_sqrt0-(ysat_VGP_SI*ysat_VGP_SI*d10_sqrt0+ysat_VGP_SI*ysat_VGP_SI*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VGP_SI*ysat_VGP_SI+d10_sqrt0*(+0.0+ysat_VGP_SI_VGP_SI)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VGP_SI*d10_sqrt0*ysat_VGP_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  ysat_VGP_SI_VDI_SI=(ysat_VGP_SI_VDI_SI/d00_sqrt0-(ysat_VGP_SI*ysat_VDI_SI*d10_sqrt0+ysat_VDI_SI*ysat_VGP_SI*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VDI_SI*ysat_VGP_SI+d10_sqrt0*(+0.0+ysat_VGP_SI_VDI_SI)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VGP_SI*d10_sqrt0*ysat_VDI_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  ysat_VGP_SI_VSI_BP=(ysat_VGP_SI_VSI_BP/d00_sqrt0-(ysat_VGP_SI*ysat_VSI_BP*d10_sqrt0+ysat_VSI_BP*ysat_VGP_SI*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VSI_BP*ysat_VGP_SI+d10_sqrt0*(+0.0+ysat_VGP_SI_VSI_BP)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VGP_SI*d10_sqrt0*ysat_VSI_BP*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
ysat_VDI_SI=((ysat_VDI_SI*d00_sqrt0-ysat*ysat_VDI_SI*d10_sqrt0)/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  ysat_VDI_SI_VGP_SI=(ysat_VDI_SI_VGP_SI/d00_sqrt0-(ysat_VDI_SI*ysat_VGP_SI*d10_sqrt0+ysat_VGP_SI*ysat_VDI_SI*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VGP_SI*ysat_VDI_SI+d10_sqrt0*(+0.0+ysat_VDI_SI_VGP_SI)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VDI_SI*d10_sqrt0*ysat_VGP_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  ysat_VDI_SI_VDI_SI=(ysat_VDI_SI_VDI_SI/d00_sqrt0-(ysat_VDI_SI*ysat_VDI_SI*d10_sqrt0+ysat_VDI_SI*ysat_VDI_SI*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VDI_SI*ysat_VDI_SI+d10_sqrt0*(+0.0+ysat_VDI_SI_VDI_SI)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VDI_SI*d10_sqrt0*ysat_VDI_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  ysat_VDI_SI_VSI_BP=(ysat_VDI_SI_VSI_BP/d00_sqrt0-(ysat_VDI_SI*ysat_VSI_BP*d10_sqrt0+ysat_VSI_BP*ysat_VDI_SI*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VSI_BP*ysat_VDI_SI+d10_sqrt0*(+0.0+ysat_VDI_SI_VSI_BP)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VDI_SI*d10_sqrt0*ysat_VSI_BP*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
ysat_VSI_BP=((ysat_VSI_BP*d00_sqrt0-ysat*ysat_VSI_BP*d10_sqrt0)/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  ysat_VSI_BP_VGP_SI=(ysat_VSI_BP_VGP_SI/d00_sqrt0-(ysat_VSI_BP*ysat_VGP_SI*d10_sqrt0+ysat_VGP_SI*ysat_VSI_BP*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VGP_SI*ysat_VSI_BP+d10_sqrt0*(+0.0+ysat_VSI_BP_VGP_SI)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VSI_BP*d10_sqrt0*ysat_VGP_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  ysat_VSI_BP_VDI_SI=(ysat_VSI_BP_VDI_SI/d00_sqrt0-(ysat_VSI_BP*ysat_VDI_SI*d10_sqrt0+ysat_VDI_SI*ysat_VSI_BP*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VDI_SI*ysat_VSI_BP+d10_sqrt0*(+0.0+ysat_VSI_BP_VDI_SI)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VSI_BP*d10_sqrt0*ysat_VDI_SI*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  ysat_VSI_BP_VSI_BP=(ysat_VSI_BP_VSI_BP/d00_sqrt0-(ysat_VSI_BP*ysat_VSI_BP*d10_sqrt0+ysat_VSI_BP*ysat_VSI_BP*d10_sqrt0+ysat*(m20_sqrt((1.0+ysat))*ysat_VSI_BP*ysat_VSI_BP+d10_sqrt0*(+0.0+ysat_VSI_BP_VSI_BP)))/d00_sqrt0/d00_sqrt0+2*ysat*ysat_VSI_BP*d10_sqrt0*ysat_VSI_BP*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
#endif
ysat=(ysat/d00_sqrt0);
EXIT_IF_ISNAN((ysat/d00_sqrt0))
}
}
{
double m00_sqrt(d00_sqrt0,(1.0+(4.0*ysat)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+(4.0*ysat)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
za_VGP_SI=(-2.0*(4.0*ysat_VGP_SI)*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#if defined(_DERIVATE2)
  za_VGP_SI_VGP_SI=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VGP_SI))*d10_sqrt0+0.0*(4.0*ysat_VGP_SI)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VGP_SI))*(4.0*ysat_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VGP_SI+0.0*ysat_VGP_SI+4.0*ysat_VGP_SI_VGP_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VGP_SI)*d10_sqrt0*((4.0*ysat_VGP_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
  za_VGP_SI_VDI_SI=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VDI_SI))*d10_sqrt0+0.0*(4.0*ysat_VGP_SI)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VDI_SI))*(4.0*ysat_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VDI_SI+0.0*ysat_VGP_SI+4.0*ysat_VGP_SI_VDI_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VGP_SI)*d10_sqrt0*((4.0*ysat_VDI_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
  za_VGP_SI_VSI_BP=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VSI_BP))*d10_sqrt0+0.0*(4.0*ysat_VGP_SI)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VSI_BP))*(4.0*ysat_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VSI_BP+0.0*ysat_VGP_SI+4.0*ysat_VGP_SI_VSI_BP)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VGP_SI)*d10_sqrt0*((4.0*ysat_VSI_BP))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#endif
za_VDI_SI=(-2.0*(4.0*ysat_VDI_SI)*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#if defined(_DERIVATE2)
  za_VDI_SI_VGP_SI=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VGP_SI))*d10_sqrt0+0.0*(4.0*ysat_VDI_SI)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VGP_SI))*(4.0*ysat_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VGP_SI+0.0*ysat_VDI_SI+4.0*ysat_VDI_SI_VGP_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VDI_SI)*d10_sqrt0*((4.0*ysat_VGP_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
  za_VDI_SI_VDI_SI=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VDI_SI))*d10_sqrt0+0.0*(4.0*ysat_VDI_SI)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VDI_SI))*(4.0*ysat_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VDI_SI+0.0*ysat_VDI_SI+4.0*ysat_VDI_SI_VDI_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VDI_SI)*d10_sqrt0*((4.0*ysat_VDI_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
  za_VDI_SI_VSI_BP=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VSI_BP))*d10_sqrt0+0.0*(4.0*ysat_VDI_SI)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VSI_BP))*(4.0*ysat_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VSI_BP+0.0*ysat_VDI_SI+4.0*ysat_VDI_SI_VSI_BP)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VDI_SI)*d10_sqrt0*((4.0*ysat_VSI_BP))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#endif
za_VSI_BP=(-2.0*(4.0*ysat_VSI_BP)*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#if defined(_DERIVATE2)
  za_VSI_BP_VGP_SI=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VGP_SI))*d10_sqrt0+0.0*(4.0*ysat_VSI_BP)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VGP_SI))*(4.0*ysat_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VGP_SI+0.0*ysat_VSI_BP+4.0*ysat_VSI_BP_VGP_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VSI_BP)*d10_sqrt0*((4.0*ysat_VGP_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
  za_VSI_BP_VDI_SI=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VDI_SI))*d10_sqrt0+0.0*(4.0*ysat_VSI_BP)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VDI_SI))*(4.0*ysat_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VDI_SI+0.0*ysat_VSI_BP+4.0*ysat_VSI_BP_VDI_SI)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VSI_BP)*d10_sqrt0*((4.0*ysat_VDI_SI))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
  za_VSI_BP_VSI_BP=(0.0/(1.0+d00_sqrt0)-(0.0*((4.0*ysat_VSI_BP))*d10_sqrt0+0.0*(4.0*ysat_VSI_BP)*d10_sqrt0+2.0*(+0.0+(m20_sqrt((1.0+(4.0*ysat)))*((4.0*ysat_VSI_BP))*(4.0*ysat_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*ysat+0.0*ysat_VSI_BP+0.0*ysat_VSI_BP+4.0*ysat_VSI_BP_VSI_BP)))))/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)+2*2.0*(4.0*ysat_VSI_BP)*d10_sqrt0*((4.0*ysat_VSI_BP))*d10_sqrt0/(1.0+d00_sqrt0)/(1.0+d00_sqrt0)/(1.0+d00_sqrt0));
#endif
#endif
za=(2.0/(1.0+d00_sqrt0));
EXIT_IF_ISNAN((2.0/(1.0+d00_sqrt0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=((za_VDI_SI*ysat)+(za*ysat_VDI_SI));
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=(+za_VDI_SI_VDI_SI*ysat+za_VDI_SI*ysat_VDI_SI+za_VDI_SI*ysat_VDI_SI+za*ysat_VDI_SI_VDI_SI);
  temp1_VDI_SI_VGP_SI=(+za_VDI_SI_VGP_SI*ysat+za_VDI_SI*ysat_VGP_SI+za_VGP_SI*ysat_VDI_SI+za*ysat_VDI_SI_VGP_SI);
  temp1_VDI_SI_VSI_BP=(+za_VDI_SI_VSI_BP*ysat+za_VDI_SI*ysat_VSI_BP+za_VSI_BP*ysat_VDI_SI+za*ysat_VDI_SI_VSI_BP);
#endif
temp1_VGP_SI=((za_VGP_SI*ysat)+(za*ysat_VGP_SI));
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=(+za_VGP_SI_VDI_SI*ysat+za_VGP_SI*ysat_VDI_SI+za_VDI_SI*ysat_VGP_SI+za*ysat_VGP_SI_VDI_SI);
  temp1_VGP_SI_VGP_SI=(+za_VGP_SI_VGP_SI*ysat+za_VGP_SI*ysat_VGP_SI+za_VGP_SI*ysat_VGP_SI+za*ysat_VGP_SI_VGP_SI);
  temp1_VGP_SI_VSI_BP=(+za_VGP_SI_VSI_BP*ysat+za_VGP_SI*ysat_VSI_BP+za_VSI_BP*ysat_VGP_SI+za*ysat_VGP_SI_VSI_BP);
#endif
temp1_VSI_BP=((za_VSI_BP*ysat)+(za*ysat_VSI_BP));
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=(+za_VSI_BP_VDI_SI*ysat+za_VSI_BP*ysat_VDI_SI+za_VDI_SI*ysat_VSI_BP+za*ysat_VSI_BP_VDI_SI);
  temp1_VSI_BP_VGP_SI=(+za_VSI_BP_VGP_SI*ysat+za_VSI_BP*ysat_VGP_SI+za_VGP_SI*ysat_VSI_BP+za*ysat_VSI_BP_VGP_SI);
  temp1_VSI_BP_VSI_BP=(+za_VSI_BP_VSI_BP*ysat+za_VSI_BP*ysat_VSI_BP+za_VSI_BP*ysat_VSI_BP+za*ysat_VSI_BP_VSI_BP);
#endif
#endif
pInst->temp1=(za*ysat);
EXIT_IF_ISNAN((za*ysat))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Phi_0_VDI_SI=((((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI))*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))))+((phi_inf*za)*(0.86*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
#if defined(_DERIVATE2)
  Phi_0_VDI_SI_VDI_SI=(+(+phi_inf_VDI_SI_VDI_SI*za+phi_inf_VDI_SI*za_VDI_SI+phi_inf_VDI_SI*za_VDI_SI+phi_inf*za_VDI_SI_VDI_SI)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI))*((0.86*(((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI)))*(0.86*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VDI_SI_VDI_SI*(1.0-(pInst->temp1*za))+temp1_VDI_SI*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI))))+temp1_VDI_SI*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))+pInst->temp1*(+0.0-(+temp1_VDI_SI_VDI_SI*za+temp1_VDI_SI*za_VDI_SI+temp1_VDI_SI*za_VDI_SI+pInst->temp1*za_VDI_SI_VDI_SI)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))))+(((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))+0.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))+4.0*(+(+temp1_VDI_SI_VDI_SI*pInst->temp1+temp1_VDI_SI*temp1_VDI_SI+temp1_VDI_SI*temp1_VDI_SI+pInst->temp1*temp1_VDI_SI_VDI_SI)*za+((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za_VDI_SI+(((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za_VDI_SI+(pInst->temp1*pInst->temp1)*za_VDI_SI_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
  Phi_0_VDI_SI_VGP_SI=(+(+phi_inf_VDI_SI_VGP_SI*za+phi_inf_VDI_SI*za_VGP_SI+phi_inf_VGP_SI*za_VDI_SI+phi_inf*za_VDI_SI_VGP_SI)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI))*((0.86*(((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI)))*(0.86*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VDI_SI_VGP_SI*(1.0-(pInst->temp1*za))+temp1_VDI_SI*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI))))+temp1_VGP_SI*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))+pInst->temp1*(+0.0-(+temp1_VDI_SI_VGP_SI*za+temp1_VDI_SI*za_VGP_SI+temp1_VGP_SI*za_VDI_SI+pInst->temp1*za_VDI_SI_VGP_SI)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))))+(((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))+0.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))+4.0*(+(+temp1_VDI_SI_VGP_SI*pInst->temp1+temp1_VDI_SI*temp1_VGP_SI+temp1_VGP_SI*temp1_VDI_SI+pInst->temp1*temp1_VDI_SI_VGP_SI)*za+((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za_VGP_SI+(((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za_VDI_SI+(pInst->temp1*pInst->temp1)*za_VDI_SI_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
  Phi_0_VDI_SI_VSI_BP=(+(+phi_inf_VDI_SI_VSI_BP*za+phi_inf_VDI_SI*za_VSI_BP+phi_inf_VSI_BP*za_VDI_SI+phi_inf*za_VDI_SI_VSI_BP)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI))*((0.86*(((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP)))*(0.86*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VDI_SI_VSI_BP*(1.0-(pInst->temp1*za))+temp1_VDI_SI*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP))))+temp1_VSI_BP*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))+pInst->temp1*(+0.0-(+temp1_VDI_SI_VSI_BP*za+temp1_VDI_SI*za_VSI_BP+temp1_VSI_BP*za_VDI_SI+pInst->temp1*za_VDI_SI_VSI_BP)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))))+(((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))+0.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))+4.0*(+(+temp1_VDI_SI_VSI_BP*pInst->temp1+temp1_VDI_SI*temp1_VSI_BP+temp1_VSI_BP*temp1_VDI_SI+pInst->temp1*temp1_VDI_SI_VSI_BP)*za+((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za_VSI_BP+(((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za_VDI_SI+(pInst->temp1*pInst->temp1)*za_VDI_SI_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
#endif
Phi_0_VGP_SI=((((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI))*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))))+((phi_inf*za)*(0.86*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
#if defined(_DERIVATE2)
  Phi_0_VGP_SI_VDI_SI=(+(+phi_inf_VGP_SI_VDI_SI*za+phi_inf_VGP_SI*za_VDI_SI+phi_inf_VDI_SI*za_VGP_SI+phi_inf*za_VGP_SI_VDI_SI)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI))*((0.86*(((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI)))*(0.86*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VGP_SI_VDI_SI*(1.0-(pInst->temp1*za))+temp1_VGP_SI*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI))))+temp1_VDI_SI*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))+pInst->temp1*(+0.0-(+temp1_VGP_SI_VDI_SI*za+temp1_VGP_SI*za_VDI_SI+temp1_VDI_SI*za_VGP_SI+pInst->temp1*za_VGP_SI_VDI_SI)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))))+(((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))+0.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))+4.0*(+(+temp1_VGP_SI_VDI_SI*pInst->temp1+temp1_VGP_SI*temp1_VDI_SI+temp1_VDI_SI*temp1_VGP_SI+pInst->temp1*temp1_VGP_SI_VDI_SI)*za+((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za_VDI_SI+(((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za_VGP_SI+(pInst->temp1*pInst->temp1)*za_VGP_SI_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
  Phi_0_VGP_SI_VGP_SI=(+(+phi_inf_VGP_SI_VGP_SI*za+phi_inf_VGP_SI*za_VGP_SI+phi_inf_VGP_SI*za_VGP_SI+phi_inf*za_VGP_SI_VGP_SI)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI))*((0.86*(((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI)))*(0.86*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VGP_SI_VGP_SI*(1.0-(pInst->temp1*za))+temp1_VGP_SI*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI))))+temp1_VGP_SI*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))+pInst->temp1*(+0.0-(+temp1_VGP_SI_VGP_SI*za+temp1_VGP_SI*za_VGP_SI+temp1_VGP_SI*za_VGP_SI+pInst->temp1*za_VGP_SI_VGP_SI)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))))+(((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))+0.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))+4.0*(+(+temp1_VGP_SI_VGP_SI*pInst->temp1+temp1_VGP_SI*temp1_VGP_SI+temp1_VGP_SI*temp1_VGP_SI+pInst->temp1*temp1_VGP_SI_VGP_SI)*za+((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za_VGP_SI+(((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za_VGP_SI+(pInst->temp1*pInst->temp1)*za_VGP_SI_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
  Phi_0_VGP_SI_VSI_BP=(+(+phi_inf_VGP_SI_VSI_BP*za+phi_inf_VGP_SI*za_VSI_BP+phi_inf_VSI_BP*za_VGP_SI+phi_inf*za_VGP_SI_VSI_BP)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI))*((0.86*(((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP)))*(0.86*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VGP_SI_VSI_BP*(1.0-(pInst->temp1*za))+temp1_VGP_SI*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP))))+temp1_VSI_BP*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))+pInst->temp1*(+0.0-(+temp1_VGP_SI_VSI_BP*za+temp1_VGP_SI*za_VSI_BP+temp1_VSI_BP*za_VGP_SI+pInst->temp1*za_VGP_SI_VSI_BP)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))))+(((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))+0.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))+4.0*(+(+temp1_VGP_SI_VSI_BP*pInst->temp1+temp1_VGP_SI*temp1_VSI_BP+temp1_VSI_BP*temp1_VGP_SI+pInst->temp1*temp1_VGP_SI_VSI_BP)*za+((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za_VSI_BP+(((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za_VGP_SI+(pInst->temp1*pInst->temp1)*za_VGP_SI_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
#endif
Phi_0_VSI_BP=((((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP))*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))))+((phi_inf*za)*(0.86*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
#if defined(_DERIVATE2)
  Phi_0_VSI_BP_VDI_SI=(+(+phi_inf_VSI_BP_VDI_SI*za+phi_inf_VSI_BP*za_VDI_SI+phi_inf_VDI_SI*za_VSI_BP+phi_inf*za_VSI_BP_VDI_SI)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP))*((0.86*(((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VDI_SI*za)+(phi_inf*za_VDI_SI)))*(0.86*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VSI_BP_VDI_SI*(1.0-(pInst->temp1*za))+temp1_VSI_BP*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI))))+temp1_VDI_SI*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))+pInst->temp1*(+0.0-(+temp1_VSI_BP_VDI_SI*za+temp1_VSI_BP*za_VDI_SI+temp1_VDI_SI*za_VSI_BP+pInst->temp1*za_VSI_BP_VDI_SI)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))))+(((temp1_VDI_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VDI_SI*za)+(pInst->temp1*za_VDI_SI)))))))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))+0.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))+4.0*(+(+temp1_VSI_BP_VDI_SI*pInst->temp1+temp1_VSI_BP*temp1_VDI_SI+temp1_VDI_SI*temp1_VSI_BP+pInst->temp1*temp1_VSI_BP_VDI_SI)*za+((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za_VDI_SI+(((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za_VSI_BP+(pInst->temp1*pInst->temp1)*za_VSI_BP_VDI_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))*((4.0*((((((temp1_VDI_SI*pInst->temp1)+(pInst->temp1*temp1_VDI_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VDI_SI)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
  Phi_0_VSI_BP_VGP_SI=(+(+phi_inf_VSI_BP_VGP_SI*za+phi_inf_VSI_BP*za_VGP_SI+phi_inf_VGP_SI*za_VSI_BP+phi_inf*za_VSI_BP_VGP_SI)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP))*((0.86*(((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VGP_SI*za)+(phi_inf*za_VGP_SI)))*(0.86*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VSI_BP_VGP_SI*(1.0-(pInst->temp1*za))+temp1_VSI_BP*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI))))+temp1_VGP_SI*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))+pInst->temp1*(+0.0-(+temp1_VSI_BP_VGP_SI*za+temp1_VSI_BP*za_VGP_SI+temp1_VGP_SI*za_VSI_BP+pInst->temp1*za_VSI_BP_VGP_SI)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))))+(((temp1_VGP_SI*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VGP_SI*za)+(pInst->temp1*za_VGP_SI)))))))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))+0.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))+4.0*(+(+temp1_VSI_BP_VGP_SI*pInst->temp1+temp1_VSI_BP*temp1_VGP_SI+temp1_VGP_SI*temp1_VSI_BP+pInst->temp1*temp1_VSI_BP_VGP_SI)*za+((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za_VGP_SI+(((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za_VSI_BP+(pInst->temp1*pInst->temp1)*za_VSI_BP_VGP_SI))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))*((4.0*((((((temp1_VGP_SI*pInst->temp1)+(pInst->temp1*temp1_VGP_SI)))*za)+((pInst->temp1*pInst->temp1)*za_VGP_SI)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
  Phi_0_VSI_BP_VSI_BP=(+(+phi_inf_VSI_BP_VSI_BP*za+phi_inf_VSI_BP*za_VSI_BP+phi_inf_VSI_BP*za_VSI_BP+phi_inf*za_VSI_BP_VSI_BP)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP))*((0.86*(((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))+(((phi_inf_VSI_BP*za)+(phi_inf*za_VSI_BP)))*(0.86*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))+(phi_inf*za)*(+0.0+(+0.0*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*(((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.0*((((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))+0.86*((+temp1_VSI_BP_VSI_BP*(1.0-(pInst->temp1*za))+temp1_VSI_BP*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP))))+temp1_VSI_BP*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))+pInst->temp1*(+0.0-(+temp1_VSI_BP_VSI_BP*za+temp1_VSI_BP*za_VSI_BP+temp1_VSI_BP*za_VSI_BP+pInst->temp1*za_VSI_BP_VSI_BP)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))-(((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))))+(((temp1_VSI_BP*(1.0-(pInst->temp1*za)))+(pInst->temp1*(-(((temp1_VSI_BP*za)+(pInst->temp1*za_VSI_BP)))))))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))+(pInst->temp1*(1.0-(pInst->temp1*za)))*(+0.0+(+0.0*((pInst->temp1*pInst->temp1)*za)+0.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))+0.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP))+4.0*(+(+temp1_VSI_BP_VSI_BP*pInst->temp1+temp1_VSI_BP*temp1_VSI_BP+temp1_VSI_BP*temp1_VSI_BP+pInst->temp1*temp1_VSI_BP_VSI_BP)*za+((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za_VSI_BP+(((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za_VSI_BP+(pInst->temp1*pInst->temp1)*za_VSI_BP_VSI_BP))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))+2*(pInst->temp1*(1.0-(pInst->temp1*za)))*(4.0*((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))*((4.0*((((((temp1_VSI_BP*pInst->temp1)+(pInst->temp1*temp1_VSI_BP)))*za)+((pInst->temp1*pInst->temp1)*za_VSI_BP)))))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
#endif
#endif
Phi_0=((phi_inf*za)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za)))))));
EXIT_IF_ISNAN(((phi_inf*za)*(1.0+(0.86*((pInst->temp1*(1.0-(pInst->temp1*za)))/(1.0+(4.0*((pInst->temp1*pInst->temp1)*za))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
asat_VDI_SI=(xgs_VDI_SI+(0.5*Gf2_VDI_SI));
#if defined(_DERIVATE2)
  asat_VDI_SI_VDI_SI=(+xgs_VDI_SI_VDI_SI+(+0.0*Gf2+0.0*Gf2_VDI_SI+0.0*Gf2_VDI_SI+0.5*Gf2_VDI_SI_VDI_SI));
  asat_VDI_SI_VGP_SI=(+xgs_VDI_SI_VGP_SI+(+0.0*Gf2+0.0*Gf2_VGP_SI+0.0*Gf2_VDI_SI+0.5*Gf2_VDI_SI_VGP_SI));
  asat_VDI_SI_VSI_BP=(+xgs_VDI_SI_VSI_BP+(+0.0*Gf2+0.0*Gf2_VSI_BP+0.0*Gf2_VDI_SI+0.5*Gf2_VDI_SI_VSI_BP));
#endif
asat_VGP_SI=(xgs_VGP_SI+(0.5*Gf2_VGP_SI));
#if defined(_DERIVATE2)
  asat_VGP_SI_VDI_SI=(+xgs_VGP_SI_VDI_SI+(+0.0*Gf2+0.0*Gf2_VDI_SI+0.0*Gf2_VGP_SI+0.5*Gf2_VGP_SI_VDI_SI));
  asat_VGP_SI_VGP_SI=(+xgs_VGP_SI_VGP_SI+(+0.0*Gf2+0.0*Gf2_VGP_SI+0.0*Gf2_VGP_SI+0.5*Gf2_VGP_SI_VGP_SI));
  asat_VGP_SI_VSI_BP=(+xgs_VGP_SI_VSI_BP+(+0.0*Gf2+0.0*Gf2_VSI_BP+0.0*Gf2_VGP_SI+0.5*Gf2_VGP_SI_VSI_BP));
#endif
asat_VSI_BP=(xgs_VSI_BP+(0.5*Gf2_VSI_BP));
#if defined(_DERIVATE2)
  asat_VSI_BP_VDI_SI=(+xgs_VSI_BP_VDI_SI+(+0.0*Gf2+0.0*Gf2_VDI_SI+0.0*Gf2_VSI_BP+0.5*Gf2_VSI_BP_VDI_SI));
  asat_VSI_BP_VGP_SI=(+xgs_VSI_BP_VGP_SI+(+0.0*Gf2+0.0*Gf2_VGP_SI+0.0*Gf2_VSI_BP+0.5*Gf2_VSI_BP_VGP_SI));
  asat_VSI_BP_VSI_BP=(+xgs_VSI_BP_VSI_BP+(+0.0*Gf2+0.0*Gf2_VSI_BP+0.0*Gf2_VSI_BP+0.5*Gf2_VSI_BP_VSI_BP));
#endif
#endif
asat=(xgs+(0.5*Gf2));
EXIT_IF_ISNAN((xgs+(0.5*Gf2)))
{
double m00_sqrt(d00_sqrt0,((asat*asat)-((Gf2*Ds)*0.98)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((asat*asat)-((Gf2*Ds)*0.98)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Phi_2_VDI_SI=(0.98*((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
#if defined(_DERIVATE2)
  Phi_2_VDI_SI_VDI_SI=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VDI_SI_VDI_SI*Ds+Gf2_VDI_SI*Ds_VDI_SI+Gf2_VDI_SI*Ds_VDI_SI+Gf2*Ds_VDI_SI_VDI_SI)*pInst->phit1+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*phit1_VDI_SI+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*phit1_VDI_SI+(Gf2*Ds)*phit1_VDI_SI_VDI_SI)/(asat+d00_sqrt0)-(((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0)+((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VDI_SI_VDI_SI+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)+d10_sqrt0*(+(+asat_VDI_SI_VDI_SI*asat+asat_VDI_SI*asat_VDI_SI+asat_VDI_SI*asat_VDI_SI+asat*asat_VDI_SI_VDI_SI)-(+(+Gf2_VDI_SI_VDI_SI*Ds+Gf2_VDI_SI*Ds_VDI_SI+Gf2_VDI_SI*Ds_VDI_SI+Gf2*Ds_VDI_SI_VDI_SI)*0.98+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.0+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0)*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
  Phi_2_VDI_SI_VGP_SI=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VDI_SI_VGP_SI*Ds+Gf2_VDI_SI*Ds_VGP_SI+Gf2_VGP_SI*Ds_VDI_SI+Gf2*Ds_VDI_SI_VGP_SI)*pInst->phit1+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*phit1_VGP_SI+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*phit1_VDI_SI+(Gf2*Ds)*phit1_VDI_SI_VGP_SI)/(asat+d00_sqrt0)-(((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0)+((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VDI_SI_VGP_SI+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)+d10_sqrt0*(+(+asat_VDI_SI_VGP_SI*asat+asat_VDI_SI*asat_VGP_SI+asat_VGP_SI*asat_VDI_SI+asat*asat_VDI_SI_VGP_SI)-(+(+Gf2_VDI_SI_VGP_SI*Ds+Gf2_VDI_SI*Ds_VGP_SI+Gf2_VGP_SI*Ds_VDI_SI+Gf2*Ds_VDI_SI_VGP_SI)*0.98+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.0+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0)*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
  Phi_2_VDI_SI_VSI_BP=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VDI_SI_VSI_BP*Ds+Gf2_VDI_SI*Ds_VSI_BP+Gf2_VSI_BP*Ds_VDI_SI+Gf2*Ds_VDI_SI_VSI_BP)*pInst->phit1+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*phit1_VSI_BP+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*phit1_VDI_SI+(Gf2*Ds)*phit1_VDI_SI_VSI_BP)/(asat+d00_sqrt0)-(((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI))*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0)+((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VDI_SI_VSI_BP+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)+d10_sqrt0*(+(+asat_VDI_SI_VSI_BP*asat+asat_VDI_SI*asat_VSI_BP+asat_VSI_BP*asat_VDI_SI+asat*asat_VDI_SI_VSI_BP)-(+(+Gf2_VDI_SI_VSI_BP*Ds+Gf2_VDI_SI*Ds_VSI_BP+Gf2_VSI_BP*Ds_VDI_SI+Gf2*Ds_VDI_SI_VSI_BP)*0.98+((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.0+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+(((asat_VDI_SI*asat)+(asat*asat_VDI_SI))-((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI))*0.98)*d10_sqrt0)*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
#endif
Phi_2_VGP_SI=(0.98*((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
#if defined(_DERIVATE2)
  Phi_2_VGP_SI_VDI_SI=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VGP_SI_VDI_SI*Ds+Gf2_VGP_SI*Ds_VDI_SI+Gf2_VDI_SI*Ds_VGP_SI+Gf2*Ds_VGP_SI_VDI_SI)*pInst->phit1+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*phit1_VDI_SI+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*phit1_VGP_SI+(Gf2*Ds)*phit1_VGP_SI_VDI_SI)/(asat+d00_sqrt0)-(((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0)+((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VGP_SI_VDI_SI+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)+d10_sqrt0*(+(+asat_VGP_SI_VDI_SI*asat+asat_VGP_SI*asat_VDI_SI+asat_VDI_SI*asat_VGP_SI+asat*asat_VGP_SI_VDI_SI)-(+(+Gf2_VGP_SI_VDI_SI*Ds+Gf2_VGP_SI*Ds_VDI_SI+Gf2_VDI_SI*Ds_VGP_SI+Gf2*Ds_VGP_SI_VDI_SI)*0.98+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.0+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0)*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
  Phi_2_VGP_SI_VGP_SI=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VGP_SI_VGP_SI*Ds+Gf2_VGP_SI*Ds_VGP_SI+Gf2_VGP_SI*Ds_VGP_SI+Gf2*Ds_VGP_SI_VGP_SI)*pInst->phit1+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*phit1_VGP_SI+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*phit1_VGP_SI+(Gf2*Ds)*phit1_VGP_SI_VGP_SI)/(asat+d00_sqrt0)-(((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0)+((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VGP_SI_VGP_SI+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)+d10_sqrt0*(+(+asat_VGP_SI_VGP_SI*asat+asat_VGP_SI*asat_VGP_SI+asat_VGP_SI*asat_VGP_SI+asat*asat_VGP_SI_VGP_SI)-(+(+Gf2_VGP_SI_VGP_SI*Ds+Gf2_VGP_SI*Ds_VGP_SI+Gf2_VGP_SI*Ds_VGP_SI+Gf2*Ds_VGP_SI_VGP_SI)*0.98+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.0+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0)*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
  Phi_2_VGP_SI_VSI_BP=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VGP_SI_VSI_BP*Ds+Gf2_VGP_SI*Ds_VSI_BP+Gf2_VSI_BP*Ds_VGP_SI+Gf2*Ds_VGP_SI_VSI_BP)*pInst->phit1+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*phit1_VSI_BP+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*phit1_VGP_SI+(Gf2*Ds)*phit1_VGP_SI_VSI_BP)/(asat+d00_sqrt0)-(((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI))*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0)+((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VGP_SI_VSI_BP+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)+d10_sqrt0*(+(+asat_VGP_SI_VSI_BP*asat+asat_VGP_SI*asat_VSI_BP+asat_VSI_BP*asat_VGP_SI+asat*asat_VGP_SI_VSI_BP)-(+(+Gf2_VGP_SI_VSI_BP*Ds+Gf2_VGP_SI*Ds_VSI_BP+Gf2_VSI_BP*Ds_VGP_SI+Gf2*Ds_VGP_SI_VSI_BP)*0.98+((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.0+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+(((asat_VGP_SI*asat)+(asat*asat_VGP_SI))-((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI))*0.98)*d10_sqrt0)*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
#endif
Phi_2_VSI_BP=(0.98*((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
#if defined(_DERIVATE2)
  Phi_2_VSI_BP_VDI_SI=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VSI_BP_VDI_SI*Ds+Gf2_VSI_BP*Ds_VDI_SI+Gf2_VDI_SI*Ds_VSI_BP+Gf2*Ds_VSI_BP_VDI_SI)*pInst->phit1+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*phit1_VDI_SI+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*phit1_VSI_BP+(Gf2*Ds)*phit1_VSI_BP_VDI_SI)/(asat+d00_sqrt0)-(((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0)+((((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VDI_SI)))*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VSI_BP_VDI_SI+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)+d10_sqrt0*(+(+asat_VSI_BP_VDI_SI*asat+asat_VSI_BP*asat_VDI_SI+asat_VDI_SI*asat_VSI_BP+asat*asat_VSI_BP_VDI_SI)-(+(+Gf2_VSI_BP_VDI_SI*Ds+Gf2_VSI_BP*Ds_VDI_SI+Gf2_VDI_SI*Ds_VSI_BP+Gf2*Ds_VSI_BP_VDI_SI)*0.98+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.0+(((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0)*(asat_VDI_SI+((((asat_VDI_SI*asat)+(asat*asat_VDI_SI)))-((((Gf2_VDI_SI*Ds)+(Gf2*Ds_VDI_SI)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
  Phi_2_VSI_BP_VGP_SI=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VSI_BP_VGP_SI*Ds+Gf2_VSI_BP*Ds_VGP_SI+Gf2_VGP_SI*Ds_VSI_BP+Gf2*Ds_VSI_BP_VGP_SI)*pInst->phit1+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*phit1_VGP_SI+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*phit1_VSI_BP+(Gf2*Ds)*phit1_VSI_BP_VGP_SI)/(asat+d00_sqrt0)-(((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0)+((((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*pInst->phit1)+((Gf2*Ds)*phit1_VGP_SI)))*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VSI_BP_VGP_SI+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)+d10_sqrt0*(+(+asat_VSI_BP_VGP_SI*asat+asat_VSI_BP*asat_VGP_SI+asat_VGP_SI*asat_VSI_BP+asat*asat_VSI_BP_VGP_SI)-(+(+Gf2_VSI_BP_VGP_SI*Ds+Gf2_VSI_BP*Ds_VGP_SI+Gf2_VGP_SI*Ds_VSI_BP+Gf2*Ds_VSI_BP_VGP_SI)*0.98+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.0+(((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0)*(asat_VGP_SI+((((asat_VGP_SI*asat)+(asat*asat_VGP_SI)))-((((Gf2_VGP_SI*Ds)+(Gf2*Ds_VGP_SI)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
  Phi_2_VSI_BP_VSI_BP=(+0.0*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))+0.0*((((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.0*((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat+d00_sqrt0)-((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0))/(asat+d00_sqrt0)/(asat+d00_sqrt0))+0.98*((+(+Gf2_VSI_BP_VSI_BP*Ds+Gf2_VSI_BP*Ds_VSI_BP+Gf2_VSI_BP*Ds_VSI_BP+Gf2*Ds_VSI_BP_VSI_BP)*pInst->phit1+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*phit1_VSI_BP+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*phit1_VSI_BP+(Gf2*Ds)*phit1_VSI_BP_VSI_BP)/(asat+d00_sqrt0)-(((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP))*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0)+((((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*pInst->phit1)+((Gf2*Ds)*phit1_VSI_BP)))*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0)+((Gf2*Ds)*pInst->phit1)*(+asat_VSI_BP_VSI_BP+(m20_sqrt(((asat*asat)-((Gf2*Ds)*0.98)))*((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)+d10_sqrt0*(+(+asat_VSI_BP_VSI_BP*asat+asat_VSI_BP*asat_VSI_BP+asat_VSI_BP*asat_VSI_BP+asat*asat_VSI_BP_VSI_BP)-(+(+Gf2_VSI_BP_VSI_BP*Ds+Gf2_VSI_BP*Ds_VSI_BP+Gf2_VSI_BP*Ds_VSI_BP+Gf2*Ds_VSI_BP_VSI_BP)*0.98+((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.0+(((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.0+(Gf2*Ds)*0.0)))))/(asat+d00_sqrt0)/(asat+d00_sqrt0)+2*((Gf2*Ds)*pInst->phit1)*(asat_VSI_BP+(((asat_VSI_BP*asat)+(asat*asat_VSI_BP))-((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP))*0.98)*d10_sqrt0)*(asat_VSI_BP+((((asat_VSI_BP*asat)+(asat*asat_VSI_BP)))-((((Gf2_VSI_BP*Ds)+(Gf2*Ds_VSI_BP)))*0.98))*d10_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)/(asat+d00_sqrt0)));
#endif
#endif
Phi_2=(0.98*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0)));
EXIT_IF_ISNAN((0.98*(((Gf2*Ds)*pInst->phit1)/(asat+d00_sqrt0))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Phi_0_2_VDI_SI=(Phi_0_VDI_SI+Phi_2_VDI_SI);
#if defined(_DERIVATE2)
  Phi_0_2_VDI_SI_VDI_SI=(+Phi_0_VDI_SI_VDI_SI+Phi_2_VDI_SI_VDI_SI);
  Phi_0_2_VDI_SI_VGP_SI=(+Phi_0_VDI_SI_VGP_SI+Phi_2_VDI_SI_VGP_SI);
  Phi_0_2_VDI_SI_VSI_BP=(+Phi_0_VDI_SI_VSI_BP+Phi_2_VDI_SI_VSI_BP);
#endif
Phi_0_2_VGP_SI=(Phi_0_VGP_SI+Phi_2_VGP_SI);
#if defined(_DERIVATE2)
  Phi_0_2_VGP_SI_VDI_SI=(+Phi_0_VGP_SI_VDI_SI+Phi_2_VGP_SI_VDI_SI);
  Phi_0_2_VGP_SI_VGP_SI=(+Phi_0_VGP_SI_VGP_SI+Phi_2_VGP_SI_VGP_SI);
  Phi_0_2_VGP_SI_VSI_BP=(+Phi_0_VGP_SI_VSI_BP+Phi_2_VGP_SI_VSI_BP);
#endif
Phi_0_2_VSI_BP=(Phi_0_VSI_BP+Phi_2_VSI_BP);
#if defined(_DERIVATE2)
  Phi_0_2_VSI_BP_VDI_SI=(+Phi_0_VSI_BP_VDI_SI+Phi_2_VSI_BP_VDI_SI);
  Phi_0_2_VSI_BP_VGP_SI=(+Phi_0_VSI_BP_VGP_SI+Phi_2_VSI_BP_VGP_SI);
  Phi_0_2_VSI_BP_VSI_BP=(+Phi_0_VSI_BP_VSI_BP+Phi_2_VSI_BP_VSI_BP);
#endif
#endif
Phi_0_2=(Phi_0+Phi_2);
EXIT_IF_ISNAN((Phi_0+Phi_2))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Phi0_Phi2_VDI_SI=(2.0*((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI)));
#if defined(_DERIVATE2)
  Phi0_Phi2_VDI_SI_VDI_SI=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI)))+0.0*((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI))+2.0*(+Phi_0_VDI_SI_VDI_SI*Phi_2+Phi_0_VDI_SI*Phi_2_VDI_SI+Phi_0_VDI_SI*Phi_2_VDI_SI+Phi_0*Phi_2_VDI_SI_VDI_SI));
  Phi0_Phi2_VDI_SI_VGP_SI=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI)))+0.0*((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI))+2.0*(+Phi_0_VDI_SI_VGP_SI*Phi_2+Phi_0_VDI_SI*Phi_2_VGP_SI+Phi_0_VGP_SI*Phi_2_VDI_SI+Phi_0*Phi_2_VDI_SI_VGP_SI));
  Phi0_Phi2_VDI_SI_VSI_BP=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP)))+0.0*((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI))+2.0*(+Phi_0_VDI_SI_VSI_BP*Phi_2+Phi_0_VDI_SI*Phi_2_VSI_BP+Phi_0_VSI_BP*Phi_2_VDI_SI+Phi_0*Phi_2_VDI_SI_VSI_BP));
#endif
Phi0_Phi2_VGP_SI=(2.0*((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI)));
#if defined(_DERIVATE2)
  Phi0_Phi2_VGP_SI_VDI_SI=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI)))+0.0*((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI))+2.0*(+Phi_0_VGP_SI_VDI_SI*Phi_2+Phi_0_VGP_SI*Phi_2_VDI_SI+Phi_0_VDI_SI*Phi_2_VGP_SI+Phi_0*Phi_2_VGP_SI_VDI_SI));
  Phi0_Phi2_VGP_SI_VGP_SI=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI)))+0.0*((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI))+2.0*(+Phi_0_VGP_SI_VGP_SI*Phi_2+Phi_0_VGP_SI*Phi_2_VGP_SI+Phi_0_VGP_SI*Phi_2_VGP_SI+Phi_0*Phi_2_VGP_SI_VGP_SI));
  Phi0_Phi2_VGP_SI_VSI_BP=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP)))+0.0*((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI))+2.0*(+Phi_0_VGP_SI_VSI_BP*Phi_2+Phi_0_VGP_SI*Phi_2_VSI_BP+Phi_0_VSI_BP*Phi_2_VGP_SI+Phi_0*Phi_2_VGP_SI_VSI_BP));
#endif
Phi0_Phi2_VSI_BP=(2.0*((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP)));
#if defined(_DERIVATE2)
  Phi0_Phi2_VSI_BP_VDI_SI=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VDI_SI*Phi_2)+(Phi_0*Phi_2_VDI_SI)))+0.0*((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP))+2.0*(+Phi_0_VSI_BP_VDI_SI*Phi_2+Phi_0_VSI_BP*Phi_2_VDI_SI+Phi_0_VDI_SI*Phi_2_VSI_BP+Phi_0*Phi_2_VSI_BP_VDI_SI));
  Phi0_Phi2_VSI_BP_VGP_SI=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VGP_SI*Phi_2)+(Phi_0*Phi_2_VGP_SI)))+0.0*((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP))+2.0*(+Phi_0_VSI_BP_VGP_SI*Phi_2+Phi_0_VSI_BP*Phi_2_VGP_SI+Phi_0_VGP_SI*Phi_2_VSI_BP+Phi_0*Phi_2_VSI_BP_VGP_SI));
  Phi0_Phi2_VSI_BP_VSI_BP=(+0.0*(Phi_0*Phi_2)+0.0*(((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP)))+0.0*((Phi_0_VSI_BP*Phi_2)+(Phi_0*Phi_2_VSI_BP))+2.0*(+Phi_0_VSI_BP_VSI_BP*Phi_2+Phi_0_VSI_BP*Phi_2_VSI_BP+Phi_0_VSI_BP*Phi_2_VSI_BP+Phi_0*Phi_2_VSI_BP_VSI_BP));
#endif
#endif
Phi0_Phi2=(2.0*(Phi_0*Phi_2));
EXIT_IF_ISNAN((2.0*(Phi_0*Phi_2)))
{
double m00_sqrt(d00_sqrt0,((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Phi_sat_VDI_SI=((Phi0_Phi2_VDI_SI*(Phi_0_2+d00_sqrt0)-Phi0_Phi2*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
#if defined(_DERIVATE2)
  Phi_sat_VDI_SI_VDI_SI=(Phi0_Phi2_VDI_SI_VDI_SI/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VDI_SI*(Phi_0_2_VDI_SI+((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*d10_sqrt0)+Phi0_Phi2_VDI_SI*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VDI_SI_VDI_SI+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))+d10_sqrt0*(+(+Phi_0_2_VDI_SI_VDI_SI*Phi_0_2+Phi_0_2_VDI_SI*Phi_0_2_VDI_SI+Phi_0_2_VDI_SI*Phi_0_2_VDI_SI+Phi_0_2*Phi_0_2_VDI_SI_VDI_SI)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VDI_SI+0.0*Phi0_Phi2_VDI_SI+1.98*Phi0_Phi2_VDI_SI_VDI_SI)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0)*(Phi_0_2_VDI_SI+((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
  Phi_sat_VDI_SI_VGP_SI=(Phi0_Phi2_VDI_SI_VGP_SI/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VDI_SI*(Phi_0_2_VGP_SI+((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*d10_sqrt0)+Phi0_Phi2_VGP_SI*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VDI_SI_VGP_SI+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))+d10_sqrt0*(+(+Phi_0_2_VDI_SI_VGP_SI*Phi_0_2+Phi_0_2_VDI_SI*Phi_0_2_VGP_SI+Phi_0_2_VGP_SI*Phi_0_2_VDI_SI+Phi_0_2*Phi_0_2_VDI_SI_VGP_SI)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VGP_SI+0.0*Phi0_Phi2_VDI_SI+1.98*Phi0_Phi2_VDI_SI_VGP_SI)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0)*(Phi_0_2_VGP_SI+((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
  Phi_sat_VDI_SI_VSI_BP=(Phi0_Phi2_VDI_SI_VSI_BP/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VDI_SI*(Phi_0_2_VSI_BP+((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*d10_sqrt0)+Phi0_Phi2_VSI_BP*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VDI_SI_VSI_BP+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))+d10_sqrt0*(+(+Phi_0_2_VDI_SI_VSI_BP*Phi_0_2+Phi_0_2_VDI_SI*Phi_0_2_VSI_BP+Phi_0_2_VSI_BP*Phi_0_2_VDI_SI+Phi_0_2*Phi_0_2_VDI_SI_VSI_BP)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VSI_BP+0.0*Phi0_Phi2_VDI_SI+1.98*Phi0_Phi2_VDI_SI_VSI_BP)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VDI_SI+(((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI))-(1.98*Phi0_Phi2_VDI_SI))*d10_sqrt0)*(Phi_0_2_VSI_BP+((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
#endif
Phi_sat_VGP_SI=((Phi0_Phi2_VGP_SI*(Phi_0_2+d00_sqrt0)-Phi0_Phi2*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
#if defined(_DERIVATE2)
  Phi_sat_VGP_SI_VDI_SI=(Phi0_Phi2_VGP_SI_VDI_SI/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VGP_SI*(Phi_0_2_VDI_SI+((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*d10_sqrt0)+Phi0_Phi2_VDI_SI*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VGP_SI_VDI_SI+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))+d10_sqrt0*(+(+Phi_0_2_VGP_SI_VDI_SI*Phi_0_2+Phi_0_2_VGP_SI*Phi_0_2_VDI_SI+Phi_0_2_VDI_SI*Phi_0_2_VGP_SI+Phi_0_2*Phi_0_2_VGP_SI_VDI_SI)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VDI_SI+0.0*Phi0_Phi2_VGP_SI+1.98*Phi0_Phi2_VGP_SI_VDI_SI)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0)*(Phi_0_2_VDI_SI+((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
  Phi_sat_VGP_SI_VGP_SI=(Phi0_Phi2_VGP_SI_VGP_SI/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VGP_SI*(Phi_0_2_VGP_SI+((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*d10_sqrt0)+Phi0_Phi2_VGP_SI*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VGP_SI_VGP_SI+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))+d10_sqrt0*(+(+Phi_0_2_VGP_SI_VGP_SI*Phi_0_2+Phi_0_2_VGP_SI*Phi_0_2_VGP_SI+Phi_0_2_VGP_SI*Phi_0_2_VGP_SI+Phi_0_2*Phi_0_2_VGP_SI_VGP_SI)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VGP_SI+0.0*Phi0_Phi2_VGP_SI+1.98*Phi0_Phi2_VGP_SI_VGP_SI)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0)*(Phi_0_2_VGP_SI+((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
  Phi_sat_VGP_SI_VSI_BP=(Phi0_Phi2_VGP_SI_VSI_BP/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VGP_SI*(Phi_0_2_VSI_BP+((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*d10_sqrt0)+Phi0_Phi2_VSI_BP*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VGP_SI_VSI_BP+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))+d10_sqrt0*(+(+Phi_0_2_VGP_SI_VSI_BP*Phi_0_2+Phi_0_2_VGP_SI*Phi_0_2_VSI_BP+Phi_0_2_VSI_BP*Phi_0_2_VGP_SI+Phi_0_2*Phi_0_2_VGP_SI_VSI_BP)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VSI_BP+0.0*Phi0_Phi2_VGP_SI+1.98*Phi0_Phi2_VGP_SI_VSI_BP)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VGP_SI+(((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI))-(1.98*Phi0_Phi2_VGP_SI))*d10_sqrt0)*(Phi_0_2_VSI_BP+((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
#endif
Phi_sat_VSI_BP=((Phi0_Phi2_VSI_BP*(Phi_0_2+d00_sqrt0)-Phi0_Phi2*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
#if defined(_DERIVATE2)
  Phi_sat_VSI_BP_VDI_SI=(Phi0_Phi2_VSI_BP_VDI_SI/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VSI_BP*(Phi_0_2_VDI_SI+((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*d10_sqrt0)+Phi0_Phi2_VDI_SI*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VSI_BP_VDI_SI+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))+d10_sqrt0*(+(+Phi_0_2_VSI_BP_VDI_SI*Phi_0_2+Phi_0_2_VSI_BP*Phi_0_2_VDI_SI+Phi_0_2_VDI_SI*Phi_0_2_VSI_BP+Phi_0_2*Phi_0_2_VSI_BP_VDI_SI)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VDI_SI+0.0*Phi0_Phi2_VSI_BP+1.98*Phi0_Phi2_VSI_BP_VDI_SI)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0)*(Phi_0_2_VDI_SI+((((Phi_0_2_VDI_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VDI_SI)))-((1.98*Phi0_Phi2_VDI_SI)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
  Phi_sat_VSI_BP_VGP_SI=(Phi0_Phi2_VSI_BP_VGP_SI/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VSI_BP*(Phi_0_2_VGP_SI+((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*d10_sqrt0)+Phi0_Phi2_VGP_SI*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VSI_BP_VGP_SI+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))+d10_sqrt0*(+(+Phi_0_2_VSI_BP_VGP_SI*Phi_0_2+Phi_0_2_VSI_BP*Phi_0_2_VGP_SI+Phi_0_2_VGP_SI*Phi_0_2_VSI_BP+Phi_0_2*Phi_0_2_VSI_BP_VGP_SI)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VGP_SI+0.0*Phi0_Phi2_VSI_BP+1.98*Phi0_Phi2_VSI_BP_VGP_SI)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0)*(Phi_0_2_VGP_SI+((((Phi_0_2_VGP_SI*Phi_0_2)+(Phi_0_2*Phi_0_2_VGP_SI)))-((1.98*Phi0_Phi2_VGP_SI)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
  Phi_sat_VSI_BP_VSI_BP=(Phi0_Phi2_VSI_BP_VSI_BP/(Phi_0_2+d00_sqrt0)-(Phi0_Phi2_VSI_BP*(Phi_0_2_VSI_BP+((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*d10_sqrt0)+Phi0_Phi2_VSI_BP*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0)+Phi0_Phi2*(+Phi_0_2_VSI_BP_VSI_BP+(m20_sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))*((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))+d10_sqrt0*(+(+Phi_0_2_VSI_BP_VSI_BP*Phi_0_2+Phi_0_2_VSI_BP*Phi_0_2_VSI_BP+Phi_0_2_VSI_BP*Phi_0_2_VSI_BP+Phi_0_2*Phi_0_2_VSI_BP_VSI_BP)-(+0.0*Phi0_Phi2+0.0*Phi0_Phi2_VSI_BP+0.0*Phi0_Phi2_VSI_BP+1.98*Phi0_Phi2_VSI_BP_VSI_BP)))))/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)+2*Phi0_Phi2*(Phi_0_2_VSI_BP+(((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP))-(1.98*Phi0_Phi2_VSI_BP))*d10_sqrt0)*(Phi_0_2_VSI_BP+((((Phi_0_2_VSI_BP*Phi_0_2)+(Phi_0_2*Phi_0_2_VSI_BP)))-((1.98*Phi0_Phi2_VSI_BP)))*d10_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0)/(Phi_0_2+d00_sqrt0));
#endif
#endif
Phi_sat=(Phi0_Phi2/(Phi_0_2+d00_sqrt0));
EXIT_IF_ISNAN((Phi0_Phi2/(Phi_0_2+d00_sqrt0)))
}
{
double m00_logE(d00_logE0,(1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Vdsat_VDI_SI=(Phi_sat_VDI_SI-((phit1_VDI_SI*d00_logE0)+(pInst->phit1*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0)));
#if defined(_DERIVATE2)
  Vdsat_VDI_SI_VDI_SI=(+Phi_sat_VDI_SI_VDI_SI-(+phit1_VDI_SI_VDI_SI*d00_logE0+phit1_VDI_SI*((((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VDI_SI*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VDI_SI_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VDI_SI*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI))))+Phi_sat_VDI_SI*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))+Phi_sat*(+Phi_sat_VDI_SI_VDI_SI-(+(+0.0*asat+0.0*asat_VDI_SI+0.0*asat_VDI_SI+2.0*asat_VDI_SI_VDI_SI)*pInst->phit1+(2.0*asat_VDI_SI)*phit1_VDI_SI+((2.0*asat_VDI_SI))*phit1_VDI_SI+(2.0*asat)*phit1_VDI_SI_VDI_SI)))*inv_Gf2+((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2_VDI_SI+(((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2_VDI_SI+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI_VDI_SI)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))+((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VDI_SI_VDI_SI*pInst->phit1+phit1_VDI_SI*phit1_VDI_SI+phit1_VDI_SI*phit1_VDI_SI+pInst->phit1*phit1_VDI_SI_VDI_SI)*Ds+((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds_VDI_SI+(((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds_VDI_SI+(pInst->phit1*pInst->phit1)*Ds_VDI_SI_VDI_SI))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
  Vdsat_VDI_SI_VGP_SI=(+Phi_sat_VDI_SI_VGP_SI-(+phit1_VDI_SI_VGP_SI*d00_logE0+phit1_VDI_SI*((((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VGP_SI*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VDI_SI_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VDI_SI*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI))))+Phi_sat_VGP_SI*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))+Phi_sat*(+Phi_sat_VDI_SI_VGP_SI-(+(+0.0*asat+0.0*asat_VGP_SI+0.0*asat_VDI_SI+2.0*asat_VDI_SI_VGP_SI)*pInst->phit1+(2.0*asat_VDI_SI)*phit1_VGP_SI+((2.0*asat_VGP_SI))*phit1_VDI_SI+(2.0*asat)*phit1_VDI_SI_VGP_SI)))*inv_Gf2+((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2_VGP_SI+(((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2_VDI_SI+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI_VGP_SI)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))+((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VDI_SI_VGP_SI*pInst->phit1+phit1_VDI_SI*phit1_VGP_SI+phit1_VGP_SI*phit1_VDI_SI+pInst->phit1*phit1_VDI_SI_VGP_SI)*Ds+((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds_VGP_SI+(((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds_VDI_SI+(pInst->phit1*pInst->phit1)*Ds_VDI_SI_VGP_SI))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
  Vdsat_VDI_SI_VSI_BP=(+Phi_sat_VDI_SI_VSI_BP-(+phit1_VDI_SI_VSI_BP*d00_logE0+phit1_VDI_SI*((((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VSI_BP*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VDI_SI_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VDI_SI*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP))))+Phi_sat_VSI_BP*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))+Phi_sat*(+Phi_sat_VDI_SI_VSI_BP-(+(+0.0*asat+0.0*asat_VSI_BP+0.0*asat_VDI_SI+2.0*asat_VDI_SI_VSI_BP)*pInst->phit1+(2.0*asat_VDI_SI)*phit1_VSI_BP+((2.0*asat_VSI_BP))*phit1_VDI_SI+(2.0*asat)*phit1_VDI_SI_VSI_BP)))*inv_Gf2+((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2_VSI_BP+(((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2_VDI_SI+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI_VSI_BP)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((2.0*asat_VDI_SI)*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI))*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))+((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VDI_SI_VSI_BP*pInst->phit1+phit1_VDI_SI*phit1_VSI_BP+phit1_VSI_BP*phit1_VDI_SI+pInst->phit1*phit1_VDI_SI_VSI_BP)*Ds+((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds_VSI_BP+(((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds_VDI_SI+(pInst->phit1*pInst->phit1)*Ds_VDI_SI_VSI_BP))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
#endif
Vdsat_VGP_SI=(Phi_sat_VGP_SI-((phit1_VGP_SI*d00_logE0)+(pInst->phit1*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0)));
#if defined(_DERIVATE2)
  Vdsat_VGP_SI_VDI_SI=(+Phi_sat_VGP_SI_VDI_SI-(+phit1_VGP_SI_VDI_SI*d00_logE0+phit1_VGP_SI*((((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VDI_SI*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VGP_SI_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VGP_SI*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI))))+Phi_sat_VDI_SI*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))+Phi_sat*(+Phi_sat_VGP_SI_VDI_SI-(+(+0.0*asat+0.0*asat_VDI_SI+0.0*asat_VGP_SI+2.0*asat_VGP_SI_VDI_SI)*pInst->phit1+(2.0*asat_VGP_SI)*phit1_VDI_SI+((2.0*asat_VDI_SI))*phit1_VGP_SI+(2.0*asat)*phit1_VGP_SI_VDI_SI)))*inv_Gf2+((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2_VDI_SI+(((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2_VGP_SI+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI_VDI_SI)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))+((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VGP_SI_VDI_SI*pInst->phit1+phit1_VGP_SI*phit1_VDI_SI+phit1_VDI_SI*phit1_VGP_SI+pInst->phit1*phit1_VGP_SI_VDI_SI)*Ds+((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds_VDI_SI+(((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds_VGP_SI+(pInst->phit1*pInst->phit1)*Ds_VGP_SI_VDI_SI))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
  Vdsat_VGP_SI_VGP_SI=(+Phi_sat_VGP_SI_VGP_SI-(+phit1_VGP_SI_VGP_SI*d00_logE0+phit1_VGP_SI*((((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VGP_SI*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VGP_SI_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VGP_SI*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI))))+Phi_sat_VGP_SI*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))+Phi_sat*(+Phi_sat_VGP_SI_VGP_SI-(+(+0.0*asat+0.0*asat_VGP_SI+0.0*asat_VGP_SI+2.0*asat_VGP_SI_VGP_SI)*pInst->phit1+(2.0*asat_VGP_SI)*phit1_VGP_SI+((2.0*asat_VGP_SI))*phit1_VGP_SI+(2.0*asat)*phit1_VGP_SI_VGP_SI)))*inv_Gf2+((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2_VGP_SI+(((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2_VGP_SI+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI_VGP_SI)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))+((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VGP_SI_VGP_SI*pInst->phit1+phit1_VGP_SI*phit1_VGP_SI+phit1_VGP_SI*phit1_VGP_SI+pInst->phit1*phit1_VGP_SI_VGP_SI)*Ds+((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds_VGP_SI+(((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds_VGP_SI+(pInst->phit1*pInst->phit1)*Ds_VGP_SI_VGP_SI))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
  Vdsat_VGP_SI_VSI_BP=(+Phi_sat_VGP_SI_VSI_BP-(+phit1_VGP_SI_VSI_BP*d00_logE0+phit1_VGP_SI*((((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VSI_BP*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VGP_SI_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VGP_SI*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP))))+Phi_sat_VSI_BP*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))+Phi_sat*(+Phi_sat_VGP_SI_VSI_BP-(+(+0.0*asat+0.0*asat_VSI_BP+0.0*asat_VGP_SI+2.0*asat_VGP_SI_VSI_BP)*pInst->phit1+(2.0*asat_VGP_SI)*phit1_VSI_BP+((2.0*asat_VSI_BP))*phit1_VGP_SI+(2.0*asat)*phit1_VGP_SI_VSI_BP)))*inv_Gf2+((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2_VSI_BP+(((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2_VGP_SI+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI_VSI_BP)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((2.0*asat_VGP_SI)*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI))*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))+((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VGP_SI_VSI_BP*pInst->phit1+phit1_VGP_SI*phit1_VSI_BP+phit1_VSI_BP*phit1_VGP_SI+pInst->phit1*phit1_VGP_SI_VSI_BP)*Ds+((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds_VSI_BP+(((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds_VGP_SI+(pInst->phit1*pInst->phit1)*Ds_VGP_SI_VSI_BP))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
#endif
Vdsat_VSI_BP=(Phi_sat_VSI_BP-((phit1_VSI_BP*d00_logE0)+(pInst->phit1*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0)));
#if defined(_DERIVATE2)
  Vdsat_VSI_BP_VDI_SI=(+Phi_sat_VSI_BP_VDI_SI-(+phit1_VSI_BP_VDI_SI*d00_logE0+phit1_VSI_BP*((((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VDI_SI*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VSI_BP_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VSI_BP*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI))))+Phi_sat_VDI_SI*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))+Phi_sat*(+Phi_sat_VSI_BP_VDI_SI-(+(+0.0*asat+0.0*asat_VDI_SI+0.0*asat_VSI_BP+2.0*asat_VSI_BP_VDI_SI)*pInst->phit1+(2.0*asat_VSI_BP)*phit1_VDI_SI+((2.0*asat_VDI_SI))*phit1_VSI_BP+(2.0*asat)*phit1_VSI_BP_VDI_SI)))*inv_Gf2+((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2_VDI_SI+(((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2_VSI_BP+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP_VDI_SI)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))+((((((Phi_sat_VDI_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VDI_SI-(((((2.0*asat_VDI_SI))*pInst->phit1)+((2.0*asat)*phit1_VDI_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VDI_SI)))*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VSI_BP_VDI_SI*pInst->phit1+phit1_VSI_BP*phit1_VDI_SI+phit1_VDI_SI*phit1_VSI_BP+pInst->phit1*phit1_VSI_BP_VDI_SI)*Ds+((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds_VDI_SI+(((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds_VSI_BP+(pInst->phit1*pInst->phit1)*Ds_VSI_BP_VDI_SI))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))*((((((phit1_VDI_SI*pInst->phit1)+(pInst->phit1*phit1_VDI_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VDI_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
  Vdsat_VSI_BP_VGP_SI=(+Phi_sat_VSI_BP_VGP_SI-(+phit1_VSI_BP_VGP_SI*d00_logE0+phit1_VSI_BP*((((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VGP_SI*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VSI_BP_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VSI_BP*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI))))+Phi_sat_VGP_SI*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))+Phi_sat*(+Phi_sat_VSI_BP_VGP_SI-(+(+0.0*asat+0.0*asat_VGP_SI+0.0*asat_VSI_BP+2.0*asat_VSI_BP_VGP_SI)*pInst->phit1+(2.0*asat_VSI_BP)*phit1_VGP_SI+((2.0*asat_VGP_SI))*phit1_VSI_BP+(2.0*asat)*phit1_VSI_BP_VGP_SI)))*inv_Gf2+((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2_VGP_SI+(((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2_VSI_BP+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP_VGP_SI)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))+((((((Phi_sat_VGP_SI*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VGP_SI-(((((2.0*asat_VGP_SI))*pInst->phit1)+((2.0*asat)*phit1_VGP_SI)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VGP_SI)))*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VSI_BP_VGP_SI*pInst->phit1+phit1_VSI_BP*phit1_VGP_SI+phit1_VGP_SI*phit1_VSI_BP+pInst->phit1*phit1_VSI_BP_VGP_SI)*Ds+((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds_VGP_SI+(((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds_VSI_BP+(pInst->phit1*pInst->phit1)*Ds_VSI_BP_VGP_SI))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))*((((((phit1_VGP_SI*pInst->phit1)+(pInst->phit1*phit1_VGP_SI)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VGP_SI)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
  Vdsat_VSI_BP_VSI_BP=(+Phi_sat_VSI_BP_VSI_BP-(+phit1_VSI_BP_VSI_BP*d00_logE0+phit1_VSI_BP*((((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+phit1_VSI_BP*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*d10_logE0+pInst->phit1*(m20_logE((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)/((pInst->phit1*pInst->phit1)*Ds))))*((((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))*((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((pInst->phit1*pInst->phit1)*Ds)-((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))+d10_logE0*(+0.0+((+(+Phi_sat_VSI_BP_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1))+Phi_sat_VSI_BP*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP))))+Phi_sat_VSI_BP*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))+Phi_sat*(+Phi_sat_VSI_BP_VSI_BP-(+(+0.0*asat+0.0*asat_VSI_BP+0.0*asat_VSI_BP+2.0*asat_VSI_BP_VSI_BP)*pInst->phit1+(2.0*asat_VSI_BP)*phit1_VSI_BP+((2.0*asat_VSI_BP))*phit1_VSI_BP+(2.0*asat)*phit1_VSI_BP_VSI_BP)))*inv_Gf2+((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2_VSI_BP+(((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2_VSI_BP+(Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP_VSI_BP)/((pInst->phit1*pInst->phit1)*Ds)-(((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((2.0*asat_VSI_BP)*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP))*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))+((((((Phi_sat_VSI_BP*(Phi_sat-((2.0*asat)*pInst->phit1)))+(Phi_sat*(Phi_sat_VSI_BP-(((((2.0*asat_VSI_BP))*pInst->phit1)+((2.0*asat)*phit1_VSI_BP)))))))*inv_Gf2)+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2_VSI_BP)))*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))+((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*(+(+phit1_VSI_BP_VSI_BP*pInst->phit1+phit1_VSI_BP*phit1_VSI_BP+phit1_VSI_BP*phit1_VSI_BP+pInst->phit1*phit1_VSI_BP_VSI_BP)*Ds+((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds_VSI_BP+(((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds_VSI_BP+(pInst->phit1*pInst->phit1)*Ds_VSI_BP_VSI_BP))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)+2*((Phi_sat*(Phi_sat-((2.0*asat)*pInst->phit1)))*inv_Gf2)*((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP))*((((((phit1_VSI_BP*pInst->phit1)+(pInst->phit1*phit1_VSI_BP)))*Ds)+((pInst->phit1*pInst->phit1)*Ds_VSI_BP)))/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds)/((pInst->phit1*pInst->phit1)*Ds))))));
#endif
#endif
Vdsat=(Phi_sat-(pInst->phit1*d00_logE0));
EXIT_IF_ISNAN((Phi_sat-(pInst->phit1*d00_logE0)))
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Vdsat_VDI_SI=Vdsat_lim_VDI_SI;
#if defined(_DERIVATE2)
  Vdsat_VDI_SI_VDI_SI=Vdsat_lim_VDI_SI_VDI_SI;
  Vdsat_VDI_SI_VGP_SI=Vdsat_lim_VDI_SI_VGP_SI;
  Vdsat_VDI_SI_VSI_BP=Vdsat_lim_VDI_SI_VSI_BP;
#endif
Vdsat_VGP_SI=Vdsat_lim_VGP_SI;
#if defined(_DERIVATE2)
  Vdsat_VGP_SI_VDI_SI=Vdsat_lim_VGP_SI_VDI_SI;
  Vdsat_VGP_SI_VGP_SI=Vdsat_lim_VGP_SI_VGP_SI;
  Vdsat_VGP_SI_VSI_BP=Vdsat_lim_VGP_SI_VSI_BP;
#endif
Vdsat_VSI_BP=Vdsat_lim_VSI_BP;
#if defined(_DERIVATE2)
  Vdsat_VSI_BP_VDI_SI=Vdsat_lim_VSI_BP_VDI_SI;
  Vdsat_VSI_BP_VGP_SI=Vdsat_lim_VSI_BP_VGP_SI;
  Vdsat_VSI_BP_VSI_BP=Vdsat_lim_VSI_BP_VSI_BP;
#endif
#endif
Vdsat=Vdsat_lim;
EXIT_IF_ISNAN(Vdsat_lim)
}
{
double m00_pow(d00_pow0,(Vds/Vdsat),axloc)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(Vds/Vdsat),axloc)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(d10_pow0*(-Vds*Vdsat_VGP_SI/Vdsat/Vdsat));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=fixme;
  temp_VGP_SI_VDI_SI=fixme;
  temp_VGP_SI_VSI_BP=fixme;
#endif
temp_VDI_SI=(d10_pow0*((Vds_VDI_SI*Vdsat-Vds*Vdsat_VDI_SI)/Vdsat/Vdsat));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=fixme;
  temp_VDI_SI_VDI_SI=fixme;
  temp_VDI_SI_VSI_BP=fixme;
#endif
temp_VSI_BP=(d10_pow0*(-Vds*Vdsat_VSI_BP/Vdsat/Vdsat));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=fixme;
  temp_VSI_BP_VDI_SI=fixme;
  temp_VSI_BP_VSI_BP=fixme;
#endif
#endif
temp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=0.0;
  temp1_VDI_SI_VGP_SI=0.0;
  temp1_VDI_SI_VSI_BP=0.0;
#endif
temp1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=0.0;
  temp1_VGP_SI_VGP_SI=0.0;
  temp1_VGP_SI_VSI_BP=0.0;
#endif
temp1_VSI_BP=0.0;
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=0.0;
  temp1_VSI_BP_VGP_SI=0.0;
  temp1_VSI_BP_VSI_BP=0.0;
#endif
#endif
pInst->temp1=((-1.0)/axloc);
EXIT_IF_ISNAN(((-1.0)/axloc))
{
double m00_pow(d00_pow0,(1.0+temp),pInst->temp1)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0+temp),pInst->temp1)
double m11_pow(d11_pow0,d00_pow0,(1.0+temp),pInst->temp1)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Vdse_VGP_SI=(Vds*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI));
#if defined(_DERIVATE2)
  Vdse_VGP_SI_VGP_SI=(+0.0*d00_pow0+0.0*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI)+0.0*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI)+Vds*fixme);
  Vdse_VGP_SI_VSI_BP=(+0.0*d00_pow0+0.0*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP)+0.0*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI)+Vds*fixme);
  Vdse_VGP_SI_VDI_SI=(+0.0*d00_pow0+0.0*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)+Vds_VDI_SI*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI)+Vds*fixme);
#endif
Vdse_VSI_BP=(Vds*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP));
#if defined(_DERIVATE2)
  Vdse_VSI_BP_VGP_SI=(+0.0*d00_pow0+0.0*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI)+0.0*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP)+Vds*fixme);
  Vdse_VSI_BP_VSI_BP=(+0.0*d00_pow0+0.0*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP)+0.0*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP)+Vds*fixme);
  Vdse_VSI_BP_VDI_SI=(+0.0*d00_pow0+0.0*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)+Vds_VDI_SI*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP)+Vds*fixme);
#endif
Vdse_VDI_SI=((Vds_VDI_SI*d00_pow0)+(Vds*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)));
#if defined(_DERIVATE2)
  Vdse_VDI_SI_VGP_SI=(+0.0*d00_pow0+Vds_VDI_SI*(d10_pow0*temp_VGP_SI+d11_pow0*temp1_VGP_SI)+0.0*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)+Vds*fixme);
  Vdse_VDI_SI_VSI_BP=(+0.0*d00_pow0+Vds_VDI_SI*(d10_pow0*temp_VSI_BP+d11_pow0*temp1_VSI_BP)+0.0*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)+Vds*fixme);
  Vdse_VDI_SI_VDI_SI=(+Vds_VDI_SI_VDI_SI*d00_pow0+Vds_VDI_SI*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)+Vds_VDI_SI*(d10_pow0*temp_VDI_SI+d11_pow0*temp1_VDI_SI)+Vds*fixme);
#endif
#endif
Vdse=(Vds*d00_pow0);
EXIT_IF_ISNAN((Vds*d00_pow0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Udse_VGP_SI=((Vdse_VGP_SI*inv_phit1)+(Vdse*inv_phit1_VGP_SI));
#if defined(_DERIVATE2)
  Udse_VGP_SI_VGP_SI=(+Vdse_VGP_SI_VGP_SI*inv_phit1+Vdse_VGP_SI*inv_phit1_VGP_SI+Vdse_VGP_SI*inv_phit1_VGP_SI+Vdse*inv_phit1_VGP_SI_VGP_SI);
  Udse_VGP_SI_VSI_BP=(+Vdse_VGP_SI_VSI_BP*inv_phit1+Vdse_VGP_SI*inv_phit1_VSI_BP+Vdse_VSI_BP*inv_phit1_VGP_SI+Vdse*inv_phit1_VGP_SI_VSI_BP);
  Udse_VGP_SI_VDI_SI=(+Vdse_VGP_SI_VDI_SI*inv_phit1+Vdse_VGP_SI*inv_phit1_VDI_SI+Vdse_VDI_SI*inv_phit1_VGP_SI+Vdse*inv_phit1_VGP_SI_VDI_SI);
#endif
Udse_VSI_BP=((Vdse_VSI_BP*inv_phit1)+(Vdse*inv_phit1_VSI_BP));
#if defined(_DERIVATE2)
  Udse_VSI_BP_VGP_SI=(+Vdse_VSI_BP_VGP_SI*inv_phit1+Vdse_VSI_BP*inv_phit1_VGP_SI+Vdse_VGP_SI*inv_phit1_VSI_BP+Vdse*inv_phit1_VSI_BP_VGP_SI);
  Udse_VSI_BP_VSI_BP=(+Vdse_VSI_BP_VSI_BP*inv_phit1+Vdse_VSI_BP*inv_phit1_VSI_BP+Vdse_VSI_BP*inv_phit1_VSI_BP+Vdse*inv_phit1_VSI_BP_VSI_BP);
  Udse_VSI_BP_VDI_SI=(+Vdse_VSI_BP_VDI_SI*inv_phit1+Vdse_VSI_BP*inv_phit1_VDI_SI+Vdse_VDI_SI*inv_phit1_VSI_BP+Vdse*inv_phit1_VSI_BP_VDI_SI);
#endif
Udse_VDI_SI=((Vdse_VDI_SI*inv_phit1)+(Vdse*inv_phit1_VDI_SI));
#if defined(_DERIVATE2)
  Udse_VDI_SI_VGP_SI=(+Vdse_VDI_SI_VGP_SI*inv_phit1+Vdse_VDI_SI*inv_phit1_VGP_SI+Vdse_VGP_SI*inv_phit1_VDI_SI+Vdse*inv_phit1_VDI_SI_VGP_SI);
  Udse_VDI_SI_VSI_BP=(+Vdse_VDI_SI_VSI_BP*inv_phit1+Vdse_VDI_SI*inv_phit1_VSI_BP+Vdse_VSI_BP*inv_phit1_VDI_SI+Vdse*inv_phit1_VDI_SI_VSI_BP);
  Udse_VDI_SI_VDI_SI=(+Vdse_VDI_SI_VDI_SI*inv_phit1+Vdse_VDI_SI*inv_phit1_VDI_SI+Vdse_VDI_SI*inv_phit1_VDI_SI+Vdse*inv_phit1_VDI_SI_VDI_SI);
#endif
#endif
Udse=(Vdse*inv_phit1);
EXIT_IF_ISNAN((Vdse*inv_phit1))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xn_d_VDI_SI=(xn_s_VDI_SI+Udse_VDI_SI);
#if defined(_DERIVATE2)
  xn_d_VDI_SI_VDI_SI=(+xn_s_VDI_SI_VDI_SI+Udse_VDI_SI_VDI_SI);
  xn_d_VDI_SI_VGP_SI=(+xn_s_VDI_SI_VGP_SI+Udse_VDI_SI_VGP_SI);
  xn_d_VDI_SI_VSI_BP=(+xn_s_VDI_SI_VSI_BP+Udse_VDI_SI_VSI_BP);
#endif
xn_d_VGP_SI=(xn_s_VGP_SI+Udse_VGP_SI);
#if defined(_DERIVATE2)
  xn_d_VGP_SI_VDI_SI=(+xn_s_VGP_SI_VDI_SI+Udse_VGP_SI_VDI_SI);
  xn_d_VGP_SI_VGP_SI=(+xn_s_VGP_SI_VGP_SI+Udse_VGP_SI_VGP_SI);
  xn_d_VGP_SI_VSI_BP=(+xn_s_VGP_SI_VSI_BP+Udse_VGP_SI_VSI_BP);
#endif
xn_d_VSI_BP=(xn_s_VSI_BP+Udse_VSI_BP);
#if defined(_DERIVATE2)
  xn_d_VSI_BP_VDI_SI=(+xn_s_VSI_BP_VDI_SI+Udse_VSI_BP_VDI_SI);
  xn_d_VSI_BP_VGP_SI=(+xn_s_VSI_BP_VGP_SI+Udse_VSI_BP_VGP_SI);
  xn_d_VSI_BP_VSI_BP=(+xn_s_VSI_BP_VSI_BP+Udse_VSI_BP_VSI_BP);
#endif
#endif
xn_d=(xn_s+Udse);
EXIT_IF_ISNAN((xn_s+Udse))
if
((Udse<4.6051701859880916e+02))
{
{
double m00_exp(d00_exp0,(-Udse))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
k_ds_VGP_SI=(-Udse_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  k_ds_VGP_SI_VGP_SI=(m20_exp((-Udse))*(-Udse_VGP_SI)*(-Udse_VGP_SI)+d10_exp0*0.0);
  k_ds_VGP_SI_VSI_BP=(m20_exp((-Udse))*(-Udse_VSI_BP)*(-Udse_VGP_SI)+d10_exp0*0.0);
  k_ds_VGP_SI_VDI_SI=(m20_exp((-Udse))*(-Udse_VDI_SI)*(-Udse_VGP_SI)+d10_exp0*0.0);
#endif
k_ds_VSI_BP=(-Udse_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  k_ds_VSI_BP_VGP_SI=(m20_exp((-Udse))*(-Udse_VGP_SI)*(-Udse_VSI_BP)+d10_exp0*0.0);
  k_ds_VSI_BP_VSI_BP=(m20_exp((-Udse))*(-Udse_VSI_BP)*(-Udse_VSI_BP)+d10_exp0*0.0);
  k_ds_VSI_BP_VDI_SI=(m20_exp((-Udse))*(-Udse_VDI_SI)*(-Udse_VSI_BP)+d10_exp0*0.0);
#endif
k_ds_VDI_SI=(-Udse_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  k_ds_VDI_SI_VGP_SI=(m20_exp((-Udse))*(-Udse_VGP_SI)*(-Udse_VDI_SI)+d10_exp0*0.0);
  k_ds_VDI_SI_VSI_BP=(m20_exp((-Udse))*(-Udse_VSI_BP)*(-Udse_VDI_SI)+d10_exp0*0.0);
  k_ds_VDI_SI_VDI_SI=(m20_exp((-Udse))*(-Udse_VDI_SI)*(-Udse_VDI_SI)+d10_exp0*0.0);
#endif
#endif
k_ds=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(SI,BP)V(DI,SI) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
k_ds_VGP_SI=(-1.0e-200*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  k_ds_VGP_SI_VGP_SI=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VGP_SI*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01))))))+Udse_VGP_SI*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01))))+0.0*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01))+0.5*(+(+Udse_VGP_SI_VGP_SI-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VGP_SI*(Udse_VGP_SI*3.3333333333333333e-01)+Udse_VGP_SI*Udse_VGP_SI*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+Udse_VGP_SI*0.0+Udse_VGP_SI*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))*(((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  k_ds_VGP_SI_VSI_BP=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VGP_SI*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01))))))+Udse_VSI_BP*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01))))+0.0*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01))+0.5*(+(+Udse_VGP_SI_VSI_BP-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VGP_SI*(Udse_VSI_BP*3.3333333333333333e-01)+Udse_VSI_BP*Udse_VGP_SI*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+Udse_VGP_SI*0.0+Udse_VSI_BP*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))*(((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  k_ds_VGP_SI_VDI_SI=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VGP_SI*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01))))))+Udse_VDI_SI*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01))))+0.0*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01))+0.5*(+(+Udse_VGP_SI_VDI_SI-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VGP_SI*(Udse_VDI_SI*3.3333333333333333e-01)+Udse_VDI_SI*Udse_VGP_SI*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+Udse_VGP_SI*0.0+Udse_VDI_SI*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VGP_SI*3.3333333333333333e-01)))))*(((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#endif
k_ds_VSI_BP=(-1.0e-200*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  k_ds_VSI_BP_VGP_SI=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VSI_BP*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01))))))+Udse_VGP_SI*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01))))+0.0*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01))+0.5*(+(+Udse_VSI_BP_VGP_SI-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VSI_BP*(Udse_VGP_SI*3.3333333333333333e-01)+Udse_VGP_SI*Udse_VSI_BP*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+Udse_VSI_BP*0.0+Udse_VGP_SI*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))*(((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  k_ds_VSI_BP_VSI_BP=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VSI_BP*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01))))))+Udse_VSI_BP*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01))))+0.0*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01))+0.5*(+(+Udse_VSI_BP_VSI_BP-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VSI_BP*(Udse_VSI_BP*3.3333333333333333e-01)+Udse_VSI_BP*Udse_VSI_BP*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+Udse_VSI_BP*0.0+Udse_VSI_BP*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))*(((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  k_ds_VSI_BP_VDI_SI=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VSI_BP*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01))))))+Udse_VDI_SI*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01))))+0.0*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01))+0.5*(+(+Udse_VSI_BP_VDI_SI-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VSI_BP*(Udse_VDI_SI*3.3333333333333333e-01)+Udse_VDI_SI*Udse_VSI_BP*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+Udse_VSI_BP*0.0+Udse_VDI_SI*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VSI_BP*3.3333333333333333e-01)))))*(((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#endif
k_ds_VDI_SI=(-1.0e-200*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  k_ds_VDI_SI_VGP_SI=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VDI_SI*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01))))))+Udse_VGP_SI*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01))))+0.0*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01))+0.5*(+(+Udse_VDI_SI_VGP_SI-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VDI_SI*(Udse_VGP_SI*3.3333333333333333e-01)+Udse_VGP_SI*Udse_VDI_SI*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+Udse_VDI_SI*0.0+Udse_VGP_SI*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))*(((Udse_VGP_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VGP_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  k_ds_VDI_SI_VSI_BP=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VDI_SI*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01))))))+Udse_VSI_BP*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01))))+0.0*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01))+0.5*(+(+Udse_VDI_SI_VSI_BP-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VDI_SI*(Udse_VSI_BP*3.3333333333333333e-01)+Udse_VSI_BP*Udse_VDI_SI*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+Udse_VDI_SI*0.0+Udse_VSI_BP*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))*(((Udse_VSI_BP*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VSI_BP*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
  k_ds_VDI_SI_VDI_SI=(0.0/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))-(0.0*(((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))+1.0e-200*(+0.0+(+(+Udse_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))+Udse_VDI_SI*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01))))))+Udse_VDI_SI*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))+(Udse-4.6051701859880916e+02)*(+0.0+(+0.0*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+0.0*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01))))+0.0*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01))+0.5*(+(+Udse_VDI_SI_VDI_SI-0.0)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))+Udse_VDI_SI*(Udse_VDI_SI*3.3333333333333333e-01)+Udse_VDI_SI*Udse_VDI_SI*3.3333333333333333e-01+(Udse-4.6051701859880916e+02)*(+0.0+(+(+Udse_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+Udse_VDI_SI*0.0+Udse_VDI_SI*0.0+(Udse-4.6051701859880916e+02)*0.0))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))+2*1.0e-200*((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*(0.5*((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*Udse_VDI_SI*3.3333333333333333e-01)))))*(((Udse_VDI_SI*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))+((Udse-4.6051701859880916e+02)*((0.5*(((Udse_VDI_SI*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))+((Udse-4.6051701859880916e+02)*(Udse_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
#endif
#endif
k_ds=(1.0e-200/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-200/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
delta_nd_VDI_SI=((delta_ns_VDI_SI*k_ds)+(delta_ns*k_ds_VDI_SI));
#if defined(_DERIVATE2)
  delta_nd_VDI_SI_VDI_SI=(+delta_ns_VDI_SI_VDI_SI*k_ds+delta_ns_VDI_SI*k_ds_VDI_SI+delta_ns_VDI_SI*k_ds_VDI_SI+delta_ns*k_ds_VDI_SI_VDI_SI);
  delta_nd_VDI_SI_VGP_SI=(+delta_ns_VDI_SI_VGP_SI*k_ds+delta_ns_VDI_SI*k_ds_VGP_SI+delta_ns_VGP_SI*k_ds_VDI_SI+delta_ns*k_ds_VDI_SI_VGP_SI);
  delta_nd_VDI_SI_VSI_BP=(+delta_ns_VDI_SI_VSI_BP*k_ds+delta_ns_VDI_SI*k_ds_VSI_BP+delta_ns_VSI_BP*k_ds_VDI_SI+delta_ns*k_ds_VDI_SI_VSI_BP);
#endif
delta_nd_VGP_SI=((delta_ns_VGP_SI*k_ds)+(delta_ns*k_ds_VGP_SI));
#if defined(_DERIVATE2)
  delta_nd_VGP_SI_VDI_SI=(+delta_ns_VGP_SI_VDI_SI*k_ds+delta_ns_VGP_SI*k_ds_VDI_SI+delta_ns_VDI_SI*k_ds_VGP_SI+delta_ns*k_ds_VGP_SI_VDI_SI);
  delta_nd_VGP_SI_VGP_SI=(+delta_ns_VGP_SI_VGP_SI*k_ds+delta_ns_VGP_SI*k_ds_VGP_SI+delta_ns_VGP_SI*k_ds_VGP_SI+delta_ns*k_ds_VGP_SI_VGP_SI);
  delta_nd_VGP_SI_VSI_BP=(+delta_ns_VGP_SI_VSI_BP*k_ds+delta_ns_VGP_SI*k_ds_VSI_BP+delta_ns_VSI_BP*k_ds_VGP_SI+delta_ns*k_ds_VGP_SI_VSI_BP);
#endif
delta_nd_VSI_BP=((delta_ns_VSI_BP*k_ds)+(delta_ns*k_ds_VSI_BP));
#if defined(_DERIVATE2)
  delta_nd_VSI_BP_VDI_SI=(+delta_ns_VSI_BP_VDI_SI*k_ds+delta_ns_VSI_BP*k_ds_VDI_SI+delta_ns_VDI_SI*k_ds_VSI_BP+delta_ns*k_ds_VSI_BP_VDI_SI);
  delta_nd_VSI_BP_VGP_SI=(+delta_ns_VSI_BP_VGP_SI*k_ds+delta_ns_VSI_BP*k_ds_VGP_SI+delta_ns_VGP_SI*k_ds_VSI_BP+delta_ns*k_ds_VSI_BP_VGP_SI);
  delta_nd_VSI_BP_VSI_BP=(+delta_ns_VSI_BP_VSI_BP*k_ds+delta_ns_VSI_BP*k_ds_VSI_BP+delta_ns_VSI_BP*k_ds_VSI_BP+delta_ns*k_ds_VSI_BP_VSI_BP);
#endif
#endif
delta_nd=(delta_ns*k_ds);
EXIT_IF_ISNAN((delta_ns*k_ds))
{
double m00_fabs(d00_fabs0,xg)
if
((d00_fabs0<=margin))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp1_VDI_SI=((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  SP_S_temp1_VDI_SI_VDI_SI=(+(+(+inv_xi_VDI_SI_VDI_SI*inv_xi+inv_xi_VDI_SI*inv_xi_VDI_SI+inv_xi_VDI_SI*inv_xi_VDI_SI+inv_xi*inv_xi_VDI_SI_VDI_SI)*1.6666666666666667e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*0.0+(((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VDI_SI_VGP_SI=(+(+(+inv_xi_VDI_SI_VGP_SI*inv_xi+inv_xi_VDI_SI*inv_xi_VGP_SI+inv_xi_VGP_SI*inv_xi_VDI_SI+inv_xi*inv_xi_VDI_SI_VGP_SI)*1.6666666666666667e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*0.0+(((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VDI_SI_VSI_BP=(+(+(+inv_xi_VDI_SI_VSI_BP*inv_xi+inv_xi_VDI_SI*inv_xi_VSI_BP+inv_xi_VSI_BP*inv_xi_VDI_SI+inv_xi*inv_xi_VDI_SI_VSI_BP)*1.6666666666666667e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*0.0+(((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
#endif
SP_S_temp1_VGP_SI=((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  SP_S_temp1_VGP_SI_VDI_SI=(+(+(+inv_xi_VGP_SI_VDI_SI*inv_xi+inv_xi_VGP_SI*inv_xi_VDI_SI+inv_xi_VDI_SI*inv_xi_VGP_SI+inv_xi*inv_xi_VGP_SI_VDI_SI)*1.6666666666666667e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*0.0+(((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VGP_SI_VGP_SI=(+(+(+inv_xi_VGP_SI_VGP_SI*inv_xi+inv_xi_VGP_SI*inv_xi_VGP_SI+inv_xi_VGP_SI*inv_xi_VGP_SI+inv_xi*inv_xi_VGP_SI_VGP_SI)*1.6666666666666667e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*0.0+(((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VGP_SI_VSI_BP=(+(+(+inv_xi_VGP_SI_VSI_BP*inv_xi+inv_xi_VGP_SI*inv_xi_VSI_BP+inv_xi_VSI_BP*inv_xi_VGP_SI+inv_xi*inv_xi_VGP_SI_VSI_BP)*1.6666666666666667e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*0.0+(((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI))*1.6666666666666667e-01*0.0+((((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
#endif
SP_S_temp1_VSI_BP=((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*7.0710678118654746e-01;
#if defined(_DERIVATE2)
  SP_S_temp1_VSI_BP_VDI_SI=(+(+(+inv_xi_VSI_BP_VDI_SI*inv_xi+inv_xi_VSI_BP*inv_xi_VDI_SI+inv_xi_VDI_SI*inv_xi_VSI_BP+inv_xi*inv_xi_VSI_BP_VDI_SI)*1.6666666666666667e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*0.0+(((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*0.0+((((inv_xi_VDI_SI*inv_xi)+(inv_xi*inv_xi_VDI_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VSI_BP_VGP_SI=(+(+(+inv_xi_VSI_BP_VGP_SI*inv_xi+inv_xi_VSI_BP*inv_xi_VGP_SI+inv_xi_VGP_SI*inv_xi_VSI_BP+inv_xi*inv_xi_VSI_BP_VGP_SI)*1.6666666666666667e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*0.0+(((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*0.0+((((inv_xi_VGP_SI*inv_xi)+(inv_xi*inv_xi_VGP_SI)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
  SP_S_temp1_VSI_BP_VSI_BP=(+(+(+inv_xi_VSI_BP_VSI_BP*inv_xi+inv_xi_VSI_BP*inv_xi_VSI_BP+inv_xi_VSI_BP*inv_xi_VSI_BP+inv_xi*inv_xi_VSI_BP_VSI_BP)*1.6666666666666667e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*0.0+(((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*0.0+(inv_xi*inv_xi)*0.0)*7.0710678118654746e-01+((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP))*1.6666666666666667e-01*0.0+((((inv_xi_VSI_BP*inv_xi)+(inv_xi*inv_xi_VSI_BP)))*1.6666666666666667e-01)*0.0+((inv_xi*inv_xi)*1.6666666666666667e-01)*0.0);
#endif
#endif
SP_S_temp1=(((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
EXIT_IF_ISNAN((((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_d_VDI_SI=((((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)))+((xg*inv_xi)*((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI))));
#if defined(_DERIVATE2)
  x_d_VDI_SI_VDI_SI=(+(+xg_VDI_SI_VDI_SI*inv_xi+xg_VDI_SI*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VDI_SI)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VDI_SI_VDI_SI*(1.0-delta_nd)+xg_VDI_SI*(-delta_nd_VDI_SI)+xg_VDI_SI*(-delta_nd_VDI_SI)+xg*(+0.0-delta_nd_VDI_SI_VDI_SI))*Gf+((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf_VDI_SI+(((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf_VDI_SI+(xg*(1.0-delta_nd))*Gf_VDI_SI_VDI_SI)*SP_S_temp1+((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1_VDI_SI+((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI)))*SP_S_temp1_VDI_SI+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI_VDI_SI)));
  x_d_VDI_SI_VGP_SI=(+(+xg_VDI_SI_VGP_SI*inv_xi+xg_VDI_SI*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VGP_SI)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VDI_SI_VGP_SI*(1.0-delta_nd)+xg_VDI_SI*(-delta_nd_VGP_SI)+xg_VGP_SI*(-delta_nd_VDI_SI)+xg*(+0.0-delta_nd_VDI_SI_VGP_SI))*Gf+((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf_VGP_SI+(((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf_VDI_SI+(xg*(1.0-delta_nd))*Gf_VDI_SI_VGP_SI)*SP_S_temp1+((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1_VGP_SI+((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI)))*SP_S_temp1_VDI_SI+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI_VGP_SI)));
  x_d_VDI_SI_VSI_BP=(+(+xg_VDI_SI_VSI_BP*inv_xi+xg_VDI_SI*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VDI_SI+xg*inv_xi_VDI_SI_VSI_BP)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI))*(((((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VDI_SI_VSI_BP*(1.0-delta_nd)+xg_VDI_SI*(-delta_nd_VSI_BP)+xg_VSI_BP*(-delta_nd_VDI_SI)+xg*(+0.0-delta_nd_VDI_SI_VSI_BP))*Gf+((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf_VSI_BP+(((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf_VDI_SI+(xg*(1.0-delta_nd))*Gf_VDI_SI_VSI_BP)*SP_S_temp1+((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI))*SP_S_temp1_VSI_BP+((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP)))*SP_S_temp1_VDI_SI+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI_VSI_BP)));
#endif
x_d_VGP_SI=((((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)))+((xg*inv_xi)*((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI))));
#if defined(_DERIVATE2)
  x_d_VGP_SI_VDI_SI=(+(+xg_VGP_SI_VDI_SI*inv_xi+xg_VGP_SI*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VDI_SI)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VGP_SI_VDI_SI*(1.0-delta_nd)+xg_VGP_SI*(-delta_nd_VDI_SI)+xg_VDI_SI*(-delta_nd_VGP_SI)+xg*(+0.0-delta_nd_VGP_SI_VDI_SI))*Gf+((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf_VDI_SI+(((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf_VGP_SI+(xg*(1.0-delta_nd))*Gf_VGP_SI_VDI_SI)*SP_S_temp1+((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1_VDI_SI+((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI)))*SP_S_temp1_VGP_SI+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI_VDI_SI)));
  x_d_VGP_SI_VGP_SI=(+(+xg_VGP_SI_VGP_SI*inv_xi+xg_VGP_SI*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VGP_SI)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VGP_SI_VGP_SI*(1.0-delta_nd)+xg_VGP_SI*(-delta_nd_VGP_SI)+xg_VGP_SI*(-delta_nd_VGP_SI)+xg*(+0.0-delta_nd_VGP_SI_VGP_SI))*Gf+((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf_VGP_SI+(((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf_VGP_SI+(xg*(1.0-delta_nd))*Gf_VGP_SI_VGP_SI)*SP_S_temp1+((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1_VGP_SI+((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI)))*SP_S_temp1_VGP_SI+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI_VGP_SI)));
  x_d_VGP_SI_VSI_BP=(+(+xg_VGP_SI_VSI_BP*inv_xi+xg_VGP_SI*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VGP_SI+xg*inv_xi_VGP_SI_VSI_BP)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI))*(((((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI))+(xg*inv_xi)*(+0.0+(+(+(+xg_VGP_SI_VSI_BP*(1.0-delta_nd)+xg_VGP_SI*(-delta_nd_VSI_BP)+xg_VSI_BP*(-delta_nd_VGP_SI)+xg*(+0.0-delta_nd_VGP_SI_VSI_BP))*Gf+((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf_VSI_BP+(((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf_VGP_SI+(xg*(1.0-delta_nd))*Gf_VGP_SI_VSI_BP)*SP_S_temp1+((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI)))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI))*SP_S_temp1_VSI_BP+((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP)))*SP_S_temp1_VGP_SI+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI_VSI_BP)));
#endif
x_d_VSI_BP=((((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)))+((xg*inv_xi)*((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP))));
#if defined(_DERIVATE2)
  x_d_VSI_BP_VDI_SI=(+(+xg_VSI_BP_VDI_SI*inv_xi+xg_VSI_BP*inv_xi_VDI_SI+xg_VDI_SI*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VDI_SI)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VDI_SI)))+(((xg_VDI_SI*inv_xi)+(xg*inv_xi_VDI_SI)))*((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP))+(xg*inv_xi)*(+0.0+(+(+(+xg_VSI_BP_VDI_SI*(1.0-delta_nd)+xg_VSI_BP*(-delta_nd_VDI_SI)+xg_VDI_SI*(-delta_nd_VSI_BP)+xg*(+0.0-delta_nd_VSI_BP_VDI_SI))*Gf+((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf_VDI_SI+(((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf_VSI_BP+(xg*(1.0-delta_nd))*Gf_VSI_BP_VDI_SI)*SP_S_temp1+((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1_VDI_SI+((((((xg_VDI_SI*(1.0-delta_nd))+(xg*(-delta_nd_VDI_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VDI_SI)))*SP_S_temp1_VSI_BP+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP_VDI_SI)));
  x_d_VSI_BP_VGP_SI=(+(+xg_VSI_BP_VGP_SI*inv_xi+xg_VSI_BP*inv_xi_VGP_SI+xg_VGP_SI*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VGP_SI)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VGP_SI)))+(((xg_VGP_SI*inv_xi)+(xg*inv_xi_VGP_SI)))*((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP))+(xg*inv_xi)*(+0.0+(+(+(+xg_VSI_BP_VGP_SI*(1.0-delta_nd)+xg_VSI_BP*(-delta_nd_VGP_SI)+xg_VGP_SI*(-delta_nd_VSI_BP)+xg*(+0.0-delta_nd_VSI_BP_VGP_SI))*Gf+((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf_VGP_SI+(((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf_VSI_BP+(xg*(1.0-delta_nd))*Gf_VSI_BP_VGP_SI)*SP_S_temp1+((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1_VGP_SI+((((((xg_VGP_SI*(1.0-delta_nd))+(xg*(-delta_nd_VGP_SI))))*Gf)+((xg*(1.0-delta_nd))*Gf_VGP_SI)))*SP_S_temp1_VSI_BP+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP_VGP_SI)));
  x_d_VSI_BP_VSI_BP=(+(+xg_VSI_BP_VSI_BP*inv_xi+xg_VSI_BP*inv_xi_VSI_BP+xg_VSI_BP*inv_xi_VSI_BP+xg*inv_xi_VSI_BP_VSI_BP)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))+((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP))*(((((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP)))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP)))+(((xg_VSI_BP*inv_xi)+(xg*inv_xi_VSI_BP)))*((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1)+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP))+(xg*inv_xi)*(+0.0+(+(+(+xg_VSI_BP_VSI_BP*(1.0-delta_nd)+xg_VSI_BP*(-delta_nd_VSI_BP)+xg_VSI_BP*(-delta_nd_VSI_BP)+xg*(+0.0-delta_nd_VSI_BP_VSI_BP))*Gf+((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf_VSI_BP+(((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf_VSI_BP+(xg*(1.0-delta_nd))*Gf_VSI_BP_VSI_BP)*SP_S_temp1+((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP)))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP))*SP_S_temp1_VSI_BP+((((((xg_VSI_BP*(1.0-delta_nd))+(xg*(-delta_nd_VSI_BP))))*Gf)+((xg*(1.0-delta_nd))*Gf_VSI_BP)))*SP_S_temp1_VSI_BP+((xg*(1.0-delta_nd))*Gf)*SP_S_temp1_VSI_BP_VSI_BP)));
#endif
#endif
x_d=((xg*inv_xi)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)));
EXIT_IF_ISNAN(((xg*inv_xi)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_bx_VDI_SI=xn_d_VDI_SI;
#if defined(_DERIVATE2)
  SP_S_bx_VDI_SI_VDI_SI=(+xn_d_VDI_SI_VDI_SI+0.0);
  SP_S_bx_VDI_SI_VGP_SI=(+xn_d_VDI_SI_VGP_SI+0.0);
  SP_S_bx_VDI_SI_VSI_BP=(+xn_d_VDI_SI_VSI_BP+0.0);
#endif
SP_S_bx_VGP_SI=xn_d_VGP_SI;
#if defined(_DERIVATE2)
  SP_S_bx_VGP_SI_VDI_SI=(+xn_d_VGP_SI_VDI_SI+0.0);
  SP_S_bx_VGP_SI_VGP_SI=(+xn_d_VGP_SI_VGP_SI+0.0);
  SP_S_bx_VGP_SI_VSI_BP=(+xn_d_VGP_SI_VSI_BP+0.0);
#endif
SP_S_bx_VSI_BP=xn_d_VSI_BP;
#if defined(_DERIVATE2)
  SP_S_bx_VSI_BP_VDI_SI=(+xn_d_VSI_BP_VDI_SI+0.0);
  SP_S_bx_VSI_BP_VGP_SI=(+xn_d_VSI_BP_VGP_SI+0.0);
  SP_S_bx_VSI_BP_VSI_BP=(+xn_d_VSI_BP_VSI_BP+0.0);
#endif
#endif
SP_S_bx=(xn_d+3);
EXIT_IF_ISNAN((xn_d+3))
{
double m00_sqrt(d00_sqrt0,(((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))
double m00_sqrt(d00_sqrt1,((SP_S_bx*SP_S_bx)+5.0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))
double m10_sqrt(d10_sqrt1,d00_sqrt1,((SP_S_bx*SP_S_bx)+5.0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_eta_VDI_SI=((0.5*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0))-(0.5*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)));
#if defined(_DERIVATE2)
  SP_S_eta_VDI_SI_VDI_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VDI_SI_VDI_SI+SP_S_bx_VDI_SI_VDI_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VDI_SI_VDI_SI-SP_S_bx_VDI_SI_VDI_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VDI_SI_VDI_SI-SP_S_bx_VDI_SI_VDI_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VDI_SI-(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VDI_SI_VDI_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))+d10_sqrt1*(+(+SP_S_bx_VDI_SI_VDI_SI*SP_S_bx+SP_S_bx_VDI_SI*SP_S_bx_VDI_SI+SP_S_bx_VDI_SI*SP_S_bx_VDI_SI+SP_S_bx*SP_S_bx_VDI_SI_VDI_SI)+0.0)))));
  SP_S_eta_VDI_SI_VGP_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VDI_SI_VGP_SI+SP_S_bx_VDI_SI_VGP_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VDI_SI_VGP_SI-SP_S_bx_VDI_SI_VGP_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VDI_SI_VGP_SI-SP_S_bx_VDI_SI_VGP_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VGP_SI-(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VDI_SI_VGP_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))+d10_sqrt1*(+(+SP_S_bx_VDI_SI_VGP_SI*SP_S_bx+SP_S_bx_VDI_SI*SP_S_bx_VGP_SI+SP_S_bx_VGP_SI*SP_S_bx_VDI_SI+SP_S_bx*SP_S_bx_VDI_SI_VGP_SI)+0.0)))));
  SP_S_eta_VDI_SI_VSI_BP=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*d10_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VDI_SI_VSI_BP+SP_S_bx_VDI_SI_VSI_BP)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*(((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VDI_SI_VSI_BP-SP_S_bx_VDI_SI_VSI_BP)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VDI_SI_VSI_BP-SP_S_bx_VDI_SI_VSI_BP))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VSI_BP-(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*d10_sqrt1)+0.0*(SP_S_bx_VDI_SI-((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VDI_SI_VSI_BP-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI))+d10_sqrt1*(+(+SP_S_bx_VDI_SI_VSI_BP*SP_S_bx+SP_S_bx_VDI_SI*SP_S_bx_VSI_BP+SP_S_bx_VSI_BP*SP_S_bx_VDI_SI+SP_S_bx*SP_S_bx_VDI_SI_VSI_BP)+0.0)))));
#endif
SP_S_eta_VGP_SI=((0.5*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0))-(0.5*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)));
#if defined(_DERIVATE2)
  SP_S_eta_VGP_SI_VDI_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VGP_SI_VDI_SI+SP_S_bx_VGP_SI_VDI_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VGP_SI_VDI_SI-SP_S_bx_VGP_SI_VDI_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VGP_SI_VDI_SI-SP_S_bx_VGP_SI_VDI_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VDI_SI-(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VGP_SI_VDI_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))+d10_sqrt1*(+(+SP_S_bx_VGP_SI_VDI_SI*SP_S_bx+SP_S_bx_VGP_SI*SP_S_bx_VDI_SI+SP_S_bx_VDI_SI*SP_S_bx_VGP_SI+SP_S_bx*SP_S_bx_VGP_SI_VDI_SI)+0.0)))));
  SP_S_eta_VGP_SI_VGP_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VGP_SI_VGP_SI+SP_S_bx_VGP_SI_VGP_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VGP_SI_VGP_SI-SP_S_bx_VGP_SI_VGP_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VGP_SI_VGP_SI-SP_S_bx_VGP_SI_VGP_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VGP_SI-(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VGP_SI_VGP_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))+d10_sqrt1*(+(+SP_S_bx_VGP_SI_VGP_SI*SP_S_bx+SP_S_bx_VGP_SI*SP_S_bx_VGP_SI+SP_S_bx_VGP_SI*SP_S_bx_VGP_SI+SP_S_bx*SP_S_bx_VGP_SI_VGP_SI)+0.0)))));
  SP_S_eta_VGP_SI_VSI_BP=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*d10_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VGP_SI_VSI_BP+SP_S_bx_VGP_SI_VSI_BP)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*(((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)))+d10_sqrt0*(+(+(+SP_S_x1_VGP_SI_VSI_BP-SP_S_bx_VGP_SI_VSI_BP)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VGP_SI_VSI_BP-SP_S_bx_VGP_SI_VSI_BP))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VSI_BP-(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*d10_sqrt1)+0.0*(SP_S_bx_VGP_SI-((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))*d10_sqrt1)+0.5*(+SP_S_bx_VGP_SI_VSI_BP-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI))+d10_sqrt1*(+(+SP_S_bx_VGP_SI_VSI_BP*SP_S_bx+SP_S_bx_VGP_SI*SP_S_bx_VSI_BP+SP_S_bx_VSI_BP*SP_S_bx_VGP_SI+SP_S_bx*SP_S_bx_VGP_SI_VSI_BP)+0.0)))));
#endif
SP_S_eta_VSI_BP=((0.5*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0))-(0.5*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)));
#if defined(_DERIVATE2)
  SP_S_eta_VSI_BP_VDI_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VDI_SI+SP_S_bx_VDI_SI)-((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VSI_BP_VDI_SI+SP_S_bx_VSI_BP_VDI_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI))))*(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))+d10_sqrt0*(+(+(+SP_S_x1_VSI_BP_VDI_SI-SP_S_bx_VSI_BP_VDI_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)+(SP_S_x1_VDI_SI-SP_S_bx_VDI_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VSI_BP_VDI_SI-SP_S_bx_VSI_BP_VDI_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VDI_SI-(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)+0.5*(+SP_S_bx_VSI_BP_VDI_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VDI_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VDI_SI)))*((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))+d10_sqrt1*(+(+SP_S_bx_VSI_BP_VDI_SI*SP_S_bx+SP_S_bx_VSI_BP*SP_S_bx_VDI_SI+SP_S_bx_VDI_SI*SP_S_bx_VSI_BP+SP_S_bx*SP_S_bx_VSI_BP_VDI_SI)+0.0)))));
  SP_S_eta_VSI_BP_VGP_SI=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VGP_SI+SP_S_bx_VGP_SI)-((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*d10_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VSI_BP_VGP_SI+SP_S_bx_VSI_BP_VGP_SI)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI))))*(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))+d10_sqrt0*(+(+(+SP_S_x1_VSI_BP_VGP_SI-SP_S_bx_VSI_BP_VGP_SI)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)+(SP_S_x1_VGP_SI-SP_S_bx_VGP_SI)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VSI_BP_VGP_SI-SP_S_bx_VSI_BP_VGP_SI))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VGP_SI-(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*d10_sqrt1)+0.0*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)+0.5*(+SP_S_bx_VSI_BP_VGP_SI-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VGP_SI*SP_S_bx)+(SP_S_bx*SP_S_bx_VGP_SI)))*((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))+d10_sqrt1*(+(+SP_S_bx_VSI_BP_VGP_SI*SP_S_bx+SP_S_bx_VSI_BP*SP_S_bx_VGP_SI+SP_S_bx_VGP_SI*SP_S_bx_VSI_BP+SP_S_bx*SP_S_bx_VSI_BP_VGP_SI)+0.0)))));
  SP_S_eta_VSI_BP_VSI_BP=(+(+0.0*((SP_S_x1+SP_S_bx)-d00_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*d10_sqrt0)+0.0*((SP_S_x1_VSI_BP+SP_S_bx_VSI_BP)-(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))*d10_sqrt0)+0.5*(+(+SP_S_x1_VSI_BP_VSI_BP+SP_S_bx_VSI_BP_VSI_BP)-(m20_sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))*((((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP))))*(((SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1-SP_S_bx))+((SP_S_x1-SP_S_bx)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)))+d10_sqrt0*(+(+(+SP_S_x1_VSI_BP_VSI_BP-SP_S_bx_VSI_BP_VSI_BP)*(SP_S_x1-SP_S_bx)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)*(SP_S_x1_VSI_BP-SP_S_bx_VSI_BP)+(SP_S_x1-SP_S_bx)*(+SP_S_x1_VSI_BP_VSI_BP-SP_S_bx_VSI_BP_VSI_BP))+0.0))))-(+0.0*(SP_S_bx-d00_sqrt1)+0.0*(SP_S_bx_VSI_BP-(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*d10_sqrt1)+0.0*(SP_S_bx_VSI_BP-((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))*d10_sqrt1)+0.5*(+SP_S_bx_VSI_BP_VSI_BP-(m20_sqrt(((SP_S_bx*SP_S_bx)+5.0))*(((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP)))*((SP_S_bx_VSI_BP*SP_S_bx)+(SP_S_bx*SP_S_bx_VSI_BP))+d10_sqrt1*(+(+SP_S_bx_VSI_BP_VSI_BP*SP_S_bx+SP_S_bx_VSI_BP*SP_S_bx_VSI_BP+SP_S_bx_VSI_BP*SP_S_bx_VSI_BP+SP_S_bx*SP_S_bx_VSI_BP_VSI_BP)+0.0)))));
#endif
#endif
SP_S_eta=((0.5*((SP_S_x1+SP_S_bx)-d00_sqrt0))-(0.5*(SP_S_bx-d00_sqrt1)));
EXIT_IF_ISNAN(((0.5*((SP_S_x1+SP_S_bx)-d00_sqrt0))-(0.5*(SP_S_bx-d00_sqrt1))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(xg_VDI_SI-SP_S_eta_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+xg_VDI_SI_VDI_SI-SP_S_eta_VDI_SI_VDI_SI);
  SP_S_temp_VDI_SI_VGP_SI=(+xg_VDI_SI_VGP_SI-SP_S_eta_VDI_SI_VGP_SI);
  SP_S_temp_VDI_SI_VSI_BP=(+xg_VDI_SI_VSI_BP-SP_S_eta_VDI_SI_VSI_BP);
#endif
SP_S_temp_VGP_SI=(xg_VGP_SI-SP_S_eta_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+xg_VGP_SI_VDI_SI-SP_S_eta_VGP_SI_VDI_SI);
  SP_S_temp_VGP_SI_VGP_SI=(+xg_VGP_SI_VGP_SI-SP_S_eta_VGP_SI_VGP_SI);
  SP_S_temp_VGP_SI_VSI_BP=(+xg_VGP_SI_VSI_BP-SP_S_eta_VGP_SI_VSI_BP);
#endif
SP_S_temp_VSI_BP=(xg_VSI_BP-SP_S_eta_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+xg_VSI_BP_VDI_SI-SP_S_eta_VSI_BP_VDI_SI);
  SP_S_temp_VSI_BP_VGP_SI=(+xg_VSI_BP_VGP_SI-SP_S_eta_VSI_BP_VGP_SI);
  SP_S_temp_VSI_BP_VSI_BP=(+xg_VSI_BP_VSI_BP-SP_S_eta_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp=(xg-SP_S_eta);
EXIT_IF_ISNAN((xg-SP_S_eta))
{
double m00_exp(d00_exp0,(-SP_S_eta))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp1_VDI_SI=(-SP_S_eta_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp1_VDI_SI_VDI_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VDI_SI)*(-SP_S_eta_VDI_SI)+d10_exp0*0.0);
  SP_S_temp1_VDI_SI_VGP_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VGP_SI)*(-SP_S_eta_VDI_SI)+d10_exp0*0.0);
  SP_S_temp1_VDI_SI_VSI_BP=(m20_exp((-SP_S_eta))*(-SP_S_eta_VSI_BP)*(-SP_S_eta_VDI_SI)+d10_exp0*0.0);
#endif
SP_S_temp1_VGP_SI=(-SP_S_eta_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp1_VGP_SI_VDI_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VDI_SI)*(-SP_S_eta_VGP_SI)+d10_exp0*0.0);
  SP_S_temp1_VGP_SI_VGP_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VGP_SI)*(-SP_S_eta_VGP_SI)+d10_exp0*0.0);
  SP_S_temp1_VGP_SI_VSI_BP=(m20_exp((-SP_S_eta))*(-SP_S_eta_VSI_BP)*(-SP_S_eta_VGP_SI)+d10_exp0*0.0);
#endif
SP_S_temp1_VSI_BP=(-SP_S_eta_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_temp1_VSI_BP_VDI_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VDI_SI)*(-SP_S_eta_VSI_BP)+d10_exp0*0.0);
  SP_S_temp1_VSI_BP_VGP_SI=(m20_exp((-SP_S_eta))*(-SP_S_eta_VGP_SI)*(-SP_S_eta_VSI_BP)+d10_exp0*0.0);
  SP_S_temp1_VSI_BP_VSI_BP=(m20_exp((-SP_S_eta))*(-SP_S_eta_VSI_BP)*(-SP_S_eta_VSI_BP)+d10_exp0*0.0);
#endif
#endif
SP_S_temp1=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp2_VDI_SI=(-((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#if defined(_DERIVATE2)
  SP_S_temp2_VDI_SI_VDI_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))+0.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))+1.0*(+0.0+(+SP_S_eta_VDI_SI_VDI_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VDI_SI_VGP_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))+0.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))+1.0*(+0.0+(+SP_S_eta_VDI_SI_VGP_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VDI_SI_VSI_BP=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))+0.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))+1.0*(+0.0+(+SP_S_eta_VDI_SI_VSI_BP*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#endif
SP_S_temp2_VGP_SI=(-((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#if defined(_DERIVATE2)
  SP_S_temp2_VGP_SI_VDI_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))+0.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))+1.0*(+0.0+(+SP_S_eta_VGP_SI_VDI_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VGP_SI_VGP_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))+0.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))+1.0*(+0.0+(+SP_S_eta_VGP_SI_VGP_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VGP_SI_VSI_BP=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))+0.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))+1.0*(+0.0+(+SP_S_eta_VGP_SI_VSI_BP*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#endif
SP_S_temp2_VSI_BP=(-((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#if defined(_DERIVATE2)
  SP_S_temp2_VSI_BP_VDI_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))+0.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))+1.0*(+0.0+(+SP_S_eta_VSI_BP_VDI_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VSI_BP_VGP_SI=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))+0.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))+1.0*(+0.0+(+SP_S_eta_VSI_BP_VGP_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
  SP_S_temp2_VSI_BP_VSI_BP=(0.0/(2.0+(SP_S_eta*SP_S_eta))-(0.0*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))+0.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))+1.0*(+0.0+(+SP_S_eta_VSI_BP_VSI_BP*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))+2*1.0*((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta))/(2.0+(SP_S_eta*SP_S_eta)));
#endif
#endif
SP_S_temp2=(1.0/(2.0+(SP_S_eta*SP_S_eta)));
EXIT_IF_ISNAN((1.0/(2.0+(SP_S_eta*SP_S_eta))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi0_VDI_SI=((((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VDI_SI_VDI_SI=(+(+SP_S_eta_VDI_SI_VDI_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI_VDI_SI);
  SP_S_xi0_VDI_SI_VGP_SI=(+(+SP_S_eta_VDI_SI_VGP_SI*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI_VGP_SI);
  SP_S_xi0_VDI_SI_VSI_BP=(+(+SP_S_eta_VDI_SI_VSI_BP*SP_S_eta+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta*SP_S_eta_VDI_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VDI_SI_VSI_BP);
#endif
SP_S_xi0_VGP_SI=((((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VGP_SI_VDI_SI=(+(+SP_S_eta_VGP_SI_VDI_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI_VDI_SI);
  SP_S_xi0_VGP_SI_VGP_SI=(+(+SP_S_eta_VGP_SI_VGP_SI*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI_VGP_SI);
  SP_S_xi0_VGP_SI_VSI_BP=(+(+SP_S_eta_VGP_SI_VSI_BP*SP_S_eta+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta*SP_S_eta_VGP_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_eta)*SP_S_temp2_VGP_SI_VSI_BP);
#endif
SP_S_xi0_VSI_BP=((((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi0_VSI_BP_VDI_SI=(+(+SP_S_eta_VSI_BP_VDI_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VDI_SI+SP_S_eta_VDI_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VDI_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VDI_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP_VDI_SI);
  SP_S_xi0_VSI_BP_VGP_SI=(+(+SP_S_eta_VSI_BP_VGP_SI*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VGP_SI+SP_S_eta_VGP_SI*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VGP_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_eta)+(SP_S_eta*SP_S_eta_VGP_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP_VGP_SI);
  SP_S_xi0_VSI_BP_VSI_BP=(+(+SP_S_eta_VSI_BP_VSI_BP*SP_S_eta+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta_VSI_BP*SP_S_eta_VSI_BP+SP_S_eta*SP_S_eta_VSI_BP_VSI_BP)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_eta)+(SP_S_eta*SP_S_eta_VSI_BP)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_eta)*SP_S_temp2_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi0=((SP_S_eta*SP_S_eta)*SP_S_temp2);
EXIT_IF_ISNAN(((SP_S_eta*SP_S_eta)*SP_S_temp2))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi1_VDI_SI=(4.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VDI_SI_VDI_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)))+0.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI))+4.0*(+(+SP_S_eta_VDI_SI_VDI_SI*SP_S_temp2+SP_S_eta_VDI_SI*SP_S_temp2_VDI_SI+SP_S_eta_VDI_SI*SP_S_temp2_VDI_SI+SP_S_eta*SP_S_temp2_VDI_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI_VDI_SI));
  SP_S_xi1_VDI_SI_VGP_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)))+0.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI))+4.0*(+(+SP_S_eta_VDI_SI_VGP_SI*SP_S_temp2+SP_S_eta_VDI_SI*SP_S_temp2_VGP_SI+SP_S_eta_VGP_SI*SP_S_temp2_VDI_SI+SP_S_eta*SP_S_temp2_VDI_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI_VGP_SI));
  SP_S_xi1_VDI_SI_VSI_BP=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)))+0.0*((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI))+4.0*(+(+SP_S_eta_VDI_SI_VSI_BP*SP_S_temp2+SP_S_eta_VDI_SI*SP_S_temp2_VSI_BP+SP_S_eta_VSI_BP*SP_S_temp2_VDI_SI+SP_S_eta*SP_S_temp2_VDI_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2_VDI_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI_VSI_BP));
#endif
SP_S_xi1_VGP_SI=(4.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VGP_SI_VDI_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)))+0.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI))+4.0*(+(+SP_S_eta_VGP_SI_VDI_SI*SP_S_temp2+SP_S_eta_VGP_SI*SP_S_temp2_VDI_SI+SP_S_eta_VDI_SI*SP_S_temp2_VGP_SI+SP_S_eta*SP_S_temp2_VGP_SI_VDI_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI_VDI_SI));
  SP_S_xi1_VGP_SI_VGP_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)))+0.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI))+4.0*(+(+SP_S_eta_VGP_SI_VGP_SI*SP_S_temp2+SP_S_eta_VGP_SI*SP_S_temp2_VGP_SI+SP_S_eta_VGP_SI*SP_S_temp2_VGP_SI+SP_S_eta*SP_S_temp2_VGP_SI_VGP_SI)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI_VGP_SI));
  SP_S_xi1_VGP_SI_VSI_BP=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)))+0.0*((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI))+4.0*(+(+SP_S_eta_VGP_SI_VSI_BP*SP_S_temp2+SP_S_eta_VGP_SI*SP_S_temp2_VSI_BP+SP_S_eta_VSI_BP*SP_S_temp2_VGP_SI+SP_S_eta*SP_S_temp2_VGP_SI_VSI_BP)*SP_S_temp2+((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2_VGP_SI+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI_VSI_BP));
#endif
SP_S_xi1_VSI_BP=(4.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_xi1_VSI_BP_VDI_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VDI_SI)))+0.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP))+4.0*(+(+SP_S_eta_VSI_BP_VDI_SI*SP_S_temp2+SP_S_eta_VSI_BP*SP_S_temp2_VDI_SI+SP_S_eta_VDI_SI*SP_S_temp2_VSI_BP+SP_S_eta*SP_S_temp2_VSI_BP_VDI_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2_VDI_SI+(((SP_S_eta_VDI_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VDI_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP_VDI_SI));
  SP_S_xi1_VSI_BP_VGP_SI=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VGP_SI)))+0.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP))+4.0*(+(+SP_S_eta_VSI_BP_VGP_SI*SP_S_temp2+SP_S_eta_VSI_BP*SP_S_temp2_VGP_SI+SP_S_eta_VGP_SI*SP_S_temp2_VSI_BP+SP_S_eta*SP_S_temp2_VSI_BP_VGP_SI)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2_VGP_SI+(((SP_S_eta_VGP_SI*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VGP_SI)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP_VGP_SI));
  SP_S_xi1_VSI_BP_VSI_BP=(+0.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)+0.0*((((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP)))+0.0*((((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2)+((SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP))+4.0*(+(+SP_S_eta_VSI_BP_VSI_BP*SP_S_temp2+SP_S_eta_VSI_BP*SP_S_temp2_VSI_BP+SP_S_eta_VSI_BP*SP_S_temp2_VSI_BP+SP_S_eta*SP_S_temp2_VSI_BP_VSI_BP)*SP_S_temp2+((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP))*SP_S_temp2_VSI_BP+(((SP_S_eta_VSI_BP*SP_S_temp2)+(SP_S_eta*SP_S_temp2_VSI_BP)))*SP_S_temp2_VSI_BP+(SP_S_eta*SP_S_temp2)*SP_S_temp2_VSI_BP_VSI_BP));
#endif
#endif
SP_S_xi1=(4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
EXIT_IF_ISNAN((4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi2_VDI_SI=((((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2)+((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VDI_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VDI_SI+0.0*SP_S_temp2_VDI_SI+8.0*SP_S_temp2_VDI_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VDI_SI))*SP_S_temp2+((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2_VDI_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI_VDI_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2_VDI_SI+((((((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI)))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI_VDI_SI);
  SP_S_xi2_VDI_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VGP_SI+0.0*SP_S_temp2_VDI_SI+8.0*SP_S_temp2_VDI_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VGP_SI))*SP_S_temp2+((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2_VDI_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI_VGP_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2_VGP_SI+((((((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI)))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI_VGP_SI);
  SP_S_xi2_VDI_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VSI_BP+0.0*SP_S_temp2_VDI_SI+8.0*SP_S_temp2_VDI_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VSI_BP))*SP_S_temp2+((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2_VDI_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI_VSI_BP)*SP_S_temp2+((((8.0*SP_S_temp2_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI))*SP_S_temp2_VSI_BP+((((((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP)))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VDI_SI_VSI_BP);
#endif
SP_S_xi2_VGP_SI=((((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2)+((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VGP_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VDI_SI+0.0*SP_S_temp2_VGP_SI+8.0*SP_S_temp2_VGP_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VDI_SI))*SP_S_temp2+((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2_VGP_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI_VDI_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2_VDI_SI+((((((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI)))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI_VDI_SI);
  SP_S_xi2_VGP_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VGP_SI+0.0*SP_S_temp2_VGP_SI+8.0*SP_S_temp2_VGP_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VGP_SI))*SP_S_temp2+((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2_VGP_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI_VGP_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2_VGP_SI+((((((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI)))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI_VGP_SI);
  SP_S_xi2_VGP_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VSI_BP+0.0*SP_S_temp2_VGP_SI+8.0*SP_S_temp2_VGP_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VSI_BP))*SP_S_temp2+((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2_VGP_SI+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI_VSI_BP)*SP_S_temp2+((((8.0*SP_S_temp2_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI))*SP_S_temp2_VSI_BP+((((((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP)))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VGP_SI_VSI_BP);
#endif
SP_S_xi2_VSI_BP=((((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2)+((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi2_VSI_BP_VDI_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VDI_SI+0.0*SP_S_temp2_VSI_BP+8.0*SP_S_temp2_VSI_BP_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VDI_SI))*SP_S_temp2+((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2_VDI_SI+(((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2_VSI_BP+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP_VDI_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2_VDI_SI+((((((8.0*SP_S_temp2_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VDI_SI)))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP_VDI_SI);
  SP_S_xi2_VSI_BP_VGP_SI=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VGP_SI+0.0*SP_S_temp2_VSI_BP+8.0*SP_S_temp2_VSI_BP_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VGP_SI))*SP_S_temp2+((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2_VGP_SI+(((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2_VSI_BP+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP_VGP_SI)*SP_S_temp2+((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2_VGP_SI+((((((8.0*SP_S_temp2_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VGP_SI)))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP_VGP_SI);
  SP_S_xi2_VSI_BP_VSI_BP=(+(+(+(+0.0*SP_S_temp2+0.0*SP_S_temp2_VSI_BP+0.0*SP_S_temp2_VSI_BP+8.0*SP_S_temp2_VSI_BP_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VSI_BP))*SP_S_temp2+((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2_VSI_BP+((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP_VSI_BP)*SP_S_temp2+((((8.0*SP_S_temp2_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP))*SP_S_temp2_VSI_BP+((((((8.0*SP_S_temp2_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp2)+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2_VSI_BP)))*SP_S_temp2_VSI_BP+(((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi2=((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
EXIT_IF_ISNAN(((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2))
{
double m00_max(d00_max0,1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))))
#if defined(_DERIVATEFORDDX)
double m11_max(d11_max0,d00_max0,1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_a_VDI_SI=(d11_max0*(((SP_S_temp_VDI_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VDI_SI))-((Gf2_VDI_SI*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))+(Gf2*((SP_S_temp1_VDI_SI+SP_S_eta_VDI_SI)-((delta_nd_VDI_SI*((SP_S_eta+1.0)+SP_S_xi0))+(delta_nd*(SP_S_eta_VDI_SI+SP_S_xi0_VDI_SI))))))));
#if defined(_DERIVATE2)
  SP_S_a_VDI_SI_VDI_SI=fixme;
  SP_S_a_VDI_SI_VGP_SI=fixme;
  SP_S_a_VDI_SI_VSI_BP=fixme;
#endif
SP_S_a_VGP_SI=(d11_max0*(((SP_S_temp_VGP_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VGP_SI))-((Gf2_VGP_SI*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))+(Gf2*((SP_S_temp1_VGP_SI+SP_S_eta_VGP_SI)-((delta_nd_VGP_SI*((SP_S_eta+1.0)+SP_S_xi0))+(delta_nd*(SP_S_eta_VGP_SI+SP_S_xi0_VGP_SI))))))));
#if defined(_DERIVATE2)
  SP_S_a_VGP_SI_VDI_SI=fixme;
  SP_S_a_VGP_SI_VGP_SI=fixme;
  SP_S_a_VGP_SI_VSI_BP=fixme;
#endif
SP_S_a_VSI_BP=(d11_max0*(((SP_S_temp_VSI_BP*SP_S_temp)+(SP_S_temp*SP_S_temp_VSI_BP))-((Gf2_VSI_BP*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))+(Gf2*((SP_S_temp1_VSI_BP+SP_S_eta_VSI_BP)-((delta_nd_VSI_BP*((SP_S_eta+1.0)+SP_S_xi0))+(delta_nd*(SP_S_eta_VSI_BP+SP_S_xi0_VSI_BP))))))));
#if defined(_DERIVATE2)
  SP_S_a_VSI_BP_VDI_SI=fixme;
  SP_S_a_VSI_BP_VGP_SI=fixme;
  SP_S_a_VSI_BP_VSI_BP=fixme;
#endif
#endif
SP_S_a=d00_max0;
EXIT_IF_ISNAN(d00_max0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_b_VDI_SI=(-(0.5*((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))));
#if defined(_DERIVATE2)
  SP_S_b_VDI_SI_VDI_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))))+0.0*((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))+0.5*(+Gf2_VDI_SI_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VDI_SI*(SP_S_temp1_VDI_SI-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))+Gf2*(+SP_S_temp1_VDI_SI_VDI_SI-(+delta_nd_VDI_SI_VDI_SI*SP_S_xi2+delta_nd_VDI_SI*SP_S_xi2_VDI_SI+delta_nd_VDI_SI*SP_S_xi2_VDI_SI+delta_nd*SP_S_xi2_VDI_SI_VDI_SI)))));
  SP_S_b_VDI_SI_VGP_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))))+0.0*((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))+0.5*(+Gf2_VDI_SI_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VDI_SI*(SP_S_temp1_VGP_SI-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))+Gf2*(+SP_S_temp1_VDI_SI_VGP_SI-(+delta_nd_VDI_SI_VGP_SI*SP_S_xi2+delta_nd_VDI_SI*SP_S_xi2_VGP_SI+delta_nd_VGP_SI*SP_S_xi2_VDI_SI+delta_nd*SP_S_xi2_VDI_SI_VGP_SI)))));
  SP_S_b_VDI_SI_VSI_BP=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))))+0.0*((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))+0.5*(+Gf2_VDI_SI_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VDI_SI*(SP_S_temp1_VSI_BP-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*(SP_S_temp1_VDI_SI-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))+Gf2*(+SP_S_temp1_VDI_SI_VSI_BP-(+delta_nd_VDI_SI_VSI_BP*SP_S_xi2+delta_nd_VDI_SI*SP_S_xi2_VSI_BP+delta_nd_VSI_BP*SP_S_xi2_VDI_SI+delta_nd*SP_S_xi2_VDI_SI_VSI_BP)))));
#endif
SP_S_b_VGP_SI=(-(0.5*((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))));
#if defined(_DERIVATE2)
  SP_S_b_VGP_SI_VDI_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))))+0.0*((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))+0.5*(+Gf2_VGP_SI_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VGP_SI*(SP_S_temp1_VDI_SI-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))+Gf2*(+SP_S_temp1_VGP_SI_VDI_SI-(+delta_nd_VGP_SI_VDI_SI*SP_S_xi2+delta_nd_VGP_SI*SP_S_xi2_VDI_SI+delta_nd_VDI_SI*SP_S_xi2_VGP_SI+delta_nd*SP_S_xi2_VGP_SI_VDI_SI)))));
  SP_S_b_VGP_SI_VGP_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))))+0.0*((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))+0.5*(+Gf2_VGP_SI_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VGP_SI*(SP_S_temp1_VGP_SI-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))+Gf2*(+SP_S_temp1_VGP_SI_VGP_SI-(+delta_nd_VGP_SI_VGP_SI*SP_S_xi2+delta_nd_VGP_SI*SP_S_xi2_VGP_SI+delta_nd_VGP_SI*SP_S_xi2_VGP_SI+delta_nd*SP_S_xi2_VGP_SI_VGP_SI)))));
  SP_S_b_VGP_SI_VSI_BP=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))))+0.0*((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))+0.5*(+Gf2_VGP_SI_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VGP_SI*(SP_S_temp1_VSI_BP-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*(SP_S_temp1_VGP_SI-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))+Gf2*(+SP_S_temp1_VGP_SI_VSI_BP-(+delta_nd_VGP_SI_VSI_BP*SP_S_xi2+delta_nd_VGP_SI*SP_S_xi2_VSI_BP+delta_nd_VSI_BP*SP_S_xi2_VGP_SI+delta_nd*SP_S_xi2_VGP_SI_VSI_BP)))));
#endif
SP_S_b_VSI_BP=(-(0.5*((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))));
#if defined(_DERIVATE2)
  SP_S_b_VSI_BP_VDI_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VDI_SI-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))))))+0.0*((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))+0.5*(+Gf2_VSI_BP_VDI_SI*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VSI_BP*(SP_S_temp1_VDI_SI-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))+Gf2*(+SP_S_temp1_VSI_BP_VDI_SI-(+delta_nd_VSI_BP_VDI_SI*SP_S_xi2+delta_nd_VSI_BP*SP_S_xi2_VDI_SI+delta_nd_VDI_SI*SP_S_xi2_VSI_BP+delta_nd*SP_S_xi2_VSI_BP_VDI_SI)))));
  SP_S_b_VSI_BP_VGP_SI=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VGP_SI-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))))))+0.0*((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))+0.5*(+Gf2_VSI_BP_VGP_SI*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VSI_BP*(SP_S_temp1_VGP_SI-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))+Gf2*(+SP_S_temp1_VSI_BP_VGP_SI-(+delta_nd_VSI_BP_VGP_SI*SP_S_xi2+delta_nd_VSI_BP*SP_S_xi2_VGP_SI+delta_nd_VGP_SI*SP_S_xi2_VSI_BP+delta_nd*SP_S_xi2_VSI_BP_VGP_SI)))));
  SP_S_b_VSI_BP_VSI_BP=(+0.0-(+0.0*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))+0.0*(((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))))+0.0*((Gf2_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2)))+(Gf2*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))))+0.5*(+Gf2_VSI_BP_VSI_BP*(SP_S_temp1-(delta_nd*SP_S_xi2))+Gf2_VSI_BP*(SP_S_temp1_VSI_BP-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*(SP_S_temp1_VSI_BP-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))+Gf2*(+SP_S_temp1_VSI_BP_VSI_BP-(+delta_nd_VSI_BP_VSI_BP*SP_S_xi2+delta_nd_VSI_BP*SP_S_xi2_VSI_BP+delta_nd_VSI_BP*SP_S_xi2_VSI_BP+delta_nd*SP_S_xi2_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_b=(1.0-(0.5*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))));
EXIT_IF_ISNAN((1.0-(0.5*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_c_VDI_SI=((2.0*SP_S_temp_VDI_SI)+((Gf2_VDI_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1))))+(Gf2*((-SP_S_temp1_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_c_VDI_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VDI_SI)+(+Gf2_VDI_SI_VDI_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VDI_SI*((-SP_S_temp1_VDI_SI)-(((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*((-SP_S_temp1_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI)))+Gf2*(+(+0.0-SP_S_temp1_VDI_SI_VDI_SI)-(+delta_nd_VDI_SI_VDI_SI*(1.0+SP_S_xi1)+delta_nd_VDI_SI*SP_S_xi1_VDI_SI+delta_nd_VDI_SI*SP_S_xi1_VDI_SI+delta_nd*(+0.0+SP_S_xi1_VDI_SI_VDI_SI)))));
  SP_S_c_VDI_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VGP_SI)+(+Gf2_VDI_SI_VGP_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VDI_SI*((-SP_S_temp1_VGP_SI)-(((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*((-SP_S_temp1_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI)))+Gf2*(+(+0.0-SP_S_temp1_VDI_SI_VGP_SI)-(+delta_nd_VDI_SI_VGP_SI*(1.0+SP_S_xi1)+delta_nd_VDI_SI*SP_S_xi1_VGP_SI+delta_nd_VGP_SI*SP_S_xi1_VDI_SI+delta_nd*(+0.0+SP_S_xi1_VDI_SI_VGP_SI)))));
  SP_S_c_VDI_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VSI_BP)+(+Gf2_VDI_SI_VSI_BP*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VDI_SI*((-SP_S_temp1_VSI_BP)-(((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*((-SP_S_temp1_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI)))+Gf2*(+(+0.0-SP_S_temp1_VDI_SI_VSI_BP)-(+delta_nd_VDI_SI_VSI_BP*(1.0+SP_S_xi1)+delta_nd_VDI_SI*SP_S_xi1_VSI_BP+delta_nd_VSI_BP*SP_S_xi1_VDI_SI+delta_nd*(+0.0+SP_S_xi1_VDI_SI_VSI_BP)))));
#endif
SP_S_c_VGP_SI=((2.0*SP_S_temp_VGP_SI)+((Gf2_VGP_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1))))+(Gf2*((-SP_S_temp1_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_c_VGP_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VDI_SI)+(+Gf2_VGP_SI_VDI_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VGP_SI*((-SP_S_temp1_VDI_SI)-(((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*((-SP_S_temp1_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI)))+Gf2*(+(+0.0-SP_S_temp1_VGP_SI_VDI_SI)-(+delta_nd_VGP_SI_VDI_SI*(1.0+SP_S_xi1)+delta_nd_VGP_SI*SP_S_xi1_VDI_SI+delta_nd_VDI_SI*SP_S_xi1_VGP_SI+delta_nd*(+0.0+SP_S_xi1_VGP_SI_VDI_SI)))));
  SP_S_c_VGP_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VGP_SI)+(+Gf2_VGP_SI_VGP_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VGP_SI*((-SP_S_temp1_VGP_SI)-(((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*((-SP_S_temp1_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI)))+Gf2*(+(+0.0-SP_S_temp1_VGP_SI_VGP_SI)-(+delta_nd_VGP_SI_VGP_SI*(1.0+SP_S_xi1)+delta_nd_VGP_SI*SP_S_xi1_VGP_SI+delta_nd_VGP_SI*SP_S_xi1_VGP_SI+delta_nd*(+0.0+SP_S_xi1_VGP_SI_VGP_SI)))));
  SP_S_c_VGP_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VSI_BP)+(+Gf2_VGP_SI_VSI_BP*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VGP_SI*((-SP_S_temp1_VSI_BP)-(((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*((-SP_S_temp1_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI)))+Gf2*(+(+0.0-SP_S_temp1_VGP_SI_VSI_BP)-(+delta_nd_VGP_SI_VSI_BP*(1.0+SP_S_xi1)+delta_nd_VGP_SI*SP_S_xi1_VSI_BP+delta_nd_VSI_BP*SP_S_xi1_VGP_SI+delta_nd*(+0.0+SP_S_xi1_VGP_SI_VSI_BP)))));
#endif
SP_S_c_VSI_BP=((2.0*SP_S_temp_VSI_BP)+((Gf2_VSI_BP*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1))))+(Gf2*((-SP_S_temp1_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_c_VSI_BP_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VDI_SI)+(+Gf2_VSI_BP_VDI_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VSI_BP*((-SP_S_temp1_VDI_SI)-(((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*((-SP_S_temp1_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP)))+Gf2*(+(+0.0-SP_S_temp1_VSI_BP_VDI_SI)-(+delta_nd_VSI_BP_VDI_SI*(1.0+SP_S_xi1)+delta_nd_VSI_BP*SP_S_xi1_VDI_SI+delta_nd_VDI_SI*SP_S_xi1_VSI_BP+delta_nd*(+0.0+SP_S_xi1_VSI_BP_VDI_SI)))));
  SP_S_c_VSI_BP_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VGP_SI)+(+Gf2_VSI_BP_VGP_SI*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VSI_BP*((-SP_S_temp1_VGP_SI)-(((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*((-SP_S_temp1_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP)))+Gf2*(+(+0.0-SP_S_temp1_VSI_BP_VGP_SI)-(+delta_nd_VSI_BP_VGP_SI*(1.0+SP_S_xi1)+delta_nd_VSI_BP*SP_S_xi1_VGP_SI+delta_nd_VGP_SI*SP_S_xi1_VSI_BP+delta_nd*(+0.0+SP_S_xi1_VSI_BP_VGP_SI)))));
  SP_S_c_VSI_BP_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VSI_BP)+(+Gf2_VSI_BP_VSI_BP*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VSI_BP*((-SP_S_temp1_VSI_BP)-(((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*((-SP_S_temp1_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP)))+Gf2*(+(+0.0-SP_S_temp1_VSI_BP_VSI_BP)-(+delta_nd_VSI_BP_VSI_BP*(1.0+SP_S_xi1)+delta_nd_VSI_BP*SP_S_xi1_VSI_BP+delta_nd_VSI_BP*SP_S_xi1_VSI_BP+delta_nd*(+0.0+SP_S_xi1_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_c=((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))));
EXIT_IF_ISNAN(((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1))))))
{
double m00_logE(d00_logE0,(SP_S_a/Gf2))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(SP_S_a/Gf2))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_tau_VDI_SI=((xn_d_VDI_SI-SP_S_eta_VDI_SI)+((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VDI_SI_VDI_SI=(+(+xn_d_VDI_SI_VDI_SI-SP_S_eta_VDI_SI_VDI_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VDI_SI_VDI_SI/Gf2-(SP_S_a_VDI_SI*Gf2_VDI_SI+SP_S_a_VDI_SI*Gf2_VDI_SI+SP_S_a*Gf2_VDI_SI_VDI_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VDI_SI*Gf2_VDI_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VDI_SI_VGP_SI=(+(+xn_d_VDI_SI_VGP_SI-SP_S_eta_VDI_SI_VGP_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VDI_SI_VGP_SI/Gf2-(SP_S_a_VDI_SI*Gf2_VGP_SI+SP_S_a_VGP_SI*Gf2_VDI_SI+SP_S_a*Gf2_VDI_SI_VGP_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VDI_SI*Gf2_VGP_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VDI_SI_VSI_BP=(+(+xn_d_VDI_SI_VSI_BP-SP_S_eta_VDI_SI_VSI_BP)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VDI_SI_VSI_BP/Gf2-(SP_S_a_VDI_SI*Gf2_VSI_BP+SP_S_a_VSI_BP*Gf2_VDI_SI+SP_S_a*Gf2_VDI_SI_VSI_BP)/Gf2/Gf2+2*SP_S_a*Gf2_VDI_SI*Gf2_VSI_BP/Gf2/Gf2/Gf2)));
#endif
SP_S_tau_VGP_SI=((xn_d_VGP_SI-SP_S_eta_VGP_SI)+((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VGP_SI_VDI_SI=(+(+xn_d_VGP_SI_VDI_SI-SP_S_eta_VGP_SI_VDI_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VGP_SI_VDI_SI/Gf2-(SP_S_a_VGP_SI*Gf2_VDI_SI+SP_S_a_VDI_SI*Gf2_VGP_SI+SP_S_a*Gf2_VGP_SI_VDI_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VGP_SI*Gf2_VDI_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VGP_SI_VGP_SI=(+(+xn_d_VGP_SI_VGP_SI-SP_S_eta_VGP_SI_VGP_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VGP_SI_VGP_SI/Gf2-(SP_S_a_VGP_SI*Gf2_VGP_SI+SP_S_a_VGP_SI*Gf2_VGP_SI+SP_S_a*Gf2_VGP_SI_VGP_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VGP_SI*Gf2_VGP_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VGP_SI_VSI_BP=(+(+xn_d_VGP_SI_VSI_BP-SP_S_eta_VGP_SI_VSI_BP)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)+d10_logE0*(SP_S_a_VGP_SI_VSI_BP/Gf2-(SP_S_a_VGP_SI*Gf2_VSI_BP+SP_S_a_VSI_BP*Gf2_VGP_SI+SP_S_a*Gf2_VGP_SI_VSI_BP)/Gf2/Gf2+2*SP_S_a*Gf2_VGP_SI*Gf2_VSI_BP/Gf2/Gf2/Gf2)));
#endif
SP_S_tau_VSI_BP=((xn_d_VSI_BP-SP_S_eta_VSI_BP)+((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*d10_logE0);
#if defined(_DERIVATE2)
  SP_S_tau_VSI_BP_VDI_SI=(+(+xn_d_VSI_BP_VDI_SI-SP_S_eta_VSI_BP_VDI_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VDI_SI*Gf2-SP_S_a*Gf2_VDI_SI)/Gf2/Gf2)*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)+d10_logE0*(SP_S_a_VSI_BP_VDI_SI/Gf2-(SP_S_a_VSI_BP*Gf2_VDI_SI+SP_S_a_VDI_SI*Gf2_VSI_BP+SP_S_a*Gf2_VSI_BP_VDI_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VSI_BP*Gf2_VDI_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VSI_BP_VGP_SI=(+(+xn_d_VSI_BP_VGP_SI-SP_S_eta_VSI_BP_VGP_SI)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VGP_SI*Gf2-SP_S_a*Gf2_VGP_SI)/Gf2/Gf2)*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)+d10_logE0*(SP_S_a_VSI_BP_VGP_SI/Gf2-(SP_S_a_VSI_BP*Gf2_VGP_SI+SP_S_a_VGP_SI*Gf2_VSI_BP+SP_S_a*Gf2_VSI_BP_VGP_SI)/Gf2/Gf2+2*SP_S_a*Gf2_VSI_BP*Gf2_VGP_SI/Gf2/Gf2/Gf2)));
  SP_S_tau_VSI_BP_VSI_BP=(+(+xn_d_VSI_BP_VSI_BP-SP_S_eta_VSI_BP_VSI_BP)+(m20_logE((SP_S_a/Gf2))*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)*((SP_S_a_VSI_BP*Gf2-SP_S_a*Gf2_VSI_BP)/Gf2/Gf2)+d10_logE0*(SP_S_a_VSI_BP_VSI_BP/Gf2-(SP_S_a_VSI_BP*Gf2_VSI_BP+SP_S_a_VSI_BP*Gf2_VSI_BP+SP_S_a*Gf2_VSI_BP_VSI_BP)/Gf2/Gf2+2*SP_S_a*Gf2_VSI_BP*Gf2_VSI_BP/Gf2/Gf2/Gf2)));
#endif
#endif
SP_S_tau=((xn_d-SP_S_eta)+d00_logE0);
EXIT_IF_ISNAN(((xn_d-SP_S_eta)+d00_logE0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
nu_VDI_SI=(SP_S_a_VDI_SI+SP_S_c_VDI_SI);
#if defined(_DERIVATE2)
  nu_VDI_SI_VDI_SI=(+SP_S_a_VDI_SI_VDI_SI+SP_S_c_VDI_SI_VDI_SI);
  nu_VDI_SI_VGP_SI=(+SP_S_a_VDI_SI_VGP_SI+SP_S_c_VDI_SI_VGP_SI);
  nu_VDI_SI_VSI_BP=(+SP_S_a_VDI_SI_VSI_BP+SP_S_c_VDI_SI_VSI_BP);
#endif
nu_VGP_SI=(SP_S_a_VGP_SI+SP_S_c_VGP_SI);
#if defined(_DERIVATE2)
  nu_VGP_SI_VDI_SI=(+SP_S_a_VGP_SI_VDI_SI+SP_S_c_VGP_SI_VDI_SI);
  nu_VGP_SI_VGP_SI=(+SP_S_a_VGP_SI_VGP_SI+SP_S_c_VGP_SI_VGP_SI);
  nu_VGP_SI_VSI_BP=(+SP_S_a_VGP_SI_VSI_BP+SP_S_c_VGP_SI_VSI_BP);
#endif
nu_VSI_BP=(SP_S_a_VSI_BP+SP_S_c_VSI_BP);
#if defined(_DERIVATE2)
  nu_VSI_BP_VDI_SI=(+SP_S_a_VSI_BP_VDI_SI+SP_S_c_VSI_BP_VDI_SI);
  nu_VSI_BP_VGP_SI=(+SP_S_a_VSI_BP_VGP_SI+SP_S_c_VSI_BP_VGP_SI);
  nu_VSI_BP_VSI_BP=(+SP_S_a_VSI_BP_VSI_BP+SP_S_c_VSI_BP_VSI_BP);
#endif
#endif
nu=(SP_S_a+SP_S_c);
EXIT_IF_ISNAN((SP_S_a+SP_S_c))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
mutau_VDI_SI=(((nu_VDI_SI*nu)+(nu*nu_VDI_SI))+((SP_S_tau_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))+(SP_S_tau*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))));
#if defined(_DERIVATE2)
  mutau_VDI_SI_VDI_SI=(+(+nu_VDI_SI_VDI_SI*nu+nu_VDI_SI*nu_VDI_SI+nu_VDI_SI*nu_VDI_SI+nu*nu_VDI_SI_VDI_SI)+(+SP_S_tau_VDI_SI_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VDI_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VDI_SI))-(+SP_S_a_VDI_SI_VDI_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VDI_SI))));
  mutau_VDI_SI_VGP_SI=(+(+nu_VDI_SI_VGP_SI*nu+nu_VDI_SI*nu_VGP_SI+nu_VGP_SI*nu_VDI_SI+nu*nu_VDI_SI_VGP_SI)+(+SP_S_tau_VDI_SI_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VGP_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VGP_SI))-(+SP_S_a_VDI_SI_VGP_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VGP_SI))));
  mutau_VDI_SI_VSI_BP=(+(+nu_VDI_SI_VSI_BP*nu+nu_VDI_SI*nu_VSI_BP+nu_VSI_BP*nu_VDI_SI+nu*nu_VDI_SI_VSI_BP)+(+SP_S_tau_VDI_SI_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VDI_SI*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))+0.5*(+SP_S_c_VDI_SI_VSI_BP*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VSI_BP))-(+SP_S_a_VDI_SI_VSI_BP*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VSI_BP))));
#endif
mutau_VGP_SI=(((nu_VGP_SI*nu)+(nu*nu_VGP_SI))+((SP_S_tau_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))+(SP_S_tau*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))));
#if defined(_DERIVATE2)
  mutau_VGP_SI_VDI_SI=(+(+nu_VGP_SI_VDI_SI*nu+nu_VGP_SI*nu_VDI_SI+nu_VDI_SI*nu_VGP_SI+nu*nu_VGP_SI_VDI_SI)+(+SP_S_tau_VGP_SI_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VDI_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VDI_SI))-(+SP_S_a_VGP_SI_VDI_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VDI_SI))));
  mutau_VGP_SI_VGP_SI=(+(+nu_VGP_SI_VGP_SI*nu+nu_VGP_SI*nu_VGP_SI+nu_VGP_SI*nu_VGP_SI+nu*nu_VGP_SI_VGP_SI)+(+SP_S_tau_VGP_SI_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VGP_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VGP_SI))-(+SP_S_a_VGP_SI_VGP_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VGP_SI))));
  mutau_VGP_SI_VSI_BP=(+(+nu_VGP_SI_VSI_BP*nu+nu_VGP_SI*nu_VSI_BP+nu_VSI_BP*nu_VGP_SI+nu*nu_VGP_SI_VSI_BP)+(+SP_S_tau_VGP_SI_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VGP_SI*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))+0.5*(+SP_S_c_VGP_SI_VSI_BP*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VSI_BP))-(+SP_S_a_VGP_SI_VSI_BP*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VSI_BP))));
#endif
mutau_VSI_BP=(((nu_VSI_BP*nu)+(nu*nu_VSI_BP))+((SP_S_tau_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))+(SP_S_tau*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))));
#if defined(_DERIVATE2)
  mutau_VSI_BP_VDI_SI=(+(+nu_VSI_BP_VDI_SI*nu+nu_VSI_BP*nu_VDI_SI+nu_VDI_SI*nu_VSI_BP+nu*nu_VSI_BP_VDI_SI)+(+SP_S_tau_VSI_BP_VDI_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))))-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+SP_S_tau_VDI_SI*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VDI_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VDI_SI))-(+SP_S_a_VSI_BP_VDI_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VDI_SI))));
  mutau_VSI_BP_VGP_SI=(+(+nu_VSI_BP_VGP_SI*nu+nu_VSI_BP*nu_VGP_SI+nu_VGP_SI*nu_VSI_BP+nu*nu_VSI_BP_VGP_SI)+(+SP_S_tau_VSI_BP_VGP_SI*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))))-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+SP_S_tau_VGP_SI*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VGP_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VGP_SI))-(+SP_S_a_VSI_BP_VGP_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VGP_SI))));
  mutau_VSI_BP_VSI_BP=(+(+nu_VSI_BP_VSI_BP*nu+nu_VSI_BP*nu_VSI_BP+nu_VSI_BP*nu_VSI_BP+nu*nu_VSI_BP_VSI_BP)+(+SP_S_tau_VSI_BP_VSI_BP*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))+SP_S_tau_VSI_BP*(((0.5*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))))-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+SP_S_tau_VSI_BP*((0.5*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+SP_S_tau*(+(+0.0*(SP_S_c*SP_S_c)+0.0*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))+0.0*((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))+0.5*(+SP_S_c_VSI_BP_VSI_BP*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VSI_BP))-(+SP_S_a_VSI_BP_VSI_BP*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VSI_BP))));
#endif
#endif
mutau=((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
EXIT_IF_ISNAN(((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b)))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_x0_VDI_SI=(SP_S_eta_VDI_SI+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#if defined(_DERIVATE2)
  SP_S_x0_VDI_SI_VDI_SI=(+SP_S_eta_VDI_SI_VDI_SI+((+(+SP_S_a_VDI_SI_VDI_SI*nu+SP_S_a_VDI_SI*nu_VDI_SI+SP_S_a_VDI_SI*nu_VDI_SI+SP_S_a*nu_VDI_SI_VDI_SI)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VDI_SI+(+(+(+(+(nu_VDI_SI_VDI_SI/mutau-(nu_VDI_SI*mutau_VDI_SI+nu_VDI_SI*mutau_VDI_SI+nu*mutau_VDI_SI_VDI_SI)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VDI_SI)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VDI_SI)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VDI_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VDI_SI_VDI_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VDI_SI_VGP_SI=(+SP_S_eta_VDI_SI_VGP_SI+((+(+SP_S_a_VDI_SI_VGP_SI*nu+SP_S_a_VDI_SI*nu_VGP_SI+SP_S_a_VGP_SI*nu_VDI_SI+SP_S_a*nu_VDI_SI_VGP_SI)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VGP_SI+(+(+(+(+(nu_VDI_SI_VGP_SI/mutau-(nu_VDI_SI*mutau_VGP_SI+nu_VGP_SI*mutau_VDI_SI+nu*mutau_VDI_SI_VGP_SI)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VGP_SI)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VGP_SI)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VGP_SI*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VDI_SI_VGP_SI*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VDI_SI_VSI_BP=(+SP_S_eta_VDI_SI_VSI_BP+((+(+SP_S_a_VDI_SI_VSI_BP*nu+SP_S_a_VDI_SI*nu_VSI_BP+SP_S_a_VSI_BP*nu_VDI_SI+SP_S_a*nu_VDI_SI_VSI_BP)*SP_S_tau+((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VDI_SI+(SP_S_a*nu)*SP_S_tau_VDI_SI_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VDI_SI_VSI_BP+(+(+(+(+(nu_VDI_SI_VSI_BP/mutau-(nu_VDI_SI*mutau_VSI_BP+nu_VSI_BP*mutau_VDI_SI+nu*mutau_VDI_SI_VSI_BP)/mutau/mutau+2*nu*mutau_VDI_SI*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VDI_SI+(nu/mutau)*SP_S_tau_VDI_SI_VSI_BP)*SP_S_tau+((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VDI_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI_VSI_BP)*SP_S_c+((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VDI_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VDI_SI_VSI_BP*SP_S_c+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c*SP_S_c_VDI_SI_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VDI_SI_VSI_BP*SP_S_b+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a*SP_S_b_VDI_SI_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VDI_SI+((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI))*3.3333333333333333e-01-((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#endif
SP_S_x0_VGP_SI=(SP_S_eta_VGP_SI+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#if defined(_DERIVATE2)
  SP_S_x0_VGP_SI_VDI_SI=(+SP_S_eta_VGP_SI_VDI_SI+((+(+SP_S_a_VGP_SI_VDI_SI*nu+SP_S_a_VGP_SI*nu_VDI_SI+SP_S_a_VDI_SI*nu_VGP_SI+SP_S_a*nu_VGP_SI_VDI_SI)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VDI_SI+(+(+(+(+(nu_VGP_SI_VDI_SI/mutau-(nu_VGP_SI*mutau_VDI_SI+nu_VDI_SI*mutau_VGP_SI+nu*mutau_VGP_SI_VDI_SI)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VDI_SI)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VDI_SI)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VDI_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VGP_SI_VDI_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VGP_SI_VGP_SI=(+SP_S_eta_VGP_SI_VGP_SI+((+(+SP_S_a_VGP_SI_VGP_SI*nu+SP_S_a_VGP_SI*nu_VGP_SI+SP_S_a_VGP_SI*nu_VGP_SI+SP_S_a*nu_VGP_SI_VGP_SI)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VGP_SI+(+(+(+(+(nu_VGP_SI_VGP_SI/mutau-(nu_VGP_SI*mutau_VGP_SI+nu_VGP_SI*mutau_VGP_SI+nu*mutau_VGP_SI_VGP_SI)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VGP_SI)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VGP_SI)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VGP_SI*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VGP_SI_VGP_SI*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VGP_SI_VSI_BP=(+SP_S_eta_VGP_SI_VSI_BP+((+(+SP_S_a_VGP_SI_VSI_BP*nu+SP_S_a_VGP_SI*nu_VSI_BP+SP_S_a_VSI_BP*nu_VGP_SI+SP_S_a*nu_VGP_SI_VSI_BP)*SP_S_tau+((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VGP_SI+(SP_S_a*nu)*SP_S_tau_VGP_SI_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VGP_SI_VSI_BP+(+(+(+(+(nu_VGP_SI_VSI_BP/mutau-(nu_VGP_SI*mutau_VSI_BP+nu_VSI_BP*mutau_VGP_SI+nu*mutau_VGP_SI_VSI_BP)/mutau/mutau+2*nu*mutau_VGP_SI*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VGP_SI+(nu/mutau)*SP_S_tau_VGP_SI_VSI_BP)*SP_S_tau+((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VGP_SI+((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI_VSI_BP)*SP_S_c+((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VGP_SI+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VGP_SI_VSI_BP*SP_S_c+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c*SP_S_c_VGP_SI_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VGP_SI_VSI_BP*SP_S_b+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a*SP_S_b_VGP_SI_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VGP_SI+((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI))*3.3333333333333333e-01-((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#endif
SP_S_x0_VSI_BP=(SP_S_eta_VSI_BP+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#if defined(_DERIVATE2)
  SP_S_x0_VSI_BP_VDI_SI=(+SP_S_eta_VSI_BP_VDI_SI+((+(+SP_S_a_VSI_BP_VDI_SI*nu+SP_S_a_VSI_BP*nu_VDI_SI+SP_S_a_VDI_SI*nu_VSI_BP+SP_S_a*nu_VSI_BP_VDI_SI)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VDI_SI+(((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VDI_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))+((((((SP_S_a_VDI_SI*nu)+(SP_S_a*nu_VDI_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VDI_SI)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VDI_SI+(+(+(+(+(nu_VSI_BP_VDI_SI/mutau-(nu_VSI_BP*mutau_VDI_SI+nu_VDI_SI*mutau_VSI_BP+nu*mutau_VSI_BP_VDI_SI)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VDI_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VDI_SI+((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VDI_SI)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VDI_SI+(((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VDI_SI)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VDI_SI+((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VDI_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))+(((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VDI_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VDI_SI+SP_S_c_VDI_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VDI_SI)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VSI_BP_VDI_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VDI_SI+SP_S_a_VDI_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VDI_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))*(mutau_VDI_SI+((((((((((((((nu_VDI_SI*mutau-nu*mutau_VDI_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VDI_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VDI_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VDI_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VDI_SI*SP_S_c)+(SP_S_c*SP_S_c_VDI_SI)))*3.3333333333333333e-01)-(((SP_S_a_VDI_SI*SP_S_b)+(SP_S_a*SP_S_b_VDI_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VSI_BP_VGP_SI=(+SP_S_eta_VSI_BP_VGP_SI+((+(+SP_S_a_VSI_BP_VGP_SI*nu+SP_S_a_VSI_BP*nu_VGP_SI+SP_S_a_VGP_SI*nu_VSI_BP+SP_S_a*nu_VSI_BP_VGP_SI)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VGP_SI+(((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VGP_SI)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))+((((((SP_S_a_VGP_SI*nu)+(SP_S_a*nu_VGP_SI)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VGP_SI)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VGP_SI+(+(+(+(+(nu_VSI_BP_VGP_SI/mutau-(nu_VSI_BP*mutau_VGP_SI+nu_VGP_SI*mutau_VSI_BP+nu*mutau_VSI_BP_VGP_SI)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VGP_SI/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VGP_SI+((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VGP_SI)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VGP_SI+(((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VGP_SI)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VGP_SI+((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VGP_SI)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))+(((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VGP_SI*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VGP_SI+SP_S_c_VGP_SI*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VGP_SI)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VSI_BP_VGP_SI*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VGP_SI+SP_S_a_VGP_SI*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VGP_SI)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))*(mutau_VGP_SI+((((((((((((((nu_VGP_SI*mutau-nu*mutau_VGP_SI)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VGP_SI)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VGP_SI)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VGP_SI)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VGP_SI*SP_S_c)+(SP_S_c*SP_S_c_VGP_SI)))*3.3333333333333333e-01)-(((SP_S_a_VGP_SI*SP_S_b)+(SP_S_a*SP_S_b_VGP_SI))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
  SP_S_x0_VSI_BP_VSI_BP=(+SP_S_eta_VSI_BP_VSI_BP+((+(+SP_S_a_VSI_BP_VSI_BP*nu+SP_S_a_VSI_BP*nu_VSI_BP+SP_S_a_VSI_BP*nu_VSI_BP+SP_S_a*nu_VSI_BP_VSI_BP)*SP_S_tau+((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau_VSI_BP+(((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau_VSI_BP+(SP_S_a*nu)*SP_S_tau_VSI_BP_VSI_BP)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))-(((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))+((((((SP_S_a_VSI_BP*nu)+(SP_S_a*nu_VSI_BP)))*SP_S_tau)+((SP_S_a*nu)*SP_S_tau_VSI_BP)))*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))+((SP_S_a*nu)*SP_S_tau)*(+mutau_VSI_BP_VSI_BP+(+(+(+(+(nu_VSI_BP_VSI_BP/mutau-(nu_VSI_BP*mutau_VSI_BP+nu_VSI_BP*mutau_VSI_BP+nu*mutau_VSI_BP_VSI_BP)/mutau/mutau+2*nu*mutau_VSI_BP*mutau_VSI_BP/mutau/mutau/mutau)*SP_S_tau+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VSI_BP+((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau_VSI_BP+(nu/mutau)*SP_S_tau_VSI_BP_VSI_BP)*SP_S_tau+((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau_VSI_BP+(((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau_VSI_BP+((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP_VSI_BP)*SP_S_c+((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c_VSI_BP+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c_VSI_BP+(((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP_VSI_BP)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))+((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))+(((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP)))+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(+(+(+SP_S_c_VSI_BP_VSI_BP*SP_S_c+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c_VSI_BP*SP_S_c_VSI_BP+SP_S_c*SP_S_c_VSI_BP_VSI_BP)*3.3333333333333333e-01+((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*0.0+(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*0.0+(SP_S_c*SP_S_c)*0.0)-(+SP_S_a_VSI_BP_VSI_BP*SP_S_b+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a_VSI_BP*SP_S_b_VSI_BP+SP_S_a*SP_S_b_VSI_BP_VSI_BP)))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))+2*((SP_S_a*nu)*SP_S_tau)*(mutau_VSI_BP+((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP))*3.3333333333333333e-01-((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))*(mutau_VSI_BP+((((((((((((((nu_VSI_BP*mutau-nu*mutau_VSI_BP)/mutau/mutau)*SP_S_tau)+((nu/mutau)*SP_S_tau_VSI_BP)))*SP_S_tau)+(((nu/mutau)*SP_S_tau)*SP_S_tau_VSI_BP)))*SP_S_c)+((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c_VSI_BP)))*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((((SP_S_c_VSI_BP*SP_S_c)+(SP_S_c*SP_S_c_VSI_BP)))*3.3333333333333333e-01)-(((SP_S_a_VSI_BP*SP_S_b)+(SP_S_a*SP_S_b_VSI_BP))))))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
#endif
#endif
SP_S_x0=(SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
EXIT_IF_ISNAN((SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b)))))))
if
((SP_S_x0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,SP_S_x0)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=SP_S_x0_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(m20_exp(SP_S_x0)*SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+d10_exp0*SP_S_x0_VDI_SI_VDI_SI);
  SP_S_delta0_VDI_SI_VGP_SI=(m20_exp(SP_S_x0)*SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+d10_exp0*SP_S_x0_VDI_SI_VGP_SI);
  SP_S_delta0_VDI_SI_VSI_BP=(m20_exp(SP_S_x0)*SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+d10_exp0*SP_S_x0_VDI_SI_VSI_BP);
#endif
SP_S_delta0_VGP_SI=SP_S_x0_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(m20_exp(SP_S_x0)*SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+d10_exp0*SP_S_x0_VGP_SI_VDI_SI);
  SP_S_delta0_VGP_SI_VGP_SI=(m20_exp(SP_S_x0)*SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+d10_exp0*SP_S_x0_VGP_SI_VGP_SI);
  SP_S_delta0_VGP_SI_VSI_BP=(m20_exp(SP_S_x0)*SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+d10_exp0*SP_S_x0_VGP_SI_VSI_BP);
#endif
SP_S_delta0_VSI_BP=SP_S_x0_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(m20_exp(SP_S_x0)*SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+d10_exp0*SP_S_x0_VSI_BP_VDI_SI);
  SP_S_delta0_VSI_BP_VGP_SI=(m20_exp(SP_S_x0)*SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+d10_exp0*SP_S_x0_VSI_BP_VGP_SI);
  SP_S_delta0_VSI_BP_VSI_BP=(m20_exp(SP_S_x0)*SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+d10_exp0*SP_S_x0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_delta0=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=(-SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VDI_SI+1.0*SP_S_delta0_VDI_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VDI_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VGP_SI=(-SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VGP_SI+1.0*SP_S_delta0_VGP_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VGP_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VSI_BP=(-SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VDI_SI+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VDI_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VGP_SI=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VGP_SI+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VGP_SI)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VSI_BP=(0.0/SP_S_delta0-(0.0*SP_S_delta0_VSI_BP+0.0*SP_S_delta0_VSI_BP+1.0*SP_S_delta0_VSI_BP_VSI_BP)/SP_S_delta0/SP_S_delta0+2*1.0*SP_S_delta0_VSI_BP*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
#endif
SP_S_delta1=(1.0/SP_S_delta0);
EXIT_IF_ISNAN((1.0/SP_S_delta0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=((delta_nd_VDI_SI*SP_S_delta0)+(delta_nd*SP_S_delta0_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(+delta_nd_VDI_SI_VDI_SI*SP_S_delta0+delta_nd_VDI_SI*SP_S_delta0_VDI_SI+delta_nd_VDI_SI*SP_S_delta0_VDI_SI+delta_nd*SP_S_delta0_VDI_SI_VDI_SI);
  SP_S_delta0_VDI_SI_VGP_SI=(+delta_nd_VDI_SI_VGP_SI*SP_S_delta0+delta_nd_VDI_SI*SP_S_delta0_VGP_SI+delta_nd_VGP_SI*SP_S_delta0_VDI_SI+delta_nd*SP_S_delta0_VDI_SI_VGP_SI);
  SP_S_delta0_VDI_SI_VSI_BP=(+delta_nd_VDI_SI_VSI_BP*SP_S_delta0+delta_nd_VDI_SI*SP_S_delta0_VSI_BP+delta_nd_VSI_BP*SP_S_delta0_VDI_SI+delta_nd*SP_S_delta0_VDI_SI_VSI_BP);
#endif
SP_S_delta0_VGP_SI=((delta_nd_VGP_SI*SP_S_delta0)+(delta_nd*SP_S_delta0_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(+delta_nd_VGP_SI_VDI_SI*SP_S_delta0+delta_nd_VGP_SI*SP_S_delta0_VDI_SI+delta_nd_VDI_SI*SP_S_delta0_VGP_SI+delta_nd*SP_S_delta0_VGP_SI_VDI_SI);
  SP_S_delta0_VGP_SI_VGP_SI=(+delta_nd_VGP_SI_VGP_SI*SP_S_delta0+delta_nd_VGP_SI*SP_S_delta0_VGP_SI+delta_nd_VGP_SI*SP_S_delta0_VGP_SI+delta_nd*SP_S_delta0_VGP_SI_VGP_SI);
  SP_S_delta0_VGP_SI_VSI_BP=(+delta_nd_VGP_SI_VSI_BP*SP_S_delta0+delta_nd_VGP_SI*SP_S_delta0_VSI_BP+delta_nd_VSI_BP*SP_S_delta0_VGP_SI+delta_nd*SP_S_delta0_VGP_SI_VSI_BP);
#endif
SP_S_delta0_VSI_BP=((delta_nd_VSI_BP*SP_S_delta0)+(delta_nd*SP_S_delta0_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(+delta_nd_VSI_BP_VDI_SI*SP_S_delta0+delta_nd_VSI_BP*SP_S_delta0_VDI_SI+delta_nd_VDI_SI*SP_S_delta0_VSI_BP+delta_nd*SP_S_delta0_VSI_BP_VDI_SI);
  SP_S_delta0_VSI_BP_VGP_SI=(+delta_nd_VSI_BP_VGP_SI*SP_S_delta0+delta_nd_VSI_BP*SP_S_delta0_VGP_SI+delta_nd_VGP_SI*SP_S_delta0_VSI_BP+delta_nd*SP_S_delta0_VSI_BP_VGP_SI);
  SP_S_delta0_VSI_BP_VSI_BP=(+delta_nd_VSI_BP_VSI_BP*SP_S_delta0+delta_nd_VSI_BP*SP_S_delta0_VSI_BP+delta_nd_VSI_BP*SP_S_delta0_VSI_BP+delta_nd*SP_S_delta0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_delta0=(delta_nd*SP_S_delta0);
EXIT_IF_ISNAN((delta_nd*SP_S_delta0))
}
else
{
if
((SP_S_x0>(xn_d-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(SP_S_x0-xn_d))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=(SP_S_x0_VDI_SI-xn_d_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VDI_SI-xn_d_VDI_SI)*(SP_S_x0_VDI_SI-xn_d_VDI_SI)+d10_exp0*(+SP_S_x0_VDI_SI_VDI_SI-xn_d_VDI_SI_VDI_SI));
  SP_S_delta0_VDI_SI_VGP_SI=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VGP_SI-xn_d_VGP_SI)*(SP_S_x0_VDI_SI-xn_d_VDI_SI)+d10_exp0*(+SP_S_x0_VDI_SI_VGP_SI-xn_d_VDI_SI_VGP_SI));
  SP_S_delta0_VDI_SI_VSI_BP=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VSI_BP-xn_d_VSI_BP)*(SP_S_x0_VDI_SI-xn_d_VDI_SI)+d10_exp0*(+SP_S_x0_VDI_SI_VSI_BP-xn_d_VDI_SI_VSI_BP));
#endif
SP_S_delta0_VGP_SI=(SP_S_x0_VGP_SI-xn_d_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VDI_SI-xn_d_VDI_SI)*(SP_S_x0_VGP_SI-xn_d_VGP_SI)+d10_exp0*(+SP_S_x0_VGP_SI_VDI_SI-xn_d_VGP_SI_VDI_SI));
  SP_S_delta0_VGP_SI_VGP_SI=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VGP_SI-xn_d_VGP_SI)*(SP_S_x0_VGP_SI-xn_d_VGP_SI)+d10_exp0*(+SP_S_x0_VGP_SI_VGP_SI-xn_d_VGP_SI_VGP_SI));
  SP_S_delta0_VGP_SI_VSI_BP=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VSI_BP-xn_d_VSI_BP)*(SP_S_x0_VGP_SI-xn_d_VGP_SI)+d10_exp0*(+SP_S_x0_VGP_SI_VSI_BP-xn_d_VGP_SI_VSI_BP));
#endif
SP_S_delta0_VSI_BP=(SP_S_x0_VSI_BP-xn_d_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VDI_SI-xn_d_VDI_SI)*(SP_S_x0_VSI_BP-xn_d_VSI_BP)+d10_exp0*(+SP_S_x0_VSI_BP_VDI_SI-xn_d_VSI_BP_VDI_SI));
  SP_S_delta0_VSI_BP_VGP_SI=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VGP_SI-xn_d_VGP_SI)*(SP_S_x0_VSI_BP-xn_d_VSI_BP)+d10_exp0*(+SP_S_x0_VSI_BP_VGP_SI-xn_d_VSI_BP_VGP_SI));
  SP_S_delta0_VSI_BP_VSI_BP=(m20_exp((SP_S_x0-xn_d))*(SP_S_x0_VSI_BP-xn_d_VSI_BP)*(SP_S_x0_VSI_BP-xn_d_VSI_BP)+d10_exp0*(+SP_S_x0_VSI_BP_VSI_BP-xn_d_VSI_BP_VSI_BP));
#endif
#endif
SP_S_delta0=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=((delta_nd_VDI_SI*SP_S_delta0-delta_nd*SP_S_delta0_VDI_SI)/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(delta_nd_VDI_SI_VDI_SI/SP_S_delta0-(delta_nd_VDI_SI*SP_S_delta0_VDI_SI+delta_nd_VDI_SI*SP_S_delta0_VDI_SI+delta_nd*SP_S_delta0_VDI_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VDI_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VGP_SI=(delta_nd_VDI_SI_VGP_SI/SP_S_delta0-(delta_nd_VDI_SI*SP_S_delta0_VGP_SI+delta_nd_VGP_SI*SP_S_delta0_VDI_SI+delta_nd*SP_S_delta0_VDI_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VDI_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VDI_SI_VSI_BP=(delta_nd_VDI_SI_VSI_BP/SP_S_delta0-(delta_nd_VDI_SI*SP_S_delta0_VSI_BP+delta_nd_VSI_BP*SP_S_delta0_VDI_SI+delta_nd*SP_S_delta0_VDI_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VDI_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VGP_SI=((delta_nd_VGP_SI*SP_S_delta0-delta_nd*SP_S_delta0_VGP_SI)/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(delta_nd_VGP_SI_VDI_SI/SP_S_delta0-(delta_nd_VGP_SI*SP_S_delta0_VDI_SI+delta_nd_VDI_SI*SP_S_delta0_VGP_SI+delta_nd*SP_S_delta0_VGP_SI_VDI_SI)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VGP_SI*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VGP_SI=(delta_nd_VGP_SI_VGP_SI/SP_S_delta0-(delta_nd_VGP_SI*SP_S_delta0_VGP_SI+delta_nd_VGP_SI*SP_S_delta0_VGP_SI+delta_nd*SP_S_delta0_VGP_SI_VGP_SI)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VGP_SI*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VGP_SI_VSI_BP=(delta_nd_VGP_SI_VSI_BP/SP_S_delta0-(delta_nd_VGP_SI*SP_S_delta0_VSI_BP+delta_nd_VSI_BP*SP_S_delta0_VGP_SI+delta_nd*SP_S_delta0_VGP_SI_VSI_BP)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VGP_SI*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
SP_S_delta1_VSI_BP=((delta_nd_VSI_BP*SP_S_delta0-delta_nd*SP_S_delta0_VSI_BP)/SP_S_delta0/SP_S_delta0);
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(delta_nd_VSI_BP_VDI_SI/SP_S_delta0-(delta_nd_VSI_BP*SP_S_delta0_VDI_SI+delta_nd_VDI_SI*SP_S_delta0_VSI_BP+delta_nd*SP_S_delta0_VSI_BP_VDI_SI)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VSI_BP*SP_S_delta0_VDI_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VGP_SI=(delta_nd_VSI_BP_VGP_SI/SP_S_delta0-(delta_nd_VSI_BP*SP_S_delta0_VGP_SI+delta_nd_VGP_SI*SP_S_delta0_VSI_BP+delta_nd*SP_S_delta0_VSI_BP_VGP_SI)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VSI_BP*SP_S_delta0_VGP_SI/SP_S_delta0/SP_S_delta0/SP_S_delta0);
  SP_S_delta1_VSI_BP_VSI_BP=(delta_nd_VSI_BP_VSI_BP/SP_S_delta0-(delta_nd_VSI_BP*SP_S_delta0_VSI_BP+delta_nd_VSI_BP*SP_S_delta0_VSI_BP+delta_nd*SP_S_delta0_VSI_BP_VSI_BP)/SP_S_delta0/SP_S_delta0+2*delta_nd*SP_S_delta0_VSI_BP*SP_S_delta0_VSI_BP/SP_S_delta0/SP_S_delta0/SP_S_delta0);
#endif
#endif
SP_S_delta1=(delta_nd/SP_S_delta0);
EXIT_IF_ISNAN((delta_nd/SP_S_delta0))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta0_VDI_SI=(-1.0e-100*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VDI_SI_VDI_SI=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*0.0+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VDI_SI_VGP_SI=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*0.0+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VDI_SI_VSI_BP=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*0.0+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta0_VGP_SI=(-1.0e-100*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VGP_SI_VDI_SI=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*0.0+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VGP_SI_VGP_SI=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*0.0+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VGP_SI_VSI_BP=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*0.0+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta0_VSI_BP=(-1.0e-100*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta0_VSI_BP_VDI_SI=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))))+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*0.0+(xn_d_VDI_SI-SP_S_x0_VDI_SI)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-SP_S_x0_VDI_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VDI_SI-SP_S_x0_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VSI_BP_VGP_SI=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))))+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*0.0+(xn_d_VGP_SI-SP_S_x0_VGP_SI)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-SP_S_x0_VGP_SI)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VGP_SI-SP_S_x0_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta0_VSI_BP_VSI_BP=(0.0/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP)-0.0)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP)-0.0)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01+((xn_d-SP_S_x0)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*0.0+(xn_d_VSI_BP-SP_S_x0_VSI_BP)*0.0+((xn_d-SP_S_x0)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-SP_S_x0_VSI_BP)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*((xn_d_VSI_BP-SP_S_x0_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
SP_S_delta0=(1.0e-100/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_delta1_VDI_SI=(-1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta1_VDI_SI_VDI_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VDI_SI*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))))+SP_S_x0_VDI_SI*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VDI_SI_VDI_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VDI_SI*(SP_S_x0_VDI_SI*3.3333333333333333e-01)+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VDI_SI*0.0+SP_S_x0_VDI_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VDI_SI_VGP_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VDI_SI*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))))+SP_S_x0_VGP_SI*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VDI_SI_VGP_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VDI_SI*(SP_S_x0_VGP_SI*3.3333333333333333e-01)+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VDI_SI*0.0+SP_S_x0_VGP_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VDI_SI_VSI_BP=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VDI_SI*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))))+SP_S_x0_VSI_BP*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VDI_SI_VSI_BP-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VDI_SI*(SP_S_x0_VSI_BP*3.3333333333333333e-01)+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_x0_VDI_SI*0.0+SP_S_x0_VSI_BP*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VDI_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta1_VGP_SI=(-1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta1_VGP_SI_VDI_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VGP_SI*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))))+SP_S_x0_VDI_SI*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VGP_SI_VDI_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VGP_SI*(SP_S_x0_VDI_SI*3.3333333333333333e-01)+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VGP_SI*0.0+SP_S_x0_VDI_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VGP_SI_VGP_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VGP_SI*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))))+SP_S_x0_VGP_SI*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VGP_SI_VGP_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VGP_SI*(SP_S_x0_VGP_SI*3.3333333333333333e-01)+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VGP_SI*0.0+SP_S_x0_VGP_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VGP_SI_VSI_BP=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VGP_SI*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))))+SP_S_x0_VSI_BP*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VGP_SI_VSI_BP-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VGP_SI*(SP_S_x0_VSI_BP*3.3333333333333333e-01)+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_x0_VGP_SI*0.0+SP_S_x0_VSI_BP*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VGP_SI*3.3333333333333333e-01)))))*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
SP_S_delta1_VSI_BP=(-1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  SP_S_delta1_VSI_BP_VDI_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VSI_BP*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))))+SP_S_x0_VDI_SI*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VSI_BP_VDI_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VSI_BP*(SP_S_x0_VDI_SI*3.3333333333333333e-01)+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VSI_BP*0.0+SP_S_x0_VDI_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))*(((SP_S_x0_VDI_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VDI_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VSI_BP_VGP_SI=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VSI_BP*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))))+SP_S_x0_VGP_SI*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01))))+0.0*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VSI_BP_VGP_SI-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VSI_BP*(SP_S_x0_VGP_SI*3.3333333333333333e-01)+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+SP_S_x0_VSI_BP*0.0+SP_S_x0_VGP_SI*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))*(((SP_S_x0_VGP_SI*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VGP_SI*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  SP_S_delta1_VSI_BP_VSI_BP=(0.0/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+SP_S_x0_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))+SP_S_x0_VSI_BP*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))))+SP_S_x0_VSI_BP*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+0.0*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01))))+0.0*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01))+0.5*(+(+SP_S_x0_VSI_BP_VSI_BP-0.0)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))+SP_S_x0_VSI_BP*(SP_S_x0_VSI_BP*3.3333333333333333e-01)+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP*3.3333333333333333e-01+(SP_S_x0-2.3025850929940458e+02)*(+0.0+(+(+SP_S_x0_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+SP_S_x0_VSI_BP*0.0+SP_S_x0_VSI_BP*0.0+(SP_S_x0-2.3025850929940458e+02)*0.0))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*(0.5*((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*SP_S_x0_VSI_BP*3.3333333333333333e-01)))))*(((SP_S_x0_VSI_BP*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((SP_S_x0-2.3025850929940458e+02)*((0.5*(((SP_S_x0_VSI_BP*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))+((SP_S_x0-2.3025850929940458e+02)*(SP_S_x0_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
SP_S_delta1=(1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))+0.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))+1.0*(+0.0+(+SP_S_x0_VDI_SI_VDI_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VDI_SI_VGP_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))+0.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))+1.0*(+0.0+(+SP_S_x0_VDI_SI_VGP_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VDI_SI_VSI_BP=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))+0.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))+1.0*(+0.0+(+SP_S_x0_VDI_SI_VSI_BP*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#endif
SP_S_temp_VGP_SI=(-((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))+0.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))+1.0*(+0.0+(+SP_S_x0_VGP_SI_VDI_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VGP_SI_VGP_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))+0.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))+1.0*(+0.0+(+SP_S_x0_VGP_SI_VGP_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VGP_SI_VSI_BP=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))+0.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))+1.0*(+0.0+(+SP_S_x0_VGP_SI_VSI_BP*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#endif
SP_S_temp_VSI_BP=(-((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))+0.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))+1.0*(+0.0+(+SP_S_x0_VSI_BP_VDI_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VSI_BP_VGP_SI=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))+0.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))+1.0*(+0.0+(+SP_S_x0_VSI_BP_VGP_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
  SP_S_temp_VSI_BP_VSI_BP=(0.0/(2.0+(SP_S_x0*SP_S_x0))-(0.0*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))+0.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))+1.0*(+0.0+(+SP_S_x0_VSI_BP_VSI_BP*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))+2*1.0*((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0))/(2.0+(SP_S_x0*SP_S_x0)));
#endif
#endif
SP_S_temp=(1.0/(2.0+(SP_S_x0*SP_S_x0)));
EXIT_IF_ISNAN((1.0/(2.0+(SP_S_x0*SP_S_x0))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi0_VDI_SI=((((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VDI_SI_VDI_SI=(+(+SP_S_x0_VDI_SI_VDI_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI_VDI_SI);
  SP_S_xi0_VDI_SI_VGP_SI=(+(+SP_S_x0_VDI_SI_VGP_SI*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI_VGP_SI);
  SP_S_xi0_VDI_SI_VSI_BP=(+(+SP_S_x0_VDI_SI_VSI_BP*SP_S_x0+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0*SP_S_x0_VDI_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_xi0_VGP_SI=((((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi0_VGP_SI_VDI_SI=(+(+SP_S_x0_VGP_SI_VDI_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI_VDI_SI);
  SP_S_xi0_VGP_SI_VGP_SI=(+(+SP_S_x0_VGP_SI_VGP_SI*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI_VGP_SI);
  SP_S_xi0_VGP_SI_VSI_BP=(+(+SP_S_x0_VGP_SI_VSI_BP*SP_S_x0+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0*SP_S_x0_VGP_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_x0)*SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_xi0_VSI_BP=((((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi0_VSI_BP_VDI_SI=(+(+SP_S_x0_VSI_BP_VDI_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VDI_SI+SP_S_x0_VDI_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VDI_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VDI_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP_VDI_SI);
  SP_S_xi0_VSI_BP_VGP_SI=(+(+SP_S_x0_VSI_BP_VGP_SI*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VGP_SI+SP_S_x0_VGP_SI*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VGP_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_x0)+(SP_S_x0*SP_S_x0_VGP_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP_VGP_SI);
  SP_S_xi0_VSI_BP_VSI_BP=(+(+SP_S_x0_VSI_BP_VSI_BP*SP_S_x0+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0_VSI_BP*SP_S_x0_VSI_BP+SP_S_x0*SP_S_x0_VSI_BP_VSI_BP)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_x0)+(SP_S_x0*SP_S_x0_VSI_BP)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_x0)*SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi0=((SP_S_x0*SP_S_x0)*SP_S_temp);
EXIT_IF_ISNAN(((SP_S_x0*SP_S_x0)*SP_S_temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi1_VDI_SI=(4.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VDI_SI_VDI_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_x0_VDI_SI_VDI_SI*SP_S_temp+SP_S_x0_VDI_SI*SP_S_temp_VDI_SI+SP_S_x0_VDI_SI*SP_S_temp_VDI_SI+SP_S_x0*SP_S_temp_VDI_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI_VDI_SI));
  SP_S_xi1_VDI_SI_VGP_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_x0_VDI_SI_VGP_SI*SP_S_temp+SP_S_x0_VDI_SI*SP_S_temp_VGP_SI+SP_S_x0_VGP_SI*SP_S_temp_VDI_SI+SP_S_x0*SP_S_temp_VDI_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI_VGP_SI));
  SP_S_xi1_VDI_SI_VSI_BP=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI))+4.0*(+(+SP_S_x0_VDI_SI_VSI_BP*SP_S_temp+SP_S_x0_VDI_SI*SP_S_temp_VSI_BP+SP_S_x0_VSI_BP*SP_S_temp_VDI_SI+SP_S_x0*SP_S_temp_VDI_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp_VDI_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI_VSI_BP));
#endif
SP_S_xi1_VGP_SI=(4.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)));
#if defined(_DERIVATE2)
  SP_S_xi1_VGP_SI_VDI_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_x0_VGP_SI_VDI_SI*SP_S_temp+SP_S_x0_VGP_SI*SP_S_temp_VDI_SI+SP_S_x0_VDI_SI*SP_S_temp_VGP_SI+SP_S_x0*SP_S_temp_VGP_SI_VDI_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI_VDI_SI));
  SP_S_xi1_VGP_SI_VGP_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_x0_VGP_SI_VGP_SI*SP_S_temp+SP_S_x0_VGP_SI*SP_S_temp_VGP_SI+SP_S_x0_VGP_SI*SP_S_temp_VGP_SI+SP_S_x0*SP_S_temp_VGP_SI_VGP_SI)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI_VGP_SI));
  SP_S_xi1_VGP_SI_VSI_BP=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI))+4.0*(+(+SP_S_x0_VGP_SI_VSI_BP*SP_S_temp+SP_S_x0_VGP_SI*SP_S_temp_VSI_BP+SP_S_x0_VSI_BP*SP_S_temp_VGP_SI+SP_S_x0*SP_S_temp_VGP_SI_VSI_BP)*SP_S_temp+((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp_VGP_SI+(SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI_VSI_BP));
#endif
SP_S_xi1_VSI_BP=(4.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)));
#if defined(_DERIVATE2)
  SP_S_xi1_VSI_BP_VDI_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VDI_SI)))+0.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_x0_VSI_BP_VDI_SI*SP_S_temp+SP_S_x0_VSI_BP*SP_S_temp_VDI_SI+SP_S_x0_VDI_SI*SP_S_temp_VSI_BP+SP_S_x0*SP_S_temp_VSI_BP_VDI_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp_VDI_SI+(((SP_S_x0_VDI_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VDI_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP_VDI_SI));
  SP_S_xi1_VSI_BP_VGP_SI=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VGP_SI)))+0.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_x0_VSI_BP_VGP_SI*SP_S_temp+SP_S_x0_VSI_BP*SP_S_temp_VGP_SI+SP_S_x0_VGP_SI*SP_S_temp_VSI_BP+SP_S_x0*SP_S_temp_VSI_BP_VGP_SI)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp_VGP_SI+(((SP_S_x0_VGP_SI*SP_S_temp)+(SP_S_x0*SP_S_temp_VGP_SI)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP_VGP_SI));
  SP_S_xi1_VSI_BP_VSI_BP=(+0.0*((SP_S_x0*SP_S_temp)*SP_S_temp)+0.0*((((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP)))+0.0*((((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp)+((SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP))+4.0*(+(+SP_S_x0_VSI_BP_VSI_BP*SP_S_temp+SP_S_x0_VSI_BP*SP_S_temp_VSI_BP+SP_S_x0_VSI_BP*SP_S_temp_VSI_BP+SP_S_x0*SP_S_temp_VSI_BP_VSI_BP)*SP_S_temp+((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP))*SP_S_temp_VSI_BP+(((SP_S_x0_VSI_BP*SP_S_temp)+(SP_S_x0*SP_S_temp_VSI_BP)))*SP_S_temp_VSI_BP+(SP_S_x0*SP_S_temp)*SP_S_temp_VSI_BP_VSI_BP));
#endif
#endif
SP_S_xi1=(4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
EXIT_IF_ISNAN((4.0*((SP_S_x0*SP_S_temp)*SP_S_temp)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
SP_S_xi2_VDI_SI=((((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VDI_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VDI_SI);
  SP_S_xi2_VDI_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VGP_SI);
  SP_S_xi2_VDI_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+8.0*SP_S_temp_VDI_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VDI_SI+12.0*SP_S_xi0_VDI_SI_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VDI_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VDI_SI)-(12.0*SP_S_xi0_VDI_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VDI_SI_VSI_BP);
#endif
SP_S_xi2_VGP_SI=((((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI));
#if defined(_DERIVATE2)
  SP_S_xi2_VGP_SI_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VDI_SI);
  SP_S_xi2_VGP_SI_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VGP_SI);
  SP_S_xi2_VGP_SI_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+8.0*SP_S_temp_VGP_SI_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VGP_SI+12.0*SP_S_xi0_VGP_SI_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VGP_SI+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VGP_SI)-(12.0*SP_S_xi0_VGP_SI))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VGP_SI_VSI_BP);
#endif
SP_S_xi2_VSI_BP=((((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp)+((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP));
#if defined(_DERIVATE2)
  SP_S_xi2_VSI_BP_VDI_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VDI_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VDI_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VDI_SI))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VDI_SI+(((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VDI_SI)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VDI_SI+((((((8.0*SP_S_temp_VDI_SI))-((12.0*SP_S_xi0_VDI_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VDI_SI)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VDI_SI);
  SP_S_xi2_VSI_BP_VGP_SI=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VGP_SI)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VGP_SI+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VGP_SI))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VGP_SI+(((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VGP_SI)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VGP_SI+((((((8.0*SP_S_temp_VGP_SI))-((12.0*SP_S_xi0_VGP_SI)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VGP_SI)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VGP_SI);
  SP_S_xi2_VSI_BP_VSI_BP=(+(+(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+8.0*SP_S_temp_VSI_BP_VSI_BP)-(+0.0*SP_S_xi0+0.0*SP_S_xi0_VSI_BP+0.0*SP_S_xi0_VSI_BP+12.0*SP_S_xi0_VSI_BP_VSI_BP))*SP_S_temp+((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp_VSI_BP+((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP_VSI_BP)*SP_S_temp+((((8.0*SP_S_temp_VSI_BP)-(12.0*SP_S_xi0_VSI_BP))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP))*SP_S_temp_VSI_BP+((((((8.0*SP_S_temp_VSI_BP))-((12.0*SP_S_xi0_VSI_BP)))*SP_S_temp)+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp_VSI_BP)))*SP_S_temp_VSI_BP+(((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp_VSI_BP_VSI_BP);
#endif
#endif
SP_S_xi2=((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
EXIT_IF_ISNAN(((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(xg_VDI_SI-SP_S_x0_VDI_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+xg_VDI_SI_VDI_SI-SP_S_x0_VDI_SI_VDI_SI);
  SP_S_temp_VDI_SI_VGP_SI=(+xg_VDI_SI_VGP_SI-SP_S_x0_VDI_SI_VGP_SI);
  SP_S_temp_VDI_SI_VSI_BP=(+xg_VDI_SI_VSI_BP-SP_S_x0_VDI_SI_VSI_BP);
#endif
SP_S_temp_VGP_SI=(xg_VGP_SI-SP_S_x0_VGP_SI);
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+xg_VGP_SI_VDI_SI-SP_S_x0_VGP_SI_VDI_SI);
  SP_S_temp_VGP_SI_VGP_SI=(+xg_VGP_SI_VGP_SI-SP_S_x0_VGP_SI_VGP_SI);
  SP_S_temp_VGP_SI_VSI_BP=(+xg_VGP_SI_VSI_BP-SP_S_x0_VGP_SI_VSI_BP);
#endif
SP_S_temp_VSI_BP=(xg_VSI_BP-SP_S_x0_VSI_BP);
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+xg_VSI_BP_VDI_SI-SP_S_x0_VSI_BP_VDI_SI);
  SP_S_temp_VSI_BP_VGP_SI=(+xg_VSI_BP_VGP_SI-SP_S_x0_VSI_BP_VGP_SI);
  SP_S_temp_VSI_BP_VSI_BP=(+xg_VSI_BP_VSI_BP-SP_S_x0_VSI_BP_VSI_BP);
#endif
#endif
SP_S_temp=(xg-SP_S_x0);
EXIT_IF_ISNAN((xg-SP_S_x0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_pC_VDI_SI=((2.0*SP_S_temp_VDI_SI)+((Gf2_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1))))+(Gf2*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_pC_VDI_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VDI_SI)+(+Gf2_VDI_SI_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VDI_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VDI_SI_VDI_SI)+SP_S_delta0_VDI_SI_VDI_SI)-(+delta_nd_VDI_SI_VDI_SI*(1.0+SP_S_xi1)+delta_nd_VDI_SI*SP_S_xi1_VDI_SI+delta_nd_VDI_SI*SP_S_xi1_VDI_SI+delta_nd*(+0.0+SP_S_xi1_VDI_SI_VDI_SI)))));
  SP_S_pC_VDI_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VGP_SI)+(+Gf2_VDI_SI_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VDI_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VDI_SI_VGP_SI)+SP_S_delta0_VDI_SI_VGP_SI)-(+delta_nd_VDI_SI_VGP_SI*(1.0+SP_S_xi1)+delta_nd_VDI_SI*SP_S_xi1_VGP_SI+delta_nd_VGP_SI*SP_S_xi1_VDI_SI+delta_nd*(+0.0+SP_S_xi1_VDI_SI_VGP_SI)))));
  SP_S_pC_VDI_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VDI_SI+2.0*SP_S_temp_VDI_SI_VSI_BP)+(+Gf2_VDI_SI_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VDI_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VDI_SI_VSI_BP)+SP_S_delta0_VDI_SI_VSI_BP)-(+delta_nd_VDI_SI_VSI_BP*(1.0+SP_S_xi1)+delta_nd_VDI_SI*SP_S_xi1_VSI_BP+delta_nd_VSI_BP*SP_S_xi1_VDI_SI+delta_nd*(+0.0+SP_S_xi1_VDI_SI_VSI_BP)))));
#endif
SP_S_pC_VGP_SI=((2.0*SP_S_temp_VGP_SI)+((Gf2_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1))))+(Gf2*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_pC_VGP_SI_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VDI_SI)+(+Gf2_VGP_SI_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VGP_SI*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VGP_SI_VDI_SI)+SP_S_delta0_VGP_SI_VDI_SI)-(+delta_nd_VGP_SI_VDI_SI*(1.0+SP_S_xi1)+delta_nd_VGP_SI*SP_S_xi1_VDI_SI+delta_nd_VDI_SI*SP_S_xi1_VGP_SI+delta_nd*(+0.0+SP_S_xi1_VGP_SI_VDI_SI)))));
  SP_S_pC_VGP_SI_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VGP_SI)+(+Gf2_VGP_SI_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VGP_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VGP_SI_VGP_SI)+SP_S_delta0_VGP_SI_VGP_SI)-(+delta_nd_VGP_SI_VGP_SI*(1.0+SP_S_xi1)+delta_nd_VGP_SI*SP_S_xi1_VGP_SI+delta_nd_VGP_SI*SP_S_xi1_VGP_SI+delta_nd*(+0.0+SP_S_xi1_VGP_SI_VGP_SI)))));
  SP_S_pC_VGP_SI_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VGP_SI+2.0*SP_S_temp_VGP_SI_VSI_BP)+(+Gf2_VGP_SI_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VGP_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI)))+Gf2*(+(+(+0.0-SP_S_delta1_VGP_SI_VSI_BP)+SP_S_delta0_VGP_SI_VSI_BP)-(+delta_nd_VGP_SI_VSI_BP*(1.0+SP_S_xi1)+delta_nd_VGP_SI*SP_S_xi1_VSI_BP+delta_nd_VSI_BP*SP_S_xi1_VGP_SI+delta_nd*(+0.0+SP_S_xi1_VGP_SI_VSI_BP)))));
#endif
SP_S_pC_VSI_BP=((2.0*SP_S_temp_VSI_BP)+((Gf2_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1))))+(Gf2*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_pC_VSI_BP_VDI_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VDI_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VDI_SI)+(+Gf2_VSI_BP_VDI_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VSI_BP*(((-SP_S_delta1_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VDI_SI))))+Gf2_VDI_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP)))+Gf2*(+(+(+0.0-SP_S_delta1_VSI_BP_VDI_SI)+SP_S_delta0_VSI_BP_VDI_SI)-(+delta_nd_VSI_BP_VDI_SI*(1.0+SP_S_xi1)+delta_nd_VSI_BP*SP_S_xi1_VDI_SI+delta_nd_VDI_SI*SP_S_xi1_VSI_BP+delta_nd*(+0.0+SP_S_xi1_VSI_BP_VDI_SI)))));
  SP_S_pC_VSI_BP_VGP_SI=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VGP_SI+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VGP_SI)+(+Gf2_VSI_BP_VGP_SI*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VSI_BP*(((-SP_S_delta1_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VGP_SI))))+Gf2_VGP_SI*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP)))+Gf2*(+(+(+0.0-SP_S_delta1_VSI_BP_VGP_SI)+SP_S_delta0_VSI_BP_VGP_SI)-(+delta_nd_VSI_BP_VGP_SI*(1.0+SP_S_xi1)+delta_nd_VSI_BP*SP_S_xi1_VGP_SI+delta_nd_VGP_SI*SP_S_xi1_VSI_BP+delta_nd*(+0.0+SP_S_xi1_VSI_BP_VGP_SI)))));
  SP_S_pC_VSI_BP_VSI_BP=(+(+0.0*SP_S_temp+0.0*SP_S_temp_VSI_BP+0.0*SP_S_temp_VSI_BP+2.0*SP_S_temp_VSI_BP_VSI_BP)+(+Gf2_VSI_BP_VSI_BP*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))+Gf2_VSI_BP*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP))))+Gf2_VSI_BP*(((-SP_S_delta1_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*(1.0+SP_S_xi1))+(delta_nd*SP_S_xi1_VSI_BP)))+Gf2*(+(+(+0.0-SP_S_delta1_VSI_BP_VSI_BP)+SP_S_delta0_VSI_BP_VSI_BP)-(+delta_nd_VSI_BP_VSI_BP*(1.0+SP_S_xi1)+delta_nd_VSI_BP*SP_S_xi1_VSI_BP+delta_nd_VSI_BP*SP_S_xi1_VSI_BP+delta_nd*(+0.0+SP_S_xi1_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_pC=((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))));
EXIT_IF_ISNAN(((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_qC_VDI_SI=(((SP_S_temp_VDI_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VDI_SI))-((Gf2_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0))))+(Gf2*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VDI_SI_VDI_SI=(+(+SP_S_temp_VDI_SI_VDI_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VDI_SI)-(+Gf2_VDI_SI_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta1_VDI_SI_VDI_SI+SP_S_x0_VDI_SI_VDI_SI)-0.0)+SP_S_delta0_VDI_SI_VDI_SI)-(+delta_nd_VDI_SI_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VDI_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_nd_VDI_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_nd*(+(+SP_S_x0_VDI_SI_VDI_SI+0.0)+SP_S_xi0_VDI_SI_VDI_SI)))));
  SP_S_qC_VDI_SI_VGP_SI=(+(+SP_S_temp_VDI_SI_VGP_SI*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VGP_SI)-(+Gf2_VDI_SI_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta1_VDI_SI_VGP_SI+SP_S_x0_VDI_SI_VGP_SI)-0.0)+SP_S_delta0_VDI_SI_VGP_SI)-(+delta_nd_VDI_SI_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VDI_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_nd_VGP_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_nd*(+(+SP_S_x0_VDI_SI_VGP_SI+0.0)+SP_S_xi0_VDI_SI_VGP_SI)))));
  SP_S_qC_VDI_SI_VSI_BP=(+(+SP_S_temp_VDI_SI_VSI_BP*SP_S_temp+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp*SP_S_temp_VDI_SI_VSI_BP)-(+Gf2_VDI_SI_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VDI_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI))))+Gf2*(+(+(+(+SP_S_delta1_VDI_SI_VSI_BP+SP_S_x0_VDI_SI_VSI_BP)-0.0)+SP_S_delta0_VDI_SI_VSI_BP)-(+delta_nd_VDI_SI_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VDI_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_nd_VSI_BP*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_nd*(+(+SP_S_x0_VDI_SI_VSI_BP+0.0)+SP_S_xi0_VDI_SI_VSI_BP)))));
#endif
SP_S_qC_VGP_SI=(((SP_S_temp_VGP_SI*SP_S_temp)+(SP_S_temp*SP_S_temp_VGP_SI))-((Gf2_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0))))+(Gf2*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VGP_SI_VDI_SI=(+(+SP_S_temp_VGP_SI_VDI_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VDI_SI)-(+Gf2_VGP_SI_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta1_VGP_SI_VDI_SI+SP_S_x0_VGP_SI_VDI_SI)-0.0)+SP_S_delta0_VGP_SI_VDI_SI)-(+delta_nd_VGP_SI_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VGP_SI*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_nd_VDI_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_nd*(+(+SP_S_x0_VGP_SI_VDI_SI+0.0)+SP_S_xi0_VGP_SI_VDI_SI)))));
  SP_S_qC_VGP_SI_VGP_SI=(+(+SP_S_temp_VGP_SI_VGP_SI*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VGP_SI)-(+Gf2_VGP_SI_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta1_VGP_SI_VGP_SI+SP_S_x0_VGP_SI_VGP_SI)-0.0)+SP_S_delta0_VGP_SI_VGP_SI)-(+delta_nd_VGP_SI_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VGP_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_nd_VGP_SI*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_nd*(+(+SP_S_x0_VGP_SI_VGP_SI+0.0)+SP_S_xi0_VGP_SI_VGP_SI)))));
  SP_S_qC_VGP_SI_VSI_BP=(+(+SP_S_temp_VGP_SI_VSI_BP*SP_S_temp+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp*SP_S_temp_VGP_SI_VSI_BP)-(+Gf2_VGP_SI_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VGP_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI))))+Gf2*(+(+(+(+SP_S_delta1_VGP_SI_VSI_BP+SP_S_x0_VGP_SI_VSI_BP)-0.0)+SP_S_delta0_VGP_SI_VSI_BP)-(+delta_nd_VGP_SI_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VGP_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_nd_VSI_BP*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_nd*(+(+SP_S_x0_VGP_SI_VSI_BP+0.0)+SP_S_xi0_VGP_SI_VSI_BP)))));
#endif
SP_S_qC_VSI_BP=(((SP_S_temp_VSI_BP*SP_S_temp)+(SP_S_temp*SP_S_temp_VSI_BP))-((Gf2_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0))))+(Gf2*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))));
#if defined(_DERIVATE2)
  SP_S_qC_VSI_BP_VDI_SI=(+(+SP_S_temp_VSI_BP_VDI_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VDI_SI)-(+Gf2_VSI_BP_VDI_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta1_VDI_SI+SP_S_x0_VDI_SI)+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)))))+Gf2_VDI_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta1_VSI_BP_VDI_SI+SP_S_x0_VSI_BP_VDI_SI)-0.0)+SP_S_delta0_VSI_BP_VDI_SI)-(+delta_nd_VSI_BP_VDI_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VSI_BP*(SP_S_x0_VDI_SI+SP_S_xi0_VDI_SI)+delta_nd_VDI_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_nd*(+(+SP_S_x0_VSI_BP_VDI_SI+0.0)+SP_S_xi0_VSI_BP_VDI_SI)))));
  SP_S_qC_VSI_BP_VGP_SI=(+(+SP_S_temp_VSI_BP_VGP_SI*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VGP_SI)-(+Gf2_VSI_BP_VGP_SI*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta1_VGP_SI+SP_S_x0_VGP_SI)+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)))))+Gf2_VGP_SI*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta1_VSI_BP_VGP_SI+SP_S_x0_VSI_BP_VGP_SI)-0.0)+SP_S_delta0_VSI_BP_VGP_SI)-(+delta_nd_VSI_BP_VGP_SI*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VSI_BP*(SP_S_x0_VGP_SI+SP_S_xi0_VGP_SI)+delta_nd_VGP_SI*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_nd*(+(+SP_S_x0_VSI_BP_VGP_SI+0.0)+SP_S_xi0_VSI_BP_VGP_SI)))));
  SP_S_qC_VSI_BP_VSI_BP=(+(+SP_S_temp_VSI_BP_VSI_BP*SP_S_temp+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+SP_S_temp*SP_S_temp_VSI_BP_VSI_BP)-(+Gf2_VSI_BP_VSI_BP*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))+Gf2_VSI_BP*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)))))+Gf2_VSI_BP*(((SP_S_delta1_VSI_BP+SP_S_x0_VSI_BP)+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0))+(delta_nd*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP))))+Gf2*(+(+(+(+SP_S_delta1_VSI_BP_VSI_BP+SP_S_x0_VSI_BP_VSI_BP)-0.0)+SP_S_delta0_VSI_BP_VSI_BP)-(+delta_nd_VSI_BP_VSI_BP*((SP_S_x0+1.0)+SP_S_xi0)+delta_nd_VSI_BP*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_nd_VSI_BP*(SP_S_x0_VSI_BP+SP_S_xi0_VSI_BP)+delta_nd*(+(+SP_S_x0_VSI_BP_VSI_BP+0.0)+SP_S_xi0_VSI_BP_VSI_BP)))));
#endif
#endif
SP_S_qC=((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))));
EXIT_IF_ISNAN(((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(-((Gf2_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2)))+(Gf2*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+0.0-(+Gf2_VDI_SI_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta1_VDI_SI_VDI_SI+SP_S_delta0_VDI_SI_VDI_SI)-(+delta_nd_VDI_SI_VDI_SI*SP_S_xi2+delta_nd_VDI_SI*SP_S_xi2_VDI_SI+delta_nd_VDI_SI*SP_S_xi2_VDI_SI+delta_nd*SP_S_xi2_VDI_SI_VDI_SI))));
  SP_S_temp_VDI_SI_VGP_SI=(+0.0-(+Gf2_VDI_SI_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta1_VDI_SI_VGP_SI+SP_S_delta0_VDI_SI_VGP_SI)-(+delta_nd_VDI_SI_VGP_SI*SP_S_xi2+delta_nd_VDI_SI*SP_S_xi2_VGP_SI+delta_nd_VGP_SI*SP_S_xi2_VDI_SI+delta_nd*SP_S_xi2_VDI_SI_VGP_SI))));
  SP_S_temp_VDI_SI_VSI_BP=(+0.0-(+Gf2_VDI_SI_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VDI_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI)))+Gf2*(+(+SP_S_delta1_VDI_SI_VSI_BP+SP_S_delta0_VDI_SI_VSI_BP)-(+delta_nd_VDI_SI_VSI_BP*SP_S_xi2+delta_nd_VDI_SI*SP_S_xi2_VSI_BP+delta_nd_VSI_BP*SP_S_xi2_VDI_SI+delta_nd*SP_S_xi2_VDI_SI_VSI_BP))));
#endif
SP_S_temp_VGP_SI=(-((Gf2_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2)))+(Gf2*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+0.0-(+Gf2_VGP_SI_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta1_VGP_SI_VDI_SI+SP_S_delta0_VGP_SI_VDI_SI)-(+delta_nd_VGP_SI_VDI_SI*SP_S_xi2+delta_nd_VGP_SI*SP_S_xi2_VDI_SI+delta_nd_VDI_SI*SP_S_xi2_VGP_SI+delta_nd*SP_S_xi2_VGP_SI_VDI_SI))));
  SP_S_temp_VGP_SI_VGP_SI=(+0.0-(+Gf2_VGP_SI_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta1_VGP_SI_VGP_SI+SP_S_delta0_VGP_SI_VGP_SI)-(+delta_nd_VGP_SI_VGP_SI*SP_S_xi2+delta_nd_VGP_SI*SP_S_xi2_VGP_SI+delta_nd_VGP_SI*SP_S_xi2_VGP_SI+delta_nd*SP_S_xi2_VGP_SI_VGP_SI))));
  SP_S_temp_VGP_SI_VSI_BP=(+0.0-(+Gf2_VGP_SI_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VGP_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI)))+Gf2*(+(+SP_S_delta1_VGP_SI_VSI_BP+SP_S_delta0_VGP_SI_VSI_BP)-(+delta_nd_VGP_SI_VSI_BP*SP_S_xi2+delta_nd_VGP_SI*SP_S_xi2_VSI_BP+delta_nd_VSI_BP*SP_S_xi2_VGP_SI+delta_nd*SP_S_xi2_VGP_SI_VSI_BP))));
#endif
SP_S_temp_VSI_BP=(-((Gf2_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2)))+(Gf2*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+0.0-(+Gf2_VSI_BP_VDI_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta1_VDI_SI+SP_S_delta0_VDI_SI)-(((delta_nd_VDI_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VDI_SI))))+Gf2_VDI_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta1_VSI_BP_VDI_SI+SP_S_delta0_VSI_BP_VDI_SI)-(+delta_nd_VSI_BP_VDI_SI*SP_S_xi2+delta_nd_VSI_BP*SP_S_xi2_VDI_SI+delta_nd_VDI_SI*SP_S_xi2_VSI_BP+delta_nd*SP_S_xi2_VSI_BP_VDI_SI))));
  SP_S_temp_VSI_BP_VGP_SI=(+0.0-(+Gf2_VSI_BP_VGP_SI*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta1_VGP_SI+SP_S_delta0_VGP_SI)-(((delta_nd_VGP_SI*SP_S_xi2)+(delta_nd*SP_S_xi2_VGP_SI))))+Gf2_VGP_SI*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta1_VSI_BP_VGP_SI+SP_S_delta0_VSI_BP_VGP_SI)-(+delta_nd_VSI_BP_VGP_SI*SP_S_xi2+delta_nd_VSI_BP*SP_S_xi2_VGP_SI+delta_nd_VGP_SI*SP_S_xi2_VSI_BP+delta_nd*SP_S_xi2_VSI_BP_VGP_SI))));
  SP_S_temp_VSI_BP_VSI_BP=(+0.0-(+Gf2_VSI_BP_VSI_BP*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))+Gf2_VSI_BP*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-(((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP))))+Gf2_VSI_BP*((SP_S_delta1_VSI_BP+SP_S_delta0_VSI_BP)-((delta_nd_VSI_BP*SP_S_xi2)+(delta_nd*SP_S_xi2_VSI_BP)))+Gf2*(+(+SP_S_delta1_VSI_BP_VSI_BP+SP_S_delta0_VSI_BP_VSI_BP)-(+delta_nd_VSI_BP_VSI_BP*SP_S_xi2+delta_nd_VSI_BP*SP_S_xi2_VSI_BP+delta_nd_VSI_BP*SP_S_xi2_VSI_BP+delta_nd*SP_S_xi2_VSI_BP_VSI_BP))));
#endif
#endif
SP_S_temp=(2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))));
EXIT_IF_ISNAN((2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2)))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
SP_S_temp_VDI_SI=(((SP_S_pC_VDI_SI*SP_S_pC)+(SP_S_pC*SP_S_pC_VDI_SI))-(2.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))));
#if defined(_DERIVATE2)
  SP_S_temp_VDI_SI_VDI_SI=(+(+SP_S_pC_VDI_SI_VDI_SI*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VDI_SI*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VDI_SI)));
  SP_S_temp_VDI_SI_VGP_SI=(+(+SP_S_pC_VDI_SI_VGP_SI*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VGP_SI*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VGP_SI)));
  SP_S_temp_VDI_SI_VSI_BP=(+(+SP_S_pC_VDI_SI_VSI_BP*SP_S_pC+SP_S_pC_VDI_SI*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VDI_SI+SP_S_pC*SP_S_pC_VDI_SI_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI))+2.0*(+SP_S_qC_VDI_SI_VSI_BP*SP_S_temp+SP_S_qC_VDI_SI*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VDI_SI+SP_S_qC*SP_S_temp_VDI_SI_VSI_BP)));
#endif
SP_S_temp_VGP_SI=(((SP_S_pC_VGP_SI*SP_S_pC)+(SP_S_pC*SP_S_pC_VGP_SI))-(2.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))));
#if defined(_DERIVATE2)
  SP_S_temp_VGP_SI_VDI_SI=(+(+SP_S_pC_VGP_SI_VDI_SI*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VDI_SI*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VDI_SI)));
  SP_S_temp_VGP_SI_VGP_SI=(+(+SP_S_pC_VGP_SI_VGP_SI*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VGP_SI*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VGP_SI)));
  SP_S_temp_VGP_SI_VSI_BP=(+(+SP_S_pC_VGP_SI_VSI_BP*SP_S_pC+SP_S_pC_VGP_SI*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VGP_SI+SP_S_pC*SP_S_pC_VGP_SI_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI))+2.0*(+SP_S_qC_VGP_SI_VSI_BP*SP_S_temp+SP_S_qC_VGP_SI*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VGP_SI+SP_S_qC*SP_S_temp_VGP_SI_VSI_BP)));
#endif
SP_S_temp_VSI_BP=(((SP_S_pC_VSI_BP*SP_S_pC)+(SP_S_pC*SP_S_pC_VSI_BP))-(2.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))));
#if defined(_DERIVATE2)
  SP_S_temp_VSI_BP_VDI_SI=(+(+SP_S_pC_VSI_BP_VDI_SI*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VDI_SI+SP_S_pC_VDI_SI*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VDI_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VDI_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VDI_SI)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VDI_SI*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VDI_SI+SP_S_qC_VDI_SI*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VDI_SI)));
  SP_S_temp_VSI_BP_VGP_SI=(+(+SP_S_pC_VSI_BP_VGP_SI*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VGP_SI+SP_S_pC_VGP_SI*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VGP_SI)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VGP_SI*SP_S_temp)+(SP_S_qC*SP_S_temp_VGP_SI)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VGP_SI*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VGP_SI+SP_S_qC_VGP_SI*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VGP_SI)));
  SP_S_temp_VSI_BP_VSI_BP=(+(+SP_S_pC_VSI_BP_VSI_BP*SP_S_pC+SP_S_pC_VSI_BP*SP_S_pC_VSI_BP+SP_S_pC_VSI_BP*SP_S_pC_VSI_BP+SP_S_pC*SP_S_pC_VSI_BP_VSI_BP)-(+0.0*(SP_S_qC*SP_S_temp)+0.0*(((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP)))+0.0*((SP_S_qC_VSI_BP*SP_S_temp)+(SP_S_qC*SP_S_temp_VSI_BP))+2.0*(+SP_S_qC_VSI_BP_VSI_BP*SP_S_temp+SP_S_qC_VSI_BP*SP_S_temp_VSI_BP+SP_S_qC_VSI_BP*SP_S_temp_VSI_BP+SP_S_qC*SP_S_temp_VSI_BP_VSI_BP)));
#endif
#endif
SP_S_temp=((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
EXIT_IF_ISNAN(((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp))))
{
double m00_sqrt(d00_sqrt0,SP_S_temp)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,SP_S_temp)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_d_VDI_SI=(SP_S_x0_VDI_SI+(2.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_d_VDI_SI_VDI_SI=(+SP_S_x0_VDI_SI_VDI_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_d_VDI_SI_VGP_SI=(+SP_S_x0_VDI_SI_VGP_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_d_VDI_SI_VSI_BP=(+SP_S_x0_VDI_SI_VSI_BP+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VDI_SI_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VDI_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VDI_SI_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VDI_SI+d10_sqrt0*SP_S_temp_VDI_SI_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
x_d_VGP_SI=(SP_S_x0_VGP_SI+(2.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_d_VGP_SI_VDI_SI=(+SP_S_x0_VGP_SI_VDI_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_d_VGP_SI_VGP_SI=(+SP_S_x0_VGP_SI_VGP_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_d_VGP_SI_VSI_BP=(+SP_S_x0_VGP_SI_VSI_BP+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VGP_SI_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VGP_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VGP_SI_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VGP_SI+d10_sqrt0*SP_S_temp_VGP_SI_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
x_d_VSI_BP=(SP_S_x0_VSI_BP+(2.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#if defined(_DERIVATE2)
  x_d_VSI_BP_VDI_SI=(+SP_S_x0_VSI_BP_VDI_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VDI_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VDI_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)+SP_S_qC_VDI_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VDI_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VDI_SI*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VDI_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VDI_SI+SP_S_temp_VDI_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_d_VSI_BP_VGP_SI=(+SP_S_x0_VSI_BP_VGP_SI+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VGP_SI*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VGP_SI/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)+SP_S_qC_VGP_SI*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VGP_SI+(m20_sqrt(SP_S_temp)*SP_S_temp_VGP_SI*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VGP_SI)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VGP_SI+SP_S_temp_VGP_SI*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
  x_d_VSI_BP_VSI_BP=(+SP_S_x0_VSI_BP_VSI_BP+(+0.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+0.0*((SP_S_qC_VSI_BP*(SP_S_pC+d00_sqrt0)-SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))+2.0*(SP_S_qC_VSI_BP_VSI_BP/(SP_S_pC+d00_sqrt0)-(SP_S_qC_VSI_BP*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC_VSI_BP*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)+SP_S_qC*(+SP_S_pC_VSI_BP_VSI_BP+(m20_sqrt(SP_S_temp)*SP_S_temp_VSI_BP*SP_S_temp_VSI_BP+d10_sqrt0*SP_S_temp_VSI_BP_VSI_BP)))/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)+2*SP_S_qC*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)*(SP_S_pC_VSI_BP+SP_S_temp_VSI_BP*d10_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0)/(SP_S_pC+d00_sqrt0))));
#endif
#endif
x_d=(SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+d00_sqrt0))));
EXIT_IF_ISNAN((SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+d00_sqrt0)))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_ds_VDI_SI=(x_d_VDI_SI-x_s_VDI_SI);
#if defined(_DERIVATE2)
  x_ds_VDI_SI_VDI_SI=(+x_d_VDI_SI_VDI_SI-x_s_VDI_SI_VDI_SI);
  x_ds_VDI_SI_VGP_SI=(+x_d_VDI_SI_VGP_SI-x_s_VDI_SI_VGP_SI);
  x_ds_VDI_SI_VSI_BP=(+x_d_VDI_SI_VSI_BP-x_s_VDI_SI_VSI_BP);
#endif
x_ds_VGP_SI=(x_d_VGP_SI-x_s_VGP_SI);
#if defined(_DERIVATE2)
  x_ds_VGP_SI_VDI_SI=(+x_d_VGP_SI_VDI_SI-x_s_VGP_SI_VDI_SI);
  x_ds_VGP_SI_VGP_SI=(+x_d_VGP_SI_VGP_SI-x_s_VGP_SI_VGP_SI);
  x_ds_VGP_SI_VSI_BP=(+x_d_VGP_SI_VSI_BP-x_s_VGP_SI_VSI_BP);
#endif
x_ds_VSI_BP=(x_d_VSI_BP-x_s_VSI_BP);
#if defined(_DERIVATE2)
  x_ds_VSI_BP_VDI_SI=(+x_d_VSI_BP_VDI_SI-x_s_VSI_BP_VDI_SI);
  x_ds_VSI_BP_VGP_SI=(+x_d_VSI_BP_VGP_SI-x_s_VSI_BP_VGP_SI);
  x_ds_VSI_BP_VSI_BP=(+x_d_VSI_BP_VSI_BP-x_s_VSI_BP_VSI_BP);
#endif
#endif
x_ds=(x_d-x_s);
EXIT_IF_ISNAN((x_d-x_s))
if
((x_ds<1.0e-10))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
pC_VDI_SI=((2.0*(xg_VDI_SI-x_s_VDI_SI))+((Gf2_VDI_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s))))+(Gf2*(((-Es_VDI_SI)+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI))))));
#if defined(_DERIVATE2)
  pC_VDI_SI_VDI_SI=(+(+0.0*(xg-x_s)+0.0*(xg_VDI_SI-x_s_VDI_SI)+0.0*(xg_VDI_SI-x_s_VDI_SI)+2.0*(+xg_VDI_SI_VDI_SI-x_s_VDI_SI_VDI_SI))+(+Gf2_VDI_SI_VDI_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VDI_SI*(((-Es_VDI_SI)+(((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI))))-(((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI))))+Gf2_VDI_SI*(((-Es_VDI_SI)+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI)))+Gf2*(+(+(+0.0-Es_VDI_SI_VDI_SI)+(+delta_1s_VDI_SI_VDI_SI*k_ds+delta_1s_VDI_SI*k_ds_VDI_SI+delta_1s_VDI_SI*k_ds_VDI_SI+delta_1s*k_ds_VDI_SI_VDI_SI))-(+delta_nd_VDI_SI_VDI_SI*(1.0+xi1s)+delta_nd_VDI_SI*xi1s_VDI_SI+delta_nd_VDI_SI*xi1s_VDI_SI+delta_nd*(+0.0+xi1s_VDI_SI_VDI_SI)))));
  pC_VDI_SI_VGP_SI=(+(+0.0*(xg-x_s)+0.0*(xg_VGP_SI-x_s_VGP_SI)+0.0*(xg_VDI_SI-x_s_VDI_SI)+2.0*(+xg_VDI_SI_VGP_SI-x_s_VDI_SI_VGP_SI))+(+Gf2_VDI_SI_VGP_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VDI_SI*(((-Es_VGP_SI)+(((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI))))-(((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI))))+Gf2_VGP_SI*(((-Es_VDI_SI)+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI)))+Gf2*(+(+(+0.0-Es_VDI_SI_VGP_SI)+(+delta_1s_VDI_SI_VGP_SI*k_ds+delta_1s_VDI_SI*k_ds_VGP_SI+delta_1s_VGP_SI*k_ds_VDI_SI+delta_1s*k_ds_VDI_SI_VGP_SI))-(+delta_nd_VDI_SI_VGP_SI*(1.0+xi1s)+delta_nd_VDI_SI*xi1s_VGP_SI+delta_nd_VGP_SI*xi1s_VDI_SI+delta_nd*(+0.0+xi1s_VDI_SI_VGP_SI)))));
  pC_VDI_SI_VSI_BP=(+(+0.0*(xg-x_s)+0.0*(xg_VSI_BP-x_s_VSI_BP)+0.0*(xg_VDI_SI-x_s_VDI_SI)+2.0*(+xg_VDI_SI_VSI_BP-x_s_VDI_SI_VSI_BP))+(+Gf2_VDI_SI_VSI_BP*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VDI_SI*(((-Es_VSI_BP)+(((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP))))-(((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP))))+Gf2_VSI_BP*(((-Es_VDI_SI)+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI)))+Gf2*(+(+(+0.0-Es_VDI_SI_VSI_BP)+(+delta_1s_VDI_SI_VSI_BP*k_ds+delta_1s_VDI_SI*k_ds_VSI_BP+delta_1s_VSI_BP*k_ds_VDI_SI+delta_1s*k_ds_VDI_SI_VSI_BP))-(+delta_nd_VDI_SI_VSI_BP*(1.0+xi1s)+delta_nd_VDI_SI*xi1s_VSI_BP+delta_nd_VSI_BP*xi1s_VDI_SI+delta_nd*(+0.0+xi1s_VDI_SI_VSI_BP)))));
#endif
pC_VGP_SI=((2.0*(xg_VGP_SI-x_s_VGP_SI))+((Gf2_VGP_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s))))+(Gf2*(((-Es_VGP_SI)+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI))))));
#if defined(_DERIVATE2)
  pC_VGP_SI_VDI_SI=(+(+0.0*(xg-x_s)+0.0*(xg_VDI_SI-x_s_VDI_SI)+0.0*(xg_VGP_SI-x_s_VGP_SI)+2.0*(+xg_VGP_SI_VDI_SI-x_s_VGP_SI_VDI_SI))+(+Gf2_VGP_SI_VDI_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VGP_SI*(((-Es_VDI_SI)+(((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI))))-(((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI))))+Gf2_VDI_SI*(((-Es_VGP_SI)+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI)))+Gf2*(+(+(+0.0-Es_VGP_SI_VDI_SI)+(+delta_1s_VGP_SI_VDI_SI*k_ds+delta_1s_VGP_SI*k_ds_VDI_SI+delta_1s_VDI_SI*k_ds_VGP_SI+delta_1s*k_ds_VGP_SI_VDI_SI))-(+delta_nd_VGP_SI_VDI_SI*(1.0+xi1s)+delta_nd_VGP_SI*xi1s_VDI_SI+delta_nd_VDI_SI*xi1s_VGP_SI+delta_nd*(+0.0+xi1s_VGP_SI_VDI_SI)))));
  pC_VGP_SI_VGP_SI=(+(+0.0*(xg-x_s)+0.0*(xg_VGP_SI-x_s_VGP_SI)+0.0*(xg_VGP_SI-x_s_VGP_SI)+2.0*(+xg_VGP_SI_VGP_SI-x_s_VGP_SI_VGP_SI))+(+Gf2_VGP_SI_VGP_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VGP_SI*(((-Es_VGP_SI)+(((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI))))-(((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI))))+Gf2_VGP_SI*(((-Es_VGP_SI)+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI)))+Gf2*(+(+(+0.0-Es_VGP_SI_VGP_SI)+(+delta_1s_VGP_SI_VGP_SI*k_ds+delta_1s_VGP_SI*k_ds_VGP_SI+delta_1s_VGP_SI*k_ds_VGP_SI+delta_1s*k_ds_VGP_SI_VGP_SI))-(+delta_nd_VGP_SI_VGP_SI*(1.0+xi1s)+delta_nd_VGP_SI*xi1s_VGP_SI+delta_nd_VGP_SI*xi1s_VGP_SI+delta_nd*(+0.0+xi1s_VGP_SI_VGP_SI)))));
  pC_VGP_SI_VSI_BP=(+(+0.0*(xg-x_s)+0.0*(xg_VSI_BP-x_s_VSI_BP)+0.0*(xg_VGP_SI-x_s_VGP_SI)+2.0*(+xg_VGP_SI_VSI_BP-x_s_VGP_SI_VSI_BP))+(+Gf2_VGP_SI_VSI_BP*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VGP_SI*(((-Es_VSI_BP)+(((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP))))-(((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP))))+Gf2_VSI_BP*(((-Es_VGP_SI)+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI)))+Gf2*(+(+(+0.0-Es_VGP_SI_VSI_BP)+(+delta_1s_VGP_SI_VSI_BP*k_ds+delta_1s_VGP_SI*k_ds_VSI_BP+delta_1s_VSI_BP*k_ds_VGP_SI+delta_1s*k_ds_VGP_SI_VSI_BP))-(+delta_nd_VGP_SI_VSI_BP*(1.0+xi1s)+delta_nd_VGP_SI*xi1s_VSI_BP+delta_nd_VSI_BP*xi1s_VGP_SI+delta_nd*(+0.0+xi1s_VGP_SI_VSI_BP)))));
#endif
pC_VSI_BP=((2.0*(xg_VSI_BP-x_s_VSI_BP))+((Gf2_VSI_BP*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s))))+(Gf2*(((-Es_VSI_BP)+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP))))));
#if defined(_DERIVATE2)
  pC_VSI_BP_VDI_SI=(+(+0.0*(xg-x_s)+0.0*(xg_VDI_SI-x_s_VDI_SI)+0.0*(xg_VSI_BP-x_s_VSI_BP)+2.0*(+xg_VSI_BP_VDI_SI-x_s_VSI_BP_VDI_SI))+(+Gf2_VSI_BP_VDI_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VSI_BP*(((-Es_VDI_SI)+(((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI))))-(((delta_nd_VDI_SI*(1.0+xi1s))+(delta_nd*xi1s_VDI_SI))))+Gf2_VDI_SI*(((-Es_VSI_BP)+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP)))+Gf2*(+(+(+0.0-Es_VSI_BP_VDI_SI)+(+delta_1s_VSI_BP_VDI_SI*k_ds+delta_1s_VSI_BP*k_ds_VDI_SI+delta_1s_VDI_SI*k_ds_VSI_BP+delta_1s*k_ds_VSI_BP_VDI_SI))-(+delta_nd_VSI_BP_VDI_SI*(1.0+xi1s)+delta_nd_VSI_BP*xi1s_VDI_SI+delta_nd_VDI_SI*xi1s_VSI_BP+delta_nd*(+0.0+xi1s_VSI_BP_VDI_SI)))));
  pC_VSI_BP_VGP_SI=(+(+0.0*(xg-x_s)+0.0*(xg_VGP_SI-x_s_VGP_SI)+0.0*(xg_VSI_BP-x_s_VSI_BP)+2.0*(+xg_VSI_BP_VGP_SI-x_s_VSI_BP_VGP_SI))+(+Gf2_VSI_BP_VGP_SI*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VSI_BP*(((-Es_VGP_SI)+(((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI))))-(((delta_nd_VGP_SI*(1.0+xi1s))+(delta_nd*xi1s_VGP_SI))))+Gf2_VGP_SI*(((-Es_VSI_BP)+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP)))+Gf2*(+(+(+0.0-Es_VSI_BP_VGP_SI)+(+delta_1s_VSI_BP_VGP_SI*k_ds+delta_1s_VSI_BP*k_ds_VGP_SI+delta_1s_VGP_SI*k_ds_VSI_BP+delta_1s*k_ds_VSI_BP_VGP_SI))-(+delta_nd_VSI_BP_VGP_SI*(1.0+xi1s)+delta_nd_VSI_BP*xi1s_VGP_SI+delta_nd_VGP_SI*xi1s_VSI_BP+delta_nd*(+0.0+xi1s_VSI_BP_VGP_SI)))));
  pC_VSI_BP_VSI_BP=(+(+0.0*(xg-x_s)+0.0*(xg_VSI_BP-x_s_VSI_BP)+0.0*(xg_VSI_BP-x_s_VSI_BP)+2.0*(+xg_VSI_BP_VSI_BP-x_s_VSI_BP_VSI_BP))+(+Gf2_VSI_BP_VSI_BP*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))+Gf2_VSI_BP*(((-Es_VSI_BP)+(((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP))))-(((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP))))+Gf2_VSI_BP*(((-Es_VSI_BP)+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*(1.0+xi1s))+(delta_nd*xi1s_VSI_BP)))+Gf2*(+(+(+0.0-Es_VSI_BP_VSI_BP)+(+delta_1s_VSI_BP_VSI_BP*k_ds+delta_1s_VSI_BP*k_ds_VSI_BP+delta_1s_VSI_BP*k_ds_VSI_BP+delta_1s*k_ds_VSI_BP_VSI_BP))-(+delta_nd_VSI_BP_VSI_BP*(1.0+xi1s)+delta_nd_VSI_BP*xi1s_VSI_BP+delta_nd_VSI_BP*xi1s_VSI_BP+delta_nd*(+0.0+xi1s_VSI_BP_VSI_BP)))));
#endif
#endif
pC=((2.0*(xg-x_s))+(Gf2*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))));
EXIT_IF_ISNAN(((2.0*(xg-x_s))+(Gf2*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
qC_VDI_SI=((((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI)))*Ds)+((Gf2*(1.0-k_ds))*Ds_VDI_SI));
#if defined(_DERIVATE2)
  qC_VDI_SI_VDI_SI=(+(+Gf2_VDI_SI_VDI_SI*(1.0-k_ds)+Gf2_VDI_SI*(-k_ds_VDI_SI)+Gf2_VDI_SI*(-k_ds_VDI_SI)+Gf2*(+0.0-k_ds_VDI_SI_VDI_SI))*Ds+((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI)))*Ds_VDI_SI+(((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI))))*Ds_VDI_SI+(Gf2*(1.0-k_ds))*Ds_VDI_SI_VDI_SI);
  qC_VDI_SI_VGP_SI=(+(+Gf2_VDI_SI_VGP_SI*(1.0-k_ds)+Gf2_VDI_SI*(-k_ds_VGP_SI)+Gf2_VGP_SI*(-k_ds_VDI_SI)+Gf2*(+0.0-k_ds_VDI_SI_VGP_SI))*Ds+((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI)))*Ds_VGP_SI+(((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI))))*Ds_VDI_SI+(Gf2*(1.0-k_ds))*Ds_VDI_SI_VGP_SI);
  qC_VDI_SI_VSI_BP=(+(+Gf2_VDI_SI_VSI_BP*(1.0-k_ds)+Gf2_VDI_SI*(-k_ds_VSI_BP)+Gf2_VSI_BP*(-k_ds_VDI_SI)+Gf2*(+0.0-k_ds_VDI_SI_VSI_BP))*Ds+((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI)))*Ds_VSI_BP+(((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP))))*Ds_VDI_SI+(Gf2*(1.0-k_ds))*Ds_VDI_SI_VSI_BP);
#endif
qC_VGP_SI=((((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI)))*Ds)+((Gf2*(1.0-k_ds))*Ds_VGP_SI));
#if defined(_DERIVATE2)
  qC_VGP_SI_VDI_SI=(+(+Gf2_VGP_SI_VDI_SI*(1.0-k_ds)+Gf2_VGP_SI*(-k_ds_VDI_SI)+Gf2_VDI_SI*(-k_ds_VGP_SI)+Gf2*(+0.0-k_ds_VGP_SI_VDI_SI))*Ds+((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI)))*Ds_VDI_SI+(((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI))))*Ds_VGP_SI+(Gf2*(1.0-k_ds))*Ds_VGP_SI_VDI_SI);
  qC_VGP_SI_VGP_SI=(+(+Gf2_VGP_SI_VGP_SI*(1.0-k_ds)+Gf2_VGP_SI*(-k_ds_VGP_SI)+Gf2_VGP_SI*(-k_ds_VGP_SI)+Gf2*(+0.0-k_ds_VGP_SI_VGP_SI))*Ds+((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI)))*Ds_VGP_SI+(((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI))))*Ds_VGP_SI+(Gf2*(1.0-k_ds))*Ds_VGP_SI_VGP_SI);
  qC_VGP_SI_VSI_BP=(+(+Gf2_VGP_SI_VSI_BP*(1.0-k_ds)+Gf2_VGP_SI*(-k_ds_VSI_BP)+Gf2_VSI_BP*(-k_ds_VGP_SI)+Gf2*(+0.0-k_ds_VGP_SI_VSI_BP))*Ds+((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI)))*Ds_VSI_BP+(((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP))))*Ds_VGP_SI+(Gf2*(1.0-k_ds))*Ds_VGP_SI_VSI_BP);
#endif
qC_VSI_BP=((((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP)))*Ds)+((Gf2*(1.0-k_ds))*Ds_VSI_BP));
#if defined(_DERIVATE2)
  qC_VSI_BP_VDI_SI=(+(+Gf2_VSI_BP_VDI_SI*(1.0-k_ds)+Gf2_VSI_BP*(-k_ds_VDI_SI)+Gf2_VDI_SI*(-k_ds_VSI_BP)+Gf2*(+0.0-k_ds_VSI_BP_VDI_SI))*Ds+((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP)))*Ds_VDI_SI+(((Gf2_VDI_SI*(1.0-k_ds))+(Gf2*(-k_ds_VDI_SI))))*Ds_VSI_BP+(Gf2*(1.0-k_ds))*Ds_VSI_BP_VDI_SI);
  qC_VSI_BP_VGP_SI=(+(+Gf2_VSI_BP_VGP_SI*(1.0-k_ds)+Gf2_VSI_BP*(-k_ds_VGP_SI)+Gf2_VGP_SI*(-k_ds_VSI_BP)+Gf2*(+0.0-k_ds_VSI_BP_VGP_SI))*Ds+((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP)))*Ds_VGP_SI+(((Gf2_VGP_SI*(1.0-k_ds))+(Gf2*(-k_ds_VGP_SI))))*Ds_VSI_BP+(Gf2*(1.0-k_ds))*Ds_VSI_BP_VGP_SI);
  qC_VSI_BP_VSI_BP=(+(+Gf2_VSI_BP_VSI_BP*(1.0-k_ds)+Gf2_VSI_BP*(-k_ds_VSI_BP)+Gf2_VSI_BP*(-k_ds_VSI_BP)+Gf2*(+0.0-k_ds_VSI_BP_VSI_BP))*Ds+((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP)))*Ds_VSI_BP+(((Gf2_VSI_BP*(1.0-k_ds))+(Gf2*(-k_ds_VSI_BP))))*Ds_VSI_BP+(Gf2*(1.0-k_ds))*Ds_VSI_BP_VSI_BP);
#endif
#endif
qC=((Gf2*(1.0-k_ds))*Ds);
EXIT_IF_ISNAN(((Gf2*(1.0-k_ds))*Ds))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-((Gf2_VGP_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s)))+(Gf2*((Es_VGP_SI+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI))))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0-(+Gf2_VGP_SI_VGP_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VGP_SI*((Es_VGP_SI+(((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI))))-(((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI))))+Gf2_VGP_SI*((Es_VGP_SI+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI)))+Gf2*(+(+Es_VGP_SI_VGP_SI+(+delta_1s_VGP_SI_VGP_SI*k_ds+delta_1s_VGP_SI*k_ds_VGP_SI+delta_1s_VGP_SI*k_ds_VGP_SI+delta_1s*k_ds_VGP_SI_VGP_SI))-(+delta_nd_VGP_SI_VGP_SI*xi2s+delta_nd_VGP_SI*xi2s_VGP_SI+delta_nd_VGP_SI*xi2s_VGP_SI+delta_nd*xi2s_VGP_SI_VGP_SI))));
  temp_VGP_SI_VDI_SI=(+0.0-(+Gf2_VGP_SI_VDI_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VGP_SI*((Es_VDI_SI+(((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI))))-(((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI))))+Gf2_VDI_SI*((Es_VGP_SI+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI)))+Gf2*(+(+Es_VGP_SI_VDI_SI+(+delta_1s_VGP_SI_VDI_SI*k_ds+delta_1s_VGP_SI*k_ds_VDI_SI+delta_1s_VDI_SI*k_ds_VGP_SI+delta_1s*k_ds_VGP_SI_VDI_SI))-(+delta_nd_VGP_SI_VDI_SI*xi2s+delta_nd_VGP_SI*xi2s_VDI_SI+delta_nd_VDI_SI*xi2s_VGP_SI+delta_nd*xi2s_VGP_SI_VDI_SI))));
  temp_VGP_SI_VSI_BP=(+0.0-(+Gf2_VGP_SI_VSI_BP*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VGP_SI*((Es_VSI_BP+(((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP))))-(((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP))))+Gf2_VSI_BP*((Es_VGP_SI+((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI)))-((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI)))+Gf2*(+(+Es_VGP_SI_VSI_BP+(+delta_1s_VGP_SI_VSI_BP*k_ds+delta_1s_VGP_SI*k_ds_VSI_BP+delta_1s_VSI_BP*k_ds_VGP_SI+delta_1s*k_ds_VGP_SI_VSI_BP))-(+delta_nd_VGP_SI_VSI_BP*xi2s+delta_nd_VGP_SI*xi2s_VSI_BP+delta_nd_VSI_BP*xi2s_VGP_SI+delta_nd*xi2s_VGP_SI_VSI_BP))));
#endif
temp_VDI_SI=(-((Gf2_VDI_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s)))+(Gf2*((Es_VDI_SI+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI))))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0-(+Gf2_VDI_SI_VGP_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VDI_SI*((Es_VGP_SI+(((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI))))-(((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI))))+Gf2_VGP_SI*((Es_VDI_SI+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI)))+Gf2*(+(+Es_VDI_SI_VGP_SI+(+delta_1s_VDI_SI_VGP_SI*k_ds+delta_1s_VDI_SI*k_ds_VGP_SI+delta_1s_VGP_SI*k_ds_VDI_SI+delta_1s*k_ds_VDI_SI_VGP_SI))-(+delta_nd_VDI_SI_VGP_SI*xi2s+delta_nd_VDI_SI*xi2s_VGP_SI+delta_nd_VGP_SI*xi2s_VDI_SI+delta_nd*xi2s_VDI_SI_VGP_SI))));
  temp_VDI_SI_VDI_SI=(+0.0-(+Gf2_VDI_SI_VDI_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VDI_SI*((Es_VDI_SI+(((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI))))-(((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI))))+Gf2_VDI_SI*((Es_VDI_SI+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI)))+Gf2*(+(+Es_VDI_SI_VDI_SI+(+delta_1s_VDI_SI_VDI_SI*k_ds+delta_1s_VDI_SI*k_ds_VDI_SI+delta_1s_VDI_SI*k_ds_VDI_SI+delta_1s*k_ds_VDI_SI_VDI_SI))-(+delta_nd_VDI_SI_VDI_SI*xi2s+delta_nd_VDI_SI*xi2s_VDI_SI+delta_nd_VDI_SI*xi2s_VDI_SI+delta_nd*xi2s_VDI_SI_VDI_SI))));
  temp_VDI_SI_VSI_BP=(+0.0-(+Gf2_VDI_SI_VSI_BP*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VDI_SI*((Es_VSI_BP+(((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP))))-(((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP))))+Gf2_VSI_BP*((Es_VDI_SI+((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI)))-((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI)))+Gf2*(+(+Es_VDI_SI_VSI_BP+(+delta_1s_VDI_SI_VSI_BP*k_ds+delta_1s_VDI_SI*k_ds_VSI_BP+delta_1s_VSI_BP*k_ds_VDI_SI+delta_1s*k_ds_VDI_SI_VSI_BP))-(+delta_nd_VDI_SI_VSI_BP*xi2s+delta_nd_VDI_SI*xi2s_VSI_BP+delta_nd_VSI_BP*xi2s_VDI_SI+delta_nd*xi2s_VDI_SI_VSI_BP))));
#endif
temp_VSI_BP=(-((Gf2_VSI_BP*((Es+(delta_1s*k_ds))-(delta_nd*xi2s)))+(Gf2*((Es_VSI_BP+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP))))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0-(+Gf2_VSI_BP_VGP_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VSI_BP*((Es_VGP_SI+(((delta_1s_VGP_SI*k_ds)+(delta_1s*k_ds_VGP_SI))))-(((delta_nd_VGP_SI*xi2s)+(delta_nd*xi2s_VGP_SI))))+Gf2_VGP_SI*((Es_VSI_BP+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP)))+Gf2*(+(+Es_VSI_BP_VGP_SI+(+delta_1s_VSI_BP_VGP_SI*k_ds+delta_1s_VSI_BP*k_ds_VGP_SI+delta_1s_VGP_SI*k_ds_VSI_BP+delta_1s*k_ds_VSI_BP_VGP_SI))-(+delta_nd_VSI_BP_VGP_SI*xi2s+delta_nd_VSI_BP*xi2s_VGP_SI+delta_nd_VGP_SI*xi2s_VSI_BP+delta_nd*xi2s_VSI_BP_VGP_SI))));
  temp_VSI_BP_VDI_SI=(+0.0-(+Gf2_VSI_BP_VDI_SI*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VSI_BP*((Es_VDI_SI+(((delta_1s_VDI_SI*k_ds)+(delta_1s*k_ds_VDI_SI))))-(((delta_nd_VDI_SI*xi2s)+(delta_nd*xi2s_VDI_SI))))+Gf2_VDI_SI*((Es_VSI_BP+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP)))+Gf2*(+(+Es_VSI_BP_VDI_SI+(+delta_1s_VSI_BP_VDI_SI*k_ds+delta_1s_VSI_BP*k_ds_VDI_SI+delta_1s_VDI_SI*k_ds_VSI_BP+delta_1s*k_ds_VSI_BP_VDI_SI))-(+delta_nd_VSI_BP_VDI_SI*xi2s+delta_nd_VSI_BP*xi2s_VDI_SI+delta_nd_VDI_SI*xi2s_VSI_BP+delta_nd*xi2s_VSI_BP_VDI_SI))));
  temp_VSI_BP_VSI_BP=(+0.0-(+Gf2_VSI_BP_VSI_BP*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))+Gf2_VSI_BP*((Es_VSI_BP+(((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP))))-(((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP))))+Gf2_VSI_BP*((Es_VSI_BP+((delta_1s_VSI_BP*k_ds)+(delta_1s*k_ds_VSI_BP)))-((delta_nd_VSI_BP*xi2s)+(delta_nd*xi2s_VSI_BP)))+Gf2*(+(+Es_VSI_BP_VSI_BP+(+delta_1s_VSI_BP_VSI_BP*k_ds+delta_1s_VSI_BP*k_ds_VSI_BP+delta_1s_VSI_BP*k_ds_VSI_BP+delta_1s*k_ds_VSI_BP_VSI_BP))-(+delta_nd_VSI_BP_VSI_BP*xi2s+delta_nd_VSI_BP*xi2s_VSI_BP+delta_nd_VSI_BP*xi2s_VSI_BP+delta_nd*xi2s_VSI_BP_VSI_BP))));
#endif
#endif
temp=(2.0-(Gf2*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))));
EXIT_IF_ISNAN((2.0-(Gf2*((Es+(delta_1s*k_ds))-(delta_nd*xi2s)))))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(((pC_VGP_SI*pC)+(pC*pC_VGP_SI))-(2.0*((temp_VGP_SI*qC)+(temp*qC_VGP_SI))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+(+pC_VGP_SI_VGP_SI*pC+pC_VGP_SI*pC_VGP_SI+pC_VGP_SI*pC_VGP_SI+pC*pC_VGP_SI_VGP_SI)-(+0.0*(temp*qC)+0.0*(((temp_VGP_SI*qC)+(temp*qC_VGP_SI)))+0.0*((temp_VGP_SI*qC)+(temp*qC_VGP_SI))+2.0*(+temp_VGP_SI_VGP_SI*qC+temp_VGP_SI*qC_VGP_SI+temp_VGP_SI*qC_VGP_SI+temp*qC_VGP_SI_VGP_SI)));
  temp_VGP_SI_VDI_SI=(+(+pC_VGP_SI_VDI_SI*pC+pC_VGP_SI*pC_VDI_SI+pC_VDI_SI*pC_VGP_SI+pC*pC_VGP_SI_VDI_SI)-(+0.0*(temp*qC)+0.0*(((temp_VDI_SI*qC)+(temp*qC_VDI_SI)))+0.0*((temp_VGP_SI*qC)+(temp*qC_VGP_SI))+2.0*(+temp_VGP_SI_VDI_SI*qC+temp_VGP_SI*qC_VDI_SI+temp_VDI_SI*qC_VGP_SI+temp*qC_VGP_SI_VDI_SI)));
  temp_VGP_SI_VSI_BP=(+(+pC_VGP_SI_VSI_BP*pC+pC_VGP_SI*pC_VSI_BP+pC_VSI_BP*pC_VGP_SI+pC*pC_VGP_SI_VSI_BP)-(+0.0*(temp*qC)+0.0*(((temp_VSI_BP*qC)+(temp*qC_VSI_BP)))+0.0*((temp_VGP_SI*qC)+(temp*qC_VGP_SI))+2.0*(+temp_VGP_SI_VSI_BP*qC+temp_VGP_SI*qC_VSI_BP+temp_VSI_BP*qC_VGP_SI+temp*qC_VGP_SI_VSI_BP)));
#endif
temp_VDI_SI=(((pC_VDI_SI*pC)+(pC*pC_VDI_SI))-(2.0*((temp_VDI_SI*qC)+(temp*qC_VDI_SI))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+(+pC_VDI_SI_VGP_SI*pC+pC_VDI_SI*pC_VGP_SI+pC_VGP_SI*pC_VDI_SI+pC*pC_VDI_SI_VGP_SI)-(+0.0*(temp*qC)+0.0*(((temp_VGP_SI*qC)+(temp*qC_VGP_SI)))+0.0*((temp_VDI_SI*qC)+(temp*qC_VDI_SI))+2.0*(+temp_VDI_SI_VGP_SI*qC+temp_VDI_SI*qC_VGP_SI+temp_VGP_SI*qC_VDI_SI+temp*qC_VDI_SI_VGP_SI)));
  temp_VDI_SI_VDI_SI=(+(+pC_VDI_SI_VDI_SI*pC+pC_VDI_SI*pC_VDI_SI+pC_VDI_SI*pC_VDI_SI+pC*pC_VDI_SI_VDI_SI)-(+0.0*(temp*qC)+0.0*(((temp_VDI_SI*qC)+(temp*qC_VDI_SI)))+0.0*((temp_VDI_SI*qC)+(temp*qC_VDI_SI))+2.0*(+temp_VDI_SI_VDI_SI*qC+temp_VDI_SI*qC_VDI_SI+temp_VDI_SI*qC_VDI_SI+temp*qC_VDI_SI_VDI_SI)));
  temp_VDI_SI_VSI_BP=(+(+pC_VDI_SI_VSI_BP*pC+pC_VDI_SI*pC_VSI_BP+pC_VSI_BP*pC_VDI_SI+pC*pC_VDI_SI_VSI_BP)-(+0.0*(temp*qC)+0.0*(((temp_VSI_BP*qC)+(temp*qC_VSI_BP)))+0.0*((temp_VDI_SI*qC)+(temp*qC_VDI_SI))+2.0*(+temp_VDI_SI_VSI_BP*qC+temp_VDI_SI*qC_VSI_BP+temp_VSI_BP*qC_VDI_SI+temp*qC_VDI_SI_VSI_BP)));
#endif
temp_VSI_BP=(((pC_VSI_BP*pC)+(pC*pC_VSI_BP))-(2.0*((temp_VSI_BP*qC)+(temp*qC_VSI_BP))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+(+pC_VSI_BP_VGP_SI*pC+pC_VSI_BP*pC_VGP_SI+pC_VGP_SI*pC_VSI_BP+pC*pC_VSI_BP_VGP_SI)-(+0.0*(temp*qC)+0.0*(((temp_VGP_SI*qC)+(temp*qC_VGP_SI)))+0.0*((temp_VSI_BP*qC)+(temp*qC_VSI_BP))+2.0*(+temp_VSI_BP_VGP_SI*qC+temp_VSI_BP*qC_VGP_SI+temp_VGP_SI*qC_VSI_BP+temp*qC_VSI_BP_VGP_SI)));
  temp_VSI_BP_VDI_SI=(+(+pC_VSI_BP_VDI_SI*pC+pC_VSI_BP*pC_VDI_SI+pC_VDI_SI*pC_VSI_BP+pC*pC_VSI_BP_VDI_SI)-(+0.0*(temp*qC)+0.0*(((temp_VDI_SI*qC)+(temp*qC_VDI_SI)))+0.0*((temp_VSI_BP*qC)+(temp*qC_VSI_BP))+2.0*(+temp_VSI_BP_VDI_SI*qC+temp_VSI_BP*qC_VDI_SI+temp_VDI_SI*qC_VSI_BP+temp*qC_VSI_BP_VDI_SI)));
  temp_VSI_BP_VSI_BP=(+(+pC_VSI_BP_VSI_BP*pC+pC_VSI_BP*pC_VSI_BP+pC_VSI_BP*pC_VSI_BP+pC*pC_VSI_BP_VSI_BP)-(+0.0*(temp*qC)+0.0*(((temp_VSI_BP*qC)+(temp*qC_VSI_BP)))+0.0*((temp_VSI_BP*qC)+(temp*qC_VSI_BP))+2.0*(+temp_VSI_BP_VSI_BP*qC+temp_VSI_BP*qC_VSI_BP+temp_VSI_BP*qC_VSI_BP+temp*qC_VSI_BP_VSI_BP)));
#endif
#endif
temp=((pC*pC)-(2.0*(temp*qC)));
EXIT_IF_ISNAN(((pC*pC)-(2.0*(temp*qC))))
{
double m00_sqrt(d00_sqrt0,temp)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,temp)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_ds_VDI_SI=(2.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
#if defined(_DERIVATE2)
  x_ds_VDI_SI_VDI_SI=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VDI_SI_VDI_SI/(pC+d00_sqrt0)-(qC_VDI_SI*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)+qC_VDI_SI*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)+qC*(+pC_VDI_SI_VDI_SI+(m20_sqrt(temp)*temp_VDI_SI*temp_VDI_SI+d10_sqrt0*temp_VDI_SI_VDI_SI)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
  x_ds_VDI_SI_VGP_SI=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VDI_SI_VGP_SI/(pC+d00_sqrt0)-(qC_VDI_SI*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)+qC_VGP_SI*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)+qC*(+pC_VDI_SI_VGP_SI+(m20_sqrt(temp)*temp_VGP_SI*temp_VDI_SI+d10_sqrt0*temp_VDI_SI_VGP_SI)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
  x_ds_VDI_SI_VSI_BP=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VDI_SI_VSI_BP/(pC+d00_sqrt0)-(qC_VDI_SI*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)+qC_VSI_BP*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)+qC*(+pC_VDI_SI_VSI_BP+(m20_sqrt(temp)*temp_VSI_BP*temp_VDI_SI+d10_sqrt0*temp_VDI_SI_VSI_BP)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
#endif
x_ds_VGP_SI=(2.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
#if defined(_DERIVATE2)
  x_ds_VGP_SI_VDI_SI=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VGP_SI_VDI_SI/(pC+d00_sqrt0)-(qC_VGP_SI*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)+qC_VDI_SI*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)+qC*(+pC_VGP_SI_VDI_SI+(m20_sqrt(temp)*temp_VDI_SI*temp_VGP_SI+d10_sqrt0*temp_VGP_SI_VDI_SI)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
  x_ds_VGP_SI_VGP_SI=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VGP_SI_VGP_SI/(pC+d00_sqrt0)-(qC_VGP_SI*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)+qC_VGP_SI*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)+qC*(+pC_VGP_SI_VGP_SI+(m20_sqrt(temp)*temp_VGP_SI*temp_VGP_SI+d10_sqrt0*temp_VGP_SI_VGP_SI)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
  x_ds_VGP_SI_VSI_BP=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VGP_SI_VSI_BP/(pC+d00_sqrt0)-(qC_VGP_SI*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)+qC_VSI_BP*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)+qC*(+pC_VGP_SI_VSI_BP+(m20_sqrt(temp)*temp_VSI_BP*temp_VGP_SI+d10_sqrt0*temp_VGP_SI_VSI_BP)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
#endif
x_ds_VSI_BP=(2.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
#if defined(_DERIVATE2)
  x_ds_VSI_BP_VDI_SI=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VDI_SI*(pC+d00_sqrt0)-qC*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VSI_BP_VDI_SI/(pC+d00_sqrt0)-(qC_VSI_BP*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)+qC_VDI_SI*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)+qC*(+pC_VSI_BP_VDI_SI+(m20_sqrt(temp)*temp_VDI_SI*temp_VSI_BP+d10_sqrt0*temp_VSI_BP_VDI_SI)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)*(pC_VDI_SI+temp_VDI_SI*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
  x_ds_VSI_BP_VGP_SI=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VGP_SI*(pC+d00_sqrt0)-qC*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VSI_BP_VGP_SI/(pC+d00_sqrt0)-(qC_VSI_BP*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)+qC_VGP_SI*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)+qC*(+pC_VSI_BP_VGP_SI+(m20_sqrt(temp)*temp_VGP_SI*temp_VSI_BP+d10_sqrt0*temp_VSI_BP_VGP_SI)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)*(pC_VGP_SI+temp_VGP_SI*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
  x_ds_VSI_BP_VSI_BP=(+0.0*(qC/(pC+d00_sqrt0))+0.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+0.0*((qC_VSI_BP*(pC+d00_sqrt0)-qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0))/(pC+d00_sqrt0)/(pC+d00_sqrt0))+2.0*(qC_VSI_BP_VSI_BP/(pC+d00_sqrt0)-(qC_VSI_BP*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)+qC_VSI_BP*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)+qC*(+pC_VSI_BP_VSI_BP+(m20_sqrt(temp)*temp_VSI_BP*temp_VSI_BP+d10_sqrt0*temp_VSI_BP_VSI_BP)))/(pC+d00_sqrt0)/(pC+d00_sqrt0)+2*qC*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)*(pC_VSI_BP+temp_VSI_BP*d10_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)/(pC+d00_sqrt0)));
#endif
#endif
x_ds=(2.0*(qC/(pC+d00_sqrt0)));
EXIT_IF_ISNAN((2.0*(qC/(pC+d00_sqrt0))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_d_VDI_SI=(x_s_VDI_SI+x_ds_VDI_SI);
#if defined(_DERIVATE2)
  x_d_VDI_SI_VDI_SI=(+x_s_VDI_SI_VDI_SI+x_ds_VDI_SI_VDI_SI);
  x_d_VDI_SI_VGP_SI=(+x_s_VDI_SI_VGP_SI+x_ds_VDI_SI_VGP_SI);
  x_d_VDI_SI_VSI_BP=(+x_s_VDI_SI_VSI_BP+x_ds_VDI_SI_VSI_BP);
#endif
x_d_VGP_SI=(x_s_VGP_SI+x_ds_VGP_SI);
#if defined(_DERIVATE2)
  x_d_VGP_SI_VDI_SI=(+x_s_VGP_SI_VDI_SI+x_ds_VGP_SI_VDI_SI);
  x_d_VGP_SI_VGP_SI=(+x_s_VGP_SI_VGP_SI+x_ds_VGP_SI_VGP_SI);
  x_d_VGP_SI_VSI_BP=(+x_s_VGP_SI_VSI_BP+x_ds_VGP_SI_VSI_BP);
#endif
x_d_VSI_BP=(x_s_VSI_BP+x_ds_VSI_BP);
#if defined(_DERIVATE2)
  x_d_VSI_BP_VDI_SI=(+x_s_VSI_BP_VDI_SI+x_ds_VSI_BP_VDI_SI);
  x_d_VSI_BP_VGP_SI=(+x_s_VSI_BP_VGP_SI+x_ds_VSI_BP_VGP_SI);
  x_d_VSI_BP_VSI_BP=(+x_s_VSI_BP_VSI_BP+x_ds_VSI_BP_VSI_BP);
#endif
#endif
x_d=(x_s+x_ds);
EXIT_IF_ISNAN((x_s+x_ds))
}
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dps_VDI_SI=((x_ds_VDI_SI*pInst->phit1)+(x_ds*phit1_VDI_SI));
#if defined(_DERIVATE2)
  dps_VDI_SI_VDI_SI=(+x_ds_VDI_SI_VDI_SI*pInst->phit1+x_ds_VDI_SI*phit1_VDI_SI+x_ds_VDI_SI*phit1_VDI_SI+x_ds*phit1_VDI_SI_VDI_SI);
  dps_VDI_SI_VGP_SI=(+x_ds_VDI_SI_VGP_SI*pInst->phit1+x_ds_VDI_SI*phit1_VGP_SI+x_ds_VGP_SI*phit1_VDI_SI+x_ds*phit1_VDI_SI_VGP_SI);
  dps_VDI_SI_VSI_BP=(+x_ds_VDI_SI_VSI_BP*pInst->phit1+x_ds_VDI_SI*phit1_VSI_BP+x_ds_VSI_BP*phit1_VDI_SI+x_ds*phit1_VDI_SI_VSI_BP);
#endif
dps_VGP_SI=((x_ds_VGP_SI*pInst->phit1)+(x_ds*phit1_VGP_SI));
#if defined(_DERIVATE2)
  dps_VGP_SI_VDI_SI=(+x_ds_VGP_SI_VDI_SI*pInst->phit1+x_ds_VGP_SI*phit1_VDI_SI+x_ds_VDI_SI*phit1_VGP_SI+x_ds*phit1_VGP_SI_VDI_SI);
  dps_VGP_SI_VGP_SI=(+x_ds_VGP_SI_VGP_SI*pInst->phit1+x_ds_VGP_SI*phit1_VGP_SI+x_ds_VGP_SI*phit1_VGP_SI+x_ds*phit1_VGP_SI_VGP_SI);
  dps_VGP_SI_VSI_BP=(+x_ds_VGP_SI_VSI_BP*pInst->phit1+x_ds_VGP_SI*phit1_VSI_BP+x_ds_VSI_BP*phit1_VGP_SI+x_ds*phit1_VGP_SI_VSI_BP);
#endif
dps_VSI_BP=((x_ds_VSI_BP*pInst->phit1)+(x_ds*phit1_VSI_BP));
#if defined(_DERIVATE2)
  dps_VSI_BP_VDI_SI=(+x_ds_VSI_BP_VDI_SI*pInst->phit1+x_ds_VSI_BP*phit1_VDI_SI+x_ds_VDI_SI*phit1_VSI_BP+x_ds*phit1_VSI_BP_VDI_SI);
  dps_VSI_BP_VGP_SI=(+x_ds_VSI_BP_VGP_SI*pInst->phit1+x_ds_VSI_BP*phit1_VGP_SI+x_ds_VGP_SI*phit1_VSI_BP+x_ds*phit1_VSI_BP_VGP_SI);
  dps_VSI_BP_VSI_BP=(+x_ds_VSI_BP_VSI_BP*pInst->phit1+x_ds_VSI_BP*phit1_VSI_BP+x_ds_VSI_BP*phit1_VSI_BP+x_ds*phit1_VSI_BP_VSI_BP);
#endif
#endif
dps=(x_ds*pInst->phit1);
EXIT_IF_ISNAN((x_ds*pInst->phit1))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xi0d_VDI_SI=((((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(2.0+(x_d*x_d))-(x_d*x_d)*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
#if defined(_DERIVATE2)
  xi0d_VDI_SI_VDI_SI=((+x_d_VDI_SI_VDI_SI*x_d+x_d_VDI_SI*x_d_VDI_SI+x_d_VDI_SI*x_d_VDI_SI+x_d*x_d_VDI_SI_VDI_SI)/(2.0+(x_d*x_d))-(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))+(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))+(x_d*x_d)*(+0.0+(+x_d_VDI_SI_VDI_SI*x_d+x_d_VDI_SI*x_d_VDI_SI+x_d_VDI_SI*x_d_VDI_SI+x_d*x_d_VDI_SI_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
  xi0d_VDI_SI_VGP_SI=((+x_d_VDI_SI_VGP_SI*x_d+x_d_VDI_SI*x_d_VGP_SI+x_d_VGP_SI*x_d_VDI_SI+x_d*x_d_VDI_SI_VGP_SI)/(2.0+(x_d*x_d))-(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))+(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))+(x_d*x_d)*(+0.0+(+x_d_VDI_SI_VGP_SI*x_d+x_d_VDI_SI*x_d_VGP_SI+x_d_VGP_SI*x_d_VDI_SI+x_d*x_d_VDI_SI_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
  xi0d_VDI_SI_VSI_BP=((+x_d_VDI_SI_VSI_BP*x_d+x_d_VDI_SI*x_d_VSI_BP+x_d_VSI_BP*x_d_VDI_SI+x_d*x_d_VDI_SI_VSI_BP)/(2.0+(x_d*x_d))-(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))+(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))+(x_d*x_d)*(+0.0+(+x_d_VDI_SI_VSI_BP*x_d+x_d_VDI_SI*x_d_VSI_BP+x_d_VSI_BP*x_d_VDI_SI+x_d*x_d_VDI_SI_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI))*(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
#endif
xi0d_VGP_SI=((((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(2.0+(x_d*x_d))-(x_d*x_d)*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
#if defined(_DERIVATE2)
  xi0d_VGP_SI_VDI_SI=((+x_d_VGP_SI_VDI_SI*x_d+x_d_VGP_SI*x_d_VDI_SI+x_d_VDI_SI*x_d_VGP_SI+x_d*x_d_VGP_SI_VDI_SI)/(2.0+(x_d*x_d))-(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))+(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))+(x_d*x_d)*(+0.0+(+x_d_VGP_SI_VDI_SI*x_d+x_d_VGP_SI*x_d_VDI_SI+x_d_VDI_SI*x_d_VGP_SI+x_d*x_d_VGP_SI_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
  xi0d_VGP_SI_VGP_SI=((+x_d_VGP_SI_VGP_SI*x_d+x_d_VGP_SI*x_d_VGP_SI+x_d_VGP_SI*x_d_VGP_SI+x_d*x_d_VGP_SI_VGP_SI)/(2.0+(x_d*x_d))-(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))+(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))+(x_d*x_d)*(+0.0+(+x_d_VGP_SI_VGP_SI*x_d+x_d_VGP_SI*x_d_VGP_SI+x_d_VGP_SI*x_d_VGP_SI+x_d*x_d_VGP_SI_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
  xi0d_VGP_SI_VSI_BP=((+x_d_VGP_SI_VSI_BP*x_d+x_d_VGP_SI*x_d_VSI_BP+x_d_VSI_BP*x_d_VGP_SI+x_d*x_d_VGP_SI_VSI_BP)/(2.0+(x_d*x_d))-(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))+(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))+(x_d*x_d)*(+0.0+(+x_d_VGP_SI_VSI_BP*x_d+x_d_VGP_SI*x_d_VSI_BP+x_d_VSI_BP*x_d_VGP_SI+x_d*x_d_VGP_SI_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI))*(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
#endif
xi0d_VSI_BP=((((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(2.0+(x_d*x_d))-(x_d*x_d)*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
#if defined(_DERIVATE2)
  xi0d_VSI_BP_VDI_SI=((+x_d_VSI_BP_VDI_SI*x_d+x_d_VSI_BP*x_d_VDI_SI+x_d_VDI_SI*x_d_VSI_BP+x_d*x_d_VSI_BP_VDI_SI)/(2.0+(x_d*x_d))-(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))+(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))+(x_d*x_d)*(+0.0+(+x_d_VSI_BP_VDI_SI*x_d+x_d_VSI_BP*x_d_VDI_SI+x_d_VDI_SI*x_d_VSI_BP+x_d*x_d_VSI_BP_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(((x_d_VDI_SI*x_d)+(x_d*x_d_VDI_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
  xi0d_VSI_BP_VGP_SI=((+x_d_VSI_BP_VGP_SI*x_d+x_d_VSI_BP*x_d_VGP_SI+x_d_VGP_SI*x_d_VSI_BP+x_d*x_d_VSI_BP_VGP_SI)/(2.0+(x_d*x_d))-(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))+(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))+(x_d*x_d)*(+0.0+(+x_d_VSI_BP_VGP_SI*x_d+x_d_VSI_BP*x_d_VGP_SI+x_d_VGP_SI*x_d_VSI_BP+x_d*x_d_VSI_BP_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(((x_d_VGP_SI*x_d)+(x_d*x_d_VGP_SI)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
  xi0d_VSI_BP_VSI_BP=((+x_d_VSI_BP_VSI_BP*x_d+x_d_VSI_BP*x_d_VSI_BP+x_d_VSI_BP*x_d_VSI_BP+x_d*x_d_VSI_BP_VSI_BP)/(2.0+(x_d*x_d))-(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))+(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))+(x_d*x_d)*(+0.0+(+x_d_VSI_BP_VSI_BP*x_d+x_d_VSI_BP*x_d_VSI_BP+x_d_VSI_BP*x_d_VSI_BP+x_d*x_d_VSI_BP_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))+2*(x_d*x_d)*((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP))*(((x_d_VSI_BP*x_d)+(x_d*x_d_VSI_BP)))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d))/(2.0+(x_d*x_d)));
#endif
#endif
xi0d=((x_d*x_d)/(2.0+(x_d*x_d)));
EXIT_IF_ISNAN(((x_d*x_d)/(2.0+(x_d*x_d))))
if
((x_d<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,(-x_d))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ed_VDI_SI=(-x_d_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  Ed_VDI_SI_VDI_SI=(m20_exp((-x_d))*(-x_d_VDI_SI)*(-x_d_VDI_SI)+d10_exp0*0.0);
  Ed_VDI_SI_VGP_SI=(m20_exp((-x_d))*(-x_d_VGP_SI)*(-x_d_VDI_SI)+d10_exp0*0.0);
  Ed_VDI_SI_VSI_BP=(m20_exp((-x_d))*(-x_d_VSI_BP)*(-x_d_VDI_SI)+d10_exp0*0.0);
#endif
Ed_VGP_SI=(-x_d_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  Ed_VGP_SI_VDI_SI=(m20_exp((-x_d))*(-x_d_VDI_SI)*(-x_d_VGP_SI)+d10_exp0*0.0);
  Ed_VGP_SI_VGP_SI=(m20_exp((-x_d))*(-x_d_VGP_SI)*(-x_d_VGP_SI)+d10_exp0*0.0);
  Ed_VGP_SI_VSI_BP=(m20_exp((-x_d))*(-x_d_VSI_BP)*(-x_d_VGP_SI)+d10_exp0*0.0);
#endif
Ed_VSI_BP=(-x_d_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  Ed_VSI_BP_VDI_SI=(m20_exp((-x_d))*(-x_d_VDI_SI)*(-x_d_VSI_BP)+d10_exp0*0.0);
  Ed_VSI_BP_VGP_SI=(m20_exp((-x_d))*(-x_d_VGP_SI)*(-x_d_VSI_BP)+d10_exp0*0.0);
  Ed_VSI_BP_VSI_BP=(m20_exp((-x_d))*(-x_d_VSI_BP)*(-x_d_VSI_BP)+d10_exp0*0.0);
#endif
#endif
Ed=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
if
((x_d<1.0e-5))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dd_VDI_SI=(((((((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI))*(1.0+(1.75*x_d)))+(((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.75*x_d_VDI_SI)));
#if defined(_DERIVATE2)
  Dd_VDI_SI_VDI_SI=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VDI_SI+0.0*delta_nd_VDI_SI+1.6666666666666667e-01*delta_nd_VDI_SI_VDI_SI)*x_d+(1.6666666666666667e-01*delta_nd_VDI_SI)*x_d_VDI_SI+((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d_VDI_SI+(1.6666666666666667e-01*delta_nd)*x_d_VDI_SI_VDI_SI)*x_d+(((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d_VDI_SI+(((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d_VDI_SI+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI_VDI_SI)*x_d+(((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d_VDI_SI+((((((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI)))*x_d_VDI_SI+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI_VDI_SI)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI))*((1.75*x_d_VDI_SI))+(((((((((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI)))*(1.75*x_d_VDI_SI)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VDI_SI+0.0*x_d_VDI_SI+1.75*x_d_VDI_SI_VDI_SI)));
  Dd_VDI_SI_VGP_SI=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VGP_SI+0.0*delta_nd_VDI_SI+1.6666666666666667e-01*delta_nd_VDI_SI_VGP_SI)*x_d+(1.6666666666666667e-01*delta_nd_VDI_SI)*x_d_VGP_SI+((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d_VDI_SI+(1.6666666666666667e-01*delta_nd)*x_d_VDI_SI_VGP_SI)*x_d+(((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d_VGP_SI+(((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d_VDI_SI+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI_VGP_SI)*x_d+(((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d_VGP_SI+((((((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI)))*x_d_VDI_SI+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI_VGP_SI)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI))*((1.75*x_d_VGP_SI))+(((((((((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI)))*(1.75*x_d_VDI_SI)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VGP_SI+0.0*x_d_VDI_SI+1.75*x_d_VDI_SI_VGP_SI)));
  Dd_VDI_SI_VSI_BP=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VSI_BP+0.0*delta_nd_VDI_SI+1.6666666666666667e-01*delta_nd_VDI_SI_VSI_BP)*x_d+(1.6666666666666667e-01*delta_nd_VDI_SI)*x_d_VSI_BP+((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d_VDI_SI+(1.6666666666666667e-01*delta_nd)*x_d_VDI_SI_VSI_BP)*x_d+(((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d_VSI_BP+(((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d_VDI_SI+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI_VSI_BP)*x_d+(((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d_VSI_BP+((((((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP)))*x_d_VDI_SI+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI_VSI_BP)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VDI_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI))*((1.75*x_d_VSI_BP))+(((((((((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP)))*(1.75*x_d_VDI_SI)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VSI_BP+0.0*x_d_VDI_SI+1.75*x_d_VDI_SI_VSI_BP)));
#endif
Dd_VGP_SI=(((((((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI))*(1.0+(1.75*x_d)))+(((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.75*x_d_VGP_SI)));
#if defined(_DERIVATE2)
  Dd_VGP_SI_VDI_SI=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VDI_SI+0.0*delta_nd_VGP_SI+1.6666666666666667e-01*delta_nd_VGP_SI_VDI_SI)*x_d+(1.6666666666666667e-01*delta_nd_VGP_SI)*x_d_VDI_SI+((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d_VGP_SI+(1.6666666666666667e-01*delta_nd)*x_d_VGP_SI_VDI_SI)*x_d+(((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d_VDI_SI+(((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d_VGP_SI+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI_VDI_SI)*x_d+(((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d_VDI_SI+((((((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI)))*x_d_VGP_SI+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI_VDI_SI)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI))*((1.75*x_d_VDI_SI))+(((((((((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI)))*(1.75*x_d_VGP_SI)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VDI_SI+0.0*x_d_VGP_SI+1.75*x_d_VGP_SI_VDI_SI)));
  Dd_VGP_SI_VGP_SI=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VGP_SI+0.0*delta_nd_VGP_SI+1.6666666666666667e-01*delta_nd_VGP_SI_VGP_SI)*x_d+(1.6666666666666667e-01*delta_nd_VGP_SI)*x_d_VGP_SI+((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d_VGP_SI+(1.6666666666666667e-01*delta_nd)*x_d_VGP_SI_VGP_SI)*x_d+(((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d_VGP_SI+(((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d_VGP_SI+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI_VGP_SI)*x_d+(((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d_VGP_SI+((((((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI)))*x_d_VGP_SI+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI_VGP_SI)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI))*((1.75*x_d_VGP_SI))+(((((((((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI)))*(1.75*x_d_VGP_SI)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VGP_SI+0.0*x_d_VGP_SI+1.75*x_d_VGP_SI_VGP_SI)));
  Dd_VGP_SI_VSI_BP=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VSI_BP+0.0*delta_nd_VGP_SI+1.6666666666666667e-01*delta_nd_VGP_SI_VSI_BP)*x_d+(1.6666666666666667e-01*delta_nd_VGP_SI)*x_d_VSI_BP+((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d_VGP_SI+(1.6666666666666667e-01*delta_nd)*x_d_VGP_SI_VSI_BP)*x_d+(((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d_VSI_BP+(((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d_VGP_SI+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI_VSI_BP)*x_d+(((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d_VSI_BP+((((((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP)))*x_d_VGP_SI+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI_VSI_BP)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VGP_SI)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI))*((1.75*x_d_VSI_BP))+(((((((((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP)))*(1.75*x_d_VGP_SI)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VSI_BP+0.0*x_d_VGP_SI+1.75*x_d_VGP_SI_VSI_BP)));
#endif
Dd_VSI_BP=(((((((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP))*(1.0+(1.75*x_d)))+(((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.75*x_d_VSI_BP)));
#if defined(_DERIVATE2)
  Dd_VSI_BP_VDI_SI=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VDI_SI+0.0*delta_nd_VSI_BP+1.6666666666666667e-01*delta_nd_VSI_BP_VDI_SI)*x_d+(1.6666666666666667e-01*delta_nd_VSI_BP)*x_d_VDI_SI+((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d_VSI_BP+(1.6666666666666667e-01*delta_nd)*x_d_VSI_BP_VDI_SI)*x_d+(((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d_VDI_SI+(((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d_VSI_BP+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP_VDI_SI)*x_d+(((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d_VDI_SI+((((((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI)))*x_d_VSI_BP+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP_VDI_SI)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP))*((1.75*x_d_VDI_SI))+(((((((((((1.6666666666666667e-01*delta_nd_VDI_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VDI_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VDI_SI)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VDI_SI)))*(1.75*x_d_VSI_BP)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VDI_SI+0.0*x_d_VSI_BP+1.75*x_d_VSI_BP_VDI_SI)));
  Dd_VSI_BP_VGP_SI=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VGP_SI+0.0*delta_nd_VSI_BP+1.6666666666666667e-01*delta_nd_VSI_BP_VGP_SI)*x_d+(1.6666666666666667e-01*delta_nd_VSI_BP)*x_d_VGP_SI+((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d_VSI_BP+(1.6666666666666667e-01*delta_nd)*x_d_VSI_BP_VGP_SI)*x_d+(((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d_VGP_SI+(((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d_VSI_BP+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP_VGP_SI)*x_d+(((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d_VGP_SI+((((((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI)))*x_d_VSI_BP+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP_VGP_SI)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP))*((1.75*x_d_VGP_SI))+(((((((((((1.6666666666666667e-01*delta_nd_VGP_SI))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VGP_SI)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VGP_SI)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VGP_SI)))*(1.75*x_d_VSI_BP)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VGP_SI+0.0*x_d_VSI_BP+1.75*x_d_VSI_BP_VGP_SI)));
  Dd_VSI_BP_VSI_BP=(+(+(+(+(+0.0*delta_nd+0.0*delta_nd_VSI_BP+0.0*delta_nd_VSI_BP+1.6666666666666667e-01*delta_nd_VSI_BP_VSI_BP)*x_d+(1.6666666666666667e-01*delta_nd_VSI_BP)*x_d_VSI_BP+((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d_VSI_BP+(1.6666666666666667e-01*delta_nd)*x_d_VSI_BP_VSI_BP)*x_d+(((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d_VSI_BP+(((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d_VSI_BP+((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP_VSI_BP)*x_d+(((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d_VSI_BP+((((((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP)))*x_d_VSI_BP+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP_VSI_BP)*(1.0+(1.75*x_d))+(((((((1.6666666666666667e-01*delta_nd_VSI_BP)*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP))*((1.75*x_d_VSI_BP))+(((((((((((1.6666666666666667e-01*delta_nd_VSI_BP))*x_d)+((1.6666666666666667e-01*delta_nd)*x_d_VSI_BP)))*x_d)+(((1.6666666666666667e-01*delta_nd)*x_d)*x_d_VSI_BP)))*x_d)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d_VSI_BP)))*(1.75*x_d_VSI_BP)+((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(+0.0+(+0.0*x_d+0.0*x_d_VSI_BP+0.0*x_d_VSI_BP+1.75*x_d_VSI_BP_VSI_BP)));
#endif
#endif
Dd=(((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.0+(1.75*x_d)));
EXIT_IF_ISNAN((((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.0+(1.75*x_d))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dd_VDI_SI=((delta_nd_VDI_SI*((((1.0/Ed)-x_d)-1.0)-xi0d))+(delta_nd*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)));
#if defined(_DERIVATE2)
  Dd_VDI_SI_VDI_SI=(+delta_nd_VDI_SI_VDI_SI*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VDI_SI*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)+delta_nd_VDI_SI*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VDI_SI+0.0*Ed_VDI_SI+1.0*Ed_VDI_SI_VDI_SI)/Ed/Ed+2*1.0*Ed_VDI_SI*Ed_VDI_SI/Ed/Ed/Ed)-x_d_VDI_SI_VDI_SI)-0.0)-xi0d_VDI_SI_VDI_SI));
  Dd_VDI_SI_VGP_SI=(+delta_nd_VDI_SI_VGP_SI*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VDI_SI*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)+delta_nd_VGP_SI*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VGP_SI+0.0*Ed_VDI_SI+1.0*Ed_VDI_SI_VGP_SI)/Ed/Ed+2*1.0*Ed_VDI_SI*Ed_VGP_SI/Ed/Ed/Ed)-x_d_VDI_SI_VGP_SI)-0.0)-xi0d_VDI_SI_VGP_SI));
  Dd_VDI_SI_VSI_BP=(+delta_nd_VDI_SI_VSI_BP*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VDI_SI*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)+delta_nd_VSI_BP*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VSI_BP+0.0*Ed_VDI_SI+1.0*Ed_VDI_SI_VSI_BP)/Ed/Ed+2*1.0*Ed_VDI_SI*Ed_VSI_BP/Ed/Ed/Ed)-x_d_VDI_SI_VSI_BP)-0.0)-xi0d_VDI_SI_VSI_BP));
#endif
Dd_VGP_SI=((delta_nd_VGP_SI*((((1.0/Ed)-x_d)-1.0)-xi0d))+(delta_nd*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)));
#if defined(_DERIVATE2)
  Dd_VGP_SI_VDI_SI=(+delta_nd_VGP_SI_VDI_SI*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VGP_SI*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)+delta_nd_VDI_SI*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VDI_SI+0.0*Ed_VGP_SI+1.0*Ed_VGP_SI_VDI_SI)/Ed/Ed+2*1.0*Ed_VGP_SI*Ed_VDI_SI/Ed/Ed/Ed)-x_d_VGP_SI_VDI_SI)-0.0)-xi0d_VGP_SI_VDI_SI));
  Dd_VGP_SI_VGP_SI=(+delta_nd_VGP_SI_VGP_SI*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VGP_SI*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)+delta_nd_VGP_SI*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VGP_SI+0.0*Ed_VGP_SI+1.0*Ed_VGP_SI_VGP_SI)/Ed/Ed+2*1.0*Ed_VGP_SI*Ed_VGP_SI/Ed/Ed/Ed)-x_d_VGP_SI_VGP_SI)-0.0)-xi0d_VGP_SI_VGP_SI));
  Dd_VGP_SI_VSI_BP=(+delta_nd_VGP_SI_VSI_BP*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VGP_SI*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)+delta_nd_VSI_BP*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VSI_BP+0.0*Ed_VGP_SI+1.0*Ed_VGP_SI_VSI_BP)/Ed/Ed+2*1.0*Ed_VGP_SI*Ed_VSI_BP/Ed/Ed/Ed)-x_d_VGP_SI_VSI_BP)-0.0)-xi0d_VGP_SI_VSI_BP));
#endif
Dd_VSI_BP=((delta_nd_VSI_BP*((((1.0/Ed)-x_d)-1.0)-xi0d))+(delta_nd*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)));
#if defined(_DERIVATE2)
  Dd_VSI_BP_VDI_SI=(+delta_nd_VSI_BP_VDI_SI*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VSI_BP*(((-Ed_VDI_SI/Ed/Ed)-x_d_VDI_SI)-xi0d_VDI_SI)+delta_nd_VDI_SI*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VDI_SI+0.0*Ed_VSI_BP+1.0*Ed_VSI_BP_VDI_SI)/Ed/Ed+2*1.0*Ed_VSI_BP*Ed_VDI_SI/Ed/Ed/Ed)-x_d_VSI_BP_VDI_SI)-0.0)-xi0d_VSI_BP_VDI_SI));
  Dd_VSI_BP_VGP_SI=(+delta_nd_VSI_BP_VGP_SI*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VSI_BP*(((-Ed_VGP_SI/Ed/Ed)-x_d_VGP_SI)-xi0d_VGP_SI)+delta_nd_VGP_SI*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VGP_SI+0.0*Ed_VSI_BP+1.0*Ed_VSI_BP_VGP_SI)/Ed/Ed+2*1.0*Ed_VSI_BP*Ed_VGP_SI/Ed/Ed/Ed)-x_d_VSI_BP_VGP_SI)-0.0)-xi0d_VSI_BP_VGP_SI));
  Dd_VSI_BP_VSI_BP=(+delta_nd_VSI_BP_VSI_BP*((((1.0/Ed)-x_d)-1.0)-xi0d)+delta_nd_VSI_BP*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)+delta_nd_VSI_BP*(((-Ed_VSI_BP/Ed/Ed)-x_d_VSI_BP)-xi0d_VSI_BP)+delta_nd*(+(+(+(0.0/Ed-(0.0*Ed_VSI_BP+0.0*Ed_VSI_BP+1.0*Ed_VSI_BP_VSI_BP)/Ed/Ed+2*1.0*Ed_VSI_BP*Ed_VSI_BP/Ed/Ed/Ed)-x_d_VSI_BP_VSI_BP)-0.0)-xi0d_VSI_BP_VSI_BP));
#endif
#endif
Dd=(delta_nd*((((1.0/Ed)-x_d)-1.0)-xi0d));
EXIT_IF_ISNAN((delta_nd*((((1.0/Ed)-x_d)-1.0)-xi0d)))
}
}
else
{
if
((x_d>(xn_d-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,(x_d-xn_d))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(x_d_VGP_SI-xn_d_VGP_SI)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(m20_exp((x_d-xn_d))*(x_d_VGP_SI-xn_d_VGP_SI)*(x_d_VGP_SI-xn_d_VGP_SI)+d10_exp0*(+x_d_VGP_SI_VGP_SI-xn_d_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(m20_exp((x_d-xn_d))*(x_d_VDI_SI-xn_d_VDI_SI)*(x_d_VGP_SI-xn_d_VGP_SI)+d10_exp0*(+x_d_VGP_SI_VDI_SI-xn_d_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(m20_exp((x_d-xn_d))*(x_d_VSI_BP-xn_d_VSI_BP)*(x_d_VGP_SI-xn_d_VGP_SI)+d10_exp0*(+x_d_VGP_SI_VSI_BP-xn_d_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=(x_d_VDI_SI-xn_d_VDI_SI)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(m20_exp((x_d-xn_d))*(x_d_VGP_SI-xn_d_VGP_SI)*(x_d_VDI_SI-xn_d_VDI_SI)+d10_exp0*(+x_d_VDI_SI_VGP_SI-xn_d_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(m20_exp((x_d-xn_d))*(x_d_VDI_SI-xn_d_VDI_SI)*(x_d_VDI_SI-xn_d_VDI_SI)+d10_exp0*(+x_d_VDI_SI_VDI_SI-xn_d_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(m20_exp((x_d-xn_d))*(x_d_VSI_BP-xn_d_VSI_BP)*(x_d_VDI_SI-xn_d_VDI_SI)+d10_exp0*(+x_d_VDI_SI_VSI_BP-xn_d_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=(x_d_VSI_BP-xn_d_VSI_BP)*d10_exp0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(m20_exp((x_d-xn_d))*(x_d_VGP_SI-xn_d_VGP_SI)*(x_d_VSI_BP-xn_d_VSI_BP)+d10_exp0*(+x_d_VSI_BP_VGP_SI-xn_d_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(m20_exp((x_d-xn_d))*(x_d_VDI_SI-xn_d_VDI_SI)*(x_d_VSI_BP-xn_d_VSI_BP)+d10_exp0*(+x_d_VSI_BP_VDI_SI-xn_d_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(m20_exp((x_d-xn_d))*(x_d_VSI_BP-xn_d_VSI_BP)*(x_d_VSI_BP-xn_d_VSI_BP)+d10_exp0*(+x_d_VSI_BP_VSI_BP-xn_d_VSI_BP_VSI_BP));
#endif
#endif
temp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ed_VDI_SI=((delta_nd_VDI_SI*temp-delta_nd*temp_VDI_SI)/temp/temp);
#if defined(_DERIVATE2)
  Ed_VDI_SI_VDI_SI=(delta_nd_VDI_SI_VDI_SI/temp-(delta_nd_VDI_SI*temp_VDI_SI+delta_nd_VDI_SI*temp_VDI_SI+delta_nd*temp_VDI_SI_VDI_SI)/temp/temp+2*delta_nd*temp_VDI_SI*temp_VDI_SI/temp/temp/temp);
  Ed_VDI_SI_VGP_SI=(delta_nd_VDI_SI_VGP_SI/temp-(delta_nd_VDI_SI*temp_VGP_SI+delta_nd_VGP_SI*temp_VDI_SI+delta_nd*temp_VDI_SI_VGP_SI)/temp/temp+2*delta_nd*temp_VDI_SI*temp_VGP_SI/temp/temp/temp);
  Ed_VDI_SI_VSI_BP=(delta_nd_VDI_SI_VSI_BP/temp-(delta_nd_VDI_SI*temp_VSI_BP+delta_nd_VSI_BP*temp_VDI_SI+delta_nd*temp_VDI_SI_VSI_BP)/temp/temp+2*delta_nd*temp_VDI_SI*temp_VSI_BP/temp/temp/temp);
#endif
Ed_VGP_SI=((delta_nd_VGP_SI*temp-delta_nd*temp_VGP_SI)/temp/temp);
#if defined(_DERIVATE2)
  Ed_VGP_SI_VDI_SI=(delta_nd_VGP_SI_VDI_SI/temp-(delta_nd_VGP_SI*temp_VDI_SI+delta_nd_VDI_SI*temp_VGP_SI+delta_nd*temp_VGP_SI_VDI_SI)/temp/temp+2*delta_nd*temp_VGP_SI*temp_VDI_SI/temp/temp/temp);
  Ed_VGP_SI_VGP_SI=(delta_nd_VGP_SI_VGP_SI/temp-(delta_nd_VGP_SI*temp_VGP_SI+delta_nd_VGP_SI*temp_VGP_SI+delta_nd*temp_VGP_SI_VGP_SI)/temp/temp+2*delta_nd*temp_VGP_SI*temp_VGP_SI/temp/temp/temp);
  Ed_VGP_SI_VSI_BP=(delta_nd_VGP_SI_VSI_BP/temp-(delta_nd_VGP_SI*temp_VSI_BP+delta_nd_VSI_BP*temp_VGP_SI+delta_nd*temp_VGP_SI_VSI_BP)/temp/temp+2*delta_nd*temp_VGP_SI*temp_VSI_BP/temp/temp/temp);
#endif
Ed_VSI_BP=((delta_nd_VSI_BP*temp-delta_nd*temp_VSI_BP)/temp/temp);
#if defined(_DERIVATE2)
  Ed_VSI_BP_VDI_SI=(delta_nd_VSI_BP_VDI_SI/temp-(delta_nd_VSI_BP*temp_VDI_SI+delta_nd_VDI_SI*temp_VSI_BP+delta_nd*temp_VSI_BP_VDI_SI)/temp/temp+2*delta_nd*temp_VSI_BP*temp_VDI_SI/temp/temp/temp);
  Ed_VSI_BP_VGP_SI=(delta_nd_VSI_BP_VGP_SI/temp-(delta_nd_VSI_BP*temp_VGP_SI+delta_nd_VGP_SI*temp_VSI_BP+delta_nd*temp_VSI_BP_VGP_SI)/temp/temp+2*delta_nd*temp_VSI_BP*temp_VGP_SI/temp/temp/temp);
  Ed_VSI_BP_VSI_BP=(delta_nd_VSI_BP_VSI_BP/temp-(delta_nd_VSI_BP*temp_VSI_BP+delta_nd_VSI_BP*temp_VSI_BP+delta_nd*temp_VSI_BP_VSI_BP)/temp/temp+2*delta_nd*temp_VSI_BP*temp_VSI_BP/temp/temp/temp);
#endif
#endif
Ed=(delta_nd/temp);
EXIT_IF_ISNAN((delta_nd/temp))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dd_VDI_SI=(temp_VDI_SI-((delta_nd_VDI_SI*((x_d+1.0)+xi0d))+(delta_nd*(x_d_VDI_SI+xi0d_VDI_SI))));
#if defined(_DERIVATE2)
  Dd_VDI_SI_VDI_SI=(+temp_VDI_SI_VDI_SI-(+delta_nd_VDI_SI_VDI_SI*((x_d+1.0)+xi0d)+delta_nd_VDI_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd_VDI_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd*(+(+x_d_VDI_SI_VDI_SI+0.0)+xi0d_VDI_SI_VDI_SI)));
  Dd_VDI_SI_VGP_SI=(+temp_VDI_SI_VGP_SI-(+delta_nd_VDI_SI_VGP_SI*((x_d+1.0)+xi0d)+delta_nd_VDI_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd_VGP_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd*(+(+x_d_VDI_SI_VGP_SI+0.0)+xi0d_VDI_SI_VGP_SI)));
  Dd_VDI_SI_VSI_BP=(+temp_VDI_SI_VSI_BP-(+delta_nd_VDI_SI_VSI_BP*((x_d+1.0)+xi0d)+delta_nd_VDI_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd_VSI_BP*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd*(+(+x_d_VDI_SI_VSI_BP+0.0)+xi0d_VDI_SI_VSI_BP)));
#endif
Dd_VGP_SI=(temp_VGP_SI-((delta_nd_VGP_SI*((x_d+1.0)+xi0d))+(delta_nd*(x_d_VGP_SI+xi0d_VGP_SI))));
#if defined(_DERIVATE2)
  Dd_VGP_SI_VDI_SI=(+temp_VGP_SI_VDI_SI-(+delta_nd_VGP_SI_VDI_SI*((x_d+1.0)+xi0d)+delta_nd_VGP_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd_VDI_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd*(+(+x_d_VGP_SI_VDI_SI+0.0)+xi0d_VGP_SI_VDI_SI)));
  Dd_VGP_SI_VGP_SI=(+temp_VGP_SI_VGP_SI-(+delta_nd_VGP_SI_VGP_SI*((x_d+1.0)+xi0d)+delta_nd_VGP_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd_VGP_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd*(+(+x_d_VGP_SI_VGP_SI+0.0)+xi0d_VGP_SI_VGP_SI)));
  Dd_VGP_SI_VSI_BP=(+temp_VGP_SI_VSI_BP-(+delta_nd_VGP_SI_VSI_BP*((x_d+1.0)+xi0d)+delta_nd_VGP_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd_VSI_BP*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd*(+(+x_d_VGP_SI_VSI_BP+0.0)+xi0d_VGP_SI_VSI_BP)));
#endif
Dd_VSI_BP=(temp_VSI_BP-((delta_nd_VSI_BP*((x_d+1.0)+xi0d))+(delta_nd*(x_d_VSI_BP+xi0d_VSI_BP))));
#if defined(_DERIVATE2)
  Dd_VSI_BP_VDI_SI=(+temp_VSI_BP_VDI_SI-(+delta_nd_VSI_BP_VDI_SI*((x_d+1.0)+xi0d)+delta_nd_VSI_BP*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd_VDI_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd*(+(+x_d_VSI_BP_VDI_SI+0.0)+xi0d_VSI_BP_VDI_SI)));
  Dd_VSI_BP_VGP_SI=(+temp_VSI_BP_VGP_SI-(+delta_nd_VSI_BP_VGP_SI*((x_d+1.0)+xi0d)+delta_nd_VSI_BP*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd_VGP_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd*(+(+x_d_VSI_BP_VGP_SI+0.0)+xi0d_VSI_BP_VGP_SI)));
  Dd_VSI_BP_VSI_BP=(+temp_VSI_BP_VSI_BP-(+delta_nd_VSI_BP_VSI_BP*((x_d+1.0)+xi0d)+delta_nd_VSI_BP*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd_VSI_BP*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd*(+(+x_d_VSI_BP_VSI_BP+0.0)+xi0d_VSI_BP_VSI_BP)));
#endif
#endif
Dd=(temp-(delta_nd*((x_d+1.0)+xi0d)));
EXIT_IF_ISNAN((temp-(delta_nd*((x_d+1.0)+xi0d))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Ed_VDI_SI=(-1.0e-100*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Ed_VDI_SI_VDI_SI=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VDI_SI_VDI_SI-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VDI_SI*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01))))))+x_d_VDI_SI*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01))))+0.0*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_d_VDI_SI_VDI_SI-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VDI_SI*(x_d_VDI_SI*3.3333333333333333e-01)+x_d_VDI_SI*x_d_VDI_SI*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VDI_SI_VDI_SI-0.0)*3.3333333333333333e-01+x_d_VDI_SI*0.0+x_d_VDI_SI*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))*(((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Ed_VDI_SI_VGP_SI=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VDI_SI_VGP_SI-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VDI_SI*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01))))))+x_d_VGP_SI*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01))))+0.0*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_d_VDI_SI_VGP_SI-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VDI_SI*(x_d_VGP_SI*3.3333333333333333e-01)+x_d_VGP_SI*x_d_VDI_SI*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VDI_SI_VGP_SI-0.0)*3.3333333333333333e-01+x_d_VDI_SI*0.0+x_d_VGP_SI*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))*(((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Ed_VDI_SI_VSI_BP=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VDI_SI_VSI_BP-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VDI_SI*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01))))))+x_d_VSI_BP*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01))))+0.0*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01))+0.5*(+(+x_d_VDI_SI_VSI_BP-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VDI_SI*(x_d_VSI_BP*3.3333333333333333e-01)+x_d_VSI_BP*x_d_VDI_SI*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VDI_SI_VSI_BP-0.0)*3.3333333333333333e-01+x_d_VDI_SI*0.0+x_d_VSI_BP*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VDI_SI*3.3333333333333333e-01)))))*(((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
Ed_VGP_SI=(-1.0e-100*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Ed_VGP_SI_VDI_SI=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VGP_SI_VDI_SI-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VGP_SI*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01))))))+x_d_VDI_SI*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01))))+0.0*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_d_VGP_SI_VDI_SI-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VGP_SI*(x_d_VDI_SI*3.3333333333333333e-01)+x_d_VDI_SI*x_d_VGP_SI*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VGP_SI_VDI_SI-0.0)*3.3333333333333333e-01+x_d_VGP_SI*0.0+x_d_VDI_SI*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))*(((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Ed_VGP_SI_VGP_SI=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VGP_SI_VGP_SI-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VGP_SI*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01))))))+x_d_VGP_SI*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01))))+0.0*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_d_VGP_SI_VGP_SI-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VGP_SI*(x_d_VGP_SI*3.3333333333333333e-01)+x_d_VGP_SI*x_d_VGP_SI*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VGP_SI_VGP_SI-0.0)*3.3333333333333333e-01+x_d_VGP_SI*0.0+x_d_VGP_SI*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))*(((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Ed_VGP_SI_VSI_BP=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VGP_SI_VSI_BP-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VGP_SI*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01))))))+x_d_VSI_BP*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01))))+0.0*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01))+0.5*(+(+x_d_VGP_SI_VSI_BP-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VGP_SI*(x_d_VSI_BP*3.3333333333333333e-01)+x_d_VSI_BP*x_d_VGP_SI*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VGP_SI_VSI_BP-0.0)*3.3333333333333333e-01+x_d_VGP_SI*0.0+x_d_VSI_BP*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VGP_SI*3.3333333333333333e-01)))))*(((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
Ed_VSI_BP=(-1.0e-100*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  Ed_VSI_BP_VDI_SI=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01)))))))))+0.0*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VSI_BP_VDI_SI-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VSI_BP*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01))))))+x_d_VDI_SI*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01))))+0.0*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_d_VSI_BP_VDI_SI-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VSI_BP*(x_d_VDI_SI*3.3333333333333333e-01)+x_d_VDI_SI*x_d_VSI_BP*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VSI_BP_VDI_SI-0.0)*3.3333333333333333e-01+x_d_VSI_BP*0.0+x_d_VDI_SI*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))*(((x_d_VDI_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VDI_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VDI_SI*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Ed_VSI_BP_VGP_SI=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01)))))))))+0.0*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VSI_BP_VGP_SI-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VSI_BP*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01))))))+x_d_VGP_SI*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01))))+0.0*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_d_VSI_BP_VGP_SI-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VSI_BP*(x_d_VGP_SI*3.3333333333333333e-01)+x_d_VGP_SI*x_d_VSI_BP*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VSI_BP_VGP_SI-0.0)*3.3333333333333333e-01+x_d_VSI_BP*0.0+x_d_VGP_SI*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))*(((x_d_VGP_SI*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VGP_SI*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VGP_SI*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  Ed_VSI_BP_VSI_BP=(0.0/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*(((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01)))))))))+0.0*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+x_d_VSI_BP_VSI_BP-0.0)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))+x_d_VSI_BP*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01))))))+x_d_VSI_BP*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))+(x_d-2.3025850929940458e+02)*(+0.0+(+0.0*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01))))+0.0*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01))+0.5*(+(+x_d_VSI_BP_VSI_BP-0.0)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))+x_d_VSI_BP*(x_d_VSI_BP*3.3333333333333333e-01)+x_d_VSI_BP*x_d_VSI_BP*3.3333333333333333e-01+(x_d-2.3025850929940458e+02)*(+0.0+(+(+x_d_VSI_BP_VSI_BP-0.0)*3.3333333333333333e-01+x_d_VSI_BP*0.0+x_d_VSI_BP*0.0+(x_d-2.3025850929940458e+02)*0.0))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*(0.5*((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*x_d_VSI_BP*3.3333333333333333e-01)))))*(((x_d_VSI_BP*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((x_d-2.3025850929940458e+02)*((0.5*(((x_d_VSI_BP*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))+((x_d-2.3025850929940458e+02)*(x_d_VSI_BP*3.3333333333333333e-01)))))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
Ed=(1.0e-100/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-1.0e-100*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VGP_SI_VGP_SI-x_d_VGP_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VGP_SI-x_d_VGP_SI)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))))))+(xn_d_VGP_SI-x_d_VGP_SI)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VGP_SI_VGP_SI-x_d_VGP_SI_VGP_SI)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VGP_SI-x_d_VGP_SI)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)+(xn_d_VGP_SI-x_d_VGP_SI)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VGP_SI_VGP_SI-x_d_VGP_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_d_VGP_SI-x_d_VGP_SI)*0.0+(xn_d_VGP_SI-x_d_VGP_SI)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  temp_VGP_SI_VDI_SI=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VGP_SI_VDI_SI-x_d_VGP_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VGP_SI-x_d_VGP_SI)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))))))+(xn_d_VDI_SI-x_d_VDI_SI)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VGP_SI_VDI_SI-x_d_VGP_SI_VDI_SI)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VGP_SI-x_d_VGP_SI)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)+(xn_d_VDI_SI-x_d_VDI_SI)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VGP_SI_VDI_SI-x_d_VGP_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_d_VGP_SI-x_d_VGP_SI)*0.0+(xn_d_VDI_SI-x_d_VDI_SI)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  temp_VGP_SI_VSI_BP=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VGP_SI_VSI_BP-x_d_VGP_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VGP_SI-x_d_VGP_SI)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))))))+(xn_d_VSI_BP-x_d_VSI_BP)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VGP_SI_VSI_BP-x_d_VGP_SI_VSI_BP)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VGP_SI-x_d_VGP_SI)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)+(xn_d_VSI_BP-x_d_VSI_BP)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VGP_SI_VSI_BP-x_d_VGP_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_d_VGP_SI-x_d_VGP_SI)*0.0+(xn_d_VSI_BP-x_d_VSI_BP)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
temp_VDI_SI=(-1.0e-100*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VDI_SI_VGP_SI-x_d_VDI_SI_VGP_SI)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VDI_SI-x_d_VDI_SI)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))))))+(xn_d_VGP_SI-x_d_VGP_SI)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VDI_SI_VGP_SI-x_d_VDI_SI_VGP_SI)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VDI_SI-x_d_VDI_SI)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)+(xn_d_VGP_SI-x_d_VGP_SI)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VDI_SI_VGP_SI-x_d_VDI_SI_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_d_VDI_SI-x_d_VDI_SI)*0.0+(xn_d_VGP_SI-x_d_VGP_SI)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  temp_VDI_SI_VDI_SI=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VDI_SI_VDI_SI-x_d_VDI_SI_VDI_SI)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VDI_SI-x_d_VDI_SI)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))))))+(xn_d_VDI_SI-x_d_VDI_SI)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VDI_SI_VDI_SI-x_d_VDI_SI_VDI_SI)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VDI_SI-x_d_VDI_SI)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)+(xn_d_VDI_SI-x_d_VDI_SI)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VDI_SI_VDI_SI-x_d_VDI_SI_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_d_VDI_SI-x_d_VDI_SI)*0.0+(xn_d_VDI_SI-x_d_VDI_SI)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  temp_VDI_SI_VSI_BP=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VDI_SI_VSI_BP-x_d_VDI_SI_VSI_BP)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VDI_SI-x_d_VDI_SI)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))))))+(xn_d_VSI_BP-x_d_VSI_BP)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VDI_SI_VSI_BP-x_d_VDI_SI_VSI_BP)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VDI_SI-x_d_VDI_SI)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)+(xn_d_VSI_BP-x_d_VSI_BP)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VDI_SI_VSI_BP-x_d_VDI_SI_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_d_VDI_SI-x_d_VDI_SI)*0.0+(xn_d_VSI_BP-x_d_VSI_BP)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
temp_VSI_BP=(-1.0e-100*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VSI_BP_VGP_SI-x_d_VSI_BP_VGP_SI)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VSI_BP-x_d_VSI_BP)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))))))+(xn_d_VGP_SI-x_d_VGP_SI)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VSI_BP_VGP_SI-x_d_VSI_BP_VGP_SI)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VSI_BP-x_d_VSI_BP)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)+(xn_d_VGP_SI-x_d_VGP_SI)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VSI_BP_VGP_SI-x_d_VSI_BP_VGP_SI)-0.0)*3.3333333333333333e-01+(xn_d_VSI_BP-x_d_VSI_BP)*0.0+(xn_d_VGP_SI-x_d_VGP_SI)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VGP_SI-x_d_VGP_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VGP_SI-x_d_VGP_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  temp_VSI_BP_VDI_SI=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VSI_BP_VDI_SI-x_d_VSI_BP_VDI_SI)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VSI_BP-x_d_VSI_BP)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))))))+(xn_d_VDI_SI-x_d_VDI_SI)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01))))+0.0*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VSI_BP_VDI_SI-x_d_VSI_BP_VDI_SI)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VSI_BP-x_d_VSI_BP)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)+(xn_d_VDI_SI-x_d_VDI_SI)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VSI_BP_VDI_SI-x_d_VSI_BP_VDI_SI)-0.0)*3.3333333333333333e-01+(xn_d_VSI_BP-x_d_VSI_BP)*0.0+(xn_d_VDI_SI-x_d_VDI_SI)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VDI_SI-x_d_VDI_SI)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VDI_SI-x_d_VDI_SI)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
  temp_VSI_BP_VSI_BP=(0.0/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))-(0.0*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))))))+0.0*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+(+xn_d_VSI_BP_VSI_BP-x_d_VSI_BP_VSI_BP)-0.0)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(xn_d_VSI_BP-x_d_VSI_BP)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))))))+(xn_d_VSI_BP-x_d_VSI_BP)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+0.0*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))))+0.0*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01))+0.5*(+(+(+xn_d_VSI_BP_VSI_BP-x_d_VSI_BP_VSI_BP)-0.0)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))+(xn_d_VSI_BP-x_d_VSI_BP)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)+(xn_d_VSI_BP-x_d_VSI_BP)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01+((xn_d-x_d)-2.3025850929940458e+02)*(+0.0+(+(+(+xn_d_VSI_BP_VSI_BP-x_d_VSI_BP_VSI_BP)-0.0)*3.3333333333333333e-01+(xn_d_VSI_BP-x_d_VSI_BP)*0.0+(xn_d_VSI_BP-x_d_VSI_BP)*0.0+((xn_d-x_d)-2.3025850929940458e+02)*0.0))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+2*1.0e-100*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*(0.5*(((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*(xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((xn_d-x_d)-2.3025850929940458e+02)*((0.5*((((xn_d_VSI_BP-x_d_VSI_BP)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((xn_d-x_d)-2.3025850929940458e+02)*((xn_d_VSI_BP-x_d_VSI_BP)*3.3333333333333333e-01)))))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
#endif
#endif
temp=(1.0e-100/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dd_VDI_SI=(temp_VDI_SI-((delta_nd_VDI_SI*((x_d+1.0)+xi0d))+(delta_nd*(x_d_VDI_SI+xi0d_VDI_SI))));
#if defined(_DERIVATE2)
  Dd_VDI_SI_VDI_SI=(+temp_VDI_SI_VDI_SI-(+delta_nd_VDI_SI_VDI_SI*((x_d+1.0)+xi0d)+delta_nd_VDI_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd_VDI_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd*(+(+x_d_VDI_SI_VDI_SI+0.0)+xi0d_VDI_SI_VDI_SI)));
  Dd_VDI_SI_VGP_SI=(+temp_VDI_SI_VGP_SI-(+delta_nd_VDI_SI_VGP_SI*((x_d+1.0)+xi0d)+delta_nd_VDI_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd_VGP_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd*(+(+x_d_VDI_SI_VGP_SI+0.0)+xi0d_VDI_SI_VGP_SI)));
  Dd_VDI_SI_VSI_BP=(+temp_VDI_SI_VSI_BP-(+delta_nd_VDI_SI_VSI_BP*((x_d+1.0)+xi0d)+delta_nd_VDI_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd_VSI_BP*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd*(+(+x_d_VDI_SI_VSI_BP+0.0)+xi0d_VDI_SI_VSI_BP)));
#endif
Dd_VGP_SI=(temp_VGP_SI-((delta_nd_VGP_SI*((x_d+1.0)+xi0d))+(delta_nd*(x_d_VGP_SI+xi0d_VGP_SI))));
#if defined(_DERIVATE2)
  Dd_VGP_SI_VDI_SI=(+temp_VGP_SI_VDI_SI-(+delta_nd_VGP_SI_VDI_SI*((x_d+1.0)+xi0d)+delta_nd_VGP_SI*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd_VDI_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd*(+(+x_d_VGP_SI_VDI_SI+0.0)+xi0d_VGP_SI_VDI_SI)));
  Dd_VGP_SI_VGP_SI=(+temp_VGP_SI_VGP_SI-(+delta_nd_VGP_SI_VGP_SI*((x_d+1.0)+xi0d)+delta_nd_VGP_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd_VGP_SI*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd*(+(+x_d_VGP_SI_VGP_SI+0.0)+xi0d_VGP_SI_VGP_SI)));
  Dd_VGP_SI_VSI_BP=(+temp_VGP_SI_VSI_BP-(+delta_nd_VGP_SI_VSI_BP*((x_d+1.0)+xi0d)+delta_nd_VGP_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd_VSI_BP*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd*(+(+x_d_VGP_SI_VSI_BP+0.0)+xi0d_VGP_SI_VSI_BP)));
#endif
Dd_VSI_BP=(temp_VSI_BP-((delta_nd_VSI_BP*((x_d+1.0)+xi0d))+(delta_nd*(x_d_VSI_BP+xi0d_VSI_BP))));
#if defined(_DERIVATE2)
  Dd_VSI_BP_VDI_SI=(+temp_VSI_BP_VDI_SI-(+delta_nd_VSI_BP_VDI_SI*((x_d+1.0)+xi0d)+delta_nd_VSI_BP*(x_d_VDI_SI+xi0d_VDI_SI)+delta_nd_VDI_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd*(+(+x_d_VSI_BP_VDI_SI+0.0)+xi0d_VSI_BP_VDI_SI)));
  Dd_VSI_BP_VGP_SI=(+temp_VSI_BP_VGP_SI-(+delta_nd_VSI_BP_VGP_SI*((x_d+1.0)+xi0d)+delta_nd_VSI_BP*(x_d_VGP_SI+xi0d_VGP_SI)+delta_nd_VGP_SI*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd*(+(+x_d_VSI_BP_VGP_SI+0.0)+xi0d_VSI_BP_VGP_SI)));
  Dd_VSI_BP_VSI_BP=(+temp_VSI_BP_VSI_BP-(+delta_nd_VSI_BP_VSI_BP*((x_d+1.0)+xi0d)+delta_nd_VSI_BP*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd_VSI_BP*(x_d_VSI_BP+xi0d_VSI_BP)+delta_nd*(+(+x_d_VSI_BP_VSI_BP+0.0)+xi0d_VSI_BP_VSI_BP)));
#endif
#endif
Dd=(temp-(delta_nd*((x_d+1.0)+xi0d)));
EXIT_IF_ISNAN((temp-(delta_nd*((x_d+1.0)+xi0d))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
x_m_VDI_SI=(0.5*(x_s_VDI_SI+x_d_VDI_SI));
#if defined(_DERIVATE2)
  x_m_VDI_SI_VDI_SI=(+0.0*(x_s+x_d)+0.0*(x_s_VDI_SI+x_d_VDI_SI)+0.0*(x_s_VDI_SI+x_d_VDI_SI)+0.5*(+x_s_VDI_SI_VDI_SI+x_d_VDI_SI_VDI_SI));
  x_m_VDI_SI_VGP_SI=(+0.0*(x_s+x_d)+0.0*(x_s_VGP_SI+x_d_VGP_SI)+0.0*(x_s_VDI_SI+x_d_VDI_SI)+0.5*(+x_s_VDI_SI_VGP_SI+x_d_VDI_SI_VGP_SI));
  x_m_VDI_SI_VSI_BP=(+0.0*(x_s+x_d)+0.0*(x_s_VSI_BP+x_d_VSI_BP)+0.0*(x_s_VDI_SI+x_d_VDI_SI)+0.5*(+x_s_VDI_SI_VSI_BP+x_d_VDI_SI_VSI_BP));
#endif
x_m_VGP_SI=(0.5*(x_s_VGP_SI+x_d_VGP_SI));
#if defined(_DERIVATE2)
  x_m_VGP_SI_VDI_SI=(+0.0*(x_s+x_d)+0.0*(x_s_VDI_SI+x_d_VDI_SI)+0.0*(x_s_VGP_SI+x_d_VGP_SI)+0.5*(+x_s_VGP_SI_VDI_SI+x_d_VGP_SI_VDI_SI));
  x_m_VGP_SI_VGP_SI=(+0.0*(x_s+x_d)+0.0*(x_s_VGP_SI+x_d_VGP_SI)+0.0*(x_s_VGP_SI+x_d_VGP_SI)+0.5*(+x_s_VGP_SI_VGP_SI+x_d_VGP_SI_VGP_SI));
  x_m_VGP_SI_VSI_BP=(+0.0*(x_s+x_d)+0.0*(x_s_VSI_BP+x_d_VSI_BP)+0.0*(x_s_VGP_SI+x_d_VGP_SI)+0.5*(+x_s_VGP_SI_VSI_BP+x_d_VGP_SI_VSI_BP));
#endif
x_m_VSI_BP=(0.5*(x_s_VSI_BP+x_d_VSI_BP));
#if defined(_DERIVATE2)
  x_m_VSI_BP_VDI_SI=(+0.0*(x_s+x_d)+0.0*(x_s_VDI_SI+x_d_VDI_SI)+0.0*(x_s_VSI_BP+x_d_VSI_BP)+0.5*(+x_s_VSI_BP_VDI_SI+x_d_VSI_BP_VDI_SI));
  x_m_VSI_BP_VGP_SI=(+0.0*(x_s+x_d)+0.0*(x_s_VGP_SI+x_d_VGP_SI)+0.0*(x_s_VSI_BP+x_d_VSI_BP)+0.5*(+x_s_VSI_BP_VGP_SI+x_d_VSI_BP_VGP_SI));
  x_m_VSI_BP_VSI_BP=(+0.0*(x_s+x_d)+0.0*(x_s_VSI_BP+x_d_VSI_BP)+0.0*(x_s_VSI_BP+x_d_VSI_BP)+0.5*(+x_s_VSI_BP_VSI_BP+x_d_VSI_BP_VSI_BP));
#endif
#endif
x_m=(0.5*(x_s+x_d));
EXIT_IF_ISNAN((0.5*(x_s+x_d)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Em_VDI_SI=0.0;
#if defined(_DERIVATE2)
  Em_VDI_SI_VDI_SI=0.0;
  Em_VDI_SI_VGP_SI=0.0;
  Em_VDI_SI_VSI_BP=0.0;
#endif
Em_VGP_SI=0.0;
#if defined(_DERIVATE2)
  Em_VGP_SI_VDI_SI=0.0;
  Em_VGP_SI_VGP_SI=0.0;
  Em_VGP_SI_VSI_BP=0.0;
#endif
Em_VSI_BP=0.0;
#if defined(_DERIVATE2)
  Em_VSI_BP_VDI_SI=0.0;
  Em_VSI_BP_VGP_SI=0.0;
  Em_VSI_BP_VSI_BP=0.0;
#endif
#endif
Em=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=((Ed_VGP_SI*Es)+(Ed*Es_VGP_SI));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+Ed_VGP_SI_VGP_SI*Es+Ed_VGP_SI*Es_VGP_SI+Ed_VGP_SI*Es_VGP_SI+Ed*Es_VGP_SI_VGP_SI);
  temp_VGP_SI_VDI_SI=(+Ed_VGP_SI_VDI_SI*Es+Ed_VGP_SI*Es_VDI_SI+Ed_VDI_SI*Es_VGP_SI+Ed*Es_VGP_SI_VDI_SI);
  temp_VGP_SI_VSI_BP=(+Ed_VGP_SI_VSI_BP*Es+Ed_VGP_SI*Es_VSI_BP+Ed_VSI_BP*Es_VGP_SI+Ed*Es_VGP_SI_VSI_BP);
#endif
temp_VDI_SI=((Ed_VDI_SI*Es)+(Ed*Es_VDI_SI));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+Ed_VDI_SI_VGP_SI*Es+Ed_VDI_SI*Es_VGP_SI+Ed_VGP_SI*Es_VDI_SI+Ed*Es_VDI_SI_VGP_SI);
  temp_VDI_SI_VDI_SI=(+Ed_VDI_SI_VDI_SI*Es+Ed_VDI_SI*Es_VDI_SI+Ed_VDI_SI*Es_VDI_SI+Ed*Es_VDI_SI_VDI_SI);
  temp_VDI_SI_VSI_BP=(+Ed_VDI_SI_VSI_BP*Es+Ed_VDI_SI*Es_VSI_BP+Ed_VSI_BP*Es_VDI_SI+Ed*Es_VDI_SI_VSI_BP);
#endif
temp_VSI_BP=((Ed_VSI_BP*Es)+(Ed*Es_VSI_BP));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+Ed_VSI_BP_VGP_SI*Es+Ed_VSI_BP*Es_VGP_SI+Ed_VGP_SI*Es_VSI_BP+Ed*Es_VSI_BP_VGP_SI);
  temp_VSI_BP_VDI_SI=(+Ed_VSI_BP_VDI_SI*Es+Ed_VSI_BP*Es_VDI_SI+Ed_VDI_SI*Es_VSI_BP+Ed*Es_VSI_BP_VDI_SI);
  temp_VSI_BP_VSI_BP=(+Ed_VSI_BP_VSI_BP*Es+Ed_VSI_BP*Es_VSI_BP+Ed_VSI_BP*Es_VSI_BP+Ed*Es_VSI_BP_VSI_BP);
#endif
#endif
temp=(Ed*Es);
EXIT_IF_ISNAN((Ed*Es))
if
((temp>0.0))
{
{
double m00_sqrt(d00_sqrt0,temp)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,temp)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Em_VDI_SI=temp_VDI_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  Em_VDI_SI_VDI_SI=(m20_sqrt(temp)*temp_VDI_SI*temp_VDI_SI+d10_sqrt0*temp_VDI_SI_VDI_SI);
  Em_VDI_SI_VGP_SI=(m20_sqrt(temp)*temp_VGP_SI*temp_VDI_SI+d10_sqrt0*temp_VDI_SI_VGP_SI);
  Em_VDI_SI_VSI_BP=(m20_sqrt(temp)*temp_VSI_BP*temp_VDI_SI+d10_sqrt0*temp_VDI_SI_VSI_BP);
#endif
Em_VGP_SI=temp_VGP_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  Em_VGP_SI_VDI_SI=(m20_sqrt(temp)*temp_VDI_SI*temp_VGP_SI+d10_sqrt0*temp_VGP_SI_VDI_SI);
  Em_VGP_SI_VGP_SI=(m20_sqrt(temp)*temp_VGP_SI*temp_VGP_SI+d10_sqrt0*temp_VGP_SI_VGP_SI);
  Em_VGP_SI_VSI_BP=(m20_sqrt(temp)*temp_VSI_BP*temp_VGP_SI+d10_sqrt0*temp_VGP_SI_VSI_BP);
#endif
Em_VSI_BP=temp_VSI_BP*d10_sqrt0;
#if defined(_DERIVATE2)
  Em_VSI_BP_VDI_SI=(m20_sqrt(temp)*temp_VDI_SI*temp_VSI_BP+d10_sqrt0*temp_VSI_BP_VDI_SI);
  Em_VSI_BP_VGP_SI=(m20_sqrt(temp)*temp_VGP_SI*temp_VSI_BP+d10_sqrt0*temp_VSI_BP_VGP_SI);
  Em_VSI_BP_VSI_BP=(m20_sqrt(temp)*temp_VSI_BP*temp_VSI_BP+d10_sqrt0*temp_VSI_BP_VSI_BP);
#endif
#endif
Em=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
D_bar_VDI_SI=(0.5*(Ds_VDI_SI+Dd_VDI_SI));
#if defined(_DERIVATE2)
  D_bar_VDI_SI_VDI_SI=(+0.0*(Ds+Dd)+0.0*(Ds_VDI_SI+Dd_VDI_SI)+0.0*(Ds_VDI_SI+Dd_VDI_SI)+0.5*(+Ds_VDI_SI_VDI_SI+Dd_VDI_SI_VDI_SI));
  D_bar_VDI_SI_VGP_SI=(+0.0*(Ds+Dd)+0.0*(Ds_VGP_SI+Dd_VGP_SI)+0.0*(Ds_VDI_SI+Dd_VDI_SI)+0.5*(+Ds_VDI_SI_VGP_SI+Dd_VDI_SI_VGP_SI));
  D_bar_VDI_SI_VSI_BP=(+0.0*(Ds+Dd)+0.0*(Ds_VSI_BP+Dd_VSI_BP)+0.0*(Ds_VDI_SI+Dd_VDI_SI)+0.5*(+Ds_VDI_SI_VSI_BP+Dd_VDI_SI_VSI_BP));
#endif
D_bar_VGP_SI=(0.5*(Ds_VGP_SI+Dd_VGP_SI));
#if defined(_DERIVATE2)
  D_bar_VGP_SI_VDI_SI=(+0.0*(Ds+Dd)+0.0*(Ds_VDI_SI+Dd_VDI_SI)+0.0*(Ds_VGP_SI+Dd_VGP_SI)+0.5*(+Ds_VGP_SI_VDI_SI+Dd_VGP_SI_VDI_SI));
  D_bar_VGP_SI_VGP_SI=(+0.0*(Ds+Dd)+0.0*(Ds_VGP_SI+Dd_VGP_SI)+0.0*(Ds_VGP_SI+Dd_VGP_SI)+0.5*(+Ds_VGP_SI_VGP_SI+Dd_VGP_SI_VGP_SI));
  D_bar_VGP_SI_VSI_BP=(+0.0*(Ds+Dd)+0.0*(Ds_VSI_BP+Dd_VSI_BP)+0.0*(Ds_VGP_SI+Dd_VGP_SI)+0.5*(+Ds_VGP_SI_VSI_BP+Dd_VGP_SI_VSI_BP));
#endif
D_bar_VSI_BP=(0.5*(Ds_VSI_BP+Dd_VSI_BP));
#if defined(_DERIVATE2)
  D_bar_VSI_BP_VDI_SI=(+0.0*(Ds+Dd)+0.0*(Ds_VDI_SI+Dd_VDI_SI)+0.0*(Ds_VSI_BP+Dd_VSI_BP)+0.5*(+Ds_VSI_BP_VDI_SI+Dd_VSI_BP_VDI_SI));
  D_bar_VSI_BP_VGP_SI=(+0.0*(Ds+Dd)+0.0*(Ds_VGP_SI+Dd_VGP_SI)+0.0*(Ds_VSI_BP+Dd_VSI_BP)+0.5*(+Ds_VSI_BP_VGP_SI+Dd_VSI_BP_VGP_SI));
  D_bar_VSI_BP_VSI_BP=(+0.0*(Ds+Dd)+0.0*(Ds_VSI_BP+Dd_VSI_BP)+0.0*(Ds_VSI_BP+Dd_VSI_BP)+0.5*(+Ds_VSI_BP_VSI_BP+Dd_VSI_BP_VSI_BP));
#endif
#endif
D_bar=(0.5*(Ds+Dd));
EXIT_IF_ISNAN((0.5*(Ds+Dd)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dm_VDI_SI=(D_bar_VDI_SI+(0.125*((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))))));
#if defined(_DERIVATE2)
  Dm_VDI_SI_VDI_SI=(+D_bar_VDI_SI_VDI_SI+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-((2.0*inv_Gf2_VDI_SI))))))+0.0*((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))))+0.125*(+(+x_ds_VDI_SI_VDI_SI*x_ds+x_ds_VDI_SI*x_ds_VDI_SI+x_ds_VDI_SI*x_ds_VDI_SI+x_ds*x_ds_VDI_SI_VDI_SI)*(Em-(2.0*inv_Gf2))+((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em_VDI_SI-((2.0*inv_Gf2_VDI_SI)))+(((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI)))*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))+(x_ds*x_ds)*(+Em_VDI_SI_VDI_SI-(+0.0*inv_Gf2+0.0*inv_Gf2_VDI_SI+0.0*inv_Gf2_VDI_SI+2.0*inv_Gf2_VDI_SI_VDI_SI)))));
  Dm_VDI_SI_VGP_SI=(+D_bar_VDI_SI_VGP_SI+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-((2.0*inv_Gf2_VGP_SI))))))+0.0*((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))))+0.125*(+(+x_ds_VDI_SI_VGP_SI*x_ds+x_ds_VDI_SI*x_ds_VGP_SI+x_ds_VGP_SI*x_ds_VDI_SI+x_ds*x_ds_VDI_SI_VGP_SI)*(Em-(2.0*inv_Gf2))+((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em_VGP_SI-((2.0*inv_Gf2_VGP_SI)))+(((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI)))*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))+(x_ds*x_ds)*(+Em_VDI_SI_VGP_SI-(+0.0*inv_Gf2+0.0*inv_Gf2_VGP_SI+0.0*inv_Gf2_VDI_SI+2.0*inv_Gf2_VDI_SI_VGP_SI)))));
  Dm_VDI_SI_VSI_BP=(+D_bar_VDI_SI_VSI_BP+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-((2.0*inv_Gf2_VSI_BP))))))+0.0*((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))))+0.125*(+(+x_ds_VDI_SI_VSI_BP*x_ds+x_ds_VDI_SI*x_ds_VSI_BP+x_ds_VSI_BP*x_ds_VDI_SI+x_ds*x_ds_VDI_SI_VSI_BP)*(Em-(2.0*inv_Gf2))+((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI))*(Em_VSI_BP-((2.0*inv_Gf2_VSI_BP)))+(((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP)))*(Em_VDI_SI-(2.0*inv_Gf2_VDI_SI))+(x_ds*x_ds)*(+Em_VDI_SI_VSI_BP-(+0.0*inv_Gf2+0.0*inv_Gf2_VSI_BP+0.0*inv_Gf2_VDI_SI+2.0*inv_Gf2_VDI_SI_VSI_BP)))));
#endif
Dm_VGP_SI=(D_bar_VGP_SI+(0.125*((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))))));
#if defined(_DERIVATE2)
  Dm_VGP_SI_VDI_SI=(+D_bar_VGP_SI_VDI_SI+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-((2.0*inv_Gf2_VDI_SI))))))+0.0*((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))))+0.125*(+(+x_ds_VGP_SI_VDI_SI*x_ds+x_ds_VGP_SI*x_ds_VDI_SI+x_ds_VDI_SI*x_ds_VGP_SI+x_ds*x_ds_VGP_SI_VDI_SI)*(Em-(2.0*inv_Gf2))+((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em_VDI_SI-((2.0*inv_Gf2_VDI_SI)))+(((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI)))*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))+(x_ds*x_ds)*(+Em_VGP_SI_VDI_SI-(+0.0*inv_Gf2+0.0*inv_Gf2_VDI_SI+0.0*inv_Gf2_VGP_SI+2.0*inv_Gf2_VGP_SI_VDI_SI)))));
  Dm_VGP_SI_VGP_SI=(+D_bar_VGP_SI_VGP_SI+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-((2.0*inv_Gf2_VGP_SI))))))+0.0*((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))))+0.125*(+(+x_ds_VGP_SI_VGP_SI*x_ds+x_ds_VGP_SI*x_ds_VGP_SI+x_ds_VGP_SI*x_ds_VGP_SI+x_ds*x_ds_VGP_SI_VGP_SI)*(Em-(2.0*inv_Gf2))+((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em_VGP_SI-((2.0*inv_Gf2_VGP_SI)))+(((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI)))*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))+(x_ds*x_ds)*(+Em_VGP_SI_VGP_SI-(+0.0*inv_Gf2+0.0*inv_Gf2_VGP_SI+0.0*inv_Gf2_VGP_SI+2.0*inv_Gf2_VGP_SI_VGP_SI)))));
  Dm_VGP_SI_VSI_BP=(+D_bar_VGP_SI_VSI_BP+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-((2.0*inv_Gf2_VSI_BP))))))+0.0*((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))))+0.125*(+(+x_ds_VGP_SI_VSI_BP*x_ds+x_ds_VGP_SI*x_ds_VSI_BP+x_ds_VSI_BP*x_ds_VGP_SI+x_ds*x_ds_VGP_SI_VSI_BP)*(Em-(2.0*inv_Gf2))+((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI))*(Em_VSI_BP-((2.0*inv_Gf2_VSI_BP)))+(((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP)))*(Em_VGP_SI-(2.0*inv_Gf2_VGP_SI))+(x_ds*x_ds)*(+Em_VGP_SI_VSI_BP-(+0.0*inv_Gf2+0.0*inv_Gf2_VSI_BP+0.0*inv_Gf2_VGP_SI+2.0*inv_Gf2_VGP_SI_VSI_BP)))));
#endif
Dm_VSI_BP=(D_bar_VSI_BP+(0.125*((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))))));
#if defined(_DERIVATE2)
  Dm_VSI_BP_VDI_SI=(+D_bar_VSI_BP_VDI_SI+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VDI_SI-((2.0*inv_Gf2_VDI_SI))))))+0.0*((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))))+0.125*(+(+x_ds_VSI_BP_VDI_SI*x_ds+x_ds_VSI_BP*x_ds_VDI_SI+x_ds_VDI_SI*x_ds_VSI_BP+x_ds*x_ds_VSI_BP_VDI_SI)*(Em-(2.0*inv_Gf2))+((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em_VDI_SI-((2.0*inv_Gf2_VDI_SI)))+(((x_ds_VDI_SI*x_ds)+(x_ds*x_ds_VDI_SI)))*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))+(x_ds*x_ds)*(+Em_VSI_BP_VDI_SI-(+0.0*inv_Gf2+0.0*inv_Gf2_VDI_SI+0.0*inv_Gf2_VSI_BP+2.0*inv_Gf2_VSI_BP_VDI_SI)))));
  Dm_VSI_BP_VGP_SI=(+D_bar_VSI_BP_VGP_SI+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VGP_SI-((2.0*inv_Gf2_VGP_SI))))))+0.0*((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))))+0.125*(+(+x_ds_VSI_BP_VGP_SI*x_ds+x_ds_VSI_BP*x_ds_VGP_SI+x_ds_VGP_SI*x_ds_VSI_BP+x_ds*x_ds_VSI_BP_VGP_SI)*(Em-(2.0*inv_Gf2))+((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em_VGP_SI-((2.0*inv_Gf2_VGP_SI)))+(((x_ds_VGP_SI*x_ds)+(x_ds*x_ds_VGP_SI)))*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))+(x_ds*x_ds)*(+Em_VSI_BP_VGP_SI-(+0.0*inv_Gf2+0.0*inv_Gf2_VGP_SI+0.0*inv_Gf2_VSI_BP+2.0*inv_Gf2_VSI_BP_VGP_SI)))));
  Dm_VSI_BP_VSI_BP=(+D_bar_VSI_BP_VSI_BP+(+0.0*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))+0.0*((((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP)))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-((2.0*inv_Gf2_VSI_BP))))))+0.0*((((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em-(2.0*inv_Gf2)))+((x_ds*x_ds)*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))))+0.125*(+(+x_ds_VSI_BP_VSI_BP*x_ds+x_ds_VSI_BP*x_ds_VSI_BP+x_ds_VSI_BP*x_ds_VSI_BP+x_ds*x_ds_VSI_BP_VSI_BP)*(Em-(2.0*inv_Gf2))+((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP))*(Em_VSI_BP-((2.0*inv_Gf2_VSI_BP)))+(((x_ds_VSI_BP*x_ds)+(x_ds*x_ds_VSI_BP)))*(Em_VSI_BP-(2.0*inv_Gf2_VSI_BP))+(x_ds*x_ds)*(+Em_VSI_BP_VSI_BP-(+0.0*inv_Gf2+0.0*inv_Gf2_VSI_BP+0.0*inv_Gf2_VSI_BP+2.0*inv_Gf2_VSI_BP_VSI_BP)))));
#endif
#endif
Dm=(D_bar+(0.125*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))));
EXIT_IF_ISNAN((D_bar+(0.125*((x_ds*x_ds)*(Em-(2.0*inv_Gf2))))))
if
((x_m<1.0e-5))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Pm_VDI_SI=(0.5*((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI)))))))));
#if defined(_DERIVATE2)
  Pm_VDI_SI_VDI_SI=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))))))))+0.0*((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))))+0.5*(+(+x_m_VDI_SI_VDI_SI*x_m+x_m_VDI_SI*x_m_VDI_SI+x_m_VDI_SI*x_m_VDI_SI+x_m*x_m_VDI_SI_VDI_SI)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI)))))))))+(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))+0.0*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))+3.3333333333333333e-01*(+x_m_VDI_SI_VDI_SI*(1.0-(0.25*x_m))+x_m_VDI_SI*(-((0.25*x_m_VDI_SI)))+x_m_VDI_SI*(-(0.25*x_m_VDI_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VDI_SI+0.25*x_m_VDI_SI_VDI_SI)))))));
  Pm_VDI_SI_VGP_SI=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))))))))+0.0*((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))))+0.5*(+(+x_m_VDI_SI_VGP_SI*x_m+x_m_VDI_SI*x_m_VGP_SI+x_m_VGP_SI*x_m_VDI_SI+x_m*x_m_VDI_SI_VGP_SI)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI)))))))))+(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))+0.0*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))+3.3333333333333333e-01*(+x_m_VDI_SI_VGP_SI*(1.0-(0.25*x_m))+x_m_VDI_SI*(-((0.25*x_m_VGP_SI)))+x_m_VGP_SI*(-(0.25*x_m_VDI_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VDI_SI+0.25*x_m_VDI_SI_VGP_SI)))))));
  Pm_VDI_SI_VSI_BP=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))))))))+0.0*((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))))+0.5*(+(+x_m_VDI_SI_VSI_BP*x_m+x_m_VDI_SI*x_m_VSI_BP+x_m_VSI_BP*x_m_VDI_SI+x_m*x_m_VDI_SI_VSI_BP)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP)))))))))+(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))+0.0*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))+3.3333333333333333e-01*(+x_m_VDI_SI_VSI_BP*(1.0-(0.25*x_m))+x_m_VDI_SI*(-((0.25*x_m_VSI_BP)))+x_m_VSI_BP*(-(0.25*x_m_VDI_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VDI_SI+0.25*x_m_VDI_SI_VSI_BP)))))));
#endif
Pm_VGP_SI=(0.5*((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI)))))))));
#if defined(_DERIVATE2)
  Pm_VGP_SI_VDI_SI=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))))))))+0.0*((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))))+0.5*(+(+x_m_VGP_SI_VDI_SI*x_m+x_m_VGP_SI*x_m_VDI_SI+x_m_VDI_SI*x_m_VGP_SI+x_m*x_m_VGP_SI_VDI_SI)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI)))))))))+(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))+0.0*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))+3.3333333333333333e-01*(+x_m_VGP_SI_VDI_SI*(1.0-(0.25*x_m))+x_m_VGP_SI*(-((0.25*x_m_VDI_SI)))+x_m_VDI_SI*(-(0.25*x_m_VGP_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VGP_SI+0.25*x_m_VGP_SI_VDI_SI)))))));
  Pm_VGP_SI_VGP_SI=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))))))))+0.0*((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))))+0.5*(+(+x_m_VGP_SI_VGP_SI*x_m+x_m_VGP_SI*x_m_VGP_SI+x_m_VGP_SI*x_m_VGP_SI+x_m*x_m_VGP_SI_VGP_SI)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI)))))))))+(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))+0.0*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))+3.3333333333333333e-01*(+x_m_VGP_SI_VGP_SI*(1.0-(0.25*x_m))+x_m_VGP_SI*(-((0.25*x_m_VGP_SI)))+x_m_VGP_SI*(-(0.25*x_m_VGP_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VGP_SI+0.25*x_m_VGP_SI_VGP_SI)))))));
  Pm_VGP_SI_VSI_BP=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))))))))+0.0*((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))))+0.5*(+(+x_m_VGP_SI_VSI_BP*x_m+x_m_VGP_SI*x_m_VSI_BP+x_m_VSI_BP*x_m_VGP_SI+x_m*x_m_VGP_SI_VSI_BP)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP)))))))))+(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))+0.0*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))+3.3333333333333333e-01*(+x_m_VGP_SI_VSI_BP*(1.0-(0.25*x_m))+x_m_VGP_SI*(-((0.25*x_m_VSI_BP)))+x_m_VSI_BP*(-(0.25*x_m_VGP_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VGP_SI+0.25*x_m_VGP_SI_VSI_BP)))))));
#endif
Pm_VSI_BP=(0.5*((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP)))))))));
#if defined(_DERIVATE2)
  Pm_VSI_BP_VDI_SI=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))))))))+0.0*((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))))+0.5*(+(+x_m_VSI_BP_VDI_SI*x_m+x_m_VSI_BP*x_m_VDI_SI+x_m_VDI_SI*x_m_VSI_BP+x_m*x_m_VSI_BP_VDI_SI)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI)))))))))+(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))+0.0*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))+3.3333333333333333e-01*(+x_m_VSI_BP_VDI_SI*(1.0-(0.25*x_m))+x_m_VSI_BP*(-((0.25*x_m_VDI_SI)))+x_m_VDI_SI*(-(0.25*x_m_VSI_BP))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VSI_BP+0.25*x_m_VSI_BP_VDI_SI)))))));
  Pm_VSI_BP_VGP_SI=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))))))))+0.0*((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))))+0.5*(+(+x_m_VSI_BP_VGP_SI*x_m+x_m_VSI_BP*x_m_VGP_SI+x_m_VGP_SI*x_m_VSI_BP+x_m*x_m_VSI_BP_VGP_SI)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI)))))))))+(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))+0.0*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))+3.3333333333333333e-01*(+x_m_VSI_BP_VGP_SI*(1.0-(0.25*x_m))+x_m_VSI_BP*(-((0.25*x_m_VGP_SI)))+x_m_VGP_SI*(-(0.25*x_m_VSI_BP))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VSI_BP+0.25*x_m_VSI_BP_VGP_SI)))))));
  Pm_VSI_BP_VSI_BP=(+0.0*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+0.0*((((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))))))))+0.0*((((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))+((x_m*x_m)*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))))+0.5*(+(+x_m_VSI_BP_VSI_BP*x_m+x_m_VSI_BP*x_m_VSI_BP+x_m_VSI_BP*x_m_VSI_BP+x_m*x_m_VSI_BP_VSI_BP)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))+((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP)))))))))+(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))+(x_m*x_m)*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))+0.0*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))+3.3333333333333333e-01*(+x_m_VSI_BP_VSI_BP*(1.0-(0.25*x_m))+x_m_VSI_BP*(-((0.25*x_m_VSI_BP)))+x_m_VSI_BP*(-(0.25*x_m_VSI_BP))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VSI_BP+0.25*x_m_VSI_BP_VSI_BP)))))));
#endif
#endif
Pm=(0.5*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))));
EXIT_IF_ISNAN((0.5*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))))
{
double m00_sqrt(d00_sqrt0,(Dm+Pm))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(Dm+Pm))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgm_VDI_SI=((Gf_VDI_SI*d00_sqrt0)+(Gf*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VDI_SI_VDI_SI=(+Gf_VDI_SI_VDI_SI*d00_sqrt0+Gf_VDI_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VDI_SI+Pm_VDI_SI_VDI_SI)));
  xgm_VDI_SI_VGP_SI=(+Gf_VDI_SI_VGP_SI*d00_sqrt0+Gf_VDI_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VGP_SI+Pm_VDI_SI_VGP_SI)));
  xgm_VDI_SI_VSI_BP=(+Gf_VDI_SI_VSI_BP*d00_sqrt0+Gf_VDI_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VSI_BP+Pm_VDI_SI_VSI_BP)));
#endif
xgm_VGP_SI=((Gf_VGP_SI*d00_sqrt0)+(Gf*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VGP_SI_VDI_SI=(+Gf_VGP_SI_VDI_SI*d00_sqrt0+Gf_VGP_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VDI_SI+Pm_VGP_SI_VDI_SI)));
  xgm_VGP_SI_VGP_SI=(+Gf_VGP_SI_VGP_SI*d00_sqrt0+Gf_VGP_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VGP_SI+Pm_VGP_SI_VGP_SI)));
  xgm_VGP_SI_VSI_BP=(+Gf_VGP_SI_VSI_BP*d00_sqrt0+Gf_VGP_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VSI_BP+Pm_VGP_SI_VSI_BP)));
#endif
xgm_VSI_BP=((Gf_VSI_BP*d00_sqrt0)+(Gf*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VSI_BP_VDI_SI=(+Gf_VSI_BP_VDI_SI*d00_sqrt0+Gf_VSI_BP*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VDI_SI+Pm_VSI_BP_VDI_SI)));
  xgm_VSI_BP_VGP_SI=(+Gf_VSI_BP_VGP_SI*d00_sqrt0+Gf_VSI_BP*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VGP_SI+Pm_VSI_BP_VGP_SI)));
  xgm_VSI_BP_VSI_BP=(+Gf_VSI_BP_VSI_BP*d00_sqrt0+Gf_VSI_BP*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VSI_BP+Pm_VSI_BP_VSI_BP)));
#endif
#endif
xgm=(Gf*d00_sqrt0);
EXIT_IF_ISNAN((Gf*d00_sqrt0))
}
if
((pInst->kp>0.0))
{
{
double m00_sqrt(d00_sqrt0,(1.0+(pInst->kp*xgm)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+(pInst->kp*xgm)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
eta_p_VDI_SI=(-(pInst->kp*xgm_VDI_SI)*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  eta_p_VDI_SI_VDI_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VDI_SI))*(pInst->kp*xgm_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VDI_SI+pInst->kp*xgm_VDI_SI_VDI_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VDI_SI_VGP_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VGP_SI))*(pInst->kp*xgm_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VDI_SI+pInst->kp*xgm_VDI_SI_VGP_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VDI_SI_VSI_BP=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0+0.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VSI_BP))*(pInst->kp*xgm_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VDI_SI+pInst->kp*xgm_VDI_SI_VSI_BP))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
eta_p_VGP_SI=(-(pInst->kp*xgm_VGP_SI)*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  eta_p_VGP_SI_VDI_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VDI_SI))*(pInst->kp*xgm_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VGP_SI+pInst->kp*xgm_VGP_SI_VDI_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VGP_SI_VGP_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VGP_SI))*(pInst->kp*xgm_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VGP_SI+pInst->kp*xgm_VGP_SI_VGP_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VGP_SI_VSI_BP=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0+0.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VSI_BP))*(pInst->kp*xgm_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VGP_SI+pInst->kp*xgm_VGP_SI_VSI_BP))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
eta_p_VSI_BP=(-(pInst->kp*xgm_VSI_BP)*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  eta_p_VSI_BP_VDI_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VDI_SI))*(pInst->kp*xgm_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VSI_BP+pInst->kp*xgm_VSI_BP_VDI_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VSI_BP_VGP_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VGP_SI))*(pInst->kp*xgm_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VSI_BP+pInst->kp*xgm_VSI_BP_VGP_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VSI_BP_VSI_BP=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0+0.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VSI_BP))*(pInst->kp*xgm_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VSI_BP+pInst->kp*xgm_VSI_BP_VSI_BP))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
#endif
eta_p=(1.0/d00_sqrt0);
EXIT_IF_ISNAN((1.0/d00_sqrt0))
}
}
{
double m00_sqrt(d00_sqrt0,(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))*d10_sqrt0;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI)))))))))*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))+0.0*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))+3.3333333333333333e-01*(+x_m_VGP_SI_VGP_SI*(1.0-(0.25*x_m))+x_m_VGP_SI*(-((0.25*x_m_VGP_SI)))+x_m_VGP_SI*(-(0.25*x_m_VGP_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VGP_SI+0.25*x_m_VGP_SI_VGP_SI))))));
  temp_VGP_SI_VDI_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI)))))))))*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))+0.0*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))+3.3333333333333333e-01*(+x_m_VGP_SI_VDI_SI*(1.0-(0.25*x_m))+x_m_VGP_SI*(-((0.25*x_m_VDI_SI)))+x_m_VDI_SI*(-(0.25*x_m_VGP_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VGP_SI+0.25*x_m_VGP_SI_VDI_SI))))));
  temp_VGP_SI_VSI_BP=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP)))))))))*(-(3.3333333333333333e-01*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))+0.0*((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VGP_SI))))+3.3333333333333333e-01*(+x_m_VGP_SI_VSI_BP*(1.0-(0.25*x_m))+x_m_VGP_SI*(-((0.25*x_m_VSI_BP)))+x_m_VSI_BP*(-(0.25*x_m_VGP_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VGP_SI+0.25*x_m_VGP_SI_VSI_BP))))));
#endif
temp_VDI_SI=(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))*d10_sqrt0;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI)))))))))*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))+0.0*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))+3.3333333333333333e-01*(+x_m_VDI_SI_VGP_SI*(1.0-(0.25*x_m))+x_m_VDI_SI*(-((0.25*x_m_VGP_SI)))+x_m_VGP_SI*(-(0.25*x_m_VDI_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VDI_SI+0.25*x_m_VDI_SI_VGP_SI))))));
  temp_VDI_SI_VDI_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI)))))))))*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))+0.0*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))+3.3333333333333333e-01*(+x_m_VDI_SI_VDI_SI*(1.0-(0.25*x_m))+x_m_VDI_SI*(-((0.25*x_m_VDI_SI)))+x_m_VDI_SI*(-(0.25*x_m_VDI_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VDI_SI+0.25*x_m_VDI_SI_VDI_SI))))));
  temp_VDI_SI_VSI_BP=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP)))))))))*(-(3.3333333333333333e-01*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))+0.0*((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VDI_SI))))+3.3333333333333333e-01*(+x_m_VDI_SI_VSI_BP*(1.0-(0.25*x_m))+x_m_VDI_SI*(-((0.25*x_m_VSI_BP)))+x_m_VSI_BP*(-(0.25*x_m_VDI_SI))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VDI_SI+0.25*x_m_VDI_SI_VSI_BP))))));
#endif
temp_VSI_BP=(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))*d10_sqrt0;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI)))))))))*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VGP_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VGP_SI))))))+0.0*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))+3.3333333333333333e-01*(+x_m_VSI_BP_VGP_SI*(1.0-(0.25*x_m))+x_m_VSI_BP*(-((0.25*x_m_VGP_SI)))+x_m_VGP_SI*(-(0.25*x_m_VSI_BP))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VSI_BP+0.25*x_m_VSI_BP_VGP_SI))))));
  temp_VSI_BP_VDI_SI=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI)))))))))*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VDI_SI*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VDI_SI))))))+0.0*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))+3.3333333333333333e-01*(+x_m_VSI_BP_VDI_SI*(1.0-(0.25*x_m))+x_m_VSI_BP*(-((0.25*x_m_VDI_SI)))+x_m_VDI_SI*(-(0.25*x_m_VSI_BP))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VSI_BP+0.25*x_m_VSI_BP_VDI_SI))))));
  temp_VSI_BP_VSI_BP=(m20_sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))))*(-((3.3333333333333333e-01*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP)))))))))*(-(3.3333333333333333e-01*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))))+d10_sqrt0*(+0.0-(+0.0*(x_m*(1.0-(0.25*x_m)))+0.0*(((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-((0.25*x_m_VSI_BP))))))+0.0*((x_m_VSI_BP*(1.0-(0.25*x_m)))+(x_m*(-(0.25*x_m_VSI_BP))))+3.3333333333333333e-01*(+x_m_VSI_BP_VSI_BP*(1.0-(0.25*x_m))+x_m_VSI_BP*(-((0.25*x_m_VSI_BP)))+x_m_VSI_BP*(-(0.25*x_m_VSI_BP))+x_m*(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VSI_BP+0.25*x_m_VSI_BP_VSI_BP))))));
#endif
#endif
temp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
sqm_VDI_SI=(7.0710678118654746e-01*((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI)));
#if defined(_DERIVATE2)
  sqm_VDI_SI_VDI_SI=(+0.0*(x_m*temp)+0.0*(((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI)))+0.0*((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI))+7.0710678118654746e-01*(+x_m_VDI_SI_VDI_SI*temp+x_m_VDI_SI*temp_VDI_SI+x_m_VDI_SI*temp_VDI_SI+x_m*temp_VDI_SI_VDI_SI));
  sqm_VDI_SI_VGP_SI=(+0.0*(x_m*temp)+0.0*(((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI)))+0.0*((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI))+7.0710678118654746e-01*(+x_m_VDI_SI_VGP_SI*temp+x_m_VDI_SI*temp_VGP_SI+x_m_VGP_SI*temp_VDI_SI+x_m*temp_VDI_SI_VGP_SI));
  sqm_VDI_SI_VSI_BP=(+0.0*(x_m*temp)+0.0*(((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP)))+0.0*((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI))+7.0710678118654746e-01*(+x_m_VDI_SI_VSI_BP*temp+x_m_VDI_SI*temp_VSI_BP+x_m_VSI_BP*temp_VDI_SI+x_m*temp_VDI_SI_VSI_BP));
#endif
sqm_VGP_SI=(7.0710678118654746e-01*((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI)));
#if defined(_DERIVATE2)
  sqm_VGP_SI_VDI_SI=(+0.0*(x_m*temp)+0.0*(((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI)))+0.0*((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI))+7.0710678118654746e-01*(+x_m_VGP_SI_VDI_SI*temp+x_m_VGP_SI*temp_VDI_SI+x_m_VDI_SI*temp_VGP_SI+x_m*temp_VGP_SI_VDI_SI));
  sqm_VGP_SI_VGP_SI=(+0.0*(x_m*temp)+0.0*(((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI)))+0.0*((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI))+7.0710678118654746e-01*(+x_m_VGP_SI_VGP_SI*temp+x_m_VGP_SI*temp_VGP_SI+x_m_VGP_SI*temp_VGP_SI+x_m*temp_VGP_SI_VGP_SI));
  sqm_VGP_SI_VSI_BP=(+0.0*(x_m*temp)+0.0*(((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP)))+0.0*((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI))+7.0710678118654746e-01*(+x_m_VGP_SI_VSI_BP*temp+x_m_VGP_SI*temp_VSI_BP+x_m_VSI_BP*temp_VGP_SI+x_m*temp_VGP_SI_VSI_BP));
#endif
sqm_VSI_BP=(7.0710678118654746e-01*((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP)));
#if defined(_DERIVATE2)
  sqm_VSI_BP_VDI_SI=(+0.0*(x_m*temp)+0.0*(((x_m_VDI_SI*temp)+(x_m*temp_VDI_SI)))+0.0*((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP))+7.0710678118654746e-01*(+x_m_VSI_BP_VDI_SI*temp+x_m_VSI_BP*temp_VDI_SI+x_m_VDI_SI*temp_VSI_BP+x_m*temp_VSI_BP_VDI_SI));
  sqm_VSI_BP_VGP_SI=(+0.0*(x_m*temp)+0.0*(((x_m_VGP_SI*temp)+(x_m*temp_VGP_SI)))+0.0*((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP))+7.0710678118654746e-01*(+x_m_VSI_BP_VGP_SI*temp+x_m_VSI_BP*temp_VGP_SI+x_m_VGP_SI*temp_VSI_BP+x_m*temp_VSI_BP_VGP_SI));
  sqm_VSI_BP_VSI_BP=(+0.0*(x_m*temp)+0.0*(((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP)))+0.0*((x_m_VSI_BP*temp)+(x_m*temp_VSI_BP))+7.0710678118654746e-01*(+x_m_VSI_BP_VSI_BP*temp+x_m_VSI_BP*temp_VSI_BP+x_m_VSI_BP*temp_VSI_BP+x_m*temp_VSI_BP_VSI_BP));
#endif
#endif
sqm=(7.0710678118654746e-01*(x_m*temp));
EXIT_IF_ISNAN((7.0710678118654746e-01*(x_m*temp)))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
alpha_VDI_SI=(eta_p_VDI_SI+(7.0710678118654746e-01*((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)));
#if defined(_DERIVATE2)
  alpha_VDI_SI_VDI_SI=(+eta_p_VDI_SI_VDI_SI+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)+0.0*((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)+7.0710678118654746e-01*((+Gf_VDI_SI_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VDI_SI*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))+Gf_VDI_SI*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VDI_SI+0.5*x_m_VDI_SI_VDI_SI))+(+0.0*(x_m*x_m)+0.0*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))+0.0*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))+1.6666666666666667e-01*(+x_m_VDI_SI_VDI_SI*x_m+x_m_VDI_SI*x_m_VDI_SI+x_m_VDI_SI*x_m_VDI_SI+x_m*x_m_VDI_SI_VDI_SI))))/temp-(((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp_VDI_SI+(((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))))))))*temp_VDI_SI+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI_VDI_SI)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI*temp_VDI_SI/temp/temp/temp)));
  alpha_VDI_SI_VGP_SI=(+eta_p_VDI_SI_VGP_SI+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)+0.0*((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)+7.0710678118654746e-01*((+Gf_VDI_SI_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VDI_SI*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))+Gf_VGP_SI*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VDI_SI+0.5*x_m_VDI_SI_VGP_SI))+(+0.0*(x_m*x_m)+0.0*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))+0.0*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))+1.6666666666666667e-01*(+x_m_VDI_SI_VGP_SI*x_m+x_m_VDI_SI*x_m_VGP_SI+x_m_VGP_SI*x_m_VDI_SI+x_m*x_m_VDI_SI_VGP_SI))))/temp-(((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp_VGP_SI+(((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))))))))*temp_VDI_SI+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI_VGP_SI)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI*temp_VGP_SI/temp/temp/temp)));
  alpha_VDI_SI_VSI_BP=(+eta_p_VDI_SI_VSI_BP+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)+0.0*((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)+7.0710678118654746e-01*((+Gf_VDI_SI_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VDI_SI*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))+Gf_VSI_BP*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VDI_SI+0.5*x_m_VDI_SI_VSI_BP))+(+0.0*(x_m*x_m)+0.0*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))+0.0*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))+1.6666666666666667e-01*(+x_m_VDI_SI_VSI_BP*x_m+x_m_VDI_SI*x_m_VSI_BP+x_m_VSI_BP*x_m_VDI_SI+x_m*x_m_VDI_SI_VSI_BP))))/temp-(((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VDI_SI))+(1.6666666666666667e-01*((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))*temp_VSI_BP+(((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))))))))*temp_VDI_SI+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI_VSI_BP)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI*temp_VSI_BP/temp/temp/temp)));
#endif
alpha_VGP_SI=(eta_p_VGP_SI+(7.0710678118654746e-01*((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)));
#if defined(_DERIVATE2)
  alpha_VGP_SI_VDI_SI=(+eta_p_VGP_SI_VDI_SI+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)+0.0*((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)+7.0710678118654746e-01*((+Gf_VGP_SI_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VGP_SI*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))+Gf_VDI_SI*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VGP_SI+0.5*x_m_VGP_SI_VDI_SI))+(+0.0*(x_m*x_m)+0.0*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))+0.0*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))+1.6666666666666667e-01*(+x_m_VGP_SI_VDI_SI*x_m+x_m_VGP_SI*x_m_VDI_SI+x_m_VDI_SI*x_m_VGP_SI+x_m*x_m_VGP_SI_VDI_SI))))/temp-(((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp_VDI_SI+(((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))))))))*temp_VGP_SI+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI_VDI_SI)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI*temp_VDI_SI/temp/temp/temp)));
  alpha_VGP_SI_VGP_SI=(+eta_p_VGP_SI_VGP_SI+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)+0.0*((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)+7.0710678118654746e-01*((+Gf_VGP_SI_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VGP_SI*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))+Gf_VGP_SI*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VGP_SI+0.5*x_m_VGP_SI_VGP_SI))+(+0.0*(x_m*x_m)+0.0*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))+0.0*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))+1.6666666666666667e-01*(+x_m_VGP_SI_VGP_SI*x_m+x_m_VGP_SI*x_m_VGP_SI+x_m_VGP_SI*x_m_VGP_SI+x_m*x_m_VGP_SI_VGP_SI))))/temp-(((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp_VGP_SI+(((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))))))))*temp_VGP_SI+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI_VGP_SI)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI*temp_VGP_SI/temp/temp/temp)));
  alpha_VGP_SI_VSI_BP=(+eta_p_VGP_SI_VSI_BP+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)+0.0*((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)+7.0710678118654746e-01*((+Gf_VGP_SI_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VGP_SI*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))+Gf_VSI_BP*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VGP_SI+0.5*x_m_VGP_SI_VSI_BP))+(+0.0*(x_m*x_m)+0.0*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))+0.0*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))+1.6666666666666667e-01*(+x_m_VGP_SI_VSI_BP*x_m+x_m_VGP_SI*x_m_VSI_BP+x_m_VSI_BP*x_m_VGP_SI+x_m*x_m_VGP_SI_VSI_BP))))/temp-(((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VGP_SI))+(1.6666666666666667e-01*((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))*temp_VSI_BP+(((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))))))))*temp_VGP_SI+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI_VSI_BP)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI*temp_VSI_BP/temp/temp/temp)));
#endif
alpha_VSI_BP=(eta_p_VSI_BP+(7.0710678118654746e-01*((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)));
#if defined(_DERIVATE2)
  alpha_VSI_BP_VDI_SI=(+eta_p_VSI_BP_VDI_SI+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VDI_SI)/temp/temp)+0.0*((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)+7.0710678118654746e-01*((+Gf_VSI_BP_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VSI_BP*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI))))))+Gf_VDI_SI*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VDI_SI+0.0*x_m_VSI_BP+0.5*x_m_VSI_BP_VDI_SI))+(+0.0*(x_m*x_m)+0.0*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))+0.0*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))+1.6666666666666667e-01*(+x_m_VSI_BP_VDI_SI*x_m+x_m_VSI_BP*x_m_VDI_SI+x_m_VDI_SI*x_m_VSI_BP+x_m*x_m_VSI_BP_VDI_SI))))/temp-(((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp_VDI_SI+(((Gf_VDI_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VDI_SI)))+((1.6666666666666667e-01*(((x_m_VDI_SI*x_m)+(x_m*x_m_VDI_SI)))))))))*temp_VSI_BP+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP_VDI_SI)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP*temp_VDI_SI/temp/temp/temp)));
  alpha_VSI_BP_VGP_SI=(+eta_p_VSI_BP_VGP_SI+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VGP_SI)/temp/temp)+0.0*((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)+7.0710678118654746e-01*((+Gf_VSI_BP_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VSI_BP*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI))))))+Gf_VGP_SI*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VGP_SI+0.0*x_m_VSI_BP+0.5*x_m_VSI_BP_VGP_SI))+(+0.0*(x_m*x_m)+0.0*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))+0.0*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))+1.6666666666666667e-01*(+x_m_VSI_BP_VGP_SI*x_m+x_m_VSI_BP*x_m_VGP_SI+x_m_VGP_SI*x_m_VSI_BP+x_m*x_m_VSI_BP_VGP_SI))))/temp-(((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp_VGP_SI+(((Gf_VGP_SI*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VGP_SI)))+((1.6666666666666667e-01*(((x_m_VGP_SI*x_m)+(x_m*x_m_VGP_SI)))))))))*temp_VSI_BP+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP_VGP_SI)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP*temp_VGP_SI/temp/temp/temp)));
  alpha_VSI_BP_VSI_BP=(+eta_p_VSI_BP_VSI_BP+(+0.0*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)+0.0*(((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)+0.0*((((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp-(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP)/temp/temp)+7.0710678118654746e-01*((+Gf_VSI_BP_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m)))+Gf_VSI_BP*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))+Gf_VSI_BP*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))+Gf*(+(+0.0-(+0.0*x_m+0.0*x_m_VSI_BP+0.0*x_m_VSI_BP+0.5*x_m_VSI_BP_VSI_BP))+(+0.0*(x_m*x_m)+0.0*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))+0.0*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))+1.6666666666666667e-01*(+x_m_VSI_BP_VSI_BP*x_m+x_m_VSI_BP*x_m_VSI_BP+x_m_VSI_BP*x_m_VSI_BP+x_m*x_m_VSI_BP_VSI_BP))))/temp-(((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-(0.5*x_m_VSI_BP))+(1.6666666666666667e-01*((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP))))))*temp_VSI_BP+(((Gf_VSI_BP*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))+(Gf*((-((0.5*x_m_VSI_BP)))+((1.6666666666666667e-01*(((x_m_VSI_BP*x_m)+(x_m*x_m_VSI_BP)))))))))*temp_VSI_BP+(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP_VSI_BP)/temp/temp+2*(Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))*temp_VSI_BP*temp_VSI_BP/temp/temp/temp)));
#endif
#endif
alpha=(eta_p+(7.0710678118654746e-01*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)));
EXIT_IF_ISNAN((eta_p+(7.0710678118654746e-01*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp))))
#endif
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Pm_VDI_SI=(x_m_VDI_SI+Em_VDI_SI);
#if defined(_DERIVATE2)
  Pm_VDI_SI_VDI_SI=(+(+x_m_VDI_SI_VDI_SI-0.0)+Em_VDI_SI_VDI_SI);
  Pm_VDI_SI_VGP_SI=(+(+x_m_VDI_SI_VGP_SI-0.0)+Em_VDI_SI_VGP_SI);
  Pm_VDI_SI_VSI_BP=(+(+x_m_VDI_SI_VSI_BP-0.0)+Em_VDI_SI_VSI_BP);
#endif
Pm_VGP_SI=(x_m_VGP_SI+Em_VGP_SI);
#if defined(_DERIVATE2)
  Pm_VGP_SI_VDI_SI=(+(+x_m_VGP_SI_VDI_SI-0.0)+Em_VGP_SI_VDI_SI);
  Pm_VGP_SI_VGP_SI=(+(+x_m_VGP_SI_VGP_SI-0.0)+Em_VGP_SI_VGP_SI);
  Pm_VGP_SI_VSI_BP=(+(+x_m_VGP_SI_VSI_BP-0.0)+Em_VGP_SI_VSI_BP);
#endif
Pm_VSI_BP=(x_m_VSI_BP+Em_VSI_BP);
#if defined(_DERIVATE2)
  Pm_VSI_BP_VDI_SI=(+(+x_m_VSI_BP_VDI_SI-0.0)+Em_VSI_BP_VDI_SI);
  Pm_VSI_BP_VGP_SI=(+(+x_m_VSI_BP_VGP_SI-0.0)+Em_VSI_BP_VGP_SI);
  Pm_VSI_BP_VSI_BP=(+(+x_m_VSI_BP_VSI_BP-0.0)+Em_VSI_BP_VSI_BP);
#endif
#endif
Pm=((x_m-1.0)+Em);
EXIT_IF_ISNAN(((x_m-1.0)+Em))
{
double m00_sqrt(d00_sqrt0,(Dm+Pm))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(Dm+Pm))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgm_VDI_SI=((Gf_VDI_SI*d00_sqrt0)+(Gf*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VDI_SI_VDI_SI=(+Gf_VDI_SI_VDI_SI*d00_sqrt0+Gf_VDI_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VDI_SI+Pm_VDI_SI_VDI_SI)));
  xgm_VDI_SI_VGP_SI=(+Gf_VDI_SI_VGP_SI*d00_sqrt0+Gf_VDI_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VGP_SI+Pm_VDI_SI_VGP_SI)));
  xgm_VDI_SI_VSI_BP=(+Gf_VDI_SI_VSI_BP*d00_sqrt0+Gf_VDI_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VSI_BP+Pm_VDI_SI_VSI_BP)));
#endif
xgm_VGP_SI=((Gf_VGP_SI*d00_sqrt0)+(Gf*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VGP_SI_VDI_SI=(+Gf_VGP_SI_VDI_SI*d00_sqrt0+Gf_VGP_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VDI_SI+Pm_VGP_SI_VDI_SI)));
  xgm_VGP_SI_VGP_SI=(+Gf_VGP_SI_VGP_SI*d00_sqrt0+Gf_VGP_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VGP_SI+Pm_VGP_SI_VGP_SI)));
  xgm_VGP_SI_VSI_BP=(+Gf_VGP_SI_VSI_BP*d00_sqrt0+Gf_VGP_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VSI_BP+Pm_VGP_SI_VSI_BP)));
#endif
xgm_VSI_BP=((Gf_VSI_BP*d00_sqrt0)+(Gf*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VSI_BP_VDI_SI=(+Gf_VSI_BP_VDI_SI*d00_sqrt0+Gf_VSI_BP*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VDI_SI+Pm_VSI_BP_VDI_SI)));
  xgm_VSI_BP_VGP_SI=(+Gf_VSI_BP_VGP_SI*d00_sqrt0+Gf_VSI_BP*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VGP_SI+Pm_VSI_BP_VGP_SI)));
  xgm_VSI_BP_VSI_BP=(+Gf_VSI_BP_VSI_BP*d00_sqrt0+Gf_VSI_BP*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VSI_BP+Pm_VSI_BP_VSI_BP)));
#endif
#endif
xgm=(Gf*d00_sqrt0);
EXIT_IF_ISNAN((Gf*d00_sqrt0))
}
if
((pInst->kp>0.0))
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
d0_VDI_SI=((-Em_VDI_SI)+(2.0*((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI))));
#if defined(_DERIVATE2)
  d0_VDI_SI_VDI_SI=(+(+0.0-Em_VDI_SI_VDI_SI)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI)))+0.0*((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI))+2.0*(+xgm_VDI_SI_VDI_SI*inv_Gf2+xgm_VDI_SI*inv_Gf2_VDI_SI+xgm_VDI_SI*inv_Gf2_VDI_SI+xgm*inv_Gf2_VDI_SI_VDI_SI)));
  d0_VDI_SI_VGP_SI=(+(+0.0-Em_VDI_SI_VGP_SI)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI)))+0.0*((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI))+2.0*(+xgm_VDI_SI_VGP_SI*inv_Gf2+xgm_VDI_SI*inv_Gf2_VGP_SI+xgm_VGP_SI*inv_Gf2_VDI_SI+xgm*inv_Gf2_VDI_SI_VGP_SI)));
  d0_VDI_SI_VSI_BP=(+(+0.0-Em_VDI_SI_VSI_BP)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP)))+0.0*((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI))+2.0*(+xgm_VDI_SI_VSI_BP*inv_Gf2+xgm_VDI_SI*inv_Gf2_VSI_BP+xgm_VSI_BP*inv_Gf2_VDI_SI+xgm*inv_Gf2_VDI_SI_VSI_BP)));
#endif
d0_VGP_SI=((-Em_VGP_SI)+(2.0*((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI))));
#if defined(_DERIVATE2)
  d0_VGP_SI_VDI_SI=(+(+0.0-Em_VGP_SI_VDI_SI)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI)))+0.0*((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI))+2.0*(+xgm_VGP_SI_VDI_SI*inv_Gf2+xgm_VGP_SI*inv_Gf2_VDI_SI+xgm_VDI_SI*inv_Gf2_VGP_SI+xgm*inv_Gf2_VGP_SI_VDI_SI)));
  d0_VGP_SI_VGP_SI=(+(+0.0-Em_VGP_SI_VGP_SI)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI)))+0.0*((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI))+2.0*(+xgm_VGP_SI_VGP_SI*inv_Gf2+xgm_VGP_SI*inv_Gf2_VGP_SI+xgm_VGP_SI*inv_Gf2_VGP_SI+xgm*inv_Gf2_VGP_SI_VGP_SI)));
  d0_VGP_SI_VSI_BP=(+(+0.0-Em_VGP_SI_VSI_BP)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP)))+0.0*((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI))+2.0*(+xgm_VGP_SI_VSI_BP*inv_Gf2+xgm_VGP_SI*inv_Gf2_VSI_BP+xgm_VSI_BP*inv_Gf2_VGP_SI+xgm*inv_Gf2_VGP_SI_VSI_BP)));
#endif
d0_VSI_BP=((-Em_VSI_BP)+(2.0*((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP))));
#if defined(_DERIVATE2)
  d0_VSI_BP_VDI_SI=(+(+0.0-Em_VSI_BP_VDI_SI)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VDI_SI*inv_Gf2)+(xgm*inv_Gf2_VDI_SI)))+0.0*((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP))+2.0*(+xgm_VSI_BP_VDI_SI*inv_Gf2+xgm_VSI_BP*inv_Gf2_VDI_SI+xgm_VDI_SI*inv_Gf2_VSI_BP+xgm*inv_Gf2_VSI_BP_VDI_SI)));
  d0_VSI_BP_VGP_SI=(+(+0.0-Em_VSI_BP_VGP_SI)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VGP_SI*inv_Gf2)+(xgm*inv_Gf2_VGP_SI)))+0.0*((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP))+2.0*(+xgm_VSI_BP_VGP_SI*inv_Gf2+xgm_VSI_BP*inv_Gf2_VGP_SI+xgm_VGP_SI*inv_Gf2_VSI_BP+xgm*inv_Gf2_VSI_BP_VGP_SI)));
  d0_VSI_BP_VSI_BP=(+(+0.0-Em_VSI_BP_VSI_BP)+(+0.0*(xgm*inv_Gf2)+0.0*(((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP)))+0.0*((xgm_VSI_BP*inv_Gf2)+(xgm*inv_Gf2_VSI_BP))+2.0*(+xgm_VSI_BP_VSI_BP*inv_Gf2+xgm_VSI_BP*inv_Gf2_VSI_BP+xgm_VSI_BP*inv_Gf2_VSI_BP+xgm*inv_Gf2_VSI_BP_VSI_BP)));
#endif
#endif
d0=((1.0-Em)+(2.0*(xgm*inv_Gf2)));
EXIT_IF_ISNAN(((1.0-Em)+(2.0*(xgm*inv_Gf2))))
#endif
{
double m00_sqrt(d00_sqrt0,(1.0+(pInst->kp*xgm)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+(pInst->kp*xgm)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
eta_p_VDI_SI=(-(pInst->kp*xgm_VDI_SI)*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  eta_p_VDI_SI_VDI_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VDI_SI))*(pInst->kp*xgm_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VDI_SI+pInst->kp*xgm_VDI_SI_VDI_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VDI_SI_VGP_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VGP_SI))*(pInst->kp*xgm_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VDI_SI+pInst->kp*xgm_VDI_SI_VGP_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VDI_SI_VSI_BP=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0+0.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VSI_BP))*(pInst->kp*xgm_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VDI_SI+pInst->kp*xgm_VDI_SI_VSI_BP))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VDI_SI)*d10_sqrt0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
eta_p_VGP_SI=(-(pInst->kp*xgm_VGP_SI)*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  eta_p_VGP_SI_VDI_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VDI_SI))*(pInst->kp*xgm_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VGP_SI+pInst->kp*xgm_VGP_SI_VDI_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VGP_SI_VGP_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VGP_SI))*(pInst->kp*xgm_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VGP_SI+pInst->kp*xgm_VGP_SI_VGP_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VGP_SI_VSI_BP=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0+0.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VSI_BP))*(pInst->kp*xgm_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VGP_SI+pInst->kp*xgm_VGP_SI_VSI_BP))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VGP_SI)*d10_sqrt0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
eta_p_VSI_BP=(-(pInst->kp*xgm_VSI_BP)*d10_sqrt0/d00_sqrt0/d00_sqrt0);
#if defined(_DERIVATE2)
  eta_p_VSI_BP_VDI_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VDI_SI))*(pInst->kp*xgm_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VSI_BP+pInst->kp*xgm_VSI_BP_VDI_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0*((pInst->kp*xgm_VDI_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VSI_BP_VGP_SI=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0+0.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VGP_SI))*(pInst->kp*xgm_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VSI_BP+pInst->kp*xgm_VSI_BP_VGP_SI))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0*((pInst->kp*xgm_VGP_SI))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
  eta_p_VSI_BP_VSI_BP=(0.0/d00_sqrt0-(0.0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0+0.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0+1.0*(m20_sqrt((1.0+(pInst->kp*xgm)))*((pInst->kp*xgm_VSI_BP))*(pInst->kp*xgm_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VSI_BP+pInst->kp*xgm_VSI_BP_VSI_BP))))/d00_sqrt0/d00_sqrt0+2*1.0*(pInst->kp*xgm_VSI_BP)*d10_sqrt0*((pInst->kp*xgm_VSI_BP))*d10_sqrt0/d00_sqrt0/d00_sqrt0/d00_sqrt0);
#endif
#endif
eta_p=(1.0/d00_sqrt0);
EXIT_IF_ISNAN((1.0/d00_sqrt0))
}
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=((eta_p_VGP_SI*(eta_p+1.0)-eta_p*eta_p_VGP_SI)/(eta_p+1.0)/(eta_p+1.0));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(eta_p_VGP_SI_VGP_SI/(eta_p+1.0)-(eta_p_VGP_SI*eta_p_VGP_SI+eta_p_VGP_SI*eta_p_VGP_SI+eta_p*(+eta_p_VGP_SI_VGP_SI+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VGP_SI*eta_p_VGP_SI/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
  temp_VGP_SI_VDI_SI=(eta_p_VGP_SI_VDI_SI/(eta_p+1.0)-(eta_p_VGP_SI*eta_p_VDI_SI+eta_p_VDI_SI*eta_p_VGP_SI+eta_p*(+eta_p_VGP_SI_VDI_SI+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VGP_SI*eta_p_VDI_SI/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
  temp_VGP_SI_VSI_BP=(eta_p_VGP_SI_VSI_BP/(eta_p+1.0)-(eta_p_VGP_SI*eta_p_VSI_BP+eta_p_VSI_BP*eta_p_VGP_SI+eta_p*(+eta_p_VGP_SI_VSI_BP+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VGP_SI*eta_p_VSI_BP/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
#endif
temp_VDI_SI=((eta_p_VDI_SI*(eta_p+1.0)-eta_p*eta_p_VDI_SI)/(eta_p+1.0)/(eta_p+1.0));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(eta_p_VDI_SI_VGP_SI/(eta_p+1.0)-(eta_p_VDI_SI*eta_p_VGP_SI+eta_p_VGP_SI*eta_p_VDI_SI+eta_p*(+eta_p_VDI_SI_VGP_SI+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VDI_SI*eta_p_VGP_SI/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
  temp_VDI_SI_VDI_SI=(eta_p_VDI_SI_VDI_SI/(eta_p+1.0)-(eta_p_VDI_SI*eta_p_VDI_SI+eta_p_VDI_SI*eta_p_VDI_SI+eta_p*(+eta_p_VDI_SI_VDI_SI+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VDI_SI*eta_p_VDI_SI/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
  temp_VDI_SI_VSI_BP=(eta_p_VDI_SI_VSI_BP/(eta_p+1.0)-(eta_p_VDI_SI*eta_p_VSI_BP+eta_p_VSI_BP*eta_p_VDI_SI+eta_p*(+eta_p_VDI_SI_VSI_BP+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VDI_SI*eta_p_VSI_BP/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
#endif
temp_VSI_BP=((eta_p_VSI_BP*(eta_p+1.0)-eta_p*eta_p_VSI_BP)/(eta_p+1.0)/(eta_p+1.0));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(eta_p_VSI_BP_VGP_SI/(eta_p+1.0)-(eta_p_VSI_BP*eta_p_VGP_SI+eta_p_VGP_SI*eta_p_VSI_BP+eta_p*(+eta_p_VSI_BP_VGP_SI+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VSI_BP*eta_p_VGP_SI/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
  temp_VSI_BP_VDI_SI=(eta_p_VSI_BP_VDI_SI/(eta_p+1.0)-(eta_p_VSI_BP*eta_p_VDI_SI+eta_p_VDI_SI*eta_p_VSI_BP+eta_p*(+eta_p_VSI_BP_VDI_SI+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VSI_BP*eta_p_VDI_SI/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
  temp_VSI_BP_VSI_BP=(eta_p_VSI_BP_VSI_BP/(eta_p+1.0)-(eta_p_VSI_BP*eta_p_VSI_BP+eta_p_VSI_BP*eta_p_VSI_BP+eta_p*(+eta_p_VSI_BP_VSI_BP+0.0))/(eta_p+1.0)/(eta_p+1.0)+2*eta_p*eta_p_VSI_BP*eta_p_VSI_BP/(eta_p+1.0)/(eta_p+1.0)/(eta_p+1.0));
#endif
#endif
temp=(eta_p/(eta_p+1.0));
EXIT_IF_ISNAN((eta_p/(eta_p+1.0)))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_pm_VGP_SI=(pInst->kp*((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI)));
#if defined(_DERIVATE2)
  x_pm_VGP_SI_VGP_SI=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2)+((temp*temp)*Gf2_VGP_SI)))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI)))+0.0*((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI))+pInst->kp*(+(+(+temp_VGP_SI_VGP_SI*temp+temp_VGP_SI*temp_VGP_SI+temp_VGP_SI*temp_VGP_SI+temp*temp_VGP_SI_VGP_SI)*Gf2+((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2_VGP_SI+(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2_VGP_SI+(temp*temp)*Gf2_VGP_SI_VGP_SI)*Dm+((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm_VGP_SI+((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2)+((temp*temp)*Gf2_VGP_SI)))*Dm_VGP_SI+((temp*temp)*Gf2)*Dm_VGP_SI_VGP_SI));
  x_pm_VGP_SI_VDI_SI=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2)+((temp*temp)*Gf2_VDI_SI)))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI)))+0.0*((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI))+pInst->kp*(+(+(+temp_VGP_SI_VDI_SI*temp+temp_VGP_SI*temp_VDI_SI+temp_VDI_SI*temp_VGP_SI+temp*temp_VGP_SI_VDI_SI)*Gf2+((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2_VDI_SI+(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2_VGP_SI+(temp*temp)*Gf2_VGP_SI_VDI_SI)*Dm+((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm_VDI_SI+((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2)+((temp*temp)*Gf2_VDI_SI)))*Dm_VGP_SI+((temp*temp)*Gf2)*Dm_VGP_SI_VDI_SI));
  x_pm_VGP_SI_VSI_BP=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2)+((temp*temp)*Gf2_VSI_BP)))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP)))+0.0*((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI))+pInst->kp*(+(+(+temp_VGP_SI_VSI_BP*temp+temp_VGP_SI*temp_VSI_BP+temp_VSI_BP*temp_VGP_SI+temp*temp_VGP_SI_VSI_BP)*Gf2+((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2_VSI_BP+(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2_VGP_SI+(temp*temp)*Gf2_VGP_SI_VSI_BP)*Dm+((((temp_VGP_SI*temp)+(temp*temp_VGP_SI))*Gf2)+((temp*temp)*Gf2_VGP_SI))*Dm_VSI_BP+((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2)+((temp*temp)*Gf2_VSI_BP)))*Dm_VGP_SI+((temp*temp)*Gf2)*Dm_VGP_SI_VSI_BP));
#endif
x_pm_VDI_SI=(pInst->kp*((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI)));
#if defined(_DERIVATE2)
  x_pm_VDI_SI_VGP_SI=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2)+((temp*temp)*Gf2_VGP_SI)))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI)))+0.0*((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI))+pInst->kp*(+(+(+temp_VDI_SI_VGP_SI*temp+temp_VDI_SI*temp_VGP_SI+temp_VGP_SI*temp_VDI_SI+temp*temp_VDI_SI_VGP_SI)*Gf2+((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2_VGP_SI+(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2_VDI_SI+(temp*temp)*Gf2_VDI_SI_VGP_SI)*Dm+((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm_VGP_SI+((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2)+((temp*temp)*Gf2_VGP_SI)))*Dm_VDI_SI+((temp*temp)*Gf2)*Dm_VDI_SI_VGP_SI));
  x_pm_VDI_SI_VDI_SI=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2)+((temp*temp)*Gf2_VDI_SI)))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI)))+0.0*((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI))+pInst->kp*(+(+(+temp_VDI_SI_VDI_SI*temp+temp_VDI_SI*temp_VDI_SI+temp_VDI_SI*temp_VDI_SI+temp*temp_VDI_SI_VDI_SI)*Gf2+((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2_VDI_SI+(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2_VDI_SI+(temp*temp)*Gf2_VDI_SI_VDI_SI)*Dm+((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm_VDI_SI+((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2)+((temp*temp)*Gf2_VDI_SI)))*Dm_VDI_SI+((temp*temp)*Gf2)*Dm_VDI_SI_VDI_SI));
  x_pm_VDI_SI_VSI_BP=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2)+((temp*temp)*Gf2_VSI_BP)))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP)))+0.0*((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI))+pInst->kp*(+(+(+temp_VDI_SI_VSI_BP*temp+temp_VDI_SI*temp_VSI_BP+temp_VSI_BP*temp_VDI_SI+temp*temp_VDI_SI_VSI_BP)*Gf2+((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2_VSI_BP+(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2_VDI_SI+(temp*temp)*Gf2_VDI_SI_VSI_BP)*Dm+((((temp_VDI_SI*temp)+(temp*temp_VDI_SI))*Gf2)+((temp*temp)*Gf2_VDI_SI))*Dm_VSI_BP+((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2)+((temp*temp)*Gf2_VSI_BP)))*Dm_VDI_SI+((temp*temp)*Gf2)*Dm_VDI_SI_VSI_BP));
#endif
x_pm_VSI_BP=(pInst->kp*((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP)));
#if defined(_DERIVATE2)
  x_pm_VSI_BP_VGP_SI=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2)+((temp*temp)*Gf2_VGP_SI)))*Dm)+(((temp*temp)*Gf2)*Dm_VGP_SI)))+0.0*((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP))+pInst->kp*(+(+(+temp_VSI_BP_VGP_SI*temp+temp_VSI_BP*temp_VGP_SI+temp_VGP_SI*temp_VSI_BP+temp*temp_VSI_BP_VGP_SI)*Gf2+((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2_VGP_SI+(((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2_VSI_BP+(temp*temp)*Gf2_VSI_BP_VGP_SI)*Dm+((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm_VGP_SI+((((((temp_VGP_SI*temp)+(temp*temp_VGP_SI)))*Gf2)+((temp*temp)*Gf2_VGP_SI)))*Dm_VSI_BP+((temp*temp)*Gf2)*Dm_VSI_BP_VGP_SI));
  x_pm_VSI_BP_VDI_SI=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2)+((temp*temp)*Gf2_VDI_SI)))*Dm)+(((temp*temp)*Gf2)*Dm_VDI_SI)))+0.0*((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP))+pInst->kp*(+(+(+temp_VSI_BP_VDI_SI*temp+temp_VSI_BP*temp_VDI_SI+temp_VDI_SI*temp_VSI_BP+temp*temp_VSI_BP_VDI_SI)*Gf2+((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2_VDI_SI+(((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2_VSI_BP+(temp*temp)*Gf2_VSI_BP_VDI_SI)*Dm+((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm_VDI_SI+((((((temp_VDI_SI*temp)+(temp*temp_VDI_SI)))*Gf2)+((temp*temp)*Gf2_VDI_SI)))*Dm_VSI_BP+((temp*temp)*Gf2)*Dm_VSI_BP_VDI_SI));
  x_pm_VSI_BP_VSI_BP=(+0.0*(((temp*temp)*Gf2)*Dm)+0.0*(((((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2)+((temp*temp)*Gf2_VSI_BP)))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP)))+0.0*((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm)+(((temp*temp)*Gf2)*Dm_VSI_BP))+pInst->kp*(+(+(+temp_VSI_BP_VSI_BP*temp+temp_VSI_BP*temp_VSI_BP+temp_VSI_BP*temp_VSI_BP+temp*temp_VSI_BP_VSI_BP)*Gf2+((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2_VSI_BP+(((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2_VSI_BP+(temp*temp)*Gf2_VSI_BP_VSI_BP)*Dm+((((temp_VSI_BP*temp)+(temp*temp_VSI_BP))*Gf2)+((temp*temp)*Gf2_VSI_BP))*Dm_VSI_BP+((((((temp_VSI_BP*temp)+(temp*temp_VSI_BP)))*Gf2)+((temp*temp)*Gf2_VSI_BP)))*Dm_VSI_BP+((temp*temp)*Gf2)*Dm_VSI_BP_VSI_BP));
#endif
#endif
x_pm=(pInst->kp*(((temp*temp)*Gf2)*Dm));
EXIT_IF_ISNAN((pInst->kp*(((temp*temp)*Gf2)*Dm)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
p_pd_VDI_SI=((2.0*(xgm_VDI_SI-x_pm_VDI_SI))+((Gf2_VDI_SI*((1.0-Em)+Dm))+(Gf2*((-Em_VDI_SI)+Dm_VDI_SI))));
#if defined(_DERIVATE2)
  p_pd_VDI_SI_VDI_SI=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VDI_SI-x_pm_VDI_SI)+0.0*(xgm_VDI_SI-x_pm_VDI_SI)+2.0*(+xgm_VDI_SI_VDI_SI-x_pm_VDI_SI_VDI_SI))+(+Gf2_VDI_SI_VDI_SI*((1.0-Em)+Dm)+Gf2_VDI_SI*((-Em_VDI_SI)+Dm_VDI_SI)+Gf2_VDI_SI*((-Em_VDI_SI)+Dm_VDI_SI)+Gf2*(+(+0.0-Em_VDI_SI_VDI_SI)+Dm_VDI_SI_VDI_SI)));
  p_pd_VDI_SI_VGP_SI=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VGP_SI-x_pm_VGP_SI)+0.0*(xgm_VDI_SI-x_pm_VDI_SI)+2.0*(+xgm_VDI_SI_VGP_SI-x_pm_VDI_SI_VGP_SI))+(+Gf2_VDI_SI_VGP_SI*((1.0-Em)+Dm)+Gf2_VDI_SI*((-Em_VGP_SI)+Dm_VGP_SI)+Gf2_VGP_SI*((-Em_VDI_SI)+Dm_VDI_SI)+Gf2*(+(+0.0-Em_VDI_SI_VGP_SI)+Dm_VDI_SI_VGP_SI)));
  p_pd_VDI_SI_VSI_BP=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VSI_BP-x_pm_VSI_BP)+0.0*(xgm_VDI_SI-x_pm_VDI_SI)+2.0*(+xgm_VDI_SI_VSI_BP-x_pm_VDI_SI_VSI_BP))+(+Gf2_VDI_SI_VSI_BP*((1.0-Em)+Dm)+Gf2_VDI_SI*((-Em_VSI_BP)+Dm_VSI_BP)+Gf2_VSI_BP*((-Em_VDI_SI)+Dm_VDI_SI)+Gf2*(+(+0.0-Em_VDI_SI_VSI_BP)+Dm_VDI_SI_VSI_BP)));
#endif
p_pd_VGP_SI=((2.0*(xgm_VGP_SI-x_pm_VGP_SI))+((Gf2_VGP_SI*((1.0-Em)+Dm))+(Gf2*((-Em_VGP_SI)+Dm_VGP_SI))));
#if defined(_DERIVATE2)
  p_pd_VGP_SI_VDI_SI=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VDI_SI-x_pm_VDI_SI)+0.0*(xgm_VGP_SI-x_pm_VGP_SI)+2.0*(+xgm_VGP_SI_VDI_SI-x_pm_VGP_SI_VDI_SI))+(+Gf2_VGP_SI_VDI_SI*((1.0-Em)+Dm)+Gf2_VGP_SI*((-Em_VDI_SI)+Dm_VDI_SI)+Gf2_VDI_SI*((-Em_VGP_SI)+Dm_VGP_SI)+Gf2*(+(+0.0-Em_VGP_SI_VDI_SI)+Dm_VGP_SI_VDI_SI)));
  p_pd_VGP_SI_VGP_SI=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VGP_SI-x_pm_VGP_SI)+0.0*(xgm_VGP_SI-x_pm_VGP_SI)+2.0*(+xgm_VGP_SI_VGP_SI-x_pm_VGP_SI_VGP_SI))+(+Gf2_VGP_SI_VGP_SI*((1.0-Em)+Dm)+Gf2_VGP_SI*((-Em_VGP_SI)+Dm_VGP_SI)+Gf2_VGP_SI*((-Em_VGP_SI)+Dm_VGP_SI)+Gf2*(+(+0.0-Em_VGP_SI_VGP_SI)+Dm_VGP_SI_VGP_SI)));
  p_pd_VGP_SI_VSI_BP=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VSI_BP-x_pm_VSI_BP)+0.0*(xgm_VGP_SI-x_pm_VGP_SI)+2.0*(+xgm_VGP_SI_VSI_BP-x_pm_VGP_SI_VSI_BP))+(+Gf2_VGP_SI_VSI_BP*((1.0-Em)+Dm)+Gf2_VGP_SI*((-Em_VSI_BP)+Dm_VSI_BP)+Gf2_VSI_BP*((-Em_VGP_SI)+Dm_VGP_SI)+Gf2*(+(+0.0-Em_VGP_SI_VSI_BP)+Dm_VGP_SI_VSI_BP)));
#endif
p_pd_VSI_BP=((2.0*(xgm_VSI_BP-x_pm_VSI_BP))+((Gf2_VSI_BP*((1.0-Em)+Dm))+(Gf2*((-Em_VSI_BP)+Dm_VSI_BP))));
#if defined(_DERIVATE2)
  p_pd_VSI_BP_VDI_SI=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VDI_SI-x_pm_VDI_SI)+0.0*(xgm_VSI_BP-x_pm_VSI_BP)+2.0*(+xgm_VSI_BP_VDI_SI-x_pm_VSI_BP_VDI_SI))+(+Gf2_VSI_BP_VDI_SI*((1.0-Em)+Dm)+Gf2_VSI_BP*((-Em_VDI_SI)+Dm_VDI_SI)+Gf2_VDI_SI*((-Em_VSI_BP)+Dm_VSI_BP)+Gf2*(+(+0.0-Em_VSI_BP_VDI_SI)+Dm_VSI_BP_VDI_SI)));
  p_pd_VSI_BP_VGP_SI=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VGP_SI-x_pm_VGP_SI)+0.0*(xgm_VSI_BP-x_pm_VSI_BP)+2.0*(+xgm_VSI_BP_VGP_SI-x_pm_VSI_BP_VGP_SI))+(+Gf2_VSI_BP_VGP_SI*((1.0-Em)+Dm)+Gf2_VSI_BP*((-Em_VGP_SI)+Dm_VGP_SI)+Gf2_VGP_SI*((-Em_VSI_BP)+Dm_VSI_BP)+Gf2*(+(+0.0-Em_VSI_BP_VGP_SI)+Dm_VSI_BP_VGP_SI)));
  p_pd_VSI_BP_VSI_BP=(+(+0.0*(xgm-x_pm)+0.0*(xgm_VSI_BP-x_pm_VSI_BP)+0.0*(xgm_VSI_BP-x_pm_VSI_BP)+2.0*(+xgm_VSI_BP_VSI_BP-x_pm_VSI_BP_VSI_BP))+(+Gf2_VSI_BP_VSI_BP*((1.0-Em)+Dm)+Gf2_VSI_BP*((-Em_VSI_BP)+Dm_VSI_BP)+Gf2_VSI_BP*((-Em_VSI_BP)+Dm_VSI_BP)+Gf2*(+(+0.0-Em_VSI_BP_VSI_BP)+Dm_VSI_BP_VSI_BP)));
#endif
#endif
p_pd=((2.0*(xgm-x_pm))+(Gf2*((1.0-Em)+Dm)));
EXIT_IF_ISNAN(((2.0*(xgm-x_pm))+(Gf2*((1.0-Em)+Dm))))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
q_pd_VGP_SI=((x_pm_VGP_SI*(x_pm-(2.0*xgm)))+(x_pm*(x_pm_VGP_SI-(2.0*xgm_VGP_SI))));
#if defined(_DERIVATE2)
  q_pd_VGP_SI_VGP_SI=(+x_pm_VGP_SI_VGP_SI*(x_pm-(2.0*xgm))+x_pm_VGP_SI*(x_pm_VGP_SI-((2.0*xgm_VGP_SI)))+x_pm_VGP_SI*(x_pm_VGP_SI-(2.0*xgm_VGP_SI))+x_pm*(+x_pm_VGP_SI_VGP_SI-(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VGP_SI+2.0*xgm_VGP_SI_VGP_SI)));
  q_pd_VGP_SI_VDI_SI=(+x_pm_VGP_SI_VDI_SI*(x_pm-(2.0*xgm))+x_pm_VGP_SI*(x_pm_VDI_SI-((2.0*xgm_VDI_SI)))+x_pm_VDI_SI*(x_pm_VGP_SI-(2.0*xgm_VGP_SI))+x_pm*(+x_pm_VGP_SI_VDI_SI-(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VGP_SI+2.0*xgm_VGP_SI_VDI_SI)));
  q_pd_VGP_SI_VSI_BP=(+x_pm_VGP_SI_VSI_BP*(x_pm-(2.0*xgm))+x_pm_VGP_SI*(x_pm_VSI_BP-((2.0*xgm_VSI_BP)))+x_pm_VSI_BP*(x_pm_VGP_SI-(2.0*xgm_VGP_SI))+x_pm*(+x_pm_VGP_SI_VSI_BP-(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VGP_SI+2.0*xgm_VGP_SI_VSI_BP)));
#endif
q_pd_VDI_SI=((x_pm_VDI_SI*(x_pm-(2.0*xgm)))+(x_pm*(x_pm_VDI_SI-(2.0*xgm_VDI_SI))));
#if defined(_DERIVATE2)
  q_pd_VDI_SI_VGP_SI=(+x_pm_VDI_SI_VGP_SI*(x_pm-(2.0*xgm))+x_pm_VDI_SI*(x_pm_VGP_SI-((2.0*xgm_VGP_SI)))+x_pm_VGP_SI*(x_pm_VDI_SI-(2.0*xgm_VDI_SI))+x_pm*(+x_pm_VDI_SI_VGP_SI-(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VDI_SI+2.0*xgm_VDI_SI_VGP_SI)));
  q_pd_VDI_SI_VDI_SI=(+x_pm_VDI_SI_VDI_SI*(x_pm-(2.0*xgm))+x_pm_VDI_SI*(x_pm_VDI_SI-((2.0*xgm_VDI_SI)))+x_pm_VDI_SI*(x_pm_VDI_SI-(2.0*xgm_VDI_SI))+x_pm*(+x_pm_VDI_SI_VDI_SI-(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VDI_SI+2.0*xgm_VDI_SI_VDI_SI)));
  q_pd_VDI_SI_VSI_BP=(+x_pm_VDI_SI_VSI_BP*(x_pm-(2.0*xgm))+x_pm_VDI_SI*(x_pm_VSI_BP-((2.0*xgm_VSI_BP)))+x_pm_VSI_BP*(x_pm_VDI_SI-(2.0*xgm_VDI_SI))+x_pm*(+x_pm_VDI_SI_VSI_BP-(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VDI_SI+2.0*xgm_VDI_SI_VSI_BP)));
#endif
q_pd_VSI_BP=((x_pm_VSI_BP*(x_pm-(2.0*xgm)))+(x_pm*(x_pm_VSI_BP-(2.0*xgm_VSI_BP))));
#if defined(_DERIVATE2)
  q_pd_VSI_BP_VGP_SI=(+x_pm_VSI_BP_VGP_SI*(x_pm-(2.0*xgm))+x_pm_VSI_BP*(x_pm_VGP_SI-((2.0*xgm_VGP_SI)))+x_pm_VGP_SI*(x_pm_VSI_BP-(2.0*xgm_VSI_BP))+x_pm*(+x_pm_VSI_BP_VGP_SI-(+0.0*xgm+0.0*xgm_VGP_SI+0.0*xgm_VSI_BP+2.0*xgm_VSI_BP_VGP_SI)));
  q_pd_VSI_BP_VDI_SI=(+x_pm_VSI_BP_VDI_SI*(x_pm-(2.0*xgm))+x_pm_VSI_BP*(x_pm_VDI_SI-((2.0*xgm_VDI_SI)))+x_pm_VDI_SI*(x_pm_VSI_BP-(2.0*xgm_VSI_BP))+x_pm*(+x_pm_VSI_BP_VDI_SI-(+0.0*xgm+0.0*xgm_VDI_SI+0.0*xgm_VSI_BP+2.0*xgm_VSI_BP_VDI_SI)));
  q_pd_VSI_BP_VSI_BP=(+x_pm_VSI_BP_VSI_BP*(x_pm-(2.0*xgm))+x_pm_VSI_BP*(x_pm_VSI_BP-((2.0*xgm_VSI_BP)))+x_pm_VSI_BP*(x_pm_VSI_BP-(2.0*xgm_VSI_BP))+x_pm*(+x_pm_VSI_BP_VSI_BP-(+0.0*xgm+0.0*xgm_VSI_BP+0.0*xgm_VSI_BP+2.0*xgm_VSI_BP_VSI_BP)));
#endif
#endif
q_pd=(x_pm*(x_pm-(2.0*xgm)));
EXIT_IF_ISNAN((x_pm*(x_pm-(2.0*xgm))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
xi_pd_VDI_SI=(-(0.5*((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI)))));
#if defined(_DERIVATE2)
  xi_pd_VDI_SI_VDI_SI=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI))))+0.0*((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI)))+0.5*(+Gf2_VDI_SI_VDI_SI*(Em+Dm)+Gf2_VDI_SI*(Em_VDI_SI+Dm_VDI_SI)+Gf2_VDI_SI*(Em_VDI_SI+Dm_VDI_SI)+Gf2*(+Em_VDI_SI_VDI_SI+Dm_VDI_SI_VDI_SI))));
  xi_pd_VDI_SI_VGP_SI=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI))))+0.0*((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI)))+0.5*(+Gf2_VDI_SI_VGP_SI*(Em+Dm)+Gf2_VDI_SI*(Em_VGP_SI+Dm_VGP_SI)+Gf2_VGP_SI*(Em_VDI_SI+Dm_VDI_SI)+Gf2*(+Em_VDI_SI_VGP_SI+Dm_VDI_SI_VGP_SI))));
  xi_pd_VDI_SI_VSI_BP=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP))))+0.0*((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI)))+0.5*(+Gf2_VDI_SI_VSI_BP*(Em+Dm)+Gf2_VDI_SI*(Em_VSI_BP+Dm_VSI_BP)+Gf2_VSI_BP*(Em_VDI_SI+Dm_VDI_SI)+Gf2*(+Em_VDI_SI_VSI_BP+Dm_VDI_SI_VSI_BP))));
#endif
xi_pd_VGP_SI=(-(0.5*((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI)))));
#if defined(_DERIVATE2)
  xi_pd_VGP_SI_VDI_SI=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI))))+0.0*((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI)))+0.5*(+Gf2_VGP_SI_VDI_SI*(Em+Dm)+Gf2_VGP_SI*(Em_VDI_SI+Dm_VDI_SI)+Gf2_VDI_SI*(Em_VGP_SI+Dm_VGP_SI)+Gf2*(+Em_VGP_SI_VDI_SI+Dm_VGP_SI_VDI_SI))));
  xi_pd_VGP_SI_VGP_SI=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI))))+0.0*((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI)))+0.5*(+Gf2_VGP_SI_VGP_SI*(Em+Dm)+Gf2_VGP_SI*(Em_VGP_SI+Dm_VGP_SI)+Gf2_VGP_SI*(Em_VGP_SI+Dm_VGP_SI)+Gf2*(+Em_VGP_SI_VGP_SI+Dm_VGP_SI_VGP_SI))));
  xi_pd_VGP_SI_VSI_BP=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP))))+0.0*((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI)))+0.5*(+Gf2_VGP_SI_VSI_BP*(Em+Dm)+Gf2_VGP_SI*(Em_VSI_BP+Dm_VSI_BP)+Gf2_VSI_BP*(Em_VGP_SI+Dm_VGP_SI)+Gf2*(+Em_VGP_SI_VSI_BP+Dm_VGP_SI_VSI_BP))));
#endif
xi_pd_VSI_BP=(-(0.5*((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP)))));
#if defined(_DERIVATE2)
  xi_pd_VSI_BP_VDI_SI=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VDI_SI*(Em+Dm))+(Gf2*(Em_VDI_SI+Dm_VDI_SI))))+0.0*((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP)))+0.5*(+Gf2_VSI_BP_VDI_SI*(Em+Dm)+Gf2_VSI_BP*(Em_VDI_SI+Dm_VDI_SI)+Gf2_VDI_SI*(Em_VSI_BP+Dm_VSI_BP)+Gf2*(+Em_VSI_BP_VDI_SI+Dm_VSI_BP_VDI_SI))));
  xi_pd_VSI_BP_VGP_SI=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VGP_SI*(Em+Dm))+(Gf2*(Em_VGP_SI+Dm_VGP_SI))))+0.0*((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP)))+0.5*(+Gf2_VSI_BP_VGP_SI*(Em+Dm)+Gf2_VSI_BP*(Em_VGP_SI+Dm_VGP_SI)+Gf2_VGP_SI*(Em_VSI_BP+Dm_VSI_BP)+Gf2*(+Em_VSI_BP_VGP_SI+Dm_VSI_BP_VGP_SI))));
  xi_pd_VSI_BP_VSI_BP=(+0.0-(+0.0*(Gf2*(Em+Dm))+0.0*(((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP))))+0.0*((Gf2_VSI_BP*(Em+Dm))+(Gf2*(Em_VSI_BP+Dm_VSI_BP)))+0.5*(+Gf2_VSI_BP_VSI_BP*(Em+Dm)+Gf2_VSI_BP*(Em_VSI_BP+Dm_VSI_BP)+Gf2_VSI_BP*(Em_VSI_BP+Dm_VSI_BP)+Gf2*(+Em_VSI_BP_VSI_BP+Dm_VSI_BP_VSI_BP))));
#endif
#endif
xi_pd=(1.0-(0.5*(Gf2*(Em+Dm))));
EXIT_IF_ISNAN((1.0-(0.5*(Gf2*(Em+Dm)))))
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
u_pd_VGP_SI=((((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI))*((p_pd*p_pd)-(xi_pd*q_pd))-(q_pd*p_pd)*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
#if defined(_DERIVATE2)
  u_pd_VGP_SI_VGP_SI=((+q_pd_VGP_SI_VGP_SI*p_pd+q_pd_VGP_SI*p_pd_VGP_SI+q_pd_VGP_SI*p_pd_VGP_SI+q_pd*p_pd_VGP_SI_VGP_SI)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI))*((((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI)))-(((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))+(((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI)))*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI)))+(q_pd*p_pd)*(+(+p_pd_VGP_SI_VGP_SI*p_pd+p_pd_VGP_SI*p_pd_VGP_SI+p_pd_VGP_SI*p_pd_VGP_SI+p_pd*p_pd_VGP_SI_VGP_SI)-(+xi_pd_VGP_SI_VGP_SI*q_pd+xi_pd_VGP_SI*q_pd_VGP_SI+xi_pd_VGP_SI*q_pd_VGP_SI+xi_pd*q_pd_VGP_SI_VGP_SI)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI)))*((((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI)))-(((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
  u_pd_VGP_SI_VDI_SI=((+q_pd_VGP_SI_VDI_SI*p_pd+q_pd_VGP_SI*p_pd_VDI_SI+q_pd_VDI_SI*p_pd_VGP_SI+q_pd*p_pd_VGP_SI_VDI_SI)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI))*((((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI)))-(((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))+(((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI)))*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI)))+(q_pd*p_pd)*(+(+p_pd_VGP_SI_VDI_SI*p_pd+p_pd_VGP_SI*p_pd_VDI_SI+p_pd_VDI_SI*p_pd_VGP_SI+p_pd*p_pd_VGP_SI_VDI_SI)-(+xi_pd_VGP_SI_VDI_SI*q_pd+xi_pd_VGP_SI*q_pd_VDI_SI+xi_pd_VDI_SI*q_pd_VGP_SI+xi_pd*q_pd_VGP_SI_VDI_SI)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI)))*((((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI)))-(((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
  u_pd_VGP_SI_VSI_BP=((+q_pd_VGP_SI_VSI_BP*p_pd+q_pd_VGP_SI*p_pd_VSI_BP+q_pd_VSI_BP*p_pd_VGP_SI+q_pd*p_pd_VGP_SI_VSI_BP)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI))*((((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP)))-(((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))+(((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP)))*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI)))+(q_pd*p_pd)*(+(+p_pd_VGP_SI_VSI_BP*p_pd+p_pd_VGP_SI*p_pd_VSI_BP+p_pd_VSI_BP*p_pd_VGP_SI+p_pd*p_pd_VGP_SI_VSI_BP)-(+xi_pd_VGP_SI_VSI_BP*q_pd+xi_pd_VGP_SI*q_pd_VSI_BP+xi_pd_VSI_BP*q_pd_VGP_SI+xi_pd*q_pd_VGP_SI_VSI_BP)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI))-((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI)))*((((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP)))-(((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
#endif
u_pd_VDI_SI=((((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI))*((p_pd*p_pd)-(xi_pd*q_pd))-(q_pd*p_pd)*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
#if defined(_DERIVATE2)
  u_pd_VDI_SI_VGP_SI=((+q_pd_VDI_SI_VGP_SI*p_pd+q_pd_VDI_SI*p_pd_VGP_SI+q_pd_VGP_SI*p_pd_VDI_SI+q_pd*p_pd_VDI_SI_VGP_SI)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI))*((((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI)))-(((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))+(((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI)))*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI)))+(q_pd*p_pd)*(+(+p_pd_VDI_SI_VGP_SI*p_pd+p_pd_VDI_SI*p_pd_VGP_SI+p_pd_VGP_SI*p_pd_VDI_SI+p_pd*p_pd_VDI_SI_VGP_SI)-(+xi_pd_VDI_SI_VGP_SI*q_pd+xi_pd_VDI_SI*q_pd_VGP_SI+xi_pd_VGP_SI*q_pd_VDI_SI+xi_pd*q_pd_VDI_SI_VGP_SI)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI)))*((((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI)))-(((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
  u_pd_VDI_SI_VDI_SI=((+q_pd_VDI_SI_VDI_SI*p_pd+q_pd_VDI_SI*p_pd_VDI_SI+q_pd_VDI_SI*p_pd_VDI_SI+q_pd*p_pd_VDI_SI_VDI_SI)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI))*((((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI)))-(((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))+(((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI)))*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI)))+(q_pd*p_pd)*(+(+p_pd_VDI_SI_VDI_SI*p_pd+p_pd_VDI_SI*p_pd_VDI_SI+p_pd_VDI_SI*p_pd_VDI_SI+p_pd*p_pd_VDI_SI_VDI_SI)-(+xi_pd_VDI_SI_VDI_SI*q_pd+xi_pd_VDI_SI*q_pd_VDI_SI+xi_pd_VDI_SI*q_pd_VDI_SI+xi_pd*q_pd_VDI_SI_VDI_SI)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI)))*((((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI)))-(((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
  u_pd_VDI_SI_VSI_BP=((+q_pd_VDI_SI_VSI_BP*p_pd+q_pd_VDI_SI*p_pd_VSI_BP+q_pd_VSI_BP*p_pd_VDI_SI+q_pd*p_pd_VDI_SI_VSI_BP)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI))*((((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP)))-(((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))+(((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP)))*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI)))+(q_pd*p_pd)*(+(+p_pd_VDI_SI_VSI_BP*p_pd+p_pd_VDI_SI*p_pd_VSI_BP+p_pd_VSI_BP*p_pd_VDI_SI+p_pd*p_pd_VDI_SI_VSI_BP)-(+xi_pd_VDI_SI_VSI_BP*q_pd+xi_pd_VDI_SI*q_pd_VSI_BP+xi_pd_VSI_BP*q_pd_VDI_SI+xi_pd*q_pd_VDI_SI_VSI_BP)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI))-((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI)))*((((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP)))-(((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
#endif
u_pd_VSI_BP=((((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP))*((p_pd*p_pd)-(xi_pd*q_pd))-(q_pd*p_pd)*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
#if defined(_DERIVATE2)
  u_pd_VSI_BP_VGP_SI=((+q_pd_VSI_BP_VGP_SI*p_pd+q_pd_VSI_BP*p_pd_VGP_SI+q_pd_VGP_SI*p_pd_VSI_BP+q_pd*p_pd_VSI_BP_VGP_SI)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP))*((((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI)))-(((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))+(((q_pd_VGP_SI*p_pd)+(q_pd*p_pd_VGP_SI)))*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP)))+(q_pd*p_pd)*(+(+p_pd_VSI_BP_VGP_SI*p_pd+p_pd_VSI_BP*p_pd_VGP_SI+p_pd_VGP_SI*p_pd_VSI_BP+p_pd*p_pd_VSI_BP_VGP_SI)-(+xi_pd_VSI_BP_VGP_SI*q_pd+xi_pd_VSI_BP*q_pd_VGP_SI+xi_pd_VGP_SI*q_pd_VSI_BP+xi_pd*q_pd_VSI_BP_VGP_SI)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP)))*((((p_pd_VGP_SI*p_pd)+(p_pd*p_pd_VGP_SI)))-(((xi_pd_VGP_SI*q_pd)+(xi_pd*q_pd_VGP_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
  u_pd_VSI_BP_VDI_SI=((+q_pd_VSI_BP_VDI_SI*p_pd+q_pd_VSI_BP*p_pd_VDI_SI+q_pd_VDI_SI*p_pd_VSI_BP+q_pd*p_pd_VSI_BP_VDI_SI)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP))*((((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI)))-(((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))+(((q_pd_VDI_SI*p_pd)+(q_pd*p_pd_VDI_SI)))*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP)))+(q_pd*p_pd)*(+(+p_pd_VSI_BP_VDI_SI*p_pd+p_pd_VSI_BP*p_pd_VDI_SI+p_pd_VDI_SI*p_pd_VSI_BP+p_pd*p_pd_VSI_BP_VDI_SI)-(+xi_pd_VSI_BP_VDI_SI*q_pd+xi_pd_VSI_BP*q_pd_VDI_SI+xi_pd_VDI_SI*q_pd_VSI_BP+xi_pd*q_pd_VSI_BP_VDI_SI)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP)))*((((p_pd_VDI_SI*p_pd)+(p_pd*p_pd_VDI_SI)))-(((xi_pd_VDI_SI*q_pd)+(xi_pd*q_pd_VDI_SI))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
  u_pd_VSI_BP_VSI_BP=((+q_pd_VSI_BP_VSI_BP*p_pd+q_pd_VSI_BP*p_pd_VSI_BP+q_pd_VSI_BP*p_pd_VSI_BP+q_pd*p_pd_VSI_BP_VSI_BP)/((p_pd*p_pd)-(xi_pd*q_pd))-(((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP))*((((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP)))-(((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))+(((q_pd_VSI_BP*p_pd)+(q_pd*p_pd_VSI_BP)))*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP)))+(q_pd*p_pd)*(+(+p_pd_VSI_BP_VSI_BP*p_pd+p_pd_VSI_BP*p_pd_VSI_BP+p_pd_VSI_BP*p_pd_VSI_BP+p_pd*p_pd_VSI_BP_VSI_BP)-(+xi_pd_VSI_BP_VSI_BP*q_pd+xi_pd_VSI_BP*q_pd_VSI_BP+xi_pd_VSI_BP*q_pd_VSI_BP+xi_pd*q_pd_VSI_BP_VSI_BP)))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))+2*(q_pd*p_pd)*(((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP))-((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP)))*((((p_pd_VSI_BP*p_pd)+(p_pd*p_pd_VSI_BP)))-(((xi_pd_VSI_BP*q_pd)+(xi_pd*q_pd_VSI_BP))))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd))/((p_pd*p_pd)-(xi_pd*q_pd)));
#endif
#endif
u_pd=((q_pd*p_pd)/((p_pd*p_pd)-(xi_pd*q_pd)));
EXIT_IF_ISNAN(((q_pd*p_pd)/((p_pd*p_pd)-(xi_pd*q_pd))))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
x_m_VDI_SI=(x_m_VDI_SI+u_pd_VDI_SI);
#if defined(_DERIVATE2)
  x_m_VDI_SI_VDI_SI=(+x_m_VDI_SI_VDI_SI+u_pd_VDI_SI_VDI_SI);
  x_m_VDI_SI_VGP_SI=(+x_m_VDI_SI_VGP_SI+u_pd_VDI_SI_VGP_SI);
  x_m_VDI_SI_VSI_BP=(+x_m_VDI_SI_VSI_BP+u_pd_VDI_SI_VSI_BP);
#endif
x_m_VGP_SI=(x_m_VGP_SI+u_pd_VGP_SI);
#if defined(_DERIVATE2)
  x_m_VGP_SI_VDI_SI=(+x_m_VGP_SI_VDI_SI+u_pd_VGP_SI_VDI_SI);
  x_m_VGP_SI_VGP_SI=(+x_m_VGP_SI_VGP_SI+u_pd_VGP_SI_VGP_SI);
  x_m_VGP_SI_VSI_BP=(+x_m_VGP_SI_VSI_BP+u_pd_VGP_SI_VSI_BP);
#endif
x_m_VSI_BP=(x_m_VSI_BP+u_pd_VSI_BP);
#if defined(_DERIVATE2)
  x_m_VSI_BP_VDI_SI=(+x_m_VSI_BP_VDI_SI+u_pd_VSI_BP_VDI_SI);
  x_m_VSI_BP_VGP_SI=(+x_m_VSI_BP_VGP_SI+u_pd_VSI_BP_VGP_SI);
  x_m_VSI_BP_VSI_BP=(+x_m_VSI_BP_VSI_BP+u_pd_VSI_BP_VSI_BP);
#endif
#endif
x_m=(x_m+u_pd);
EXIT_IF_ISNAN((x_m+u_pd))
{
double m00_exp(d00_exp0,u_pd)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
km_VGP_SI=u_pd_VGP_SI*d10_exp0;
#if defined(_DERIVATE2)
  km_VGP_SI_VGP_SI=(m20_exp(u_pd)*u_pd_VGP_SI*u_pd_VGP_SI+d10_exp0*u_pd_VGP_SI_VGP_SI);
  km_VGP_SI_VDI_SI=(m20_exp(u_pd)*u_pd_VDI_SI*u_pd_VGP_SI+d10_exp0*u_pd_VGP_SI_VDI_SI);
  km_VGP_SI_VSI_BP=(m20_exp(u_pd)*u_pd_VSI_BP*u_pd_VGP_SI+d10_exp0*u_pd_VGP_SI_VSI_BP);
#endif
km_VDI_SI=u_pd_VDI_SI*d10_exp0;
#if defined(_DERIVATE2)
  km_VDI_SI_VGP_SI=(m20_exp(u_pd)*u_pd_VGP_SI*u_pd_VDI_SI+d10_exp0*u_pd_VDI_SI_VGP_SI);
  km_VDI_SI_VDI_SI=(m20_exp(u_pd)*u_pd_VDI_SI*u_pd_VDI_SI+d10_exp0*u_pd_VDI_SI_VDI_SI);
  km_VDI_SI_VSI_BP=(m20_exp(u_pd)*u_pd_VSI_BP*u_pd_VDI_SI+d10_exp0*u_pd_VDI_SI_VSI_BP);
#endif
km_VSI_BP=u_pd_VSI_BP*d10_exp0;
#if defined(_DERIVATE2)
  km_VSI_BP_VGP_SI=(m20_exp(u_pd)*u_pd_VGP_SI*u_pd_VSI_BP+d10_exp0*u_pd_VSI_BP_VGP_SI);
  km_VSI_BP_VDI_SI=(m20_exp(u_pd)*u_pd_VDI_SI*u_pd_VSI_BP+d10_exp0*u_pd_VSI_BP_VDI_SI);
  km_VSI_BP_VSI_BP=(m20_exp(u_pd)*u_pd_VSI_BP*u_pd_VSI_BP+d10_exp0*u_pd_VSI_BP_VSI_BP);
#endif
#endif
km=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Em_VDI_SI=((Em_VDI_SI*km-Em*km_VDI_SI)/km/km);
#if defined(_DERIVATE2)
  Em_VDI_SI_VDI_SI=(Em_VDI_SI_VDI_SI/km-(Em_VDI_SI*km_VDI_SI+Em_VDI_SI*km_VDI_SI+Em*km_VDI_SI_VDI_SI)/km/km+2*Em*km_VDI_SI*km_VDI_SI/km/km/km);
  Em_VDI_SI_VGP_SI=(Em_VDI_SI_VGP_SI/km-(Em_VDI_SI*km_VGP_SI+Em_VGP_SI*km_VDI_SI+Em*km_VDI_SI_VGP_SI)/km/km+2*Em*km_VDI_SI*km_VGP_SI/km/km/km);
  Em_VDI_SI_VSI_BP=(Em_VDI_SI_VSI_BP/km-(Em_VDI_SI*km_VSI_BP+Em_VSI_BP*km_VDI_SI+Em*km_VDI_SI_VSI_BP)/km/km+2*Em*km_VDI_SI*km_VSI_BP/km/km/km);
#endif
Em_VGP_SI=((Em_VGP_SI*km-Em*km_VGP_SI)/km/km);
#if defined(_DERIVATE2)
  Em_VGP_SI_VDI_SI=(Em_VGP_SI_VDI_SI/km-(Em_VGP_SI*km_VDI_SI+Em_VDI_SI*km_VGP_SI+Em*km_VGP_SI_VDI_SI)/km/km+2*Em*km_VGP_SI*km_VDI_SI/km/km/km);
  Em_VGP_SI_VGP_SI=(Em_VGP_SI_VGP_SI/km-(Em_VGP_SI*km_VGP_SI+Em_VGP_SI*km_VGP_SI+Em*km_VGP_SI_VGP_SI)/km/km+2*Em*km_VGP_SI*km_VGP_SI/km/km/km);
  Em_VGP_SI_VSI_BP=(Em_VGP_SI_VSI_BP/km-(Em_VGP_SI*km_VSI_BP+Em_VSI_BP*km_VGP_SI+Em*km_VGP_SI_VSI_BP)/km/km+2*Em*km_VGP_SI*km_VSI_BP/km/km/km);
#endif
Em_VSI_BP=((Em_VSI_BP*km-Em*km_VSI_BP)/km/km);
#if defined(_DERIVATE2)
  Em_VSI_BP_VDI_SI=(Em_VSI_BP_VDI_SI/km-(Em_VSI_BP*km_VDI_SI+Em_VDI_SI*km_VSI_BP+Em*km_VSI_BP_VDI_SI)/km/km+2*Em*km_VSI_BP*km_VDI_SI/km/km/km);
  Em_VSI_BP_VGP_SI=(Em_VSI_BP_VGP_SI/km-(Em_VSI_BP*km_VGP_SI+Em_VGP_SI*km_VSI_BP+Em*km_VSI_BP_VGP_SI)/km/km+2*Em*km_VSI_BP*km_VGP_SI/km/km/km);
  Em_VSI_BP_VSI_BP=(Em_VSI_BP_VSI_BP/km-(Em_VSI_BP*km_VSI_BP+Em_VSI_BP*km_VSI_BP+Em*km_VSI_BP_VSI_BP)/km/km+2*Em*km_VSI_BP*km_VSI_BP/km/km/km);
#endif
#endif
Em=(Em/km);
EXIT_IF_ISNAN((Em/km))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Dm_VDI_SI=((Dm_VDI_SI*km)+(Dm*km_VDI_SI));
#if defined(_DERIVATE2)
  Dm_VDI_SI_VDI_SI=(+Dm_VDI_SI_VDI_SI*km+Dm_VDI_SI*km_VDI_SI+Dm_VDI_SI*km_VDI_SI+Dm*km_VDI_SI_VDI_SI);
  Dm_VDI_SI_VGP_SI=(+Dm_VDI_SI_VGP_SI*km+Dm_VDI_SI*km_VGP_SI+Dm_VGP_SI*km_VDI_SI+Dm*km_VDI_SI_VGP_SI);
  Dm_VDI_SI_VSI_BP=(+Dm_VDI_SI_VSI_BP*km+Dm_VDI_SI*km_VSI_BP+Dm_VSI_BP*km_VDI_SI+Dm*km_VDI_SI_VSI_BP);
#endif
Dm_VGP_SI=((Dm_VGP_SI*km)+(Dm*km_VGP_SI));
#if defined(_DERIVATE2)
  Dm_VGP_SI_VDI_SI=(+Dm_VGP_SI_VDI_SI*km+Dm_VGP_SI*km_VDI_SI+Dm_VDI_SI*km_VGP_SI+Dm*km_VGP_SI_VDI_SI);
  Dm_VGP_SI_VGP_SI=(+Dm_VGP_SI_VGP_SI*km+Dm_VGP_SI*km_VGP_SI+Dm_VGP_SI*km_VGP_SI+Dm*km_VGP_SI_VGP_SI);
  Dm_VGP_SI_VSI_BP=(+Dm_VGP_SI_VSI_BP*km+Dm_VGP_SI*km_VSI_BP+Dm_VSI_BP*km_VGP_SI+Dm*km_VGP_SI_VSI_BP);
#endif
Dm_VSI_BP=((Dm_VSI_BP*km)+(Dm*km_VSI_BP));
#if defined(_DERIVATE2)
  Dm_VSI_BP_VDI_SI=(+Dm_VSI_BP_VDI_SI*km+Dm_VSI_BP*km_VDI_SI+Dm_VDI_SI*km_VSI_BP+Dm*km_VSI_BP_VDI_SI);
  Dm_VSI_BP_VGP_SI=(+Dm_VSI_BP_VGP_SI*km+Dm_VSI_BP*km_VGP_SI+Dm_VGP_SI*km_VSI_BP+Dm*km_VSI_BP_VGP_SI);
  Dm_VSI_BP_VSI_BP=(+Dm_VSI_BP_VSI_BP*km+Dm_VSI_BP*km_VSI_BP+Dm_VSI_BP*km_VSI_BP+Dm*km_VSI_BP_VSI_BP);
#endif
#endif
Dm=(Dm*km);
EXIT_IF_ISNAN((Dm*km))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Pm_VDI_SI=(x_m_VDI_SI+Em_VDI_SI);
#if defined(_DERIVATE2)
  Pm_VDI_SI_VDI_SI=(+(+x_m_VDI_SI_VDI_SI-0.0)+Em_VDI_SI_VDI_SI);
  Pm_VDI_SI_VGP_SI=(+(+x_m_VDI_SI_VGP_SI-0.0)+Em_VDI_SI_VGP_SI);
  Pm_VDI_SI_VSI_BP=(+(+x_m_VDI_SI_VSI_BP-0.0)+Em_VDI_SI_VSI_BP);
#endif
Pm_VGP_SI=(x_m_VGP_SI+Em_VGP_SI);
#if defined(_DERIVATE2)
  Pm_VGP_SI_VDI_SI=(+(+x_m_VGP_SI_VDI_SI-0.0)+Em_VGP_SI_VDI_SI);
  Pm_VGP_SI_VGP_SI=(+(+x_m_VGP_SI_VGP_SI-0.0)+Em_VGP_SI_VGP_SI);
  Pm_VGP_SI_VSI_BP=(+(+x_m_VGP_SI_VSI_BP-0.0)+Em_VGP_SI_VSI_BP);
#endif
Pm_VSI_BP=(x_m_VSI_BP+Em_VSI_BP);
#if defined(_DERIVATE2)
  Pm_VSI_BP_VDI_SI=(+(+x_m_VSI_BP_VDI_SI-0.0)+Em_VSI_BP_VDI_SI);
  Pm_VSI_BP_VGP_SI=(+(+x_m_VSI_BP_VGP_SI-0.0)+Em_VSI_BP_VGP_SI);
  Pm_VSI_BP_VSI_BP=(+(+x_m_VSI_BP_VSI_BP-0.0)+Em_VSI_BP_VSI_BP);
#endif
#endif
Pm=((x_m-1.0)+Em);
EXIT_IF_ISNAN(((x_m-1.0)+Em))
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,(Dm+Pm))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(Dm+Pm))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
xgm_VDI_SI=((Gf_VDI_SI*d00_sqrt0)+(Gf*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VDI_SI_VDI_SI=(+Gf_VDI_SI_VDI_SI*d00_sqrt0+Gf_VDI_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VDI_SI+Pm_VDI_SI_VDI_SI)));
  xgm_VDI_SI_VGP_SI=(+Gf_VDI_SI_VGP_SI*d00_sqrt0+Gf_VDI_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VGP_SI+Pm_VDI_SI_VGP_SI)));
  xgm_VDI_SI_VSI_BP=(+Gf_VDI_SI_VSI_BP*d00_sqrt0+Gf_VDI_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VDI_SI+Pm_VDI_SI)+d10_sqrt0*(+Dm_VDI_SI_VSI_BP+Pm_VDI_SI_VSI_BP)));
#endif
xgm_VGP_SI=((Gf_VGP_SI*d00_sqrt0)+(Gf*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VGP_SI_VDI_SI=(+Gf_VGP_SI_VDI_SI*d00_sqrt0+Gf_VGP_SI*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VDI_SI+Pm_VGP_SI_VDI_SI)));
  xgm_VGP_SI_VGP_SI=(+Gf_VGP_SI_VGP_SI*d00_sqrt0+Gf_VGP_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VGP_SI+Pm_VGP_SI_VGP_SI)));
  xgm_VGP_SI_VSI_BP=(+Gf_VGP_SI_VSI_BP*d00_sqrt0+Gf_VGP_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VGP_SI+Pm_VGP_SI)+d10_sqrt0*(+Dm_VGP_SI_VSI_BP+Pm_VGP_SI_VSI_BP)));
#endif
xgm_VSI_BP=((Gf_VSI_BP*d00_sqrt0)+(Gf*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0));
#if defined(_DERIVATE2)
  xgm_VSI_BP_VDI_SI=(+Gf_VSI_BP_VDI_SI*d00_sqrt0+Gf_VSI_BP*(Dm_VDI_SI+Pm_VDI_SI)*d10_sqrt0+Gf_VDI_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VDI_SI+Pm_VDI_SI)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VDI_SI+Pm_VSI_BP_VDI_SI)));
  xgm_VSI_BP_VGP_SI=(+Gf_VSI_BP_VGP_SI*d00_sqrt0+Gf_VSI_BP*(Dm_VGP_SI+Pm_VGP_SI)*d10_sqrt0+Gf_VGP_SI*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VGP_SI+Pm_VGP_SI)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VGP_SI+Pm_VSI_BP_VGP_SI)));
  xgm_VSI_BP_VSI_BP=(+Gf_VSI_BP_VSI_BP*d00_sqrt0+Gf_VSI_BP*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf_VSI_BP*(Dm_VSI_BP+Pm_VSI_BP)*d10_sqrt0+Gf*(m20_sqrt((Dm+Pm))*(Dm_VSI_BP+Pm_VSI_BP)*(Dm_VSI_BP+Pm_VSI_BP)+d10_sqrt0*(+Dm_VSI_BP_VSI_BP+Pm_VSI_BP_VSI_BP)));
#endif
#endif
xgm=(Gf*d00_sqrt0);
EXIT_IF_ISNAN((Gf*d00_sqrt0))
}
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
km0_VDI_SI=((-Em_VDI_SI)+(2.0*((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI))));
#if defined(_DERIVATE2)
  km0_VDI_SI_VDI_SI=(+(+0.0-Em_VDI_SI_VDI_SI)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI)))+0.0*((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI))+2.0*(+(+xgm_VDI_SI_VDI_SI*eta_p+xgm_VDI_SI*eta_p_VDI_SI+xgm_VDI_SI*eta_p_VDI_SI+xgm*eta_p_VDI_SI_VDI_SI)*inv_Gf2+((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2_VDI_SI+(((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI)))*inv_Gf2_VDI_SI+(xgm*eta_p)*inv_Gf2_VDI_SI_VDI_SI)));
  km0_VDI_SI_VGP_SI=(+(+0.0-Em_VDI_SI_VGP_SI)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI)))+0.0*((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI))+2.0*(+(+xgm_VDI_SI_VGP_SI*eta_p+xgm_VDI_SI*eta_p_VGP_SI+xgm_VGP_SI*eta_p_VDI_SI+xgm*eta_p_VDI_SI_VGP_SI)*inv_Gf2+((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2_VGP_SI+(((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI)))*inv_Gf2_VDI_SI+(xgm*eta_p)*inv_Gf2_VDI_SI_VGP_SI)));
  km0_VDI_SI_VSI_BP=(+(+0.0-Em_VDI_SI_VSI_BP)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP)))+0.0*((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI))+2.0*(+(+xgm_VDI_SI_VSI_BP*eta_p+xgm_VDI_SI*eta_p_VSI_BP+xgm_VSI_BP*eta_p_VDI_SI+xgm*eta_p_VDI_SI_VSI_BP)*inv_Gf2+((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI))*inv_Gf2_VSI_BP+(((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP)))*inv_Gf2_VDI_SI+(xgm*eta_p)*inv_Gf2_VDI_SI_VSI_BP)));
#endif
km0_VGP_SI=((-Em_VGP_SI)+(2.0*((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI))));
#if defined(_DERIVATE2)
  km0_VGP_SI_VDI_SI=(+(+0.0-Em_VGP_SI_VDI_SI)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI)))+0.0*((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI))+2.0*(+(+xgm_VGP_SI_VDI_SI*eta_p+xgm_VGP_SI*eta_p_VDI_SI+xgm_VDI_SI*eta_p_VGP_SI+xgm*eta_p_VGP_SI_VDI_SI)*inv_Gf2+((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2_VDI_SI+(((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI)))*inv_Gf2_VGP_SI+(xgm*eta_p)*inv_Gf2_VGP_SI_VDI_SI)));
  km0_VGP_SI_VGP_SI=(+(+0.0-Em_VGP_SI_VGP_SI)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI)))+0.0*((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI))+2.0*(+(+xgm_VGP_SI_VGP_SI*eta_p+xgm_VGP_SI*eta_p_VGP_SI+xgm_VGP_SI*eta_p_VGP_SI+xgm*eta_p_VGP_SI_VGP_SI)*inv_Gf2+((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2_VGP_SI+(((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI)))*inv_Gf2_VGP_SI+(xgm*eta_p)*inv_Gf2_VGP_SI_VGP_SI)));
  km0_VGP_SI_VSI_BP=(+(+0.0-Em_VGP_SI_VSI_BP)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP)))+0.0*((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI))+2.0*(+(+xgm_VGP_SI_VSI_BP*eta_p+xgm_VGP_SI*eta_p_VSI_BP+xgm_VSI_BP*eta_p_VGP_SI+xgm*eta_p_VGP_SI_VSI_BP)*inv_Gf2+((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI))*inv_Gf2_VSI_BP+(((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP)))*inv_Gf2_VGP_SI+(xgm*eta_p)*inv_Gf2_VGP_SI_VSI_BP)));
#endif
km0_VSI_BP=((-Em_VSI_BP)+(2.0*((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP))));
#if defined(_DERIVATE2)
  km0_VSI_BP_VDI_SI=(+(+0.0-Em_VSI_BP_VDI_SI)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VDI_SI)))+0.0*((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP))+2.0*(+(+xgm_VSI_BP_VDI_SI*eta_p+xgm_VSI_BP*eta_p_VDI_SI+xgm_VDI_SI*eta_p_VSI_BP+xgm*eta_p_VSI_BP_VDI_SI)*inv_Gf2+((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2_VDI_SI+(((xgm_VDI_SI*eta_p)+(xgm*eta_p_VDI_SI)))*inv_Gf2_VSI_BP+(xgm*eta_p)*inv_Gf2_VSI_BP_VDI_SI)));
  km0_VSI_BP_VGP_SI=(+(+0.0-Em_VSI_BP_VGP_SI)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VGP_SI)))+0.0*((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP))+2.0*(+(+xgm_VSI_BP_VGP_SI*eta_p+xgm_VSI_BP*eta_p_VGP_SI+xgm_VGP_SI*eta_p_VSI_BP+xgm*eta_p_VSI_BP_VGP_SI)*inv_Gf2+((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2_VGP_SI+(((xgm_VGP_SI*eta_p)+(xgm*eta_p_VGP_SI)))*inv_Gf2_VSI_BP+(xgm*eta_p)*inv_Gf2_VSI_BP_VGP_SI)));
  km0_VSI_BP_VSI_BP=(+(+0.0-Em_VSI_BP_VSI_BP)+(+0.0*((xgm*eta_p)*inv_Gf2)+0.0*((((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP)))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP)))+0.0*((((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2)+((xgm*eta_p)*inv_Gf2_VSI_BP))+2.0*(+(+xgm_VSI_BP_VSI_BP*eta_p+xgm_VSI_BP*eta_p_VSI_BP+xgm_VSI_BP*eta_p_VSI_BP+xgm*eta_p_VSI_BP_VSI_BP)*inv_Gf2+((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP))*inv_Gf2_VSI_BP+(((xgm_VSI_BP*eta_p)+(xgm*eta_p_VSI_BP)))*inv_Gf2_VSI_BP+(xgm*eta_p)*inv_Gf2_VSI_BP_VSI_BP)));
#endif
#endif
km0=((1.0-Em)+(2.0*((xgm*eta_p)*inv_Gf2)));
EXIT_IF_ISNAN(((1.0-Em)+(2.0*((xgm*eta_p)*inv_Gf2))))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
x_ds_VDI_SI=((((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI)))*(km0+(km*D_bar))-((x_ds*km)*(d0+D_bar))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar)));
#if defined(_DERIVATE2)
  x_ds_VDI_SI_VDI_SI=((+(+x_ds_VDI_SI_VDI_SI*km+x_ds_VDI_SI*km_VDI_SI+x_ds_VDI_SI*km_VDI_SI+x_ds*km_VDI_SI_VDI_SI)*(d0+D_bar)+((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0_VDI_SI+D_bar_VDI_SI)+(((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI)))*(d0_VDI_SI+D_bar_VDI_SI)+(x_ds*km)*(+d0_VDI_SI_VDI_SI+D_bar_VDI_SI_VDI_SI))/(km0+(km*D_bar))-(((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI)))*(km0_VDI_SI+(((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))+((((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI)))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI))))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI)))+((x_ds*km)*(d0+D_bar))*(+km0_VDI_SI_VDI_SI+(+km_VDI_SI_VDI_SI*D_bar+km_VDI_SI*D_bar_VDI_SI+km_VDI_SI*D_bar_VDI_SI+km*D_bar_VDI_SI_VDI_SI)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI)))*(km0_VDI_SI+(((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
  x_ds_VDI_SI_VGP_SI=((+(+x_ds_VDI_SI_VGP_SI*km+x_ds_VDI_SI*km_VGP_SI+x_ds_VGP_SI*km_VDI_SI+x_ds*km_VDI_SI_VGP_SI)*(d0+D_bar)+((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0_VGP_SI+D_bar_VGP_SI)+(((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI)))*(d0_VDI_SI+D_bar_VDI_SI)+(x_ds*km)*(+d0_VDI_SI_VGP_SI+D_bar_VDI_SI_VGP_SI))/(km0+(km*D_bar))-(((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI)))*(km0_VGP_SI+(((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))+((((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI)))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI))))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI)))+((x_ds*km)*(d0+D_bar))*(+km0_VDI_SI_VGP_SI+(+km_VDI_SI_VGP_SI*D_bar+km_VDI_SI*D_bar_VGP_SI+km_VGP_SI*D_bar_VDI_SI+km*D_bar_VDI_SI_VGP_SI)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI)))*(km0_VGP_SI+(((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
  x_ds_VDI_SI_VSI_BP=((+(+x_ds_VDI_SI_VSI_BP*km+x_ds_VDI_SI*km_VSI_BP+x_ds_VSI_BP*km_VDI_SI+x_ds*km_VDI_SI_VSI_BP)*(d0+D_bar)+((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0_VSI_BP+D_bar_VSI_BP)+(((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP)))*(d0_VDI_SI+D_bar_VDI_SI)+(x_ds*km)*(+d0_VDI_SI_VSI_BP+D_bar_VDI_SI_VSI_BP))/(km0+(km*D_bar))-(((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI)))*(km0_VSI_BP+(((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))+((((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP)))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP))))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI)))+((x_ds*km)*(d0+D_bar))*(+km0_VDI_SI_VSI_BP+(+km_VDI_SI_VSI_BP*D_bar+km_VDI_SI*D_bar_VSI_BP+km_VSI_BP*D_bar_VDI_SI+km*D_bar_VDI_SI_VSI_BP)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VDI_SI+((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI)))*(km0_VSI_BP+(((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
#endif
x_ds_VGP_SI=((((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI)))*(km0+(km*D_bar))-((x_ds*km)*(d0+D_bar))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar)));
#if defined(_DERIVATE2)
  x_ds_VGP_SI_VDI_SI=((+(+x_ds_VGP_SI_VDI_SI*km+x_ds_VGP_SI*km_VDI_SI+x_ds_VDI_SI*km_VGP_SI+x_ds*km_VGP_SI_VDI_SI)*(d0+D_bar)+((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0_VDI_SI+D_bar_VDI_SI)+(((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI)))*(d0_VGP_SI+D_bar_VGP_SI)+(x_ds*km)*(+d0_VGP_SI_VDI_SI+D_bar_VGP_SI_VDI_SI))/(km0+(km*D_bar))-(((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI)))*(km0_VDI_SI+(((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))+((((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI)))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI))))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI)))+((x_ds*km)*(d0+D_bar))*(+km0_VGP_SI_VDI_SI+(+km_VGP_SI_VDI_SI*D_bar+km_VGP_SI*D_bar_VDI_SI+km_VDI_SI*D_bar_VGP_SI+km*D_bar_VGP_SI_VDI_SI)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI)))*(km0_VDI_SI+(((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
  x_ds_VGP_SI_VGP_SI=((+(+x_ds_VGP_SI_VGP_SI*km+x_ds_VGP_SI*km_VGP_SI+x_ds_VGP_SI*km_VGP_SI+x_ds*km_VGP_SI_VGP_SI)*(d0+D_bar)+((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0_VGP_SI+D_bar_VGP_SI)+(((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI)))*(d0_VGP_SI+D_bar_VGP_SI)+(x_ds*km)*(+d0_VGP_SI_VGP_SI+D_bar_VGP_SI_VGP_SI))/(km0+(km*D_bar))-(((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI)))*(km0_VGP_SI+(((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))+((((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI)))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI))))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI)))+((x_ds*km)*(d0+D_bar))*(+km0_VGP_SI_VGP_SI+(+km_VGP_SI_VGP_SI*D_bar+km_VGP_SI*D_bar_VGP_SI+km_VGP_SI*D_bar_VGP_SI+km*D_bar_VGP_SI_VGP_SI)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI)))*(km0_VGP_SI+(((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
  x_ds_VGP_SI_VSI_BP=((+(+x_ds_VGP_SI_VSI_BP*km+x_ds_VGP_SI*km_VSI_BP+x_ds_VSI_BP*km_VGP_SI+x_ds*km_VGP_SI_VSI_BP)*(d0+D_bar)+((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0_VSI_BP+D_bar_VSI_BP)+(((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP)))*(d0_VGP_SI+D_bar_VGP_SI)+(x_ds*km)*(+d0_VGP_SI_VSI_BP+D_bar_VGP_SI_VSI_BP))/(km0+(km*D_bar))-(((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI)))*(km0_VSI_BP+(((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))+((((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP)))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP))))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI)))+((x_ds*km)*(d0+D_bar))*(+km0_VGP_SI_VSI_BP+(+km_VGP_SI_VSI_BP*D_bar+km_VGP_SI*D_bar_VSI_BP+km_VSI_BP*D_bar_VGP_SI+km*D_bar_VGP_SI_VSI_BP)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VGP_SI+((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI)))*(km0_VSI_BP+(((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
#endif
x_ds_VSI_BP=((((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP)))*(km0+(km*D_bar))-((x_ds*km)*(d0+D_bar))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))/(km0+(km*D_bar))/(km0+(km*D_bar)));
#if defined(_DERIVATE2)
  x_ds_VSI_BP_VDI_SI=((+(+x_ds_VSI_BP_VDI_SI*km+x_ds_VSI_BP*km_VDI_SI+x_ds_VDI_SI*km_VSI_BP+x_ds*km_VSI_BP_VDI_SI)*(d0+D_bar)+((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0_VDI_SI+D_bar_VDI_SI)+(((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI)))*(d0_VSI_BP+D_bar_VSI_BP)+(x_ds*km)*(+d0_VSI_BP_VDI_SI+D_bar_VSI_BP_VDI_SI))/(km0+(km*D_bar))-(((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP)))*(km0_VDI_SI+(((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))+((((((x_ds_VDI_SI*km)+(x_ds*km_VDI_SI)))*(d0+D_bar))+((x_ds*km)*(d0_VDI_SI+D_bar_VDI_SI))))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP)))+((x_ds*km)*(d0+D_bar))*(+km0_VSI_BP_VDI_SI+(+km_VSI_BP_VDI_SI*D_bar+km_VSI_BP*D_bar_VDI_SI+km_VDI_SI*D_bar_VSI_BP+km*D_bar_VSI_BP_VDI_SI)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP)))*(km0_VDI_SI+(((km_VDI_SI*D_bar)+(km*D_bar_VDI_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
  x_ds_VSI_BP_VGP_SI=((+(+x_ds_VSI_BP_VGP_SI*km+x_ds_VSI_BP*km_VGP_SI+x_ds_VGP_SI*km_VSI_BP+x_ds*km_VSI_BP_VGP_SI)*(d0+D_bar)+((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0_VGP_SI+D_bar_VGP_SI)+(((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI)))*(d0_VSI_BP+D_bar_VSI_BP)+(x_ds*km)*(+d0_VSI_BP_VGP_SI+D_bar_VSI_BP_VGP_SI))/(km0+(km*D_bar))-(((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP)))*(km0_VGP_SI+(((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))+((((((x_ds_VGP_SI*km)+(x_ds*km_VGP_SI)))*(d0+D_bar))+((x_ds*km)*(d0_VGP_SI+D_bar_VGP_SI))))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP)))+((x_ds*km)*(d0+D_bar))*(+km0_VSI_BP_VGP_SI+(+km_VSI_BP_VGP_SI*D_bar+km_VSI_BP*D_bar_VGP_SI+km_VGP_SI*D_bar_VSI_BP+km*D_bar_VSI_BP_VGP_SI)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP)))*(km0_VGP_SI+(((km_VGP_SI*D_bar)+(km*D_bar_VGP_SI))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
  x_ds_VSI_BP_VSI_BP=((+(+x_ds_VSI_BP_VSI_BP*km+x_ds_VSI_BP*km_VSI_BP+x_ds_VSI_BP*km_VSI_BP+x_ds*km_VSI_BP_VSI_BP)*(d0+D_bar)+((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0_VSI_BP+D_bar_VSI_BP)+(((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP)))*(d0_VSI_BP+D_bar_VSI_BP)+(x_ds*km)*(+d0_VSI_BP_VSI_BP+D_bar_VSI_BP_VSI_BP))/(km0+(km*D_bar))-(((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP)))*(km0_VSI_BP+(((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))+((((((x_ds_VSI_BP*km)+(x_ds*km_VSI_BP)))*(d0+D_bar))+((x_ds*km)*(d0_VSI_BP+D_bar_VSI_BP))))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP)))+((x_ds*km)*(d0+D_bar))*(+km0_VSI_BP_VSI_BP+(+km_VSI_BP_VSI_BP*D_bar+km_VSI_BP*D_bar_VSI_BP+km_VSI_BP*D_bar_VSI_BP+km*D_bar_VSI_BP_VSI_BP)))/(km0+(km*D_bar))/(km0+(km*D_bar))+2*((x_ds*km)*(d0+D_bar))*(km0_VSI_BP+((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP)))*(km0_VSI_BP+(((km_VSI_BP*D_bar)+(km*D_bar_VSI_BP))))/(km0+(km*D_bar))/(km0+(km*D_bar))/(km0+(km*D_bar)));
#endif
#endif
x_ds=(((x_ds*km)*(d0+D_bar))/(km0+(km*D_bar)));
EXIT_IF_ISNAN((((x_ds*km)*(d0+D_bar))/(km0+(km*D_bar))))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dps_VDI_SI=((x_ds_VDI_SI*pInst->phit1)+(x_ds*phit1_VDI_SI));
#if defined(_DERIVATE2)
  dps_VDI_SI_VDI_SI=(+x_ds_VDI_SI_VDI_SI*pInst->phit1+x_ds_VDI_SI*phit1_VDI_SI+x_ds_VDI_SI*phit1_VDI_SI+x_ds*phit1_VDI_SI_VDI_SI);
  dps_VDI_SI_VGP_SI=(+x_ds_VDI_SI_VGP_SI*pInst->phit1+x_ds_VDI_SI*phit1_VGP_SI+x_ds_VGP_SI*phit1_VDI_SI+x_ds*phit1_VDI_SI_VGP_SI);
  dps_VDI_SI_VSI_BP=(+x_ds_VDI_SI_VSI_BP*pInst->phit1+x_ds_VDI_SI*phit1_VSI_BP+x_ds_VSI_BP*phit1_VDI_SI+x_ds*phit1_VDI_SI_VSI_BP);
#endif
dps_VGP_SI=((x_ds_VGP_SI*pInst->phit1)+(x_ds*phit1_VGP_SI));
#if defined(_DERIVATE2)
  dps_VGP_SI_VDI_SI=(+x_ds_VGP_SI_VDI_SI*pInst->phit1+x_ds_VGP_SI*phit1_VDI_SI+x_ds_VDI_SI*phit1_VGP_SI+x_ds*phit1_VGP_SI_VDI_SI);
  dps_VGP_SI_VGP_SI=(+x_ds_VGP_SI_VGP_SI*pInst->phit1+x_ds_VGP_SI*phit1_VGP_SI+x_ds_VGP_SI*phit1_VGP_SI+x_ds*phit1_VGP_SI_VGP_SI);
  dps_VGP_SI_VSI_BP=(+x_ds_VGP_SI_VSI_BP*pInst->phit1+x_ds_VGP_SI*phit1_VSI_BP+x_ds_VSI_BP*phit1_VGP_SI+x_ds*phit1_VGP_SI_VSI_BP);
#endif
dps_VSI_BP=((x_ds_VSI_BP*pInst->phit1)+(x_ds*phit1_VSI_BP));
#if defined(_DERIVATE2)
  dps_VSI_BP_VDI_SI=(+x_ds_VSI_BP_VDI_SI*pInst->phit1+x_ds_VSI_BP*phit1_VDI_SI+x_ds_VDI_SI*phit1_VSI_BP+x_ds*phit1_VSI_BP_VDI_SI);
  dps_VSI_BP_VGP_SI=(+x_ds_VSI_BP_VGP_SI*pInst->phit1+x_ds_VSI_BP*phit1_VGP_SI+x_ds_VGP_SI*phit1_VSI_BP+x_ds*phit1_VSI_BP_VGP_SI);
  dps_VSI_BP_VSI_BP=(+x_ds_VSI_BP_VSI_BP*pInst->phit1+x_ds_VSI_BP*phit1_VSI_BP+x_ds_VSI_BP*phit1_VSI_BP+x_ds*phit1_VSI_BP_VSI_BP);
#endif
#endif
dps=(x_ds*pInst->phit1);
EXIT_IF_ISNAN((x_ds*pInst->phit1))
#endif
}
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,Pm)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,Pm)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
sqm_VDI_SI=Pm_VDI_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  sqm_VDI_SI_VDI_SI=(m20_sqrt(Pm)*Pm_VDI_SI*Pm_VDI_SI+d10_sqrt0*Pm_VDI_SI_VDI_SI);
  sqm_VDI_SI_VGP_SI=(m20_sqrt(Pm)*Pm_VGP_SI*Pm_VDI_SI+d10_sqrt0*Pm_VDI_SI_VGP_SI);
  sqm_VDI_SI_VSI_BP=(m20_sqrt(Pm)*Pm_VSI_BP*Pm_VDI_SI+d10_sqrt0*Pm_VDI_SI_VSI_BP);
#endif
sqm_VGP_SI=Pm_VGP_SI*d10_sqrt0;
#if defined(_DERIVATE2)
  sqm_VGP_SI_VDI_SI=(m20_sqrt(Pm)*Pm_VDI_SI*Pm_VGP_SI+d10_sqrt0*Pm_VGP_SI_VDI_SI);
  sqm_VGP_SI_VGP_SI=(m20_sqrt(Pm)*Pm_VGP_SI*Pm_VGP_SI+d10_sqrt0*Pm_VGP_SI_VGP_SI);
  sqm_VGP_SI_VSI_BP=(m20_sqrt(Pm)*Pm_VSI_BP*Pm_VGP_SI+d10_sqrt0*Pm_VGP_SI_VSI_BP);
#endif
sqm_VSI_BP=Pm_VSI_BP*d10_sqrt0;
#if defined(_DERIVATE2)
  sqm_VSI_BP_VDI_SI=(m20_sqrt(Pm)*Pm_VDI_SI*Pm_VSI_BP+d10_sqrt0*Pm_VSI_BP_VDI_SI);
  sqm_VSI_BP_VGP_SI=(m20_sqrt(Pm)*Pm_VGP_SI*Pm_VSI_BP+d10_sqrt0*Pm_VSI_BP_VGP_SI);
  sqm_VSI_BP_VSI_BP=(m20_sqrt(Pm)*Pm_VSI_BP*Pm_VSI_BP+d10_sqrt0*Pm_VSI_BP_VSI_BP);
#endif
#endif
sqm=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
alpha_VDI_SI=(eta_p_VDI_SI+(0.5*((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)));
#if defined(_DERIVATE2)
  alpha_VDI_SI_VDI_SI=(+eta_p_VDI_SI_VDI_SI+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI))))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)+0.0*((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)+0.5*((+Gf_VDI_SI_VDI_SI*(1.0-Em)+Gf_VDI_SI*(-Em_VDI_SI)+Gf_VDI_SI*(-Em_VDI_SI)+Gf*(+0.0-Em_VDI_SI_VDI_SI))/sqm-(((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm_VDI_SI+(((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI))))*sqm_VDI_SI+(Gf*(1.0-Em))*sqm_VDI_SI_VDI_SI)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VDI_SI*sqm_VDI_SI/sqm/sqm/sqm)));
  alpha_VDI_SI_VGP_SI=(+eta_p_VDI_SI_VGP_SI+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI))))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)+0.0*((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)+0.5*((+Gf_VDI_SI_VGP_SI*(1.0-Em)+Gf_VDI_SI*(-Em_VGP_SI)+Gf_VGP_SI*(-Em_VDI_SI)+Gf*(+0.0-Em_VDI_SI_VGP_SI))/sqm-(((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm_VGP_SI+(((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI))))*sqm_VDI_SI+(Gf*(1.0-Em))*sqm_VDI_SI_VGP_SI)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VDI_SI*sqm_VGP_SI/sqm/sqm/sqm)));
  alpha_VDI_SI_VSI_BP=(+eta_p_VDI_SI_VSI_BP+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP))))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)+0.0*((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)+0.5*((+Gf_VDI_SI_VSI_BP*(1.0-Em)+Gf_VDI_SI*(-Em_VSI_BP)+Gf_VSI_BP*(-Em_VDI_SI)+Gf*(+0.0-Em_VDI_SI_VSI_BP))/sqm-(((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI)))*sqm_VSI_BP+(((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP))))*sqm_VDI_SI+(Gf*(1.0-Em))*sqm_VDI_SI_VSI_BP)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VDI_SI*sqm_VSI_BP/sqm/sqm/sqm)));
#endif
alpha_VGP_SI=(eta_p_VGP_SI+(0.5*((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)));
#if defined(_DERIVATE2)
  alpha_VGP_SI_VDI_SI=(+eta_p_VGP_SI_VDI_SI+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI))))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)+0.0*((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)+0.5*((+Gf_VGP_SI_VDI_SI*(1.0-Em)+Gf_VGP_SI*(-Em_VDI_SI)+Gf_VDI_SI*(-Em_VGP_SI)+Gf*(+0.0-Em_VGP_SI_VDI_SI))/sqm-(((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm_VDI_SI+(((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI))))*sqm_VGP_SI+(Gf*(1.0-Em))*sqm_VGP_SI_VDI_SI)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VGP_SI*sqm_VDI_SI/sqm/sqm/sqm)));
  alpha_VGP_SI_VGP_SI=(+eta_p_VGP_SI_VGP_SI+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI))))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)+0.0*((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)+0.5*((+Gf_VGP_SI_VGP_SI*(1.0-Em)+Gf_VGP_SI*(-Em_VGP_SI)+Gf_VGP_SI*(-Em_VGP_SI)+Gf*(+0.0-Em_VGP_SI_VGP_SI))/sqm-(((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm_VGP_SI+(((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI))))*sqm_VGP_SI+(Gf*(1.0-Em))*sqm_VGP_SI_VGP_SI)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VGP_SI*sqm_VGP_SI/sqm/sqm/sqm)));
  alpha_VGP_SI_VSI_BP=(+eta_p_VGP_SI_VSI_BP+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP))))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)+0.0*((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)+0.5*((+Gf_VGP_SI_VSI_BP*(1.0-Em)+Gf_VGP_SI*(-Em_VSI_BP)+Gf_VSI_BP*(-Em_VGP_SI)+Gf*(+0.0-Em_VGP_SI_VSI_BP))/sqm-(((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI)))*sqm_VSI_BP+(((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP))))*sqm_VGP_SI+(Gf*(1.0-Em))*sqm_VGP_SI_VSI_BP)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VGP_SI*sqm_VSI_BP/sqm/sqm/sqm)));
#endif
alpha_VSI_BP=(eta_p_VSI_BP+(0.5*((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)));
#if defined(_DERIVATE2)
  alpha_VSI_BP_VDI_SI=(+eta_p_VSI_BP_VDI_SI+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI))))*sqm-(Gf*(1.0-Em))*sqm_VDI_SI)/sqm/sqm)+0.0*((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)+0.5*((+Gf_VSI_BP_VDI_SI*(1.0-Em)+Gf_VSI_BP*(-Em_VDI_SI)+Gf_VDI_SI*(-Em_VSI_BP)+Gf*(+0.0-Em_VSI_BP_VDI_SI))/sqm-(((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm_VDI_SI+(((Gf_VDI_SI*(1.0-Em))+(Gf*(-Em_VDI_SI))))*sqm_VSI_BP+(Gf*(1.0-Em))*sqm_VSI_BP_VDI_SI)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VSI_BP*sqm_VDI_SI/sqm/sqm/sqm)));
  alpha_VSI_BP_VGP_SI=(+eta_p_VSI_BP_VGP_SI+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI))))*sqm-(Gf*(1.0-Em))*sqm_VGP_SI)/sqm/sqm)+0.0*((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)+0.5*((+Gf_VSI_BP_VGP_SI*(1.0-Em)+Gf_VSI_BP*(-Em_VGP_SI)+Gf_VGP_SI*(-Em_VSI_BP)+Gf*(+0.0-Em_VSI_BP_VGP_SI))/sqm-(((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm_VGP_SI+(((Gf_VGP_SI*(1.0-Em))+(Gf*(-Em_VGP_SI))))*sqm_VSI_BP+(Gf*(1.0-Em))*sqm_VSI_BP_VGP_SI)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VSI_BP*sqm_VGP_SI/sqm/sqm/sqm)));
  alpha_VSI_BP_VSI_BP=(+eta_p_VSI_BP_VSI_BP+(+0.0*((Gf*(1.0-Em))/sqm)+0.0*(((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP))))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)+0.0*((((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm-(Gf*(1.0-Em))*sqm_VSI_BP)/sqm/sqm)+0.5*((+Gf_VSI_BP_VSI_BP*(1.0-Em)+Gf_VSI_BP*(-Em_VSI_BP)+Gf_VSI_BP*(-Em_VSI_BP)+Gf*(+0.0-Em_VSI_BP_VSI_BP))/sqm-(((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP)))*sqm_VSI_BP+(((Gf_VSI_BP*(1.0-Em))+(Gf*(-Em_VSI_BP))))*sqm_VSI_BP+(Gf*(1.0-Em))*sqm_VSI_BP_VSI_BP)/sqm/sqm+2*(Gf*(1.0-Em))*sqm_VSI_BP*sqm_VSI_BP/sqm/sqm/sqm)));
#endif
#endif
alpha=(eta_p+(0.5*((Gf*(1.0-Em))/sqm)));
EXIT_IF_ISNAN((eta_p+(0.5*((Gf*(1.0-Em))/sqm))))
#endif
}
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qim_VDI_SI=((phit1_VDI_SI*((Gf2*Dm)/(xgm+(Gf*sqm))))+(pInst->phit1*((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))));
#if defined(_DERIVATE2)
  qim_VDI_SI_VDI_SI=(+phit1_VDI_SI_VDI_SI*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VDI_SI*(((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VDI_SI*((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VDI_SI_VDI_SI*Dm+Gf2_VDI_SI*Dm_VDI_SI+Gf2_VDI_SI*Dm_VDI_SI+Gf2*Dm_VDI_SI_VDI_SI)/(xgm+(Gf*sqm))-(((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))+(((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI)))*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))+(Gf2*Dm)*(+xgm_VDI_SI_VDI_SI+(+Gf_VDI_SI_VDI_SI*sqm+Gf_VDI_SI*sqm_VDI_SI+Gf_VDI_SI*sqm_VDI_SI+Gf*sqm_VDI_SI_VDI_SI)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
  qim_VDI_SI_VGP_SI=(+phit1_VDI_SI_VGP_SI*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VDI_SI*(((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VGP_SI*((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VDI_SI_VGP_SI*Dm+Gf2_VDI_SI*Dm_VGP_SI+Gf2_VGP_SI*Dm_VDI_SI+Gf2*Dm_VDI_SI_VGP_SI)/(xgm+(Gf*sqm))-(((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))+(((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI)))*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))+(Gf2*Dm)*(+xgm_VDI_SI_VGP_SI+(+Gf_VDI_SI_VGP_SI*sqm+Gf_VDI_SI*sqm_VGP_SI+Gf_VGP_SI*sqm_VDI_SI+Gf*sqm_VDI_SI_VGP_SI)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
  qim_VDI_SI_VSI_BP=(+phit1_VDI_SI_VSI_BP*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VDI_SI*(((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VSI_BP*((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VDI_SI_VSI_BP*Dm+Gf2_VDI_SI*Dm_VSI_BP+Gf2_VSI_BP*Dm_VDI_SI+Gf2*Dm_VDI_SI_VSI_BP)/(xgm+(Gf*sqm))-(((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI))*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))+(((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP)))*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))+(Gf2*Dm)*(+xgm_VDI_SI_VSI_BP+(+Gf_VDI_SI_VSI_BP*sqm+Gf_VDI_SI*sqm_VSI_BP+Gf_VSI_BP*sqm_VDI_SI+Gf*sqm_VDI_SI_VSI_BP)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VDI_SI+((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
#endif
qim_VGP_SI=((phit1_VGP_SI*((Gf2*Dm)/(xgm+(Gf*sqm))))+(pInst->phit1*((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))));
#if defined(_DERIVATE2)
  qim_VGP_SI_VDI_SI=(+phit1_VGP_SI_VDI_SI*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VGP_SI*(((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VDI_SI*((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VGP_SI_VDI_SI*Dm+Gf2_VGP_SI*Dm_VDI_SI+Gf2_VDI_SI*Dm_VGP_SI+Gf2*Dm_VGP_SI_VDI_SI)/(xgm+(Gf*sqm))-(((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))+(((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI)))*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))+(Gf2*Dm)*(+xgm_VGP_SI_VDI_SI+(+Gf_VGP_SI_VDI_SI*sqm+Gf_VGP_SI*sqm_VDI_SI+Gf_VDI_SI*sqm_VGP_SI+Gf*sqm_VGP_SI_VDI_SI)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
  qim_VGP_SI_VGP_SI=(+phit1_VGP_SI_VGP_SI*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VGP_SI*(((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VGP_SI*((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VGP_SI_VGP_SI*Dm+Gf2_VGP_SI*Dm_VGP_SI+Gf2_VGP_SI*Dm_VGP_SI+Gf2*Dm_VGP_SI_VGP_SI)/(xgm+(Gf*sqm))-(((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))+(((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI)))*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))+(Gf2*Dm)*(+xgm_VGP_SI_VGP_SI+(+Gf_VGP_SI_VGP_SI*sqm+Gf_VGP_SI*sqm_VGP_SI+Gf_VGP_SI*sqm_VGP_SI+Gf*sqm_VGP_SI_VGP_SI)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
  qim_VGP_SI_VSI_BP=(+phit1_VGP_SI_VSI_BP*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VGP_SI*(((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VSI_BP*((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VGP_SI_VSI_BP*Dm+Gf2_VGP_SI*Dm_VSI_BP+Gf2_VSI_BP*Dm_VGP_SI+Gf2*Dm_VGP_SI_VSI_BP)/(xgm+(Gf*sqm))-(((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI))*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))+(((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP)))*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))+(Gf2*Dm)*(+xgm_VGP_SI_VSI_BP+(+Gf_VGP_SI_VSI_BP*sqm+Gf_VGP_SI*sqm_VSI_BP+Gf_VSI_BP*sqm_VGP_SI+Gf*sqm_VGP_SI_VSI_BP)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VGP_SI+((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
#endif
qim_VSI_BP=((phit1_VSI_BP*((Gf2*Dm)/(xgm+(Gf*sqm))))+(pInst->phit1*((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))));
#if defined(_DERIVATE2)
  qim_VSI_BP_VDI_SI=(+phit1_VSI_BP_VDI_SI*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VSI_BP*(((((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VDI_SI*((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VSI_BP_VDI_SI*Dm+Gf2_VSI_BP*Dm_VDI_SI+Gf2_VDI_SI*Dm_VSI_BP+Gf2*Dm_VSI_BP_VDI_SI)/(xgm+(Gf*sqm))-(((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))+(((Gf2_VDI_SI*Dm)+(Gf2*Dm_VDI_SI)))*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))+(Gf2*Dm)*(+xgm_VSI_BP_VDI_SI+(+Gf_VSI_BP_VDI_SI*sqm+Gf_VSI_BP*sqm_VDI_SI+Gf_VDI_SI*sqm_VSI_BP+Gf*sqm_VSI_BP_VDI_SI)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))*(xgm_VDI_SI+(((Gf_VDI_SI*sqm)+(Gf*sqm_VDI_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
  qim_VSI_BP_VGP_SI=(+phit1_VSI_BP_VGP_SI*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VSI_BP*(((((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VGP_SI*((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VSI_BP_VGP_SI*Dm+Gf2_VSI_BP*Dm_VGP_SI+Gf2_VGP_SI*Dm_VSI_BP+Gf2*Dm_VSI_BP_VGP_SI)/(xgm+(Gf*sqm))-(((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))+(((Gf2_VGP_SI*Dm)+(Gf2*Dm_VGP_SI)))*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))+(Gf2*Dm)*(+xgm_VSI_BP_VGP_SI+(+Gf_VSI_BP_VGP_SI*sqm+Gf_VSI_BP*sqm_VGP_SI+Gf_VGP_SI*sqm_VSI_BP+Gf*sqm_VSI_BP_VGP_SI)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))*(xgm_VGP_SI+(((Gf_VGP_SI*sqm)+(Gf*sqm_VGP_SI))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
  qim_VSI_BP_VSI_BP=(+phit1_VSI_BP_VSI_BP*((Gf2*Dm)/(xgm+(Gf*sqm)))+phit1_VSI_BP*(((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP)))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+phit1_VSI_BP*((((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm+(Gf*sqm))-(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm)))+pInst->phit1*((+Gf2_VSI_BP_VSI_BP*Dm+Gf2_VSI_BP*Dm_VSI_BP+Gf2_VSI_BP*Dm_VSI_BP+Gf2*Dm_VSI_BP_VSI_BP)/(xgm+(Gf*sqm))-(((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP))*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))+(((Gf2_VSI_BP*Dm)+(Gf2*Dm_VSI_BP)))*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))+(Gf2*Dm)*(+xgm_VSI_BP_VSI_BP+(+Gf_VSI_BP_VSI_BP*sqm+Gf_VSI_BP*sqm_VSI_BP+Gf_VSI_BP*sqm_VSI_BP+Gf*sqm_VSI_BP_VSI_BP)))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))+2*(Gf2*Dm)*(xgm_VSI_BP+((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP)))*(xgm_VSI_BP+(((Gf_VSI_BP*sqm)+(Gf*sqm_VSI_BP))))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))/(xgm+(Gf*sqm))));
#endif
#endif
qim=(pInst->phit1*((Gf2*Dm)/(xgm+(Gf*sqm))));
EXIT_IF_ISNAN((pInst->phit1*((Gf2*Dm)/(xgm+(Gf*sqm)))))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qim1_VDI_SI=(qim_VDI_SI+((phit1_VDI_SI*alpha)+(pInst->phit1*alpha_VDI_SI)));
#if defined(_DERIVATE2)
  qim1_VDI_SI_VDI_SI=(+qim_VDI_SI_VDI_SI+(+phit1_VDI_SI_VDI_SI*alpha+phit1_VDI_SI*alpha_VDI_SI+phit1_VDI_SI*alpha_VDI_SI+pInst->phit1*alpha_VDI_SI_VDI_SI));
  qim1_VDI_SI_VGP_SI=(+qim_VDI_SI_VGP_SI+(+phit1_VDI_SI_VGP_SI*alpha+phit1_VDI_SI*alpha_VGP_SI+phit1_VGP_SI*alpha_VDI_SI+pInst->phit1*alpha_VDI_SI_VGP_SI));
  qim1_VDI_SI_VSI_BP=(+qim_VDI_SI_VSI_BP+(+phit1_VDI_SI_VSI_BP*alpha+phit1_VDI_SI*alpha_VSI_BP+phit1_VSI_BP*alpha_VDI_SI+pInst->phit1*alpha_VDI_SI_VSI_BP));
#endif
qim1_VGP_SI=(qim_VGP_SI+((phit1_VGP_SI*alpha)+(pInst->phit1*alpha_VGP_SI)));
#if defined(_DERIVATE2)
  qim1_VGP_SI_VDI_SI=(+qim_VGP_SI_VDI_SI+(+phit1_VGP_SI_VDI_SI*alpha+phit1_VGP_SI*alpha_VDI_SI+phit1_VDI_SI*alpha_VGP_SI+pInst->phit1*alpha_VGP_SI_VDI_SI));
  qim1_VGP_SI_VGP_SI=(+qim_VGP_SI_VGP_SI+(+phit1_VGP_SI_VGP_SI*alpha+phit1_VGP_SI*alpha_VGP_SI+phit1_VGP_SI*alpha_VGP_SI+pInst->phit1*alpha_VGP_SI_VGP_SI));
  qim1_VGP_SI_VSI_BP=(+qim_VGP_SI_VSI_BP+(+phit1_VGP_SI_VSI_BP*alpha+phit1_VGP_SI*alpha_VSI_BP+phit1_VSI_BP*alpha_VGP_SI+pInst->phit1*alpha_VGP_SI_VSI_BP));
#endif
qim1_VSI_BP=(qim_VSI_BP+((phit1_VSI_BP*alpha)+(pInst->phit1*alpha_VSI_BP)));
#if defined(_DERIVATE2)
  qim1_VSI_BP_VDI_SI=(+qim_VSI_BP_VDI_SI+(+phit1_VSI_BP_VDI_SI*alpha+phit1_VSI_BP*alpha_VDI_SI+phit1_VDI_SI*alpha_VSI_BP+pInst->phit1*alpha_VSI_BP_VDI_SI));
  qim1_VSI_BP_VGP_SI=(+qim_VSI_BP_VGP_SI+(+phit1_VSI_BP_VGP_SI*alpha+phit1_VSI_BP*alpha_VGP_SI+phit1_VGP_SI*alpha_VSI_BP+pInst->phit1*alpha_VSI_BP_VGP_SI));
  qim1_VSI_BP_VSI_BP=(+qim_VSI_BP_VSI_BP+(+phit1_VSI_BP_VSI_BP*alpha+phit1_VSI_BP*alpha_VSI_BP+phit1_VSI_BP*alpha_VSI_BP+pInst->phit1*alpha_VSI_BP_VSI_BP));
#endif
#endif
qim1=(qim+(pInst->phit1*alpha));
EXIT_IF_ISNAN((qim+(pInst->phit1*alpha)))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qbm_VDI_SI=((((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*pInst->phit1)+((sqm*Gf)*phit1_VDI_SI));
#if defined(_DERIVATE2)
  qbm_VDI_SI_VDI_SI=(+(+sqm_VDI_SI_VDI_SI*Gf+sqm_VDI_SI*Gf_VDI_SI+sqm_VDI_SI*Gf_VDI_SI+sqm*Gf_VDI_SI_VDI_SI)*pInst->phit1+((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*phit1_VDI_SI+(((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI)))*phit1_VDI_SI+(sqm*Gf)*phit1_VDI_SI_VDI_SI);
  qbm_VDI_SI_VGP_SI=(+(+sqm_VDI_SI_VGP_SI*Gf+sqm_VDI_SI*Gf_VGP_SI+sqm_VGP_SI*Gf_VDI_SI+sqm*Gf_VDI_SI_VGP_SI)*pInst->phit1+((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*phit1_VGP_SI+(((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI)))*phit1_VDI_SI+(sqm*Gf)*phit1_VDI_SI_VGP_SI);
  qbm_VDI_SI_VSI_BP=(+(+sqm_VDI_SI_VSI_BP*Gf+sqm_VDI_SI*Gf_VSI_BP+sqm_VSI_BP*Gf_VDI_SI+sqm*Gf_VDI_SI_VSI_BP)*pInst->phit1+((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI))*phit1_VSI_BP+(((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP)))*phit1_VDI_SI+(sqm*Gf)*phit1_VDI_SI_VSI_BP);
#endif
qbm_VGP_SI=((((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*pInst->phit1)+((sqm*Gf)*phit1_VGP_SI));
#if defined(_DERIVATE2)
  qbm_VGP_SI_VDI_SI=(+(+sqm_VGP_SI_VDI_SI*Gf+sqm_VGP_SI*Gf_VDI_SI+sqm_VDI_SI*Gf_VGP_SI+sqm*Gf_VGP_SI_VDI_SI)*pInst->phit1+((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*phit1_VDI_SI+(((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI)))*phit1_VGP_SI+(sqm*Gf)*phit1_VGP_SI_VDI_SI);
  qbm_VGP_SI_VGP_SI=(+(+sqm_VGP_SI_VGP_SI*Gf+sqm_VGP_SI*Gf_VGP_SI+sqm_VGP_SI*Gf_VGP_SI+sqm*Gf_VGP_SI_VGP_SI)*pInst->phit1+((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*phit1_VGP_SI+(((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI)))*phit1_VGP_SI+(sqm*Gf)*phit1_VGP_SI_VGP_SI);
  qbm_VGP_SI_VSI_BP=(+(+sqm_VGP_SI_VSI_BP*Gf+sqm_VGP_SI*Gf_VSI_BP+sqm_VSI_BP*Gf_VGP_SI+sqm*Gf_VGP_SI_VSI_BP)*pInst->phit1+((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI))*phit1_VSI_BP+(((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP)))*phit1_VGP_SI+(sqm*Gf)*phit1_VGP_SI_VSI_BP);
#endif
qbm_VSI_BP=((((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*pInst->phit1)+((sqm*Gf)*phit1_VSI_BP));
#if defined(_DERIVATE2)
  qbm_VSI_BP_VDI_SI=(+(+sqm_VSI_BP_VDI_SI*Gf+sqm_VSI_BP*Gf_VDI_SI+sqm_VDI_SI*Gf_VSI_BP+sqm*Gf_VSI_BP_VDI_SI)*pInst->phit1+((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*phit1_VDI_SI+(((sqm_VDI_SI*Gf)+(sqm*Gf_VDI_SI)))*phit1_VSI_BP+(sqm*Gf)*phit1_VSI_BP_VDI_SI);
  qbm_VSI_BP_VGP_SI=(+(+sqm_VSI_BP_VGP_SI*Gf+sqm_VSI_BP*Gf_VGP_SI+sqm_VGP_SI*Gf_VSI_BP+sqm*Gf_VSI_BP_VGP_SI)*pInst->phit1+((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*phit1_VGP_SI+(((sqm_VGP_SI*Gf)+(sqm*Gf_VGP_SI)))*phit1_VSI_BP+(sqm*Gf)*phit1_VSI_BP_VGP_SI);
  qbm_VSI_BP_VSI_BP=(+(+sqm_VSI_BP_VSI_BP*Gf+sqm_VSI_BP*Gf_VSI_BP+sqm_VSI_BP*Gf_VSI_BP+sqm*Gf_VSI_BP_VSI_BP)*pInst->phit1+((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP))*phit1_VSI_BP+(((sqm_VSI_BP*Gf)+(sqm*Gf_VSI_BP)))*phit1_VSI_BP+(sqm*Gf)*phit1_VSI_BP_VSI_BP);
#endif
#endif
qbm=((sqm*Gf)*pInst->phit1);
EXIT_IF_ISNAN(((sqm*Gf)*pInst->phit1))
#endif
#ifdef _DYNAMIC
if
((pInst->RSG_i<0.0))
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(pInst->RSG_i*qim_VGP_SI));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0-(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VGP_SI+pInst->RSG_i*qim_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(+0.0-(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VGP_SI+pInst->RSG_i*qim_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(+0.0-(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VGP_SI+pInst->RSG_i*qim_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=(-(pInst->RSG_i*qim_VDI_SI));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0-(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VDI_SI+pInst->RSG_i*qim_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(+0.0-(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VDI_SI+pInst->RSG_i*qim_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(+0.0-(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VDI_SI+pInst->RSG_i*qim_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=(-(pInst->RSG_i*qim_VSI_BP));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0-(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VSI_BP+pInst->RSG_i*qim_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(+0.0-(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VSI_BP+pInst->RSG_i*qim_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(+0.0-(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VSI_BP+pInst->RSG_i*qim_VSI_BP_VSI_BP));
#endif
#endif
temp=(1.0-(pInst->RSG_i*qim));
EXIT_IF_ISNAN((1.0-(pInst->RSG_i*qim)))
#endif
}
else
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(pInst->RSG_i*qim_VGP_SI)/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VGP_SI))+0.0*(pInst->RSG_i*qim_VGP_SI)+1.0*(+0.0+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VGP_SI+pInst->RSG_i*qim_VGP_SI_VGP_SI)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VGP_SI)*((pInst->RSG_i*qim_VGP_SI))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
  temp_VGP_SI_VDI_SI=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VDI_SI))+0.0*(pInst->RSG_i*qim_VGP_SI)+1.0*(+0.0+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VGP_SI+pInst->RSG_i*qim_VGP_SI_VDI_SI)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VGP_SI)*((pInst->RSG_i*qim_VDI_SI))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
  temp_VGP_SI_VSI_BP=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VSI_BP))+0.0*(pInst->RSG_i*qim_VGP_SI)+1.0*(+0.0+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VGP_SI+pInst->RSG_i*qim_VGP_SI_VSI_BP)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VGP_SI)*((pInst->RSG_i*qim_VSI_BP))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
#endif
temp_VDI_SI=(-(pInst->RSG_i*qim_VDI_SI)/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VGP_SI))+0.0*(pInst->RSG_i*qim_VDI_SI)+1.0*(+0.0+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VDI_SI+pInst->RSG_i*qim_VDI_SI_VGP_SI)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VDI_SI)*((pInst->RSG_i*qim_VGP_SI))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
  temp_VDI_SI_VDI_SI=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VDI_SI))+0.0*(pInst->RSG_i*qim_VDI_SI)+1.0*(+0.0+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VDI_SI+pInst->RSG_i*qim_VDI_SI_VDI_SI)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VDI_SI)*((pInst->RSG_i*qim_VDI_SI))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
  temp_VDI_SI_VSI_BP=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VSI_BP))+0.0*(pInst->RSG_i*qim_VDI_SI)+1.0*(+0.0+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VDI_SI+pInst->RSG_i*qim_VDI_SI_VSI_BP)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VDI_SI)*((pInst->RSG_i*qim_VSI_BP))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
#endif
temp_VSI_BP=(-(pInst->RSG_i*qim_VSI_BP)/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VGP_SI))+0.0*(pInst->RSG_i*qim_VSI_BP)+1.0*(+0.0+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VSI_BP+pInst->RSG_i*qim_VSI_BP_VGP_SI)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VSI_BP)*((pInst->RSG_i*qim_VGP_SI))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
  temp_VSI_BP_VDI_SI=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VDI_SI))+0.0*(pInst->RSG_i*qim_VSI_BP)+1.0*(+0.0+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VSI_BP+pInst->RSG_i*qim_VSI_BP_VDI_SI)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VSI_BP)*((pInst->RSG_i*qim_VDI_SI))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
  temp_VSI_BP_VSI_BP=(0.0/(1.0+(pInst->RSG_i*qim))-(0.0*((pInst->RSG_i*qim_VSI_BP))+0.0*(pInst->RSG_i*qim_VSI_BP)+1.0*(+0.0+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VSI_BP+pInst->RSG_i*qim_VSI_BP_VSI_BP)))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))+2*1.0*(pInst->RSG_i*qim_VSI_BP)*((pInst->RSG_i*qim_VSI_BP))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim))/(1.0+(pInst->RSG_i*qim)));
#endif
#endif
temp=(1.0/(1.0+(pInst->RSG_i*qim)));
EXIT_IF_ISNAN((1.0/(1.0+(pInst->RSG_i*qim))))
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
GR_VDI_SI=(pInst->THER_i*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim)+((rhob*temp)*qim_VDI_SI)));
#if defined(_DERIVATE2)
  GR_VDI_SI_VDI_SI=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qim)+((rhob*temp)*qim_VDI_SI)))+0.0*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim)+((rhob*temp)*qim_VDI_SI))+pInst->THER_i*(+(+rhob_VDI_SI_VDI_SI*temp+rhob_VDI_SI*temp_VDI_SI+rhob_VDI_SI*temp_VDI_SI+rhob*temp_VDI_SI_VDI_SI)*qim+((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim_VDI_SI+(((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qim_VDI_SI+(rhob*temp)*qim_VDI_SI_VDI_SI));
  GR_VDI_SI_VSI_BP=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qim)+((rhob*temp)*qim_VSI_BP)))+0.0*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim)+((rhob*temp)*qim_VDI_SI))+pInst->THER_i*(+(+rhob_VDI_SI_VSI_BP*temp+rhob_VDI_SI*temp_VSI_BP+rhob_VSI_BP*temp_VDI_SI+rhob*temp_VDI_SI_VSI_BP)*qim+((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim_VSI_BP+(((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qim_VDI_SI+(rhob*temp)*qim_VDI_SI_VSI_BP));
  GR_VDI_SI_VGP_SI=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qim)+((rhob*temp)*qim_VGP_SI)))+0.0*((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim)+((rhob*temp)*qim_VDI_SI))+pInst->THER_i*(+(+rhob_VDI_SI_VGP_SI*temp+rhob_VDI_SI*temp_VGP_SI+rhob_VGP_SI*temp_VDI_SI+rhob*temp_VDI_SI_VGP_SI)*qim+((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI))*qim_VGP_SI+(((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qim_VDI_SI+(rhob*temp)*qim_VDI_SI_VGP_SI));
#endif
GR_VSI_BP=(pInst->THER_i*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim)+((rhob*temp)*qim_VSI_BP)));
#if defined(_DERIVATE2)
  GR_VSI_BP_VDI_SI=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qim)+((rhob*temp)*qim_VDI_SI)))+0.0*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim)+((rhob*temp)*qim_VSI_BP))+pInst->THER_i*(+(+rhob_VSI_BP_VDI_SI*temp+rhob_VSI_BP*temp_VDI_SI+rhob_VDI_SI*temp_VSI_BP+rhob*temp_VSI_BP_VDI_SI)*qim+((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim_VDI_SI+(((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qim_VSI_BP+(rhob*temp)*qim_VSI_BP_VDI_SI));
  GR_VSI_BP_VSI_BP=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qim)+((rhob*temp)*qim_VSI_BP)))+0.0*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim)+((rhob*temp)*qim_VSI_BP))+pInst->THER_i*(+(+rhob_VSI_BP_VSI_BP*temp+rhob_VSI_BP*temp_VSI_BP+rhob_VSI_BP*temp_VSI_BP+rhob*temp_VSI_BP_VSI_BP)*qim+((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim_VSI_BP+(((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qim_VSI_BP+(rhob*temp)*qim_VSI_BP_VSI_BP));
  GR_VSI_BP_VGP_SI=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qim)+((rhob*temp)*qim_VGP_SI)))+0.0*((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim)+((rhob*temp)*qim_VSI_BP))+pInst->THER_i*(+(+rhob_VSI_BP_VGP_SI*temp+rhob_VSI_BP*temp_VGP_SI+rhob_VGP_SI*temp_VSI_BP+rhob*temp_VSI_BP_VGP_SI)*qim+((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP))*qim_VGP_SI+(((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qim_VSI_BP+(rhob*temp)*qim_VSI_BP_VGP_SI));
#endif
GR_VGP_SI=(pInst->THER_i*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim)+((rhob*temp)*qim_VGP_SI)));
#if defined(_DERIVATE2)
  GR_VGP_SI_VDI_SI=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qim)+((rhob*temp)*qim_VDI_SI)))+0.0*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim)+((rhob*temp)*qim_VGP_SI))+pInst->THER_i*(+(+rhob_VGP_SI_VDI_SI*temp+rhob_VGP_SI*temp_VDI_SI+rhob_VDI_SI*temp_VGP_SI+rhob*temp_VGP_SI_VDI_SI)*qim+((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim_VDI_SI+(((rhob_VDI_SI*temp)+(rhob*temp_VDI_SI)))*qim_VGP_SI+(rhob*temp)*qim_VGP_SI_VDI_SI));
  GR_VGP_SI_VSI_BP=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qim)+((rhob*temp)*qim_VSI_BP)))+0.0*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim)+((rhob*temp)*qim_VGP_SI))+pInst->THER_i*(+(+rhob_VGP_SI_VSI_BP*temp+rhob_VGP_SI*temp_VSI_BP+rhob_VSI_BP*temp_VGP_SI+rhob*temp_VGP_SI_VSI_BP)*qim+((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim_VSI_BP+(((rhob_VSI_BP*temp)+(rhob*temp_VSI_BP)))*qim_VGP_SI+(rhob*temp)*qim_VGP_SI_VSI_BP));
  GR_VGP_SI_VGP_SI=(+0.0*((rhob*temp)*qim)+0.0*((((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qim)+((rhob*temp)*qim_VGP_SI)))+0.0*((((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim)+((rhob*temp)*qim_VGP_SI))+pInst->THER_i*(+(+rhob_VGP_SI_VGP_SI*temp+rhob_VGP_SI*temp_VGP_SI+rhob_VGP_SI*temp_VGP_SI+rhob*temp_VGP_SI_VGP_SI)*qim+((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI))*qim_VGP_SI+(((rhob_VGP_SI*temp)+(rhob*temp_VGP_SI)))*qim_VGP_SI+(rhob*temp)*qim_VGP_SI_VGP_SI));
#endif
#endif
GR=(pInst->THER_i*((rhob*temp)*qim));
EXIT_IF_ISNAN((pInst->THER_i*((rhob*temp)*qim)))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
qeff_VDI_SI=(qbm_VDI_SI+(pInst->eta_mu*qim_VDI_SI));
#if defined(_DERIVATE2)
  qeff_VDI_SI_VDI_SI=(+qbm_VDI_SI_VDI_SI+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VDI_SI+pInst->eta_mu*qim_VDI_SI_VDI_SI));
  qeff_VDI_SI_VGP_SI=(+qbm_VDI_SI_VGP_SI+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VDI_SI+pInst->eta_mu*qim_VDI_SI_VGP_SI));
  qeff_VDI_SI_VSI_BP=(+qbm_VDI_SI_VSI_BP+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VDI_SI+pInst->eta_mu*qim_VDI_SI_VSI_BP));
#endif
qeff_VGP_SI=(qbm_VGP_SI+(pInst->eta_mu*qim_VGP_SI));
#if defined(_DERIVATE2)
  qeff_VGP_SI_VDI_SI=(+qbm_VGP_SI_VDI_SI+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VGP_SI+pInst->eta_mu*qim_VGP_SI_VDI_SI));
  qeff_VGP_SI_VGP_SI=(+qbm_VGP_SI_VGP_SI+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VGP_SI+pInst->eta_mu*qim_VGP_SI_VGP_SI));
  qeff_VGP_SI_VSI_BP=(+qbm_VGP_SI_VSI_BP+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VGP_SI+pInst->eta_mu*qim_VGP_SI_VSI_BP));
#endif
qeff_VSI_BP=(qbm_VSI_BP+(pInst->eta_mu*qim_VSI_BP));
#if defined(_DERIVATE2)
  qeff_VSI_BP_VDI_SI=(+qbm_VSI_BP_VDI_SI+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VSI_BP+pInst->eta_mu*qim_VSI_BP_VDI_SI));
  qeff_VSI_BP_VGP_SI=(+qbm_VSI_BP_VGP_SI+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VSI_BP+pInst->eta_mu*qim_VSI_BP_VGP_SI));
  qeff_VSI_BP_VSI_BP=(+qbm_VSI_BP_VSI_BP+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VSI_BP+pInst->eta_mu*qim_VSI_BP_VSI_BP));
#endif
#endif
qeff=(qbm+(pInst->eta_mu*qim));
EXIT_IF_ISNAN((qbm+(pInst->eta_mu*qim)))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
qeff1_VDI_SI=(qbm_VDI_SI+(pInst->eta_mu1*qim_VDI_SI));
#if defined(_DERIVATE2)
  qeff1_VDI_SI_VDI_SI=(+qbm_VDI_SI_VDI_SI+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VDI_SI+pInst->eta_mu1*qim_VDI_SI_VDI_SI));
  qeff1_VDI_SI_VGP_SI=(+qbm_VDI_SI_VGP_SI+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VDI_SI+pInst->eta_mu1*qim_VDI_SI_VGP_SI));
  qeff1_VDI_SI_VSI_BP=(+qbm_VDI_SI_VSI_BP+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VDI_SI+pInst->eta_mu1*qim_VDI_SI_VSI_BP));
#endif
qeff1_VGP_SI=(qbm_VGP_SI+(pInst->eta_mu1*qim_VGP_SI));
#if defined(_DERIVATE2)
  qeff1_VGP_SI_VDI_SI=(+qbm_VGP_SI_VDI_SI+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VGP_SI+pInst->eta_mu1*qim_VGP_SI_VDI_SI));
  qeff1_VGP_SI_VGP_SI=(+qbm_VGP_SI_VGP_SI+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VGP_SI+pInst->eta_mu1*qim_VGP_SI_VGP_SI));
  qeff1_VGP_SI_VSI_BP=(+qbm_VGP_SI_VSI_BP+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VGP_SI+pInst->eta_mu1*qim_VGP_SI_VSI_BP));
#endif
qeff1_VSI_BP=(qbm_VSI_BP+(pInst->eta_mu1*qim_VSI_BP));
#if defined(_DERIVATE2)
  qeff1_VSI_BP_VDI_SI=(+qbm_VSI_BP_VDI_SI+(+0.0*qim+0.0*qim_VDI_SI+0.0*qim_VSI_BP+pInst->eta_mu1*qim_VSI_BP_VDI_SI));
  qeff1_VSI_BP_VGP_SI=(+qbm_VSI_BP_VGP_SI+(+0.0*qim+0.0*qim_VGP_SI+0.0*qim_VSI_BP+pInst->eta_mu1*qim_VSI_BP_VGP_SI));
  qeff1_VSI_BP_VSI_BP=(+qbm_VSI_BP_VSI_BP+(+0.0*qim+0.0*qim_VSI_BP+0.0*qim_VSI_BP+pInst->eta_mu1*qim_VSI_BP_VSI_BP));
#endif
#endif
qeff1=(qbm+(pInst->eta_mu1*qim));
EXIT_IF_ISNAN((qbm+(pInst->eta_mu1*qim)))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Eeffm_VDI_SI=(pInst->E_eff0*qeff_VDI_SI);
#if defined(_DERIVATE2)
  Eeffm_VDI_SI_VDI_SI=(+0.0*qeff+0.0*qeff_VDI_SI+0.0*qeff_VDI_SI+pInst->E_eff0*qeff_VDI_SI_VDI_SI);
  Eeffm_VDI_SI_VGP_SI=(+0.0*qeff+0.0*qeff_VGP_SI+0.0*qeff_VDI_SI+pInst->E_eff0*qeff_VDI_SI_VGP_SI);
  Eeffm_VDI_SI_VSI_BP=(+0.0*qeff+0.0*qeff_VSI_BP+0.0*qeff_VDI_SI+pInst->E_eff0*qeff_VDI_SI_VSI_BP);
#endif
Eeffm_VGP_SI=(pInst->E_eff0*qeff_VGP_SI);
#if defined(_DERIVATE2)
  Eeffm_VGP_SI_VDI_SI=(+0.0*qeff+0.0*qeff_VDI_SI+0.0*qeff_VGP_SI+pInst->E_eff0*qeff_VGP_SI_VDI_SI);
  Eeffm_VGP_SI_VGP_SI=(+0.0*qeff+0.0*qeff_VGP_SI+0.0*qeff_VGP_SI+pInst->E_eff0*qeff_VGP_SI_VGP_SI);
  Eeffm_VGP_SI_VSI_BP=(+0.0*qeff+0.0*qeff_VSI_BP+0.0*qeff_VGP_SI+pInst->E_eff0*qeff_VGP_SI_VSI_BP);
#endif
Eeffm_VSI_BP=(pInst->E_eff0*qeff_VSI_BP);
#if defined(_DERIVATE2)
  Eeffm_VSI_BP_VDI_SI=(+0.0*qeff+0.0*qeff_VDI_SI+0.0*qeff_VSI_BP+pInst->E_eff0*qeff_VSI_BP_VDI_SI);
  Eeffm_VSI_BP_VGP_SI=(+0.0*qeff+0.0*qeff_VGP_SI+0.0*qeff_VSI_BP+pInst->E_eff0*qeff_VSI_BP_VGP_SI);
  Eeffm_VSI_BP_VSI_BP=(+0.0*qeff+0.0*qeff_VSI_BP+0.0*qeff_VSI_BP+pInst->E_eff0*qeff_VSI_BP_VSI_BP);
#endif
#endif
Eeffm=(pInst->E_eff0*qeff);
EXIT_IF_ISNAN((pInst->E_eff0*qeff))
#endif
{
double m00_logE(d00_logE0,(Pm/((Pm+Dm)+1.0e-14)))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,(Pm/((Pm+Dm)+1.0e-14)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*d10_logE0;
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VDI_SI_VDI_SI/((Pm+Dm)+1.0e-14)-(Pm_VDI_SI*(Pm_VDI_SI+Dm_VDI_SI)+Pm_VDI_SI*(Pm_VDI_SI+Dm_VDI_SI)+Pm*(+(+Pm_VDI_SI_VDI_SI+Dm_VDI_SI_VDI_SI)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VDI_SI+Dm_VDI_SI)*(Pm_VDI_SI+Dm_VDI_SI)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
  temp1_VDI_SI_VGP_SI=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VDI_SI_VGP_SI/((Pm+Dm)+1.0e-14)-(Pm_VDI_SI*(Pm_VGP_SI+Dm_VGP_SI)+Pm_VGP_SI*(Pm_VDI_SI+Dm_VDI_SI)+Pm*(+(+Pm_VDI_SI_VGP_SI+Dm_VDI_SI_VGP_SI)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VDI_SI+Dm_VDI_SI)*(Pm_VGP_SI+Dm_VGP_SI)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
  temp1_VDI_SI_VSI_BP=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VDI_SI_VSI_BP/((Pm+Dm)+1.0e-14)-(Pm_VDI_SI*(Pm_VSI_BP+Dm_VSI_BP)+Pm_VSI_BP*(Pm_VDI_SI+Dm_VDI_SI)+Pm*(+(+Pm_VDI_SI_VSI_BP+Dm_VDI_SI_VSI_BP)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VDI_SI+Dm_VDI_SI)*(Pm_VSI_BP+Dm_VSI_BP)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
#endif
temp1_VGP_SI=((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*d10_logE0;
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VGP_SI_VDI_SI/((Pm+Dm)+1.0e-14)-(Pm_VGP_SI*(Pm_VDI_SI+Dm_VDI_SI)+Pm_VDI_SI*(Pm_VGP_SI+Dm_VGP_SI)+Pm*(+(+Pm_VGP_SI_VDI_SI+Dm_VGP_SI_VDI_SI)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VGP_SI+Dm_VGP_SI)*(Pm_VDI_SI+Dm_VDI_SI)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
  temp1_VGP_SI_VGP_SI=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VGP_SI_VGP_SI/((Pm+Dm)+1.0e-14)-(Pm_VGP_SI*(Pm_VGP_SI+Dm_VGP_SI)+Pm_VGP_SI*(Pm_VGP_SI+Dm_VGP_SI)+Pm*(+(+Pm_VGP_SI_VGP_SI+Dm_VGP_SI_VGP_SI)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VGP_SI+Dm_VGP_SI)*(Pm_VGP_SI+Dm_VGP_SI)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
  temp1_VGP_SI_VSI_BP=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VGP_SI_VSI_BP/((Pm+Dm)+1.0e-14)-(Pm_VGP_SI*(Pm_VSI_BP+Dm_VSI_BP)+Pm_VSI_BP*(Pm_VGP_SI+Dm_VGP_SI)+Pm*(+(+Pm_VGP_SI_VSI_BP+Dm_VGP_SI_VSI_BP)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VGP_SI+Dm_VGP_SI)*(Pm_VSI_BP+Dm_VSI_BP)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
#endif
temp1_VSI_BP=((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*d10_logE0;
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VDI_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VDI_SI+Dm_VDI_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VSI_BP_VDI_SI/((Pm+Dm)+1.0e-14)-(Pm_VSI_BP*(Pm_VDI_SI+Dm_VDI_SI)+Pm_VDI_SI*(Pm_VSI_BP+Dm_VSI_BP)+Pm*(+(+Pm_VSI_BP_VDI_SI+Dm_VSI_BP_VDI_SI)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VSI_BP+Dm_VSI_BP)*(Pm_VDI_SI+Dm_VDI_SI)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
  temp1_VSI_BP_VGP_SI=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VGP_SI*((Pm+Dm)+1.0e-14)-Pm*(Pm_VGP_SI+Dm_VGP_SI))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VSI_BP_VGP_SI/((Pm+Dm)+1.0e-14)-(Pm_VSI_BP*(Pm_VGP_SI+Dm_VGP_SI)+Pm_VGP_SI*(Pm_VSI_BP+Dm_VSI_BP)+Pm*(+(+Pm_VSI_BP_VGP_SI+Dm_VSI_BP_VGP_SI)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VSI_BP+Dm_VSI_BP)*(Pm_VGP_SI+Dm_VGP_SI)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
  temp1_VSI_BP_VSI_BP=(m20_logE((Pm/((Pm+Dm)+1.0e-14)))*((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))*((Pm_VSI_BP*((Pm+Dm)+1.0e-14)-Pm*(Pm_VSI_BP+Dm_VSI_BP))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14))+d10_logE0*(Pm_VSI_BP_VSI_BP/((Pm+Dm)+1.0e-14)-(Pm_VSI_BP*(Pm_VSI_BP+Dm_VSI_BP)+Pm_VSI_BP*(Pm_VSI_BP+Dm_VSI_BP)+Pm*(+(+Pm_VSI_BP_VSI_BP+Dm_VSI_BP_VSI_BP)+0.0))/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)+2*Pm*(Pm_VSI_BP+Dm_VSI_BP)*(Pm_VSI_BP+Dm_VSI_BP)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)/((Pm+Dm)+1.0e-14)));
#endif
#endif
pInst->temp1=d00_logE0;
EXIT_IF_ISNAN(d00_logE0)
}
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(Eeffm*pInst->MUE_T),pInst->THEMU_T)
double m00_exp(d00_exp1,((0.5*pInst->THECS_T)*pInst->temp1))
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(Eeffm*pInst->MUE_T),pInst->THEMU_T)
#define d10_exp1 d00_exp1
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Mutmp_VDI_SI=((d10_pow0*Eeffm_VDI_SI*pInst->MUE_T)+(pInst->CS_T*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1));
#if defined(_DERIVATE2)
  Mutmp_VDI_SI_VDI_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*((0.5*pInst->THECS_T)*temp1_VDI_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VDI_SI+(0.0)*temp1_VDI_SI+(0.5*pInst->THECS_T)*temp1_VDI_SI_VDI_SI))));
  Mutmp_VDI_SI_VGP_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*((0.5*pInst->THECS_T)*temp1_VDI_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VGP_SI+(0.0)*temp1_VDI_SI+(0.5*pInst->THECS_T)*temp1_VDI_SI_VGP_SI))));
  Mutmp_VDI_SI_VSI_BP=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VDI_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*((0.5*pInst->THECS_T)*temp1_VDI_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VSI_BP+(0.0)*temp1_VDI_SI+(0.5*pInst->THECS_T)*temp1_VDI_SI_VSI_BP))));
#endif
Mutmp_VGP_SI=((d10_pow0*Eeffm_VGP_SI*pInst->MUE_T)+(pInst->CS_T*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1));
#if defined(_DERIVATE2)
  Mutmp_VGP_SI_VDI_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*((0.5*pInst->THECS_T)*temp1_VGP_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VDI_SI+(0.0)*temp1_VGP_SI+(0.5*pInst->THECS_T)*temp1_VGP_SI_VDI_SI))));
  Mutmp_VGP_SI_VGP_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*((0.5*pInst->THECS_T)*temp1_VGP_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VGP_SI+(0.0)*temp1_VGP_SI+(0.5*pInst->THECS_T)*temp1_VGP_SI_VGP_SI))));
  Mutmp_VGP_SI_VSI_BP=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VGP_SI)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*((0.5*pInst->THECS_T)*temp1_VGP_SI)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VSI_BP+(0.0)*temp1_VGP_SI+(0.5*pInst->THECS_T)*temp1_VGP_SI_VSI_BP))));
#endif
Mutmp_VSI_BP=((d10_pow0*Eeffm_VSI_BP*pInst->MUE_T)+(pInst->CS_T*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1));
#if defined(_DERIVATE2)
  Mutmp_VSI_BP_VDI_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VDI_SI)))*((0.5*pInst->THECS_T)*temp1_VSI_BP)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VDI_SI+(0.0)*temp1_VSI_BP+(0.5*pInst->THECS_T)*temp1_VSI_BP_VDI_SI))));
  Mutmp_VSI_BP_VGP_SI=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VGP_SI)))*((0.5*pInst->THECS_T)*temp1_VSI_BP)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VGP_SI+(0.0)*temp1_VSI_BP+(0.5*pInst->THECS_T)*temp1_VSI_BP_VGP_SI))));
  Mutmp_VSI_BP_VSI_BP=(+fixme+(+0.0*d00_exp1+0.0*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*d10_exp1+0.0*((0.5*pInst->THECS_T)*temp1_VSI_BP)*d10_exp1+pInst->CS_T*(m20_exp(((0.5*pInst->THECS_T)*pInst->temp1))*((((0.0)*pInst->temp1)+((0.5*pInst->THECS_T)*temp1_VSI_BP)))*((0.5*pInst->THECS_T)*temp1_VSI_BP)+d10_exp1*(+(+0.0*pInst->THECS_T+0.0*0.0+0.0*0.0+0.5*0.0)*pInst->temp1+0.0*temp1_VSI_BP+(0.0)*temp1_VSI_BP+(0.5*pInst->THECS_T)*temp1_VSI_BP_VSI_BP))));
#endif
#endif
Mutmp=(d00_pow0+(pInst->CS_T*d00_exp1));
EXIT_IF_ISNAN((d00_pow0+(pInst->CS_T*d00_exp1)))
}
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gmob_VDI_SI=(((Mutmp_VDI_SI+GR_VDI_SI)*Rxcor)+(((1.0+Mutmp)+GR)*Rxcor_VDI_SI));
#if defined(_DERIVATE2)
  Gmob_VDI_SI_VDI_SI=(+(+(+0.0+Mutmp_VDI_SI_VDI_SI)+GR_VDI_SI_VDI_SI)*Rxcor+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VDI_SI+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VDI_SI+((1.0+Mutmp)+GR)*Rxcor_VDI_SI_VDI_SI);
  Gmob_VDI_SI_VGP_SI=(+(+(+0.0+Mutmp_VDI_SI_VGP_SI)+GR_VDI_SI_VGP_SI)*Rxcor+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VGP_SI+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VDI_SI+((1.0+Mutmp)+GR)*Rxcor_VDI_SI_VGP_SI);
  Gmob_VDI_SI_VSI_BP=(+(+(+0.0+Mutmp_VDI_SI_VSI_BP)+GR_VDI_SI_VSI_BP)*Rxcor+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VSI_BP+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VDI_SI+((1.0+Mutmp)+GR)*Rxcor_VDI_SI_VSI_BP);
#endif
Gmob_VGP_SI=(((Mutmp_VGP_SI+GR_VGP_SI)*Rxcor)+(((1.0+Mutmp)+GR)*Rxcor_VGP_SI));
#if defined(_DERIVATE2)
  Gmob_VGP_SI_VDI_SI=(+(+(+0.0+Mutmp_VGP_SI_VDI_SI)+GR_VGP_SI_VDI_SI)*Rxcor+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VDI_SI+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VGP_SI+((1.0+Mutmp)+GR)*Rxcor_VGP_SI_VDI_SI);
  Gmob_VGP_SI_VGP_SI=(+(+(+0.0+Mutmp_VGP_SI_VGP_SI)+GR_VGP_SI_VGP_SI)*Rxcor+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VGP_SI+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VGP_SI+((1.0+Mutmp)+GR)*Rxcor_VGP_SI_VGP_SI);
  Gmob_VGP_SI_VSI_BP=(+(+(+0.0+Mutmp_VGP_SI_VSI_BP)+GR_VGP_SI_VSI_BP)*Rxcor+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VSI_BP+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VGP_SI+((1.0+Mutmp)+GR)*Rxcor_VGP_SI_VSI_BP);
#endif
Gmob_VSI_BP=(((Mutmp_VSI_BP+GR_VSI_BP)*Rxcor)+(((1.0+Mutmp)+GR)*Rxcor_VSI_BP));
#if defined(_DERIVATE2)
  Gmob_VSI_BP_VDI_SI=(+(+(+0.0+Mutmp_VSI_BP_VDI_SI)+GR_VSI_BP_VDI_SI)*Rxcor+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VDI_SI+(Mutmp_VDI_SI+GR_VDI_SI)*Rxcor_VSI_BP+((1.0+Mutmp)+GR)*Rxcor_VSI_BP_VDI_SI);
  Gmob_VSI_BP_VGP_SI=(+(+(+0.0+Mutmp_VSI_BP_VGP_SI)+GR_VSI_BP_VGP_SI)*Rxcor+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VGP_SI+(Mutmp_VGP_SI+GR_VGP_SI)*Rxcor_VSI_BP+((1.0+Mutmp)+GR)*Rxcor_VSI_BP_VGP_SI);
  Gmob_VSI_BP_VSI_BP=(+(+(+0.0+Mutmp_VSI_BP_VSI_BP)+GR_VSI_BP_VSI_BP)*Rxcor+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VSI_BP+(Mutmp_VSI_BP+GR_VSI_BP)*Rxcor_VSI_BP+((1.0+Mutmp)+GR)*Rxcor_VSI_BP_VSI_BP);
#endif
#endif
Gmob=(((1.0+Mutmp)+GR)*Rxcor);
EXIT_IF_ISNAN((((1.0+Mutmp)+GR)*Rxcor))
#endif
#if defined(_DYNAMIC)
{
double m00_logE(d00_logE0,((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
s1_VDI_SI=(((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*d10_logE0;
#if defined(_DERIVATE2)
  s1_VDI_SI_VDI_SI=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+Vds_VDI_SI_VDI_SI-dps_VDI_SI_VDI_SI)*pInst->inv_VP+(Vds_VDI_SI-dps_VDI_SI)*0.0+(Vds_VDI_SI-dps_VDI_SI)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)+((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP)*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VDI_SI_VDI_SI-dps_VDI_SI_VDI_SI)*pInst->inv_VP+(Vdse_VDI_SI-dps_VDI_SI)*0.0+(Vdse_VDI_SI-dps_VDI_SI)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
  s1_VDI_SI_VGP_SI=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((-dps_VGP_SI)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VDI_SI_VGP_SI)*pInst->inv_VP+(Vds_VDI_SI-dps_VDI_SI)*0.0+(-dps_VGP_SI)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)+((-dps_VGP_SI)*pInst->inv_VP)*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VDI_SI_VGP_SI-dps_VDI_SI_VGP_SI)*pInst->inv_VP+(Vdse_VDI_SI-dps_VDI_SI)*0.0+(Vdse_VGP_SI-dps_VGP_SI)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
  s1_VDI_SI_VSI_BP=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((-dps_VSI_BP)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VDI_SI_VSI_BP)*pInst->inv_VP+(Vds_VDI_SI-dps_VDI_SI)*0.0+(-dps_VSI_BP)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)+((-dps_VSI_BP)*pInst->inv_VP)*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VDI_SI_VSI_BP-dps_VDI_SI_VSI_BP)*pInst->inv_VP+(Vdse_VDI_SI-dps_VDI_SI)*0.0+(Vdse_VSI_BP-dps_VSI_BP)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
#endif
s1_VGP_SI=(((-dps_VGP_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*d10_logE0;
#if defined(_DERIVATE2)
  s1_VGP_SI_VDI_SI=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((-dps_VGP_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VGP_SI_VDI_SI)*pInst->inv_VP+(-dps_VGP_SI)*0.0+(Vds_VDI_SI-dps_VDI_SI)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((-dps_VGP_SI)*pInst->inv_VP*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)+((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP)*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VGP_SI_VDI_SI-dps_VGP_SI_VDI_SI)*pInst->inv_VP+(Vdse_VGP_SI-dps_VGP_SI)*0.0+(Vdse_VDI_SI-dps_VDI_SI)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
  s1_VGP_SI_VGP_SI=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((-dps_VGP_SI)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((-dps_VGP_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VGP_SI_VGP_SI)*pInst->inv_VP+(-dps_VGP_SI)*0.0+(-dps_VGP_SI)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((-dps_VGP_SI)*pInst->inv_VP*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)+((-dps_VGP_SI)*pInst->inv_VP)*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VGP_SI_VGP_SI-dps_VGP_SI_VGP_SI)*pInst->inv_VP+(Vdse_VGP_SI-dps_VGP_SI)*0.0+(Vdse_VGP_SI-dps_VGP_SI)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
  s1_VGP_SI_VSI_BP=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((-dps_VSI_BP)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((-dps_VGP_SI)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VGP_SI_VSI_BP)*pInst->inv_VP+(-dps_VGP_SI)*0.0+(-dps_VSI_BP)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((-dps_VGP_SI)*pInst->inv_VP*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)+((-dps_VSI_BP)*pInst->inv_VP)*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VGP_SI_VSI_BP-dps_VGP_SI_VSI_BP)*pInst->inv_VP+(Vdse_VGP_SI-dps_VGP_SI)*0.0+(Vdse_VSI_BP-dps_VSI_BP)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
#endif
s1_VSI_BP=(((-dps_VSI_BP)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*d10_logE0;
#if defined(_DERIVATE2)
  s1_VSI_BP_VDI_SI=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((-dps_VSI_BP)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VSI_BP_VDI_SI)*pInst->inv_VP+(-dps_VSI_BP)*0.0+(Vds_VDI_SI-dps_VDI_SI)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((-dps_VSI_BP)*pInst->inv_VP*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)+((Vds_VDI_SI-dps_VDI_SI)*pInst->inv_VP)*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VSI_BP_VDI_SI-dps_VSI_BP_VDI_SI)*pInst->inv_VP+(Vdse_VSI_BP-dps_VSI_BP)*0.0+(Vdse_VDI_SI-dps_VDI_SI)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP*((Vdse_VDI_SI-dps_VDI_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
  s1_VSI_BP_VGP_SI=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((-dps_VGP_SI)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((-dps_VSI_BP)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VSI_BP_VGP_SI)*pInst->inv_VP+(-dps_VSI_BP)*0.0+(-dps_VGP_SI)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((-dps_VSI_BP)*pInst->inv_VP*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)+((-dps_VGP_SI)*pInst->inv_VP)*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VSI_BP_VGP_SI-dps_VSI_BP_VGP_SI)*pInst->inv_VP+(Vdse_VSI_BP-dps_VSI_BP)*0.0+(Vdse_VGP_SI-dps_VGP_SI)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP*((Vdse_VGP_SI-dps_VGP_SI)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
  s1_VSI_BP_VSI_BP=(m20_logE(((1.0+((Vds-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))))*((((-dps_VSI_BP)*pInst->inv_VP)*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))*(((-dps_VSI_BP)*pInst->inv_VP*(1.0+((Vdse-dps)*pInst->inv_VP))-(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP)))+d10_logE0*((+0.0+(+(+0.0-dps_VSI_BP_VSI_BP)*pInst->inv_VP+(-dps_VSI_BP)*0.0+(-dps_VSI_BP)*0.0+(Vds-dps)*0.0))/(1.0+((Vdse-dps)*pInst->inv_VP))-((-dps_VSI_BP)*pInst->inv_VP*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)+((-dps_VSI_BP)*pInst->inv_VP)*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP+(1.0+((Vds-dps)*pInst->inv_VP))*(+0.0+(+(+Vdse_VSI_BP_VSI_BP-dps_VSI_BP_VSI_BP)*pInst->inv_VP+(Vdse_VSI_BP-dps_VSI_BP)*0.0+(Vdse_VSI_BP-dps_VSI_BP)*0.0+(Vdse-dps)*0.0)))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))+2*(1.0+((Vds-dps)*pInst->inv_VP))*(Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP*((Vdse_VSI_BP-dps_VSI_BP)*pInst->inv_VP)/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))/(1.0+((Vdse-dps)*pInst->inv_VP))));
#endif
#endif
s1=d00_logE0;
EXIT_IF_ISNAN(d00_logE0)
}
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
dL_VDI_SI=(alploc*s1_VDI_SI);
#if defined(_DERIVATE2)
  dL_VDI_SI_VDI_SI=(+0.0*s1+0.0*s1_VDI_SI+0.0*s1_VDI_SI+alploc*s1_VDI_SI_VDI_SI);
  dL_VDI_SI_VGP_SI=(+0.0*s1+0.0*s1_VGP_SI+0.0*s1_VDI_SI+alploc*s1_VDI_SI_VGP_SI);
  dL_VDI_SI_VSI_BP=(+0.0*s1+0.0*s1_VSI_BP+0.0*s1_VDI_SI+alploc*s1_VDI_SI_VSI_BP);
#endif
dL_VGP_SI=(alploc*s1_VGP_SI);
#if defined(_DERIVATE2)
  dL_VGP_SI_VDI_SI=(+0.0*s1+0.0*s1_VDI_SI+0.0*s1_VGP_SI+alploc*s1_VGP_SI_VDI_SI);
  dL_VGP_SI_VGP_SI=(+0.0*s1+0.0*s1_VGP_SI+0.0*s1_VGP_SI+alploc*s1_VGP_SI_VGP_SI);
  dL_VGP_SI_VSI_BP=(+0.0*s1+0.0*s1_VSI_BP+0.0*s1_VGP_SI+alploc*s1_VGP_SI_VSI_BP);
#endif
dL_VSI_BP=(alploc*s1_VSI_BP);
#if defined(_DERIVATE2)
  dL_VSI_BP_VDI_SI=(+0.0*s1+0.0*s1_VDI_SI+0.0*s1_VSI_BP+alploc*s1_VSI_BP_VDI_SI);
  dL_VSI_BP_VGP_SI=(+0.0*s1+0.0*s1_VGP_SI+0.0*s1_VSI_BP+alploc*s1_VSI_BP_VGP_SI);
  dL_VSI_BP_VSI_BP=(+0.0*s1+0.0*s1_VSI_BP+0.0*s1_VSI_BP+alploc*s1_VSI_BP_VSI_BP);
#endif
#endif
dL=(alploc*s1);
EXIT_IF_ISNAN((alploc*s1))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
GdL_VDI_SI=(-(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
#if defined(_DERIVATE2)
  GdL_VDI_SI_VDI_SI=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VDI_SI+(((dL_VDI_SI*dL)+(dL*dL_VDI_SI))))+0.0*(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))+1.0*(+(+0.0+dL_VDI_SI_VDI_SI)+(+dL_VDI_SI_VDI_SI*dL+dL_VDI_SI*dL_VDI_SI+dL_VDI_SI*dL_VDI_SI+dL*dL_VDI_SI_VDI_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))*(dL_VDI_SI+(((dL_VDI_SI*dL)+(dL*dL_VDI_SI))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
  GdL_VDI_SI_VGP_SI=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VGP_SI+(((dL_VGP_SI*dL)+(dL*dL_VGP_SI))))+0.0*(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))+1.0*(+(+0.0+dL_VDI_SI_VGP_SI)+(+dL_VDI_SI_VGP_SI*dL+dL_VDI_SI*dL_VGP_SI+dL_VGP_SI*dL_VDI_SI+dL*dL_VDI_SI_VGP_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))*(dL_VGP_SI+(((dL_VGP_SI*dL)+(dL*dL_VGP_SI))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
  GdL_VDI_SI_VSI_BP=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VSI_BP+(((dL_VSI_BP*dL)+(dL*dL_VSI_BP))))+0.0*(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))+1.0*(+(+0.0+dL_VDI_SI_VSI_BP)+(+dL_VDI_SI_VSI_BP*dL+dL_VDI_SI*dL_VSI_BP+dL_VSI_BP*dL_VDI_SI+dL*dL_VDI_SI_VSI_BP)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VDI_SI+((dL_VDI_SI*dL)+(dL*dL_VDI_SI)))*(dL_VSI_BP+(((dL_VSI_BP*dL)+(dL*dL_VSI_BP))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
#endif
GdL_VGP_SI=(-(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
#if defined(_DERIVATE2)
  GdL_VGP_SI_VDI_SI=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VDI_SI+(((dL_VDI_SI*dL)+(dL*dL_VDI_SI))))+0.0*(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))+1.0*(+(+0.0+dL_VGP_SI_VDI_SI)+(+dL_VGP_SI_VDI_SI*dL+dL_VGP_SI*dL_VDI_SI+dL_VDI_SI*dL_VGP_SI+dL*dL_VGP_SI_VDI_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))*(dL_VDI_SI+(((dL_VDI_SI*dL)+(dL*dL_VDI_SI))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
  GdL_VGP_SI_VGP_SI=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VGP_SI+(((dL_VGP_SI*dL)+(dL*dL_VGP_SI))))+0.0*(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))+1.0*(+(+0.0+dL_VGP_SI_VGP_SI)+(+dL_VGP_SI_VGP_SI*dL+dL_VGP_SI*dL_VGP_SI+dL_VGP_SI*dL_VGP_SI+dL*dL_VGP_SI_VGP_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))*(dL_VGP_SI+(((dL_VGP_SI*dL)+(dL*dL_VGP_SI))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
  GdL_VGP_SI_VSI_BP=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VSI_BP+(((dL_VSI_BP*dL)+(dL*dL_VSI_BP))))+0.0*(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))+1.0*(+(+0.0+dL_VGP_SI_VSI_BP)+(+dL_VGP_SI_VSI_BP*dL+dL_VGP_SI*dL_VSI_BP+dL_VSI_BP*dL_VGP_SI+dL*dL_VGP_SI_VSI_BP)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VGP_SI+((dL_VGP_SI*dL)+(dL*dL_VGP_SI)))*(dL_VSI_BP+(((dL_VSI_BP*dL)+(dL*dL_VSI_BP))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
#endif
GdL_VSI_BP=(-(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
#if defined(_DERIVATE2)
  GdL_VSI_BP_VDI_SI=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VDI_SI+(((dL_VDI_SI*dL)+(dL*dL_VDI_SI))))+0.0*(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))+1.0*(+(+0.0+dL_VSI_BP_VDI_SI)+(+dL_VSI_BP_VDI_SI*dL+dL_VSI_BP*dL_VDI_SI+dL_VDI_SI*dL_VSI_BP+dL*dL_VSI_BP_VDI_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))*(dL_VDI_SI+(((dL_VDI_SI*dL)+(dL*dL_VDI_SI))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
  GdL_VSI_BP_VGP_SI=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VGP_SI+(((dL_VGP_SI*dL)+(dL*dL_VGP_SI))))+0.0*(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))+1.0*(+(+0.0+dL_VSI_BP_VGP_SI)+(+dL_VSI_BP_VGP_SI*dL+dL_VSI_BP*dL_VGP_SI+dL_VGP_SI*dL_VSI_BP+dL*dL_VSI_BP_VGP_SI)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))*(dL_VGP_SI+(((dL_VGP_SI*dL)+(dL*dL_VGP_SI))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
  GdL_VSI_BP_VSI_BP=(0.0/((1.0+dL)+(dL*dL))-(0.0*(dL_VSI_BP+(((dL_VSI_BP*dL)+(dL*dL_VSI_BP))))+0.0*(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))+1.0*(+(+0.0+dL_VSI_BP_VSI_BP)+(+dL_VSI_BP_VSI_BP*dL+dL_VSI_BP*dL_VSI_BP+dL_VSI_BP*dL_VSI_BP+dL*dL_VSI_BP_VSI_BP)))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))+2*1.0*(dL_VSI_BP+((dL_VSI_BP*dL)+(dL*dL_VSI_BP)))*(dL_VSI_BP+(((dL_VSI_BP*dL)+(dL*dL_VSI_BP))))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL))/((1.0+dL)+(dL*dL)));
#endif
#endif
GdL=(1.0/((1.0+dL)+(dL*dL)));
EXIT_IF_ISNAN((1.0/((1.0+dL)+(dL*dL))))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp2_VDI_SI=((qim_VDI_SI*xitsb)+(qim*xitsb_VDI_SI));
#if defined(_DERIVATE2)
  temp2_VDI_SI_VDI_SI=(+qim_VDI_SI_VDI_SI*xitsb+qim_VDI_SI*xitsb_VDI_SI+qim_VDI_SI*xitsb_VDI_SI+qim*xitsb_VDI_SI_VDI_SI);
  temp2_VDI_SI_VGP_SI=(+qim_VDI_SI_VGP_SI*xitsb+qim_VDI_SI*xitsb_VGP_SI+qim_VGP_SI*xitsb_VDI_SI+qim*xitsb_VDI_SI_VGP_SI);
  temp2_VDI_SI_VSI_BP=(+qim_VDI_SI_VSI_BP*xitsb+qim_VDI_SI*xitsb_VSI_BP+qim_VSI_BP*xitsb_VDI_SI+qim*xitsb_VDI_SI_VSI_BP);
#endif
temp2_VGP_SI=((qim_VGP_SI*xitsb)+(qim*xitsb_VGP_SI));
#if defined(_DERIVATE2)
  temp2_VGP_SI_VDI_SI=(+qim_VGP_SI_VDI_SI*xitsb+qim_VGP_SI*xitsb_VDI_SI+qim_VDI_SI*xitsb_VGP_SI+qim*xitsb_VGP_SI_VDI_SI);
  temp2_VGP_SI_VGP_SI=(+qim_VGP_SI_VGP_SI*xitsb+qim_VGP_SI*xitsb_VGP_SI+qim_VGP_SI*xitsb_VGP_SI+qim*xitsb_VGP_SI_VGP_SI);
  temp2_VGP_SI_VSI_BP=(+qim_VGP_SI_VSI_BP*xitsb+qim_VGP_SI*xitsb_VSI_BP+qim_VSI_BP*xitsb_VGP_SI+qim*xitsb_VGP_SI_VSI_BP);
#endif
temp2_VSI_BP=((qim_VSI_BP*xitsb)+(qim*xitsb_VSI_BP));
#if defined(_DERIVATE2)
  temp2_VSI_BP_VDI_SI=(+qim_VSI_BP_VDI_SI*xitsb+qim_VSI_BP*xitsb_VDI_SI+qim_VDI_SI*xitsb_VSI_BP+qim*xitsb_VSI_BP_VDI_SI);
  temp2_VSI_BP_VGP_SI=(+qim_VSI_BP_VGP_SI*xitsb+qim_VSI_BP*xitsb_VGP_SI+qim_VGP_SI*xitsb_VSI_BP+qim*xitsb_VSI_BP_VGP_SI);
  temp2_VSI_BP_VSI_BP=(+qim_VSI_BP_VSI_BP*xitsb+qim_VSI_BP*xitsb_VSI_BP+qim_VSI_BP*xitsb_VSI_BP+qim*xitsb_VSI_BP_VSI_BP);
#endif
#endif
temp2=(qim*xitsb);
EXIT_IF_ISNAN((qim*xitsb))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
wsat_VDI_SI=(100.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2)));
#if defined(_DERIVATE2)
  wsat_VDI_SI_VDI_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VDI_SI_VDI_SI/(100.0+temp2)-(temp2_VDI_SI*temp2_VDI_SI+temp2_VDI_SI*temp2_VDI_SI+temp2*(+0.0+temp2_VDI_SI_VDI_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VDI_SI*temp2_VDI_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VDI_SI_VGP_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VDI_SI_VGP_SI/(100.0+temp2)-(temp2_VDI_SI*temp2_VGP_SI+temp2_VGP_SI*temp2_VDI_SI+temp2*(+0.0+temp2_VDI_SI_VGP_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VDI_SI*temp2_VGP_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VDI_SI_VSI_BP=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VDI_SI_VSI_BP/(100.0+temp2)-(temp2_VDI_SI*temp2_VSI_BP+temp2_VSI_BP*temp2_VDI_SI+temp2*(+0.0+temp2_VDI_SI_VSI_BP))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VDI_SI*temp2_VSI_BP/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
#endif
wsat_VGP_SI=(100.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2)));
#if defined(_DERIVATE2)
  wsat_VGP_SI_VDI_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VGP_SI_VDI_SI/(100.0+temp2)-(temp2_VGP_SI*temp2_VDI_SI+temp2_VDI_SI*temp2_VGP_SI+temp2*(+0.0+temp2_VGP_SI_VDI_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VGP_SI*temp2_VDI_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VGP_SI_VGP_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VGP_SI_VGP_SI/(100.0+temp2)-(temp2_VGP_SI*temp2_VGP_SI+temp2_VGP_SI*temp2_VGP_SI+temp2*(+0.0+temp2_VGP_SI_VGP_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VGP_SI*temp2_VGP_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VGP_SI_VSI_BP=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VGP_SI_VSI_BP/(100.0+temp2)-(temp2_VGP_SI*temp2_VSI_BP+temp2_VSI_BP*temp2_VGP_SI+temp2*(+0.0+temp2_VGP_SI_VSI_BP))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VGP_SI*temp2_VSI_BP/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
#endif
wsat_VSI_BP=(100.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2)));
#if defined(_DERIVATE2)
  wsat_VSI_BP_VDI_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VDI_SI*(100.0+temp2)-temp2*temp2_VDI_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VSI_BP_VDI_SI/(100.0+temp2)-(temp2_VSI_BP*temp2_VDI_SI+temp2_VDI_SI*temp2_VSI_BP+temp2*(+0.0+temp2_VSI_BP_VDI_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VSI_BP*temp2_VDI_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VSI_BP_VGP_SI=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VGP_SI*(100.0+temp2)-temp2*temp2_VGP_SI)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VSI_BP_VGP_SI/(100.0+temp2)-(temp2_VSI_BP*temp2_VGP_SI+temp2_VGP_SI*temp2_VSI_BP+temp2*(+0.0+temp2_VSI_BP_VGP_SI))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VSI_BP*temp2_VGP_SI/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
  wsat_VSI_BP_VSI_BP=(+0.0*(temp2/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+0.0*((temp2_VSI_BP*(100.0+temp2)-temp2*temp2_VSI_BP)/(100.0+temp2)/(100.0+temp2))+100.0*(temp2_VSI_BP_VSI_BP/(100.0+temp2)-(temp2_VSI_BP*temp2_VSI_BP+temp2_VSI_BP*temp2_VSI_BP+temp2*(+0.0+temp2_VSI_BP_VSI_BP))/(100.0+temp2)/(100.0+temp2)+2*temp2*temp2_VSI_BP*temp2_VSI_BP/(100.0+temp2)/(100.0+temp2)/(100.0+temp2)));
#endif
#endif
wsat=(100.0*(temp2/(100.0+temp2)));
EXIT_IF_ISNAN((100.0*(temp2/(100.0+temp2))))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Gmob_dL_VDI_SI=((Gmob_VDI_SI*GdL)+(Gmob*GdL_VDI_SI));
#if defined(_DERIVATE2)
  Gmob_dL_VDI_SI_VDI_SI=(+Gmob_VDI_SI_VDI_SI*GdL+Gmob_VDI_SI*GdL_VDI_SI+Gmob_VDI_SI*GdL_VDI_SI+Gmob*GdL_VDI_SI_VDI_SI);
  Gmob_dL_VDI_SI_VGP_SI=(+Gmob_VDI_SI_VGP_SI*GdL+Gmob_VDI_SI*GdL_VGP_SI+Gmob_VGP_SI*GdL_VDI_SI+Gmob*GdL_VDI_SI_VGP_SI);
  Gmob_dL_VDI_SI_VSI_BP=(+Gmob_VDI_SI_VSI_BP*GdL+Gmob_VDI_SI*GdL_VSI_BP+Gmob_VSI_BP*GdL_VDI_SI+Gmob*GdL_VDI_SI_VSI_BP);
#endif
Gmob_dL_VGP_SI=((Gmob_VGP_SI*GdL)+(Gmob*GdL_VGP_SI));
#if defined(_DERIVATE2)
  Gmob_dL_VGP_SI_VDI_SI=(+Gmob_VGP_SI_VDI_SI*GdL+Gmob_VGP_SI*GdL_VDI_SI+Gmob_VDI_SI*GdL_VGP_SI+Gmob*GdL_VGP_SI_VDI_SI);
  Gmob_dL_VGP_SI_VGP_SI=(+Gmob_VGP_SI_VGP_SI*GdL+Gmob_VGP_SI*GdL_VGP_SI+Gmob_VGP_SI*GdL_VGP_SI+Gmob*GdL_VGP_SI_VGP_SI);
  Gmob_dL_VGP_SI_VSI_BP=(+Gmob_VGP_SI_VSI_BP*GdL+Gmob_VGP_SI*GdL_VSI_BP+Gmob_VSI_BP*GdL_VGP_SI+Gmob*GdL_VGP_SI_VSI_BP);
#endif
Gmob_dL_VSI_BP=((Gmob_VSI_BP*GdL)+(Gmob*GdL_VSI_BP));
#if defined(_DERIVATE2)
  Gmob_dL_VSI_BP_VDI_SI=(+Gmob_VSI_BP_VDI_SI*GdL+Gmob_VSI_BP*GdL_VDI_SI+Gmob_VDI_SI*GdL_VSI_BP+Gmob*GdL_VSI_BP_VDI_SI);
  Gmob_dL_VSI_BP_VGP_SI=(+Gmob_VSI_BP_VGP_SI*GdL+Gmob_VSI_BP*GdL_VGP_SI+Gmob_VGP_SI*GdL_VSI_BP+Gmob*GdL_VSI_BP_VGP_SI);
  Gmob_dL_VSI_BP_VSI_BP=(+Gmob_VSI_BP_VSI_BP*GdL+Gmob_VSI_BP*GdL_VSI_BP+Gmob_VSI_BP*GdL_VSI_BP+Gmob*GdL_VSI_BP_VSI_BP);
#endif
#endif
Gmob_dL=(Gmob*GdL);
EXIT_IF_ISNAN((Gmob*GdL))
#endif
#ifdef _DYNAMIC
if
((pInst->THESATG_i<0.0))
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(-(-(pInst->THESATG_i*wsat_VGP_SI))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VGP_SI)))+0.0*(-(pInst->THESATG_i*wsat_VGP_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VGP_SI))*(-((pInst->THESATG_i*wsat_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VGP_SI_VDI_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VDI_SI)))+0.0*(-(pInst->THESATG_i*wsat_VGP_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VGP_SI))*(-((pInst->THESATG_i*wsat_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VGP_SI_VSI_BP=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VSI_BP)))+0.0*(-(pInst->THESATG_i*wsat_VGP_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VGP_SI))*(-((pInst->THESATG_i*wsat_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#endif
temp_VDI_SI=(-(-(pInst->THESATG_i*wsat_VDI_SI))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VGP_SI)))+0.0*(-(pInst->THESATG_i*wsat_VDI_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VDI_SI))*(-((pInst->THESATG_i*wsat_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VDI_SI_VDI_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VDI_SI)))+0.0*(-(pInst->THESATG_i*wsat_VDI_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VDI_SI))*(-((pInst->THESATG_i*wsat_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VDI_SI_VSI_BP=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VSI_BP)))+0.0*(-(pInst->THESATG_i*wsat_VDI_SI))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VDI_SI))*(-((pInst->THESATG_i*wsat_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#endif
temp_VSI_BP=(-(-(pInst->THESATG_i*wsat_VSI_BP))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VGP_SI)))+0.0*(-(pInst->THESATG_i*wsat_VSI_BP))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VSI_BP))*(-((pInst->THESATG_i*wsat_VGP_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VSI_BP_VDI_SI=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VDI_SI)))+0.0*(-(pInst->THESATG_i*wsat_VSI_BP))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VSI_BP))*(-((pInst->THESATG_i*wsat_VDI_SI)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
  temp_VSI_BP_VSI_BP=(0.0/(1.0-(pInst->THESATG_i*wsat))-(0.0*(-((pInst->THESATG_i*wsat_VSI_BP)))+0.0*(-(pInst->THESATG_i*wsat_VSI_BP))+1.0*(+0.0-(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))+2*1.0*(-(pInst->THESATG_i*wsat_VSI_BP))*(-((pInst->THESATG_i*wsat_VSI_BP)))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat))/(1.0-(pInst->THESATG_i*wsat)));
#endif
#endif
temp=(1.0/(1.0-(pInst->THESATG_i*wsat)));
EXIT_IF_ISNAN((1.0/(1.0-(pInst->THESATG_i*wsat))))
#endif
}
else
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=(pInst->THESATG_i*wsat_VGP_SI);
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+0.0+(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VGP_SI));
  temp_VGP_SI_VDI_SI=(+0.0+(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VDI_SI));
  temp_VGP_SI_VSI_BP=(+0.0+(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VGP_SI+pInst->THESATG_i*wsat_VGP_SI_VSI_BP));
#endif
temp_VDI_SI=(pInst->THESATG_i*wsat_VDI_SI);
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+0.0+(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VGP_SI));
  temp_VDI_SI_VDI_SI=(+0.0+(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VDI_SI));
  temp_VDI_SI_VSI_BP=(+0.0+(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VDI_SI+pInst->THESATG_i*wsat_VDI_SI_VSI_BP));
#endif
temp_VSI_BP=(pInst->THESATG_i*wsat_VSI_BP);
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+0.0+(+0.0*wsat+0.0*wsat_VGP_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VGP_SI));
  temp_VSI_BP_VDI_SI=(+0.0+(+0.0*wsat+0.0*wsat_VDI_SI+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VDI_SI));
  temp_VSI_BP_VSI_BP=(+0.0+(+0.0*wsat+0.0*wsat_VSI_BP+0.0*wsat_VSI_BP+pInst->THESATG_i*wsat_VSI_BP_VSI_BP));
#endif
#endif
temp=(1.0+(pInst->THESATG_i*wsat));
EXIT_IF_ISNAN((1.0+(pInst->THESATG_i*wsat)))
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
thesat1_VGP_SI=(thesatloc*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL));
#if defined(_DERIVATE2)
  thesat1_VGP_SI_VGP_SI=(+0.0*(temp/Gmob_dL)+0.0*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL)+0.0*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VGP_SI_VGP_SI/Gmob_dL-(temp_VGP_SI*Gmob_dL_VGP_SI+temp_VGP_SI*Gmob_dL_VGP_SI+temp*Gmob_dL_VGP_SI_VGP_SI)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VGP_SI*Gmob_dL_VGP_SI/Gmob_dL/Gmob_dL/Gmob_dL));
  thesat1_VGP_SI_VDI_SI=(+0.0*(temp/Gmob_dL)+0.0*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL)+0.0*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VGP_SI_VDI_SI/Gmob_dL-(temp_VGP_SI*Gmob_dL_VDI_SI+temp_VDI_SI*Gmob_dL_VGP_SI+temp*Gmob_dL_VGP_SI_VDI_SI)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VGP_SI*Gmob_dL_VDI_SI/Gmob_dL/Gmob_dL/Gmob_dL));
  thesat1_VGP_SI_VSI_BP=(+0.0*(temp/Gmob_dL)+0.0*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL)+0.0*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VGP_SI_VSI_BP/Gmob_dL-(temp_VGP_SI*Gmob_dL_VSI_BP+temp_VSI_BP*Gmob_dL_VGP_SI+temp*Gmob_dL_VGP_SI_VSI_BP)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VGP_SI*Gmob_dL_VSI_BP/Gmob_dL/Gmob_dL/Gmob_dL));
#endif
thesat1_VDI_SI=(thesatloc*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL));
#if defined(_DERIVATE2)
  thesat1_VDI_SI_VGP_SI=(+0.0*(temp/Gmob_dL)+0.0*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL)+0.0*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VDI_SI_VGP_SI/Gmob_dL-(temp_VDI_SI*Gmob_dL_VGP_SI+temp_VGP_SI*Gmob_dL_VDI_SI+temp*Gmob_dL_VDI_SI_VGP_SI)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VDI_SI*Gmob_dL_VGP_SI/Gmob_dL/Gmob_dL/Gmob_dL));
  thesat1_VDI_SI_VDI_SI=(+0.0*(temp/Gmob_dL)+0.0*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL)+0.0*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VDI_SI_VDI_SI/Gmob_dL-(temp_VDI_SI*Gmob_dL_VDI_SI+temp_VDI_SI*Gmob_dL_VDI_SI+temp*Gmob_dL_VDI_SI_VDI_SI)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VDI_SI*Gmob_dL_VDI_SI/Gmob_dL/Gmob_dL/Gmob_dL));
  thesat1_VDI_SI_VSI_BP=(+0.0*(temp/Gmob_dL)+0.0*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL)+0.0*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VDI_SI_VSI_BP/Gmob_dL-(temp_VDI_SI*Gmob_dL_VSI_BP+temp_VSI_BP*Gmob_dL_VDI_SI+temp*Gmob_dL_VDI_SI_VSI_BP)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VDI_SI*Gmob_dL_VSI_BP/Gmob_dL/Gmob_dL/Gmob_dL));
#endif
thesat1_VSI_BP=(thesatloc*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL));
#if defined(_DERIVATE2)
  thesat1_VSI_BP_VGP_SI=(+0.0*(temp/Gmob_dL)+0.0*((temp_VGP_SI*Gmob_dL-temp*Gmob_dL_VGP_SI)/Gmob_dL/Gmob_dL)+0.0*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VSI_BP_VGP_SI/Gmob_dL-(temp_VSI_BP*Gmob_dL_VGP_SI+temp_VGP_SI*Gmob_dL_VSI_BP+temp*Gmob_dL_VSI_BP_VGP_SI)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VSI_BP*Gmob_dL_VGP_SI/Gmob_dL/Gmob_dL/Gmob_dL));
  thesat1_VSI_BP_VDI_SI=(+0.0*(temp/Gmob_dL)+0.0*((temp_VDI_SI*Gmob_dL-temp*Gmob_dL_VDI_SI)/Gmob_dL/Gmob_dL)+0.0*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VSI_BP_VDI_SI/Gmob_dL-(temp_VSI_BP*Gmob_dL_VDI_SI+temp_VDI_SI*Gmob_dL_VSI_BP+temp*Gmob_dL_VSI_BP_VDI_SI)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VSI_BP*Gmob_dL_VDI_SI/Gmob_dL/Gmob_dL/Gmob_dL));
  thesat1_VSI_BP_VSI_BP=(+0.0*(temp/Gmob_dL)+0.0*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL)+0.0*((temp_VSI_BP*Gmob_dL-temp*Gmob_dL_VSI_BP)/Gmob_dL/Gmob_dL)+thesatloc*(temp_VSI_BP_VSI_BP/Gmob_dL-(temp_VSI_BP*Gmob_dL_VSI_BP+temp_VSI_BP*Gmob_dL_VSI_BP+temp*Gmob_dL_VSI_BP_VSI_BP)/Gmob_dL/Gmob_dL+2*temp*Gmob_dL_VSI_BP*Gmob_dL_VSI_BP/Gmob_dL/Gmob_dL/Gmob_dL));
#endif
#endif
thesat1=(thesatloc*(temp/Gmob_dL));
EXIT_IF_ISNAN((thesatloc*(temp/Gmob_dL)))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
zsat_VGP_SI=((((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps)+((thesat1*thesat1)*dps_VGP_SI))*dps)+(((thesat1*thesat1)*dps)*dps_VGP_SI));
#if defined(_DERIVATE2)
  zsat_VGP_SI_VGP_SI=(+(+(+thesat1_VGP_SI_VGP_SI*thesat1+thesat1_VGP_SI*thesat1_VGP_SI+thesat1_VGP_SI*thesat1_VGP_SI+thesat1*thesat1_VGP_SI_VGP_SI)*dps+((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps_VGP_SI+(((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI)))*dps_VGP_SI+(thesat1*thesat1)*dps_VGP_SI_VGP_SI)*dps+((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps)+((thesat1*thesat1)*dps_VGP_SI))*dps_VGP_SI+((((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI)))*dps)+((thesat1*thesat1)*dps_VGP_SI)))*dps_VGP_SI+((thesat1*thesat1)*dps)*dps_VGP_SI_VGP_SI);
  zsat_VGP_SI_VDI_SI=(+(+(+thesat1_VGP_SI_VDI_SI*thesat1+thesat1_VGP_SI*thesat1_VDI_SI+thesat1_VDI_SI*thesat1_VGP_SI+thesat1*thesat1_VGP_SI_VDI_SI)*dps+((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps_VDI_SI+(((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI)))*dps_VGP_SI+(thesat1*thesat1)*dps_VGP_SI_VDI_SI)*dps+((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps)+((thesat1*thesat1)*dps_VGP_SI))*dps_VDI_SI+((((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI)))*dps)+((thesat1*thesat1)*dps_VDI_SI)))*dps_VGP_SI+((thesat1*thesat1)*dps)*dps_VGP_SI_VDI_SI);
  zsat_VGP_SI_VSI_BP=(+(+(+thesat1_VGP_SI_VSI_BP*thesat1+thesat1_VGP_SI*thesat1_VSI_BP+thesat1_VSI_BP*thesat1_VGP_SI+thesat1*thesat1_VGP_SI_VSI_BP)*dps+((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps_VSI_BP+(((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP)))*dps_VGP_SI+(thesat1*thesat1)*dps_VGP_SI_VSI_BP)*dps+((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI))*dps)+((thesat1*thesat1)*dps_VGP_SI))*dps_VSI_BP+((((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP)))*dps)+((thesat1*thesat1)*dps_VSI_BP)))*dps_VGP_SI+((thesat1*thesat1)*dps)*dps_VGP_SI_VSI_BP);
#endif
zsat_VDI_SI=((((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps)+((thesat1*thesat1)*dps_VDI_SI))*dps)+(((thesat1*thesat1)*dps)*dps_VDI_SI));
#if defined(_DERIVATE2)
  zsat_VDI_SI_VGP_SI=(+(+(+thesat1_VDI_SI_VGP_SI*thesat1+thesat1_VDI_SI*thesat1_VGP_SI+thesat1_VGP_SI*thesat1_VDI_SI+thesat1*thesat1_VDI_SI_VGP_SI)*dps+((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps_VGP_SI+(((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI)))*dps_VDI_SI+(thesat1*thesat1)*dps_VDI_SI_VGP_SI)*dps+((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps)+((thesat1*thesat1)*dps_VDI_SI))*dps_VGP_SI+((((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI)))*dps)+((thesat1*thesat1)*dps_VGP_SI)))*dps_VDI_SI+((thesat1*thesat1)*dps)*dps_VDI_SI_VGP_SI);
  zsat_VDI_SI_VDI_SI=(+(+(+thesat1_VDI_SI_VDI_SI*thesat1+thesat1_VDI_SI*thesat1_VDI_SI+thesat1_VDI_SI*thesat1_VDI_SI+thesat1*thesat1_VDI_SI_VDI_SI)*dps+((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps_VDI_SI+(((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI)))*dps_VDI_SI+(thesat1*thesat1)*dps_VDI_SI_VDI_SI)*dps+((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps)+((thesat1*thesat1)*dps_VDI_SI))*dps_VDI_SI+((((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI)))*dps)+((thesat1*thesat1)*dps_VDI_SI)))*dps_VDI_SI+((thesat1*thesat1)*dps)*dps_VDI_SI_VDI_SI);
  zsat_VDI_SI_VSI_BP=(+(+(+thesat1_VDI_SI_VSI_BP*thesat1+thesat1_VDI_SI*thesat1_VSI_BP+thesat1_VSI_BP*thesat1_VDI_SI+thesat1*thesat1_VDI_SI_VSI_BP)*dps+((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps_VSI_BP+(((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP)))*dps_VDI_SI+(thesat1*thesat1)*dps_VDI_SI_VSI_BP)*dps+((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI))*dps)+((thesat1*thesat1)*dps_VDI_SI))*dps_VSI_BP+((((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP)))*dps)+((thesat1*thesat1)*dps_VSI_BP)))*dps_VDI_SI+((thesat1*thesat1)*dps)*dps_VDI_SI_VSI_BP);
#endif
zsat_VSI_BP=((((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps)+((thesat1*thesat1)*dps_VSI_BP))*dps)+(((thesat1*thesat1)*dps)*dps_VSI_BP));
#if defined(_DERIVATE2)
  zsat_VSI_BP_VGP_SI=(+(+(+thesat1_VSI_BP_VGP_SI*thesat1+thesat1_VSI_BP*thesat1_VGP_SI+thesat1_VGP_SI*thesat1_VSI_BP+thesat1*thesat1_VSI_BP_VGP_SI)*dps+((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps_VGP_SI+(((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI)))*dps_VSI_BP+(thesat1*thesat1)*dps_VSI_BP_VGP_SI)*dps+((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps)+((thesat1*thesat1)*dps_VSI_BP))*dps_VGP_SI+((((((thesat1_VGP_SI*thesat1)+(thesat1*thesat1_VGP_SI)))*dps)+((thesat1*thesat1)*dps_VGP_SI)))*dps_VSI_BP+((thesat1*thesat1)*dps)*dps_VSI_BP_VGP_SI);
  zsat_VSI_BP_VDI_SI=(+(+(+thesat1_VSI_BP_VDI_SI*thesat1+thesat1_VSI_BP*thesat1_VDI_SI+thesat1_VDI_SI*thesat1_VSI_BP+thesat1*thesat1_VSI_BP_VDI_SI)*dps+((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps_VDI_SI+(((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI)))*dps_VSI_BP+(thesat1*thesat1)*dps_VSI_BP_VDI_SI)*dps+((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps)+((thesat1*thesat1)*dps_VSI_BP))*dps_VDI_SI+((((((thesat1_VDI_SI*thesat1)+(thesat1*thesat1_VDI_SI)))*dps)+((thesat1*thesat1)*dps_VDI_SI)))*dps_VSI_BP+((thesat1*thesat1)*dps)*dps_VSI_BP_VDI_SI);
  zsat_VSI_BP_VSI_BP=(+(+(+thesat1_VSI_BP_VSI_BP*thesat1+thesat1_VSI_BP*thesat1_VSI_BP+thesat1_VSI_BP*thesat1_VSI_BP+thesat1*thesat1_VSI_BP_VSI_BP)*dps+((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps_VSI_BP+(((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP)))*dps_VSI_BP+(thesat1*thesat1)*dps_VSI_BP_VSI_BP)*dps+((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP))*dps)+((thesat1*thesat1)*dps_VSI_BP))*dps_VSI_BP+((((((thesat1_VSI_BP*thesat1)+(thesat1*thesat1_VSI_BP)))*dps)+((thesat1*thesat1)*dps_VSI_BP)))*dps_VSI_BP+((thesat1*thesat1)*dps)*dps_VSI_BP_VSI_BP);
#endif
#endif
zsat=(((thesat1*thesat1)*dps)*dps);
EXIT_IF_ISNAN((((thesat1*thesat1)*dps)*dps))
#endif
#ifdef _DYNAMIC
if
((pModel->CHNL_TYPE==(-1)))
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
zsat_VGP_SI=((zsat_VGP_SI*(1.0+(thesat1*dps))-zsat*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
#if defined(_DERIVATE2)
  zsat_VGP_SI_VGP_SI=(zsat_VGP_SI_VGP_SI/(1.0+(thesat1*dps))-(zsat_VGP_SI*(((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))+zsat_VGP_SI*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI))+zsat*(+0.0+(+thesat1_VGP_SI_VGP_SI*dps+thesat1_VGP_SI*dps_VGP_SI+thesat1_VGP_SI*dps_VGP_SI+thesat1*dps_VGP_SI_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI))*(((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
  zsat_VGP_SI_VDI_SI=(zsat_VGP_SI_VDI_SI/(1.0+(thesat1*dps))-(zsat_VGP_SI*(((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))+zsat_VDI_SI*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI))+zsat*(+0.0+(+thesat1_VGP_SI_VDI_SI*dps+thesat1_VGP_SI*dps_VDI_SI+thesat1_VDI_SI*dps_VGP_SI+thesat1*dps_VGP_SI_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI))*(((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
  zsat_VGP_SI_VSI_BP=(zsat_VGP_SI_VSI_BP/(1.0+(thesat1*dps))-(zsat_VGP_SI*(((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))+zsat_VSI_BP*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI))+zsat*(+0.0+(+thesat1_VGP_SI_VSI_BP*dps+thesat1_VGP_SI*dps_VSI_BP+thesat1_VSI_BP*dps_VGP_SI+thesat1*dps_VGP_SI_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI))*(((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
#endif
zsat_VDI_SI=((zsat_VDI_SI*(1.0+(thesat1*dps))-zsat*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
#if defined(_DERIVATE2)
  zsat_VDI_SI_VGP_SI=(zsat_VDI_SI_VGP_SI/(1.0+(thesat1*dps))-(zsat_VDI_SI*(((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))+zsat_VGP_SI*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI))+zsat*(+0.0+(+thesat1_VDI_SI_VGP_SI*dps+thesat1_VDI_SI*dps_VGP_SI+thesat1_VGP_SI*dps_VDI_SI+thesat1*dps_VDI_SI_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI))*(((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
  zsat_VDI_SI_VDI_SI=(zsat_VDI_SI_VDI_SI/(1.0+(thesat1*dps))-(zsat_VDI_SI*(((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))+zsat_VDI_SI*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI))+zsat*(+0.0+(+thesat1_VDI_SI_VDI_SI*dps+thesat1_VDI_SI*dps_VDI_SI+thesat1_VDI_SI*dps_VDI_SI+thesat1*dps_VDI_SI_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI))*(((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
  zsat_VDI_SI_VSI_BP=(zsat_VDI_SI_VSI_BP/(1.0+(thesat1*dps))-(zsat_VDI_SI*(((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))+zsat_VSI_BP*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI))+zsat*(+0.0+(+thesat1_VDI_SI_VSI_BP*dps+thesat1_VDI_SI*dps_VSI_BP+thesat1_VSI_BP*dps_VDI_SI+thesat1*dps_VDI_SI_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI))*(((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
#endif
zsat_VSI_BP=((zsat_VSI_BP*(1.0+(thesat1*dps))-zsat*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
#if defined(_DERIVATE2)
  zsat_VSI_BP_VGP_SI=(zsat_VSI_BP_VGP_SI/(1.0+(thesat1*dps))-(zsat_VSI_BP*(((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))+zsat_VGP_SI*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP))+zsat*(+0.0+(+thesat1_VSI_BP_VGP_SI*dps+thesat1_VSI_BP*dps_VGP_SI+thesat1_VGP_SI*dps_VSI_BP+thesat1*dps_VSI_BP_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP))*(((thesat1_VGP_SI*dps)+(thesat1*dps_VGP_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
  zsat_VSI_BP_VDI_SI=(zsat_VSI_BP_VDI_SI/(1.0+(thesat1*dps))-(zsat_VSI_BP*(((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))+zsat_VDI_SI*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP))+zsat*(+0.0+(+thesat1_VSI_BP_VDI_SI*dps+thesat1_VSI_BP*dps_VDI_SI+thesat1_VDI_SI*dps_VSI_BP+thesat1*dps_VSI_BP_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP))*(((thesat1_VDI_SI*dps)+(thesat1*dps_VDI_SI)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
  zsat_VSI_BP_VSI_BP=(zsat_VSI_BP_VSI_BP/(1.0+(thesat1*dps))-(zsat_VSI_BP*(((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))+zsat_VSI_BP*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP))+zsat*(+0.0+(+thesat1_VSI_BP_VSI_BP*dps+thesat1_VSI_BP*dps_VSI_BP+thesat1_VSI_BP*dps_VSI_BP+thesat1*dps_VSI_BP_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))+2*zsat*((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP))*(((thesat1_VSI_BP*dps)+(thesat1*dps_VSI_BP)))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps))/(1.0+(thesat1*dps)));
#endif
#endif
zsat=(zsat/(1.0+(thesat1*dps)));
EXIT_IF_ISNAN((zsat/(1.0+(thesat1*dps))))
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,(1.0+(2.0*zsat)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+(2.0*zsat)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Gvsat_VDI_SI=(0.5*((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VDI_SI)*d10_sqrt0)));
#if defined(_DERIVATE2)
  Gvsat_VDI_SI_VDI_SI=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VDI_SI))*d10_sqrt0)))+0.0*((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VDI_SI)*d10_sqrt0))+0.5*(+Gmob_dL_VDI_SI_VDI_SI*(1.0+d00_sqrt0)+Gmob_dL_VDI_SI*((2.0*zsat_VDI_SI))*d10_sqrt0+Gmob_dL_VDI_SI*(2.0*zsat_VDI_SI)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VDI_SI))*(2.0*zsat_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VDI_SI+0.0*zsat_VDI_SI+2.0*zsat_VDI_SI_VDI_SI))))));
  Gvsat_VDI_SI_VGP_SI=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VGP_SI))*d10_sqrt0)))+0.0*((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VDI_SI)*d10_sqrt0))+0.5*(+Gmob_dL_VDI_SI_VGP_SI*(1.0+d00_sqrt0)+Gmob_dL_VDI_SI*((2.0*zsat_VGP_SI))*d10_sqrt0+Gmob_dL_VGP_SI*(2.0*zsat_VDI_SI)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VGP_SI))*(2.0*zsat_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VGP_SI+0.0*zsat_VDI_SI+2.0*zsat_VDI_SI_VGP_SI))))));
  Gvsat_VDI_SI_VSI_BP=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VSI_BP))*d10_sqrt0)))+0.0*((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VDI_SI)*d10_sqrt0))+0.5*(+Gmob_dL_VDI_SI_VSI_BP*(1.0+d00_sqrt0)+Gmob_dL_VDI_SI*((2.0*zsat_VSI_BP))*d10_sqrt0+Gmob_dL_VSI_BP*(2.0*zsat_VDI_SI)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VSI_BP))*(2.0*zsat_VDI_SI)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VSI_BP+0.0*zsat_VDI_SI+2.0*zsat_VDI_SI_VSI_BP))))));
#endif
Gvsat_VGP_SI=(0.5*((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VGP_SI)*d10_sqrt0)));
#if defined(_DERIVATE2)
  Gvsat_VGP_SI_VDI_SI=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VDI_SI))*d10_sqrt0)))+0.0*((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VGP_SI)*d10_sqrt0))+0.5*(+Gmob_dL_VGP_SI_VDI_SI*(1.0+d00_sqrt0)+Gmob_dL_VGP_SI*((2.0*zsat_VDI_SI))*d10_sqrt0+Gmob_dL_VDI_SI*(2.0*zsat_VGP_SI)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VDI_SI))*(2.0*zsat_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VDI_SI+0.0*zsat_VGP_SI+2.0*zsat_VGP_SI_VDI_SI))))));
  Gvsat_VGP_SI_VGP_SI=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VGP_SI))*d10_sqrt0)))+0.0*((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VGP_SI)*d10_sqrt0))+0.5*(+Gmob_dL_VGP_SI_VGP_SI*(1.0+d00_sqrt0)+Gmob_dL_VGP_SI*((2.0*zsat_VGP_SI))*d10_sqrt0+Gmob_dL_VGP_SI*(2.0*zsat_VGP_SI)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VGP_SI))*(2.0*zsat_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VGP_SI+0.0*zsat_VGP_SI+2.0*zsat_VGP_SI_VGP_SI))))));
  Gvsat_VGP_SI_VSI_BP=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VSI_BP))*d10_sqrt0)))+0.0*((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VGP_SI)*d10_sqrt0))+0.5*(+Gmob_dL_VGP_SI_VSI_BP*(1.0+d00_sqrt0)+Gmob_dL_VGP_SI*((2.0*zsat_VSI_BP))*d10_sqrt0+Gmob_dL_VSI_BP*(2.0*zsat_VGP_SI)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VSI_BP))*(2.0*zsat_VGP_SI)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VSI_BP+0.0*zsat_VGP_SI+2.0*zsat_VGP_SI_VSI_BP))))));
#endif
Gvsat_VSI_BP=(0.5*((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VSI_BP)*d10_sqrt0)));
#if defined(_DERIVATE2)
  Gvsat_VSI_BP_VDI_SI=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VDI_SI*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VDI_SI))*d10_sqrt0)))+0.0*((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VSI_BP)*d10_sqrt0))+0.5*(+Gmob_dL_VSI_BP_VDI_SI*(1.0+d00_sqrt0)+Gmob_dL_VSI_BP*((2.0*zsat_VDI_SI))*d10_sqrt0+Gmob_dL_VDI_SI*(2.0*zsat_VSI_BP)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VDI_SI))*(2.0*zsat_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VDI_SI+0.0*zsat_VSI_BP+2.0*zsat_VSI_BP_VDI_SI))))));
  Gvsat_VSI_BP_VGP_SI=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VGP_SI*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VGP_SI))*d10_sqrt0)))+0.0*((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VSI_BP)*d10_sqrt0))+0.5*(+Gmob_dL_VSI_BP_VGP_SI*(1.0+d00_sqrt0)+Gmob_dL_VSI_BP*((2.0*zsat_VGP_SI))*d10_sqrt0+Gmob_dL_VGP_SI*(2.0*zsat_VSI_BP)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VGP_SI))*(2.0*zsat_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VGP_SI+0.0*zsat_VSI_BP+2.0*zsat_VSI_BP_VGP_SI))))));
  Gvsat_VSI_BP_VSI_BP=(+0.0*(Gmob_dL*(1.0+d00_sqrt0))+0.0*(((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*((2.0*zsat_VSI_BP))*d10_sqrt0)))+0.0*((Gmob_dL_VSI_BP*(1.0+d00_sqrt0))+(Gmob_dL*(2.0*zsat_VSI_BP)*d10_sqrt0))+0.5*(+Gmob_dL_VSI_BP_VSI_BP*(1.0+d00_sqrt0)+Gmob_dL_VSI_BP*((2.0*zsat_VSI_BP))*d10_sqrt0+Gmob_dL_VSI_BP*(2.0*zsat_VSI_BP)*d10_sqrt0+Gmob_dL*(+0.0+(m20_sqrt((1.0+(2.0*zsat)))*((2.0*zsat_VSI_BP))*(2.0*zsat_VSI_BP)+d10_sqrt0*(+0.0+(+0.0*zsat+0.0*zsat_VSI_BP+0.0*zsat_VSI_BP+2.0*zsat_VSI_BP_VSI_BP))))));
#endif
#endif
Gvsat=(0.5*(Gmob_dL*(1.0+d00_sqrt0)));
EXIT_IF_ISNAN((0.5*(Gmob_dL*(1.0+d00_sqrt0))))
}
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
Gvsatinv_VDI_SI=(-Gvsat_VDI_SI/Gvsat/Gvsat);
#if defined(_DERIVATE2)
  Gvsatinv_VDI_SI_VDI_SI=(0.0/Gvsat-(0.0*Gvsat_VDI_SI+0.0*Gvsat_VDI_SI+1.0*Gvsat_VDI_SI_VDI_SI)/Gvsat/Gvsat+2*1.0*Gvsat_VDI_SI*Gvsat_VDI_SI/Gvsat/Gvsat/Gvsat);
  Gvsatinv_VDI_SI_VGP_SI=(0.0/Gvsat-(0.0*Gvsat_VGP_SI+0.0*Gvsat_VDI_SI+1.0*Gvsat_VDI_SI_VGP_SI)/Gvsat/Gvsat+2*1.0*Gvsat_VDI_SI*Gvsat_VGP_SI/Gvsat/Gvsat/Gvsat);
  Gvsatinv_VDI_SI_VSI_BP=(0.0/Gvsat-(0.0*Gvsat_VSI_BP+0.0*Gvsat_VDI_SI+1.0*Gvsat_VDI_SI_VSI_BP)/Gvsat/Gvsat+2*1.0*Gvsat_VDI_SI*Gvsat_VSI_BP/Gvsat/Gvsat/Gvsat);
#endif
Gvsatinv_VGP_SI=(-Gvsat_VGP_SI/Gvsat/Gvsat);
#if defined(_DERIVATE2)
  Gvsatinv_VGP_SI_VDI_SI=(0.0/Gvsat-(0.0*Gvsat_VDI_SI+0.0*Gvsat_VGP_SI+1.0*Gvsat_VGP_SI_VDI_SI)/Gvsat/Gvsat+2*1.0*Gvsat_VGP_SI*Gvsat_VDI_SI/Gvsat/Gvsat/Gvsat);
  Gvsatinv_VGP_SI_VGP_SI=(0.0/Gvsat-(0.0*Gvsat_VGP_SI+0.0*Gvsat_VGP_SI+1.0*Gvsat_VGP_SI_VGP_SI)/Gvsat/Gvsat+2*1.0*Gvsat_VGP_SI*Gvsat_VGP_SI/Gvsat/Gvsat/Gvsat);
  Gvsatinv_VGP_SI_VSI_BP=(0.0/Gvsat-(0.0*Gvsat_VSI_BP+0.0*Gvsat_VGP_SI+1.0*Gvsat_VGP_SI_VSI_BP)/Gvsat/Gvsat+2*1.0*Gvsat_VGP_SI*Gvsat_VSI_BP/Gvsat/Gvsat/Gvsat);
#endif
Gvsatinv_VSI_BP=(-Gvsat_VSI_BP/Gvsat/Gvsat);
#if defined(_DERIVATE2)
  Gvsatinv_VSI_BP_VDI_SI=(0.0/Gvsat-(0.0*Gvsat_VDI_SI+0.0*Gvsat_VSI_BP+1.0*Gvsat_VSI_BP_VDI_SI)/Gvsat/Gvsat+2*1.0*Gvsat_VSI_BP*Gvsat_VDI_SI/Gvsat/Gvsat/Gvsat);
  Gvsatinv_VSI_BP_VGP_SI=(0.0/Gvsat-(0.0*Gvsat_VGP_SI+0.0*Gvsat_VSI_BP+1.0*Gvsat_VSI_BP_VGP_SI)/Gvsat/Gvsat+2*1.0*Gvsat_VSI_BP*Gvsat_VGP_SI/Gvsat/Gvsat/Gvsat);
  Gvsatinv_VSI_BP_VSI_BP=(0.0/Gvsat-(0.0*Gvsat_VSI_BP+0.0*Gvsat_VSI_BP+1.0*Gvsat_VSI_BP_VSI_BP)/Gvsat/Gvsat+2*1.0*Gvsat_VSI_BP*Gvsat_VSI_BP/Gvsat/Gvsat/Gvsat);
#endif
#endif
Gvsatinv=(1.0/Gvsat);
EXIT_IF_ISNAN((1.0/Gvsat))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
Voxm_VDI_SI=((xgm_VDI_SI*pInst->phit1)+(xgm*phit1_VDI_SI));
#if defined(_DERIVATE2)
  Voxm_VDI_SI_VDI_SI=(+xgm_VDI_SI_VDI_SI*pInst->phit1+xgm_VDI_SI*phit1_VDI_SI+xgm_VDI_SI*phit1_VDI_SI+xgm*phit1_VDI_SI_VDI_SI);
  Voxm_VDI_SI_VGP_SI=(+xgm_VDI_SI_VGP_SI*pInst->phit1+xgm_VDI_SI*phit1_VGP_SI+xgm_VGP_SI*phit1_VDI_SI+xgm*phit1_VDI_SI_VGP_SI);
  Voxm_VDI_SI_VSI_BP=(+xgm_VDI_SI_VSI_BP*pInst->phit1+xgm_VDI_SI*phit1_VSI_BP+xgm_VSI_BP*phit1_VDI_SI+xgm*phit1_VDI_SI_VSI_BP);
#endif
Voxm_VGP_SI=((xgm_VGP_SI*pInst->phit1)+(xgm*phit1_VGP_SI));
#if defined(_DERIVATE2)
  Voxm_VGP_SI_VDI_SI=(+xgm_VGP_SI_VDI_SI*pInst->phit1+xgm_VGP_SI*phit1_VDI_SI+xgm_VDI_SI*phit1_VGP_SI+xgm*phit1_VGP_SI_VDI_SI);
  Voxm_VGP_SI_VGP_SI=(+xgm_VGP_SI_VGP_SI*pInst->phit1+xgm_VGP_SI*phit1_VGP_SI+xgm_VGP_SI*phit1_VGP_SI+xgm*phit1_VGP_SI_VGP_SI);
  Voxm_VGP_SI_VSI_BP=(+xgm_VGP_SI_VSI_BP*pInst->phit1+xgm_VGP_SI*phit1_VSI_BP+xgm_VSI_BP*phit1_VGP_SI+xgm*phit1_VGP_SI_VSI_BP);
#endif
Voxm_VSI_BP=((xgm_VSI_BP*pInst->phit1)+(xgm*phit1_VSI_BP));
#if defined(_DERIVATE2)
  Voxm_VSI_BP_VDI_SI=(+xgm_VSI_BP_VDI_SI*pInst->phit1+xgm_VSI_BP*phit1_VDI_SI+xgm_VDI_SI*phit1_VSI_BP+xgm*phit1_VSI_BP_VDI_SI);
  Voxm_VSI_BP_VGP_SI=(+xgm_VSI_BP_VGP_SI*pInst->phit1+xgm_VSI_BP*phit1_VGP_SI+xgm_VGP_SI*phit1_VSI_BP+xgm*phit1_VSI_BP_VGP_SI);
  Voxm_VSI_BP_VSI_BP=(+xgm_VSI_BP_VSI_BP*pInst->phit1+xgm_VSI_BP*phit1_VSI_BP+xgm_VSI_BP*phit1_VSI_BP+xgm*phit1_VSI_BP_VSI_BP);
#endif
#endif
Voxm=(xgm*pInst->phit1);
EXIT_IF_ISNAN((xgm*pInst->phit1))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=((Gmob_dL_VGP_SI*Gvsatinv)+(Gmob_dL*Gvsatinv_VGP_SI));
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+Gmob_dL_VGP_SI_VGP_SI*Gvsatinv+Gmob_dL_VGP_SI*Gvsatinv_VGP_SI+Gmob_dL_VGP_SI*Gvsatinv_VGP_SI+Gmob_dL*Gvsatinv_VGP_SI_VGP_SI);
  temp_VGP_SI_VDI_SI=(+Gmob_dL_VGP_SI_VDI_SI*Gvsatinv+Gmob_dL_VGP_SI*Gvsatinv_VDI_SI+Gmob_dL_VDI_SI*Gvsatinv_VGP_SI+Gmob_dL*Gvsatinv_VGP_SI_VDI_SI);
  temp_VGP_SI_VSI_BP=(+Gmob_dL_VGP_SI_VSI_BP*Gvsatinv+Gmob_dL_VGP_SI*Gvsatinv_VSI_BP+Gmob_dL_VSI_BP*Gvsatinv_VGP_SI+Gmob_dL*Gvsatinv_VGP_SI_VSI_BP);
#endif
temp_VDI_SI=((Gmob_dL_VDI_SI*Gvsatinv)+(Gmob_dL*Gvsatinv_VDI_SI));
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+Gmob_dL_VDI_SI_VGP_SI*Gvsatinv+Gmob_dL_VDI_SI*Gvsatinv_VGP_SI+Gmob_dL_VGP_SI*Gvsatinv_VDI_SI+Gmob_dL*Gvsatinv_VDI_SI_VGP_SI);
  temp_VDI_SI_VDI_SI=(+Gmob_dL_VDI_SI_VDI_SI*Gvsatinv+Gmob_dL_VDI_SI*Gvsatinv_VDI_SI+Gmob_dL_VDI_SI*Gvsatinv_VDI_SI+Gmob_dL*Gvsatinv_VDI_SI_VDI_SI);
  temp_VDI_SI_VSI_BP=(+Gmob_dL_VDI_SI_VSI_BP*Gvsatinv+Gmob_dL_VDI_SI*Gvsatinv_VSI_BP+Gmob_dL_VSI_BP*Gvsatinv_VDI_SI+Gmob_dL*Gvsatinv_VDI_SI_VSI_BP);
#endif
temp_VSI_BP=((Gmob_dL_VSI_BP*Gvsatinv)+(Gmob_dL*Gvsatinv_VSI_BP));
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+Gmob_dL_VSI_BP_VGP_SI*Gvsatinv+Gmob_dL_VSI_BP*Gvsatinv_VGP_SI+Gmob_dL_VGP_SI*Gvsatinv_VSI_BP+Gmob_dL*Gvsatinv_VSI_BP_VGP_SI);
  temp_VSI_BP_VDI_SI=(+Gmob_dL_VSI_BP_VDI_SI*Gvsatinv+Gmob_dL_VSI_BP*Gvsatinv_VDI_SI+Gmob_dL_VDI_SI*Gvsatinv_VSI_BP+Gmob_dL*Gvsatinv_VSI_BP_VDI_SI);
  temp_VSI_BP_VSI_BP=(+Gmob_dL_VSI_BP_VSI_BP*Gvsatinv+Gmob_dL_VSI_BP*Gvsatinv_VSI_BP+Gmob_dL_VSI_BP*Gvsatinv_VSI_BP+Gmob_dL*Gvsatinv_VSI_BP_VSI_BP);
#endif
#endif
temp=(Gmob_dL*Gvsatinv);
EXIT_IF_ISNAN((Gmob_dL*Gvsatinv))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(BP,GND)V(GP,GND)V(DI,GND) */
alpha1_VDI_SI=((alpha_VDI_SI*(1.0+(0.5*((zsat*temp)*temp))))+(alpha*(0.5*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI)))));
#if defined(_DERIVATE2)
  alpha1_VDI_SI_VDI_SI=(+alpha_VDI_SI_VDI_SI*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VDI_SI*((0.5*((((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp)+((zsat*temp)*temp_VDI_SI)))))+alpha_VDI_SI*(0.5*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp)+((zsat*temp)*temp_VDI_SI)))+0.0*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI))+0.5*(+(+zsat_VDI_SI_VDI_SI*temp+zsat_VDI_SI*temp_VDI_SI+zsat_VDI_SI*temp_VDI_SI+zsat*temp_VDI_SI_VDI_SI)*temp+((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp_VDI_SI+(((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp_VDI_SI+(zsat*temp)*temp_VDI_SI_VDI_SI))));
  alpha1_VDI_SI_VGP_SI=(+alpha_VDI_SI_VGP_SI*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VDI_SI*((0.5*((((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp)+((zsat*temp)*temp_VGP_SI)))))+alpha_VGP_SI*(0.5*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp)+((zsat*temp)*temp_VGP_SI)))+0.0*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI))+0.5*(+(+zsat_VDI_SI_VGP_SI*temp+zsat_VDI_SI*temp_VGP_SI+zsat_VGP_SI*temp_VDI_SI+zsat*temp_VDI_SI_VGP_SI)*temp+((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp_VGP_SI+(((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp_VDI_SI+(zsat*temp)*temp_VDI_SI_VGP_SI))));
  alpha1_VDI_SI_VSI_BP=(+alpha_VDI_SI_VSI_BP*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VDI_SI*((0.5*((((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp)+((zsat*temp)*temp_VSI_BP)))))+alpha_VSI_BP*(0.5*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp)+((zsat*temp)*temp_VSI_BP)))+0.0*((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp)+((zsat*temp)*temp_VDI_SI))+0.5*(+(+zsat_VDI_SI_VSI_BP*temp+zsat_VDI_SI*temp_VSI_BP+zsat_VSI_BP*temp_VDI_SI+zsat*temp_VDI_SI_VSI_BP)*temp+((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI))*temp_VSI_BP+(((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp_VDI_SI+(zsat*temp)*temp_VDI_SI_VSI_BP))));
#endif
alpha1_VGP_SI=((alpha_VGP_SI*(1.0+(0.5*((zsat*temp)*temp))))+(alpha*(0.5*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI)))));
#if defined(_DERIVATE2)
  alpha1_VGP_SI_VDI_SI=(+alpha_VGP_SI_VDI_SI*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VGP_SI*((0.5*((((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp)+((zsat*temp)*temp_VDI_SI)))))+alpha_VDI_SI*(0.5*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp)+((zsat*temp)*temp_VDI_SI)))+0.0*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI))+0.5*(+(+zsat_VGP_SI_VDI_SI*temp+zsat_VGP_SI*temp_VDI_SI+zsat_VDI_SI*temp_VGP_SI+zsat*temp_VGP_SI_VDI_SI)*temp+((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp_VDI_SI+(((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp_VGP_SI+(zsat*temp)*temp_VGP_SI_VDI_SI))));
  alpha1_VGP_SI_VGP_SI=(+alpha_VGP_SI_VGP_SI*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VGP_SI*((0.5*((((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp)+((zsat*temp)*temp_VGP_SI)))))+alpha_VGP_SI*(0.5*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp)+((zsat*temp)*temp_VGP_SI)))+0.0*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI))+0.5*(+(+zsat_VGP_SI_VGP_SI*temp+zsat_VGP_SI*temp_VGP_SI+zsat_VGP_SI*temp_VGP_SI+zsat*temp_VGP_SI_VGP_SI)*temp+((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp_VGP_SI+(((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp_VGP_SI+(zsat*temp)*temp_VGP_SI_VGP_SI))));
  alpha1_VGP_SI_VSI_BP=(+alpha_VGP_SI_VSI_BP*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VGP_SI*((0.5*((((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp)+((zsat*temp)*temp_VSI_BP)))))+alpha_VSI_BP*(0.5*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp)+((zsat*temp)*temp_VSI_BP)))+0.0*((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp)+((zsat*temp)*temp_VGP_SI))+0.5*(+(+zsat_VGP_SI_VSI_BP*temp+zsat_VGP_SI*temp_VSI_BP+zsat_VSI_BP*temp_VGP_SI+zsat*temp_VGP_SI_VSI_BP)*temp+((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI))*temp_VSI_BP+(((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp_VGP_SI+(zsat*temp)*temp_VGP_SI_VSI_BP))));
#endif
alpha1_VSI_BP=((alpha_VSI_BP*(1.0+(0.5*((zsat*temp)*temp))))+(alpha*(0.5*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP)))));
#if defined(_DERIVATE2)
  alpha1_VSI_BP_VDI_SI=(+alpha_VSI_BP_VDI_SI*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VSI_BP*((0.5*((((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp)+((zsat*temp)*temp_VDI_SI)))))+alpha_VDI_SI*(0.5*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp)+((zsat*temp)*temp_VDI_SI)))+0.0*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP))+0.5*(+(+zsat_VSI_BP_VDI_SI*temp+zsat_VSI_BP*temp_VDI_SI+zsat_VDI_SI*temp_VSI_BP+zsat*temp_VSI_BP_VDI_SI)*temp+((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp_VDI_SI+(((zsat_VDI_SI*temp)+(zsat*temp_VDI_SI)))*temp_VSI_BP+(zsat*temp)*temp_VSI_BP_VDI_SI))));
  alpha1_VSI_BP_VGP_SI=(+alpha_VSI_BP_VGP_SI*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VSI_BP*((0.5*((((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp)+((zsat*temp)*temp_VGP_SI)))))+alpha_VGP_SI*(0.5*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp)+((zsat*temp)*temp_VGP_SI)))+0.0*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP))+0.5*(+(+zsat_VSI_BP_VGP_SI*temp+zsat_VSI_BP*temp_VGP_SI+zsat_VGP_SI*temp_VSI_BP+zsat*temp_VSI_BP_VGP_SI)*temp+((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp_VGP_SI+(((zsat_VGP_SI*temp)+(zsat*temp_VGP_SI)))*temp_VSI_BP+(zsat*temp)*temp_VSI_BP_VGP_SI))));
  alpha1_VSI_BP_VSI_BP=(+alpha_VSI_BP_VSI_BP*(1.0+(0.5*((zsat*temp)*temp)))+alpha_VSI_BP*((0.5*((((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp)+((zsat*temp)*temp_VSI_BP)))))+alpha_VSI_BP*(0.5*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP)))+alpha*(+0.0+(+0.0*((zsat*temp)*temp)+0.0*((((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp)+((zsat*temp)*temp_VSI_BP)))+0.0*((((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp)+((zsat*temp)*temp_VSI_BP))+0.5*(+(+zsat_VSI_BP_VSI_BP*temp+zsat_VSI_BP*temp_VSI_BP+zsat_VSI_BP*temp_VSI_BP+zsat*temp_VSI_BP_VSI_BP)*temp+((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP))*temp_VSI_BP+(((zsat_VSI_BP*temp)+(zsat*temp_VSI_BP)))*temp_VSI_BP+(zsat*temp)*temp_VSI_BP_VSI_BP))));
#endif
#endif
alpha1=(alpha*(1.0+(0.5*((zsat*temp)*temp))));
EXIT_IF_ISNAN((alpha*(1.0+(0.5*((zsat*temp)*temp)))))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
H_VGP_SI=((((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI))*alpha1-(temp*qim1)*alpha1_VGP_SI)/alpha1/alpha1);
#if defined(_DERIVATE2)
  H_VGP_SI_VGP_SI=((+temp_VGP_SI_VGP_SI*qim1+temp_VGP_SI*qim1_VGP_SI+temp_VGP_SI*qim1_VGP_SI+temp*qim1_VGP_SI_VGP_SI)/alpha1-(((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI))*alpha1_VGP_SI+(((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI)))*alpha1_VGP_SI+(temp*qim1)*alpha1_VGP_SI_VGP_SI)/alpha1/alpha1+2*(temp*qim1)*alpha1_VGP_SI*alpha1_VGP_SI/alpha1/alpha1/alpha1);
  H_VGP_SI_VDI_SI=((+temp_VGP_SI_VDI_SI*qim1+temp_VGP_SI*qim1_VDI_SI+temp_VDI_SI*qim1_VGP_SI+temp*qim1_VGP_SI_VDI_SI)/alpha1-(((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI))*alpha1_VDI_SI+(((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI)))*alpha1_VGP_SI+(temp*qim1)*alpha1_VGP_SI_VDI_SI)/alpha1/alpha1+2*(temp*qim1)*alpha1_VGP_SI*alpha1_VDI_SI/alpha1/alpha1/alpha1);
  H_VGP_SI_VSI_BP=((+temp_VGP_SI_VSI_BP*qim1+temp_VGP_SI*qim1_VSI_BP+temp_VSI_BP*qim1_VGP_SI+temp*qim1_VGP_SI_VSI_BP)/alpha1-(((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI))*alpha1_VSI_BP+(((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP)))*alpha1_VGP_SI+(temp*qim1)*alpha1_VGP_SI_VSI_BP)/alpha1/alpha1+2*(temp*qim1)*alpha1_VGP_SI*alpha1_VSI_BP/alpha1/alpha1/alpha1);
#endif
H_VDI_SI=((((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI))*alpha1-(temp*qim1)*alpha1_VDI_SI)/alpha1/alpha1);
#if defined(_DERIVATE2)
  H_VDI_SI_VGP_SI=((+temp_VDI_SI_VGP_SI*qim1+temp_VDI_SI*qim1_VGP_SI+temp_VGP_SI*qim1_VDI_SI+temp*qim1_VDI_SI_VGP_SI)/alpha1-(((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI))*alpha1_VGP_SI+(((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI)))*alpha1_VDI_SI+(temp*qim1)*alpha1_VDI_SI_VGP_SI)/alpha1/alpha1+2*(temp*qim1)*alpha1_VDI_SI*alpha1_VGP_SI/alpha1/alpha1/alpha1);
  H_VDI_SI_VDI_SI=((+temp_VDI_SI_VDI_SI*qim1+temp_VDI_SI*qim1_VDI_SI+temp_VDI_SI*qim1_VDI_SI+temp*qim1_VDI_SI_VDI_SI)/alpha1-(((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI))*alpha1_VDI_SI+(((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI)))*alpha1_VDI_SI+(temp*qim1)*alpha1_VDI_SI_VDI_SI)/alpha1/alpha1+2*(temp*qim1)*alpha1_VDI_SI*alpha1_VDI_SI/alpha1/alpha1/alpha1);
  H_VDI_SI_VSI_BP=((+temp_VDI_SI_VSI_BP*qim1+temp_VDI_SI*qim1_VSI_BP+temp_VSI_BP*qim1_VDI_SI+temp*qim1_VDI_SI_VSI_BP)/alpha1-(((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI))*alpha1_VSI_BP+(((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP)))*alpha1_VDI_SI+(temp*qim1)*alpha1_VDI_SI_VSI_BP)/alpha1/alpha1+2*(temp*qim1)*alpha1_VDI_SI*alpha1_VSI_BP/alpha1/alpha1/alpha1);
#endif
H_VSI_BP=((((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP))*alpha1-(temp*qim1)*alpha1_VSI_BP)/alpha1/alpha1);
#if defined(_DERIVATE2)
  H_VSI_BP_VGP_SI=((+temp_VSI_BP_VGP_SI*qim1+temp_VSI_BP*qim1_VGP_SI+temp_VGP_SI*qim1_VSI_BP+temp*qim1_VSI_BP_VGP_SI)/alpha1-(((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP))*alpha1_VGP_SI+(((temp_VGP_SI*qim1)+(temp*qim1_VGP_SI)))*alpha1_VSI_BP+(temp*qim1)*alpha1_VSI_BP_VGP_SI)/alpha1/alpha1+2*(temp*qim1)*alpha1_VSI_BP*alpha1_VGP_SI/alpha1/alpha1/alpha1);
  H_VSI_BP_VDI_SI=((+temp_VSI_BP_VDI_SI*qim1+temp_VSI_BP*qim1_VDI_SI+temp_VDI_SI*qim1_VSI_BP+temp*qim1_VSI_BP_VDI_SI)/alpha1-(((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP))*alpha1_VDI_SI+(((temp_VDI_SI*qim1)+(temp*qim1_VDI_SI)))*alpha1_VSI_BP+(temp*qim1)*alpha1_VSI_BP_VDI_SI)/alpha1/alpha1+2*(temp*qim1)*alpha1_VSI_BP*alpha1_VDI_SI/alpha1/alpha1/alpha1);
  H_VSI_BP_VSI_BP=((+temp_VSI_BP_VSI_BP*qim1+temp_VSI_BP*qim1_VSI_BP+temp_VSI_BP*qim1_VSI_BP+temp*qim1_VSI_BP_VSI_BP)/alpha1-(((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP))*alpha1_VSI_BP+(((temp_VSI_BP*qim1)+(temp*qim1_VSI_BP)))*alpha1_VSI_BP+(temp*qim1)*alpha1_VSI_BP_VSI_BP)/alpha1/alpha1+2*(temp*qim1)*alpha1_VSI_BP*alpha1_VSI_BP/alpha1/alpha1/alpha1);
#endif
#endif
H=((temp*qim1)/alpha1);
EXIT_IF_ISNAN(((temp*qim1)/alpha1))
#endif
}
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
xg_ac_VDI_SI=xg_VDI_SI;
xg_ac_VGP_SI=xg_VGP_SI;
xg_ac_VSI_BP=xg_VSI_BP;
#endif
xg_ac=xg;
EXIT_IF_ISNAN(xg)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
qeff1_ac_VDI_SI=qeff1_VDI_SI;
#if defined(_DERIVATE2)
  qeff1_ac_VDI_SI_VDI_SI=qeff1_VDI_SI_VDI_SI;
  qeff1_ac_VDI_SI_VGP_SI=qeff1_VDI_SI_VGP_SI;
  qeff1_ac_VDI_SI_VSI_BP=qeff1_VDI_SI_VSI_BP;
#endif
qeff1_ac_VGP_SI=qeff1_VGP_SI;
#if defined(_DERIVATE2)
  qeff1_ac_VGP_SI_VDI_SI=qeff1_VGP_SI_VDI_SI;
  qeff1_ac_VGP_SI_VGP_SI=qeff1_VGP_SI_VGP_SI;
  qeff1_ac_VGP_SI_VSI_BP=qeff1_VGP_SI_VSI_BP;
#endif
qeff1_ac_VSI_BP=qeff1_VSI_BP;
#if defined(_DERIVATE2)
  qeff1_ac_VSI_BP_VDI_SI=qeff1_VSI_BP_VDI_SI;
  qeff1_ac_VSI_BP_VGP_SI=qeff1_VSI_BP_VGP_SI;
  qeff1_ac_VSI_BP_VSI_BP=qeff1_VSI_BP_VSI_BP;
#endif
#endif
qeff1_ac=qeff1;
EXIT_IF_ISNAN(qeff1)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
Voxm_ac_VDI_SI=Voxm_VDI_SI;
#if defined(_DERIVATE2)
  Voxm_ac_VDI_SI_VDI_SI=Voxm_VDI_SI_VDI_SI;
  Voxm_ac_VDI_SI_VGP_SI=Voxm_VDI_SI_VGP_SI;
  Voxm_ac_VDI_SI_VSI_BP=Voxm_VDI_SI_VSI_BP;
#endif
Voxm_ac_VGP_SI=Voxm_VGP_SI;
#if defined(_DERIVATE2)
  Voxm_ac_VGP_SI_VDI_SI=Voxm_VGP_SI_VDI_SI;
  Voxm_ac_VGP_SI_VGP_SI=Voxm_VGP_SI_VGP_SI;
  Voxm_ac_VGP_SI_VSI_BP=Voxm_VGP_SI_VSI_BP;
#endif
Voxm_ac_VSI_BP=Voxm_VSI_BP;
#if defined(_DERIVATE2)
  Voxm_ac_VSI_BP_VDI_SI=Voxm_VSI_BP_VDI_SI;
  Voxm_ac_VSI_BP_VGP_SI=Voxm_VSI_BP_VGP_SI;
  Voxm_ac_VSI_BP_VSI_BP=Voxm_VSI_BP_VSI_BP;
#endif
#endif
Voxm_ac=Voxm;
EXIT_IF_ISNAN(Voxm)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
alpha_ac_VDI_SI=alpha_VDI_SI;
#if defined(_DERIVATE2)
  alpha_ac_VDI_SI_VDI_SI=alpha_VDI_SI_VDI_SI;
  alpha_ac_VDI_SI_VGP_SI=alpha_VDI_SI_VGP_SI;
  alpha_ac_VDI_SI_VSI_BP=alpha_VDI_SI_VSI_BP;
#endif
alpha_ac_VGP_SI=alpha_VGP_SI;
#if defined(_DERIVATE2)
  alpha_ac_VGP_SI_VDI_SI=alpha_VGP_SI_VDI_SI;
  alpha_ac_VGP_SI_VGP_SI=alpha_VGP_SI_VGP_SI;
  alpha_ac_VGP_SI_VSI_BP=alpha_VGP_SI_VSI_BP;
#endif
alpha_ac_VSI_BP=alpha_VSI_BP;
#if defined(_DERIVATE2)
  alpha_ac_VSI_BP_VDI_SI=alpha_VSI_BP_VDI_SI;
  alpha_ac_VSI_BP_VGP_SI=alpha_VSI_BP_VGP_SI;
  alpha_ac_VSI_BP_VSI_BP=alpha_VSI_BP_VSI_BP;
#endif
#endif
alpha_ac=alpha;
EXIT_IF_ISNAN(alpha)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
dps_ac_VDI_SI=dps_VDI_SI;
#if defined(_DERIVATE2)
  dps_ac_VDI_SI_VDI_SI=dps_VDI_SI_VDI_SI;
  dps_ac_VDI_SI_VGP_SI=dps_VDI_SI_VGP_SI;
  dps_ac_VDI_SI_VSI_BP=dps_VDI_SI_VSI_BP;
#endif
dps_ac_VGP_SI=dps_VGP_SI;
#if defined(_DERIVATE2)
  dps_ac_VGP_SI_VDI_SI=dps_VGP_SI_VDI_SI;
  dps_ac_VGP_SI_VGP_SI=dps_VGP_SI_VGP_SI;
  dps_ac_VGP_SI_VSI_BP=dps_VGP_SI_VSI_BP;
#endif
dps_ac_VSI_BP=dps_VSI_BP;
#if defined(_DERIVATE2)
  dps_ac_VSI_BP_VDI_SI=dps_VSI_BP_VDI_SI;
  dps_ac_VSI_BP_VGP_SI=dps_VSI_BP_VGP_SI;
  dps_ac_VSI_BP_VSI_BP=dps_VSI_BP_VSI_BP;
#endif
#endif
dps_ac=dps;
EXIT_IF_ISNAN(dps)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
qim_ac_VDI_SI=qim_VDI_SI;
#if defined(_DERIVATE2)
  qim_ac_VDI_SI_VDI_SI=qim_VDI_SI_VDI_SI;
  qim_ac_VDI_SI_VGP_SI=qim_VDI_SI_VGP_SI;
  qim_ac_VDI_SI_VSI_BP=qim_VDI_SI_VSI_BP;
#endif
qim_ac_VGP_SI=qim_VGP_SI;
#if defined(_DERIVATE2)
  qim_ac_VGP_SI_VDI_SI=qim_VGP_SI_VDI_SI;
  qim_ac_VGP_SI_VGP_SI=qim_VGP_SI_VGP_SI;
  qim_ac_VGP_SI_VSI_BP=qim_VGP_SI_VSI_BP;
#endif
qim_ac_VSI_BP=qim_VSI_BP;
#if defined(_DERIVATE2)
  qim_ac_VSI_BP_VDI_SI=qim_VSI_BP_VDI_SI;
  qim_ac_VSI_BP_VGP_SI=qim_VSI_BP_VGP_SI;
  qim_ac_VSI_BP_VSI_BP=qim_VSI_BP_VSI_BP;
#endif
#endif
qim_ac=qim;
EXIT_IF_ISNAN(qim)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
GdL_ac_VDI_SI=GdL_VDI_SI;
#if defined(_DERIVATE2)
  GdL_ac_VDI_SI_VDI_SI=GdL_VDI_SI_VDI_SI;
  GdL_ac_VDI_SI_VGP_SI=GdL_VDI_SI_VGP_SI;
  GdL_ac_VDI_SI_VSI_BP=GdL_VDI_SI_VSI_BP;
#endif
GdL_ac_VGP_SI=GdL_VGP_SI;
#if defined(_DERIVATE2)
  GdL_ac_VGP_SI_VDI_SI=GdL_VGP_SI_VDI_SI;
  GdL_ac_VGP_SI_VGP_SI=GdL_VGP_SI_VGP_SI;
  GdL_ac_VGP_SI_VSI_BP=GdL_VGP_SI_VSI_BP;
#endif
GdL_ac_VSI_BP=GdL_VSI_BP;
#if defined(_DERIVATE2)
  GdL_ac_VSI_BP_VDI_SI=GdL_VSI_BP_VDI_SI;
  GdL_ac_VSI_BP_VGP_SI=GdL_VSI_BP_VGP_SI;
  GdL_ac_VSI_BP_VSI_BP=GdL_VSI_BP_VSI_BP;
#endif
#endif
GdL_ac=GdL;
EXIT_IF_ISNAN(GdL)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
H_ac_VGP_SI=H_VGP_SI;
#if defined(_DERIVATE2)
  H_ac_VGP_SI_VGP_SI=H_VGP_SI_VGP_SI;
  H_ac_VGP_SI_VDI_SI=H_VGP_SI_VDI_SI;
  H_ac_VGP_SI_VSI_BP=H_VGP_SI_VSI_BP;
#endif
H_ac_VDI_SI=H_VDI_SI;
#if defined(_DERIVATE2)
  H_ac_VDI_SI_VGP_SI=H_VDI_SI_VGP_SI;
  H_ac_VDI_SI_VDI_SI=H_VDI_SI_VDI_SI;
  H_ac_VDI_SI_VSI_BP=H_VDI_SI_VSI_BP;
#endif
H_ac_VSI_BP=H_VSI_BP;
#if defined(_DERIVATE2)
  H_ac_VSI_BP_VGP_SI=H_VSI_BP_VGP_SI;
  H_ac_VSI_BP_VDI_SI=H_VSI_BP_VDI_SI;
  H_ac_VSI_BP_VSI_BP=H_VSI_BP_VSI_BP;
#endif
#endif
H_ac=H;
EXIT_IF_ISNAN(H)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
eta_p_ac_VDI_SI=eta_p_VDI_SI;
#if defined(_DERIVATE2)
  eta_p_ac_VDI_SI_VDI_SI=eta_p_VDI_SI_VDI_SI;
  eta_p_ac_VDI_SI_VGP_SI=eta_p_VDI_SI_VGP_SI;
  eta_p_ac_VDI_SI_VSI_BP=eta_p_VDI_SI_VSI_BP;
#endif
eta_p_ac_VGP_SI=eta_p_VGP_SI;
#if defined(_DERIVATE2)
  eta_p_ac_VGP_SI_VDI_SI=eta_p_VGP_SI_VDI_SI;
  eta_p_ac_VGP_SI_VGP_SI=eta_p_VGP_SI_VGP_SI;
  eta_p_ac_VGP_SI_VSI_BP=eta_p_VGP_SI_VSI_BP;
#endif
eta_p_ac_VSI_BP=eta_p_VSI_BP;
#if defined(_DERIVATE2)
  eta_p_ac_VSI_BP_VDI_SI=eta_p_VSI_BP_VDI_SI;
  eta_p_ac_VSI_BP_VGP_SI=eta_p_VSI_BP_VGP_SI;
  eta_p_ac_VSI_BP_VSI_BP=eta_p_VSI_BP_VSI_BP;
#endif
#endif
pInst->eta_p_ac=eta_p;
EXIT_IF_ISNAN(eta_p)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Gvsat_ac_VDI_SI=Gvsat_VDI_SI;
Gvsat_ac_VGP_SI=Gvsat_VGP_SI;
Gvsat_ac_VSI_BP=Gvsat_VSI_BP;
#endif
pInst->Gvsat_ac=Gvsat;
EXIT_IF_ISNAN(Gvsat)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Gmob_dL_ac_VDI_SI=Gmob_dL_VDI_SI;
Gmob_dL_ac_VGP_SI=Gmob_dL_VGP_SI;
Gmob_dL_ac_VSI_BP=Gmob_dL_VSI_BP;
#endif
pInst->Gmob_dL_ac=Gmob_dL;
EXIT_IF_ISNAN(Gmob_dL)
#endif
}
else
{
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
xg_ac_VDI_SI=xg_dc_VDI_SI;
xg_ac_VGP_SI=xg_dc_VGP_SI;
xg_ac_VSI_BP=xg_dc_VSI_BP;
#endif
xg_ac=pInst->xg_dc;
EXIT_IF_ISNAN(pInst->xg_dc)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
qeff1_ac_VDI_SI=qeff1_dc_VDI_SI;
#if defined(_DERIVATE2)
  qeff1_ac_VDI_SI_VDI_SI=qeff1_dc_VDI_SI_VDI_SI;
  qeff1_ac_VDI_SI_VGP_SI=qeff1_dc_VDI_SI_VGP_SI;
  qeff1_ac_VDI_SI_VSI_BP=qeff1_dc_VDI_SI_VSI_BP;
#endif
qeff1_ac_VGP_SI=qeff1_dc_VGP_SI;
#if defined(_DERIVATE2)
  qeff1_ac_VGP_SI_VDI_SI=qeff1_dc_VGP_SI_VDI_SI;
  qeff1_ac_VGP_SI_VGP_SI=qeff1_dc_VGP_SI_VGP_SI;
  qeff1_ac_VGP_SI_VSI_BP=qeff1_dc_VGP_SI_VSI_BP;
#endif
qeff1_ac_VSI_BP=qeff1_dc_VSI_BP;
#if defined(_DERIVATE2)
  qeff1_ac_VSI_BP_VDI_SI=qeff1_dc_VSI_BP_VDI_SI;
  qeff1_ac_VSI_BP_VGP_SI=qeff1_dc_VSI_BP_VGP_SI;
  qeff1_ac_VSI_BP_VSI_BP=qeff1_dc_VSI_BP_VSI_BP;
#endif
#endif
qeff1_ac=qeff1_dc;
EXIT_IF_ISNAN(qeff1_dc)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
Voxm_ac_VDI_SI=Voxm_dc_VDI_SI;
#if defined(_DERIVATE2)
  Voxm_ac_VDI_SI_VDI_SI=Voxm_dc_VDI_SI_VDI_SI;
  Voxm_ac_VDI_SI_VGP_SI=Voxm_dc_VDI_SI_VGP_SI;
  Voxm_ac_VDI_SI_VSI_BP=Voxm_dc_VDI_SI_VSI_BP;
#endif
Voxm_ac_VGP_SI=Voxm_dc_VGP_SI;
#if defined(_DERIVATE2)
  Voxm_ac_VGP_SI_VDI_SI=Voxm_dc_VGP_SI_VDI_SI;
  Voxm_ac_VGP_SI_VGP_SI=Voxm_dc_VGP_SI_VGP_SI;
  Voxm_ac_VGP_SI_VSI_BP=Voxm_dc_VGP_SI_VSI_BP;
#endif
Voxm_ac_VSI_BP=Voxm_dc_VSI_BP;
#if defined(_DERIVATE2)
  Voxm_ac_VSI_BP_VDI_SI=Voxm_dc_VSI_BP_VDI_SI;
  Voxm_ac_VSI_BP_VGP_SI=Voxm_dc_VSI_BP_VGP_SI;
  Voxm_ac_VSI_BP_VSI_BP=Voxm_dc_VSI_BP_VSI_BP;
#endif
#endif
Voxm_ac=Voxm_dc;
EXIT_IF_ISNAN(Voxm_dc)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
alpha_ac_VDI_SI=alpha_dc_VDI_SI;
#if defined(_DERIVATE2)
  alpha_ac_VDI_SI_VDI_SI=alpha_dc_VDI_SI_VDI_SI;
  alpha_ac_VDI_SI_VGP_SI=alpha_dc_VDI_SI_VGP_SI;
  alpha_ac_VDI_SI_VSI_BP=alpha_dc_VDI_SI_VSI_BP;
#endif
alpha_ac_VGP_SI=alpha_dc_VGP_SI;
#if defined(_DERIVATE2)
  alpha_ac_VGP_SI_VDI_SI=alpha_dc_VGP_SI_VDI_SI;
  alpha_ac_VGP_SI_VGP_SI=alpha_dc_VGP_SI_VGP_SI;
  alpha_ac_VGP_SI_VSI_BP=alpha_dc_VGP_SI_VSI_BP;
#endif
alpha_ac_VSI_BP=alpha_dc_VSI_BP;
#if defined(_DERIVATE2)
  alpha_ac_VSI_BP_VDI_SI=alpha_dc_VSI_BP_VDI_SI;
  alpha_ac_VSI_BP_VGP_SI=alpha_dc_VSI_BP_VGP_SI;
  alpha_ac_VSI_BP_VSI_BP=alpha_dc_VSI_BP_VSI_BP;
#endif
#endif
alpha_ac=pInst->alpha_dc;
EXIT_IF_ISNAN(pInst->alpha_dc)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
dps_ac_VDI_SI=dps_dc_VDI_SI;
#if defined(_DERIVATE2)
  dps_ac_VDI_SI_VDI_SI=dps_dc_VDI_SI_VDI_SI;
  dps_ac_VDI_SI_VGP_SI=dps_dc_VDI_SI_VGP_SI;
  dps_ac_VDI_SI_VSI_BP=dps_dc_VDI_SI_VSI_BP;
#endif
dps_ac_VGP_SI=dps_dc_VGP_SI;
#if defined(_DERIVATE2)
  dps_ac_VGP_SI_VDI_SI=dps_dc_VGP_SI_VDI_SI;
  dps_ac_VGP_SI_VGP_SI=dps_dc_VGP_SI_VGP_SI;
  dps_ac_VGP_SI_VSI_BP=dps_dc_VGP_SI_VSI_BP;
#endif
dps_ac_VSI_BP=dps_dc_VSI_BP;
#if defined(_DERIVATE2)
  dps_ac_VSI_BP_VDI_SI=dps_dc_VSI_BP_VDI_SI;
  dps_ac_VSI_BP_VGP_SI=dps_dc_VSI_BP_VGP_SI;
  dps_ac_VSI_BP_VSI_BP=dps_dc_VSI_BP_VSI_BP;
#endif
#endif
dps_ac=pInst->dps_dc;
EXIT_IF_ISNAN(pInst->dps_dc)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
qim_ac_VDI_SI=qim_dc_VDI_SI;
#if defined(_DERIVATE2)
  qim_ac_VDI_SI_VDI_SI=qim_dc_VDI_SI_VDI_SI;
  qim_ac_VDI_SI_VGP_SI=qim_dc_VDI_SI_VGP_SI;
  qim_ac_VDI_SI_VSI_BP=qim_dc_VDI_SI_VSI_BP;
#endif
qim_ac_VGP_SI=qim_dc_VGP_SI;
#if defined(_DERIVATE2)
  qim_ac_VGP_SI_VDI_SI=qim_dc_VGP_SI_VDI_SI;
  qim_ac_VGP_SI_VGP_SI=qim_dc_VGP_SI_VGP_SI;
  qim_ac_VGP_SI_VSI_BP=qim_dc_VGP_SI_VSI_BP;
#endif
qim_ac_VSI_BP=qim_dc_VSI_BP;
#if defined(_DERIVATE2)
  qim_ac_VSI_BP_VDI_SI=qim_dc_VSI_BP_VDI_SI;
  qim_ac_VSI_BP_VGP_SI=qim_dc_VSI_BP_VGP_SI;
  qim_ac_VSI_BP_VSI_BP=qim_dc_VSI_BP_VSI_BP;
#endif
#endif
qim_ac=pInst->qim_dc;
EXIT_IF_ISNAN(pInst->qim_dc)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
GdL_ac_VDI_SI=GdL_dc_VDI_SI;
#if defined(_DERIVATE2)
  GdL_ac_VDI_SI_VDI_SI=GdL_dc_VDI_SI_VDI_SI;
  GdL_ac_VDI_SI_VGP_SI=GdL_dc_VDI_SI_VGP_SI;
  GdL_ac_VDI_SI_VSI_BP=GdL_dc_VDI_SI_VSI_BP;
#endif
GdL_ac_VGP_SI=GdL_dc_VGP_SI;
#if defined(_DERIVATE2)
  GdL_ac_VGP_SI_VDI_SI=GdL_dc_VGP_SI_VDI_SI;
  GdL_ac_VGP_SI_VGP_SI=GdL_dc_VGP_SI_VGP_SI;
  GdL_ac_VGP_SI_VSI_BP=GdL_dc_VGP_SI_VSI_BP;
#endif
GdL_ac_VSI_BP=GdL_dc_VSI_BP;
#if defined(_DERIVATE2)
  GdL_ac_VSI_BP_VDI_SI=GdL_dc_VSI_BP_VDI_SI;
  GdL_ac_VSI_BP_VGP_SI=GdL_dc_VSI_BP_VGP_SI;
  GdL_ac_VSI_BP_VSI_BP=GdL_dc_VSI_BP_VSI_BP;
#endif
#endif
GdL_ac=GdL_dc;
EXIT_IF_ISNAN(GdL_dc)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
H_ac_VGP_SI=H_dc_VGP_SI;
#if defined(_DERIVATE2)
  H_ac_VGP_SI_VGP_SI=H_dc_VGP_SI_VGP_SI;
  H_ac_VGP_SI_VDI_SI=H_dc_VGP_SI_VDI_SI;
  H_ac_VGP_SI_VSI_BP=H_dc_VGP_SI_VSI_BP;
#endif
H_ac_VDI_SI=H_dc_VDI_SI;
#if defined(_DERIVATE2)
  H_ac_VDI_SI_VGP_SI=H_dc_VDI_SI_VGP_SI;
  H_ac_VDI_SI_VDI_SI=H_dc_VDI_SI_VDI_SI;
  H_ac_VDI_SI_VSI_BP=H_dc_VDI_SI_VSI_BP;
#endif
H_ac_VSI_BP=H_dc_VSI_BP;
#if defined(_DERIVATE2)
  H_ac_VSI_BP_VGP_SI=H_dc_VSI_BP_VGP_SI;
  H_ac_VSI_BP_VDI_SI=H_dc_VSI_BP_VDI_SI;
  H_ac_VSI_BP_VSI_BP=H_dc_VSI_BP_VSI_BP;
#endif
#endif
H_ac=pInst->H_dc;
EXIT_IF_ISNAN(pInst->H_dc)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
eta_p_ac_VDI_SI=eta_p_dc_VDI_SI;
#if defined(_DERIVATE2)
  eta_p_ac_VDI_SI_VDI_SI=eta_p_dc_VDI_SI_VDI_SI;
  eta_p_ac_VDI_SI_VGP_SI=eta_p_dc_VDI_SI_VGP_SI;
  eta_p_ac_VDI_SI_VSI_BP=eta_p_dc_VDI_SI_VSI_BP;
#endif
eta_p_ac_VGP_SI=eta_p_dc_VGP_SI;
#if defined(_DERIVATE2)
  eta_p_ac_VGP_SI_VDI_SI=eta_p_dc_VGP_SI_VDI_SI;
  eta_p_ac_VGP_SI_VGP_SI=eta_p_dc_VGP_SI_VGP_SI;
  eta_p_ac_VGP_SI_VSI_BP=eta_p_dc_VGP_SI_VSI_BP;
#endif
eta_p_ac_VSI_BP=eta_p_dc_VSI_BP;
#if defined(_DERIVATE2)
  eta_p_ac_VSI_BP_VDI_SI=eta_p_dc_VSI_BP_VDI_SI;
  eta_p_ac_VSI_BP_VGP_SI=eta_p_dc_VSI_BP_VGP_SI;
  eta_p_ac_VSI_BP_VSI_BP=eta_p_dc_VSI_BP_VSI_BP;
#endif
#endif
pInst->eta_p_ac=eta_p_dc;
EXIT_IF_ISNAN(eta_p_dc)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Gvsat_ac_VDI_SI=Gvsat_dc_VDI_SI;
Gvsat_ac_VGP_SI=Gvsat_dc_VGP_SI;
Gvsat_ac_VSI_BP=Gvsat_dc_VSI_BP;
#endif
pInst->Gvsat_ac=Gvsat_dc;
EXIT_IF_ISNAN(Gvsat_dc)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Gmob_dL_ac_VDI_SI=Gmob_dL_dc_VDI_SI;
Gmob_dL_ac_VGP_SI=Gmob_dL_dc_VGP_SI;
Gmob_dL_ac_VSI_BP=Gmob_dL_dc_VSI_BP;
#endif
pInst->Gmob_dL_ac=Gmob_dL_dc;
EXIT_IF_ISNAN(Gmob_dL_dc)
#endif
}
}
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
COX_qm_VDI_SI=0.0;
#if defined(_DERIVATE2)
  COX_qm_VDI_SI_VDI_SI=0.0;
  COX_qm_VDI_SI_VGP_SI=0.0;
  COX_qm_VDI_SI_VSI_BP=0.0;
#endif
COX_qm_VGP_SI=0.0;
#if defined(_DERIVATE2)
  COX_qm_VGP_SI_VDI_SI=0.0;
  COX_qm_VGP_SI_VGP_SI=0.0;
  COX_qm_VGP_SI_VSI_BP=0.0;
#endif
COX_qm_VSI_BP=0.0;
#if defined(_DERIVATE2)
  COX_qm_VSI_BP_VDI_SI=0.0;
  COX_qm_VSI_BP_VGP_SI=0.0;
  COX_qm_VSI_BP_VSI_BP=0.0;
#endif
#endif
pInst->COX_qm=pInst->COX_i;
EXIT_IF_ISNAN(pInst->COX_i)
#endif
#ifdef _DYNAMIC
if
((pInst->qq>0.0))
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,((qeff1_ac*qeff1_ac)+pInst->qlim2),((-1.0)*1.6666666666666667e-01))
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,((qeff1_ac*qeff1_ac)+pInst->qlim2),((-1.0)*1.6666666666666667e-01))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
COX_qm_VDI_SI=(-pInst->COX_i*(pInst->qq*(d10_pow0*((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI))))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0)));
#if defined(_DERIVATE2)
  COX_qm_VDI_SI_VDI_SI=(0.0/(1.0+(pInst->qq*d00_pow0))-(0.0*((pInst->qq*(d10_pow0*(((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI)))+d11_pow0*(0.0))))+0.0*(pInst->qq*(d10_pow0*((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI))))+pInst->COX_i*(+0.0+(+0.0*d00_pow0+0.0*(d10_pow0*(((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI)))+d11_pow0*(0.0))+0.0*(d10_pow0*((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI)))+pInst->qq*fixme)))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))+2*pInst->COX_i*(pInst->qq*(d10_pow0*((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI))))*((pInst->qq*(d10_pow0*(((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI)))+d11_pow0*(0.0))))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0)));
  COX_qm_VDI_SI_VGP_SI=(0.0/(1.0+(pInst->qq*d00_pow0))-(0.0*((pInst->qq*(d10_pow0*(((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI)))+d11_pow0*(0.0))))+0.0*(pInst->qq*(d10_pow0*((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI))))+pInst->COX_i*(+0.0+(+0.0*d00_pow0+0.0*(d10_pow0*(((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI)))+d11_pow0*(0.0))+0.0*(d10_pow0*((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI)))+pInst->qq*fixme)))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))+2*pInst->COX_i*(pInst->qq*(d10_pow0*((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI))))*((pInst->qq*(d10_pow0*(((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI)))+d11_pow0*(0.0))))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0)));
  COX_qm_VDI_SI_VSI_BP=(0.0/(1.0+(pInst->qq*d00_pow0))-(0.0*((pInst->qq*(d10_pow0*(((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP)))+d11_pow0*(0.0))))+0.0*(pInst->qq*(d10_pow0*((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI))))+pInst->COX_i*(+0.0+(+0.0*d00_pow0+0.0*(d10_pow0*(((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP)))+d11_pow0*(0.0))+0.0*(d10_pow0*((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI)))+pInst->qq*fixme)))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))+2*pInst->COX_i*(pInst->qq*(d10_pow0*((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI))))*((pInst->qq*(d10_pow0*(((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP)))+d11_pow0*(0.0))))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0)));
#endif
COX_qm_VGP_SI=(-pInst->COX_i*(pInst->qq*(d10_pow0*((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI))))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0)));
#if defined(_DERIVATE2)
  COX_qm_VGP_SI_VDI_SI=(0.0/(1.0+(pInst->qq*d00_pow0))-(0.0*((pInst->qq*(d10_pow0*(((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI)))+d11_pow0*(0.0))))+0.0*(pInst->qq*(d10_pow0*((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI))))+pInst->COX_i*(+0.0+(+0.0*d00_pow0+0.0*(d10_pow0*(((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI)))+d11_pow0*(0.0))+0.0*(d10_pow0*((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI)))+pInst->qq*fixme)))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))+2*pInst->COX_i*(pInst->qq*(d10_pow0*((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI))))*((pInst->qq*(d10_pow0*(((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI)))+d11_pow0*(0.0))))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0)));
  COX_qm_VGP_SI_VGP_SI=(0.0/(1.0+(pInst->qq*d00_pow0))-(0.0*((pInst->qq*(d10_pow0*(((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI)))+d11_pow0*(0.0))))+0.0*(pInst->qq*(d10_pow0*((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI))))+pInst->COX_i*(+0.0+(+0.0*d00_pow0+0.0*(d10_pow0*(((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI)))+d11_pow0*(0.0))+0.0*(d10_pow0*((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI)))+pInst->qq*fixme)))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))+2*pInst->COX_i*(pInst->qq*(d10_pow0*((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI))))*((pInst->qq*(d10_pow0*(((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI)))+d11_pow0*(0.0))))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0)));
  COX_qm_VGP_SI_VSI_BP=(0.0/(1.0+(pInst->qq*d00_pow0))-(0.0*((pInst->qq*(d10_pow0*(((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP)))+d11_pow0*(0.0))))+0.0*(pInst->qq*(d10_pow0*((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI))))+pInst->COX_i*(+0.0+(+0.0*d00_pow0+0.0*(d10_pow0*(((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP)))+d11_pow0*(0.0))+0.0*(d10_pow0*((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI)))+pInst->qq*fixme)))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))+2*pInst->COX_i*(pInst->qq*(d10_pow0*((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI))))*((pInst->qq*(d10_pow0*(((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP)))+d11_pow0*(0.0))))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0)));
#endif
COX_qm_VSI_BP=(-pInst->COX_i*(pInst->qq*(d10_pow0*((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP))))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0)));
#if defined(_DERIVATE2)
  COX_qm_VSI_BP_VDI_SI=(0.0/(1.0+(pInst->qq*d00_pow0))-(0.0*((pInst->qq*(d10_pow0*(((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI)))+d11_pow0*(0.0))))+0.0*(pInst->qq*(d10_pow0*((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP))))+pInst->COX_i*(+0.0+(+0.0*d00_pow0+0.0*(d10_pow0*(((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI)))+d11_pow0*(0.0))+0.0*(d10_pow0*((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP)))+pInst->qq*fixme)))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))+2*pInst->COX_i*(pInst->qq*(d10_pow0*((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP))))*((pInst->qq*(d10_pow0*(((qeff1_ac_VDI_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VDI_SI)))+d11_pow0*(0.0))))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0)));
  COX_qm_VSI_BP_VGP_SI=(0.0/(1.0+(pInst->qq*d00_pow0))-(0.0*((pInst->qq*(d10_pow0*(((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI)))+d11_pow0*(0.0))))+0.0*(pInst->qq*(d10_pow0*((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP))))+pInst->COX_i*(+0.0+(+0.0*d00_pow0+0.0*(d10_pow0*(((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI)))+d11_pow0*(0.0))+0.0*(d10_pow0*((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP)))+pInst->qq*fixme)))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))+2*pInst->COX_i*(pInst->qq*(d10_pow0*((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP))))*((pInst->qq*(d10_pow0*(((qeff1_ac_VGP_SI*qeff1_ac)+(qeff1_ac*qeff1_ac_VGP_SI)))+d11_pow0*(0.0))))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0)));
  COX_qm_VSI_BP_VSI_BP=(0.0/(1.0+(pInst->qq*d00_pow0))-(0.0*((pInst->qq*(d10_pow0*(((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP)))+d11_pow0*(0.0))))+0.0*(pInst->qq*(d10_pow0*((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP))))+pInst->COX_i*(+0.0+(+0.0*d00_pow0+0.0*(d10_pow0*(((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP)))+d11_pow0*(0.0))+0.0*(d10_pow0*((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP)))+pInst->qq*fixme)))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))+2*pInst->COX_i*(pInst->qq*(d10_pow0*((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP))))*((pInst->qq*(d10_pow0*(((qeff1_ac_VSI_BP*qeff1_ac)+(qeff1_ac*qeff1_ac_VSI_BP)))+d11_pow0*(0.0))))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0))/(1.0+(pInst->qq*d00_pow0)));
#endif
#endif
pInst->COX_qm=(pInst->COX_i/(1.0+(pInst->qq*d00_pow0)));
EXIT_IF_ISNAN((pInst->COX_i/(1.0+(pInst->qq*d00_pow0))))
}
#endif
}
#endif /* if(...) */
#ifdef _DYNAMIC
if
((xg_ac<=0.0))
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
QG_VDI_SI=Voxm_ac_VDI_SI;
#if defined(_DERIVATE2)
  QG_VDI_SI_VDI_SI=Voxm_ac_VDI_SI_VDI_SI;
  QG_VDI_SI_VGP_SI=Voxm_ac_VDI_SI_VGP_SI;
  QG_VDI_SI_VSI_BP=Voxm_ac_VDI_SI_VSI_BP;
#endif
QG_VGP_SI=Voxm_ac_VGP_SI;
#if defined(_DERIVATE2)
  QG_VGP_SI_VDI_SI=Voxm_ac_VGP_SI_VDI_SI;
  QG_VGP_SI_VGP_SI=Voxm_ac_VGP_SI_VGP_SI;
  QG_VGP_SI_VSI_BP=Voxm_ac_VGP_SI_VSI_BP;
#endif
QG_VSI_BP=Voxm_ac_VSI_BP;
#if defined(_DERIVATE2)
  QG_VSI_BP_VDI_SI=Voxm_ac_VSI_BP_VDI_SI;
  QG_VSI_BP_VGP_SI=Voxm_ac_VSI_BP_VGP_SI;
  QG_VSI_BP_VSI_BP=Voxm_ac_VSI_BP_VSI_BP;
#endif
#endif
QG=Voxm_ac;
EXIT_IF_ISNAN(Voxm_ac)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
QI_VDI_SI=0.0;
#if defined(_DERIVATE2)
  QI_VDI_SI_VDI_SI=0.0;
  QI_VDI_SI_VGP_SI=0.0;
  QI_VDI_SI_VSI_BP=0.0;
#endif
QI_VGP_SI=0.0;
#if defined(_DERIVATE2)
  QI_VGP_SI_VDI_SI=0.0;
  QI_VGP_SI_VGP_SI=0.0;
  QI_VGP_SI_VSI_BP=0.0;
#endif
QI_VSI_BP=0.0;
#if defined(_DERIVATE2)
  QI_VSI_BP_VDI_SI=0.0;
  QI_VSI_BP_VGP_SI=0.0;
  QI_VSI_BP_VSI_BP=0.0;
#endif
#endif
QI=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
QD_VDI_SI=0.0;
#if defined(_DERIVATE2)
  QD_VDI_SI_VDI_SI=0.0;
  QD_VDI_SI_VGP_SI=0.0;
  QD_VDI_SI_VSI_BP=0.0;
#endif
QD_VGP_SI=0.0;
#if defined(_DERIVATE2)
  QD_VGP_SI_VDI_SI=0.0;
  QD_VGP_SI_VGP_SI=0.0;
  QD_VGP_SI_VSI_BP=0.0;
#endif
QD_VSI_BP=0.0;
#if defined(_DERIVATE2)
  QD_VSI_BP_VDI_SI=0.0;
  QD_VSI_BP_VGP_SI=0.0;
  QD_VSI_BP_VSI_BP=0.0;
#endif
#endif
QD=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
QB_VDI_SI=QG_VDI_SI;
#if defined(_DERIVATE2)
  QB_VDI_SI_VDI_SI=QG_VDI_SI_VDI_SI;
  QB_VDI_SI_VGP_SI=QG_VDI_SI_VGP_SI;
  QB_VDI_SI_VSI_BP=QG_VDI_SI_VSI_BP;
#endif
QB_VGP_SI=QG_VGP_SI;
#if defined(_DERIVATE2)
  QB_VGP_SI_VDI_SI=QG_VGP_SI_VDI_SI;
  QB_VGP_SI_VGP_SI=QG_VGP_SI_VGP_SI;
  QB_VGP_SI_VSI_BP=QG_VGP_SI_VSI_BP;
#endif
QB_VSI_BP=QG_VSI_BP;
#if defined(_DERIVATE2)
  QB_VSI_BP_VDI_SI=QG_VSI_BP_VDI_SI;
  QB_VSI_BP_VGP_SI=QG_VSI_BP_VGP_SI;
  QB_VSI_BP_VSI_BP=QG_VSI_BP_VSI_BP;
#endif
#endif
QB=QG;
EXIT_IF_ISNAN(QG)
#endif
}
else
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
Fj_VDI_SI=(0.5*((dps_ac_VDI_SI*H_ac-dps_ac*H_ac_VDI_SI)/H_ac/H_ac));
#if defined(_DERIVATE2)
  Fj_VDI_SI_VDI_SI=(+0.0*(dps_ac/H_ac)+0.0*((dps_ac_VDI_SI*H_ac-dps_ac*H_ac_VDI_SI)/H_ac/H_ac)+0.0*((dps_ac_VDI_SI*H_ac-dps_ac*H_ac_VDI_SI)/H_ac/H_ac)+0.5*(dps_ac_VDI_SI_VDI_SI/H_ac-(dps_ac_VDI_SI*H_ac_VDI_SI+dps_ac_VDI_SI*H_ac_VDI_SI+dps_ac*H_ac_VDI_SI_VDI_SI)/H_ac/H_ac+2*dps_ac*H_ac_VDI_SI*H_ac_VDI_SI/H_ac/H_ac/H_ac));
  Fj_VDI_SI_VGP_SI=(+0.0*(dps_ac/H_ac)+0.0*((dps_ac_VGP_SI*H_ac-dps_ac*H_ac_VGP_SI)/H_ac/H_ac)+0.0*((dps_ac_VDI_SI*H_ac-dps_ac*H_ac_VDI_SI)/H_ac/H_ac)+0.5*(dps_ac_VDI_SI_VGP_SI/H_ac-(dps_ac_VDI_SI*H_ac_VGP_SI+dps_ac_VGP_SI*H_ac_VDI_SI+dps_ac*H_ac_VDI_SI_VGP_SI)/H_ac/H_ac+2*dps_ac*H_ac_VDI_SI*H_ac_VGP_SI/H_ac/H_ac/H_ac));
  Fj_VDI_SI_VSI_BP=(+0.0*(dps_ac/H_ac)+0.0*((dps_ac_VSI_BP*H_ac-dps_ac*H_ac_VSI_BP)/H_ac/H_ac)+0.0*((dps_ac_VDI_SI*H_ac-dps_ac*H_ac_VDI_SI)/H_ac/H_ac)+0.5*(dps_ac_VDI_SI_VSI_BP/H_ac-(dps_ac_VDI_SI*H_ac_VSI_BP+dps_ac_VSI_BP*H_ac_VDI_SI+dps_ac*H_ac_VDI_SI_VSI_BP)/H_ac/H_ac+2*dps_ac*H_ac_VDI_SI*H_ac_VSI_BP/H_ac/H_ac/H_ac));
#endif
Fj_VGP_SI=(0.5*((dps_ac_VGP_SI*H_ac-dps_ac*H_ac_VGP_SI)/H_ac/H_ac));
#if defined(_DERIVATE2)
  Fj_VGP_SI_VDI_SI=(+0.0*(dps_ac/H_ac)+0.0*((dps_ac_VDI_SI*H_ac-dps_ac*H_ac_VDI_SI)/H_ac/H_ac)+0.0*((dps_ac_VGP_SI*H_ac-dps_ac*H_ac_VGP_SI)/H_ac/H_ac)+0.5*(dps_ac_VGP_SI_VDI_SI/H_ac-(dps_ac_VGP_SI*H_ac_VDI_SI+dps_ac_VDI_SI*H_ac_VGP_SI+dps_ac*H_ac_VGP_SI_VDI_SI)/H_ac/H_ac+2*dps_ac*H_ac_VGP_SI*H_ac_VDI_SI/H_ac/H_ac/H_ac));
  Fj_VGP_SI_VGP_SI=(+0.0*(dps_ac/H_ac)+0.0*((dps_ac_VGP_SI*H_ac-dps_ac*H_ac_VGP_SI)/H_ac/H_ac)+0.0*((dps_ac_VGP_SI*H_ac-dps_ac*H_ac_VGP_SI)/H_ac/H_ac)+0.5*(dps_ac_VGP_SI_VGP_SI/H_ac-(dps_ac_VGP_SI*H_ac_VGP_SI+dps_ac_VGP_SI*H_ac_VGP_SI+dps_ac*H_ac_VGP_SI_VGP_SI)/H_ac/H_ac+2*dps_ac*H_ac_VGP_SI*H_ac_VGP_SI/H_ac/H_ac/H_ac));
  Fj_VGP_SI_VSI_BP=(+0.0*(dps_ac/H_ac)+0.0*((dps_ac_VSI_BP*H_ac-dps_ac*H_ac_VSI_BP)/H_ac/H_ac)+0.0*((dps_ac_VGP_SI*H_ac-dps_ac*H_ac_VGP_SI)/H_ac/H_ac)+0.5*(dps_ac_VGP_SI_VSI_BP/H_ac-(dps_ac_VGP_SI*H_ac_VSI_BP+dps_ac_VSI_BP*H_ac_VGP_SI+dps_ac*H_ac_VGP_SI_VSI_BP)/H_ac/H_ac+2*dps_ac*H_ac_VGP_SI*H_ac_VSI_BP/H_ac/H_ac/H_ac));
#endif
Fj_VSI_BP=(0.5*((dps_ac_VSI_BP*H_ac-dps_ac*H_ac_VSI_BP)/H_ac/H_ac));
#if defined(_DERIVATE2)
  Fj_VSI_BP_VDI_SI=(+0.0*(dps_ac/H_ac)+0.0*((dps_ac_VDI_SI*H_ac-dps_ac*H_ac_VDI_SI)/H_ac/H_ac)+0.0*((dps_ac_VSI_BP*H_ac-dps_ac*H_ac_VSI_BP)/H_ac/H_ac)+0.5*(dps_ac_VSI_BP_VDI_SI/H_ac-(dps_ac_VSI_BP*H_ac_VDI_SI+dps_ac_VDI_SI*H_ac_VSI_BP+dps_ac*H_ac_VSI_BP_VDI_SI)/H_ac/H_ac+2*dps_ac*H_ac_VSI_BP*H_ac_VDI_SI/H_ac/H_ac/H_ac));
  Fj_VSI_BP_VGP_SI=(+0.0*(dps_ac/H_ac)+0.0*((dps_ac_VGP_SI*H_ac-dps_ac*H_ac_VGP_SI)/H_ac/H_ac)+0.0*((dps_ac_VSI_BP*H_ac-dps_ac*H_ac_VSI_BP)/H_ac/H_ac)+0.5*(dps_ac_VSI_BP_VGP_SI/H_ac-(dps_ac_VSI_BP*H_ac_VGP_SI+dps_ac_VGP_SI*H_ac_VSI_BP+dps_ac*H_ac_VSI_BP_VGP_SI)/H_ac/H_ac+2*dps_ac*H_ac_VSI_BP*H_ac_VGP_SI/H_ac/H_ac/H_ac));
  Fj_VSI_BP_VSI_BP=(+0.0*(dps_ac/H_ac)+0.0*((dps_ac_VSI_BP*H_ac-dps_ac*H_ac_VSI_BP)/H_ac/H_ac)+0.0*((dps_ac_VSI_BP*H_ac-dps_ac*H_ac_VSI_BP)/H_ac/H_ac)+0.5*(dps_ac_VSI_BP_VSI_BP/H_ac-(dps_ac_VSI_BP*H_ac_VSI_BP+dps_ac_VSI_BP*H_ac_VSI_BP+dps_ac*H_ac_VSI_BP_VSI_BP)/H_ac/H_ac+2*dps_ac*H_ac_VSI_BP*H_ac_VSI_BP/H_ac/H_ac/H_ac));
#endif
#endif
Fj=(0.5*(dps_ac/H_ac));
EXIT_IF_ISNAN((0.5*(dps_ac/H_ac)))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
Fj2_VDI_SI=((Fj_VDI_SI*Fj)+(Fj*Fj_VDI_SI));
#if defined(_DERIVATE2)
  Fj2_VDI_SI_VDI_SI=(+Fj_VDI_SI_VDI_SI*Fj+Fj_VDI_SI*Fj_VDI_SI+Fj_VDI_SI*Fj_VDI_SI+Fj*Fj_VDI_SI_VDI_SI);
  Fj2_VDI_SI_VGP_SI=(+Fj_VDI_SI_VGP_SI*Fj+Fj_VDI_SI*Fj_VGP_SI+Fj_VGP_SI*Fj_VDI_SI+Fj*Fj_VDI_SI_VGP_SI);
  Fj2_VDI_SI_VSI_BP=(+Fj_VDI_SI_VSI_BP*Fj+Fj_VDI_SI*Fj_VSI_BP+Fj_VSI_BP*Fj_VDI_SI+Fj*Fj_VDI_SI_VSI_BP);
#endif
Fj2_VGP_SI=((Fj_VGP_SI*Fj)+(Fj*Fj_VGP_SI));
#if defined(_DERIVATE2)
  Fj2_VGP_SI_VDI_SI=(+Fj_VGP_SI_VDI_SI*Fj+Fj_VGP_SI*Fj_VDI_SI+Fj_VDI_SI*Fj_VGP_SI+Fj*Fj_VGP_SI_VDI_SI);
  Fj2_VGP_SI_VGP_SI=(+Fj_VGP_SI_VGP_SI*Fj+Fj_VGP_SI*Fj_VGP_SI+Fj_VGP_SI*Fj_VGP_SI+Fj*Fj_VGP_SI_VGP_SI);
  Fj2_VGP_SI_VSI_BP=(+Fj_VGP_SI_VSI_BP*Fj+Fj_VGP_SI*Fj_VSI_BP+Fj_VSI_BP*Fj_VGP_SI+Fj*Fj_VGP_SI_VSI_BP);
#endif
Fj2_VSI_BP=((Fj_VSI_BP*Fj)+(Fj*Fj_VSI_BP));
#if defined(_DERIVATE2)
  Fj2_VSI_BP_VDI_SI=(+Fj_VSI_BP_VDI_SI*Fj+Fj_VSI_BP*Fj_VDI_SI+Fj_VDI_SI*Fj_VSI_BP+Fj*Fj_VSI_BP_VDI_SI);
  Fj2_VSI_BP_VGP_SI=(+Fj_VSI_BP_VGP_SI*Fj+Fj_VSI_BP*Fj_VGP_SI+Fj_VGP_SI*Fj_VSI_BP+Fj*Fj_VSI_BP_VGP_SI);
  Fj2_VSI_BP_VSI_BP=(+Fj_VSI_BP_VSI_BP*Fj+Fj_VSI_BP*Fj_VSI_BP+Fj_VSI_BP*Fj_VSI_BP+Fj*Fj_VSI_BP_VSI_BP);
#endif
#endif
Fj2=(Fj*Fj);
EXIT_IF_ISNAN((Fj*Fj))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
QG_VDI_SI=(Voxm_ac_VDI_SI+(0.5*((((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI))*3.3333333333333333e-01+GdL_ac_VDI_SI)))));
#if defined(_DERIVATE2)
  QG_VDI_SI_VDI_SI=(+Voxm_ac_VDI_SI_VDI_SI+(+0.0*((pInst->eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+0.0*((((((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI)))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI)))*3.3333333333333333e-01)+GdL_ac_VDI_SI))))+0.0*((((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI))*3.3333333333333333e-01+GdL_ac_VDI_SI)))+0.5*(+(+eta_p_ac_VDI_SI_VDI_SI*dps_ac+eta_p_ac_VDI_SI*dps_ac_VDI_SI+eta_p_ac_VDI_SI*dps_ac_VDI_SI+pInst->eta_p_ac*dps_ac_VDI_SI_VDI_SI)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac)+((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI))*(((((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI)))*3.3333333333333333e-01)+GdL_ac_VDI_SI)+(((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI)))*(((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI))*3.3333333333333333e-01+GdL_ac_VDI_SI)+(pInst->eta_p_ac*dps_ac)*(+(+(+(+Fj_VDI_SI_VDI_SI*GdL_ac+Fj_VDI_SI*GdL_ac_VDI_SI+Fj_VDI_SI*GdL_ac_VDI_SI+Fj*GdL_ac_VDI_SI_VDI_SI)*3.3333333333333333e-01+((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI))*0.0+(((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI)))*0.0+(Fj*GdL_ac)*0.0)-0.0)+GdL_ac_VDI_SI_VDI_SI))));
  QG_VDI_SI_VGP_SI=(+Voxm_ac_VDI_SI_VGP_SI+(+0.0*((pInst->eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+0.0*((((((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI)))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI)))*3.3333333333333333e-01)+GdL_ac_VGP_SI))))+0.0*((((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI))*3.3333333333333333e-01+GdL_ac_VDI_SI)))+0.5*(+(+eta_p_ac_VDI_SI_VGP_SI*dps_ac+eta_p_ac_VDI_SI*dps_ac_VGP_SI+eta_p_ac_VGP_SI*dps_ac_VDI_SI+pInst->eta_p_ac*dps_ac_VDI_SI_VGP_SI)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac)+((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI))*(((((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI)))*3.3333333333333333e-01)+GdL_ac_VGP_SI)+(((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI)))*(((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI))*3.3333333333333333e-01+GdL_ac_VDI_SI)+(pInst->eta_p_ac*dps_ac)*(+(+(+(+Fj_VDI_SI_VGP_SI*GdL_ac+Fj_VDI_SI*GdL_ac_VGP_SI+Fj_VGP_SI*GdL_ac_VDI_SI+Fj*GdL_ac_VDI_SI_VGP_SI)*3.3333333333333333e-01+((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI))*0.0+(((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI)))*0.0+(Fj*GdL_ac)*0.0)-0.0)+GdL_ac_VDI_SI_VGP_SI))));
  QG_VDI_SI_VSI_BP=(+Voxm_ac_VDI_SI_VSI_BP+(+0.0*((pInst->eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+0.0*((((((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP)))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP)))*3.3333333333333333e-01)+GdL_ac_VSI_BP))))+0.0*((((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI))*3.3333333333333333e-01+GdL_ac_VDI_SI)))+0.5*(+(+eta_p_ac_VDI_SI_VSI_BP*dps_ac+eta_p_ac_VDI_SI*dps_ac_VSI_BP+eta_p_ac_VSI_BP*dps_ac_VDI_SI+pInst->eta_p_ac*dps_ac_VDI_SI_VSI_BP)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac)+((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI))*(((((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP)))*3.3333333333333333e-01)+GdL_ac_VSI_BP)+(((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP)))*(((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI))*3.3333333333333333e-01+GdL_ac_VDI_SI)+(pInst->eta_p_ac*dps_ac)*(+(+(+(+Fj_VDI_SI_VSI_BP*GdL_ac+Fj_VDI_SI*GdL_ac_VSI_BP+Fj_VSI_BP*GdL_ac_VDI_SI+Fj*GdL_ac_VDI_SI_VSI_BP)*3.3333333333333333e-01+((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI))*0.0+(((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP)))*0.0+(Fj*GdL_ac)*0.0)-0.0)+GdL_ac_VDI_SI_VSI_BP))));
#endif
QG_VGP_SI=(Voxm_ac_VGP_SI+(0.5*((((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI))*3.3333333333333333e-01+GdL_ac_VGP_SI)))));
#if defined(_DERIVATE2)
  QG_VGP_SI_VDI_SI=(+Voxm_ac_VGP_SI_VDI_SI+(+0.0*((pInst->eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+0.0*((((((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI)))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI)))*3.3333333333333333e-01)+GdL_ac_VDI_SI))))+0.0*((((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI))*3.3333333333333333e-01+GdL_ac_VGP_SI)))+0.5*(+(+eta_p_ac_VGP_SI_VDI_SI*dps_ac+eta_p_ac_VGP_SI*dps_ac_VDI_SI+eta_p_ac_VDI_SI*dps_ac_VGP_SI+pInst->eta_p_ac*dps_ac_VGP_SI_VDI_SI)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac)+((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI))*(((((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI)))*3.3333333333333333e-01)+GdL_ac_VDI_SI)+(((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI)))*(((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI))*3.3333333333333333e-01+GdL_ac_VGP_SI)+(pInst->eta_p_ac*dps_ac)*(+(+(+(+Fj_VGP_SI_VDI_SI*GdL_ac+Fj_VGP_SI*GdL_ac_VDI_SI+Fj_VDI_SI*GdL_ac_VGP_SI+Fj*GdL_ac_VGP_SI_VDI_SI)*3.3333333333333333e-01+((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI))*0.0+(((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI)))*0.0+(Fj*GdL_ac)*0.0)-0.0)+GdL_ac_VGP_SI_VDI_SI))));
  QG_VGP_SI_VGP_SI=(+Voxm_ac_VGP_SI_VGP_SI+(+0.0*((pInst->eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+0.0*((((((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI)))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI)))*3.3333333333333333e-01)+GdL_ac_VGP_SI))))+0.0*((((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI))*3.3333333333333333e-01+GdL_ac_VGP_SI)))+0.5*(+(+eta_p_ac_VGP_SI_VGP_SI*dps_ac+eta_p_ac_VGP_SI*dps_ac_VGP_SI+eta_p_ac_VGP_SI*dps_ac_VGP_SI+pInst->eta_p_ac*dps_ac_VGP_SI_VGP_SI)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac)+((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI))*(((((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI)))*3.3333333333333333e-01)+GdL_ac_VGP_SI)+(((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI)))*(((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI))*3.3333333333333333e-01+GdL_ac_VGP_SI)+(pInst->eta_p_ac*dps_ac)*(+(+(+(+Fj_VGP_SI_VGP_SI*GdL_ac+Fj_VGP_SI*GdL_ac_VGP_SI+Fj_VGP_SI*GdL_ac_VGP_SI+Fj*GdL_ac_VGP_SI_VGP_SI)*3.3333333333333333e-01+((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI))*0.0+(((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI)))*0.0+(Fj*GdL_ac)*0.0)-0.0)+GdL_ac_VGP_SI_VGP_SI))));
  QG_VGP_SI_VSI_BP=(+Voxm_ac_VGP_SI_VSI_BP+(+0.0*((pInst->eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+0.0*((((((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP)))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP)))*3.3333333333333333e-01)+GdL_ac_VSI_BP))))+0.0*((((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI))*3.3333333333333333e-01+GdL_ac_VGP_SI)))+0.5*(+(+eta_p_ac_VGP_SI_VSI_BP*dps_ac+eta_p_ac_VGP_SI*dps_ac_VSI_BP+eta_p_ac_VSI_BP*dps_ac_VGP_SI+pInst->eta_p_ac*dps_ac_VGP_SI_VSI_BP)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac)+((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI))*(((((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP)))*3.3333333333333333e-01)+GdL_ac_VSI_BP)+(((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP)))*(((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI))*3.3333333333333333e-01+GdL_ac_VGP_SI)+(pInst->eta_p_ac*dps_ac)*(+(+(+(+Fj_VGP_SI_VSI_BP*GdL_ac+Fj_VGP_SI*GdL_ac_VSI_BP+Fj_VSI_BP*GdL_ac_VGP_SI+Fj*GdL_ac_VGP_SI_VSI_BP)*3.3333333333333333e-01+((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI))*0.0+(((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP)))*0.0+(Fj*GdL_ac)*0.0)-0.0)+GdL_ac_VGP_SI_VSI_BP))));
#endif
QG_VSI_BP=(Voxm_ac_VSI_BP+(0.5*((((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP))*3.3333333333333333e-01+GdL_ac_VSI_BP)))));
#if defined(_DERIVATE2)
  QG_VSI_BP_VDI_SI=(+Voxm_ac_VSI_BP_VDI_SI+(+0.0*((pInst->eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+0.0*((((((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI)))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI)))*3.3333333333333333e-01)+GdL_ac_VDI_SI))))+0.0*((((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP))*3.3333333333333333e-01+GdL_ac_VSI_BP)))+0.5*(+(+eta_p_ac_VSI_BP_VDI_SI*dps_ac+eta_p_ac_VSI_BP*dps_ac_VDI_SI+eta_p_ac_VDI_SI*dps_ac_VSI_BP+pInst->eta_p_ac*dps_ac_VSI_BP_VDI_SI)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac)+((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP))*(((((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI)))*3.3333333333333333e-01)+GdL_ac_VDI_SI)+(((eta_p_ac_VDI_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VDI_SI)))*(((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP))*3.3333333333333333e-01+GdL_ac_VSI_BP)+(pInst->eta_p_ac*dps_ac)*(+(+(+(+Fj_VSI_BP_VDI_SI*GdL_ac+Fj_VSI_BP*GdL_ac_VDI_SI+Fj_VDI_SI*GdL_ac_VSI_BP+Fj*GdL_ac_VSI_BP_VDI_SI)*3.3333333333333333e-01+((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP))*0.0+(((Fj_VDI_SI*GdL_ac)+(Fj*GdL_ac_VDI_SI)))*0.0+(Fj*GdL_ac)*0.0)-0.0)+GdL_ac_VSI_BP_VDI_SI))));
  QG_VSI_BP_VGP_SI=(+Voxm_ac_VSI_BP_VGP_SI+(+0.0*((pInst->eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+0.0*((((((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI)))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI)))*3.3333333333333333e-01)+GdL_ac_VGP_SI))))+0.0*((((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP))*3.3333333333333333e-01+GdL_ac_VSI_BP)))+0.5*(+(+eta_p_ac_VSI_BP_VGP_SI*dps_ac+eta_p_ac_VSI_BP*dps_ac_VGP_SI+eta_p_ac_VGP_SI*dps_ac_VSI_BP+pInst->eta_p_ac*dps_ac_VSI_BP_VGP_SI)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac)+((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP))*(((((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI)))*3.3333333333333333e-01)+GdL_ac_VGP_SI)+(((eta_p_ac_VGP_SI*dps_ac)+(pInst->eta_p_ac*dps_ac_VGP_SI)))*(((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP))*3.3333333333333333e-01+GdL_ac_VSI_BP)+(pInst->eta_p_ac*dps_ac)*(+(+(+(+Fj_VSI_BP_VGP_SI*GdL_ac+Fj_VSI_BP*GdL_ac_VGP_SI+Fj_VGP_SI*GdL_ac_VSI_BP+Fj*GdL_ac_VSI_BP_VGP_SI)*3.3333333333333333e-01+((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP))*0.0+(((Fj_VGP_SI*GdL_ac)+(Fj*GdL_ac_VGP_SI)))*0.0+(Fj*GdL_ac)*0.0)-0.0)+GdL_ac_VSI_BP_VGP_SI))));
  QG_VSI_BP_VSI_BP=(+Voxm_ac_VSI_BP_VSI_BP+(+0.0*((pInst->eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+0.0*((((((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP)))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP)))*3.3333333333333333e-01)+GdL_ac_VSI_BP))))+0.0*((((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP))*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))+((pInst->eta_p_ac*dps_ac)*(((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP))*3.3333333333333333e-01+GdL_ac_VSI_BP)))+0.5*(+(+eta_p_ac_VSI_BP_VSI_BP*dps_ac+eta_p_ac_VSI_BP*dps_ac_VSI_BP+eta_p_ac_VSI_BP*dps_ac_VSI_BP+pInst->eta_p_ac*dps_ac_VSI_BP_VSI_BP)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac)+((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP))*(((((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP)))*3.3333333333333333e-01)+GdL_ac_VSI_BP)+(((eta_p_ac_VSI_BP*dps_ac)+(pInst->eta_p_ac*dps_ac_VSI_BP)))*(((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP))*3.3333333333333333e-01+GdL_ac_VSI_BP)+(pInst->eta_p_ac*dps_ac)*(+(+(+(+Fj_VSI_BP_VSI_BP*GdL_ac+Fj_VSI_BP*GdL_ac_VSI_BP+Fj_VSI_BP*GdL_ac_VSI_BP+Fj*GdL_ac_VSI_BP_VSI_BP)*3.3333333333333333e-01+((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP))*0.0+(((Fj_VSI_BP*GdL_ac)+(Fj*GdL_ac_VSI_BP)))*0.0+(Fj*GdL_ac)*0.0)-0.0)+GdL_ac_VSI_BP_VSI_BP))));
#endif
#endif
QG=(Voxm_ac+(0.5*((pInst->eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))));
EXIT_IF_ISNAN((Voxm_ac+(0.5*((pInst->eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac)))))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))*1.6666666666666667e-01;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=(+(+alpha_ac_VGP_SI_VGP_SI*dps_ac+alpha_ac_VGP_SI*dps_ac_VGP_SI+alpha_ac_VGP_SI*dps_ac_VGP_SI+alpha_ac*dps_ac_VGP_SI_VGP_SI)*1.6666666666666667e-01+((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))*0.0+(((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI)))*0.0+(alpha_ac*dps_ac)*0.0);
  temp_VGP_SI_VDI_SI=(+(+alpha_ac_VGP_SI_VDI_SI*dps_ac+alpha_ac_VGP_SI*dps_ac_VDI_SI+alpha_ac_VDI_SI*dps_ac_VGP_SI+alpha_ac*dps_ac_VGP_SI_VDI_SI)*1.6666666666666667e-01+((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))*0.0+(((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI)))*0.0+(alpha_ac*dps_ac)*0.0);
  temp_VGP_SI_VSI_BP=(+(+alpha_ac_VGP_SI_VSI_BP*dps_ac+alpha_ac_VGP_SI*dps_ac_VSI_BP+alpha_ac_VSI_BP*dps_ac_VGP_SI+alpha_ac*dps_ac_VGP_SI_VSI_BP)*1.6666666666666667e-01+((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))*0.0+(((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP)))*0.0+(alpha_ac*dps_ac)*0.0);
#endif
temp_VDI_SI=((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))*1.6666666666666667e-01;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=(+(+alpha_ac_VDI_SI_VGP_SI*dps_ac+alpha_ac_VDI_SI*dps_ac_VGP_SI+alpha_ac_VGP_SI*dps_ac_VDI_SI+alpha_ac*dps_ac_VDI_SI_VGP_SI)*1.6666666666666667e-01+((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))*0.0+(((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI)))*0.0+(alpha_ac*dps_ac)*0.0);
  temp_VDI_SI_VDI_SI=(+(+alpha_ac_VDI_SI_VDI_SI*dps_ac+alpha_ac_VDI_SI*dps_ac_VDI_SI+alpha_ac_VDI_SI*dps_ac_VDI_SI+alpha_ac*dps_ac_VDI_SI_VDI_SI)*1.6666666666666667e-01+((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))*0.0+(((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI)))*0.0+(alpha_ac*dps_ac)*0.0);
  temp_VDI_SI_VSI_BP=(+(+alpha_ac_VDI_SI_VSI_BP*dps_ac+alpha_ac_VDI_SI*dps_ac_VSI_BP+alpha_ac_VSI_BP*dps_ac_VDI_SI+alpha_ac*dps_ac_VDI_SI_VSI_BP)*1.6666666666666667e-01+((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))*0.0+(((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP)))*0.0+(alpha_ac*dps_ac)*0.0);
#endif
temp_VSI_BP=((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))*1.6666666666666667e-01;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=(+(+alpha_ac_VSI_BP_VGP_SI*dps_ac+alpha_ac_VSI_BP*dps_ac_VGP_SI+alpha_ac_VGP_SI*dps_ac_VSI_BP+alpha_ac*dps_ac_VSI_BP_VGP_SI)*1.6666666666666667e-01+((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))*0.0+(((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI)))*0.0+(alpha_ac*dps_ac)*0.0);
  temp_VSI_BP_VDI_SI=(+(+alpha_ac_VSI_BP_VDI_SI*dps_ac+alpha_ac_VSI_BP*dps_ac_VDI_SI+alpha_ac_VDI_SI*dps_ac_VSI_BP+alpha_ac*dps_ac_VSI_BP_VDI_SI)*1.6666666666666667e-01+((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))*0.0+(((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI)))*0.0+(alpha_ac*dps_ac)*0.0);
  temp_VSI_BP_VSI_BP=(+(+alpha_ac_VSI_BP_VSI_BP*dps_ac+alpha_ac_VSI_BP*dps_ac_VSI_BP+alpha_ac_VSI_BP*dps_ac_VSI_BP+alpha_ac*dps_ac_VSI_BP_VSI_BP)*1.6666666666666667e-01+((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))*0.0+(((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP)))*0.0+(alpha_ac*dps_ac)*0.0);
#endif
#endif
temp=((alpha_ac*dps_ac)*1.6666666666666667e-01);
EXIT_IF_ISNAN(((alpha_ac*dps_ac)*1.6666666666666667e-01))
#endif
#ifdef _DYNAMIC
if
((pModel->SWQPART_i==1))
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
QCLM_VDI_SI=0.0;
#if defined(_DERIVATE2)
  QCLM_VDI_SI_VDI_SI=0.0;
  QCLM_VDI_SI_VGP_SI=0.0;
  QCLM_VDI_SI_VSI_BP=0.0;
#endif
QCLM_VGP_SI=0.0;
#if defined(_DERIVATE2)
  QCLM_VGP_SI_VDI_SI=0.0;
  QCLM_VGP_SI_VGP_SI=0.0;
  QCLM_VGP_SI_VSI_BP=0.0;
#endif
QCLM_VSI_BP=0.0;
#if defined(_DERIVATE2)
  QCLM_VSI_BP_VDI_SI=0.0;
  QCLM_VSI_BP_VGP_SI=0.0;
  QCLM_VSI_BP_VSI_BP=0.0;
#endif
#endif
QCLM=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
QD_VDI_SI=(((((0.5*GdL_ac_VDI_SI)*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VDI_SI))*(qim_ac-((3.0*temp)*(2.0-Fj))))+(((0.5*GdL_ac)*GdL_ac)*(qim_ac_VDI_SI-(((3.0*temp_VDI_SI)*(2.0-Fj))+((3.0*temp)*(-Fj_VDI_SI))))));
#if defined(_DERIVATE2)
  QD_VDI_SI_VDI_SI=(+(+(+0.0*GdL_ac+0.0*GdL_ac_VDI_SI+0.0*GdL_ac_VDI_SI+0.5*GdL_ac_VDI_SI_VDI_SI)*GdL_ac+(0.5*GdL_ac_VDI_SI)*GdL_ac_VDI_SI+((0.5*GdL_ac_VDI_SI))*GdL_ac_VDI_SI+(0.5*GdL_ac)*GdL_ac_VDI_SI_VDI_SI)*(qim_ac-((3.0*temp)*(2.0-Fj)))+(((0.5*GdL_ac_VDI_SI)*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VDI_SI))*(qim_ac_VDI_SI-(((((3.0*temp_VDI_SI))*(2.0-Fj))+((3.0*temp)*(-Fj_VDI_SI)))))+(((((0.5*GdL_ac_VDI_SI))*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VDI_SI)))*(qim_ac_VDI_SI-(((3.0*temp_VDI_SI)*(2.0-Fj))+((3.0*temp)*(-Fj_VDI_SI))))+((0.5*GdL_ac)*GdL_ac)*(+qim_ac_VDI_SI_VDI_SI-(+(+0.0*temp+0.0*temp_VDI_SI+0.0*temp_VDI_SI+3.0*temp_VDI_SI_VDI_SI)*(2.0-Fj)+(3.0*temp_VDI_SI)*(-Fj_VDI_SI)+((3.0*temp_VDI_SI))*(-Fj_VDI_SI)+(3.0*temp)*(+0.0-Fj_VDI_SI_VDI_SI))));
  QD_VDI_SI_VGP_SI=(+(+(+0.0*GdL_ac+0.0*GdL_ac_VGP_SI+0.0*GdL_ac_VDI_SI+0.5*GdL_ac_VDI_SI_VGP_SI)*GdL_ac+(0.5*GdL_ac_VDI_SI)*GdL_ac_VGP_SI+((0.5*GdL_ac_VGP_SI))*GdL_ac_VDI_SI+(0.5*GdL_ac)*GdL_ac_VDI_SI_VGP_SI)*(qim_ac-((3.0*temp)*(2.0-Fj)))+(((0.5*GdL_ac_VDI_SI)*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VDI_SI))*(qim_ac_VGP_SI-(((((3.0*temp_VGP_SI))*(2.0-Fj))+((3.0*temp)*(-Fj_VGP_SI)))))+(((((0.5*GdL_ac_VGP_SI))*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VGP_SI)))*(qim_ac_VDI_SI-(((3.0*temp_VDI_SI)*(2.0-Fj))+((3.0*temp)*(-Fj_VDI_SI))))+((0.5*GdL_ac)*GdL_ac)*(+qim_ac_VDI_SI_VGP_SI-(+(+0.0*temp+0.0*temp_VGP_SI+0.0*temp_VDI_SI+3.0*temp_VDI_SI_VGP_SI)*(2.0-Fj)+(3.0*temp_VDI_SI)*(-Fj_VGP_SI)+((3.0*temp_VGP_SI))*(-Fj_VDI_SI)+(3.0*temp)*(+0.0-Fj_VDI_SI_VGP_SI))));
  QD_VDI_SI_VSI_BP=(+(+(+0.0*GdL_ac+0.0*GdL_ac_VSI_BP+0.0*GdL_ac_VDI_SI+0.5*GdL_ac_VDI_SI_VSI_BP)*GdL_ac+(0.5*GdL_ac_VDI_SI)*GdL_ac_VSI_BP+((0.5*GdL_ac_VSI_BP))*GdL_ac_VDI_SI+(0.5*GdL_ac)*GdL_ac_VDI_SI_VSI_BP)*(qim_ac-((3.0*temp)*(2.0-Fj)))+(((0.5*GdL_ac_VDI_SI)*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VDI_SI))*(qim_ac_VSI_BP-(((((3.0*temp_VSI_BP))*(2.0-Fj))+((3.0*temp)*(-Fj_VSI_BP)))))+(((((0.5*GdL_ac_VSI_BP))*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VSI_BP)))*(qim_ac_VDI_SI-(((3.0*temp_VDI_SI)*(2.0-Fj))+((3.0*temp)*(-Fj_VDI_SI))))+((0.5*GdL_ac)*GdL_ac)*(+qim_ac_VDI_SI_VSI_BP-(+(+0.0*temp+0.0*temp_VSI_BP+0.0*temp_VDI_SI+3.0*temp_VDI_SI_VSI_BP)*(2.0-Fj)+(3.0*temp_VDI_SI)*(-Fj_VSI_BP)+((3.0*temp_VSI_BP))*(-Fj_VDI_SI)+(3.0*temp)*(+0.0-Fj_VDI_SI_VSI_BP))));
#endif
QD_VGP_SI=(((((0.5*GdL_ac_VGP_SI)*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VGP_SI))*(qim_ac-((3.0*temp)*(2.0-Fj))))+(((0.5*GdL_ac)*GdL_ac)*(qim_ac_VGP_SI-(((3.0*temp_VGP_SI)*(2.0-Fj))+((3.0*temp)*(-Fj_VGP_SI))))));
#if defined(_DERIVATE2)
  QD_VGP_SI_VDI_SI=(+(+(+0.0*GdL_ac+0.0*GdL_ac_VDI_SI+0.0*GdL_ac_VGP_SI+0.5*GdL_ac_VGP_SI_VDI_SI)*GdL_ac+(0.5*GdL_ac_VGP_SI)*GdL_ac_VDI_SI+((0.5*GdL_ac_VDI_SI))*GdL_ac_VGP_SI+(0.5*GdL_ac)*GdL_ac_VGP_SI_VDI_SI)*(qim_ac-((3.0*temp)*(2.0-Fj)))+(((0.5*GdL_ac_VGP_SI)*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VGP_SI))*(qim_ac_VDI_SI-(((((3.0*temp_VDI_SI))*(2.0-Fj))+((3.0*temp)*(-Fj_VDI_SI)))))+(((((0.5*GdL_ac_VDI_SI))*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VDI_SI)))*(qim_ac_VGP_SI-(((3.0*temp_VGP_SI)*(2.0-Fj))+((3.0*temp)*(-Fj_VGP_SI))))+((0.5*GdL_ac)*GdL_ac)*(+qim_ac_VGP_SI_VDI_SI-(+(+0.0*temp+0.0*temp_VDI_SI+0.0*temp_VGP_SI+3.0*temp_VGP_SI_VDI_SI)*(2.0-Fj)+(3.0*temp_VGP_SI)*(-Fj_VDI_SI)+((3.0*temp_VDI_SI))*(-Fj_VGP_SI)+(3.0*temp)*(+0.0-Fj_VGP_SI_VDI_SI))));
  QD_VGP_SI_VGP_SI=(+(+(+0.0*GdL_ac+0.0*GdL_ac_VGP_SI+0.0*GdL_ac_VGP_SI+0.5*GdL_ac_VGP_SI_VGP_SI)*GdL_ac+(0.5*GdL_ac_VGP_SI)*GdL_ac_VGP_SI+((0.5*GdL_ac_VGP_SI))*GdL_ac_VGP_SI+(0.5*GdL_ac)*GdL_ac_VGP_SI_VGP_SI)*(qim_ac-((3.0*temp)*(2.0-Fj)))+(((0.5*GdL_ac_VGP_SI)*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VGP_SI))*(qim_ac_VGP_SI-(((((3.0*temp_VGP_SI))*(2.0-Fj))+((3.0*temp)*(-Fj_VGP_SI)))))+(((((0.5*GdL_ac_VGP_SI))*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VGP_SI)))*(qim_ac_VGP_SI-(((3.0*temp_VGP_SI)*(2.0-Fj))+((3.0*temp)*(-Fj_VGP_SI))))+((0.5*GdL_ac)*GdL_ac)*(+qim_ac_VGP_SI_VGP_SI-(+(+0.0*temp+0.0*temp_VGP_SI+0.0*temp_VGP_SI+3.0*temp_VGP_SI_VGP_SI)*(2.0-Fj)+(3.0*temp_VGP_SI)*(-Fj_VGP_SI)+((3.0*temp_VGP_SI))*(-Fj_VGP_SI)+(3.0*temp)*(+0.0-Fj_VGP_SI_VGP_SI))));
  QD_VGP_SI_VSI_BP=(+(+(+0.0*GdL_ac+0.0*GdL_ac_VSI_BP+0.0*GdL_ac_VGP_SI+0.5*GdL_ac_VGP_SI_VSI_BP)*GdL_ac+(0.5*GdL_ac_VGP_SI)*GdL_ac_VSI_BP+((0.5*GdL_ac_VSI_BP))*GdL_ac_VGP_SI+(0.5*GdL_ac)*GdL_ac_VGP_SI_VSI_BP)*(qim_ac-((3.0*temp)*(2.0-Fj)))+(((0.5*GdL_ac_VGP_SI)*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VGP_SI))*(qim_ac_VSI_BP-(((((3.0*temp_VSI_BP))*(2.0-Fj))+((3.0*temp)*(-Fj_VSI_BP)))))+(((((0.5*GdL_ac_VSI_BP))*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VSI_BP)))*(qim_ac_VGP_SI-(((3.0*temp_VGP_SI)*(2.0-Fj))+((3.0*temp)*(-Fj_VGP_SI))))+((0.5*GdL_ac)*GdL_ac)*(+qim_ac_VGP_SI_VSI_BP-(+(+0.0*temp+0.0*temp_VSI_BP+0.0*temp_VGP_SI+3.0*temp_VGP_SI_VSI_BP)*(2.0-Fj)+(3.0*temp_VGP_SI)*(-Fj_VSI_BP)+((3.0*temp_VSI_BP))*(-Fj_VGP_SI)+(3.0*temp)*(+0.0-Fj_VGP_SI_VSI_BP))));
#endif
QD_VSI_BP=(((((0.5*GdL_ac_VSI_BP)*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VSI_BP))*(qim_ac-((3.0*temp)*(2.0-Fj))))+(((0.5*GdL_ac)*GdL_ac)*(qim_ac_VSI_BP-(((3.0*temp_VSI_BP)*(2.0-Fj))+((3.0*temp)*(-Fj_VSI_BP))))));
#if defined(_DERIVATE2)
  QD_VSI_BP_VDI_SI=(+(+(+0.0*GdL_ac+0.0*GdL_ac_VDI_SI+0.0*GdL_ac_VSI_BP+0.5*GdL_ac_VSI_BP_VDI_SI)*GdL_ac+(0.5*GdL_ac_VSI_BP)*GdL_ac_VDI_SI+((0.5*GdL_ac_VDI_SI))*GdL_ac_VSI_BP+(0.5*GdL_ac)*GdL_ac_VSI_BP_VDI_SI)*(qim_ac-((3.0*temp)*(2.0-Fj)))+(((0.5*GdL_ac_VSI_BP)*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VSI_BP))*(qim_ac_VDI_SI-(((((3.0*temp_VDI_SI))*(2.0-Fj))+((3.0*temp)*(-Fj_VDI_SI)))))+(((((0.5*GdL_ac_VDI_SI))*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VDI_SI)))*(qim_ac_VSI_BP-(((3.0*temp_VSI_BP)*(2.0-Fj))+((3.0*temp)*(-Fj_VSI_BP))))+((0.5*GdL_ac)*GdL_ac)*(+qim_ac_VSI_BP_VDI_SI-(+(+0.0*temp+0.0*temp_VDI_SI+0.0*temp_VSI_BP+3.0*temp_VSI_BP_VDI_SI)*(2.0-Fj)+(3.0*temp_VSI_BP)*(-Fj_VDI_SI)+((3.0*temp_VDI_SI))*(-Fj_VSI_BP)+(3.0*temp)*(+0.0-Fj_VSI_BP_VDI_SI))));
  QD_VSI_BP_VGP_SI=(+(+(+0.0*GdL_ac+0.0*GdL_ac_VGP_SI+0.0*GdL_ac_VSI_BP+0.5*GdL_ac_VSI_BP_VGP_SI)*GdL_ac+(0.5*GdL_ac_VSI_BP)*GdL_ac_VGP_SI+((0.5*GdL_ac_VGP_SI))*GdL_ac_VSI_BP+(0.5*GdL_ac)*GdL_ac_VSI_BP_VGP_SI)*(qim_ac-((3.0*temp)*(2.0-Fj)))+(((0.5*GdL_ac_VSI_BP)*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VSI_BP))*(qim_ac_VGP_SI-(((((3.0*temp_VGP_SI))*(2.0-Fj))+((3.0*temp)*(-Fj_VGP_SI)))))+(((((0.5*GdL_ac_VGP_SI))*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VGP_SI)))*(qim_ac_VSI_BP-(((3.0*temp_VSI_BP)*(2.0-Fj))+((3.0*temp)*(-Fj_VSI_BP))))+((0.5*GdL_ac)*GdL_ac)*(+qim_ac_VSI_BP_VGP_SI-(+(+0.0*temp+0.0*temp_VGP_SI+0.0*temp_VSI_BP+3.0*temp_VSI_BP_VGP_SI)*(2.0-Fj)+(3.0*temp_VSI_BP)*(-Fj_VGP_SI)+((3.0*temp_VGP_SI))*(-Fj_VSI_BP)+(3.0*temp)*(+0.0-Fj_VSI_BP_VGP_SI))));
  QD_VSI_BP_VSI_BP=(+(+(+0.0*GdL_ac+0.0*GdL_ac_VSI_BP+0.0*GdL_ac_VSI_BP+0.5*GdL_ac_VSI_BP_VSI_BP)*GdL_ac+(0.5*GdL_ac_VSI_BP)*GdL_ac_VSI_BP+((0.5*GdL_ac_VSI_BP))*GdL_ac_VSI_BP+(0.5*GdL_ac)*GdL_ac_VSI_BP_VSI_BP)*(qim_ac-((3.0*temp)*(2.0-Fj)))+(((0.5*GdL_ac_VSI_BP)*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VSI_BP))*(qim_ac_VSI_BP-(((((3.0*temp_VSI_BP))*(2.0-Fj))+((3.0*temp)*(-Fj_VSI_BP)))))+(((((0.5*GdL_ac_VSI_BP))*GdL_ac)+((0.5*GdL_ac)*GdL_ac_VSI_BP)))*(qim_ac_VSI_BP-(((3.0*temp_VSI_BP)*(2.0-Fj))+((3.0*temp)*(-Fj_VSI_BP))))+((0.5*GdL_ac)*GdL_ac)*(+qim_ac_VSI_BP_VSI_BP-(+(+0.0*temp+0.0*temp_VSI_BP+0.0*temp_VSI_BP+3.0*temp_VSI_BP_VSI_BP)*(2.0-Fj)+(3.0*temp_VSI_BP)*(-Fj_VSI_BP)+((3.0*temp_VSI_BP))*(-Fj_VSI_BP)+(3.0*temp)*(+0.0-Fj_VSI_BP_VSI_BP))));
#endif
#endif
QD=(((0.5*GdL_ac)*GdL_ac)*(qim_ac-((3.0*temp)*(2.0-Fj))));
EXIT_IF_ISNAN((((0.5*GdL_ac)*GdL_ac)*(qim_ac-((3.0*temp)*(2.0-Fj)))))
#endif
}
else
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
QCLM_VDI_SI=(((-GdL_ac_VDI_SI)*(qim_ac-(0.5*(alpha_ac*dps_ac))))+((1.0-GdL_ac)*(qim_ac_VDI_SI-(0.5*((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))))));
#if defined(_DERIVATE2)
  QCLM_VDI_SI_VDI_SI=(+(+0.0-GdL_ac_VDI_SI_VDI_SI)*(qim_ac-(0.5*(alpha_ac*dps_ac)))+(-GdL_ac_VDI_SI)*(qim_ac_VDI_SI-((0.5*(((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))))))+(-GdL_ac_VDI_SI)*(qim_ac_VDI_SI-(0.5*((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))))+(1.0-GdL_ac)*(+qim_ac_VDI_SI_VDI_SI-(+0.0*(alpha_ac*dps_ac)+0.0*(((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI)))+0.0*((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))+0.5*(+alpha_ac_VDI_SI_VDI_SI*dps_ac+alpha_ac_VDI_SI*dps_ac_VDI_SI+alpha_ac_VDI_SI*dps_ac_VDI_SI+alpha_ac*dps_ac_VDI_SI_VDI_SI))));
  QCLM_VDI_SI_VGP_SI=(+(+0.0-GdL_ac_VDI_SI_VGP_SI)*(qim_ac-(0.5*(alpha_ac*dps_ac)))+(-GdL_ac_VDI_SI)*(qim_ac_VGP_SI-((0.5*(((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))))))+(-GdL_ac_VGP_SI)*(qim_ac_VDI_SI-(0.5*((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))))+(1.0-GdL_ac)*(+qim_ac_VDI_SI_VGP_SI-(+0.0*(alpha_ac*dps_ac)+0.0*(((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI)))+0.0*((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))+0.5*(+alpha_ac_VDI_SI_VGP_SI*dps_ac+alpha_ac_VDI_SI*dps_ac_VGP_SI+alpha_ac_VGP_SI*dps_ac_VDI_SI+alpha_ac*dps_ac_VDI_SI_VGP_SI))));
  QCLM_VDI_SI_VSI_BP=(+(+0.0-GdL_ac_VDI_SI_VSI_BP)*(qim_ac-(0.5*(alpha_ac*dps_ac)))+(-GdL_ac_VDI_SI)*(qim_ac_VSI_BP-((0.5*(((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))))))+(-GdL_ac_VSI_BP)*(qim_ac_VDI_SI-(0.5*((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))))+(1.0-GdL_ac)*(+qim_ac_VDI_SI_VSI_BP-(+0.0*(alpha_ac*dps_ac)+0.0*(((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP)))+0.0*((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))+0.5*(+alpha_ac_VDI_SI_VSI_BP*dps_ac+alpha_ac_VDI_SI*dps_ac_VSI_BP+alpha_ac_VSI_BP*dps_ac_VDI_SI+alpha_ac*dps_ac_VDI_SI_VSI_BP))));
#endif
QCLM_VGP_SI=(((-GdL_ac_VGP_SI)*(qim_ac-(0.5*(alpha_ac*dps_ac))))+((1.0-GdL_ac)*(qim_ac_VGP_SI-(0.5*((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))))));
#if defined(_DERIVATE2)
  QCLM_VGP_SI_VDI_SI=(+(+0.0-GdL_ac_VGP_SI_VDI_SI)*(qim_ac-(0.5*(alpha_ac*dps_ac)))+(-GdL_ac_VGP_SI)*(qim_ac_VDI_SI-((0.5*(((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))))))+(-GdL_ac_VDI_SI)*(qim_ac_VGP_SI-(0.5*((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))))+(1.0-GdL_ac)*(+qim_ac_VGP_SI_VDI_SI-(+0.0*(alpha_ac*dps_ac)+0.0*(((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI)))+0.0*((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))+0.5*(+alpha_ac_VGP_SI_VDI_SI*dps_ac+alpha_ac_VGP_SI*dps_ac_VDI_SI+alpha_ac_VDI_SI*dps_ac_VGP_SI+alpha_ac*dps_ac_VGP_SI_VDI_SI))));
  QCLM_VGP_SI_VGP_SI=(+(+0.0-GdL_ac_VGP_SI_VGP_SI)*(qim_ac-(0.5*(alpha_ac*dps_ac)))+(-GdL_ac_VGP_SI)*(qim_ac_VGP_SI-((0.5*(((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))))))+(-GdL_ac_VGP_SI)*(qim_ac_VGP_SI-(0.5*((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))))+(1.0-GdL_ac)*(+qim_ac_VGP_SI_VGP_SI-(+0.0*(alpha_ac*dps_ac)+0.0*(((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI)))+0.0*((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))+0.5*(+alpha_ac_VGP_SI_VGP_SI*dps_ac+alpha_ac_VGP_SI*dps_ac_VGP_SI+alpha_ac_VGP_SI*dps_ac_VGP_SI+alpha_ac*dps_ac_VGP_SI_VGP_SI))));
  QCLM_VGP_SI_VSI_BP=(+(+0.0-GdL_ac_VGP_SI_VSI_BP)*(qim_ac-(0.5*(alpha_ac*dps_ac)))+(-GdL_ac_VGP_SI)*(qim_ac_VSI_BP-((0.5*(((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))))))+(-GdL_ac_VSI_BP)*(qim_ac_VGP_SI-(0.5*((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))))+(1.0-GdL_ac)*(+qim_ac_VGP_SI_VSI_BP-(+0.0*(alpha_ac*dps_ac)+0.0*(((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP)))+0.0*((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))+0.5*(+alpha_ac_VGP_SI_VSI_BP*dps_ac+alpha_ac_VGP_SI*dps_ac_VSI_BP+alpha_ac_VSI_BP*dps_ac_VGP_SI+alpha_ac*dps_ac_VGP_SI_VSI_BP))));
#endif
QCLM_VSI_BP=(((-GdL_ac_VSI_BP)*(qim_ac-(0.5*(alpha_ac*dps_ac))))+((1.0-GdL_ac)*(qim_ac_VSI_BP-(0.5*((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))))));
#if defined(_DERIVATE2)
  QCLM_VSI_BP_VDI_SI=(+(+0.0-GdL_ac_VSI_BP_VDI_SI)*(qim_ac-(0.5*(alpha_ac*dps_ac)))+(-GdL_ac_VSI_BP)*(qim_ac_VDI_SI-((0.5*(((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI))))))+(-GdL_ac_VDI_SI)*(qim_ac_VSI_BP-(0.5*((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))))+(1.0-GdL_ac)*(+qim_ac_VSI_BP_VDI_SI-(+0.0*(alpha_ac*dps_ac)+0.0*(((alpha_ac_VDI_SI*dps_ac)+(alpha_ac*dps_ac_VDI_SI)))+0.0*((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))+0.5*(+alpha_ac_VSI_BP_VDI_SI*dps_ac+alpha_ac_VSI_BP*dps_ac_VDI_SI+alpha_ac_VDI_SI*dps_ac_VSI_BP+alpha_ac*dps_ac_VSI_BP_VDI_SI))));
  QCLM_VSI_BP_VGP_SI=(+(+0.0-GdL_ac_VSI_BP_VGP_SI)*(qim_ac-(0.5*(alpha_ac*dps_ac)))+(-GdL_ac_VSI_BP)*(qim_ac_VGP_SI-((0.5*(((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI))))))+(-GdL_ac_VGP_SI)*(qim_ac_VSI_BP-(0.5*((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))))+(1.0-GdL_ac)*(+qim_ac_VSI_BP_VGP_SI-(+0.0*(alpha_ac*dps_ac)+0.0*(((alpha_ac_VGP_SI*dps_ac)+(alpha_ac*dps_ac_VGP_SI)))+0.0*((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))+0.5*(+alpha_ac_VSI_BP_VGP_SI*dps_ac+alpha_ac_VSI_BP*dps_ac_VGP_SI+alpha_ac_VGP_SI*dps_ac_VSI_BP+alpha_ac*dps_ac_VSI_BP_VGP_SI))));
  QCLM_VSI_BP_VSI_BP=(+(+0.0-GdL_ac_VSI_BP_VSI_BP)*(qim_ac-(0.5*(alpha_ac*dps_ac)))+(-GdL_ac_VSI_BP)*(qim_ac_VSI_BP-((0.5*(((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))))))+(-GdL_ac_VSI_BP)*(qim_ac_VSI_BP-(0.5*((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))))+(1.0-GdL_ac)*(+qim_ac_VSI_BP_VSI_BP-(+0.0*(alpha_ac*dps_ac)+0.0*(((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP)))+0.0*((alpha_ac_VSI_BP*dps_ac)+(alpha_ac*dps_ac_VSI_BP))+0.5*(+alpha_ac_VSI_BP_VSI_BP*dps_ac+alpha_ac_VSI_BP*dps_ac_VSI_BP+alpha_ac_VSI_BP*dps_ac_VSI_BP+alpha_ac*dps_ac_VSI_BP_VSI_BP))));
#endif
#endif
QCLM=((1.0-GdL_ac)*(qim_ac-(0.5*(alpha_ac*dps_ac))));
EXIT_IF_ISNAN(((1.0-GdL_ac)*(qim_ac-(0.5*(alpha_ac*dps_ac)))))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
QD_VDI_SI=(0.5*(((((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VDI_SI-((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-(0.2*Fj2_VDI_SI)))))))+((QCLM_VDI_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VDI_SI))));
#if defined(_DERIVATE2)
  QD_VDI_SI_VDI_SI=(+0.0*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac)))+0.0*(((((((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI)))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VDI_SI-(((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-((0.2*Fj2_VDI_SI))))))))))+(((QCLM_VDI_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VDI_SI))))+0.0*(((((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VDI_SI-((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-(0.2*Fj2_VDI_SI)))))))+((QCLM_VDI_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VDI_SI)))+0.5*(+(+(+GdL_ac_VDI_SI_VDI_SI*GdL_ac+GdL_ac_VDI_SI*GdL_ac_VDI_SI+GdL_ac_VDI_SI*GdL_ac_VDI_SI+GdL_ac*GdL_ac_VDI_SI_VDI_SI)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2))))+((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI))*(qim_ac_VDI_SI-(((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-((0.2*Fj2_VDI_SI)))))))+(((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI)))*(qim_ac_VDI_SI-((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-(0.2*Fj2_VDI_SI)))))+(GdL_ac*GdL_ac)*(+qim_ac_VDI_SI_VDI_SI-(+temp_VDI_SI_VDI_SI*((1.0-Fj)-(0.2*Fj2))+temp_VDI_SI*((-Fj_VDI_SI)-((0.2*Fj2_VDI_SI)))+temp_VDI_SI*((-Fj_VDI_SI)-(0.2*Fj2_VDI_SI))+temp*(+(+0.0-Fj_VDI_SI_VDI_SI)-(+0.0*Fj2+0.0*Fj2_VDI_SI+0.0*Fj2_VDI_SI+0.2*Fj2_VDI_SI_VDI_SI)))))+(+QCLM_VDI_SI_VDI_SI*(1.0+GdL_ac)+QCLM_VDI_SI*GdL_ac_VDI_SI+QCLM_VDI_SI*GdL_ac_VDI_SI+QCLM*(+0.0+GdL_ac_VDI_SI_VDI_SI))));
  QD_VDI_SI_VGP_SI=(+0.0*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac)))+0.0*(((((((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI)))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VGP_SI-(((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-((0.2*Fj2_VGP_SI))))))))))+(((QCLM_VGP_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VGP_SI))))+0.0*(((((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VDI_SI-((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-(0.2*Fj2_VDI_SI)))))))+((QCLM_VDI_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VDI_SI)))+0.5*(+(+(+GdL_ac_VDI_SI_VGP_SI*GdL_ac+GdL_ac_VDI_SI*GdL_ac_VGP_SI+GdL_ac_VGP_SI*GdL_ac_VDI_SI+GdL_ac*GdL_ac_VDI_SI_VGP_SI)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2))))+((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI))*(qim_ac_VGP_SI-(((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-((0.2*Fj2_VGP_SI)))))))+(((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI)))*(qim_ac_VDI_SI-((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-(0.2*Fj2_VDI_SI)))))+(GdL_ac*GdL_ac)*(+qim_ac_VDI_SI_VGP_SI-(+temp_VDI_SI_VGP_SI*((1.0-Fj)-(0.2*Fj2))+temp_VDI_SI*((-Fj_VGP_SI)-((0.2*Fj2_VGP_SI)))+temp_VGP_SI*((-Fj_VDI_SI)-(0.2*Fj2_VDI_SI))+temp*(+(+0.0-Fj_VDI_SI_VGP_SI)-(+0.0*Fj2+0.0*Fj2_VGP_SI+0.0*Fj2_VDI_SI+0.2*Fj2_VDI_SI_VGP_SI)))))+(+QCLM_VDI_SI_VGP_SI*(1.0+GdL_ac)+QCLM_VDI_SI*GdL_ac_VGP_SI+QCLM_VGP_SI*GdL_ac_VDI_SI+QCLM*(+0.0+GdL_ac_VDI_SI_VGP_SI))));
  QD_VDI_SI_VSI_BP=(+0.0*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac)))+0.0*(((((((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP)))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VSI_BP-(((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-((0.2*Fj2_VSI_BP))))))))))+(((QCLM_VSI_BP*(1.0+GdL_ac))+(QCLM*GdL_ac_VSI_BP))))+0.0*(((((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VDI_SI-((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-(0.2*Fj2_VDI_SI)))))))+((QCLM_VDI_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VDI_SI)))+0.5*(+(+(+GdL_ac_VDI_SI_VSI_BP*GdL_ac+GdL_ac_VDI_SI*GdL_ac_VSI_BP+GdL_ac_VSI_BP*GdL_ac_VDI_SI+GdL_ac*GdL_ac_VDI_SI_VSI_BP)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2))))+((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI))*(qim_ac_VSI_BP-(((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-((0.2*Fj2_VSI_BP)))))))+(((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP)))*(qim_ac_VDI_SI-((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-(0.2*Fj2_VDI_SI)))))+(GdL_ac*GdL_ac)*(+qim_ac_VDI_SI_VSI_BP-(+temp_VDI_SI_VSI_BP*((1.0-Fj)-(0.2*Fj2))+temp_VDI_SI*((-Fj_VSI_BP)-((0.2*Fj2_VSI_BP)))+temp_VSI_BP*((-Fj_VDI_SI)-(0.2*Fj2_VDI_SI))+temp*(+(+0.0-Fj_VDI_SI_VSI_BP)-(+0.0*Fj2+0.0*Fj2_VSI_BP+0.0*Fj2_VDI_SI+0.2*Fj2_VDI_SI_VSI_BP)))))+(+QCLM_VDI_SI_VSI_BP*(1.0+GdL_ac)+QCLM_VDI_SI*GdL_ac_VSI_BP+QCLM_VSI_BP*GdL_ac_VDI_SI+QCLM*(+0.0+GdL_ac_VDI_SI_VSI_BP))));
#endif
QD_VGP_SI=(0.5*(((((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VGP_SI-((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-(0.2*Fj2_VGP_SI)))))))+((QCLM_VGP_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VGP_SI))));
#if defined(_DERIVATE2)
  QD_VGP_SI_VDI_SI=(+0.0*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac)))+0.0*(((((((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI)))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VDI_SI-(((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-((0.2*Fj2_VDI_SI))))))))))+(((QCLM_VDI_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VDI_SI))))+0.0*(((((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VGP_SI-((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-(0.2*Fj2_VGP_SI)))))))+((QCLM_VGP_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VGP_SI)))+0.5*(+(+(+GdL_ac_VGP_SI_VDI_SI*GdL_ac+GdL_ac_VGP_SI*GdL_ac_VDI_SI+GdL_ac_VDI_SI*GdL_ac_VGP_SI+GdL_ac*GdL_ac_VGP_SI_VDI_SI)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2))))+((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI))*(qim_ac_VDI_SI-(((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-((0.2*Fj2_VDI_SI)))))))+(((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI)))*(qim_ac_VGP_SI-((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-(0.2*Fj2_VGP_SI)))))+(GdL_ac*GdL_ac)*(+qim_ac_VGP_SI_VDI_SI-(+temp_VGP_SI_VDI_SI*((1.0-Fj)-(0.2*Fj2))+temp_VGP_SI*((-Fj_VDI_SI)-((0.2*Fj2_VDI_SI)))+temp_VDI_SI*((-Fj_VGP_SI)-(0.2*Fj2_VGP_SI))+temp*(+(+0.0-Fj_VGP_SI_VDI_SI)-(+0.0*Fj2+0.0*Fj2_VDI_SI+0.0*Fj2_VGP_SI+0.2*Fj2_VGP_SI_VDI_SI)))))+(+QCLM_VGP_SI_VDI_SI*(1.0+GdL_ac)+QCLM_VGP_SI*GdL_ac_VDI_SI+QCLM_VDI_SI*GdL_ac_VGP_SI+QCLM*(+0.0+GdL_ac_VGP_SI_VDI_SI))));
  QD_VGP_SI_VGP_SI=(+0.0*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac)))+0.0*(((((((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI)))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VGP_SI-(((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-((0.2*Fj2_VGP_SI))))))))))+(((QCLM_VGP_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VGP_SI))))+0.0*(((((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VGP_SI-((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-(0.2*Fj2_VGP_SI)))))))+((QCLM_VGP_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VGP_SI)))+0.5*(+(+(+GdL_ac_VGP_SI_VGP_SI*GdL_ac+GdL_ac_VGP_SI*GdL_ac_VGP_SI+GdL_ac_VGP_SI*GdL_ac_VGP_SI+GdL_ac*GdL_ac_VGP_SI_VGP_SI)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2))))+((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI))*(qim_ac_VGP_SI-(((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-((0.2*Fj2_VGP_SI)))))))+(((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI)))*(qim_ac_VGP_SI-((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-(0.2*Fj2_VGP_SI)))))+(GdL_ac*GdL_ac)*(+qim_ac_VGP_SI_VGP_SI-(+temp_VGP_SI_VGP_SI*((1.0-Fj)-(0.2*Fj2))+temp_VGP_SI*((-Fj_VGP_SI)-((0.2*Fj2_VGP_SI)))+temp_VGP_SI*((-Fj_VGP_SI)-(0.2*Fj2_VGP_SI))+temp*(+(+0.0-Fj_VGP_SI_VGP_SI)-(+0.0*Fj2+0.0*Fj2_VGP_SI+0.0*Fj2_VGP_SI+0.2*Fj2_VGP_SI_VGP_SI)))))+(+QCLM_VGP_SI_VGP_SI*(1.0+GdL_ac)+QCLM_VGP_SI*GdL_ac_VGP_SI+QCLM_VGP_SI*GdL_ac_VGP_SI+QCLM*(+0.0+GdL_ac_VGP_SI_VGP_SI))));
  QD_VGP_SI_VSI_BP=(+0.0*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac)))+0.0*(((((((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP)))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VSI_BP-(((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-((0.2*Fj2_VSI_BP))))))))))+(((QCLM_VSI_BP*(1.0+GdL_ac))+(QCLM*GdL_ac_VSI_BP))))+0.0*(((((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VGP_SI-((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-(0.2*Fj2_VGP_SI)))))))+((QCLM_VGP_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VGP_SI)))+0.5*(+(+(+GdL_ac_VGP_SI_VSI_BP*GdL_ac+GdL_ac_VGP_SI*GdL_ac_VSI_BP+GdL_ac_VSI_BP*GdL_ac_VGP_SI+GdL_ac*GdL_ac_VGP_SI_VSI_BP)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2))))+((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI))*(qim_ac_VSI_BP-(((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-((0.2*Fj2_VSI_BP)))))))+(((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP)))*(qim_ac_VGP_SI-((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-(0.2*Fj2_VGP_SI)))))+(GdL_ac*GdL_ac)*(+qim_ac_VGP_SI_VSI_BP-(+temp_VGP_SI_VSI_BP*((1.0-Fj)-(0.2*Fj2))+temp_VGP_SI*((-Fj_VSI_BP)-((0.2*Fj2_VSI_BP)))+temp_VSI_BP*((-Fj_VGP_SI)-(0.2*Fj2_VGP_SI))+temp*(+(+0.0-Fj_VGP_SI_VSI_BP)-(+0.0*Fj2+0.0*Fj2_VSI_BP+0.0*Fj2_VGP_SI+0.2*Fj2_VGP_SI_VSI_BP)))))+(+QCLM_VGP_SI_VSI_BP*(1.0+GdL_ac)+QCLM_VGP_SI*GdL_ac_VSI_BP+QCLM_VSI_BP*GdL_ac_VGP_SI+QCLM*(+0.0+GdL_ac_VGP_SI_VSI_BP))));
#endif
QD_VSI_BP=(0.5*(((((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VSI_BP-((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-(0.2*Fj2_VSI_BP)))))))+((QCLM_VSI_BP*(1.0+GdL_ac))+(QCLM*GdL_ac_VSI_BP))));
#if defined(_DERIVATE2)
  QD_VSI_BP_VDI_SI=(+0.0*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac)))+0.0*(((((((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI)))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VDI_SI-(((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-((0.2*Fj2_VDI_SI))))))))))+(((QCLM_VDI_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VDI_SI))))+0.0*(((((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VSI_BP-((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-(0.2*Fj2_VSI_BP)))))))+((QCLM_VSI_BP*(1.0+GdL_ac))+(QCLM*GdL_ac_VSI_BP)))+0.5*(+(+(+GdL_ac_VSI_BP_VDI_SI*GdL_ac+GdL_ac_VSI_BP*GdL_ac_VDI_SI+GdL_ac_VDI_SI*GdL_ac_VSI_BP+GdL_ac*GdL_ac_VSI_BP_VDI_SI)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2))))+((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP))*(qim_ac_VDI_SI-(((temp_VDI_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VDI_SI)-((0.2*Fj2_VDI_SI)))))))+(((GdL_ac_VDI_SI*GdL_ac)+(GdL_ac*GdL_ac_VDI_SI)))*(qim_ac_VSI_BP-((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-(0.2*Fj2_VSI_BP)))))+(GdL_ac*GdL_ac)*(+qim_ac_VSI_BP_VDI_SI-(+temp_VSI_BP_VDI_SI*((1.0-Fj)-(0.2*Fj2))+temp_VSI_BP*((-Fj_VDI_SI)-((0.2*Fj2_VDI_SI)))+temp_VDI_SI*((-Fj_VSI_BP)-(0.2*Fj2_VSI_BP))+temp*(+(+0.0-Fj_VSI_BP_VDI_SI)-(+0.0*Fj2+0.0*Fj2_VDI_SI+0.0*Fj2_VSI_BP+0.2*Fj2_VSI_BP_VDI_SI)))))+(+QCLM_VSI_BP_VDI_SI*(1.0+GdL_ac)+QCLM_VSI_BP*GdL_ac_VDI_SI+QCLM_VDI_SI*GdL_ac_VSI_BP+QCLM*(+0.0+GdL_ac_VSI_BP_VDI_SI))));
  QD_VSI_BP_VGP_SI=(+0.0*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac)))+0.0*(((((((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI)))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VGP_SI-(((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-((0.2*Fj2_VGP_SI))))))))))+(((QCLM_VGP_SI*(1.0+GdL_ac))+(QCLM*GdL_ac_VGP_SI))))+0.0*(((((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VSI_BP-((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-(0.2*Fj2_VSI_BP)))))))+((QCLM_VSI_BP*(1.0+GdL_ac))+(QCLM*GdL_ac_VSI_BP)))+0.5*(+(+(+GdL_ac_VSI_BP_VGP_SI*GdL_ac+GdL_ac_VSI_BP*GdL_ac_VGP_SI+GdL_ac_VGP_SI*GdL_ac_VSI_BP+GdL_ac*GdL_ac_VSI_BP_VGP_SI)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2))))+((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP))*(qim_ac_VGP_SI-(((temp_VGP_SI*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VGP_SI)-((0.2*Fj2_VGP_SI)))))))+(((GdL_ac_VGP_SI*GdL_ac)+(GdL_ac*GdL_ac_VGP_SI)))*(qim_ac_VSI_BP-((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-(0.2*Fj2_VSI_BP)))))+(GdL_ac*GdL_ac)*(+qim_ac_VSI_BP_VGP_SI-(+temp_VSI_BP_VGP_SI*((1.0-Fj)-(0.2*Fj2))+temp_VSI_BP*((-Fj_VGP_SI)-((0.2*Fj2_VGP_SI)))+temp_VGP_SI*((-Fj_VSI_BP)-(0.2*Fj2_VSI_BP))+temp*(+(+0.0-Fj_VSI_BP_VGP_SI)-(+0.0*Fj2+0.0*Fj2_VGP_SI+0.0*Fj2_VSI_BP+0.2*Fj2_VSI_BP_VGP_SI)))))+(+QCLM_VSI_BP_VGP_SI*(1.0+GdL_ac)+QCLM_VSI_BP*GdL_ac_VGP_SI+QCLM_VGP_SI*GdL_ac_VSI_BP+QCLM*(+0.0+GdL_ac_VSI_BP_VGP_SI))));
  QD_VSI_BP_VSI_BP=(+0.0*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac)))+0.0*(((((((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP)))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VSI_BP-(((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-((0.2*Fj2_VSI_BP))))))))))+(((QCLM_VSI_BP*(1.0+GdL_ac))+(QCLM*GdL_ac_VSI_BP))))+0.0*(((((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP))*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+((GdL_ac*GdL_ac)*(qim_ac_VSI_BP-((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-(0.2*Fj2_VSI_BP)))))))+((QCLM_VSI_BP*(1.0+GdL_ac))+(QCLM*GdL_ac_VSI_BP)))+0.5*(+(+(+GdL_ac_VSI_BP_VSI_BP*GdL_ac+GdL_ac_VSI_BP*GdL_ac_VSI_BP+GdL_ac_VSI_BP*GdL_ac_VSI_BP+GdL_ac*GdL_ac_VSI_BP_VSI_BP)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2))))+((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP))*(qim_ac_VSI_BP-(((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-((0.2*Fj2_VSI_BP)))))))+(((GdL_ac_VSI_BP*GdL_ac)+(GdL_ac*GdL_ac_VSI_BP)))*(qim_ac_VSI_BP-((temp_VSI_BP*((1.0-Fj)-(0.2*Fj2)))+(temp*((-Fj_VSI_BP)-(0.2*Fj2_VSI_BP)))))+(GdL_ac*GdL_ac)*(+qim_ac_VSI_BP_VSI_BP-(+temp_VSI_BP_VSI_BP*((1.0-Fj)-(0.2*Fj2))+temp_VSI_BP*((-Fj_VSI_BP)-((0.2*Fj2_VSI_BP)))+temp_VSI_BP*((-Fj_VSI_BP)-(0.2*Fj2_VSI_BP))+temp*(+(+0.0-Fj_VSI_BP_VSI_BP)-(+0.0*Fj2+0.0*Fj2_VSI_BP+0.0*Fj2_VSI_BP+0.2*Fj2_VSI_BP_VSI_BP)))))+(+QCLM_VSI_BP_VSI_BP*(1.0+GdL_ac)+QCLM_VSI_BP*GdL_ac_VSI_BP+QCLM_VSI_BP*GdL_ac_VSI_BP+QCLM*(+0.0+GdL_ac_VSI_BP_VSI_BP))));
#endif
#endif
QD=(0.5*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac))));
EXIT_IF_ISNAN((0.5*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac)))))
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
QI_VDI_SI=(((GdL_ac_VDI_SI*(qim_ac+(temp*Fj)))+(GdL_ac*(qim_ac_VDI_SI+((temp_VDI_SI*Fj)+(temp*Fj_VDI_SI)))))+QCLM_VDI_SI);
#if defined(_DERIVATE2)
  QI_VDI_SI_VDI_SI=(+(+GdL_ac_VDI_SI_VDI_SI*(qim_ac+(temp*Fj))+GdL_ac_VDI_SI*(qim_ac_VDI_SI+(((temp_VDI_SI*Fj)+(temp*Fj_VDI_SI))))+GdL_ac_VDI_SI*(qim_ac_VDI_SI+((temp_VDI_SI*Fj)+(temp*Fj_VDI_SI)))+GdL_ac*(+qim_ac_VDI_SI_VDI_SI+(+temp_VDI_SI_VDI_SI*Fj+temp_VDI_SI*Fj_VDI_SI+temp_VDI_SI*Fj_VDI_SI+temp*Fj_VDI_SI_VDI_SI)))+QCLM_VDI_SI_VDI_SI);
  QI_VDI_SI_VGP_SI=(+(+GdL_ac_VDI_SI_VGP_SI*(qim_ac+(temp*Fj))+GdL_ac_VDI_SI*(qim_ac_VGP_SI+(((temp_VGP_SI*Fj)+(temp*Fj_VGP_SI))))+GdL_ac_VGP_SI*(qim_ac_VDI_SI+((temp_VDI_SI*Fj)+(temp*Fj_VDI_SI)))+GdL_ac*(+qim_ac_VDI_SI_VGP_SI+(+temp_VDI_SI_VGP_SI*Fj+temp_VDI_SI*Fj_VGP_SI+temp_VGP_SI*Fj_VDI_SI+temp*Fj_VDI_SI_VGP_SI)))+QCLM_VDI_SI_VGP_SI);
  QI_VDI_SI_VSI_BP=(+(+GdL_ac_VDI_SI_VSI_BP*(qim_ac+(temp*Fj))+GdL_ac_VDI_SI*(qim_ac_VSI_BP+(((temp_VSI_BP*Fj)+(temp*Fj_VSI_BP))))+GdL_ac_VSI_BP*(qim_ac_VDI_SI+((temp_VDI_SI*Fj)+(temp*Fj_VDI_SI)))+GdL_ac*(+qim_ac_VDI_SI_VSI_BP+(+temp_VDI_SI_VSI_BP*Fj+temp_VDI_SI*Fj_VSI_BP+temp_VSI_BP*Fj_VDI_SI+temp*Fj_VDI_SI_VSI_BP)))+QCLM_VDI_SI_VSI_BP);
#endif
QI_VGP_SI=(((GdL_ac_VGP_SI*(qim_ac+(temp*Fj)))+(GdL_ac*(qim_ac_VGP_SI+((temp_VGP_SI*Fj)+(temp*Fj_VGP_SI)))))+QCLM_VGP_SI);
#if defined(_DERIVATE2)
  QI_VGP_SI_VDI_SI=(+(+GdL_ac_VGP_SI_VDI_SI*(qim_ac+(temp*Fj))+GdL_ac_VGP_SI*(qim_ac_VDI_SI+(((temp_VDI_SI*Fj)+(temp*Fj_VDI_SI))))+GdL_ac_VDI_SI*(qim_ac_VGP_SI+((temp_VGP_SI*Fj)+(temp*Fj_VGP_SI)))+GdL_ac*(+qim_ac_VGP_SI_VDI_SI+(+temp_VGP_SI_VDI_SI*Fj+temp_VGP_SI*Fj_VDI_SI+temp_VDI_SI*Fj_VGP_SI+temp*Fj_VGP_SI_VDI_SI)))+QCLM_VGP_SI_VDI_SI);
  QI_VGP_SI_VGP_SI=(+(+GdL_ac_VGP_SI_VGP_SI*(qim_ac+(temp*Fj))+GdL_ac_VGP_SI*(qim_ac_VGP_SI+(((temp_VGP_SI*Fj)+(temp*Fj_VGP_SI))))+GdL_ac_VGP_SI*(qim_ac_VGP_SI+((temp_VGP_SI*Fj)+(temp*Fj_VGP_SI)))+GdL_ac*(+qim_ac_VGP_SI_VGP_SI+(+temp_VGP_SI_VGP_SI*Fj+temp_VGP_SI*Fj_VGP_SI+temp_VGP_SI*Fj_VGP_SI+temp*Fj_VGP_SI_VGP_SI)))+QCLM_VGP_SI_VGP_SI);
  QI_VGP_SI_VSI_BP=(+(+GdL_ac_VGP_SI_VSI_BP*(qim_ac+(temp*Fj))+GdL_ac_VGP_SI*(qim_ac_VSI_BP+(((temp_VSI_BP*Fj)+(temp*Fj_VSI_BP))))+GdL_ac_VSI_BP*(qim_ac_VGP_SI+((temp_VGP_SI*Fj)+(temp*Fj_VGP_SI)))+GdL_ac*(+qim_ac_VGP_SI_VSI_BP+(+temp_VGP_SI_VSI_BP*Fj+temp_VGP_SI*Fj_VSI_BP+temp_VSI_BP*Fj_VGP_SI+temp*Fj_VGP_SI_VSI_BP)))+QCLM_VGP_SI_VSI_BP);
#endif
QI_VSI_BP=(((GdL_ac_VSI_BP*(qim_ac+(temp*Fj)))+(GdL_ac*(qim_ac_VSI_BP+((temp_VSI_BP*Fj)+(temp*Fj_VSI_BP)))))+QCLM_VSI_BP);
#if defined(_DERIVATE2)
  QI_VSI_BP_VDI_SI=(+(+GdL_ac_VSI_BP_VDI_SI*(qim_ac+(temp*Fj))+GdL_ac_VSI_BP*(qim_ac_VDI_SI+(((temp_VDI_SI*Fj)+(temp*Fj_VDI_SI))))+GdL_ac_VDI_SI*(qim_ac_VSI_BP+((temp_VSI_BP*Fj)+(temp*Fj_VSI_BP)))+GdL_ac*(+qim_ac_VSI_BP_VDI_SI+(+temp_VSI_BP_VDI_SI*Fj+temp_VSI_BP*Fj_VDI_SI+temp_VDI_SI*Fj_VSI_BP+temp*Fj_VSI_BP_VDI_SI)))+QCLM_VSI_BP_VDI_SI);
  QI_VSI_BP_VGP_SI=(+(+GdL_ac_VSI_BP_VGP_SI*(qim_ac+(temp*Fj))+GdL_ac_VSI_BP*(qim_ac_VGP_SI+(((temp_VGP_SI*Fj)+(temp*Fj_VGP_SI))))+GdL_ac_VGP_SI*(qim_ac_VSI_BP+((temp_VSI_BP*Fj)+(temp*Fj_VSI_BP)))+GdL_ac*(+qim_ac_VSI_BP_VGP_SI+(+temp_VSI_BP_VGP_SI*Fj+temp_VSI_BP*Fj_VGP_SI+temp_VGP_SI*Fj_VSI_BP+temp*Fj_VSI_BP_VGP_SI)))+QCLM_VSI_BP_VGP_SI);
  QI_VSI_BP_VSI_BP=(+(+GdL_ac_VSI_BP_VSI_BP*(qim_ac+(temp*Fj))+GdL_ac_VSI_BP*(qim_ac_VSI_BP+(((temp_VSI_BP*Fj)+(temp*Fj_VSI_BP))))+GdL_ac_VSI_BP*(qim_ac_VSI_BP+((temp_VSI_BP*Fj)+(temp*Fj_VSI_BP)))+GdL_ac*(+qim_ac_VSI_BP_VSI_BP+(+temp_VSI_BP_VSI_BP*Fj+temp_VSI_BP*Fj_VSI_BP+temp_VSI_BP*Fj_VSI_BP+temp*Fj_VSI_BP_VSI_BP)))+QCLM_VSI_BP_VSI_BP);
#endif
#endif
QI=((GdL_ac*(qim_ac+(temp*Fj)))+QCLM);
EXIT_IF_ISNAN(((GdL_ac*(qim_ac+(temp*Fj)))+QCLM))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(DI,GND)V(GP,GND)V(BP,GND) */
QB_VDI_SI=(QG_VDI_SI-QI_VDI_SI);
#if defined(_DERIVATE2)
  QB_VDI_SI_VDI_SI=(+QG_VDI_SI_VDI_SI-QI_VDI_SI_VDI_SI);
  QB_VDI_SI_VGP_SI=(+QG_VDI_SI_VGP_SI-QI_VDI_SI_VGP_SI);
  QB_VDI_SI_VSI_BP=(+QG_VDI_SI_VSI_BP-QI_VDI_SI_VSI_BP);
#endif
QB_VGP_SI=(QG_VGP_SI-QI_VGP_SI);
#if defined(_DERIVATE2)
  QB_VGP_SI_VDI_SI=(+QG_VGP_SI_VDI_SI-QI_VGP_SI_VDI_SI);
  QB_VGP_SI_VGP_SI=(+QG_VGP_SI_VGP_SI-QI_VGP_SI_VGP_SI);
  QB_VGP_SI_VSI_BP=(+QG_VGP_SI_VSI_BP-QI_VGP_SI_VSI_BP);
#endif
QB_VSI_BP=(QG_VSI_BP-QI_VSI_BP);
#if defined(_DERIVATE2)
  QB_VSI_BP_VDI_SI=(+QG_VSI_BP_VDI_SI-QI_VSI_BP_VDI_SI);
  QB_VSI_BP_VGP_SI=(+QG_VSI_BP_VGP_SI-QI_VSI_BP_VGP_SI);
  QB_VSI_BP_VSI_BP=(+QG_VSI_BP_VSI_BP-QI_VSI_BP_VSI_BP);
#endif
#endif
QB=(QG-QI);
EXIT_IF_ISNAN((QG-QI))
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
Qg_VDI_SI=((QG_VDI_SI*pInst->COX_qm)+(QG*COX_qm_VDI_SI));
#if defined(_DERIVATE2)
  Qg_VDI_SI_VDI_SI=(+QG_VDI_SI_VDI_SI*pInst->COX_qm+QG_VDI_SI*COX_qm_VDI_SI+QG_VDI_SI*COX_qm_VDI_SI+QG*COX_qm_VDI_SI_VDI_SI);
  Qg_VDI_SI_VGP_SI=(+QG_VDI_SI_VGP_SI*pInst->COX_qm+QG_VDI_SI*COX_qm_VGP_SI+QG_VGP_SI*COX_qm_VDI_SI+QG*COX_qm_VDI_SI_VGP_SI);
  Qg_VDI_SI_VSI_BP=(+QG_VDI_SI_VSI_BP*pInst->COX_qm+QG_VDI_SI*COX_qm_VSI_BP+QG_VSI_BP*COX_qm_VDI_SI+QG*COX_qm_VDI_SI_VSI_BP);
#endif
Qg_VGP_SI=((QG_VGP_SI*pInst->COX_qm)+(QG*COX_qm_VGP_SI));
#if defined(_DERIVATE2)
  Qg_VGP_SI_VDI_SI=(+QG_VGP_SI_VDI_SI*pInst->COX_qm+QG_VGP_SI*COX_qm_VDI_SI+QG_VDI_SI*COX_qm_VGP_SI+QG*COX_qm_VGP_SI_VDI_SI);
  Qg_VGP_SI_VGP_SI=(+QG_VGP_SI_VGP_SI*pInst->COX_qm+QG_VGP_SI*COX_qm_VGP_SI+QG_VGP_SI*COX_qm_VGP_SI+QG*COX_qm_VGP_SI_VGP_SI);
  Qg_VGP_SI_VSI_BP=(+QG_VGP_SI_VSI_BP*pInst->COX_qm+QG_VGP_SI*COX_qm_VSI_BP+QG_VSI_BP*COX_qm_VGP_SI+QG*COX_qm_VGP_SI_VSI_BP);
#endif
Qg_VSI_BP=((QG_VSI_BP*pInst->COX_qm)+(QG*COX_qm_VSI_BP));
#if defined(_DERIVATE2)
  Qg_VSI_BP_VDI_SI=(+QG_VSI_BP_VDI_SI*pInst->COX_qm+QG_VSI_BP*COX_qm_VDI_SI+QG_VDI_SI*COX_qm_VSI_BP+QG*COX_qm_VSI_BP_VDI_SI);
  Qg_VSI_BP_VGP_SI=(+QG_VSI_BP_VGP_SI*pInst->COX_qm+QG_VSI_BP*COX_qm_VGP_SI+QG_VGP_SI*COX_qm_VSI_BP+QG*COX_qm_VSI_BP_VGP_SI);
  Qg_VSI_BP_VSI_BP=(+QG_VSI_BP_VSI_BP*pInst->COX_qm+QG_VSI_BP*COX_qm_VSI_BP+QG_VSI_BP*COX_qm_VSI_BP+QG*COX_qm_VSI_BP_VSI_BP);
#endif
#endif
Qg=(QG*pInst->COX_qm);
EXIT_IF_ISNAN((QG*pInst->COX_qm))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
Qd_VDI_SI=(((-QD_VDI_SI)*pInst->COX_qm)+((-QD)*COX_qm_VDI_SI));
#if defined(_DERIVATE2)
  Qd_VDI_SI_VDI_SI=(+0.0*pInst->COX_qm+(-QD_VDI_SI)*COX_qm_VDI_SI+(-QD_VDI_SI)*COX_qm_VDI_SI+(-QD)*COX_qm_VDI_SI_VDI_SI);
  Qd_VDI_SI_VGP_SI=(+0.0*pInst->COX_qm+(-QD_VDI_SI)*COX_qm_VGP_SI+(-QD_VGP_SI)*COX_qm_VDI_SI+(-QD)*COX_qm_VDI_SI_VGP_SI);
  Qd_VDI_SI_VSI_BP=(+0.0*pInst->COX_qm+(-QD_VDI_SI)*COX_qm_VSI_BP+(-QD_VSI_BP)*COX_qm_VDI_SI+(-QD)*COX_qm_VDI_SI_VSI_BP);
#endif
Qd_VGP_SI=(((-QD_VGP_SI)*pInst->COX_qm)+((-QD)*COX_qm_VGP_SI));
#if defined(_DERIVATE2)
  Qd_VGP_SI_VDI_SI=(+0.0*pInst->COX_qm+(-QD_VGP_SI)*COX_qm_VDI_SI+(-QD_VDI_SI)*COX_qm_VGP_SI+(-QD)*COX_qm_VGP_SI_VDI_SI);
  Qd_VGP_SI_VGP_SI=(+0.0*pInst->COX_qm+(-QD_VGP_SI)*COX_qm_VGP_SI+(-QD_VGP_SI)*COX_qm_VGP_SI+(-QD)*COX_qm_VGP_SI_VGP_SI);
  Qd_VGP_SI_VSI_BP=(+0.0*pInst->COX_qm+(-QD_VGP_SI)*COX_qm_VSI_BP+(-QD_VSI_BP)*COX_qm_VGP_SI+(-QD)*COX_qm_VGP_SI_VSI_BP);
#endif
Qd_VSI_BP=(((-QD_VSI_BP)*pInst->COX_qm)+((-QD)*COX_qm_VSI_BP));
#if defined(_DERIVATE2)
  Qd_VSI_BP_VDI_SI=(+0.0*pInst->COX_qm+(-QD_VSI_BP)*COX_qm_VDI_SI+(-QD_VDI_SI)*COX_qm_VSI_BP+(-QD)*COX_qm_VSI_BP_VDI_SI);
  Qd_VSI_BP_VGP_SI=(+0.0*pInst->COX_qm+(-QD_VSI_BP)*COX_qm_VGP_SI+(-QD_VGP_SI)*COX_qm_VSI_BP+(-QD)*COX_qm_VSI_BP_VGP_SI);
  Qd_VSI_BP_VSI_BP=(+0.0*pInst->COX_qm+(-QD_VSI_BP)*COX_qm_VSI_BP+(-QD_VSI_BP)*COX_qm_VSI_BP+(-QD)*COX_qm_VSI_BP_VSI_BP);
#endif
#endif
Qd=((-QD)*pInst->COX_qm);
EXIT_IF_ISNAN(((-QD)*pInst->COX_qm))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
Qb_VDI_SI=(((-QB_VDI_SI)*pInst->COX_qm)+((-QB)*COX_qm_VDI_SI));
#if defined(_DERIVATE2)
  Qb_VDI_SI_VDI_SI=(+0.0*pInst->COX_qm+(-QB_VDI_SI)*COX_qm_VDI_SI+(-QB_VDI_SI)*COX_qm_VDI_SI+(-QB)*COX_qm_VDI_SI_VDI_SI);
  Qb_VDI_SI_VGP_SI=(+0.0*pInst->COX_qm+(-QB_VDI_SI)*COX_qm_VGP_SI+(-QB_VGP_SI)*COX_qm_VDI_SI+(-QB)*COX_qm_VDI_SI_VGP_SI);
  Qb_VDI_SI_VSI_BP=(+0.0*pInst->COX_qm+(-QB_VDI_SI)*COX_qm_VSI_BP+(-QB_VSI_BP)*COX_qm_VDI_SI+(-QB)*COX_qm_VDI_SI_VSI_BP);
#endif
Qb_VGP_SI=(((-QB_VGP_SI)*pInst->COX_qm)+((-QB)*COX_qm_VGP_SI));
#if defined(_DERIVATE2)
  Qb_VGP_SI_VDI_SI=(+0.0*pInst->COX_qm+(-QB_VGP_SI)*COX_qm_VDI_SI+(-QB_VDI_SI)*COX_qm_VGP_SI+(-QB)*COX_qm_VGP_SI_VDI_SI);
  Qb_VGP_SI_VGP_SI=(+0.0*pInst->COX_qm+(-QB_VGP_SI)*COX_qm_VGP_SI+(-QB_VGP_SI)*COX_qm_VGP_SI+(-QB)*COX_qm_VGP_SI_VGP_SI);
  Qb_VGP_SI_VSI_BP=(+0.0*pInst->COX_qm+(-QB_VGP_SI)*COX_qm_VSI_BP+(-QB_VSI_BP)*COX_qm_VGP_SI+(-QB)*COX_qm_VGP_SI_VSI_BP);
#endif
Qb_VSI_BP=(((-QB_VSI_BP)*pInst->COX_qm)+((-QB)*COX_qm_VSI_BP));
#if defined(_DERIVATE2)
  Qb_VSI_BP_VDI_SI=(+0.0*pInst->COX_qm+(-QB_VSI_BP)*COX_qm_VDI_SI+(-QB_VDI_SI)*COX_qm_VSI_BP+(-QB)*COX_qm_VSI_BP_VDI_SI);
  Qb_VSI_BP_VGP_SI=(+0.0*pInst->COX_qm+(-QB_VSI_BP)*COX_qm_VGP_SI+(-QB_VGP_SI)*COX_qm_VSI_BP+(-QB)*COX_qm_VSI_BP_VGP_SI);
  Qb_VSI_BP_VSI_BP=(+0.0*pInst->COX_qm+(-QB_VSI_BP)*COX_qm_VSI_BP+(-QB_VSI_BP)*COX_qm_VSI_BP+(-QB)*COX_qm_VSI_BP_VSI_BP);
#endif
#endif
Qb=((-QB)*pInst->COX_qm);
EXIT_IF_ISNAN(((-QB)*pInst->COX_qm))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI) ddxprobe=V(GP,GND) */
Qgs_ov_VGP_SI=(pInst->CGOV_i*Vovs_VGP_SI);
#if defined(_DERIVATE2)
  Qgs_ov_VGP_SI_VGP_SI=(+0.0*Vovs+0.0*Vovs_VGP_SI+0.0*Vovs_VGP_SI+pInst->CGOV_i*Vovs_VGP_SI_VGP_SI);
#endif
#endif
Qgs_ov=(pInst->CGOV_i*Vovs);
EXIT_IF_ISNAN((pInst->CGOV_i*Vovs))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI) ddxprobe=V(GP,GND) */
Qgd_ov_VGP_SI=(pInst->CGOVD_i*Vovd_VGP_SI);
#if defined(_DERIVATE2)
  Qgd_ov_VGP_SI_VGP_SI=(+0.0*Vovd+0.0*Vovd_VGP_SI+0.0*Vovd_VGP_SI+pInst->CGOVD_i*Vovd_VGP_SI_VGP_SI);
  Qgd_ov_VGP_SI_VDI_SI=(+0.0*Vovd+0.0*Vovd_VDI_SI+0.0*Vovd_VGP_SI+pInst->CGOVD_i*Vovd_VGP_SI_VDI_SI);
#endif
#if defined(_DERIVATE)
Qgd_ov_VDI_SI=(pInst->CGOVD_i*Vovd_VDI_SI);
#endif
#endif
Qgd_ov=(pInst->CGOVD_i*Vovd);
EXIT_IF_ISNAN((pInst->CGOVD_i*Vovd))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(GP,SI)V(SI,BP) ddxprobe= */
Qgb_ov_VGP_SI=(pInst->CGBOV_i*Vgb_VGP_SI);
Qgb_ov_VSI_BP=(pInst->CGBOV_i*Vgb_VSI_BP);
#endif
Qgb_ov=(pInst->CGBOV_i*Vgb);
EXIT_IF_ISNAN((pInst->CGBOV_i*Vgb))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI) ddxprobe=V(GP,GND) */
Qfgs_VGP_SI=(pInst->CFR_i*VgsPrime_VGP_SI);
#if defined(_DERIVATE2)
  Qfgs_VGP_SI_VGP_SI=(+0.0*VgsPrime+0.0*VgsPrime_VGP_SI+0.0*VgsPrime_VGP_SI+pInst->CFR_i*VgsPrime_VGP_SI_VGP_SI);
#endif
#endif
Qfgs=(pInst->CFR_i*VgsPrime);
EXIT_IF_ISNAN((pInst->CFR_i*VgsPrime))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI) ddxprobe=V(GP,GND) */
Qfgd_VGP_SI=(pInst->CFRD_i*VgdPrime_VGP_SI);
#if defined(_DERIVATE2)
  Qfgd_VGP_SI_VGP_SI=(+0.0*VgdPrime+0.0*VgdPrime_VGP_SI+0.0*VgdPrime_VGP_SI+pInst->CFRD_i*VgdPrime_VGP_SI_VGP_SI);
  Qfgd_VGP_SI_VDI_SI=(+0.0*VgdPrime+0.0*VgdPrime_VDI_SI+0.0*VgdPrime_VGP_SI+pInst->CFRD_i*VgdPrime_VGP_SI_VDI_SI);
#endif
#if defined(_DERIVATE)
Qfgd_VDI_SI=(pInst->CFRD_i*VgdPrime_VDI_SI);
#endif
#endif
Qfgd=(pInst->CFRD_i*VgdPrime);
EXIT_IF_ISNAN((pInst->CFRD_i*VgdPrime))
#endif
}
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(GP,GND)V(BP,GND)V(DI,GND)V(SI,GND)V(BS,GND) */
ijun_s_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijun_s_VDI_BD_VDI_BD=0.0;
  ijun_s_VDI_BD_VSI_BS=0.0;
#endif
ijun_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijun_s_VSI_BS_VDI_BD=0.0;
  ijun_s_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->ijun_s=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(SI,GND)V(DI,GND)V(BP,GND)V(GP,GND) */
ijunbot_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijunbot_s_VSI_BS_VSI_BS=0.0;
  ijunbot_s_VSI_BS_VDI_BD=0.0;
#endif
ijunbot_s_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunbot_s_VDI_BD_VSI_BS=0.0;
  ijunbot_s_VDI_BD_VDI_BD=0.0;
#endif
#endif
ijunbot_s=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(SI,GND)V(DI,GND)V(BP,GND)V(GP,GND) */
ijunsti_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijunsti_s_VSI_BS_VSI_BS=0.0;
  ijunsti_s_VSI_BS_VDI_BD=0.0;
#endif
ijunsti_s_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunsti_s_VDI_BD_VSI_BS=0.0;
  ijunsti_s_VDI_BD_VDI_BD=0.0;
#endif
#endif
ijunsti_s=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(SI,GND)V(DI,GND)V(BP,GND)V(GP,GND) */
ijungat_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijungat_s_VSI_BS_VSI_BS=0.0;
  ijungat_s_VSI_BS_VDI_BD=0.0;
#endif
ijungat_s_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijungat_s_VDI_BD_VSI_BS=0.0;
  ijungat_s_VDI_BD_VDI_BD=0.0;
#endif
#endif
ijungat_s=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ijun_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijun_d_VDI_BD_VDI_BD=0.0;
  ijun_d_VDI_BD_VSI_BS=0.0;
#endif
ijun_d_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijun_d_VSI_BS_VDI_BD=0.0;
  ijun_d_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->ijun_d=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunbot_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunbot_d_VDI_BD_VDI_BD=0.0;
  ijunbot_d_VDI_BD_VSI_BS=0.0;
#endif
ijunbot_d_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijunbot_d_VSI_BS_VDI_BD=0.0;
  ijunbot_d_VSI_BS_VSI_BS=0.0;
#endif
#endif
ijunbot_d=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunsti_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunsti_d_VDI_BD_VDI_BD=0.0;
  ijunsti_d_VDI_BD_VSI_BS=0.0;
#endif
ijunsti_d_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijunsti_d_VSI_BS_VDI_BD=0.0;
  ijunsti_d_VSI_BS_VSI_BS=0.0;
#endif
#endif
ijunsti_d=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijungat_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijungat_d_VDI_BD_VDI_BD=0.0;
  ijungat_d_VDI_BD_VSI_BS=0.0;
#endif
ijungat_d_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijungat_d_VSI_BS_VDI_BD=0.0;
  ijungat_d_VSI_BS_VSI_BS=0.0;
#endif
#endif
ijungat_d=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,BD)V(SI,BS) ddxprobe= */
qjun_s_VDI_BD=0.0;
qjun_s_VSI_BS=0.0;
#endif
qjun_s=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND) */
#if defined(_DERIVATE)
qjunbot_s_VDI_BD=0.0;
#endif
qjunbot_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  qjunbot_s_VSI_BS_VDI_BD=0.0;
  qjunbot_s_VSI_BS_VSI_BS=0.0;
#endif
#endif
qjunbot_s=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND) */
#if defined(_DERIVATE)
qjunsti_s_VDI_BD=0.0;
#endif
qjunsti_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  qjunsti_s_VSI_BS_VDI_BD=0.0;
  qjunsti_s_VSI_BS_VSI_BS=0.0;
#endif
#endif
qjunsti_s=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND) */
#if defined(_DERIVATE)
qjungat_s_VDI_BD=0.0;
#endif
qjungat_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  qjungat_s_VSI_BS_VDI_BD=0.0;
  qjungat_s_VSI_BS_VSI_BS=0.0;
#endif
#endif
qjungat_s=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,BD)V(SI,BS) ddxprobe= */
qjun_d_VDI_BD=0.0;
qjun_d_VSI_BS=0.0;
#endif
qjun_d=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(DI,GND) */
qjunbot_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  qjunbot_d_VDI_BD_VDI_BD=0.0;
  qjunbot_d_VDI_BD_VSI_BS=0.0;
#endif
#if defined(_DERIVATE)
qjunbot_d_VSI_BS=0.0;
#endif
#endif
qjunbot_d=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(DI,GND) */
qjunsti_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  qjunsti_d_VDI_BD_VDI_BD=0.0;
  qjunsti_d_VDI_BD_VSI_BS=0.0;
#endif
#if defined(_DERIVATE)
qjunsti_d_VSI_BS=0.0;
#endif
#endif
qjunsti_d=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(DI,GND) */
qjungat_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  qjungat_d_VDI_BD_VDI_BD=0.0;
  qjungat_d_VDI_BD_VSI_BS=0.0;
#endif
#if defined(_DERIVATE)
qjungat_d_VSI_BS=0.0;
#endif
#endif
qjungat_d=0.0;
EXIT_IF_ISNAN(0.0)
#endif
if
((pModel->SWJUNCAP_i>0))
{
if
((pModel->SWJUNEXP_i==1))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tm0_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tm0_VDI_BD_VDI_BD=0.0;
  tm0_VDI_BD_VSI_BS=0.0;
#endif
tm0_VSI_BS=Vjun_s_VSI_BS*pModel->phitdinv*pInst->MFOR1_s;
#if defined(_DERIVATE2)
  tm0_VSI_BS_VDI_BD=(+(+0.0*pModel->phitdinv+Vjun_s_VSI_BS*0.0+0.0*0.0+Vjun_s*0.0)*pInst->MFOR1_s+Vjun_s_VSI_BS*pModel->phitdinv*0.0+(0.0)*0.0+(Vjun_s*pModel->phitdinv)*0.0);
  tm0_VSI_BS_VSI_BS=(+(+Vjun_s_VSI_BS_VSI_BS*pModel->phitdinv+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0)*pInst->MFOR1_s+Vjun_s_VSI_BS*pModel->phitdinv*0.0+(Vjun_s_VSI_BS*pModel->phitdinv)*0.0+(Vjun_s*pModel->phitdinv)*0.0);
#endif
#endif
tm0=((Vjun_s*pModel->phitdinv)*pInst->MFOR1_s);
EXIT_IF_ISNAN(((Vjun_s*pModel->phitdinv)*pInst->MFOR1_s))
{
double m00_exp(d00_exp0,tm0)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
tm1_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tm1_VDI_BD_VDI_BD=0.0;
  tm1_VDI_BD_VSI_BS=0.0;
#endif
tm1_VSI_BS=((tm0<(-2.3025850929940458e+02))?(-1.0e-100*(-tm0_VSI_BS)/(((-2.3025850929940458e+02)-tm0)+1.0)/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf1_s)?(pInst->expxhf1_s*tm0_VSI_BS):tm0_VSI_BS*d10_exp0));
#if defined(_DERIVATE2)
  tm1_VSI_BS_VDI_BD=fixme;
  tm1_VSI_BS_VSI_BS=fixme;
#endif
#endif
tm1=((tm0<(-2.3025850929940458e+02))?(1.0e-100/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf1_s)?(pInst->expxhf1_s*((tm0-pInst->xhighf1_s)+1.0)):d00_exp0));
EXIT_IF_ISNAN(((tm0<(-2.3025850929940458e+02))?(1.0e-100/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf1_s)?(pInst->expxhf1_s*((tm0-pInst->xhighf1_s)+1.0)):d00_exp0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunfor1_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunfor1_VDI_BD_VDI_BD=0.0;
  ijunfor1_VDI_BD_VSI_BS=0.0;
#endif
ijunfor1_VSI_BS=(pInst->ISATFOR1_s*tm1_VSI_BS);
#if defined(_DERIVATE2)
  ijunfor1_VSI_BS_VDI_BD=(+0.0*(tm1-1.0)+0.0*tm1_VDI_BD+0.0*tm1_VSI_BS+pInst->ISATFOR1_s*(+tm1_VSI_BS_VDI_BD-0.0));
  ijunfor1_VSI_BS_VSI_BS=(+0.0*(tm1-1.0)+0.0*tm1_VSI_BS+0.0*tm1_VSI_BS+pInst->ISATFOR1_s*(+tm1_VSI_BS_VSI_BS-0.0));
#endif
#endif
ijunfor1=(pInst->ISATFOR1_s*(tm1-1.0));
EXIT_IF_ISNAN((pInst->ISATFOR1_s*(tm1-1.0)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tm0_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tm0_VDI_BD_VDI_BD=0.0;
  tm0_VDI_BD_VSI_BS=0.0;
#endif
tm0_VSI_BS=Vjun_s_VSI_BS*pModel->phitdinv*pInst->MFOR2_s;
#if defined(_DERIVATE2)
  tm0_VSI_BS_VDI_BD=(+(+0.0*pModel->phitdinv+Vjun_s_VSI_BS*0.0+0.0*0.0+Vjun_s*0.0)*pInst->MFOR2_s+Vjun_s_VSI_BS*pModel->phitdinv*0.0+(0.0)*0.0+(Vjun_s*pModel->phitdinv)*0.0);
  tm0_VSI_BS_VSI_BS=(+(+Vjun_s_VSI_BS_VSI_BS*pModel->phitdinv+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0)*pInst->MFOR2_s+Vjun_s_VSI_BS*pModel->phitdinv*0.0+(Vjun_s_VSI_BS*pModel->phitdinv)*0.0+(Vjun_s*pModel->phitdinv)*0.0);
#endif
#endif
tm0=((Vjun_s*pModel->phitdinv)*pInst->MFOR2_s);
EXIT_IF_ISNAN(((Vjun_s*pModel->phitdinv)*pInst->MFOR2_s))
{
double m00_exp(d00_exp0,tm0)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
tm1_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tm1_VDI_BD_VDI_BD=0.0;
  tm1_VDI_BD_VSI_BS=0.0;
#endif
tm1_VSI_BS=((tm0<(-2.3025850929940458e+02))?(-1.0e-100*(-tm0_VSI_BS)/(((-2.3025850929940458e+02)-tm0)+1.0)/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf2_s)?(pInst->expxhf2_s*tm0_VSI_BS):tm0_VSI_BS*d10_exp0));
#if defined(_DERIVATE2)
  tm1_VSI_BS_VDI_BD=fixme;
  tm1_VSI_BS_VSI_BS=fixme;
#endif
#endif
tm1=((tm0<(-2.3025850929940458e+02))?(1.0e-100/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf2_s)?(pInst->expxhf2_s*((tm0-pInst->xhighf2_s)+1.0)):d00_exp0));
EXIT_IF_ISNAN(((tm0<(-2.3025850929940458e+02))?(1.0e-100/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf2_s)?(pInst->expxhf2_s*((tm0-pInst->xhighf2_s)+1.0)):d00_exp0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunfor2_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunfor2_VDI_BD_VDI_BD=0.0;
  ijunfor2_VDI_BD_VSI_BS=0.0;
#endif
ijunfor2_VSI_BS=(pInst->ISATFOR2_s*tm1_VSI_BS);
#if defined(_DERIVATE2)
  ijunfor2_VSI_BS_VDI_BD=(+0.0*(tm1-1.0)+0.0*tm1_VDI_BD+0.0*tm1_VSI_BS+pInst->ISATFOR2_s*(+tm1_VSI_BS_VDI_BD-0.0));
  ijunfor2_VSI_BS_VSI_BS=(+0.0*(tm1-1.0)+0.0*tm1_VSI_BS+0.0*tm1_VSI_BS+pInst->ISATFOR2_s*(+tm1_VSI_BS_VSI_BS-0.0));
#endif
#endif
ijunfor2=(pInst->ISATFOR2_s*(tm1-1.0));
EXIT_IF_ISNAN((pInst->ISATFOR2_s*(tm1-1.0)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunrev_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunrev_VDI_BD_VDI_BD=0.0;
  ijunrev_VDI_BD_VSI_BS=0.0;
#endif
ijunrev_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijunrev_VSI_BS_VDI_BD=0.0;
  ijunrev_VSI_BS_VSI_BS=0.0;
#endif
#endif
ijunrev=0.0;
EXIT_IF_ISNAN(0.0)
if
((pInst->m0flag_s>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunrev_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunrev_VDI_BD_VDI_BD=0.0;
  ijunrev_VDI_BD_VSI_BS=0.0;
#endif
ijunrev_VSI_BS=((Vjun_s_VSI_BS*(pInst->ISATREV_s+(Vjun_s*pInst->MREV_s)))+(Vjun_s*Vjun_s_VSI_BS*pInst->MREV_s));
#if defined(_DERIVATE2)
  ijunrev_VSI_BS_VDI_BD=(+0.0*(pInst->ISATREV_s+(Vjun_s*pInst->MREV_s))+Vjun_s_VSI_BS*(0.0)+0.0*Vjun_s_VSI_BS*pInst->MREV_s+Vjun_s*(+0.0+(+0.0*pInst->MREV_s+Vjun_s_VSI_BS*0.0+0.0*0.0+Vjun_s*0.0)));
  ijunrev_VSI_BS_VSI_BS=(+Vjun_s_VSI_BS_VSI_BS*(pInst->ISATREV_s+(Vjun_s*pInst->MREV_s))+Vjun_s_VSI_BS*(Vjun_s_VSI_BS*pInst->MREV_s)+Vjun_s_VSI_BS*Vjun_s_VSI_BS*pInst->MREV_s+Vjun_s*(+0.0+(+Vjun_s_VSI_BS_VSI_BS*pInst->MREV_s+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0)));
#endif
#endif
ijunrev=(Vjun_s*(pInst->ISATREV_s+(Vjun_s*pInst->MREV_s)));
EXIT_IF_ISNAN((Vjun_s*(pInst->ISATREV_s+(Vjun_s*pInst->MREV_s))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tm0_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tm0_VDI_BD_VDI_BD=0.0;
  tm0_VDI_BD_VSI_BS=0.0;
#endif
tm0_VSI_BS=(-Vjun_s_VSI_BS)*pModel->phitdinv*pInst->MREV_s;
#if defined(_DERIVATE2)
  tm0_VSI_BS_VDI_BD=(+(+0.0*pModel->phitdinv+(-Vjun_s_VSI_BS)*0.0+0.0*0.0+(-Vjun_s)*0.0)*pInst->MREV_s+(-Vjun_s_VSI_BS)*pModel->phitdinv*0.0+(0.0)*0.0+((-Vjun_s)*pModel->phitdinv)*0.0);
  tm0_VSI_BS_VSI_BS=(+(+0.0*pModel->phitdinv+(-Vjun_s_VSI_BS)*0.0+(-Vjun_s_VSI_BS)*0.0+(-Vjun_s)*0.0)*pInst->MREV_s+(-Vjun_s_VSI_BS)*pModel->phitdinv*0.0+((-Vjun_s_VSI_BS)*pModel->phitdinv)*0.0+((-Vjun_s)*pModel->phitdinv)*0.0);
#endif
#endif
tm0=(((-Vjun_s)*pModel->phitdinv)*pInst->MREV_s);
EXIT_IF_ISNAN((((-Vjun_s)*pModel->phitdinv)*pInst->MREV_s))
{
double m00_exp(d00_exp0,tm0)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
tm1_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tm1_VDI_BD_VDI_BD=0.0;
  tm1_VDI_BD_VSI_BS=0.0;
#endif
tm1_VSI_BS=((tm0<(-2.3025850929940458e+02))?(-1.0e-100*(-tm0_VSI_BS)/(((-2.3025850929940458e+02)-tm0)+1.0)/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighr_s)?(pInst->expxhr_s*tm0_VSI_BS):tm0_VSI_BS*d10_exp0));
#if defined(_DERIVATE2)
  tm1_VSI_BS_VDI_BD=fixme;
  tm1_VSI_BS_VSI_BS=fixme;
#endif
#endif
tm1=((tm0<(-2.3025850929940458e+02))?(1.0e-100/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighr_s)?(pInst->expxhr_s*((tm0-pInst->xhighr_s)+1.0)):d00_exp0));
EXIT_IF_ISNAN(((tm0<(-2.3025850929940458e+02))?(1.0e-100/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighr_s)?(pInst->expxhr_s*((tm0-pInst->xhighr_s)+1.0)):d00_exp0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunrev_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunrev_VDI_BD_VDI_BD=0.0;
  ijunrev_VDI_BD_VSI_BS=0.0;
#endif
ijunrev_VSI_BS=((-pInst->ISATREV_s)*tm1_VSI_BS);
#if defined(_DERIVATE2)
  ijunrev_VSI_BS_VDI_BD=(+0.0*(tm1-1.0)+0.0*tm1_VDI_BD+0.0*tm1_VSI_BS+(-pInst->ISATREV_s)*(+tm1_VSI_BS_VDI_BD-0.0));
  ijunrev_VSI_BS_VSI_BS=(+0.0*(tm1-1.0)+0.0*tm1_VSI_BS+0.0*tm1_VSI_BS+(-pInst->ISATREV_s)*(+tm1_VSI_BS_VSI_BS-0.0));
#endif
#endif
ijunrev=((-pInst->ISATREV_s)*(tm1-1.0));
EXIT_IF_ISNAN(((-pInst->ISATREV_s)*(tm1-1.0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(GP,GND)V(BP,GND)V(DI,GND)V(SI,GND)V(BS,GND) */
ijun_s_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijun_s_VDI_BD_VDI_BD=0.0;
  ijun_s_VDI_BD_VSI_BS=0.0;
#endif
ijun_s_VSI_BS=((ijunfor1_VSI_BS+ijunfor2_VSI_BS)+ijunrev_VSI_BS);
#if defined(_DERIVATE2)
  ijun_s_VSI_BS_VDI_BD=(+(+ijunfor1_VSI_BS_VDI_BD+ijunfor2_VSI_BS_VDI_BD)+ijunrev_VSI_BS_VDI_BD);
  ijun_s_VSI_BS_VSI_BS=(+(+ijunfor1_VSI_BS_VSI_BS+ijunfor2_VSI_BS_VSI_BS)+ijunrev_VSI_BS_VSI_BS);
#endif
#endif
pInst->ijun_s=((ijunfor1+ijunfor2)+ijunrev);
EXIT_IF_ISNAN(((ijunfor1+ijunfor2)+ijunrev))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tm0_VDI_BD=Vjun_d_VDI_BD*pModel->phitdinv*pInst->MFOR1_d;
#if defined(_DERIVATE2)
  tm0_VDI_BD_VDI_BD=(+(+Vjun_d_VDI_BD_VDI_BD*pModel->phitdinv+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0)*pInst->MFOR1_d+Vjun_d_VDI_BD*pModel->phitdinv*0.0+(Vjun_d_VDI_BD*pModel->phitdinv)*0.0+(Vjun_d*pModel->phitdinv)*0.0);
  tm0_VDI_BD_VSI_BS=(+(+0.0*pModel->phitdinv+Vjun_d_VDI_BD*0.0+0.0*0.0+Vjun_d*0.0)*pInst->MFOR1_d+Vjun_d_VDI_BD*pModel->phitdinv*0.0+(0.0)*0.0+(Vjun_d*pModel->phitdinv)*0.0);
#endif
tm0_VSI_BS=0.0;
#if defined(_DERIVATE2)
  tm0_VSI_BS_VDI_BD=0.0;
  tm0_VSI_BS_VSI_BS=0.0;
#endif
#endif
tm0=((Vjun_d*pModel->phitdinv)*pInst->MFOR1_d);
EXIT_IF_ISNAN(((Vjun_d*pModel->phitdinv)*pInst->MFOR1_d))
{
double m00_exp(d00_exp0,tm0)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
tm1_VDI_BD=((tm0<(-2.3025850929940458e+02))?(-1.0e-100*(-tm0_VDI_BD)/(((-2.3025850929940458e+02)-tm0)+1.0)/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf1_d)?(pInst->expxhf1_d*tm0_VDI_BD):tm0_VDI_BD*d10_exp0));
#if defined(_DERIVATE2)
  tm1_VDI_BD_VDI_BD=fixme;
  tm1_VDI_BD_VSI_BS=fixme;
#endif
tm1_VSI_BS=((tm0<(-2.3025850929940458e+02))?(-1.0e-100*(-tm0_VSI_BS)/(((-2.3025850929940458e+02)-tm0)+1.0)/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf1_d)?(pInst->expxhf1_d*tm0_VSI_BS):tm0_VSI_BS*d10_exp0));
#if defined(_DERIVATE2)
  tm1_VSI_BS_VDI_BD=fixme;
  tm1_VSI_BS_VSI_BS=fixme;
#endif
#endif
tm1=((tm0<(-2.3025850929940458e+02))?(1.0e-100/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf1_d)?(pInst->expxhf1_d*((tm0-pInst->xhighf1_d)+1.0)):d00_exp0));
EXIT_IF_ISNAN(((tm0<(-2.3025850929940458e+02))?(1.0e-100/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf1_d)?(pInst->expxhf1_d*((tm0-pInst->xhighf1_d)+1.0)):d00_exp0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunfor1_VDI_BD=(pInst->ISATFOR1_d*tm1_VDI_BD);
#if defined(_DERIVATE2)
  ijunfor1_VDI_BD_VDI_BD=(+0.0*(tm1-1.0)+0.0*tm1_VDI_BD+0.0*tm1_VDI_BD+pInst->ISATFOR1_d*(+tm1_VDI_BD_VDI_BD-0.0));
  ijunfor1_VDI_BD_VSI_BS=(+0.0*(tm1-1.0)+0.0*tm1_VSI_BS+0.0*tm1_VDI_BD+pInst->ISATFOR1_d*(+tm1_VDI_BD_VSI_BS-0.0));
#endif
ijunfor1_VSI_BS=(pInst->ISATFOR1_d*tm1_VSI_BS);
#if defined(_DERIVATE2)
  ijunfor1_VSI_BS_VDI_BD=(+0.0*(tm1-1.0)+0.0*tm1_VDI_BD+0.0*tm1_VSI_BS+pInst->ISATFOR1_d*(+tm1_VSI_BS_VDI_BD-0.0));
  ijunfor1_VSI_BS_VSI_BS=(+0.0*(tm1-1.0)+0.0*tm1_VSI_BS+0.0*tm1_VSI_BS+pInst->ISATFOR1_d*(+tm1_VSI_BS_VSI_BS-0.0));
#endif
#endif
ijunfor1=(pInst->ISATFOR1_d*(tm1-1.0));
EXIT_IF_ISNAN((pInst->ISATFOR1_d*(tm1-1.0)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tm0_VDI_BD=Vjun_d_VDI_BD*pModel->phitdinv*pInst->MFOR2_d;
#if defined(_DERIVATE2)
  tm0_VDI_BD_VDI_BD=(+(+Vjun_d_VDI_BD_VDI_BD*pModel->phitdinv+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0)*pInst->MFOR2_d+Vjun_d_VDI_BD*pModel->phitdinv*0.0+(Vjun_d_VDI_BD*pModel->phitdinv)*0.0+(Vjun_d*pModel->phitdinv)*0.0);
  tm0_VDI_BD_VSI_BS=(+(+0.0*pModel->phitdinv+Vjun_d_VDI_BD*0.0+0.0*0.0+Vjun_d*0.0)*pInst->MFOR2_d+Vjun_d_VDI_BD*pModel->phitdinv*0.0+(0.0)*0.0+(Vjun_d*pModel->phitdinv)*0.0);
#endif
tm0_VSI_BS=0.0;
#if defined(_DERIVATE2)
  tm0_VSI_BS_VDI_BD=0.0;
  tm0_VSI_BS_VSI_BS=0.0;
#endif
#endif
tm0=((Vjun_d*pModel->phitdinv)*pInst->MFOR2_d);
EXIT_IF_ISNAN(((Vjun_d*pModel->phitdinv)*pInst->MFOR2_d))
{
double m00_exp(d00_exp0,tm0)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
tm1_VDI_BD=((tm0<(-2.3025850929940458e+02))?(-1.0e-100*(-tm0_VDI_BD)/(((-2.3025850929940458e+02)-tm0)+1.0)/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf2_d)?(pInst->expxhf2_d*tm0_VDI_BD):tm0_VDI_BD*d10_exp0));
#if defined(_DERIVATE2)
  tm1_VDI_BD_VDI_BD=fixme;
  tm1_VDI_BD_VSI_BS=fixme;
#endif
tm1_VSI_BS=((tm0<(-2.3025850929940458e+02))?(-1.0e-100*(-tm0_VSI_BS)/(((-2.3025850929940458e+02)-tm0)+1.0)/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf2_d)?(pInst->expxhf2_d*tm0_VSI_BS):tm0_VSI_BS*d10_exp0));
#if defined(_DERIVATE2)
  tm1_VSI_BS_VDI_BD=fixme;
  tm1_VSI_BS_VSI_BS=fixme;
#endif
#endif
tm1=((tm0<(-2.3025850929940458e+02))?(1.0e-100/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf2_d)?(pInst->expxhf2_d*((tm0-pInst->xhighf2_d)+1.0)):d00_exp0));
EXIT_IF_ISNAN(((tm0<(-2.3025850929940458e+02))?(1.0e-100/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighf2_d)?(pInst->expxhf2_d*((tm0-pInst->xhighf2_d)+1.0)):d00_exp0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunfor2_VDI_BD=(pInst->ISATFOR2_d*tm1_VDI_BD);
#if defined(_DERIVATE2)
  ijunfor2_VDI_BD_VDI_BD=(+0.0*(tm1-1.0)+0.0*tm1_VDI_BD+0.0*tm1_VDI_BD+pInst->ISATFOR2_d*(+tm1_VDI_BD_VDI_BD-0.0));
  ijunfor2_VDI_BD_VSI_BS=(+0.0*(tm1-1.0)+0.0*tm1_VSI_BS+0.0*tm1_VDI_BD+pInst->ISATFOR2_d*(+tm1_VDI_BD_VSI_BS-0.0));
#endif
ijunfor2_VSI_BS=(pInst->ISATFOR2_d*tm1_VSI_BS);
#if defined(_DERIVATE2)
  ijunfor2_VSI_BS_VDI_BD=(+0.0*(tm1-1.0)+0.0*tm1_VDI_BD+0.0*tm1_VSI_BS+pInst->ISATFOR2_d*(+tm1_VSI_BS_VDI_BD-0.0));
  ijunfor2_VSI_BS_VSI_BS=(+0.0*(tm1-1.0)+0.0*tm1_VSI_BS+0.0*tm1_VSI_BS+pInst->ISATFOR2_d*(+tm1_VSI_BS_VSI_BS-0.0));
#endif
#endif
ijunfor2=(pInst->ISATFOR2_d*(tm1-1.0));
EXIT_IF_ISNAN((pInst->ISATFOR2_d*(tm1-1.0)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunrev_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunrev_VDI_BD_VDI_BD=0.0;
  ijunrev_VDI_BD_VSI_BS=0.0;
#endif
ijunrev_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijunrev_VSI_BS_VDI_BD=0.0;
  ijunrev_VSI_BS_VSI_BS=0.0;
#endif
#endif
ijunrev=0.0;
EXIT_IF_ISNAN(0.0)
if
((pInst->m0flag_d>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunrev_VDI_BD=((Vjun_d_VDI_BD*(pInst->ISATREV_d+(Vjun_d*pInst->MREV_d)))+(Vjun_d*Vjun_d_VDI_BD*pInst->MREV_d));
#if defined(_DERIVATE2)
  ijunrev_VDI_BD_VDI_BD=(+Vjun_d_VDI_BD_VDI_BD*(pInst->ISATREV_d+(Vjun_d*pInst->MREV_d))+Vjun_d_VDI_BD*(Vjun_d_VDI_BD*pInst->MREV_d)+Vjun_d_VDI_BD*Vjun_d_VDI_BD*pInst->MREV_d+Vjun_d*(+0.0+(+Vjun_d_VDI_BD_VDI_BD*pInst->MREV_d+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0)));
  ijunrev_VDI_BD_VSI_BS=(+0.0*(pInst->ISATREV_d+(Vjun_d*pInst->MREV_d))+Vjun_d_VDI_BD*(0.0)+0.0*Vjun_d_VDI_BD*pInst->MREV_d+Vjun_d*(+0.0+(+0.0*pInst->MREV_d+Vjun_d_VDI_BD*0.0+0.0*0.0+Vjun_d*0.0)));
#endif
ijunrev_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijunrev_VSI_BS_VDI_BD=0.0;
  ijunrev_VSI_BS_VSI_BS=0.0;
#endif
#endif
ijunrev=(Vjun_d*(pInst->ISATREV_d+(Vjun_d*pInst->MREV_d)));
EXIT_IF_ISNAN((Vjun_d*(pInst->ISATREV_d+(Vjun_d*pInst->MREV_d))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tm0_VDI_BD=(-Vjun_d_VDI_BD)*pModel->phitdinv*pInst->MREV_d;
#if defined(_DERIVATE2)
  tm0_VDI_BD_VDI_BD=(+(+0.0*pModel->phitdinv+(-Vjun_d_VDI_BD)*0.0+(-Vjun_d_VDI_BD)*0.0+(-Vjun_d)*0.0)*pInst->MREV_d+(-Vjun_d_VDI_BD)*pModel->phitdinv*0.0+((-Vjun_d_VDI_BD)*pModel->phitdinv)*0.0+((-Vjun_d)*pModel->phitdinv)*0.0);
  tm0_VDI_BD_VSI_BS=(+(+0.0*pModel->phitdinv+(-Vjun_d_VDI_BD)*0.0+0.0*0.0+(-Vjun_d)*0.0)*pInst->MREV_d+(-Vjun_d_VDI_BD)*pModel->phitdinv*0.0+(0.0)*0.0+((-Vjun_d)*pModel->phitdinv)*0.0);
#endif
tm0_VSI_BS=0.0;
#if defined(_DERIVATE2)
  tm0_VSI_BS_VDI_BD=0.0;
  tm0_VSI_BS_VSI_BS=0.0;
#endif
#endif
tm0=(((-Vjun_d)*pModel->phitdinv)*pInst->MREV_d);
EXIT_IF_ISNAN((((-Vjun_d)*pModel->phitdinv)*pInst->MREV_d))
{
double m00_exp(d00_exp0,tm0)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
tm1_VDI_BD=((tm0<(-2.3025850929940458e+02))?(-1.0e-100*(-tm0_VDI_BD)/(((-2.3025850929940458e+02)-tm0)+1.0)/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighr_d)?(pInst->expxhr_d*tm0_VDI_BD):tm0_VDI_BD*d10_exp0));
#if defined(_DERIVATE2)
  tm1_VDI_BD_VDI_BD=fixme;
  tm1_VDI_BD_VSI_BS=fixme;
#endif
tm1_VSI_BS=((tm0<(-2.3025850929940458e+02))?(-1.0e-100*(-tm0_VSI_BS)/(((-2.3025850929940458e+02)-tm0)+1.0)/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighr_d)?(pInst->expxhr_d*tm0_VSI_BS):tm0_VSI_BS*d10_exp0));
#if defined(_DERIVATE2)
  tm1_VSI_BS_VDI_BD=fixme;
  tm1_VSI_BS_VSI_BS=fixme;
#endif
#endif
tm1=((tm0<(-2.3025850929940458e+02))?(1.0e-100/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighr_d)?(pInst->expxhr_d*((tm0-pInst->xhighr_d)+1.0)):d00_exp0));
EXIT_IF_ISNAN(((tm0<(-2.3025850929940458e+02))?(1.0e-100/(((-2.3025850929940458e+02)-tm0)+1.0)):((tm0>pInst->xhighr_d)?(pInst->expxhr_d*((tm0-pInst->xhighr_d)+1.0)):d00_exp0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunrev_VDI_BD=((-pInst->ISATREV_d)*tm1_VDI_BD);
#if defined(_DERIVATE2)
  ijunrev_VDI_BD_VDI_BD=(+0.0*(tm1-1.0)+0.0*tm1_VDI_BD+0.0*tm1_VDI_BD+(-pInst->ISATREV_d)*(+tm1_VDI_BD_VDI_BD-0.0));
  ijunrev_VDI_BD_VSI_BS=(+0.0*(tm1-1.0)+0.0*tm1_VSI_BS+0.0*tm1_VDI_BD+(-pInst->ISATREV_d)*(+tm1_VDI_BD_VSI_BS-0.0));
#endif
ijunrev_VSI_BS=((-pInst->ISATREV_d)*tm1_VSI_BS);
#if defined(_DERIVATE2)
  ijunrev_VSI_BS_VDI_BD=(+0.0*(tm1-1.0)+0.0*tm1_VDI_BD+0.0*tm1_VSI_BS+(-pInst->ISATREV_d)*(+tm1_VSI_BS_VDI_BD-0.0));
  ijunrev_VSI_BS_VSI_BS=(+0.0*(tm1-1.0)+0.0*tm1_VSI_BS+0.0*tm1_VSI_BS+(-pInst->ISATREV_d)*(+tm1_VSI_BS_VSI_BS-0.0));
#endif
#endif
ijunrev=((-pInst->ISATREV_d)*(tm1-1.0));
EXIT_IF_ISNAN(((-pInst->ISATREV_d)*(tm1-1.0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ijun_d_VDI_BD=((ijunfor1_VDI_BD+ijunfor2_VDI_BD)+ijunrev_VDI_BD);
#if defined(_DERIVATE2)
  ijun_d_VDI_BD_VDI_BD=(+(+ijunfor1_VDI_BD_VDI_BD+ijunfor2_VDI_BD_VDI_BD)+ijunrev_VDI_BD_VDI_BD);
  ijun_d_VDI_BD_VSI_BS=(+(+ijunfor1_VDI_BD_VSI_BS+ijunfor2_VDI_BD_VSI_BS)+ijunrev_VDI_BD_VSI_BS);
#endif
ijun_d_VSI_BS=((ijunfor1_VSI_BS+ijunfor2_VSI_BS)+ijunrev_VSI_BS);
#if defined(_DERIVATE2)
  ijun_d_VSI_BS_VDI_BD=(+(+ijunfor1_VSI_BS_VDI_BD+ijunfor2_VSI_BS_VDI_BD)+ijunrev_VSI_BS_VDI_BD);
  ijun_d_VSI_BS_VSI_BS=(+(+ijunfor1_VSI_BS_VSI_BS+ijunfor2_VSI_BS_VSI_BS)+ijunrev_VSI_BS_VSI_BS);
#endif
#endif
pInst->ijun_d=((ijunfor1+ijunfor2)+ijunrev);
EXIT_IF_ISNAN(((ijunfor1+ijunfor2)+ijunrev))
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=0.0;
  tmpv_VDI_BD_VSI_BS=0.0;
#endif
tmpv_VSI_BS=0.0;
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=0.0;
  tmpv_VSI_BS_VSI_BS=0.0;
#endif
#endif
tmpv=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
vjv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  vjv_VDI_BD_VDI_BD=0.0;
  vjv_VDI_BD_VSI_BS=0.0;
#endif
vjv_VSI_BS=0.0;
#if defined(_DERIVATE2)
  vjv_VSI_BS_VDI_BD=0.0;
  vjv_VSI_BS_VSI_BS=0.0;
#endif
#endif
vjv=0.0;
EXIT_IF_ISNAN(0.0)
#endif
pInst->h1=((4.0*pInst->vch_s)*pInst->vch_s);
EXIT_IF_ISNAN(((4.0*pInst->vch_s)*pInst->vch_s))
pInst->h2=(pInst->vch_s/pInst->vfmin_s);
EXIT_IF_ISNAN((pInst->vch_s/pInst->vfmin_s))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(DI,GND)V(BD,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
h2d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  h2d_VDI_BD_VDI_BD=0.0;
  h2d_VDI_BD_VSI_BS=0.0;
#endif
h2d_VSI_BS=Vjun_s_VSI_BS;
#if defined(_DERIVATE2)
  h2d_VSI_BS_VDI_BD=(+0.0+(+0.0*pInst->h2+0.0*0.0+0.0*0.0+pInst->vch_s*0.0));
  h2d_VSI_BS_VSI_BS=(+Vjun_s_VSI_BS_VSI_BS+(+0.0*pInst->h2+0.0*0.0+0.0*0.0+pInst->vch_s*0.0));
#endif
#endif
pInst->h2d=(Vjun_s+(pInst->vch_s*pInst->h2));
EXIT_IF_ISNAN((Vjun_s+(pInst->vch_s*pInst->h2)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(DI,GND)V(BD,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
h3_VDI_BD=0.0;
#if defined(_DERIVATE2)
  h3_VDI_BD_VDI_BD=0.0;
  h3_VDI_BD_VSI_BS=0.0;
#endif
h3_VSI_BS=h2d_VSI_BS;
#if defined(_DERIVATE2)
  h3_VSI_BS_VDI_BD=(+0.0+h2d_VSI_BS_VDI_BD);
  h3_VSI_BS_VSI_BS=(+0.0+h2d_VSI_BS_VSI_BS);
#endif
#endif
pInst->h3=(pInst->vfmin_s+pInst->h2d);
EXIT_IF_ISNAN((pInst->vfmin_s+pInst->h2d))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(BD,GND)V(DI,GND) */
h4_VDI_BD=0.0;
#if defined(_DERIVATE2)
  h4_VDI_BD_VDI_BD=0.0;
  h4_VDI_BD_VSI_BS=0.0;
#endif
h4_VSI_BS=(-h2d_VSI_BS);
#if defined(_DERIVATE2)
  h4_VSI_BS_VDI_BD=(+0.0-h2d_VSI_BS_VDI_BD);
  h4_VSI_BS_VSI_BS=(+0.0-h2d_VSI_BS_VSI_BS);
#endif
#endif
pInst->h4=(pInst->vfmin_s-pInst->h2d);
EXIT_IF_ISNAN((pInst->vfmin_s-pInst->h2d))
{
double m00_sqrt(d00_sqrt0,((pInst->h4*pInst->h4)+pInst->h1))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->h4*pInst->h4)+pInst->h1))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(DI,GND)V(BD,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
h5_VDI_BD=0.0;
#if defined(_DERIVATE2)
  h5_VDI_BD_VDI_BD=0.0;
  h5_VDI_BD_VSI_BS=0.0;
#endif
h5_VSI_BS=((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS))*d10_sqrt0;
#if defined(_DERIVATE2)
  h5_VSI_BS_VDI_BD=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD)))*((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS))+d10_sqrt0*(+(+h4_VSI_BS_VDI_BD*pInst->h4+h4_VSI_BS*h4_VDI_BD+h4_VDI_BD*h4_VSI_BS+pInst->h4*h4_VSI_BS_VDI_BD)+0.0));
  h5_VSI_BS_VSI_BS=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS)))*((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS))+d10_sqrt0*(+(+h4_VSI_BS_VSI_BS*pInst->h4+h4_VSI_BS*h4_VSI_BS+h4_VSI_BS*h4_VSI_BS+pInst->h4*h4_VSI_BS_VSI_BS)+0.0));
#endif
#endif
pInst->h5=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
vjv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  vjv_VDI_BD_VDI_BD=0.0;
  vjv_VDI_BD_VSI_BS=0.0;
#endif
vjv_VSI_BS=(2.0*((Vjun_s_VSI_BS*pInst->vfmin_s*(pInst->h3+pInst->h5)-(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#if defined(_DERIVATE2)
  vjv_VSI_BS_VDI_BD=(+0.0*((Vjun_s*pInst->vfmin_s)/(pInst->h3+pInst->h5))+0.0*(((0.0)*(pInst->h3+pInst->h5)-(Vjun_s*pInst->vfmin_s)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*((Vjun_s_VSI_BS*pInst->vfmin_s*(pInst->h3+pInst->h5)-(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+0.0*pInst->vfmin_s+Vjun_s_VSI_BS*0.0+0.0*0.0+Vjun_s*0.0)/(pInst->h3+pInst->h5)-(Vjun_s_VSI_BS*pInst->vfmin_s*(h3_VDI_BD+h5_VDI_BD)+(0.0)*(h3_VSI_BS+h5_VSI_BS)+(Vjun_s*pInst->vfmin_s)*(+h3_VSI_BS_VDI_BD+h5_VSI_BS_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS)*(h3_VDI_BD+h5_VDI_BD)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
  vjv_VSI_BS_VSI_BS=(+0.0*((Vjun_s*pInst->vfmin_s)/(pInst->h3+pInst->h5))+0.0*(((Vjun_s_VSI_BS*pInst->vfmin_s)*(pInst->h3+pInst->h5)-(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*((Vjun_s_VSI_BS*pInst->vfmin_s*(pInst->h3+pInst->h5)-(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+Vjun_s_VSI_BS_VSI_BS*pInst->vfmin_s+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0)/(pInst->h3+pInst->h5)-(Vjun_s_VSI_BS*pInst->vfmin_s*(h3_VSI_BS+h5_VSI_BS)+(Vjun_s_VSI_BS*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS)+(Vjun_s*pInst->vfmin_s)*(+h3_VSI_BS_VSI_BS+h5_VSI_BS_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#endif
#endif
vjv=(2.0*((Vjun_s*pInst->vfmin_s)/(pInst->h3+pInst->h5)));
EXIT_IF_ISNAN((2.0*((Vjun_s*pInst->vfmin_s)/(pInst->h3+pInst->h5))))
#endif
#ifdef _DYNAMIC
if
((pInst->zflagbot_s>0.5))
{
#ifdef _DYNAMIC
if
((pModel->one_minus_PBOT==0.5))
{
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,(1.0-(vjv*pModel->vbiinvbot)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(vjv*pModel->vbiinvbot)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=0.0;
  tmpv_VDI_BD_VSI_BS=0.0;
#endif
tmpv_VSI_BS=(-vjv_VSI_BS*pModel->vbiinvbot)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=(m20_sqrt((1.0-(vjv*pModel->vbiinvbot)))*(-(vjv_VDI_BD*pModel->vbiinvbot))*(-vjv_VSI_BS*pModel->vbiinvbot)+d10_sqrt0*(+0.0-(+vjv_VSI_BS_VDI_BD*pModel->vbiinvbot+vjv_VSI_BS*0.0+vjv_VDI_BD*0.0+vjv*0.0)));
  tmpv_VSI_BS_VSI_BS=(m20_sqrt((1.0-(vjv*pModel->vbiinvbot)))*(-(vjv_VSI_BS*pModel->vbiinvbot))*(-vjv_VSI_BS*pModel->vbiinvbot)+d10_sqrt0*(+0.0-(+vjv_VSI_BS_VSI_BS*pModel->vbiinvbot+vjv_VSI_BS*0.0+vjv_VSI_BS*0.0+vjv*0.0)));
#endif
#endif
tmpv=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#endif
}
else
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1.0-(vjv*pModel->vbiinvbot)),pModel->one_minus_PBOT)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0-(vjv*pModel->vbiinvbot)),pModel->one_minus_PBOT)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=0.0;
  tmpv_VDI_BD_VSI_BS=0.0;
#endif
tmpv_VSI_BS=(d10_pow0*(-vjv_VSI_BS*pModel->vbiinvbot));
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=fixme;
  tmpv_VSI_BS_VSI_BS=fixme;
#endif
#endif
tmpv=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND) */
#if defined(_DERIVATE)
qjunbot_s_VDI_BD=0.0;
#endif
qjunbot_s_VSI_BS=((pModel->qprefbot*(-tmpv_VSI_BS))+(pModel->qpref2bot*(Vjun_s_VSI_BS-vjv_VSI_BS)));
#if defined(_DERIVATE2)
  qjunbot_s_VSI_BS_VDI_BD=(+(+0.0*(1.0-tmpv)+0.0*(-tmpv_VDI_BD)+0.0*(-tmpv_VSI_BS)+pModel->qprefbot*(+0.0-tmpv_VSI_BS_VDI_BD))+(+0.0*(Vjun_s-vjv)+0.0*(-vjv_VDI_BD)+0.0*(Vjun_s_VSI_BS-vjv_VSI_BS)+pModel->qpref2bot*(+0.0-vjv_VSI_BS_VDI_BD)));
  qjunbot_s_VSI_BS_VSI_BS=(+(+0.0*(1.0-tmpv)+0.0*(-tmpv_VSI_BS)+0.0*(-tmpv_VSI_BS)+pModel->qprefbot*(+0.0-tmpv_VSI_BS_VSI_BS))+(+0.0*(Vjun_s-vjv)+0.0*(Vjun_s_VSI_BS-vjv_VSI_BS)+0.0*(Vjun_s_VSI_BS-vjv_VSI_BS)+pModel->qpref2bot*(+Vjun_s_VSI_BS_VSI_BS-vjv_VSI_BS_VSI_BS)));
#endif
#endif
qjunbot_s=((pModel->qprefbot*(1.0-tmpv))+(pModel->qpref2bot*(Vjun_s-vjv)));
EXIT_IF_ISNAN(((pModel->qprefbot*(1.0-tmpv))+(pModel->qpref2bot*(Vjun_s-vjv))))
#endif
}
#endif /* if(...) */
#ifdef _DYNAMIC
if
((pInst->zflagsti_s>0.5))
{
#ifdef _DYNAMIC
if
((pModel->one_minus_PSTI==0.5))
{
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,(1.0-(vjv*pModel->vbiinvsti)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(vjv*pModel->vbiinvsti)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=0.0;
  tmpv_VDI_BD_VSI_BS=0.0;
#endif
tmpv_VSI_BS=(-vjv_VSI_BS*pModel->vbiinvsti)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=(m20_sqrt((1.0-(vjv*pModel->vbiinvsti)))*(-(vjv_VDI_BD*pModel->vbiinvsti))*(-vjv_VSI_BS*pModel->vbiinvsti)+d10_sqrt0*(+0.0-(+vjv_VSI_BS_VDI_BD*pModel->vbiinvsti+vjv_VSI_BS*0.0+vjv_VDI_BD*0.0+vjv*0.0)));
  tmpv_VSI_BS_VSI_BS=(m20_sqrt((1.0-(vjv*pModel->vbiinvsti)))*(-(vjv_VSI_BS*pModel->vbiinvsti))*(-vjv_VSI_BS*pModel->vbiinvsti)+d10_sqrt0*(+0.0-(+vjv_VSI_BS_VSI_BS*pModel->vbiinvsti+vjv_VSI_BS*0.0+vjv_VSI_BS*0.0+vjv*0.0)));
#endif
#endif
tmpv=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#endif
}
else
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1.0-(vjv*pModel->vbiinvsti)),pModel->one_minus_PSTI)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0-(vjv*pModel->vbiinvsti)),pModel->one_minus_PSTI)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=0.0;
  tmpv_VDI_BD_VSI_BS=0.0;
#endif
tmpv_VSI_BS=(d10_pow0*(-vjv_VSI_BS*pModel->vbiinvsti));
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=fixme;
  tmpv_VSI_BS_VSI_BS=fixme;
#endif
#endif
tmpv=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND) */
#if defined(_DERIVATE)
qjunsti_s_VDI_BD=0.0;
#endif
qjunsti_s_VSI_BS=((pModel->qprefsti*(-tmpv_VSI_BS))+(pModel->qpref2sti*(Vjun_s_VSI_BS-vjv_VSI_BS)));
#if defined(_DERIVATE2)
  qjunsti_s_VSI_BS_VDI_BD=(+(+0.0*(1.0-tmpv)+0.0*(-tmpv_VDI_BD)+0.0*(-tmpv_VSI_BS)+pModel->qprefsti*(+0.0-tmpv_VSI_BS_VDI_BD))+(+0.0*(Vjun_s-vjv)+0.0*(-vjv_VDI_BD)+0.0*(Vjun_s_VSI_BS-vjv_VSI_BS)+pModel->qpref2sti*(+0.0-vjv_VSI_BS_VDI_BD)));
  qjunsti_s_VSI_BS_VSI_BS=(+(+0.0*(1.0-tmpv)+0.0*(-tmpv_VSI_BS)+0.0*(-tmpv_VSI_BS)+pModel->qprefsti*(+0.0-tmpv_VSI_BS_VSI_BS))+(+0.0*(Vjun_s-vjv)+0.0*(Vjun_s_VSI_BS-vjv_VSI_BS)+0.0*(Vjun_s_VSI_BS-vjv_VSI_BS)+pModel->qpref2sti*(+Vjun_s_VSI_BS_VSI_BS-vjv_VSI_BS_VSI_BS)));
#endif
#endif
qjunsti_s=((pModel->qprefsti*(1.0-tmpv))+(pModel->qpref2sti*(Vjun_s-vjv)));
EXIT_IF_ISNAN(((pModel->qprefsti*(1.0-tmpv))+(pModel->qpref2sti*(Vjun_s-vjv))))
#endif
}
#endif /* if(...) */
#ifdef _DYNAMIC
if
((pInst->zflaggat_s>0.5))
{
#ifdef _DYNAMIC
if
((pModel->one_minus_PGAT==0.5))
{
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,(1.0-(vjv*pModel->vbiinvgat)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(vjv*pModel->vbiinvgat)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=0.0;
  tmpv_VDI_BD_VSI_BS=0.0;
#endif
tmpv_VSI_BS=(-vjv_VSI_BS*pModel->vbiinvgat)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=(m20_sqrt((1.0-(vjv*pModel->vbiinvgat)))*(-(vjv_VDI_BD*pModel->vbiinvgat))*(-vjv_VSI_BS*pModel->vbiinvgat)+d10_sqrt0*(+0.0-(+vjv_VSI_BS_VDI_BD*pModel->vbiinvgat+vjv_VSI_BS*0.0+vjv_VDI_BD*0.0+vjv*0.0)));
  tmpv_VSI_BS_VSI_BS=(m20_sqrt((1.0-(vjv*pModel->vbiinvgat)))*(-(vjv_VSI_BS*pModel->vbiinvgat))*(-vjv_VSI_BS*pModel->vbiinvgat)+d10_sqrt0*(+0.0-(+vjv_VSI_BS_VSI_BS*pModel->vbiinvgat+vjv_VSI_BS*0.0+vjv_VSI_BS*0.0+vjv*0.0)));
#endif
#endif
tmpv=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#endif
}
else
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1.0-(vjv*pModel->vbiinvgat)),pModel->one_minus_PGAT)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0-(vjv*pModel->vbiinvgat)),pModel->one_minus_PGAT)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=0.0;
  tmpv_VDI_BD_VSI_BS=0.0;
#endif
tmpv_VSI_BS=(d10_pow0*(-vjv_VSI_BS*pModel->vbiinvgat));
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=fixme;
  tmpv_VSI_BS_VSI_BS=fixme;
#endif
#endif
tmpv=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND) */
#if defined(_DERIVATE)
qjungat_s_VDI_BD=0.0;
#endif
qjungat_s_VSI_BS=((pModel->qprefgat*(-tmpv_VSI_BS))+(pModel->qpref2gat*(Vjun_s_VSI_BS-vjv_VSI_BS)));
#if defined(_DERIVATE2)
  qjungat_s_VSI_BS_VDI_BD=(+(+0.0*(1.0-tmpv)+0.0*(-tmpv_VDI_BD)+0.0*(-tmpv_VSI_BS)+pModel->qprefgat*(+0.0-tmpv_VSI_BS_VDI_BD))+(+0.0*(Vjun_s-vjv)+0.0*(-vjv_VDI_BD)+0.0*(Vjun_s_VSI_BS-vjv_VSI_BS)+pModel->qpref2gat*(+0.0-vjv_VSI_BS_VDI_BD)));
  qjungat_s_VSI_BS_VSI_BS=(+(+0.0*(1.0-tmpv)+0.0*(-tmpv_VSI_BS)+0.0*(-tmpv_VSI_BS)+pModel->qprefgat*(+0.0-tmpv_VSI_BS_VSI_BS))+(+0.0*(Vjun_s-vjv)+0.0*(Vjun_s_VSI_BS-vjv_VSI_BS)+0.0*(Vjun_s_VSI_BS-vjv_VSI_BS)+pModel->qpref2gat*(+Vjun_s_VSI_BS_VSI_BS-vjv_VSI_BS_VSI_BS)));
#endif
#endif
qjungat_s=((pModel->qprefgat*(1.0-tmpv))+(pModel->qpref2gat*(Vjun_s-vjv)));
EXIT_IF_ISNAN(((pModel->qprefgat*(1.0-tmpv))+(pModel->qpref2gat*(Vjun_s-vjv))))
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=0.0;
  tmpv_VDI_BD_VSI_BS=0.0;
#endif
tmpv_VSI_BS=0.0;
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=0.0;
  tmpv_VSI_BS_VSI_BS=0.0;
#endif
#endif
tmpv=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
vjv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  vjv_VDI_BD_VDI_BD=0.0;
  vjv_VDI_BD_VSI_BS=0.0;
#endif
vjv_VSI_BS=0.0;
#if defined(_DERIVATE2)
  vjv_VSI_BS_VDI_BD=0.0;
  vjv_VSI_BS_VSI_BS=0.0;
#endif
#endif
vjv=0.0;
EXIT_IF_ISNAN(0.0)
#endif
pInst->h1=((4.0*pInst->vch_d)*pInst->vch_d);
EXIT_IF_ISNAN(((4.0*pInst->vch_d)*pInst->vch_d))
pInst->h2=(pInst->vch_d/pInst->vfmin_d);
EXIT_IF_ISNAN((pInst->vch_d/pInst->vfmin_d))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(DI,GND)V(BD,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
h2d_VDI_BD=Vjun_d_VDI_BD;
#if defined(_DERIVATE2)
  h2d_VDI_BD_VDI_BD=(+Vjun_d_VDI_BD_VDI_BD+(+0.0*pInst->h2+0.0*0.0+0.0*0.0+pInst->vch_d*0.0));
  h2d_VDI_BD_VSI_BS=(+0.0+(+0.0*pInst->h2+0.0*0.0+0.0*0.0+pInst->vch_d*0.0));
#endif
h2d_VSI_BS=0.0;
#if defined(_DERIVATE2)
  h2d_VSI_BS_VDI_BD=0.0;
  h2d_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->h2d=(Vjun_d+(pInst->vch_d*pInst->h2));
EXIT_IF_ISNAN((Vjun_d+(pInst->vch_d*pInst->h2)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(DI,GND)V(BD,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
h3_VDI_BD=h2d_VDI_BD;
#if defined(_DERIVATE2)
  h3_VDI_BD_VDI_BD=(+0.0+h2d_VDI_BD_VDI_BD);
  h3_VDI_BD_VSI_BS=(+0.0+h2d_VDI_BD_VSI_BS);
#endif
h3_VSI_BS=h2d_VSI_BS;
#if defined(_DERIVATE2)
  h3_VSI_BS_VDI_BD=(+0.0+h2d_VSI_BS_VDI_BD);
  h3_VSI_BS_VSI_BS=(+0.0+h2d_VSI_BS_VSI_BS);
#endif
#endif
pInst->h3=(pInst->vfmin_d+pInst->h2d);
EXIT_IF_ISNAN((pInst->vfmin_d+pInst->h2d))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(BD,GND)V(DI,GND) */
h4_VDI_BD=(-h2d_VDI_BD);
#if defined(_DERIVATE2)
  h4_VDI_BD_VDI_BD=(+0.0-h2d_VDI_BD_VDI_BD);
  h4_VDI_BD_VSI_BS=(+0.0-h2d_VDI_BD_VSI_BS);
#endif
h4_VSI_BS=(-h2d_VSI_BS);
#if defined(_DERIVATE2)
  h4_VSI_BS_VDI_BD=(+0.0-h2d_VSI_BS_VDI_BD);
  h4_VSI_BS_VSI_BS=(+0.0-h2d_VSI_BS_VSI_BS);
#endif
#endif
pInst->h4=(pInst->vfmin_d-pInst->h2d);
EXIT_IF_ISNAN((pInst->vfmin_d-pInst->h2d))
{
double m00_sqrt(d00_sqrt0,((pInst->h4*pInst->h4)+pInst->h1))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->h4*pInst->h4)+pInst->h1))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(DI,GND)V(BD,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
h5_VDI_BD=((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD))*d10_sqrt0;
#if defined(_DERIVATE2)
  h5_VDI_BD_VDI_BD=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD)))*((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD))+d10_sqrt0*(+(+h4_VDI_BD_VDI_BD*pInst->h4+h4_VDI_BD*h4_VDI_BD+h4_VDI_BD*h4_VDI_BD+pInst->h4*h4_VDI_BD_VDI_BD)+0.0));
  h5_VDI_BD_VSI_BS=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS)))*((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD))+d10_sqrt0*(+(+h4_VDI_BD_VSI_BS*pInst->h4+h4_VDI_BD*h4_VSI_BS+h4_VSI_BS*h4_VDI_BD+pInst->h4*h4_VDI_BD_VSI_BS)+0.0));
#endif
h5_VSI_BS=((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS))*d10_sqrt0;
#if defined(_DERIVATE2)
  h5_VSI_BS_VDI_BD=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD)))*((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS))+d10_sqrt0*(+(+h4_VSI_BS_VDI_BD*pInst->h4+h4_VSI_BS*h4_VDI_BD+h4_VDI_BD*h4_VSI_BS+pInst->h4*h4_VSI_BS_VDI_BD)+0.0));
  h5_VSI_BS_VSI_BS=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS)))*((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS))+d10_sqrt0*(+(+h4_VSI_BS_VSI_BS*pInst->h4+h4_VSI_BS*h4_VSI_BS+h4_VSI_BS*h4_VSI_BS+pInst->h4*h4_VSI_BS_VSI_BS)+0.0));
#endif
#endif
pInst->h5=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
vjv_VDI_BD=(2.0*((Vjun_d_VDI_BD*pInst->vfmin_d*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#if defined(_DERIVATE2)
  vjv_VDI_BD_VDI_BD=(+0.0*((Vjun_d*pInst->vfmin_d)/(pInst->h3+pInst->h5))+0.0*(((Vjun_d_VDI_BD*pInst->vfmin_d)*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*((Vjun_d_VDI_BD*pInst->vfmin_d*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+Vjun_d_VDI_BD_VDI_BD*pInst->vfmin_d+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0)/(pInst->h3+pInst->h5)-(Vjun_d_VDI_BD*pInst->vfmin_d*(h3_VDI_BD+h5_VDI_BD)+(Vjun_d_VDI_BD*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD)+(Vjun_d*pInst->vfmin_d)*(+h3_VDI_BD_VDI_BD+h5_VDI_BD_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD)*(h3_VDI_BD+h5_VDI_BD)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
  vjv_VDI_BD_VSI_BS=(+0.0*((Vjun_d*pInst->vfmin_d)/(pInst->h3+pInst->h5))+0.0*(((0.0)*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*((Vjun_d_VDI_BD*pInst->vfmin_d*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+0.0*pInst->vfmin_d+Vjun_d_VDI_BD*0.0+0.0*0.0+Vjun_d*0.0)/(pInst->h3+pInst->h5)-(Vjun_d_VDI_BD*pInst->vfmin_d*(h3_VSI_BS+h5_VSI_BS)+(0.0)*(h3_VDI_BD+h5_VDI_BD)+(Vjun_d*pInst->vfmin_d)*(+h3_VDI_BD_VSI_BS+h5_VDI_BD_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#endif
vjv_VSI_BS=(2.0*(-(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#if defined(_DERIVATE2)
  vjv_VSI_BS_VDI_BD=(+0.0*((Vjun_d*pInst->vfmin_d)/(pInst->h3+pInst->h5))+0.0*(((Vjun_d_VDI_BD*pInst->vfmin_d)*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*(-(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+0.0*pInst->vfmin_d+0.0*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0)/(pInst->h3+pInst->h5)-(0.0*(h3_VDI_BD+h5_VDI_BD)+(Vjun_d_VDI_BD*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS)+(Vjun_d*pInst->vfmin_d)*(+h3_VSI_BS_VDI_BD+h5_VSI_BS_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS)*(h3_VDI_BD+h5_VDI_BD)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
  vjv_VSI_BS_VSI_BS=(+0.0*((Vjun_d*pInst->vfmin_d)/(pInst->h3+pInst->h5))+0.0*(((0.0)*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*(-(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+0.0*pInst->vfmin_d+0.0*0.0+0.0*0.0+Vjun_d*0.0)/(pInst->h3+pInst->h5)-(0.0*(h3_VSI_BS+h5_VSI_BS)+(0.0)*(h3_VSI_BS+h5_VSI_BS)+(Vjun_d*pInst->vfmin_d)*(+h3_VSI_BS_VSI_BS+h5_VSI_BS_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#endif
#endif
vjv=(2.0*((Vjun_d*pInst->vfmin_d)/(pInst->h3+pInst->h5)));
EXIT_IF_ISNAN((2.0*((Vjun_d*pInst->vfmin_d)/(pInst->h3+pInst->h5))))
#endif
#ifdef _DYNAMIC
if
((pInst->zflagbot_d>0.5))
{
#ifdef _DYNAMIC
if
((pModel->one_minus_PBOT_d==0.5))
{
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,(1.0-(vjv*pModel->vbiinvbot_d)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(vjv*pModel->vbiinvbot_d)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=(-vjv_VDI_BD*pModel->vbiinvbot_d)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=(m20_sqrt((1.0-(vjv*pModel->vbiinvbot_d)))*(-(vjv_VDI_BD*pModel->vbiinvbot_d))*(-vjv_VDI_BD*pModel->vbiinvbot_d)+d10_sqrt0*(+0.0-(+vjv_VDI_BD_VDI_BD*pModel->vbiinvbot_d+vjv_VDI_BD*0.0+vjv_VDI_BD*0.0+vjv*0.0)));
  tmpv_VDI_BD_VSI_BS=(m20_sqrt((1.0-(vjv*pModel->vbiinvbot_d)))*(-(vjv_VSI_BS*pModel->vbiinvbot_d))*(-vjv_VDI_BD*pModel->vbiinvbot_d)+d10_sqrt0*(+0.0-(+vjv_VDI_BD_VSI_BS*pModel->vbiinvbot_d+vjv_VDI_BD*0.0+vjv_VSI_BS*0.0+vjv*0.0)));
#endif
tmpv_VSI_BS=(-vjv_VSI_BS*pModel->vbiinvbot_d)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=(m20_sqrt((1.0-(vjv*pModel->vbiinvbot_d)))*(-(vjv_VDI_BD*pModel->vbiinvbot_d))*(-vjv_VSI_BS*pModel->vbiinvbot_d)+d10_sqrt0*(+0.0-(+vjv_VSI_BS_VDI_BD*pModel->vbiinvbot_d+vjv_VSI_BS*0.0+vjv_VDI_BD*0.0+vjv*0.0)));
  tmpv_VSI_BS_VSI_BS=(m20_sqrt((1.0-(vjv*pModel->vbiinvbot_d)))*(-(vjv_VSI_BS*pModel->vbiinvbot_d))*(-vjv_VSI_BS*pModel->vbiinvbot_d)+d10_sqrt0*(+0.0-(+vjv_VSI_BS_VSI_BS*pModel->vbiinvbot_d+vjv_VSI_BS*0.0+vjv_VSI_BS*0.0+vjv*0.0)));
#endif
#endif
tmpv=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#endif
}
else
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1.0-(vjv*pModel->vbiinvbot_d)),pModel->one_minus_PBOT_d)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0-(vjv*pModel->vbiinvbot_d)),pModel->one_minus_PBOT_d)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=(d10_pow0*(-vjv_VDI_BD*pModel->vbiinvbot_d));
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=fixme;
  tmpv_VDI_BD_VSI_BS=fixme;
#endif
tmpv_VSI_BS=(d10_pow0*(-vjv_VSI_BS*pModel->vbiinvbot_d));
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=fixme;
  tmpv_VSI_BS_VSI_BS=fixme;
#endif
#endif
tmpv=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(DI,GND) */
qjunbot_d_VDI_BD=((pModel->qprefbot_d*(-tmpv_VDI_BD))+(pModel->qpref2bot_d*(Vjun_d_VDI_BD-vjv_VDI_BD)));
#if defined(_DERIVATE2)
  qjunbot_d_VDI_BD_VDI_BD=(+(+0.0*(1.0-tmpv)+0.0*(-tmpv_VDI_BD)+0.0*(-tmpv_VDI_BD)+pModel->qprefbot_d*(+0.0-tmpv_VDI_BD_VDI_BD))+(+0.0*(Vjun_d-vjv)+0.0*(Vjun_d_VDI_BD-vjv_VDI_BD)+0.0*(Vjun_d_VDI_BD-vjv_VDI_BD)+pModel->qpref2bot_d*(+Vjun_d_VDI_BD_VDI_BD-vjv_VDI_BD_VDI_BD)));
  qjunbot_d_VDI_BD_VSI_BS=(+(+0.0*(1.0-tmpv)+0.0*(-tmpv_VSI_BS)+0.0*(-tmpv_VDI_BD)+pModel->qprefbot_d*(+0.0-tmpv_VDI_BD_VSI_BS))+(+0.0*(Vjun_d-vjv)+0.0*(-vjv_VSI_BS)+0.0*(Vjun_d_VDI_BD-vjv_VDI_BD)+pModel->qpref2bot_d*(+0.0-vjv_VDI_BD_VSI_BS)));
#endif
#if defined(_DERIVATE)
qjunbot_d_VSI_BS=((pModel->qprefbot_d*(-tmpv_VSI_BS))+(pModel->qpref2bot_d*(-vjv_VSI_BS)));
#endif
#endif
qjunbot_d=((pModel->qprefbot_d*(1.0-tmpv))+(pModel->qpref2bot_d*(Vjun_d-vjv)));
EXIT_IF_ISNAN(((pModel->qprefbot_d*(1.0-tmpv))+(pModel->qpref2bot_d*(Vjun_d-vjv))))
#endif
}
#endif /* if(...) */
#ifdef _DYNAMIC
if
((pInst->zflagsti_d>0.5))
{
#ifdef _DYNAMIC
if
((pModel->one_minus_PSTI_d==0.5))
{
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,(1.0-(vjv*pModel->vbiinvsti_d)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(vjv*pModel->vbiinvsti_d)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=(-vjv_VDI_BD*pModel->vbiinvsti_d)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=(m20_sqrt((1.0-(vjv*pModel->vbiinvsti_d)))*(-(vjv_VDI_BD*pModel->vbiinvsti_d))*(-vjv_VDI_BD*pModel->vbiinvsti_d)+d10_sqrt0*(+0.0-(+vjv_VDI_BD_VDI_BD*pModel->vbiinvsti_d+vjv_VDI_BD*0.0+vjv_VDI_BD*0.0+vjv*0.0)));
  tmpv_VDI_BD_VSI_BS=(m20_sqrt((1.0-(vjv*pModel->vbiinvsti_d)))*(-(vjv_VSI_BS*pModel->vbiinvsti_d))*(-vjv_VDI_BD*pModel->vbiinvsti_d)+d10_sqrt0*(+0.0-(+vjv_VDI_BD_VSI_BS*pModel->vbiinvsti_d+vjv_VDI_BD*0.0+vjv_VSI_BS*0.0+vjv*0.0)));
#endif
tmpv_VSI_BS=(-vjv_VSI_BS*pModel->vbiinvsti_d)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=(m20_sqrt((1.0-(vjv*pModel->vbiinvsti_d)))*(-(vjv_VDI_BD*pModel->vbiinvsti_d))*(-vjv_VSI_BS*pModel->vbiinvsti_d)+d10_sqrt0*(+0.0-(+vjv_VSI_BS_VDI_BD*pModel->vbiinvsti_d+vjv_VSI_BS*0.0+vjv_VDI_BD*0.0+vjv*0.0)));
  tmpv_VSI_BS_VSI_BS=(m20_sqrt((1.0-(vjv*pModel->vbiinvsti_d)))*(-(vjv_VSI_BS*pModel->vbiinvsti_d))*(-vjv_VSI_BS*pModel->vbiinvsti_d)+d10_sqrt0*(+0.0-(+vjv_VSI_BS_VSI_BS*pModel->vbiinvsti_d+vjv_VSI_BS*0.0+vjv_VSI_BS*0.0+vjv*0.0)));
#endif
#endif
tmpv=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#endif
}
else
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1.0-(vjv*pModel->vbiinvsti_d)),pModel->one_minus_PSTI_d)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0-(vjv*pModel->vbiinvsti_d)),pModel->one_minus_PSTI_d)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=(d10_pow0*(-vjv_VDI_BD*pModel->vbiinvsti_d));
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=fixme;
  tmpv_VDI_BD_VSI_BS=fixme;
#endif
tmpv_VSI_BS=(d10_pow0*(-vjv_VSI_BS*pModel->vbiinvsti_d));
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=fixme;
  tmpv_VSI_BS_VSI_BS=fixme;
#endif
#endif
tmpv=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(DI,GND) */
qjunsti_d_VDI_BD=((pModel->qprefsti_d*(-tmpv_VDI_BD))+(pModel->qpref2sti_d*(Vjun_d_VDI_BD-vjv_VDI_BD)));
#if defined(_DERIVATE2)
  qjunsti_d_VDI_BD_VDI_BD=(+(+0.0*(1.0-tmpv)+0.0*(-tmpv_VDI_BD)+0.0*(-tmpv_VDI_BD)+pModel->qprefsti_d*(+0.0-tmpv_VDI_BD_VDI_BD))+(+0.0*(Vjun_d-vjv)+0.0*(Vjun_d_VDI_BD-vjv_VDI_BD)+0.0*(Vjun_d_VDI_BD-vjv_VDI_BD)+pModel->qpref2sti_d*(+Vjun_d_VDI_BD_VDI_BD-vjv_VDI_BD_VDI_BD)));
  qjunsti_d_VDI_BD_VSI_BS=(+(+0.0*(1.0-tmpv)+0.0*(-tmpv_VSI_BS)+0.0*(-tmpv_VDI_BD)+pModel->qprefsti_d*(+0.0-tmpv_VDI_BD_VSI_BS))+(+0.0*(Vjun_d-vjv)+0.0*(-vjv_VSI_BS)+0.0*(Vjun_d_VDI_BD-vjv_VDI_BD)+pModel->qpref2sti_d*(+0.0-vjv_VDI_BD_VSI_BS)));
#endif
#if defined(_DERIVATE)
qjunsti_d_VSI_BS=((pModel->qprefsti_d*(-tmpv_VSI_BS))+(pModel->qpref2sti_d*(-vjv_VSI_BS)));
#endif
#endif
qjunsti_d=((pModel->qprefsti_d*(1.0-tmpv))+(pModel->qpref2sti_d*(Vjun_d-vjv)));
EXIT_IF_ISNAN(((pModel->qprefsti_d*(1.0-tmpv))+(pModel->qpref2sti_d*(Vjun_d-vjv))))
#endif
}
#endif /* if(...) */
#ifdef _DYNAMIC
if
((pInst->zflaggat_d>0.5))
{
#ifdef _DYNAMIC
if
((pModel->one_minus_PGAT_d==0.5))
{
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,(1.0-(vjv*pModel->vbiinvgat_d)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(vjv*pModel->vbiinvgat_d)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=(-vjv_VDI_BD*pModel->vbiinvgat_d)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=(m20_sqrt((1.0-(vjv*pModel->vbiinvgat_d)))*(-(vjv_VDI_BD*pModel->vbiinvgat_d))*(-vjv_VDI_BD*pModel->vbiinvgat_d)+d10_sqrt0*(+0.0-(+vjv_VDI_BD_VDI_BD*pModel->vbiinvgat_d+vjv_VDI_BD*0.0+vjv_VDI_BD*0.0+vjv*0.0)));
  tmpv_VDI_BD_VSI_BS=(m20_sqrt((1.0-(vjv*pModel->vbiinvgat_d)))*(-(vjv_VSI_BS*pModel->vbiinvgat_d))*(-vjv_VDI_BD*pModel->vbiinvgat_d)+d10_sqrt0*(+0.0-(+vjv_VDI_BD_VSI_BS*pModel->vbiinvgat_d+vjv_VDI_BD*0.0+vjv_VSI_BS*0.0+vjv*0.0)));
#endif
tmpv_VSI_BS=(-vjv_VSI_BS*pModel->vbiinvgat_d)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=(m20_sqrt((1.0-(vjv*pModel->vbiinvgat_d)))*(-(vjv_VDI_BD*pModel->vbiinvgat_d))*(-vjv_VSI_BS*pModel->vbiinvgat_d)+d10_sqrt0*(+0.0-(+vjv_VSI_BS_VDI_BD*pModel->vbiinvgat_d+vjv_VSI_BS*0.0+vjv_VDI_BD*0.0+vjv*0.0)));
  tmpv_VSI_BS_VSI_BS=(m20_sqrt((1.0-(vjv*pModel->vbiinvgat_d)))*(-(vjv_VSI_BS*pModel->vbiinvgat_d))*(-vjv_VSI_BS*pModel->vbiinvgat_d)+d10_sqrt0*(+0.0-(+vjv_VSI_BS_VSI_BS*pModel->vbiinvgat_d+vjv_VSI_BS*0.0+vjv_VSI_BS*0.0+vjv*0.0)));
#endif
#endif
tmpv=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#endif
}
else
{
#if defined(_DYNAMIC)
{
double m00_pow(d00_pow0,(1.0-(vjv*pModel->vbiinvgat_d)),pModel->one_minus_PGAT_d)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0-(vjv*pModel->vbiinvgat_d)),pModel->one_minus_PGAT_d)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND)V(DI,GND) */
tmpv_VDI_BD=(d10_pow0*(-vjv_VDI_BD*pModel->vbiinvgat_d));
#if defined(_DERIVATE2)
  tmpv_VDI_BD_VDI_BD=fixme;
  tmpv_VDI_BD_VSI_BS=fixme;
#endif
tmpv_VSI_BS=(d10_pow0*(-vjv_VSI_BS*pModel->vbiinvgat_d));
#if defined(_DERIVATE2)
  tmpv_VSI_BS_VDI_BD=fixme;
  tmpv_VSI_BS_VSI_BS=fixme;
#endif
#endif
tmpv=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(DI,GND) */
qjungat_d_VDI_BD=((pModel->qprefgat_d*(-tmpv_VDI_BD))+(pModel->qpref2gat_d*(Vjun_d_VDI_BD-vjv_VDI_BD)));
#if defined(_DERIVATE2)
  qjungat_d_VDI_BD_VDI_BD=(+(+0.0*(1.0-tmpv)+0.0*(-tmpv_VDI_BD)+0.0*(-tmpv_VDI_BD)+pModel->qprefgat_d*(+0.0-tmpv_VDI_BD_VDI_BD))+(+0.0*(Vjun_d-vjv)+0.0*(Vjun_d_VDI_BD-vjv_VDI_BD)+0.0*(Vjun_d_VDI_BD-vjv_VDI_BD)+pModel->qpref2gat_d*(+Vjun_d_VDI_BD_VDI_BD-vjv_VDI_BD_VDI_BD)));
  qjungat_d_VDI_BD_VSI_BS=(+(+0.0*(1.0-tmpv)+0.0*(-tmpv_VSI_BS)+0.0*(-tmpv_VDI_BD)+pModel->qprefgat_d*(+0.0-tmpv_VDI_BD_VSI_BS))+(+0.0*(Vjun_d-vjv)+0.0*(-vjv_VSI_BS)+0.0*(Vjun_d_VDI_BD-vjv_VDI_BD)+pModel->qpref2gat_d*(+0.0-vjv_VDI_BD_VSI_BS)));
#endif
#if defined(_DERIVATE)
qjungat_d_VSI_BS=((pModel->qprefgat_d*(-tmpv_VSI_BS))+(pModel->qpref2gat_d*(-vjv_VSI_BS)));
#endif
#endif
qjungat_d=((pModel->qprefgat_d*(1.0-tmpv))+(pModel->qpref2gat_d*(Vjun_d-vjv)));
EXIT_IF_ISNAN(((pModel->qprefgat_d*(1.0-tmpv))+(pModel->qpref2gat_d*(Vjun_d-vjv))))
#endif
}
#endif /* if(...) */
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
vbbt_VDI_BD=0.0;
#if defined(_DERIVATE2)
  vbbt_VDI_BD_VDI_BD=0.0;
  vbbt_VDI_BD_VSI_BS=0.0;
#endif
vbbt_VSI_BS=0.0;
#if defined(_DERIVATE2)
  vbbt_VSI_BS_VDI_BD=0.0;
  vbbt_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->vbbt=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
two_psistar_VDI_BD=0.0;
#if defined(_DERIVATE2)
  two_psistar_VDI_BD_VDI_BD=0.0;
  two_psistar_VDI_BD_VSI_BS=0.0;
#endif
two_psistar_VSI_BS=0.0;
#if defined(_DERIVATE2)
  two_psistar_VSI_BS_VDI_BD=0.0;
  two_psistar_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->two_psistar=0.0;
EXIT_IF_ISNAN(0.0)
if
((!(((pInst->ABSOURCE_i==0.0)&&(pInst->LSSOURCE_i==0.0))&&(pInst->LGSOURCE_i==0.0))))
{
pInst->h1=((4.0*pInst->vch_s)*pInst->vch_s);
EXIT_IF_ISNAN(((4.0*pInst->vch_s)*pInst->vch_s))
pInst->h2=(pInst->vch_s/pInst->vfmin_s);
EXIT_IF_ISNAN((pInst->vch_s/pInst->vfmin_s))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(DI,GND)V(BD,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
h2d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  h2d_VDI_BD_VDI_BD=0.0;
  h2d_VDI_BD_VSI_BS=0.0;
#endif
h2d_VSI_BS=Vjun_s_VSI_BS;
#if defined(_DERIVATE2)
  h2d_VSI_BS_VDI_BD=(+0.0+(+0.0*pInst->h2+0.0*0.0+0.0*0.0+pInst->vch_s*0.0));
  h2d_VSI_BS_VSI_BS=(+Vjun_s_VSI_BS_VSI_BS+(+0.0*pInst->h2+0.0*0.0+0.0*0.0+pInst->vch_s*0.0));
#endif
#endif
pInst->h2d=(Vjun_s+(pInst->vch_s*pInst->h2));
EXIT_IF_ISNAN((Vjun_s+(pInst->vch_s*pInst->h2)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(DI,GND)V(BD,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
h3_VDI_BD=h2d_VDI_BD;
#if defined(_DERIVATE2)
  h3_VDI_BD_VDI_BD=(+0.0+h2d_VDI_BD_VDI_BD);
  h3_VDI_BD_VSI_BS=(+0.0+h2d_VDI_BD_VSI_BS);
#endif
h3_VSI_BS=h2d_VSI_BS;
#if defined(_DERIVATE2)
  h3_VSI_BS_VDI_BD=(+0.0+h2d_VSI_BS_VDI_BD);
  h3_VSI_BS_VSI_BS=(+0.0+h2d_VSI_BS_VSI_BS);
#endif
#endif
pInst->h3=(pInst->vfmin_s+pInst->h2d);
EXIT_IF_ISNAN((pInst->vfmin_s+pInst->h2d))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(BD,GND)V(DI,GND) */
h4_VDI_BD=(-h2d_VDI_BD);
#if defined(_DERIVATE2)
  h4_VDI_BD_VDI_BD=(+0.0-h2d_VDI_BD_VDI_BD);
  h4_VDI_BD_VSI_BS=(+0.0-h2d_VDI_BD_VSI_BS);
#endif
h4_VSI_BS=(-h2d_VSI_BS);
#if defined(_DERIVATE2)
  h4_VSI_BS_VDI_BD=(+0.0-h2d_VSI_BS_VDI_BD);
  h4_VSI_BS_VSI_BS=(+0.0-h2d_VSI_BS_VSI_BS);
#endif
#endif
pInst->h4=(pInst->vfmin_s-pInst->h2d);
EXIT_IF_ISNAN((pInst->vfmin_s-pInst->h2d))
{
double m00_sqrt(d00_sqrt0,((pInst->h4*pInst->h4)+pInst->h1))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->h4*pInst->h4)+pInst->h1))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(DI,GND)V(BD,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
h5_VDI_BD=((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD))*d10_sqrt0;
#if defined(_DERIVATE2)
  h5_VDI_BD_VDI_BD=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD)))*((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD))+d10_sqrt0*(+(+h4_VDI_BD_VDI_BD*pInst->h4+h4_VDI_BD*h4_VDI_BD+h4_VDI_BD*h4_VDI_BD+pInst->h4*h4_VDI_BD_VDI_BD)+0.0));
  h5_VDI_BD_VSI_BS=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS)))*((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD))+d10_sqrt0*(+(+h4_VDI_BD_VSI_BS*pInst->h4+h4_VDI_BD*h4_VSI_BS+h4_VSI_BS*h4_VDI_BD+pInst->h4*h4_VDI_BD_VSI_BS)+0.0));
#endif
h5_VSI_BS=((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS))*d10_sqrt0;
#if defined(_DERIVATE2)
  h5_VSI_BS_VDI_BD=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD)))*((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS))+d10_sqrt0*(+(+h4_VSI_BS_VDI_BD*pInst->h4+h4_VSI_BS*h4_VDI_BD+h4_VDI_BD*h4_VSI_BS+pInst->h4*h4_VSI_BS_VDI_BD)+0.0));
  h5_VSI_BS_VSI_BS=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS)))*((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS))+d10_sqrt0*(+(+h4_VSI_BS_VSI_BS*pInst->h4+h4_VSI_BS*h4_VSI_BS+h4_VSI_BS*h4_VSI_BS+pInst->h4*h4_VSI_BS_VSI_BS)+0.0));
#endif
#endif
pInst->h5=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(BD,GND)V(DI,GND) */
vj_VSI_BS=(2.0*((Vjun_s_VSI_BS*pInst->vfmin_s*(pInst->h3+pInst->h5)-(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#if defined(_DERIVATE2)
  vj_VSI_BS_VSI_BS=(+0.0*((Vjun_s*pInst->vfmin_s)/(pInst->h3+pInst->h5))+0.0*(((Vjun_s_VSI_BS*pInst->vfmin_s)*(pInst->h3+pInst->h5)-(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*((Vjun_s_VSI_BS*pInst->vfmin_s*(pInst->h3+pInst->h5)-(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+Vjun_s_VSI_BS_VSI_BS*pInst->vfmin_s+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0)/(pInst->h3+pInst->h5)-(Vjun_s_VSI_BS*pInst->vfmin_s*(h3_VSI_BS+h5_VSI_BS)+(Vjun_s_VSI_BS*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS)+(Vjun_s*pInst->vfmin_s)*(+h3_VSI_BS_VSI_BS+h5_VSI_BS_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
  vj_VSI_BS_VDI_BD=(+0.0*((Vjun_s*pInst->vfmin_s)/(pInst->h3+pInst->h5))+0.0*(((0.0)*(pInst->h3+pInst->h5)-(Vjun_s*pInst->vfmin_s)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*((Vjun_s_VSI_BS*pInst->vfmin_s*(pInst->h3+pInst->h5)-(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+0.0*pInst->vfmin_s+Vjun_s_VSI_BS*0.0+0.0*0.0+Vjun_s*0.0)/(pInst->h3+pInst->h5)-(Vjun_s_VSI_BS*pInst->vfmin_s*(h3_VDI_BD+h5_VDI_BD)+(0.0)*(h3_VSI_BS+h5_VSI_BS)+(Vjun_s*pInst->vfmin_s)*(+h3_VSI_BS_VDI_BD+h5_VSI_BS_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS)*(h3_VDI_BD+h5_VDI_BD)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#endif
vj_VDI_BD=(2.0*(-(Vjun_s*pInst->vfmin_s)*(h3_VDI_BD+h5_VDI_BD)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#if defined(_DERIVATE2)
  vj_VDI_BD_VSI_BS=(+0.0*((Vjun_s*pInst->vfmin_s)/(pInst->h3+pInst->h5))+0.0*(((Vjun_s_VSI_BS*pInst->vfmin_s)*(pInst->h3+pInst->h5)-(Vjun_s*pInst->vfmin_s)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*(-(Vjun_s*pInst->vfmin_s)*(h3_VDI_BD+h5_VDI_BD)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+0.0*pInst->vfmin_s+0.0*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0)/(pInst->h3+pInst->h5)-(0.0*(h3_VSI_BS+h5_VSI_BS)+(Vjun_s_VSI_BS*pInst->vfmin_s)*(h3_VDI_BD+h5_VDI_BD)+(Vjun_s*pInst->vfmin_s)*(+h3_VDI_BD_VSI_BS+h5_VDI_BD_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_s*pInst->vfmin_s)*(h3_VDI_BD+h5_VDI_BD)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
  vj_VDI_BD_VDI_BD=(+0.0*((Vjun_s*pInst->vfmin_s)/(pInst->h3+pInst->h5))+0.0*(((0.0)*(pInst->h3+pInst->h5)-(Vjun_s*pInst->vfmin_s)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*(-(Vjun_s*pInst->vfmin_s)*(h3_VDI_BD+h5_VDI_BD)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+0.0*pInst->vfmin_s+0.0*0.0+0.0*0.0+Vjun_s*0.0)/(pInst->h3+pInst->h5)-(0.0*(h3_VDI_BD+h5_VDI_BD)+(0.0)*(h3_VDI_BD+h5_VDI_BD)+(Vjun_s*pInst->vfmin_s)*(+h3_VDI_BD_VDI_BD+h5_VDI_BD_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_s*pInst->vfmin_s)*(h3_VDI_BD+h5_VDI_BD)*(h3_VDI_BD+h5_VDI_BD)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#endif
#endif
pInst->vj=(2.0*((Vjun_s*pInst->vfmin_s)/(pInst->h3+pInst->h5)));
EXIT_IF_ISNAN((2.0*((Vjun_s*pInst->vfmin_s)/(pInst->h3+pInst->h5))))
if
((Vjun_s<pInst->VMAX_s))
{
{
double m00_fabs(d00_fabs0,(0.5*(Vjun_s*pModel->phitdinv)))
if
((d00_fabs0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,(0.5*(Vjun_s*pModel->phitdinv)))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
zinv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  zinv_VDI_BD_VDI_BD=0.0;
  zinv_VDI_BD_VSI_BS=0.0;
#endif
zinv_VSI_BS=(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*d10_exp0;
#if defined(_DERIVATE2)
  zinv_VSI_BS_VDI_BD=(m20_exp((0.5*(Vjun_s*pModel->phitdinv)))*((0.5*(0.0)))*(0.5*Vjun_s_VSI_BS*pModel->phitdinv)+d10_exp0*(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_s_VSI_BS*0.0+0.0*0.0+Vjun_s*0.0)));
  zinv_VSI_BS_VSI_BS=(m20_exp((0.5*(Vjun_s*pModel->phitdinv)))*((0.5*(Vjun_s_VSI_BS*pModel->phitdinv)))*(0.5*Vjun_s_VSI_BS*pModel->phitdinv)+d10_exp0*(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(Vjun_s_VSI_BS*pModel->phitdinv)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+Vjun_s_VSI_BS_VSI_BS*pModel->phitdinv+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0)));
#endif
#endif
pInst->zinv=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
if
(((0.5*(Vjun_s*pModel->phitdinv))<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
zinv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  zinv_VDI_BD_VDI_BD=0.0;
  zinv_VDI_BD_VSI_BS=0.0;
#endif
zinv_VSI_BS=(-1.0e-100*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(0.5*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  zinv_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))))-(0.0*((((-((0.5*(0.0))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*((0.5*((((-((0.5*(0.0))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*((-((0.5*(0.0))))*3.3333333333333333e-01)))))))))+0.0*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(0.5*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_s_VSI_BS*0.0+0.0*0.0+Vjun_s*0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))+(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*((0.5*((((-((0.5*(0.0))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*((-((0.5*(0.0))))*3.3333333333333333e-01))))))+(-((0.5*(0.0))))*(0.5*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+0.0*((((-((0.5*(0.0))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*((-((0.5*(0.0))))*3.3333333333333333e-01))))+0.0*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_s_VSI_BS*0.0+0.0*0.0+Vjun_s*0.0)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))+(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*((-((0.5*(0.0))))*3.3333333333333333e-01)+(-((0.5*(0.0))))*(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(+0.0+(+(+0.0-(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_s_VSI_BS*0.0+0.0*0.0+Vjun_s*0.0)))*3.3333333333333333e-01+(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*0.0+(-((0.5*(0.0))))*0.0+((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(0.5*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*3.3333333333333333e-01)))))*((((-((0.5*(0.0))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*((0.5*((((-((0.5*(0.0))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*((-((0.5*(0.0))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))));
  zinv_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))))-(0.0*((((-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*((0.5*((((-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*((-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*3.3333333333333333e-01)))))))))+0.0*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(0.5*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(Vjun_s_VSI_BS*pModel->phitdinv)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+Vjun_s_VSI_BS_VSI_BS*pModel->phitdinv+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))+(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*((0.5*((((-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*((-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*3.3333333333333333e-01))))))+(-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*(0.5*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+0.0*((((-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*((-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*3.3333333333333333e-01))))+0.0*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(Vjun_s_VSI_BS*pModel->phitdinv)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+Vjun_s_VSI_BS_VSI_BS*pModel->phitdinv+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))+(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*((-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*3.3333333333333333e-01)+(-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(+0.0+(+(+0.0-(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(Vjun_s_VSI_BS*pModel->phitdinv)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+Vjun_s_VSI_BS_VSI_BS*pModel->phitdinv+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0)))*3.3333333333333333e-01+(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*0.0+(-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*0.0+((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(0.5*(((-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(-(0.5*Vjun_s_VSI_BS*pModel->phitdinv))*3.3333333333333333e-01)))))*((((-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*((0.5*((((-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*((-((0.5*(Vjun_s_VSI_BS*pModel->phitdinv))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->zinv=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*pModel->phitdinv)))*3.3333333333333333e-01)))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
zinv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  zinv_VDI_BD_VDI_BD=0.0;
  zinv_VDI_BD_VSI_BS=0.0;
#endif
zinv_VSI_BS=(1.0e100*(((0.5*Vjun_s_VSI_BS*pModel->phitdinv)*(1.0+(0.5*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*(((0.5*Vjun_s_VSI_BS*pModel->phitdinv)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  zinv_VSI_BS_VDI_BD=(+0.0*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((((0.5*(0.0)))*(1.0+(0.5*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*((0.5*(((((0.5*(0.0)))*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(((0.5*(0.0)))*3.3333333333333333e-01)))))))))+0.0*(((0.5*Vjun_s_VSI_BS*pModel->phitdinv)*(1.0+(0.5*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*(((0.5*Vjun_s_VSI_BS*pModel->phitdinv)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_s_VSI_BS*0.0+0.0*0.0+Vjun_s*0.0))-0.0)*(1.0+(0.5*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*((0.5*(((((0.5*(0.0)))*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(((0.5*(0.0)))*3.3333333333333333e-01))))))+((0.5*(0.0)))*(0.5*(((0.5*Vjun_s_VSI_BS*pModel->phitdinv)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*3.3333333333333333e-01)))+((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(+0.0+(+0.0*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((((0.5*(0.0)))*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(((0.5*(0.0)))*3.3333333333333333e-01))))+0.0*(((0.5*Vjun_s_VSI_BS*pModel->phitdinv)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*3.3333333333333333e-01))+0.5*(+(+(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_s_VSI_BS*0.0+0.0*0.0+Vjun_s*0.0))-0.0)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))+(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*(((0.5*(0.0)))*3.3333333333333333e-01)+((0.5*(0.0)))*(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*3.3333333333333333e-01+((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(+0.0+(+(+(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_s_VSI_BS*0.0+0.0*0.0+Vjun_s*0.0))-0.0)*3.3333333333333333e-01+(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*0.0+((0.5*(0.0)))*0.0+((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*0.0))))))));
  zinv_VSI_BS_VSI_BS=(+0.0*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((((0.5*(Vjun_s_VSI_BS*pModel->phitdinv)))*(1.0+(0.5*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*((0.5*(((((0.5*(Vjun_s_VSI_BS*pModel->phitdinv)))*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(((0.5*(Vjun_s_VSI_BS*pModel->phitdinv)))*3.3333333333333333e-01)))))))))+0.0*(((0.5*Vjun_s_VSI_BS*pModel->phitdinv)*(1.0+(0.5*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*(((0.5*Vjun_s_VSI_BS*pModel->phitdinv)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(Vjun_s_VSI_BS*pModel->phitdinv)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+Vjun_s_VSI_BS_VSI_BS*pModel->phitdinv+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0))-0.0)*(1.0+(0.5*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*((0.5*(((((0.5*(Vjun_s_VSI_BS*pModel->phitdinv)))*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(((0.5*(Vjun_s_VSI_BS*pModel->phitdinv)))*3.3333333333333333e-01))))))+((0.5*(Vjun_s_VSI_BS*pModel->phitdinv)))*(0.5*(((0.5*Vjun_s_VSI_BS*pModel->phitdinv)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*3.3333333333333333e-01)))+((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(+0.0+(+0.0*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((((0.5*(Vjun_s_VSI_BS*pModel->phitdinv)))*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(((0.5*(Vjun_s_VSI_BS*pModel->phitdinv)))*3.3333333333333333e-01))))+0.0*(((0.5*Vjun_s_VSI_BS*pModel->phitdinv)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*3.3333333333333333e-01))+0.5*(+(+(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(Vjun_s_VSI_BS*pModel->phitdinv)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+Vjun_s_VSI_BS_VSI_BS*pModel->phitdinv+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0))-0.0)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))+(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*(((0.5*(Vjun_s_VSI_BS*pModel->phitdinv)))*3.3333333333333333e-01)+((0.5*(Vjun_s_VSI_BS*pModel->phitdinv)))*(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*3.3333333333333333e-01+((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(+0.0+(+(+(+0.0*(Vjun_s*pModel->phitdinv)+0.0*(Vjun_s_VSI_BS*pModel->phitdinv)+0.0*Vjun_s_VSI_BS*pModel->phitdinv+0.5*(+Vjun_s_VSI_BS_VSI_BS*pModel->phitdinv+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+Vjun_s*0.0))-0.0)*3.3333333333333333e-01+(0.5*Vjun_s_VSI_BS*pModel->phitdinv)*0.0+((0.5*(Vjun_s_VSI_BS*pModel->phitdinv)))*0.0+((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
pInst->zinv=(1.0e100*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
idmult_VDI_BD=0.0;
#if defined(_DERIVATE2)
  idmult_VDI_BD_VDI_BD=0.0;
  idmult_VDI_BD_VSI_BS=0.0;
#endif
idmult_VSI_BS=((zinv_VSI_BS*pInst->zinv)+(pInst->zinv*zinv_VSI_BS));
#if defined(_DERIVATE2)
  idmult_VSI_BS_VDI_BD=(+zinv_VSI_BS_VDI_BD*pInst->zinv+zinv_VSI_BS*zinv_VDI_BD+zinv_VDI_BD*zinv_VSI_BS+pInst->zinv*zinv_VSI_BS_VDI_BD);
  idmult_VSI_BS_VSI_BS=(+zinv_VSI_BS_VSI_BS*pInst->zinv+zinv_VSI_BS*zinv_VSI_BS+zinv_VSI_BS*zinv_VSI_BS+pInst->zinv*zinv_VSI_BS_VSI_BS);
#endif
#endif
pInst->idmult=(pInst->zinv*pInst->zinv);
EXIT_IF_ISNAN((pInst->zinv*pInst->zinv))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
idmult_VDI_BD=0.0;
#if defined(_DERIVATE2)
  idmult_VDI_BD_VDI_BD=0.0;
  idmult_VDI_BD_VSI_BS=0.0;
#endif
idmult_VSI_BS=Vjun_s_VSI_BS*pModel->phitdinv*pInst->exp_VMAX_over_phitd_s;
#if defined(_DERIVATE2)
  idmult_VSI_BS_VDI_BD=(+(+0.0+(+(+0.0-0.0)*pModel->phitdinv+Vjun_s_VSI_BS*0.0+0.0*0.0+(Vjun_s-pInst->VMAX_s)*0.0))*pInst->exp_VMAX_over_phitd_s+Vjun_s_VSI_BS*pModel->phitdinv*0.0+(0.0)*0.0+(1.0+((Vjun_s-pInst->VMAX_s)*pModel->phitdinv))*0.0);
  idmult_VSI_BS_VSI_BS=(+(+0.0+(+(+Vjun_s_VSI_BS_VSI_BS-0.0)*pModel->phitdinv+Vjun_s_VSI_BS*0.0+Vjun_s_VSI_BS*0.0+(Vjun_s-pInst->VMAX_s)*0.0))*pInst->exp_VMAX_over_phitd_s+Vjun_s_VSI_BS*pModel->phitdinv*0.0+(Vjun_s_VSI_BS*pModel->phitdinv)*0.0+(1.0+((Vjun_s-pInst->VMAX_s)*pModel->phitdinv))*0.0);
#endif
#endif
pInst->idmult=((1.0+((Vjun_s-pInst->VMAX_s)*pModel->phitdinv))*pInst->exp_VMAX_over_phitd_s);
EXIT_IF_ISNAN(((1.0+((Vjun_s-pInst->VMAX_s)*pModel->phitdinv))*pInst->exp_VMAX_over_phitd_s))
{
double m00_sqrt(d00_sqrt0,pInst->idmult)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,pInst->idmult)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
zinv_VDI_BD=0.0;
#if defined(_DERIVATE2)
  zinv_VDI_BD_VDI_BD=0.0;
  zinv_VDI_BD_VSI_BS=0.0;
#endif
zinv_VSI_BS=idmult_VSI_BS*d10_sqrt0;
#if defined(_DERIVATE2)
  zinv_VSI_BS_VDI_BD=(m20_sqrt(pInst->idmult)*idmult_VDI_BD*idmult_VSI_BS+d10_sqrt0*idmult_VSI_BS_VDI_BD);
  zinv_VSI_BS_VSI_BS=(m20_sqrt(pInst->idmult)*idmult_VSI_BS*idmult_VSI_BS+d10_sqrt0*idmult_VSI_BS_VSI_BS);
#endif
#endif
pInst->zinv=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
idmult_VDI_BD=0.0;
#if defined(_DERIVATE2)
  idmult_VDI_BD_VDI_BD=0.0;
  idmult_VDI_BD_VSI_BS=0.0;
#endif
idmult_VSI_BS=idmult_VSI_BS;
#if defined(_DERIVATE2)
  idmult_VSI_BS_VDI_BD=(+idmult_VSI_BS_VDI_BD-0.0);
  idmult_VSI_BS_VSI_BS=(+idmult_VSI_BS_VSI_BS-0.0);
#endif
#endif
pInst->idmult=(pInst->idmult-1.0);
EXIT_IF_ISNAN((pInst->idmult-1.0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
z_VDI_BD=0.0;
#if defined(_DERIVATE2)
  z_VDI_BD_VDI_BD=0.0;
  z_VDI_BD_VSI_BS=0.0;
#endif
z_VSI_BS=(-zinv_VSI_BS/pInst->zinv/pInst->zinv);
#if defined(_DERIVATE2)
  z_VSI_BS_VDI_BD=(0.0/pInst->zinv-(0.0*zinv_VDI_BD+0.0*zinv_VSI_BS+1.0*zinv_VSI_BS_VDI_BD)/pInst->zinv/pInst->zinv+2*1.0*zinv_VSI_BS*zinv_VDI_BD/pInst->zinv/pInst->zinv/pInst->zinv);
  z_VSI_BS_VSI_BS=(0.0/pInst->zinv-(0.0*zinv_VSI_BS+0.0*zinv_VSI_BS+1.0*zinv_VSI_BS_VSI_BS)/pInst->zinv/pInst->zinv+2*1.0*zinv_VSI_BS*zinv_VSI_BS/pInst->zinv/pInst->zinv/pInst->zinv);
#endif
#endif
pInst->z=(1.0/pInst->zinv);
EXIT_IF_ISNAN((1.0/pInst->zinv))
if
((Vjun_s>0.0))
{
{
double m00_sqrt(d00_sqrt0,((pInst->z+1.0)*(pInst->z+3.0)))
double m00_logE(d00_logE1,((2.0+pInst->z)+d00_sqrt0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->z+1.0)*(pInst->z+3.0)))
double m10_logE(d10_logE1,d00_logE1,((2.0+pInst->z)+d00_sqrt0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
two_psistar_VDI_BD=0.0;
#if defined(_DERIVATE2)
  two_psistar_VDI_BD_VDI_BD=0.0;
  two_psistar_VDI_BD_VSI_BS=0.0;
#endif
two_psistar_VSI_BS=(2.0*(pModel->phitd*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)*d10_logE1));
#if defined(_DERIVATE2)
  two_psistar_VSI_BS_VDI_BD=(+0.0*(pModel->phitd*d00_logE1)+0.0*((pModel->phitd*(z_VDI_BD+(((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD)))*d10_sqrt0)*d10_logE1))+0.0*(pModel->phitd*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)*d10_logE1)+2.0*(+0.0*d00_logE1+0.0*(z_VDI_BD+(((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD)))*d10_sqrt0)*d10_logE1+0.0*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)*d10_logE1+pModel->phitd*(m20_logE(((2.0+pInst->z)+d00_sqrt0))*(z_VDI_BD+(((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD)))*d10_sqrt0)*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)+d10_logE1*(+(+0.0+z_VSI_BS_VDI_BD)+(m20_sqrt(((pInst->z+1.0)*(pInst->z+3.0)))*(((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD)))*((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))+d10_sqrt0*(+(+z_VSI_BS_VDI_BD+0.0)*(pInst->z+3.0)+z_VSI_BS*z_VDI_BD+z_VDI_BD*z_VSI_BS+(pInst->z+1.0)*(+z_VSI_BS_VDI_BD+0.0)))))));
  two_psistar_VSI_BS_VSI_BS=(+0.0*(pModel->phitd*d00_logE1)+0.0*((pModel->phitd*(z_VSI_BS+(((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS)))*d10_sqrt0)*d10_logE1))+0.0*(pModel->phitd*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)*d10_logE1)+2.0*(+0.0*d00_logE1+0.0*(z_VSI_BS+(((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS)))*d10_sqrt0)*d10_logE1+0.0*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)*d10_logE1+pModel->phitd*(m20_logE(((2.0+pInst->z)+d00_sqrt0))*(z_VSI_BS+(((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS)))*d10_sqrt0)*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)+d10_logE1*(+(+0.0+z_VSI_BS_VSI_BS)+(m20_sqrt(((pInst->z+1.0)*(pInst->z+3.0)))*(((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS)))*((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))+d10_sqrt0*(+(+z_VSI_BS_VSI_BS+0.0)*(pInst->z+3.0)+z_VSI_BS*z_VSI_BS+z_VSI_BS*z_VSI_BS+(pInst->z+1.0)*(+z_VSI_BS_VSI_BS+0.0)))))));
#endif
#endif
pInst->two_psistar=(2.0*(pModel->phitd*d00_logE1));
EXIT_IF_ISNAN((2.0*(pModel->phitd*d00_logE1)))
}
}
else
{
{
double m00_sqrt(d00_sqrt0,((1.0+pInst->zinv)*(1.0+(3.0*pInst->zinv))))
double m00_logE(d00_logE1,(((2.0*pInst->zinv)+1.0)+d00_sqrt0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((1.0+pInst->zinv)*(1.0+(3.0*pInst->zinv))))
double m10_logE(d10_logE1,d00_logE1,(((2.0*pInst->zinv)+1.0)+d00_sqrt0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
two_psistar_VDI_BD=0.0;
#if defined(_DERIVATE2)
  two_psistar_VDI_BD_VDI_BD=0.0;
  two_psistar_VDI_BD_VSI_BS=0.0;
#endif
two_psistar_VSI_BS=((-Vjun_s_VSI_BS)+(2.0*(pModel->phitd*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)*d10_logE1)));
#if defined(_DERIVATE2)
  two_psistar_VSI_BS_VDI_BD=(+0.0+(+0.0*(pModel->phitd*d00_logE1)+0.0*((pModel->phitd*(((2.0*zinv_VDI_BD))+(((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VDI_BD)))))*d10_sqrt0)*d10_logE1))+0.0*(pModel->phitd*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)*d10_logE1)+2.0*(+0.0*d00_logE1+0.0*(((2.0*zinv_VDI_BD))+(((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VDI_BD)))))*d10_sqrt0)*d10_logE1+0.0*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)*d10_logE1+pModel->phitd*(m20_logE((((2.0*pInst->zinv)+1.0)+d00_sqrt0))*(((2.0*zinv_VDI_BD))+(((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VDI_BD)))))*d10_sqrt0)*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)+d10_logE1*(+(+(+0.0*pInst->zinv+0.0*zinv_VDI_BD+0.0*zinv_VSI_BS+2.0*zinv_VSI_BS_VDI_BD)+0.0)+(m20_sqrt(((1.0+pInst->zinv)*(1.0+(3.0*pInst->zinv))))*(((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VDI_BD)))))*((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))+d10_sqrt0*(+(+0.0+zinv_VSI_BS_VDI_BD)*(1.0+(3.0*pInst->zinv))+zinv_VSI_BS*((3.0*zinv_VDI_BD))+zinv_VDI_BD*(3.0*zinv_VSI_BS)+(1.0+pInst->zinv)*(+0.0+(+0.0*pInst->zinv+0.0*zinv_VDI_BD+0.0*zinv_VSI_BS+3.0*zinv_VSI_BS_VDI_BD)))))))));
  two_psistar_VSI_BS_VSI_BS=(+0.0+(+0.0*(pModel->phitd*d00_logE1)+0.0*((pModel->phitd*(((2.0*zinv_VSI_BS))+(((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VSI_BS)))))*d10_sqrt0)*d10_logE1))+0.0*(pModel->phitd*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)*d10_logE1)+2.0*(+0.0*d00_logE1+0.0*(((2.0*zinv_VSI_BS))+(((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VSI_BS)))))*d10_sqrt0)*d10_logE1+0.0*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)*d10_logE1+pModel->phitd*(m20_logE((((2.0*pInst->zinv)+1.0)+d00_sqrt0))*(((2.0*zinv_VSI_BS))+(((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VSI_BS)))))*d10_sqrt0)*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)+d10_logE1*(+(+(+0.0*pInst->zinv+0.0*zinv_VSI_BS+0.0*zinv_VSI_BS+2.0*zinv_VSI_BS_VSI_BS)+0.0)+(m20_sqrt(((1.0+pInst->zinv)*(1.0+(3.0*pInst->zinv))))*(((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VSI_BS)))))*((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))+d10_sqrt0*(+(+0.0+zinv_VSI_BS_VSI_BS)*(1.0+(3.0*pInst->zinv))+zinv_VSI_BS*((3.0*zinv_VSI_BS))+zinv_VSI_BS*(3.0*zinv_VSI_BS)+(1.0+pInst->zinv)*(+0.0+(+0.0*pInst->zinv+0.0*zinv_VSI_BS+0.0*zinv_VSI_BS+3.0*zinv_VSI_BS_VSI_BS)))))))));
#endif
#endif
pInst->two_psistar=((-Vjun_s)+(2.0*(pModel->phitd*d00_logE1)));
EXIT_IF_ISNAN(((-Vjun_s)+(2.0*(pModel->phitd*d00_logE1))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
vjlim_VDI_BD=0.0;
#if defined(_DERIVATE2)
  vjlim_VDI_BD_VDI_BD=0.0;
  vjlim_VDI_BD_VSI_BS=0.0;
#endif
vjlim_VSI_BS=(-two_psistar_VSI_BS);
#if defined(_DERIVATE2)
  vjlim_VSI_BS_VDI_BD=(+0.0-two_psistar_VSI_BS_VDI_BD);
  vjlim_VSI_BS_VSI_BS=(+0.0-two_psistar_VSI_BS_VSI_BS);
#endif
#endif
pInst->vjlim=(pInst->vbimin_s-pInst->two_psistar);
EXIT_IF_ISNAN((pInst->vbimin_s-pInst->two_psistar))
{
double m00_sqrt(d00_sqrt0,(((Vjun_s-pInst->vjlim)*(Vjun_s-pInst->vjlim))+((4.0*pModel->phitd)*pModel->phitd)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((Vjun_s-pInst->vjlim)*(Vjun_s-pInst->vjlim))+((4.0*pModel->phitd)*pModel->phitd)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
vjsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  vjsrh_VDI_BD_VDI_BD=0.0;
  vjsrh_VDI_BD_VSI_BS=0.0;
#endif
vjsrh_VSI_BS=(0.5*((Vjun_s_VSI_BS+vjlim_VSI_BS)-(((Vjun_s_VSI_BS-vjlim_VSI_BS)*(Vjun_s-pInst->vjlim))+((Vjun_s-pInst->vjlim)*(Vjun_s_VSI_BS-vjlim_VSI_BS)))*d10_sqrt0));
#if defined(_DERIVATE2)
  vjsrh_VSI_BS_VDI_BD=(+0.0*((Vjun_s+pInst->vjlim)-d00_sqrt0)+0.0*(vjlim_VDI_BD-(((((-vjlim_VDI_BD)*(Vjun_s-pInst->vjlim))+((Vjun_s-pInst->vjlim)*(-vjlim_VDI_BD))))+((0.0)*pModel->phitd))*d10_sqrt0)+0.0*((Vjun_s_VSI_BS+vjlim_VSI_BS)-(((Vjun_s_VSI_BS-vjlim_VSI_BS)*(Vjun_s-pInst->vjlim))+((Vjun_s-pInst->vjlim)*(Vjun_s_VSI_BS-vjlim_VSI_BS)))*d10_sqrt0)+0.5*(+(+0.0+vjlim_VSI_BS_VDI_BD)-(m20_sqrt((((Vjun_s-pInst->vjlim)*(Vjun_s-pInst->vjlim))+((4.0*pModel->phitd)*pModel->phitd)))*(((((-vjlim_VDI_BD)*(Vjun_s-pInst->vjlim))+((Vjun_s-pInst->vjlim)*(-vjlim_VDI_BD))))+((0.0)*pModel->phitd))*(((Vjun_s_VSI_BS-vjlim_VSI_BS)*(Vjun_s-pInst->vjlim))+((Vjun_s-pInst->vjlim)*(Vjun_s_VSI_BS-vjlim_VSI_BS)))+d10_sqrt0*(+(+(+0.0-vjlim_VSI_BS_VDI_BD)*(Vjun_s-pInst->vjlim)+(Vjun_s_VSI_BS-vjlim_VSI_BS)*(-vjlim_VDI_BD)+(-vjlim_VDI_BD)*(Vjun_s_VSI_BS-vjlim_VSI_BS)+(Vjun_s-pInst->vjlim)*(+0.0-vjlim_VSI_BS_VDI_BD))+(+(+0.0*pModel->phitd+0.0*0.0+0.0*0.0+4.0*0.0)*pModel->phitd+0.0*0.0+(0.0)*0.0+(4.0*pModel->phitd)*0.0)))));
  vjsrh_VSI_BS_VSI_BS=(+0.0*((Vjun_s+pInst->vjlim)-d00_sqrt0)+0.0*((Vjun_s_VSI_BS+vjlim_VSI_BS)-(((((Vjun_s_VSI_BS-vjlim_VSI_BS)*(Vjun_s-pInst->vjlim))+((Vjun_s-pInst->vjlim)*(Vjun_s_VSI_BS-vjlim_VSI_BS))))+((0.0)*pModel->phitd))*d10_sqrt0)+0.0*((Vjun_s_VSI_BS+vjlim_VSI_BS)-(((Vjun_s_VSI_BS-vjlim_VSI_BS)*(Vjun_s-pInst->vjlim))+((Vjun_s-pInst->vjlim)*(Vjun_s_VSI_BS-vjlim_VSI_BS)))*d10_sqrt0)+0.5*(+(+Vjun_s_VSI_BS_VSI_BS+vjlim_VSI_BS_VSI_BS)-(m20_sqrt((((Vjun_s-pInst->vjlim)*(Vjun_s-pInst->vjlim))+((4.0*pModel->phitd)*pModel->phitd)))*(((((Vjun_s_VSI_BS-vjlim_VSI_BS)*(Vjun_s-pInst->vjlim))+((Vjun_s-pInst->vjlim)*(Vjun_s_VSI_BS-vjlim_VSI_BS))))+((0.0)*pModel->phitd))*(((Vjun_s_VSI_BS-vjlim_VSI_BS)*(Vjun_s-pInst->vjlim))+((Vjun_s-pInst->vjlim)*(Vjun_s_VSI_BS-vjlim_VSI_BS)))+d10_sqrt0*(+(+(+Vjun_s_VSI_BS_VSI_BS-vjlim_VSI_BS_VSI_BS)*(Vjun_s-pInst->vjlim)+(Vjun_s_VSI_BS-vjlim_VSI_BS)*(Vjun_s_VSI_BS-vjlim_VSI_BS)+(Vjun_s_VSI_BS-vjlim_VSI_BS)*(Vjun_s_VSI_BS-vjlim_VSI_BS)+(Vjun_s-pInst->vjlim)*(+Vjun_s_VSI_BS_VSI_BS-vjlim_VSI_BS_VSI_BS))+(+(+0.0*pModel->phitd+0.0*0.0+0.0*0.0+4.0*0.0)*pModel->phitd+0.0*0.0+(0.0)*0.0+(4.0*pModel->phitd)*0.0)))));
#endif
#endif
pInst->vjsrh=(0.5*((Vjun_s+pInst->vjlim)-d00_sqrt0));
EXIT_IF_ISNAN((0.5*((Vjun_s+pInst->vjlim)-d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,(((Vjun_s-pInst->vbbtlim_s)*(Vjun_s-pInst->vbbtlim_s))+((4.0*pModel->phitr)*pModel->phitr)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((Vjun_s-pInst->vbbtlim_s)*(Vjun_s-pInst->vbbtlim_s))+((4.0*pModel->phitr)*pModel->phitr)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
vbbt_VDI_BD=0.0;
#if defined(_DERIVATE2)
  vbbt_VDI_BD_VDI_BD=0.0;
  vbbt_VDI_BD_VSI_BS=0.0;
#endif
vbbt_VSI_BS=(0.5*(Vjun_s_VSI_BS-((Vjun_s_VSI_BS*(Vjun_s-pInst->vbbtlim_s))+((Vjun_s-pInst->vbbtlim_s)*Vjun_s_VSI_BS))*d10_sqrt0));
#if defined(_DERIVATE2)
  vbbt_VSI_BS_VDI_BD=(+0.0*((Vjun_s+pInst->vbbtlim_s)-d00_sqrt0)+0.0*(-((0.0)+((0.0)*pModel->phitr))*d10_sqrt0)+0.0*(Vjun_s_VSI_BS-((Vjun_s_VSI_BS*(Vjun_s-pInst->vbbtlim_s))+((Vjun_s-pInst->vbbtlim_s)*Vjun_s_VSI_BS))*d10_sqrt0)+0.5*(+(+0.0+0.0)-(m20_sqrt((((Vjun_s-pInst->vbbtlim_s)*(Vjun_s-pInst->vbbtlim_s))+((4.0*pModel->phitr)*pModel->phitr)))*((0.0)+((0.0)*pModel->phitr))*((Vjun_s_VSI_BS*(Vjun_s-pInst->vbbtlim_s))+((Vjun_s-pInst->vbbtlim_s)*Vjun_s_VSI_BS))+d10_sqrt0*(+(+(+0.0-0.0)*(Vjun_s-pInst->vbbtlim_s)+Vjun_s_VSI_BS*0.0+0.0*Vjun_s_VSI_BS+(Vjun_s-pInst->vbbtlim_s)*(+0.0-0.0))+(+(+0.0*pModel->phitr+0.0*0.0+0.0*0.0+4.0*0.0)*pModel->phitr+0.0*0.0+(0.0)*0.0+(4.0*pModel->phitr)*0.0)))));
  vbbt_VSI_BS_VSI_BS=(+0.0*((Vjun_s+pInst->vbbtlim_s)-d00_sqrt0)+0.0*(Vjun_s_VSI_BS-((((Vjun_s_VSI_BS*(Vjun_s-pInst->vbbtlim_s))+((Vjun_s-pInst->vbbtlim_s)*Vjun_s_VSI_BS)))+((0.0)*pModel->phitr))*d10_sqrt0)+0.0*(Vjun_s_VSI_BS-((Vjun_s_VSI_BS*(Vjun_s-pInst->vbbtlim_s))+((Vjun_s-pInst->vbbtlim_s)*Vjun_s_VSI_BS))*d10_sqrt0)+0.5*(+(+Vjun_s_VSI_BS_VSI_BS+0.0)-(m20_sqrt((((Vjun_s-pInst->vbbtlim_s)*(Vjun_s-pInst->vbbtlim_s))+((4.0*pModel->phitr)*pModel->phitr)))*((((Vjun_s_VSI_BS*(Vjun_s-pInst->vbbtlim_s))+((Vjun_s-pInst->vbbtlim_s)*Vjun_s_VSI_BS)))+((0.0)*pModel->phitr))*((Vjun_s_VSI_BS*(Vjun_s-pInst->vbbtlim_s))+((Vjun_s-pInst->vbbtlim_s)*Vjun_s_VSI_BS))+d10_sqrt0*(+(+(+Vjun_s_VSI_BS_VSI_BS-0.0)*(Vjun_s-pInst->vbbtlim_s)+Vjun_s_VSI_BS*Vjun_s_VSI_BS+Vjun_s_VSI_BS*Vjun_s_VSI_BS+(Vjun_s-pInst->vbbtlim_s)*(+Vjun_s_VSI_BS_VSI_BS-0.0))+(+(+0.0*pModel->phitr+0.0*0.0+0.0*0.0+4.0*0.0)*pModel->phitr+0.0*0.0+(0.0)*0.0+(4.0*pModel->phitr)*0.0)))));
#endif
#endif
pInst->vbbt=(0.5*((Vjun_s+pInst->vbbtlim_s)-d00_sqrt0));
EXIT_IF_ISNAN((0.5*((Vjun_s+pInst->vbbtlim_s)-d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,((Vjun_s*Vjun_s)+((4.0*1.0e-6)*1.0e-6)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((Vjun_s*Vjun_s)+((4.0*1.0e-6)*1.0e-6)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
vav_VDI_BD=0.0;
#if defined(_DERIVATE2)
  vav_VDI_BD_VDI_BD=0.0;
  vav_VDI_BD_VSI_BS=0.0;
#endif
vav_VSI_BS=(0.5*(Vjun_s_VSI_BS-((Vjun_s_VSI_BS*Vjun_s)+(Vjun_s*Vjun_s_VSI_BS))*d10_sqrt0));
#if defined(_DERIVATE2)
  vav_VSI_BS_VDI_BD=(+0.0*(Vjun_s-d00_sqrt0)+0.0*(-((0.0)+((0.0)*1.0e-6))*d10_sqrt0)+0.0*(Vjun_s_VSI_BS-((Vjun_s_VSI_BS*Vjun_s)+(Vjun_s*Vjun_s_VSI_BS))*d10_sqrt0)+0.5*(+(+0.0+0.0)-(m20_sqrt(((Vjun_s*Vjun_s)+((4.0*1.0e-6)*1.0e-6)))*((0.0)+((0.0)*1.0e-6))*((Vjun_s_VSI_BS*Vjun_s)+(Vjun_s*Vjun_s_VSI_BS))+d10_sqrt0*(+(+(+0.0-0.0)*Vjun_s+Vjun_s_VSI_BS*0.0+0.0*Vjun_s_VSI_BS+Vjun_s*(+0.0-0.0))+(+(+0.0*1.0e-6+0.0*0.0+0.0*0.0+4.0*0.0)*1.0e-6+0.0*0.0+(0.0)*0.0+(4.0*1.0e-6)*0.0)))));
  vav_VSI_BS_VSI_BS=(+0.0*(Vjun_s-d00_sqrt0)+0.0*(Vjun_s_VSI_BS-((((Vjun_s_VSI_BS*Vjun_s)+(Vjun_s*Vjun_s_VSI_BS)))+((0.0)*1.0e-6))*d10_sqrt0)+0.0*(Vjun_s_VSI_BS-((Vjun_s_VSI_BS*Vjun_s)+(Vjun_s*Vjun_s_VSI_BS))*d10_sqrt0)+0.5*(+(+Vjun_s_VSI_BS_VSI_BS+0.0)-(m20_sqrt(((Vjun_s*Vjun_s)+((4.0*1.0e-6)*1.0e-6)))*((((Vjun_s_VSI_BS*Vjun_s)+(Vjun_s*Vjun_s_VSI_BS)))+((0.0)*1.0e-6))*((Vjun_s_VSI_BS*Vjun_s)+(Vjun_s*Vjun_s_VSI_BS))+d10_sqrt0*(+(+(+Vjun_s_VSI_BS_VSI_BS-0.0)*Vjun_s+Vjun_s_VSI_BS*Vjun_s_VSI_BS+Vjun_s_VSI_BS*Vjun_s_VSI_BS+Vjun_s*(+Vjun_s_VSI_BS_VSI_BS-0.0))+(+(+0.0*1.0e-6+0.0*0.0+0.0*0.0+4.0*0.0)*1.0e-6+0.0*0.0+(0.0)*0.0+(4.0*1.0e-6)*0.0)))));
#endif
#endif
pInst->vav=(0.5*(Vjun_s-d00_sqrt0));
EXIT_IF_ISNAN((0.5*(Vjun_s-d00_sqrt0)))
}
}
if
((pInst->ABSOURCE_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(SI,GND)V(DI,GND)V(BP,GND)V(GP,GND) */
ijunbot_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijunbot_s_VSI_BS_VSI_BS=0.0;
  ijunbot_s_VSI_BS_VDI_BD=0.0;
#endif
ijunbot_s_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunbot_s_VDI_BD_VSI_BS=0.0;
  ijunbot_s_VDI_BD_VDI_BD=0.0;
#endif
#endif
ijunbot_s=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND) */
#if defined(_DERIVATE)
qjunbot_s_VDI_BD=0.0;
#endif
qjunbot_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  qjunbot_s_VSI_BS_VDI_BD=0.0;
  qjunbot_s_VSI_BS_VSI_BS=0.0;
#endif
#endif
qjunbot_s=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
if
((pModel->one_minus_PBOT==0.5))
{
{
double m00_sqrt(d00_sqrt0,(1.0-(pInst->vj*pModel->vbiinvbot)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(pInst->vj*pModel->vbiinvbot)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-vj_VSI_BS*pModel->vbiinvbot)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvbot)))*(-(vj_VSI_BS*pModel->vbiinvbot))*(-vj_VSI_BS*pModel->vbiinvbot)+d10_sqrt0*(+0.0-(+vj_VSI_BS_VSI_BS*pModel->vbiinvbot+vj_VSI_BS*0.0+vj_VSI_BS*0.0+pInst->vj*0.0)));
  tmp_VSI_BS_VDI_BD=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvbot)))*(-(vj_VDI_BD*pModel->vbiinvbot))*(-vj_VSI_BS*pModel->vbiinvbot)+d10_sqrt0*(+0.0-(+vj_VSI_BS_VDI_BD*pModel->vbiinvbot+vj_VSI_BS*0.0+vj_VDI_BD*0.0+pInst->vj*0.0)));
#endif
tmp_VDI_BD=(-vj_VDI_BD*pModel->vbiinvbot)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvbot)))*(-(vj_VSI_BS*pModel->vbiinvbot))*(-vj_VDI_BD*pModel->vbiinvbot)+d10_sqrt0*(+0.0-(+vj_VDI_BD_VSI_BS*pModel->vbiinvbot+vj_VDI_BD*0.0+vj_VSI_BS*0.0+pInst->vj*0.0)));
  tmp_VDI_BD_VDI_BD=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvbot)))*(-(vj_VDI_BD*pModel->vbiinvbot))*(-vj_VDI_BD*pModel->vbiinvbot)+d10_sqrt0*(+0.0-(+vj_VDI_BD_VDI_BD*pModel->vbiinvbot+vj_VDI_BD*0.0+vj_VDI_BD*0.0+pInst->vj*0.0)));
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,(1.0-(pInst->vj*pModel->vbiinvbot)),pModel->one_minus_PBOT)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0-(pInst->vj*pModel->vbiinvbot)),pModel->one_minus_PBOT)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*(-vj_VSI_BS*pModel->vbiinvbot));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow0*(-vj_VDI_BD*pModel->vbiinvbot));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND) */
#if defined(_DERIVATE)
qjunbot_s_VDI_BD=(pInst->CFACTOR_i*((pModel->qprefbot*(-tmp_VDI_BD))+(pModel->qpref2bot*(-vj_VDI_BD))));
#endif
qjunbot_s_VSI_BS=(pInst->CFACTOR_i*((pModel->qprefbot*(-tmp_VSI_BS))+(pModel->qpref2bot*(Vjun_s_VSI_BS-vj_VSI_BS))));
#if defined(_DERIVATE2)
  qjunbot_s_VSI_BS_VDI_BD=(+0.0*((pModel->qprefbot*(1.0-pInst->tmp))+(pModel->qpref2bot*(Vjun_s-pInst->vj)))+0.0*(((pModel->qprefbot*(-tmp_VDI_BD)))+((pModel->qpref2bot*(-vj_VDI_BD))))+0.0*((pModel->qprefbot*(-tmp_VSI_BS))+(pModel->qpref2bot*(Vjun_s_VSI_BS-vj_VSI_BS)))+pInst->CFACTOR_i*(+(+0.0*(1.0-pInst->tmp)+0.0*(-tmp_VDI_BD)+0.0*(-tmp_VSI_BS)+pModel->qprefbot*(+0.0-tmp_VSI_BS_VDI_BD))+(+0.0*(Vjun_s-pInst->vj)+0.0*(-vj_VDI_BD)+0.0*(Vjun_s_VSI_BS-vj_VSI_BS)+pModel->qpref2bot*(+0.0-vj_VSI_BS_VDI_BD))));
  qjunbot_s_VSI_BS_VSI_BS=(+0.0*((pModel->qprefbot*(1.0-pInst->tmp))+(pModel->qpref2bot*(Vjun_s-pInst->vj)))+0.0*(((pModel->qprefbot*(-tmp_VSI_BS)))+((pModel->qpref2bot*(Vjun_s_VSI_BS-vj_VSI_BS))))+0.0*((pModel->qprefbot*(-tmp_VSI_BS))+(pModel->qpref2bot*(Vjun_s_VSI_BS-vj_VSI_BS)))+pInst->CFACTOR_i*(+(+0.0*(1.0-pInst->tmp)+0.0*(-tmp_VSI_BS)+0.0*(-tmp_VSI_BS)+pModel->qprefbot*(+0.0-tmp_VSI_BS_VSI_BS))+(+0.0*(Vjun_s-pInst->vj)+0.0*(Vjun_s_VSI_BS-vj_VSI_BS)+0.0*(Vjun_s_VSI_BS-vj_VSI_BS)+pModel->qpref2bot*(+Vjun_s_VSI_BS_VSI_BS-vj_VSI_BS_VSI_BS))));
#endif
#endif
qjunbot_s=(pInst->CFACTOR_i*((pModel->qprefbot*(1.0-pInst->tmp))+(pModel->qpref2bot*(Vjun_s-pInst->vj))));
EXIT_IF_ISNAN((pInst->CFACTOR_i*((pModel->qprefbot*(1.0-pInst->tmp))+(pModel->qpref2bot*(Vjun_s-pInst->vj)))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
id_VDI_BD=0.0;
#if defined(_DERIVATE2)
  id_VDI_BD_VDI_BD=0.0;
  id_VDI_BD_VSI_BS=0.0;
#endif
id_VSI_BS=(pModel->idsatbot*idmult_VSI_BS);
#if defined(_DERIVATE2)
  id_VSI_BS_VDI_BD=(+0.0*pInst->idmult+0.0*idmult_VDI_BD+0.0*idmult_VSI_BS+pModel->idsatbot*idmult_VSI_BS_VDI_BD);
  id_VSI_BS_VSI_BS=(+0.0*pInst->idmult+0.0*idmult_VSI_BS+0.0*idmult_VSI_BS+pModel->idsatbot*idmult_VSI_BS_VSI_BS);
#endif
#endif
pInst->id=(pModel->idsatbot*pInst->idmult);
EXIT_IF_ISNAN((pModel->idsatbot*pInst->idmult))
if
(((pModel->CSRHBOT_i==0.0)&&(pModel->CTATBOT_i==0.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
isrh_VSI_BS=0.0;
#if defined(_DERIVATE2)
  isrh_VSI_BS_VSI_BS=0.0;
  isrh_VSI_BS_VDI_BD=0.0;
#endif
isrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  isrh_VDI_BD_VSI_BS=0.0;
  isrh_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->isrh=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
vbi_minus_vjsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  vbi_minus_vjsrh_VDI_BD_VDI_BD=0.0;
  vbi_minus_vjsrh_VDI_BD_VSI_BS=0.0;
#endif
vbi_minus_vjsrh_VSI_BS=(-vjsrh_VSI_BS);
#if defined(_DERIVATE2)
  vbi_minus_vjsrh_VSI_BS_VDI_BD=(+0.0-vjsrh_VSI_BS_VDI_BD);
  vbi_minus_vjsrh_VSI_BS_VSI_BS=(+0.0-vjsrh_VSI_BS_VSI_BS);
#endif
#endif
pInst->vbi_minus_vjsrh=(pModel->vbibot-pInst->vjsrh);
EXIT_IF_ISNAN((pModel->vbibot-pInst->vjsrh))
{
double m00_sqrt(d00_sqrt0,(1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
wsrhstep_VDI_BD=0.0;
#if defined(_DERIVATE2)
  wsrhstep_VDI_BD_VDI_BD=0.0;
  wsrhstep_VDI_BD_VSI_BS=0.0;
#endif
wsrhstep_VSI_BS=(-(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*d10_sqrt0);
#if defined(_DERIVATE2)
  wsrhstep_VSI_BS_VDI_BD=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VSI_BS_VDI_BD/pInst->vbi_minus_vjsrh-(two_psistar_VSI_BS*vbi_minus_vjsrh_VDI_BD+two_psistar_VDI_BD*vbi_minus_vjsrh_VSI_BS+pInst->two_psistar*vbi_minus_vjsrh_VSI_BS_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
  wsrhstep_VSI_BS_VSI_BS=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VSI_BS_VSI_BS/pInst->vbi_minus_vjsrh-(two_psistar_VSI_BS*vbi_minus_vjsrh_VSI_BS+two_psistar_VSI_BS*vbi_minus_vjsrh_VSI_BS+pInst->two_psistar*vbi_minus_vjsrh_VSI_BS_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
#endif
#endif
pInst->wsrhstep=(1.0-d00_sqrt0);
EXIT_IF_ISNAN((1.0-d00_sqrt0))
}
if
((pModel->PBOT_i==0.5))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dwsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  dwsrh_VDI_BD_VDI_BD=0.0;
  dwsrh_VDI_BD_VSI_BS=0.0;
#endif
dwsrh_VSI_BS=0.0;
#if defined(_DERIVATE2)
  dwsrh_VSI_BS_VDI_BD=0.0;
  dwsrh_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->dwsrh=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
{
double m00_logE(d00_logE0,pInst->wsrhstep)
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,pInst->wsrhstep)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dwsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  dwsrh_VDI_BD_VDI_BD=0.0;
  dwsrh_VDI_BD_VSI_BS=0.0;
#endif
dwsrh_VSI_BS=(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(1.0-(2.0*pModel->PBOT_i));
#if defined(_DERIVATE2)
  dwsrh_VSI_BS_VDI_BD=(+(+((+(+wsrhstep_VSI_BS_VDI_BD*pInst->wsrhstep+wsrhstep_VSI_BS*wsrhstep_VDI_BD+wsrhstep_VDI_BD*wsrhstep_VSI_BS+pInst->wsrhstep*wsrhstep_VSI_BS_VDI_BD)*d00_logE0+((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*wsrhstep_VDI_BD*d10_logE0+(((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*wsrhstep_VSI_BS*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VDI_BD*wsrhstep_VSI_BS+d10_logE0*wsrhstep_VSI_BS_VDI_BD))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(-wsrhstep_VDI_BD)+((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(-wsrhstep_VSI_BS)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VSI_BS_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS)*(-wsrhstep_VDI_BD)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS_VDI_BD)*(1.0-(2.0*pModel->PBOT_i))+(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(-(0.0))+(((((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PBOT_i+0.0*0.0+0.0*0.0+2.0*0.0)));
  dwsrh_VSI_BS_VSI_BS=(+(+((+(+wsrhstep_VSI_BS_VSI_BS*pInst->wsrhstep+wsrhstep_VSI_BS*wsrhstep_VSI_BS+wsrhstep_VSI_BS*wsrhstep_VSI_BS+pInst->wsrhstep*wsrhstep_VSI_BS_VSI_BS)*d00_logE0+((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*wsrhstep_VSI_BS*d10_logE0+(((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*wsrhstep_VSI_BS*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VSI_BS*wsrhstep_VSI_BS+d10_logE0*wsrhstep_VSI_BS_VSI_BS))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(-wsrhstep_VSI_BS)+((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(-wsrhstep_VSI_BS)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VSI_BS_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS)*(-wsrhstep_VSI_BS)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS_VSI_BS)*(1.0-(2.0*pModel->PBOT_i))+(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(-(0.0))+(((((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PBOT_i+0.0*0.0+0.0*0.0+2.0*0.0)));
#endif
#endif
pInst->dwsrh=(((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(1.0-(2.0*pModel->PBOT_i)));
EXIT_IF_ISNAN((((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(1.0-(2.0*pModel->PBOT_i))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  wsrh_VDI_BD_VDI_BD=0.0;
  wsrh_VDI_BD_VSI_BS=0.0;
#endif
wsrh_VSI_BS=(wsrhstep_VSI_BS+dwsrh_VSI_BS);
#if defined(_DERIVATE2)
  wsrh_VSI_BS_VDI_BD=(+wsrhstep_VSI_BS_VDI_BD+dwsrh_VSI_BS_VDI_BD);
  wsrh_VSI_BS_VSI_BS=(+wsrhstep_VSI_BS_VSI_BS+dwsrh_VSI_BS_VSI_BS);
#endif
#endif
pInst->wsrh=(pInst->wsrhstep+pInst->dwsrh);
EXIT_IF_ISNAN((pInst->wsrhstep+pInst->dwsrh))
if
((pModel->PBOT_i==0.5))
{
{
double m00_sqrt(d00_sqrt0,(pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=vbi_minus_vjsrh_VSI_BS*pModel->VBIRBOTinv*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv))*(vbi_minus_vjsrh_VSI_BS*pModel->VBIRBOTinv)*vbi_minus_vjsrh_VSI_BS*pModel->VBIRBOTinv+d10_sqrt0*(+vbi_minus_vjsrh_VSI_BS_VSI_BS*pModel->VBIRBOTinv+vbi_minus_vjsrh_VSI_BS*0.0+vbi_minus_vjsrh_VSI_BS*0.0+pInst->vbi_minus_vjsrh*0.0));
  tmp_VSI_BS_VDI_BD=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv))*(vbi_minus_vjsrh_VDI_BD*pModel->VBIRBOTinv)*vbi_minus_vjsrh_VSI_BS*pModel->VBIRBOTinv+d10_sqrt0*(+vbi_minus_vjsrh_VSI_BS_VDI_BD*pModel->VBIRBOTinv+vbi_minus_vjsrh_VSI_BS*0.0+vbi_minus_vjsrh_VDI_BD*0.0+pInst->vbi_minus_vjsrh*0.0));
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,(pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv),pModel->PBOT_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv),pModel->PBOT_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*vbi_minus_vjsrh_VSI_BS*pModel->VBIRBOTinv);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wdep_VSI_BS=(pModel->wdepnulrbot*tmp_VSI_BS);
#if defined(_DERIVATE2)
  wdep_VSI_BS_VSI_BS=(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VSI_BS+pModel->wdepnulrbot*tmp_VSI_BS_VSI_BS);
  wdep_VSI_BS_VDI_BD=(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VSI_BS+pModel->wdepnulrbot*tmp_VSI_BS_VDI_BD);
#endif
wdep_VDI_BD=(pModel->wdepnulrbot*tmp_VDI_BD);
#if defined(_DERIVATE2)
  wdep_VDI_BD_VSI_BS=(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VDI_BD+pModel->wdepnulrbot*tmp_VDI_BD_VSI_BS);
  wdep_VDI_BD_VDI_BD=(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VDI_BD+pModel->wdepnulrbot*tmp_VDI_BD_VDI_BD);
#endif
#endif
pInst->wdep=(pModel->wdepnulrbot*pInst->tmp);
EXIT_IF_ISNAN((pModel->wdepnulrbot*pInst->tmp))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
asrh_VSI_BS=(pModel->ftdbot*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)));
#if defined(_DERIVATE2)
  asrh_VSI_BS_VSI_BS=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)))+0.0*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS))+pModel->ftdbot*(+(+zinv_VSI_BS_VSI_BS-0.0)*pInst->wdep+zinv_VSI_BS*wdep_VSI_BS+zinv_VSI_BS*wdep_VSI_BS+(pInst->zinv-1.0)*wdep_VSI_BS_VSI_BS));
  asrh_VSI_BS_VDI_BD=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)))+0.0*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS))+pModel->ftdbot*(+(+zinv_VSI_BS_VDI_BD-0.0)*pInst->wdep+zinv_VSI_BS*wdep_VDI_BD+zinv_VDI_BD*wdep_VSI_BS+(pInst->zinv-1.0)*wdep_VSI_BS_VDI_BD));
#endif
asrh_VDI_BD=(pModel->ftdbot*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)));
#if defined(_DERIVATE2)
  asrh_VDI_BD_VSI_BS=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)))+0.0*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD))+pModel->ftdbot*(+(+zinv_VDI_BD_VSI_BS-0.0)*pInst->wdep+zinv_VDI_BD*wdep_VSI_BS+zinv_VSI_BS*wdep_VDI_BD+(pInst->zinv-1.0)*wdep_VDI_BD_VSI_BS));
  asrh_VDI_BD_VDI_BD=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)))+0.0*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD))+pModel->ftdbot*(+(+zinv_VDI_BD_VDI_BD-0.0)*pInst->wdep+zinv_VDI_BD*wdep_VDI_BD+zinv_VDI_BD*wdep_VDI_BD+(pInst->zinv-1.0)*wdep_VDI_BD_VDI_BD));
#endif
#endif
pInst->asrh=(pModel->ftdbot*((pInst->zinv-1.0)*pInst->wdep));
EXIT_IF_ISNAN((pModel->ftdbot*((pInst->zinv-1.0)*pInst->wdep)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
isrh_VSI_BS=(pModel->CSRHBOT_i*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)));
#if defined(_DERIVATE2)
  isrh_VSI_BS_VSI_BS=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)))+0.0*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS))+pModel->CSRHBOT_i*(+asrh_VSI_BS_VSI_BS*pInst->wsrh+asrh_VSI_BS*wsrh_VSI_BS+asrh_VSI_BS*wsrh_VSI_BS+pInst->asrh*wsrh_VSI_BS_VSI_BS));
  isrh_VSI_BS_VDI_BD=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)))+0.0*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS))+pModel->CSRHBOT_i*(+asrh_VSI_BS_VDI_BD*pInst->wsrh+asrh_VSI_BS*wsrh_VDI_BD+asrh_VDI_BD*wsrh_VSI_BS+pInst->asrh*wsrh_VSI_BS_VDI_BD));
#endif
isrh_VDI_BD=(pModel->CSRHBOT_i*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)));
#if defined(_DERIVATE2)
  isrh_VDI_BD_VSI_BS=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)))+0.0*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD))+pModel->CSRHBOT_i*(+asrh_VDI_BD_VSI_BS*pInst->wsrh+asrh_VDI_BD*wsrh_VSI_BS+asrh_VSI_BS*wsrh_VDI_BD+pInst->asrh*wsrh_VDI_BD_VSI_BS));
  isrh_VDI_BD_VDI_BD=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)))+0.0*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD))+pModel->CSRHBOT_i*(+asrh_VDI_BD_VDI_BD*pInst->wsrh+asrh_VDI_BD*wsrh_VDI_BD+asrh_VDI_BD*wsrh_VDI_BD+pInst->asrh*wsrh_VDI_BD_VDI_BD));
#endif
#endif
pInst->isrh=(pModel->CSRHBOT_i*(pInst->asrh*pInst->wsrh));
EXIT_IF_ISNAN((pModel->CSRHBOT_i*(pInst->asrh*pInst->wsrh)))
}
if
((pModel->CTATBOT_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
itat_VSI_BS=0.0;
#if defined(_DERIVATE2)
  itat_VSI_BS_VSI_BS=0.0;
  itat_VSI_BS_VDI_BD=0.0;
#endif
itat_VDI_BD=0.0;
#if defined(_DERIVATE2)
  itat_VDI_BD_VSI_BS=0.0;
  itat_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->itat=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
btat_VSI_BS=(pModel->btatpartbot*((wdep_VSI_BS*pModel->one_minus_PBOT*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#if defined(_DERIVATE2)
  btat_VSI_BS_VSI_BS=(+0.0*((pInst->wdep*pModel->one_minus_PBOT)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VSI_BS*pModel->one_minus_PBOT)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VSI_BS*pModel->one_minus_PBOT*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartbot*((+wdep_VSI_BS_VSI_BS*pModel->one_minus_PBOT+wdep_VSI_BS*0.0+wdep_VSI_BS*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VSI_BS*pModel->one_minus_PBOT*vbi_minus_vjsrh_VSI_BS+(wdep_VSI_BS*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VSI_BS+(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VSI_BS_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
  btat_VSI_BS_VDI_BD=(+0.0*((pInst->wdep*pModel->one_minus_PBOT)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VDI_BD*pModel->one_minus_PBOT)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VSI_BS*pModel->one_minus_PBOT*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartbot*((+wdep_VSI_BS_VDI_BD*pModel->one_minus_PBOT+wdep_VSI_BS*0.0+wdep_VDI_BD*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VSI_BS*pModel->one_minus_PBOT*vbi_minus_vjsrh_VDI_BD+(wdep_VDI_BD*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VSI_BS+(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VSI_BS_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#endif
btat_VDI_BD=(pModel->btatpartbot*((wdep_VDI_BD*pModel->one_minus_PBOT*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#if defined(_DERIVATE2)
  btat_VDI_BD_VSI_BS=(+0.0*((pInst->wdep*pModel->one_minus_PBOT)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VSI_BS*pModel->one_minus_PBOT)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VDI_BD*pModel->one_minus_PBOT*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartbot*((+wdep_VDI_BD_VSI_BS*pModel->one_minus_PBOT+wdep_VDI_BD*0.0+wdep_VSI_BS*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VDI_BD*pModel->one_minus_PBOT*vbi_minus_vjsrh_VSI_BS+(wdep_VSI_BS*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VDI_BD+(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VDI_BD_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
  btat_VDI_BD_VDI_BD=(+0.0*((pInst->wdep*pModel->one_minus_PBOT)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VDI_BD*pModel->one_minus_PBOT)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VDI_BD*pModel->one_minus_PBOT*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartbot*((+wdep_VDI_BD_VDI_BD*pModel->one_minus_PBOT+wdep_VDI_BD*0.0+wdep_VDI_BD*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VDI_BD*pModel->one_minus_PBOT*vbi_minus_vjsrh_VDI_BD+(wdep_VDI_BD*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VDI_BD+(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VDI_BD_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PBOT)*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#endif
#endif
pInst->btat=(pModel->btatpartbot*((pInst->wdep*pModel->one_minus_PBOT)/pInst->vbi_minus_vjsrh));
EXIT_IF_ISNAN((pModel->btatpartbot*((pInst->wdep*pModel->one_minus_PBOT)/pInst->vbi_minus_vjsrh)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
twoatatoverthreebtat_VSI_BS=(-(0.666666666666667*pModel->atatbot)*btat_VSI_BS/pInst->btat/pInst->btat);
#if defined(_DERIVATE2)
  twoatatoverthreebtat_VSI_BS_VSI_BS=((+0.0*pModel->atatbot+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VSI_BS+(0.0)*btat_VSI_BS+(0.666666666666667*pModel->atatbot)*btat_VSI_BS_VSI_BS)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatbot)*btat_VSI_BS*btat_VSI_BS/pInst->btat/pInst->btat/pInst->btat);
  twoatatoverthreebtat_VSI_BS_VDI_BD=((+0.0*pModel->atatbot+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VDI_BD+(0.0)*btat_VSI_BS+(0.666666666666667*pModel->atatbot)*btat_VSI_BS_VDI_BD)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatbot)*btat_VSI_BS*btat_VDI_BD/pInst->btat/pInst->btat/pInst->btat);
#endif
twoatatoverthreebtat_VDI_BD=(-(0.666666666666667*pModel->atatbot)*btat_VDI_BD/pInst->btat/pInst->btat);
#if defined(_DERIVATE2)
  twoatatoverthreebtat_VDI_BD_VSI_BS=((+0.0*pModel->atatbot+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VSI_BS+(0.0)*btat_VDI_BD+(0.666666666666667*pModel->atatbot)*btat_VDI_BD_VSI_BS)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatbot)*btat_VDI_BD*btat_VSI_BS/pInst->btat/pInst->btat/pInst->btat);
  twoatatoverthreebtat_VDI_BD_VDI_BD=((+0.0*pModel->atatbot+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VDI_BD+(0.0)*btat_VDI_BD+(0.666666666666667*pModel->atatbot)*btat_VDI_BD_VDI_BD)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatbot)*btat_VDI_BD*btat_VDI_BD/pInst->btat/pInst->btat/pInst->btat);
#endif
#endif
pInst->twoatatoverthreebtat=((0.666666666666667*pModel->atatbot)/pInst->btat);
EXIT_IF_ISNAN(((0.666666666666667*pModel->atatbot)/pInst->btat))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
umaxbeforelimiting_VSI_BS=((twoatatoverthreebtat_VSI_BS*pInst->twoatatoverthreebtat)+(pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS));
#if defined(_DERIVATE2)
  umaxbeforelimiting_VSI_BS_VSI_BS=(+twoatatoverthreebtat_VSI_BS_VSI_BS*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VSI_BS+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VSI_BS+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS_VSI_BS);
  umaxbeforelimiting_VSI_BS_VDI_BD=(+twoatatoverthreebtat_VSI_BS_VDI_BD*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VDI_BD+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VSI_BS+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS_VDI_BD);
#endif
umaxbeforelimiting_VDI_BD=((twoatatoverthreebtat_VDI_BD*pInst->twoatatoverthreebtat)+(pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD));
#if defined(_DERIVATE2)
  umaxbeforelimiting_VDI_BD_VSI_BS=(+twoatatoverthreebtat_VDI_BD_VSI_BS*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VSI_BS+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VDI_BD+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD_VSI_BS);
  umaxbeforelimiting_VDI_BD_VDI_BD=(+twoatatoverthreebtat_VDI_BD_VDI_BD*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VDI_BD+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VDI_BD+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD_VDI_BD);
#endif
#endif
pInst->umaxbeforelimiting=(pInst->twoatatoverthreebtat*pInst->twoatatoverthreebtat);
EXIT_IF_ISNAN((pInst->twoatatoverthreebtat*pInst->twoatatoverthreebtat))
{
double m00_sqrt(d00_sqrt0,((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
umax_VSI_BS=((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*d10_sqrt0;
#if defined(_DERIVATE2)
  umax_VSI_BS_VSI_BS=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VSI_BS_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VSI_BS)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))+(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VSI_BS_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VSI_BS)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
  umax_VSI_BS_VDI_BD=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VSI_BS_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VDI_BD)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))+(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VSI_BS_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VDI_BD)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
#endif
umax_VDI_BD=((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*d10_sqrt0;
#if defined(_DERIVATE2)
  umax_VDI_BD_VSI_BS=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VDI_BD_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VSI_BS)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))+(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VDI_BD_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VSI_BS)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
  umax_VDI_BD_VDI_BD=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VDI_BD_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VDI_BD)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))+(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VDI_BD_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VDI_BD)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
#endif
#endif
pInst->umax=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
{
double m00_fabs(d00_fabs0,pInst->umax)
double m00_sqrt(d00_sqrt1,d00_fabs0)
#if defined(_DERIVATEFORDDX)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->umax)
double m10_sqrt(d10_sqrt1,d00_sqrt1,d00_fabs0)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
sqrtumax_VSI_BS=umax_VSI_BS*d10_fabs0*d10_sqrt1;
#if defined(_DERIVATE2)
  sqrtumax_VSI_BS_VSI_BS=(m20_sqrt(d00_fabs0)*umax_VSI_BS*d10_fabs0*umax_VSI_BS*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VSI_BS*umax_VSI_BS+d10_fabs0*umax_VSI_BS_VSI_BS));
  sqrtumax_VSI_BS_VDI_BD=(m20_sqrt(d00_fabs0)*umax_VDI_BD*d10_fabs0*umax_VSI_BS*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VDI_BD*umax_VSI_BS+d10_fabs0*umax_VSI_BS_VDI_BD));
#endif
sqrtumax_VDI_BD=umax_VDI_BD*d10_fabs0*d10_sqrt1;
#if defined(_DERIVATE2)
  sqrtumax_VDI_BD_VSI_BS=(m20_sqrt(d00_fabs0)*umax_VSI_BS*d10_fabs0*umax_VDI_BD*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VSI_BS*umax_VDI_BD+d10_fabs0*umax_VDI_BD_VSI_BS));
  sqrtumax_VDI_BD_VDI_BD=(m20_sqrt(d00_fabs0)*umax_VDI_BD*d10_fabs0*umax_VDI_BD*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VDI_BD*umax_VDI_BD+d10_fabs0*umax_VDI_BD_VDI_BD));
#endif
#endif
pInst->sqrtumax=d00_sqrt1;
EXIT_IF_ISNAN(d00_sqrt1)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
umaxpoweronepointfive_VSI_BS=((umax_VSI_BS*pInst->sqrtumax)+(pInst->umax*sqrtumax_VSI_BS));
#if defined(_DERIVATE2)
  umaxpoweronepointfive_VSI_BS_VSI_BS=(+umax_VSI_BS_VSI_BS*pInst->sqrtumax+umax_VSI_BS*sqrtumax_VSI_BS+umax_VSI_BS*sqrtumax_VSI_BS+pInst->umax*sqrtumax_VSI_BS_VSI_BS);
  umaxpoweronepointfive_VSI_BS_VDI_BD=(+umax_VSI_BS_VDI_BD*pInst->sqrtumax+umax_VSI_BS*sqrtumax_VDI_BD+umax_VDI_BD*sqrtumax_VSI_BS+pInst->umax*sqrtumax_VSI_BS_VDI_BD);
#endif
umaxpoweronepointfive_VDI_BD=((umax_VDI_BD*pInst->sqrtumax)+(pInst->umax*sqrtumax_VDI_BD));
#if defined(_DERIVATE2)
  umaxpoweronepointfive_VDI_BD_VSI_BS=(+umax_VDI_BD_VSI_BS*pInst->sqrtumax+umax_VDI_BD*sqrtumax_VSI_BS+umax_VSI_BS*sqrtumax_VDI_BD+pInst->umax*sqrtumax_VDI_BD_VSI_BS);
  umaxpoweronepointfive_VDI_BD_VDI_BD=(+umax_VDI_BD_VDI_BD*pInst->sqrtumax+umax_VDI_BD*sqrtumax_VDI_BD+umax_VDI_BD*sqrtumax_VDI_BD+pInst->umax*sqrtumax_VDI_BD_VDI_BD);
#endif
#endif
pInst->umaxpoweronepointfive=(pInst->umax*pInst->sqrtumax);
EXIT_IF_ISNAN((pInst->umax*pInst->sqrtumax))
if
((((-pModel->PBOT_i)*pModel->one_over_one_minus_PBOT)==(-1.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wgamma_VSI_BS=(-((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#if defined(_DERIVATE2)
  wgamma_VSI_BS_VSI_BS=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+1.0*(+0.0+(+btat_VSI_BS_VSI_BS*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
  wgamma_VSI_BS_VDI_BD=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+1.0*(+0.0+(+btat_VSI_BS_VDI_BD*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#endif
wgamma_VDI_BD=(-((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#if defined(_DERIVATE2)
  wgamma_VDI_BD_VSI_BS=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+1.0*(+0.0+(+btat_VDI_BD_VSI_BS*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
  wgamma_VDI_BD_VDI_BD=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+1.0*(+0.0+(+btat_VDI_BD_VDI_BD*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#endif
#endif
pInst->wgamma=(1.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
EXIT_IF_ISNAN((1.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))))
}
else
{
{
double m00_pow(d00_pow0,(1.0+(pInst->btat*pInst->umaxpoweronepointfive)),((-pModel->PBOT_i)*pModel->one_over_one_minus_PBOT))
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0+(pInst->btat*pInst->umaxpoweronepointfive)),((-pModel->PBOT_i)*pModel->one_over_one_minus_PBOT))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wgamma_VSI_BS=(d10_pow0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)));
#if defined(_DERIVATE2)
  wgamma_VSI_BS_VSI_BS=fixme;
  wgamma_VSI_BS_VDI_BD=fixme;
#endif
wgamma_VDI_BD=(d10_pow0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)));
#if defined(_DERIVATE2)
  wgamma_VDI_BD_VSI_BS=fixme;
  wgamma_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->wgamma=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
wtat_VSI_BS=((((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(pInst->wsrh+pInst->wgamma)-(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#if defined(_DERIVATE2)
  wtat_VSI_BS_VSI_BS=((+wsrh_VSI_BS_VSI_BS*pInst->wgamma+wsrh_VSI_BS*wgamma_VSI_BS+wsrh_VSI_BS*wgamma_VSI_BS+pInst->wsrh*wgamma_VSI_BS_VSI_BS)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(wsrh_VSI_BS+wgamma_VSI_BS)+(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS)))*(wsrh_VSI_BS+wgamma_VSI_BS)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VSI_BS_VSI_BS+wgamma_VSI_BS_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS)*(wsrh_VSI_BS+wgamma_VSI_BS)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
  wtat_VSI_BS_VDI_BD=((+wsrh_VSI_BS_VDI_BD*pInst->wgamma+wsrh_VSI_BS*wgamma_VDI_BD+wsrh_VDI_BD*wgamma_VSI_BS+pInst->wsrh*wgamma_VSI_BS_VDI_BD)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(wsrh_VDI_BD+wgamma_VDI_BD)+(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD)))*(wsrh_VSI_BS+wgamma_VSI_BS)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VSI_BS_VDI_BD+wgamma_VSI_BS_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS)*(wsrh_VDI_BD+wgamma_VDI_BD)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#endif
wtat_VDI_BD=((((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(pInst->wsrh+pInst->wgamma)-(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#if defined(_DERIVATE2)
  wtat_VDI_BD_VSI_BS=((+wsrh_VDI_BD_VSI_BS*pInst->wgamma+wsrh_VDI_BD*wgamma_VSI_BS+wsrh_VSI_BS*wgamma_VDI_BD+pInst->wsrh*wgamma_VDI_BD_VSI_BS)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(wsrh_VSI_BS+wgamma_VSI_BS)+(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS)))*(wsrh_VDI_BD+wgamma_VDI_BD)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VDI_BD_VSI_BS+wgamma_VDI_BD_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD)*(wsrh_VSI_BS+wgamma_VSI_BS)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
  wtat_VDI_BD_VDI_BD=((+wsrh_VDI_BD_VDI_BD*pInst->wgamma+wsrh_VDI_BD*wgamma_VDI_BD+wsrh_VDI_BD*wgamma_VDI_BD+pInst->wsrh*wgamma_VDI_BD_VDI_BD)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(wsrh_VDI_BD+wgamma_VDI_BD)+(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD)))*(wsrh_VDI_BD+wgamma_VDI_BD)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VDI_BD_VDI_BD+wgamma_VDI_BD_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD)*(wsrh_VDI_BD+wgamma_VDI_BD)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#endif
#endif
pInst->wtat=((pInst->wsrh*pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
EXIT_IF_ISNAN(((pInst->wsrh*pInst->wgamma)/(pInst->wsrh+pInst->wgamma)))
{
double m00_sqrt(d00_sqrt0,(0.375*(pInst->btat/pInst->sqrtumax)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(0.375*(pInst->btat/pInst->sqrtumax)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ktat_VSI_BS=(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))*d10_sqrt0;
#if defined(_DERIVATE2)
  ktat_VSI_BS_VSI_BS=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VSI_BS_VSI_BS/pInst->sqrtumax-(btat_VSI_BS*sqrtumax_VSI_BS+btat_VSI_BS*sqrtumax_VSI_BS+pInst->btat*sqrtumax_VSI_BS_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VSI_BS*sqrtumax_VSI_BS/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
  ktat_VSI_BS_VDI_BD=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VSI_BS_VDI_BD/pInst->sqrtumax-(btat_VSI_BS*sqrtumax_VDI_BD+btat_VDI_BD*sqrtumax_VSI_BS+pInst->btat*sqrtumax_VSI_BS_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VSI_BS*sqrtumax_VDI_BD/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
#endif
ktat_VDI_BD=(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))*d10_sqrt0;
#if defined(_DERIVATE2)
  ktat_VDI_BD_VSI_BS=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VDI_BD_VSI_BS/pInst->sqrtumax-(btat_VDI_BD*sqrtumax_VSI_BS+btat_VSI_BS*sqrtumax_VDI_BD+pInst->btat*sqrtumax_VDI_BD_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VDI_BD*sqrtumax_VSI_BS/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
  ktat_VDI_BD_VDI_BD=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VDI_BD_VDI_BD/pInst->sqrtumax-(btat_VDI_BD*sqrtumax_VDI_BD+btat_VDI_BD*sqrtumax_VDI_BD+pInst->btat*sqrtumax_VDI_BD_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VDI_BD*sqrtumax_VDI_BD/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
#endif
#endif
pInst->ktat=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ltat_VSI_BS=((2.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))-umax_VSI_BS);
#if defined(_DERIVATE2)
  ltat_VSI_BS_VSI_BS=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))+0.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS))+2.0*(+twoatatoverthreebtat_VSI_BS_VSI_BS*pInst->sqrtumax+twoatatoverthreebtat_VSI_BS*sqrtumax_VSI_BS+twoatatoverthreebtat_VSI_BS*sqrtumax_VSI_BS+pInst->twoatatoverthreebtat*sqrtumax_VSI_BS_VSI_BS))-umax_VSI_BS_VSI_BS);
  ltat_VSI_BS_VDI_BD=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))+0.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS))+2.0*(+twoatatoverthreebtat_VSI_BS_VDI_BD*pInst->sqrtumax+twoatatoverthreebtat_VSI_BS*sqrtumax_VDI_BD+twoatatoverthreebtat_VDI_BD*sqrtumax_VSI_BS+pInst->twoatatoverthreebtat*sqrtumax_VSI_BS_VDI_BD))-umax_VSI_BS_VDI_BD);
#endif
ltat_VDI_BD=((2.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))-umax_VDI_BD);
#if defined(_DERIVATE2)
  ltat_VDI_BD_VSI_BS=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))+0.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD))+2.0*(+twoatatoverthreebtat_VDI_BD_VSI_BS*pInst->sqrtumax+twoatatoverthreebtat_VDI_BD*sqrtumax_VSI_BS+twoatatoverthreebtat_VSI_BS*sqrtumax_VDI_BD+pInst->twoatatoverthreebtat*sqrtumax_VDI_BD_VSI_BS))-umax_VDI_BD_VSI_BS);
  ltat_VDI_BD_VDI_BD=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))+0.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD))+2.0*(+twoatatoverthreebtat_VDI_BD_VDI_BD*pInst->sqrtumax+twoatatoverthreebtat_VDI_BD*sqrtumax_VDI_BD+twoatatoverthreebtat_VDI_BD*sqrtumax_VDI_BD+pInst->twoatatoverthreebtat*sqrtumax_VDI_BD_VDI_BD))-umax_VDI_BD_VDI_BD);
#endif
#endif
pInst->ltat=((2.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax))-pInst->umax);
EXIT_IF_ISNAN(((2.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax))-pInst->umax))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
mtat_VSI_BS=(((((pModel->atatbot*twoatatoverthreebtat_VSI_BS)*pInst->sqrtumax)+((pModel->atatbot*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS))-(pModel->atatbot*umax_VSI_BS))+(0.5*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))));
#if defined(_DERIVATE2)
  mtat_VSI_BS_VSI_BS=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VSI_BS+0.0*twoatatoverthreebtat_VSI_BS+pModel->atatbot*twoatatoverthreebtat_VSI_BS_VSI_BS)*pInst->sqrtumax+(pModel->atatbot*twoatatoverthreebtat_VSI_BS)*sqrtumax_VSI_BS+((pModel->atatbot*twoatatoverthreebtat_VSI_BS))*sqrtumax_VSI_BS+(pModel->atatbot*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS_VSI_BS)-(+0.0*pInst->umax+0.0*umax_VSI_BS+0.0*umax_VSI_BS+pModel->atatbot*umax_VSI_BS_VSI_BS))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+0.5*(+btat_VSI_BS_VSI_BS*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VSI_BS)));
  mtat_VSI_BS_VDI_BD=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VDI_BD+0.0*twoatatoverthreebtat_VSI_BS+pModel->atatbot*twoatatoverthreebtat_VSI_BS_VDI_BD)*pInst->sqrtumax+(pModel->atatbot*twoatatoverthreebtat_VSI_BS)*sqrtumax_VDI_BD+((pModel->atatbot*twoatatoverthreebtat_VDI_BD))*sqrtumax_VSI_BS+(pModel->atatbot*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS_VDI_BD)-(+0.0*pInst->umax+0.0*umax_VDI_BD+0.0*umax_VSI_BS+pModel->atatbot*umax_VSI_BS_VDI_BD))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+0.5*(+btat_VSI_BS_VDI_BD*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VDI_BD)));
#endif
mtat_VDI_BD=(((((pModel->atatbot*twoatatoverthreebtat_VDI_BD)*pInst->sqrtumax)+((pModel->atatbot*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD))-(pModel->atatbot*umax_VDI_BD))+(0.5*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))));
#if defined(_DERIVATE2)
  mtat_VDI_BD_VSI_BS=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VSI_BS+0.0*twoatatoverthreebtat_VDI_BD+pModel->atatbot*twoatatoverthreebtat_VDI_BD_VSI_BS)*pInst->sqrtumax+(pModel->atatbot*twoatatoverthreebtat_VDI_BD)*sqrtumax_VSI_BS+((pModel->atatbot*twoatatoverthreebtat_VSI_BS))*sqrtumax_VDI_BD+(pModel->atatbot*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD_VSI_BS)-(+0.0*pInst->umax+0.0*umax_VSI_BS+0.0*umax_VDI_BD+pModel->atatbot*umax_VDI_BD_VSI_BS))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+0.5*(+btat_VDI_BD_VSI_BS*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VSI_BS)));
  mtat_VDI_BD_VDI_BD=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VDI_BD+0.0*twoatatoverthreebtat_VDI_BD+pModel->atatbot*twoatatoverthreebtat_VDI_BD_VDI_BD)*pInst->sqrtumax+(pModel->atatbot*twoatatoverthreebtat_VDI_BD)*sqrtumax_VDI_BD+((pModel->atatbot*twoatatoverthreebtat_VDI_BD))*sqrtumax_VDI_BD+(pModel->atatbot*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD_VDI_BD)-(+0.0*pInst->umax+0.0*umax_VDI_BD+0.0*umax_VDI_BD+pModel->atatbot*umax_VDI_BD_VDI_BD))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+0.5*(+btat_VDI_BD_VDI_BD*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VDI_BD)));
#endif
#endif
pInst->mtat=((((pModel->atatbot*pInst->twoatatoverthreebtat)*pInst->sqrtumax)-(pModel->atatbot*pInst->umax))+(0.5*(pInst->btat*pInst->umaxpoweronepointfive)));
EXIT_IF_ISNAN(((((pModel->atatbot*pInst->twoatatoverthreebtat)*pInst->sqrtumax)-(pModel->atatbot*pInst->umax))+(0.5*(pInst->btat*pInst->umaxpoweronepointfive))))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
xerfc_VSI_BS=((ltat_VSI_BS*pInst->ktat)+((pInst->ltat-1.0)*ktat_VSI_BS));
#if defined(_DERIVATE2)
  xerfc_VSI_BS_VSI_BS=(+(+ltat_VSI_BS_VSI_BS-0.0)*pInst->ktat+ltat_VSI_BS*ktat_VSI_BS+ltat_VSI_BS*ktat_VSI_BS+(pInst->ltat-1.0)*ktat_VSI_BS_VSI_BS);
  xerfc_VSI_BS_VDI_BD=(+(+ltat_VSI_BS_VDI_BD-0.0)*pInst->ktat+ltat_VSI_BS*ktat_VDI_BD+ltat_VDI_BD*ktat_VSI_BS+(pInst->ltat-1.0)*ktat_VSI_BS_VDI_BD);
#endif
xerfc_VDI_BD=((ltat_VDI_BD*pInst->ktat)+((pInst->ltat-1.0)*ktat_VDI_BD));
#if defined(_DERIVATE2)
  xerfc_VDI_BD_VSI_BS=(+(+ltat_VDI_BD_VSI_BS-0.0)*pInst->ktat+ltat_VDI_BD*ktat_VSI_BS+ltat_VSI_BS*ktat_VDI_BD+(pInst->ltat-1.0)*ktat_VDI_BD_VSI_BS);
  xerfc_VDI_BD_VDI_BD=(+(+ltat_VDI_BD_VDI_BD-0.0)*pInst->ktat+ltat_VDI_BD*ktat_VDI_BD+ltat_VDI_BD*ktat_VDI_BD+(pInst->ltat-1.0)*ktat_VDI_BD_VDI_BD);
#endif
#endif
pInst->xerfc=((pInst->ltat-1.0)*pInst->ktat);
EXIT_IF_ISNAN(((pInst->ltat-1.0)*pInst->ktat))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ysq_VSI_BS=((xerfc_VSI_BS*pInst->xerfc)+(pInst->xerfc*xerfc_VSI_BS));
#if defined(_DERIVATE2)
  ysq_VSI_BS_VSI_BS=(+xerfc_VSI_BS_VSI_BS*pInst->xerfc+xerfc_VSI_BS*xerfc_VSI_BS+xerfc_VSI_BS*xerfc_VSI_BS+pInst->xerfc*xerfc_VSI_BS_VSI_BS);
  ysq_VSI_BS_VDI_BD=(+xerfc_VSI_BS_VDI_BD*pInst->xerfc+xerfc_VSI_BS*xerfc_VDI_BD+xerfc_VDI_BD*xerfc_VSI_BS+pInst->xerfc*xerfc_VSI_BS_VDI_BD);
#endif
ysq_VDI_BD=((xerfc_VDI_BD*pInst->xerfc)+(pInst->xerfc*xerfc_VDI_BD));
#if defined(_DERIVATE2)
  ysq_VDI_BD_VSI_BS=(+xerfc_VDI_BD_VSI_BS*pInst->xerfc+xerfc_VDI_BD*xerfc_VSI_BS+xerfc_VSI_BS*xerfc_VDI_BD+pInst->xerfc*xerfc_VDI_BD_VSI_BS);
  ysq_VDI_BD_VDI_BD=(+xerfc_VDI_BD_VDI_BD*pInst->xerfc+xerfc_VDI_BD*xerfc_VDI_BD+xerfc_VDI_BD*xerfc_VDI_BD+pInst->xerfc*xerfc_VDI_BD_VDI_BD);
#endif
#endif
pInst->ysq=(pInst->xerfc*pInst->xerfc);
EXIT_IF_ISNAN((pInst->xerfc*pInst->xerfc))
if
((pInst->xerfc>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
terfc_VSI_BS=(-(pModel->perfc*xerfc_VSI_BS)/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VSI_BS_VSI_BS=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VSI_BS))+0.0*(pModel->perfc*xerfc_VSI_BS)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VSI_BS)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VSI_BS)*((pModel->perfc*xerfc_VSI_BS))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
  terfc_VSI_BS_VDI_BD=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VDI_BD))+0.0*(pModel->perfc*xerfc_VSI_BS)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VDI_BD)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VSI_BS)*((pModel->perfc*xerfc_VDI_BD))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#endif
terfc_VDI_BD=(-(pModel->perfc*xerfc_VDI_BD)/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VDI_BD_VSI_BS=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VSI_BS))+0.0*(pModel->perfc*xerfc_VDI_BD)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VSI_BS)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VDI_BD)*((pModel->perfc*xerfc_VSI_BS))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
  terfc_VDI_BD_VDI_BD=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VDI_BD))+0.0*(pModel->perfc*xerfc_VDI_BD)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VDI_BD)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VDI_BD)*((pModel->perfc*xerfc_VDI_BD))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#endif
#endif
pInst->terfc=(1.0/(1.0+(pModel->perfc*pInst->xerfc)));
EXIT_IF_ISNAN((1.0/(1.0+(pModel->perfc*pInst->xerfc))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
terfc_VSI_BS=(-(-(pModel->perfc*xerfc_VSI_BS))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VSI_BS_VSI_BS=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VSI_BS)))+0.0*(-(pModel->perfc*xerfc_VSI_BS))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VSI_BS))*(-((pModel->perfc*xerfc_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
  terfc_VSI_BS_VDI_BD=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VDI_BD)))+0.0*(-(pModel->perfc*xerfc_VSI_BS))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VSI_BS))*(-((pModel->perfc*xerfc_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#endif
terfc_VDI_BD=(-(-(pModel->perfc*xerfc_VDI_BD))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VDI_BD_VSI_BS=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VSI_BS)))+0.0*(-(pModel->perfc*xerfc_VDI_BD))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VDI_BD))*(-((pModel->perfc*xerfc_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
  terfc_VDI_BD_VDI_BD=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VDI_BD)))+0.0*(-(pModel->perfc*xerfc_VDI_BD))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VDI_BD))*(-((pModel->perfc*xerfc_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#endif
#endif
pInst->terfc=(1.0/(1.0-(pModel->perfc*pInst->xerfc)));
EXIT_IF_ISNAN((1.0/(1.0-(pModel->perfc*pInst->xerfc))))
}
if
((((-pInst->ysq)+pInst->mtat)>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,((-pInst->ysq)+pInst->mtat))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=((-ysq_VSI_BS)+mtat_VSI_BS)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VSI_BS)+mtat_VSI_BS)*((-ysq_VSI_BS)+mtat_VSI_BS)+d10_exp0*(+0.0+mtat_VSI_BS_VSI_BS));
  tmp_VSI_BS_VDI_BD=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VDI_BD)+mtat_VDI_BD)*((-ysq_VSI_BS)+mtat_VSI_BS)+d10_exp0*(+0.0+mtat_VSI_BS_VDI_BD));
#endif
tmp_VDI_BD=((-ysq_VDI_BD)+mtat_VDI_BD)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VSI_BS)+mtat_VSI_BS)*((-ysq_VDI_BD)+mtat_VDI_BD)+d10_exp0*(+0.0+mtat_VDI_BD_VSI_BS));
  tmp_VDI_BD_VDI_BD=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VDI_BD)+mtat_VDI_BD)*((-ysq_VDI_BD)+mtat_VDI_BD)+d10_exp0*(+0.0+mtat_VDI_BD_VDI_BD));
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*3.3333333333333333e-01+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*3.3333333333333333e-01+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*3.3333333333333333e-01+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*3.3333333333333333e-01+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
erfcpos_VSI_BS=(((((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*pInst->tmp)+((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS));
#if defined(_DERIVATE2)
  erfcpos_VSI_BS_VSI_BS=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VSI_BS+0.0*terfc_VSI_BS+0.29214664*terfc_VSI_BS_VSI_BS)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))+0.0*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))+pModel->berfc*(+terfc_VSI_BS_VSI_BS*pInst->terfc+terfc_VSI_BS*terfc_VSI_BS+terfc_VSI_BS*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VSI_BS)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS)))+0.0*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))+pModel->cerfc*(+(+terfc_VSI_BS_VSI_BS*pInst->terfc+terfc_VSI_BS*terfc_VSI_BS+terfc_VSI_BS*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VSI_BS)*pInst->terfc+((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*terfc_VSI_BS+(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*terfc_VSI_BS+(pInst->terfc*pInst->terfc)*terfc_VSI_BS_VSI_BS)))*pInst->tmp+(((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*tmp_VSI_BS+((((0.29214664*terfc_VSI_BS))+((pModel->berfc*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))))+((pModel->cerfc*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))))*tmp_VSI_BS+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS_VSI_BS);
  erfcpos_VSI_BS_VDI_BD=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VDI_BD+0.0*terfc_VSI_BS+0.29214664*terfc_VSI_BS_VDI_BD)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))+0.0*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))+pModel->berfc*(+terfc_VSI_BS_VDI_BD*pInst->terfc+terfc_VSI_BS*terfc_VDI_BD+terfc_VDI_BD*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VDI_BD)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD)))+0.0*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))+pModel->cerfc*(+(+terfc_VSI_BS_VDI_BD*pInst->terfc+terfc_VSI_BS*terfc_VDI_BD+terfc_VDI_BD*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VDI_BD)*pInst->terfc+((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*terfc_VDI_BD+(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*terfc_VSI_BS+(pInst->terfc*pInst->terfc)*terfc_VSI_BS_VDI_BD)))*pInst->tmp+(((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*tmp_VDI_BD+((((0.29214664*terfc_VDI_BD))+((pModel->berfc*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))))+((pModel->cerfc*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))))*tmp_VSI_BS+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS_VDI_BD);
#endif
erfcpos_VDI_BD=(((((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*pInst->tmp)+((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD));
#if defined(_DERIVATE2)
  erfcpos_VDI_BD_VSI_BS=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VSI_BS+0.0*terfc_VDI_BD+0.29214664*terfc_VDI_BD_VSI_BS)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))+0.0*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))+pModel->berfc*(+terfc_VDI_BD_VSI_BS*pInst->terfc+terfc_VDI_BD*terfc_VSI_BS+terfc_VSI_BS*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VSI_BS)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS)))+0.0*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))+pModel->cerfc*(+(+terfc_VDI_BD_VSI_BS*pInst->terfc+terfc_VDI_BD*terfc_VSI_BS+terfc_VSI_BS*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VSI_BS)*pInst->terfc+((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*terfc_VSI_BS+(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*terfc_VDI_BD+(pInst->terfc*pInst->terfc)*terfc_VDI_BD_VSI_BS)))*pInst->tmp+(((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*tmp_VSI_BS+((((0.29214664*terfc_VSI_BS))+((pModel->berfc*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))))+((pModel->cerfc*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))))*tmp_VDI_BD+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD_VSI_BS);
  erfcpos_VDI_BD_VDI_BD=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VDI_BD+0.0*terfc_VDI_BD+0.29214664*terfc_VDI_BD_VDI_BD)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))+0.0*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))+pModel->berfc*(+terfc_VDI_BD_VDI_BD*pInst->terfc+terfc_VDI_BD*terfc_VDI_BD+terfc_VDI_BD*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VDI_BD)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD)))+0.0*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))+pModel->cerfc*(+(+terfc_VDI_BD_VDI_BD*pInst->terfc+terfc_VDI_BD*terfc_VDI_BD+terfc_VDI_BD*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VDI_BD)*pInst->terfc+((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*terfc_VDI_BD+(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*terfc_VDI_BD+(pInst->terfc*pInst->terfc)*terfc_VDI_BD_VDI_BD)))*pInst->tmp+(((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*tmp_VDI_BD+((((0.29214664*terfc_VDI_BD))+((pModel->berfc*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))))+((pModel->cerfc*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))))*tmp_VDI_BD+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD_VDI_BD);
#endif
#endif
pInst->erfcpos=((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*pInst->tmp);
EXIT_IF_ISNAN(((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*pInst->tmp))
if
((pInst->xerfc>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
erfctimesexpmtat_VSI_BS=erfcpos_VSI_BS;
#if defined(_DERIVATE2)
  erfctimesexpmtat_VSI_BS_VSI_BS=erfcpos_VSI_BS_VSI_BS;
  erfctimesexpmtat_VSI_BS_VDI_BD=erfcpos_VSI_BS_VDI_BD;
#endif
erfctimesexpmtat_VDI_BD=erfcpos_VDI_BD;
#if defined(_DERIVATE2)
  erfctimesexpmtat_VDI_BD_VSI_BS=erfcpos_VDI_BD_VSI_BS;
  erfctimesexpmtat_VDI_BD_VDI_BD=erfcpos_VDI_BD_VDI_BD;
#endif
#endif
pInst->erfctimesexpmtat=pInst->erfcpos;
EXIT_IF_ISNAN(pInst->erfcpos)
}
else
{
if
((pInst->mtat>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,pInst->mtat)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=mtat_VSI_BS*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(pInst->mtat)*mtat_VSI_BS*mtat_VSI_BS+d10_exp0*mtat_VSI_BS_VSI_BS);
  tmp_VSI_BS_VDI_BD=(m20_exp(pInst->mtat)*mtat_VDI_BD*mtat_VSI_BS+d10_exp0*mtat_VSI_BS_VDI_BD);
#endif
tmp_VDI_BD=mtat_VDI_BD*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(pInst->mtat)*mtat_VSI_BS*mtat_VDI_BD+d10_exp0*mtat_VDI_BD_VSI_BS);
  tmp_VDI_BD_VDI_BD=(m20_exp(pInst->mtat)*mtat_VDI_BD*mtat_VDI_BD+d10_exp0*mtat_VDI_BD_VDI_BD);
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VSI_BS_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VSI_BS)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))))+(-mtat_VSI_BS)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))+0.0*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VSI_BS_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VSI_BS)*((-mtat_VSI_BS)*3.3333333333333333e-01)+(-mtat_VSI_BS)*(-mtat_VSI_BS)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VSI_BS_VSI_BS)*3.3333333333333333e-01+(-mtat_VSI_BS)*0.0+(-mtat_VSI_BS)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VSI_BS_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VSI_BS)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))))+(-mtat_VDI_BD)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))+0.0*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VSI_BS_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VSI_BS)*((-mtat_VDI_BD)*3.3333333333333333e-01)+(-mtat_VDI_BD)*(-mtat_VSI_BS)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VSI_BS_VDI_BD)*3.3333333333333333e-01+(-mtat_VSI_BS)*0.0+(-mtat_VDI_BD)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VDI_BD_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VDI_BD)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))))+(-mtat_VSI_BS)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))+0.0*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VDI_BD_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VDI_BD)*((-mtat_VSI_BS)*3.3333333333333333e-01)+(-mtat_VSI_BS)*(-mtat_VDI_BD)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VDI_BD_VSI_BS)*3.3333333333333333e-01+(-mtat_VDI_BD)*0.0+(-mtat_VSI_BS)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VDI_BD_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VDI_BD)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))))+(-mtat_VDI_BD)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))+0.0*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VDI_BD_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VDI_BD)*((-mtat_VDI_BD)*3.3333333333333333e-01)+(-mtat_VDI_BD)*(-mtat_VDI_BD)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VDI_BD_VDI_BD)*3.3333333333333333e-01+(-mtat_VDI_BD)*0.0+(-mtat_VDI_BD)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
erfctimesexpmtat_VSI_BS=((2.0*tmp_VSI_BS)-erfcpos_VSI_BS);
#if defined(_DERIVATE2)
  erfctimesexpmtat_VSI_BS_VSI_BS=(+(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VSI_BS+2.0*tmp_VSI_BS_VSI_BS)-erfcpos_VSI_BS_VSI_BS);
  erfctimesexpmtat_VSI_BS_VDI_BD=(+(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VSI_BS+2.0*tmp_VSI_BS_VDI_BD)-erfcpos_VSI_BS_VDI_BD);
#endif
erfctimesexpmtat_VDI_BD=((2.0*tmp_VDI_BD)-erfcpos_VDI_BD);
#if defined(_DERIVATE2)
  erfctimesexpmtat_VDI_BD_VSI_BS=(+(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VDI_BD+2.0*tmp_VDI_BD_VSI_BS)-erfcpos_VDI_BD_VSI_BS);
  erfctimesexpmtat_VDI_BD_VDI_BD=(+(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VDI_BD+2.0*tmp_VDI_BD_VDI_BD)-erfcpos_VDI_BD_VDI_BD);
#endif
#endif
pInst->erfctimesexpmtat=((2.0*pInst->tmp)-pInst->erfcpos);
EXIT_IF_ISNAN(((2.0*pInst->tmp)-pInst->erfcpos))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
gammamax_VSI_BS=((1.77245385090551603*0.5)*(((pModel->atatbot*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat));
#if defined(_DERIVATE2)
  gammamax_VSI_BS_VSI_BS=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatbot*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatbot*erfctimesexpmtat_VSI_BS))*pInst->ktat-(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatbot*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VSI_BS+0.0*erfctimesexpmtat_VSI_BS+pModel->atatbot*erfctimesexpmtat_VSI_BS_VSI_BS)/pInst->ktat-((pModel->atatbot*erfctimesexpmtat_VSI_BS)*ktat_VSI_BS+((pModel->atatbot*erfctimesexpmtat_VSI_BS))*ktat_VSI_BS+(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VSI_BS_VSI_BS)/pInst->ktat/pInst->ktat+2*(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VSI_BS*ktat_VSI_BS/pInst->ktat/pInst->ktat/pInst->ktat));
  gammamax_VSI_BS_VDI_BD=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatbot*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatbot*erfctimesexpmtat_VDI_BD))*pInst->ktat-(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatbot*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VDI_BD+0.0*erfctimesexpmtat_VSI_BS+pModel->atatbot*erfctimesexpmtat_VSI_BS_VDI_BD)/pInst->ktat-((pModel->atatbot*erfctimesexpmtat_VSI_BS)*ktat_VDI_BD+((pModel->atatbot*erfctimesexpmtat_VDI_BD))*ktat_VSI_BS+(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VSI_BS_VDI_BD)/pInst->ktat/pInst->ktat+2*(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VSI_BS*ktat_VDI_BD/pInst->ktat/pInst->ktat/pInst->ktat));
#endif
gammamax_VDI_BD=((1.77245385090551603*0.5)*(((pModel->atatbot*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat));
#if defined(_DERIVATE2)
  gammamax_VDI_BD_VSI_BS=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatbot*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatbot*erfctimesexpmtat_VSI_BS))*pInst->ktat-(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatbot*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VSI_BS+0.0*erfctimesexpmtat_VDI_BD+pModel->atatbot*erfctimesexpmtat_VDI_BD_VSI_BS)/pInst->ktat-((pModel->atatbot*erfctimesexpmtat_VDI_BD)*ktat_VSI_BS+((pModel->atatbot*erfctimesexpmtat_VSI_BS))*ktat_VDI_BD+(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VDI_BD_VSI_BS)/pInst->ktat/pInst->ktat+2*(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VDI_BD*ktat_VSI_BS/pInst->ktat/pInst->ktat/pInst->ktat));
  gammamax_VDI_BD_VDI_BD=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatbot*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatbot*erfctimesexpmtat_VDI_BD))*pInst->ktat-(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatbot*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VDI_BD+0.0*erfctimesexpmtat_VDI_BD+pModel->atatbot*erfctimesexpmtat_VDI_BD_VDI_BD)/pInst->ktat-((pModel->atatbot*erfctimesexpmtat_VDI_BD)*ktat_VDI_BD+((pModel->atatbot*erfctimesexpmtat_VDI_BD))*ktat_VDI_BD+(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VDI_BD_VDI_BD)/pInst->ktat/pInst->ktat+2*(pModel->atatbot*pInst->erfctimesexpmtat)*ktat_VDI_BD*ktat_VDI_BD/pInst->ktat/pInst->ktat/pInst->ktat));
#endif
#endif
pInst->gammamax=((1.77245385090551603*0.5)*((pModel->atatbot*pInst->erfctimesexpmtat)/pInst->ktat));
EXIT_IF_ISNAN(((1.77245385090551603*0.5)*((pModel->atatbot*pInst->erfctimesexpmtat)/pInst->ktat)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
itat_VSI_BS=(pModel->CTATBOT_i*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)));
#if defined(_DERIVATE2)
  itat_VSI_BS_VSI_BS=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)))+0.0*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS))+pModel->CTATBOT_i*(+(+asrh_VSI_BS_VSI_BS*pInst->gammamax+asrh_VSI_BS*gammamax_VSI_BS+asrh_VSI_BS*gammamax_VSI_BS+pInst->asrh*gammamax_VSI_BS_VSI_BS)*pInst->wtat+((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*wtat_VSI_BS+(((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*wtat_VSI_BS+(pInst->asrh*pInst->gammamax)*wtat_VSI_BS_VSI_BS));
  itat_VSI_BS_VDI_BD=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)))+0.0*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS))+pModel->CTATBOT_i*(+(+asrh_VSI_BS_VDI_BD*pInst->gammamax+asrh_VSI_BS*gammamax_VDI_BD+asrh_VDI_BD*gammamax_VSI_BS+pInst->asrh*gammamax_VSI_BS_VDI_BD)*pInst->wtat+((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*wtat_VDI_BD+(((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*wtat_VSI_BS+(pInst->asrh*pInst->gammamax)*wtat_VSI_BS_VDI_BD));
#endif
itat_VDI_BD=(pModel->CTATBOT_i*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)));
#if defined(_DERIVATE2)
  itat_VDI_BD_VSI_BS=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)))+0.0*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD))+pModel->CTATBOT_i*(+(+asrh_VDI_BD_VSI_BS*pInst->gammamax+asrh_VDI_BD*gammamax_VSI_BS+asrh_VSI_BS*gammamax_VDI_BD+pInst->asrh*gammamax_VDI_BD_VSI_BS)*pInst->wtat+((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*wtat_VSI_BS+(((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*wtat_VDI_BD+(pInst->asrh*pInst->gammamax)*wtat_VDI_BD_VSI_BS));
  itat_VDI_BD_VDI_BD=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)))+0.0*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD))+pModel->CTATBOT_i*(+(+asrh_VDI_BD_VDI_BD*pInst->gammamax+asrh_VDI_BD*gammamax_VDI_BD+asrh_VDI_BD*gammamax_VDI_BD+pInst->asrh*gammamax_VDI_BD_VDI_BD)*pInst->wtat+((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*wtat_VDI_BD+(((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*wtat_VDI_BD+(pInst->asrh*pInst->gammamax)*wtat_VDI_BD_VDI_BD));
#endif
#endif
pInst->itat=(pModel->CTATBOT_i*((pInst->asrh*pInst->gammamax)*pInst->wtat));
EXIT_IF_ISNAN((pModel->CTATBOT_i*((pInst->asrh*pInst->gammamax)*pInst->wtat)))
}
if
((pModel->CBBTBOT_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ibbt_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ibbt_VSI_BS_VSI_BS=0.0;
  ibbt_VSI_BS_VDI_BD=0.0;
#endif
ibbt_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ibbt_VDI_BD_VSI_BS=0.0;
  ibbt_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->ibbt=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
if
((pModel->PBOT_i==0.5))
{
{
double m00_sqrt(d00_sqrt0,((pModel->VBIRBOT_i-pInst->vbbt)*pModel->VBIRBOTinv))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pModel->VBIRBOT_i-pInst->vbbt)*pModel->VBIRBOTinv))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-vbbt_VSI_BS)*pModel->VBIRBOTinv*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt(((pModel->VBIRBOT_i-pInst->vbbt)*pModel->VBIRBOTinv))*((-vbbt_VSI_BS)*pModel->VBIRBOTinv)*(-vbbt_VSI_BS)*pModel->VBIRBOTinv+d10_sqrt0*(+(+0.0-vbbt_VSI_BS_VSI_BS)*pModel->VBIRBOTinv+(-vbbt_VSI_BS)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRBOT_i-pInst->vbbt)*0.0));
  tmp_VSI_BS_VDI_BD=(m20_sqrt(((pModel->VBIRBOT_i-pInst->vbbt)*pModel->VBIRBOTinv))*((-vbbt_VDI_BD)*pModel->VBIRBOTinv)*(-vbbt_VSI_BS)*pModel->VBIRBOTinv+d10_sqrt0*(+(+0.0-vbbt_VSI_BS_VDI_BD)*pModel->VBIRBOTinv+(-vbbt_VSI_BS)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRBOT_i-pInst->vbbt)*0.0));
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,((pModel->VBIRBOT_i-pInst->vbbt)*pModel->VBIRBOTinv),pModel->PBOT_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,((pModel->VBIRBOT_i-pInst->vbbt)*pModel->VBIRBOTinv),pModel->PBOT_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*(-vbbt_VSI_BS)*pModel->VBIRBOTinv);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Fmaxr_VSI_BS=(pModel->one_over_one_minus_PBOT*(((-vbbt_VSI_BS)*pModel->wdepnulrinvbot*pInst->tmp-((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VSI_BS)/pInst->tmp/pInst->tmp));
#if defined(_DERIVATE2)
  Fmaxr_VSI_BS_VSI_BS=(+0.0*(((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)/pInst->tmp)+0.0*((((-vbbt_VSI_BS)*pModel->wdepnulrinvbot)*pInst->tmp-((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VSI_BS)*pModel->wdepnulrinvbot*pInst->tmp-((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PBOT*((+(+0.0-vbbt_VSI_BS_VSI_BS)*pModel->wdepnulrinvbot+(-vbbt_VSI_BS)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRBOT_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VSI_BS)*pModel->wdepnulrinvbot*tmp_VSI_BS+((-vbbt_VSI_BS)*pModel->wdepnulrinvbot)*tmp_VSI_BS+((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VSI_BS_VSI_BS)/pInst->tmp/pInst->tmp+2*((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VSI_BS*tmp_VSI_BS/pInst->tmp/pInst->tmp/pInst->tmp));
  Fmaxr_VSI_BS_VDI_BD=(+0.0*(((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)/pInst->tmp)+0.0*((((-vbbt_VDI_BD)*pModel->wdepnulrinvbot)*pInst->tmp-((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VSI_BS)*pModel->wdepnulrinvbot*pInst->tmp-((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PBOT*((+(+0.0-vbbt_VSI_BS_VDI_BD)*pModel->wdepnulrinvbot+(-vbbt_VSI_BS)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRBOT_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VSI_BS)*pModel->wdepnulrinvbot*tmp_VDI_BD+((-vbbt_VDI_BD)*pModel->wdepnulrinvbot)*tmp_VSI_BS+((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VSI_BS_VDI_BD)/pInst->tmp/pInst->tmp+2*((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VSI_BS*tmp_VDI_BD/pInst->tmp/pInst->tmp/pInst->tmp));
#endif
Fmaxr_VDI_BD=(pModel->one_over_one_minus_PBOT*(((-vbbt_VDI_BD)*pModel->wdepnulrinvbot*pInst->tmp-((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VDI_BD)/pInst->tmp/pInst->tmp));
#if defined(_DERIVATE2)
  Fmaxr_VDI_BD_VSI_BS=(+0.0*(((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)/pInst->tmp)+0.0*((((-vbbt_VSI_BS)*pModel->wdepnulrinvbot)*pInst->tmp-((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VDI_BD)*pModel->wdepnulrinvbot*pInst->tmp-((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PBOT*((+(+0.0-vbbt_VDI_BD_VSI_BS)*pModel->wdepnulrinvbot+(-vbbt_VDI_BD)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRBOT_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VDI_BD)*pModel->wdepnulrinvbot*tmp_VSI_BS+((-vbbt_VSI_BS)*pModel->wdepnulrinvbot)*tmp_VDI_BD+((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VDI_BD_VSI_BS)/pInst->tmp/pInst->tmp+2*((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VDI_BD*tmp_VSI_BS/pInst->tmp/pInst->tmp/pInst->tmp));
  Fmaxr_VDI_BD_VDI_BD=(+0.0*(((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)/pInst->tmp)+0.0*((((-vbbt_VDI_BD)*pModel->wdepnulrinvbot)*pInst->tmp-((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VDI_BD)*pModel->wdepnulrinvbot*pInst->tmp-((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PBOT*((+(+0.0-vbbt_VDI_BD_VDI_BD)*pModel->wdepnulrinvbot+(-vbbt_VDI_BD)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRBOT_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VDI_BD)*pModel->wdepnulrinvbot*tmp_VDI_BD+((-vbbt_VDI_BD)*pModel->wdepnulrinvbot)*tmp_VDI_BD+((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VDI_BD_VDI_BD)/pInst->tmp/pInst->tmp+2*((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)*tmp_VDI_BD*tmp_VDI_BD/pInst->tmp/pInst->tmp/pInst->tmp));
#endif
#endif
pInst->Fmaxr=(pModel->one_over_one_minus_PBOT*(((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)/pInst->tmp));
EXIT_IF_ISNAN((pModel->one_over_one_minus_PBOT*(((pModel->VBIRBOT_i-pInst->vbbt)*pModel->wdepnulrinvbot)/pInst->tmp)))
{
double m00_fabs(d00_fabs0,((-pModel->fbbtbot)/pInst->Fmaxr))
if
((d00_fabs0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,((-pModel->fbbtbot)/pInst->Fmaxr))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
  tmp_VSI_BS_VDI_BD=(m20_exp(((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
#endif
tmp_VDI_BD=(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
  tmp_VDI_BD_VDI_BD=(m20_exp(((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
if
((((-pModel->fbbtbot)/pInst->Fmaxr)<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot)/pInst->Fmaxr))*3.3333333333333333e-01)))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(1.0e100*(((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(+0.0*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
  tmp_VSI_BS_VDI_BD=(+0.0*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
#endif
tmp_VDI_BD=(1.0e100*(((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(+0.0*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtbot)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
  tmp_VDI_BD_VDI_BD=(+0.0*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtbot)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
pInst->tmp=(1.0e100*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ibbt_VSI_BS=(pModel->CBBTBOT_i*((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)));
#if defined(_DERIVATE2)
  ibbt_VSI_BS_VSI_BS=(+0.0*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*(((((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS)))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)))+0.0*((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS))+pModel->CBBTBOT_i*(+(+(+Vjun_s_VSI_BS_VSI_BS*pInst->Fmaxr+Vjun_s_VSI_BS*Fmaxr_VSI_BS+Vjun_s_VSI_BS*Fmaxr_VSI_BS+Vjun_s*Fmaxr_VSI_BS_VSI_BS)*pInst->Fmaxr+((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*Fmaxr_VSI_BS+(((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*Fmaxr_VSI_BS+(Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS_VSI_BS)*pInst->tmp+((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*tmp_VSI_BS+((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS)))*tmp_VSI_BS+((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS_VSI_BS));
  ibbt_VSI_BS_VDI_BD=(+0.0*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*((((((((Vjun_s*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD)))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)))+0.0*((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS))+pModel->CBBTBOT_i*(+(+(+0.0*pInst->Fmaxr+Vjun_s_VSI_BS*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+Vjun_s*Fmaxr_VSI_BS_VDI_BD)*pInst->Fmaxr+((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*Fmaxr_VDI_BD+((Vjun_s*Fmaxr_VDI_BD))*Fmaxr_VSI_BS+(Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS_VDI_BD)*pInst->tmp+((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*tmp_VDI_BD+(((((Vjun_s*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD)))*tmp_VSI_BS+((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS_VDI_BD));
#endif
ibbt_VDI_BD=(pModel->CBBTBOT_i*(((((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)));
#if defined(_DERIVATE2)
  ibbt_VDI_BD_VSI_BS=(+0.0*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*(((((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS)))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)))+0.0*(((((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD))+pModel->CBBTBOT_i*(+(+(+0.0*pInst->Fmaxr+0.0*Fmaxr_VSI_BS+Vjun_s_VSI_BS*Fmaxr_VDI_BD+Vjun_s*Fmaxr_VDI_BD_VSI_BS)*pInst->Fmaxr+(Vjun_s*Fmaxr_VDI_BD)*Fmaxr_VSI_BS+(((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*Fmaxr_VDI_BD+(Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD_VSI_BS)*pInst->tmp+(((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*tmp_VSI_BS+((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS)))*tmp_VDI_BD+((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD_VSI_BS));
  ibbt_VDI_BD_VDI_BD=(+0.0*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*((((((((Vjun_s*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD)))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)))+0.0*(((((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD))+pModel->CBBTBOT_i*(+(+(+0.0*pInst->Fmaxr+0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+Vjun_s*Fmaxr_VDI_BD_VDI_BD)*pInst->Fmaxr+(Vjun_s*Fmaxr_VDI_BD)*Fmaxr_VDI_BD+((Vjun_s*Fmaxr_VDI_BD))*Fmaxr_VDI_BD+(Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD_VDI_BD)*pInst->tmp+(((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*tmp_VDI_BD+(((((Vjun_s*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD)))*tmp_VDI_BD+((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD_VDI_BD));
#endif
#endif
pInst->ibbt=(pModel->CBBTBOT_i*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp));
EXIT_IF_ISNAN((pModel->CBBTBOT_i*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)))
}
if
((pModel->VBRBOT_i>1.0e3))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=0.0;
  fbreakdown_VSI_BS_VDI_BD=0.0;
#endif
fbreakdown_VDI_BD=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=0.0;
  fbreakdown_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->fbreakdown=1.0;
EXIT_IF_ISNAN(1.0)
}
else
{
if
((pInst->vav>((-pModel->alphaav)*pModel->VBRBOT_i)))
{
if
((pModel->PBRBOT_i==4.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=((((((vav_VSI_BS*pModel->VBRinvbot*(pInst->vav*pModel->VBRinvbot))+((pInst->vav*pModel->VBRinvbot)*vav_VSI_BS*pModel->VBRinvbot))*(pInst->vav*pModel->VBRinvbot))+(((pInst->vav*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))*vav_VSI_BS*pModel->VBRinvbot))*(pInst->vav*pModel->VBRinvbot))+((((pInst->vav*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))*(pInst->vav*pModel->VBRinvbot))*vav_VSI_BS*pModel->VBRinvbot));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(+(+(+(+vav_VSI_BS_VSI_BS*pModel->VBRinvbot+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvbot)+vav_VSI_BS*pModel->VBRinvbot*(vav_VSI_BS*pModel->VBRinvbot)+(vav_VSI_BS*pModel->VBRinvbot)*vav_VSI_BS*pModel->VBRinvbot+(pInst->vav*pModel->VBRinvbot)*(+vav_VSI_BS_VSI_BS*pModel->VBRinvbot+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvbot)+((vav_VSI_BS*pModel->VBRinvbot*(pInst->vav*pModel->VBRinvbot))+((pInst->vav*pModel->VBRinvbot)*vav_VSI_BS*pModel->VBRinvbot))*(vav_VSI_BS*pModel->VBRinvbot)+((((vav_VSI_BS*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))+((pInst->vav*pModel->VBRinvbot)*(vav_VSI_BS*pModel->VBRinvbot))))*vav_VSI_BS*pModel->VBRinvbot+((pInst->vav*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))*(+vav_VSI_BS_VSI_BS*pModel->VBRinvbot+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvbot)+((((vav_VSI_BS*pModel->VBRinvbot*(pInst->vav*pModel->VBRinvbot))+((pInst->vav*pModel->VBRinvbot)*vav_VSI_BS*pModel->VBRinvbot))*(pInst->vav*pModel->VBRinvbot))+(((pInst->vav*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))*vav_VSI_BS*pModel->VBRinvbot))*(vav_VSI_BS*pModel->VBRinvbot)+(((((((vav_VSI_BS*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))+((pInst->vav*pModel->VBRinvbot)*(vav_VSI_BS*pModel->VBRinvbot))))*(pInst->vav*pModel->VBRinvbot))+(((pInst->vav*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))*(vav_VSI_BS*pModel->VBRinvbot))))*vav_VSI_BS*pModel->VBRinvbot+(((pInst->vav*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))*(pInst->vav*pModel->VBRinvbot))*(+vav_VSI_BS_VSI_BS*pModel->VBRinvbot+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0));
  tmp_VSI_BS_VDI_BD=(+(+(+(+vav_VSI_BS_VDI_BD*pModel->VBRinvbot+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvbot)+vav_VSI_BS*pModel->VBRinvbot*(vav_VDI_BD*pModel->VBRinvbot)+(vav_VDI_BD*pModel->VBRinvbot)*vav_VSI_BS*pModel->VBRinvbot+(pInst->vav*pModel->VBRinvbot)*(+vav_VSI_BS_VDI_BD*pModel->VBRinvbot+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvbot)+((vav_VSI_BS*pModel->VBRinvbot*(pInst->vav*pModel->VBRinvbot))+((pInst->vav*pModel->VBRinvbot)*vav_VSI_BS*pModel->VBRinvbot))*(vav_VDI_BD*pModel->VBRinvbot)+((((vav_VDI_BD*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))+((pInst->vav*pModel->VBRinvbot)*(vav_VDI_BD*pModel->VBRinvbot))))*vav_VSI_BS*pModel->VBRinvbot+((pInst->vav*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))*(+vav_VSI_BS_VDI_BD*pModel->VBRinvbot+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvbot)+((((vav_VSI_BS*pModel->VBRinvbot*(pInst->vav*pModel->VBRinvbot))+((pInst->vav*pModel->VBRinvbot)*vav_VSI_BS*pModel->VBRinvbot))*(pInst->vav*pModel->VBRinvbot))+(((pInst->vav*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))*vav_VSI_BS*pModel->VBRinvbot))*(vav_VDI_BD*pModel->VBRinvbot)+(((((((vav_VDI_BD*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))+((pInst->vav*pModel->VBRinvbot)*(vav_VDI_BD*pModel->VBRinvbot))))*(pInst->vav*pModel->VBRinvbot))+(((pInst->vav*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))*(vav_VDI_BD*pModel->VBRinvbot))))*vav_VSI_BS*pModel->VBRinvbot+(((pInst->vav*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))*(pInst->vav*pModel->VBRinvbot))*(+vav_VSI_BS_VDI_BD*pModel->VBRinvbot+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0));
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=((((pInst->vav*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))*(pInst->vav*pModel->VBRinvbot))*(pInst->vav*pModel->VBRinvbot));
EXIT_IF_ISNAN(((((pInst->vav*pModel->VBRinvbot)*(pInst->vav*pModel->VBRinvbot))*(pInst->vav*pModel->VBRinvbot))*(pInst->vav*pModel->VBRinvbot)))
}
else
{
{
double m00_fabs(d00_fabs0,(pInst->vav*pModel->VBRinvbot))
double m00_pow(d00_pow1,d00_fabs0,pModel->PBRBOT_i)
#if defined(_DERIVATEFORDDX)
double m10_fabs(d10_fabs0,d00_fabs0,(pInst->vav*pModel->VBRinvbot))
double m10_pow(d10_pow1,d00_pow1,d00_fabs0,pModel->PBRBOT_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow1*vav_VSI_BS*pModel->VBRinvbot*d10_fabs0);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_pow1;
EXIT_IF_ISNAN(d00_pow1)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=(-(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VSI_BS)+0.0*(-tmp_VSI_BS)+1.0*(+0.0-tmp_VSI_BS_VSI_BS))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VSI_BS)*(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
  fbreakdown_VSI_BS_VDI_BD=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VDI_BD)+0.0*(-tmp_VSI_BS)+1.0*(+0.0-tmp_VSI_BS_VDI_BD))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VSI_BS)*(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#endif
fbreakdown_VDI_BD=(-(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VSI_BS)+0.0*(-tmp_VDI_BD)+1.0*(+0.0-tmp_VDI_BD_VSI_BS))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VDI_BD)*(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
  fbreakdown_VDI_BD_VDI_BD=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VDI_BD)+0.0*(-tmp_VDI_BD)+1.0*(+0.0-tmp_VDI_BD_VDI_BD))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VDI_BD)*(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#endif
#endif
pInst->fbreakdown=(1.0/(1.0-pInst->tmp));
EXIT_IF_ISNAN((1.0/(1.0-pInst->tmp)))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=vav_VSI_BS*pModel->slopebot;
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=(+0.0+(+(+vav_VSI_BS_VSI_BS+(+0.0*pModel->VBRBOT_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopebot+vav_VSI_BS*0.0+(vav_VSI_BS+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRBOT_i))*0.0));
  fbreakdown_VSI_BS_VDI_BD=(+0.0+(+(+vav_VSI_BS_VDI_BD+(+0.0*pModel->VBRBOT_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopebot+vav_VSI_BS*0.0+(vav_VDI_BD+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRBOT_i))*0.0));
#endif
fbreakdown_VDI_BD=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=0.0;
  fbreakdown_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->fbreakdown=(pModel->fstopbot+((pInst->vav+(pModel->alphaav*pModel->VBRBOT_i))*pModel->slopebot));
EXIT_IF_ISNAN((pModel->fstopbot+((pInst->vav+(pModel->alphaav*pModel->VBRBOT_i))*pModel->slopebot)))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(SI,GND)V(DI,GND)V(BP,GND)V(GP,GND) */
ijunbot_s_VSI_BS=(((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*pInst->fbreakdown)+((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS));
#if defined(_DERIVATE2)
  ijunbot_s_VSI_BS_VSI_BS=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+pInst->IFACTOR_i*(+(+(+id_VSI_BS_VSI_BS+isrh_VSI_BS_VSI_BS)+itat_VSI_BS_VSI_BS)+ibbt_VSI_BS_VSI_BS))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*fbreakdown_VSI_BS+((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)))*fbreakdown_VSI_BS+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS_VSI_BS);
  ijunbot_s_VSI_BS_VDI_BD=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+pInst->IFACTOR_i*(+(+(+id_VSI_BS_VDI_BD+isrh_VSI_BS_VDI_BD)+itat_VSI_BS_VDI_BD)+ibbt_VSI_BS_VDI_BD))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*fbreakdown_VDI_BD+((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)))*fbreakdown_VSI_BS+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS_VDI_BD);
#endif
ijunbot_s_VDI_BD=(((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*pInst->fbreakdown)+((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD));
#if defined(_DERIVATE2)
  ijunbot_s_VDI_BD_VSI_BS=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+pInst->IFACTOR_i*(+(+(+id_VDI_BD_VSI_BS+isrh_VDI_BD_VSI_BS)+itat_VDI_BD_VSI_BS)+ibbt_VDI_BD_VSI_BS))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*fbreakdown_VSI_BS+((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)))*fbreakdown_VDI_BD+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD_VSI_BS);
  ijunbot_s_VDI_BD_VDI_BD=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+pInst->IFACTOR_i*(+(+(+id_VDI_BD_VDI_BD+isrh_VDI_BD_VDI_BD)+itat_VDI_BD_VDI_BD)+ibbt_VDI_BD_VDI_BD))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*fbreakdown_VDI_BD+((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)))*fbreakdown_VDI_BD+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD_VDI_BD);
#endif
#endif
ijunbot_s=((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*pInst->fbreakdown);
EXIT_IF_ISNAN(((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*pInst->fbreakdown))
}
if
((pInst->LSSOURCE_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(SI,GND)V(DI,GND)V(BP,GND)V(GP,GND) */
ijunsti_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijunsti_s_VSI_BS_VSI_BS=0.0;
  ijunsti_s_VSI_BS_VDI_BD=0.0;
#endif
ijunsti_s_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunsti_s_VDI_BD_VSI_BS=0.0;
  ijunsti_s_VDI_BD_VDI_BD=0.0;
#endif
#endif
ijunsti_s=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND) */
#if defined(_DERIVATE)
qjunsti_s_VDI_BD=0.0;
#endif
qjunsti_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  qjunsti_s_VSI_BS_VDI_BD=0.0;
  qjunsti_s_VSI_BS_VSI_BS=0.0;
#endif
#endif
qjunsti_s=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
if
((pModel->one_minus_PSTI==0.5))
{
{
double m00_sqrt(d00_sqrt0,(1.0-(pInst->vj*pModel->vbiinvsti)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(pInst->vj*pModel->vbiinvsti)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-vj_VSI_BS*pModel->vbiinvsti)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvsti)))*(-(vj_VSI_BS*pModel->vbiinvsti))*(-vj_VSI_BS*pModel->vbiinvsti)+d10_sqrt0*(+0.0-(+vj_VSI_BS_VSI_BS*pModel->vbiinvsti+vj_VSI_BS*0.0+vj_VSI_BS*0.0+pInst->vj*0.0)));
  tmp_VSI_BS_VDI_BD=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvsti)))*(-(vj_VDI_BD*pModel->vbiinvsti))*(-vj_VSI_BS*pModel->vbiinvsti)+d10_sqrt0*(+0.0-(+vj_VSI_BS_VDI_BD*pModel->vbiinvsti+vj_VSI_BS*0.0+vj_VDI_BD*0.0+pInst->vj*0.0)));
#endif
tmp_VDI_BD=(-vj_VDI_BD*pModel->vbiinvsti)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvsti)))*(-(vj_VSI_BS*pModel->vbiinvsti))*(-vj_VDI_BD*pModel->vbiinvsti)+d10_sqrt0*(+0.0-(+vj_VDI_BD_VSI_BS*pModel->vbiinvsti+vj_VDI_BD*0.0+vj_VSI_BS*0.0+pInst->vj*0.0)));
  tmp_VDI_BD_VDI_BD=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvsti)))*(-(vj_VDI_BD*pModel->vbiinvsti))*(-vj_VDI_BD*pModel->vbiinvsti)+d10_sqrt0*(+0.0-(+vj_VDI_BD_VDI_BD*pModel->vbiinvsti+vj_VDI_BD*0.0+vj_VDI_BD*0.0+pInst->vj*0.0)));
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,(1.0-(pInst->vj*pModel->vbiinvsti)),pModel->one_minus_PSTI)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0-(pInst->vj*pModel->vbiinvsti)),pModel->one_minus_PSTI)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*(-vj_VSI_BS*pModel->vbiinvsti));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow0*(-vj_VDI_BD*pModel->vbiinvsti));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND) */
#if defined(_DERIVATE)
qjunsti_s_VDI_BD=(pInst->CFACTOR_i*((pModel->qprefsti*(-tmp_VDI_BD))+(pModel->qpref2sti*(-vj_VDI_BD))));
#endif
qjunsti_s_VSI_BS=(pInst->CFACTOR_i*((pModel->qprefsti*(-tmp_VSI_BS))+(pModel->qpref2sti*(Vjun_s_VSI_BS-vj_VSI_BS))));
#if defined(_DERIVATE2)
  qjunsti_s_VSI_BS_VDI_BD=(+0.0*((pModel->qprefsti*(1.0-pInst->tmp))+(pModel->qpref2sti*(Vjun_s-pInst->vj)))+0.0*(((pModel->qprefsti*(-tmp_VDI_BD)))+((pModel->qpref2sti*(-vj_VDI_BD))))+0.0*((pModel->qprefsti*(-tmp_VSI_BS))+(pModel->qpref2sti*(Vjun_s_VSI_BS-vj_VSI_BS)))+pInst->CFACTOR_i*(+(+0.0*(1.0-pInst->tmp)+0.0*(-tmp_VDI_BD)+0.0*(-tmp_VSI_BS)+pModel->qprefsti*(+0.0-tmp_VSI_BS_VDI_BD))+(+0.0*(Vjun_s-pInst->vj)+0.0*(-vj_VDI_BD)+0.0*(Vjun_s_VSI_BS-vj_VSI_BS)+pModel->qpref2sti*(+0.0-vj_VSI_BS_VDI_BD))));
  qjunsti_s_VSI_BS_VSI_BS=(+0.0*((pModel->qprefsti*(1.0-pInst->tmp))+(pModel->qpref2sti*(Vjun_s-pInst->vj)))+0.0*(((pModel->qprefsti*(-tmp_VSI_BS)))+((pModel->qpref2sti*(Vjun_s_VSI_BS-vj_VSI_BS))))+0.0*((pModel->qprefsti*(-tmp_VSI_BS))+(pModel->qpref2sti*(Vjun_s_VSI_BS-vj_VSI_BS)))+pInst->CFACTOR_i*(+(+0.0*(1.0-pInst->tmp)+0.0*(-tmp_VSI_BS)+0.0*(-tmp_VSI_BS)+pModel->qprefsti*(+0.0-tmp_VSI_BS_VSI_BS))+(+0.0*(Vjun_s-pInst->vj)+0.0*(Vjun_s_VSI_BS-vj_VSI_BS)+0.0*(Vjun_s_VSI_BS-vj_VSI_BS)+pModel->qpref2sti*(+Vjun_s_VSI_BS_VSI_BS-vj_VSI_BS_VSI_BS))));
#endif
#endif
qjunsti_s=(pInst->CFACTOR_i*((pModel->qprefsti*(1.0-pInst->tmp))+(pModel->qpref2sti*(Vjun_s-pInst->vj))));
EXIT_IF_ISNAN((pInst->CFACTOR_i*((pModel->qprefsti*(1.0-pInst->tmp))+(pModel->qpref2sti*(Vjun_s-pInst->vj)))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
id_VDI_BD=0.0;
#if defined(_DERIVATE2)
  id_VDI_BD_VDI_BD=0.0;
  id_VDI_BD_VSI_BS=0.0;
#endif
id_VSI_BS=(pModel->idsatsti*idmult_VSI_BS);
#if defined(_DERIVATE2)
  id_VSI_BS_VDI_BD=(+0.0*pInst->idmult+0.0*idmult_VDI_BD+0.0*idmult_VSI_BS+pModel->idsatsti*idmult_VSI_BS_VDI_BD);
  id_VSI_BS_VSI_BS=(+0.0*pInst->idmult+0.0*idmult_VSI_BS+0.0*idmult_VSI_BS+pModel->idsatsti*idmult_VSI_BS_VSI_BS);
#endif
#endif
pInst->id=(pModel->idsatsti*pInst->idmult);
EXIT_IF_ISNAN((pModel->idsatsti*pInst->idmult))
if
(((pModel->CSRHSTI_i==0.0)&&(pModel->CTATSTI_i==0.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
isrh_VSI_BS=0.0;
#if defined(_DERIVATE2)
  isrh_VSI_BS_VSI_BS=0.0;
  isrh_VSI_BS_VDI_BD=0.0;
#endif
isrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  isrh_VDI_BD_VSI_BS=0.0;
  isrh_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->isrh=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
vbi_minus_vjsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  vbi_minus_vjsrh_VDI_BD_VDI_BD=0.0;
  vbi_minus_vjsrh_VDI_BD_VSI_BS=0.0;
#endif
vbi_minus_vjsrh_VSI_BS=(-vjsrh_VSI_BS);
#if defined(_DERIVATE2)
  vbi_minus_vjsrh_VSI_BS_VDI_BD=(+0.0-vjsrh_VSI_BS_VDI_BD);
  vbi_minus_vjsrh_VSI_BS_VSI_BS=(+0.0-vjsrh_VSI_BS_VSI_BS);
#endif
#endif
pInst->vbi_minus_vjsrh=(pModel->vbisti-pInst->vjsrh);
EXIT_IF_ISNAN((pModel->vbisti-pInst->vjsrh))
{
double m00_sqrt(d00_sqrt0,(1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
wsrhstep_VDI_BD=0.0;
#if defined(_DERIVATE2)
  wsrhstep_VDI_BD_VDI_BD=0.0;
  wsrhstep_VDI_BD_VSI_BS=0.0;
#endif
wsrhstep_VSI_BS=(-(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*d10_sqrt0);
#if defined(_DERIVATE2)
  wsrhstep_VSI_BS_VDI_BD=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VSI_BS_VDI_BD/pInst->vbi_minus_vjsrh-(two_psistar_VSI_BS*vbi_minus_vjsrh_VDI_BD+two_psistar_VDI_BD*vbi_minus_vjsrh_VSI_BS+pInst->two_psistar*vbi_minus_vjsrh_VSI_BS_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
  wsrhstep_VSI_BS_VSI_BS=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VSI_BS_VSI_BS/pInst->vbi_minus_vjsrh-(two_psistar_VSI_BS*vbi_minus_vjsrh_VSI_BS+two_psistar_VSI_BS*vbi_minus_vjsrh_VSI_BS+pInst->two_psistar*vbi_minus_vjsrh_VSI_BS_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
#endif
#endif
pInst->wsrhstep=(1.0-d00_sqrt0);
EXIT_IF_ISNAN((1.0-d00_sqrt0))
}
if
((pModel->PSTI_i==0.5))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dwsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  dwsrh_VDI_BD_VDI_BD=0.0;
  dwsrh_VDI_BD_VSI_BS=0.0;
#endif
dwsrh_VSI_BS=0.0;
#if defined(_DERIVATE2)
  dwsrh_VSI_BS_VDI_BD=0.0;
  dwsrh_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->dwsrh=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
{
double m00_logE(d00_logE0,pInst->wsrhstep)
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,pInst->wsrhstep)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dwsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  dwsrh_VDI_BD_VDI_BD=0.0;
  dwsrh_VDI_BD_VSI_BS=0.0;
#endif
dwsrh_VSI_BS=(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(1.0-(2.0*pModel->PSTI_i));
#if defined(_DERIVATE2)
  dwsrh_VSI_BS_VDI_BD=(+(+((+(+wsrhstep_VSI_BS_VDI_BD*pInst->wsrhstep+wsrhstep_VSI_BS*wsrhstep_VDI_BD+wsrhstep_VDI_BD*wsrhstep_VSI_BS+pInst->wsrhstep*wsrhstep_VSI_BS_VDI_BD)*d00_logE0+((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*wsrhstep_VDI_BD*d10_logE0+(((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*wsrhstep_VSI_BS*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VDI_BD*wsrhstep_VSI_BS+d10_logE0*wsrhstep_VSI_BS_VDI_BD))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(-wsrhstep_VDI_BD)+((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(-wsrhstep_VSI_BS)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VSI_BS_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS)*(-wsrhstep_VDI_BD)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS_VDI_BD)*(1.0-(2.0*pModel->PSTI_i))+(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(-(0.0))+(((((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PSTI_i+0.0*0.0+0.0*0.0+2.0*0.0)));
  dwsrh_VSI_BS_VSI_BS=(+(+((+(+wsrhstep_VSI_BS_VSI_BS*pInst->wsrhstep+wsrhstep_VSI_BS*wsrhstep_VSI_BS+wsrhstep_VSI_BS*wsrhstep_VSI_BS+pInst->wsrhstep*wsrhstep_VSI_BS_VSI_BS)*d00_logE0+((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*wsrhstep_VSI_BS*d10_logE0+(((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*wsrhstep_VSI_BS*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VSI_BS*wsrhstep_VSI_BS+d10_logE0*wsrhstep_VSI_BS_VSI_BS))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(-wsrhstep_VSI_BS)+((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(-wsrhstep_VSI_BS)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VSI_BS_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS)*(-wsrhstep_VSI_BS)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS_VSI_BS)*(1.0-(2.0*pModel->PSTI_i))+(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(-(0.0))+(((((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PSTI_i+0.0*0.0+0.0*0.0+2.0*0.0)));
#endif
#endif
pInst->dwsrh=(((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(1.0-(2.0*pModel->PSTI_i)));
EXIT_IF_ISNAN((((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(1.0-(2.0*pModel->PSTI_i))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  wsrh_VDI_BD_VDI_BD=0.0;
  wsrh_VDI_BD_VSI_BS=0.0;
#endif
wsrh_VSI_BS=(wsrhstep_VSI_BS+dwsrh_VSI_BS);
#if defined(_DERIVATE2)
  wsrh_VSI_BS_VDI_BD=(+wsrhstep_VSI_BS_VDI_BD+dwsrh_VSI_BS_VDI_BD);
  wsrh_VSI_BS_VSI_BS=(+wsrhstep_VSI_BS_VSI_BS+dwsrh_VSI_BS_VSI_BS);
#endif
#endif
pInst->wsrh=(pInst->wsrhstep+pInst->dwsrh);
EXIT_IF_ISNAN((pInst->wsrhstep+pInst->dwsrh))
if
((pModel->PSTI_i==0.5))
{
{
double m00_sqrt(d00_sqrt0,(pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=vbi_minus_vjsrh_VSI_BS*pModel->VBIRSTIinv*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv))*(vbi_minus_vjsrh_VSI_BS*pModel->VBIRSTIinv)*vbi_minus_vjsrh_VSI_BS*pModel->VBIRSTIinv+d10_sqrt0*(+vbi_minus_vjsrh_VSI_BS_VSI_BS*pModel->VBIRSTIinv+vbi_minus_vjsrh_VSI_BS*0.0+vbi_minus_vjsrh_VSI_BS*0.0+pInst->vbi_minus_vjsrh*0.0));
  tmp_VSI_BS_VDI_BD=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv))*(vbi_minus_vjsrh_VDI_BD*pModel->VBIRSTIinv)*vbi_minus_vjsrh_VSI_BS*pModel->VBIRSTIinv+d10_sqrt0*(+vbi_minus_vjsrh_VSI_BS_VDI_BD*pModel->VBIRSTIinv+vbi_minus_vjsrh_VSI_BS*0.0+vbi_minus_vjsrh_VDI_BD*0.0+pInst->vbi_minus_vjsrh*0.0));
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,(pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv),pModel->PSTI_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv),pModel->PSTI_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*vbi_minus_vjsrh_VSI_BS*pModel->VBIRSTIinv);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wdep_VSI_BS=(pModel->wdepnulrsti*tmp_VSI_BS);
#if defined(_DERIVATE2)
  wdep_VSI_BS_VSI_BS=(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VSI_BS+pModel->wdepnulrsti*tmp_VSI_BS_VSI_BS);
  wdep_VSI_BS_VDI_BD=(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VSI_BS+pModel->wdepnulrsti*tmp_VSI_BS_VDI_BD);
#endif
wdep_VDI_BD=(pModel->wdepnulrsti*tmp_VDI_BD);
#if defined(_DERIVATE2)
  wdep_VDI_BD_VSI_BS=(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VDI_BD+pModel->wdepnulrsti*tmp_VDI_BD_VSI_BS);
  wdep_VDI_BD_VDI_BD=(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VDI_BD+pModel->wdepnulrsti*tmp_VDI_BD_VDI_BD);
#endif
#endif
pInst->wdep=(pModel->wdepnulrsti*pInst->tmp);
EXIT_IF_ISNAN((pModel->wdepnulrsti*pInst->tmp))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
asrh_VSI_BS=(pModel->ftdsti*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)));
#if defined(_DERIVATE2)
  asrh_VSI_BS_VSI_BS=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)))+0.0*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS))+pModel->ftdsti*(+(+zinv_VSI_BS_VSI_BS-0.0)*pInst->wdep+zinv_VSI_BS*wdep_VSI_BS+zinv_VSI_BS*wdep_VSI_BS+(pInst->zinv-1.0)*wdep_VSI_BS_VSI_BS));
  asrh_VSI_BS_VDI_BD=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)))+0.0*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS))+pModel->ftdsti*(+(+zinv_VSI_BS_VDI_BD-0.0)*pInst->wdep+zinv_VSI_BS*wdep_VDI_BD+zinv_VDI_BD*wdep_VSI_BS+(pInst->zinv-1.0)*wdep_VSI_BS_VDI_BD));
#endif
asrh_VDI_BD=(pModel->ftdsti*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)));
#if defined(_DERIVATE2)
  asrh_VDI_BD_VSI_BS=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)))+0.0*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD))+pModel->ftdsti*(+(+zinv_VDI_BD_VSI_BS-0.0)*pInst->wdep+zinv_VDI_BD*wdep_VSI_BS+zinv_VSI_BS*wdep_VDI_BD+(pInst->zinv-1.0)*wdep_VDI_BD_VSI_BS));
  asrh_VDI_BD_VDI_BD=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)))+0.0*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD))+pModel->ftdsti*(+(+zinv_VDI_BD_VDI_BD-0.0)*pInst->wdep+zinv_VDI_BD*wdep_VDI_BD+zinv_VDI_BD*wdep_VDI_BD+(pInst->zinv-1.0)*wdep_VDI_BD_VDI_BD));
#endif
#endif
pInst->asrh=(pModel->ftdsti*((pInst->zinv-1.0)*pInst->wdep));
EXIT_IF_ISNAN((pModel->ftdsti*((pInst->zinv-1.0)*pInst->wdep)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
isrh_VSI_BS=(pModel->CSRHSTI_i*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)));
#if defined(_DERIVATE2)
  isrh_VSI_BS_VSI_BS=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)))+0.0*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS))+pModel->CSRHSTI_i*(+asrh_VSI_BS_VSI_BS*pInst->wsrh+asrh_VSI_BS*wsrh_VSI_BS+asrh_VSI_BS*wsrh_VSI_BS+pInst->asrh*wsrh_VSI_BS_VSI_BS));
  isrh_VSI_BS_VDI_BD=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)))+0.0*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS))+pModel->CSRHSTI_i*(+asrh_VSI_BS_VDI_BD*pInst->wsrh+asrh_VSI_BS*wsrh_VDI_BD+asrh_VDI_BD*wsrh_VSI_BS+pInst->asrh*wsrh_VSI_BS_VDI_BD));
#endif
isrh_VDI_BD=(pModel->CSRHSTI_i*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)));
#if defined(_DERIVATE2)
  isrh_VDI_BD_VSI_BS=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)))+0.0*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD))+pModel->CSRHSTI_i*(+asrh_VDI_BD_VSI_BS*pInst->wsrh+asrh_VDI_BD*wsrh_VSI_BS+asrh_VSI_BS*wsrh_VDI_BD+pInst->asrh*wsrh_VDI_BD_VSI_BS));
  isrh_VDI_BD_VDI_BD=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)))+0.0*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD))+pModel->CSRHSTI_i*(+asrh_VDI_BD_VDI_BD*pInst->wsrh+asrh_VDI_BD*wsrh_VDI_BD+asrh_VDI_BD*wsrh_VDI_BD+pInst->asrh*wsrh_VDI_BD_VDI_BD));
#endif
#endif
pInst->isrh=(pModel->CSRHSTI_i*(pInst->asrh*pInst->wsrh));
EXIT_IF_ISNAN((pModel->CSRHSTI_i*(pInst->asrh*pInst->wsrh)))
}
if
((pModel->CTATSTI_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
itat_VSI_BS=0.0;
#if defined(_DERIVATE2)
  itat_VSI_BS_VSI_BS=0.0;
  itat_VSI_BS_VDI_BD=0.0;
#endif
itat_VDI_BD=0.0;
#if defined(_DERIVATE2)
  itat_VDI_BD_VSI_BS=0.0;
  itat_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->itat=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
btat_VSI_BS=(pModel->btatpartsti*((wdep_VSI_BS*pModel->one_minus_PSTI*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#if defined(_DERIVATE2)
  btat_VSI_BS_VSI_BS=(+0.0*((pInst->wdep*pModel->one_minus_PSTI)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VSI_BS*pModel->one_minus_PSTI)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VSI_BS*pModel->one_minus_PSTI*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartsti*((+wdep_VSI_BS_VSI_BS*pModel->one_minus_PSTI+wdep_VSI_BS*0.0+wdep_VSI_BS*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VSI_BS*pModel->one_minus_PSTI*vbi_minus_vjsrh_VSI_BS+(wdep_VSI_BS*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VSI_BS+(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VSI_BS_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
  btat_VSI_BS_VDI_BD=(+0.0*((pInst->wdep*pModel->one_minus_PSTI)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VDI_BD*pModel->one_minus_PSTI)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VSI_BS*pModel->one_minus_PSTI*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartsti*((+wdep_VSI_BS_VDI_BD*pModel->one_minus_PSTI+wdep_VSI_BS*0.0+wdep_VDI_BD*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VSI_BS*pModel->one_minus_PSTI*vbi_minus_vjsrh_VDI_BD+(wdep_VDI_BD*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VSI_BS+(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VSI_BS_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#endif
btat_VDI_BD=(pModel->btatpartsti*((wdep_VDI_BD*pModel->one_minus_PSTI*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#if defined(_DERIVATE2)
  btat_VDI_BD_VSI_BS=(+0.0*((pInst->wdep*pModel->one_minus_PSTI)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VSI_BS*pModel->one_minus_PSTI)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VDI_BD*pModel->one_minus_PSTI*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartsti*((+wdep_VDI_BD_VSI_BS*pModel->one_minus_PSTI+wdep_VDI_BD*0.0+wdep_VSI_BS*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VDI_BD*pModel->one_minus_PSTI*vbi_minus_vjsrh_VSI_BS+(wdep_VSI_BS*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VDI_BD+(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VDI_BD_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
  btat_VDI_BD_VDI_BD=(+0.0*((pInst->wdep*pModel->one_minus_PSTI)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VDI_BD*pModel->one_minus_PSTI)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VDI_BD*pModel->one_minus_PSTI*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartsti*((+wdep_VDI_BD_VDI_BD*pModel->one_minus_PSTI+wdep_VDI_BD*0.0+wdep_VDI_BD*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VDI_BD*pModel->one_minus_PSTI*vbi_minus_vjsrh_VDI_BD+(wdep_VDI_BD*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VDI_BD+(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VDI_BD_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PSTI)*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#endif
#endif
pInst->btat=(pModel->btatpartsti*((pInst->wdep*pModel->one_minus_PSTI)/pInst->vbi_minus_vjsrh));
EXIT_IF_ISNAN((pModel->btatpartsti*((pInst->wdep*pModel->one_minus_PSTI)/pInst->vbi_minus_vjsrh)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
twoatatoverthreebtat_VSI_BS=(-(0.666666666666667*pModel->atatsti)*btat_VSI_BS/pInst->btat/pInst->btat);
#if defined(_DERIVATE2)
  twoatatoverthreebtat_VSI_BS_VSI_BS=((+0.0*pModel->atatsti+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VSI_BS+(0.0)*btat_VSI_BS+(0.666666666666667*pModel->atatsti)*btat_VSI_BS_VSI_BS)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatsti)*btat_VSI_BS*btat_VSI_BS/pInst->btat/pInst->btat/pInst->btat);
  twoatatoverthreebtat_VSI_BS_VDI_BD=((+0.0*pModel->atatsti+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VDI_BD+(0.0)*btat_VSI_BS+(0.666666666666667*pModel->atatsti)*btat_VSI_BS_VDI_BD)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatsti)*btat_VSI_BS*btat_VDI_BD/pInst->btat/pInst->btat/pInst->btat);
#endif
twoatatoverthreebtat_VDI_BD=(-(0.666666666666667*pModel->atatsti)*btat_VDI_BD/pInst->btat/pInst->btat);
#if defined(_DERIVATE2)
  twoatatoverthreebtat_VDI_BD_VSI_BS=((+0.0*pModel->atatsti+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VSI_BS+(0.0)*btat_VDI_BD+(0.666666666666667*pModel->atatsti)*btat_VDI_BD_VSI_BS)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatsti)*btat_VDI_BD*btat_VSI_BS/pInst->btat/pInst->btat/pInst->btat);
  twoatatoverthreebtat_VDI_BD_VDI_BD=((+0.0*pModel->atatsti+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VDI_BD+(0.0)*btat_VDI_BD+(0.666666666666667*pModel->atatsti)*btat_VDI_BD_VDI_BD)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatsti)*btat_VDI_BD*btat_VDI_BD/pInst->btat/pInst->btat/pInst->btat);
#endif
#endif
pInst->twoatatoverthreebtat=((0.666666666666667*pModel->atatsti)/pInst->btat);
EXIT_IF_ISNAN(((0.666666666666667*pModel->atatsti)/pInst->btat))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
umaxbeforelimiting_VSI_BS=((twoatatoverthreebtat_VSI_BS*pInst->twoatatoverthreebtat)+(pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS));
#if defined(_DERIVATE2)
  umaxbeforelimiting_VSI_BS_VSI_BS=(+twoatatoverthreebtat_VSI_BS_VSI_BS*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VSI_BS+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VSI_BS+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS_VSI_BS);
  umaxbeforelimiting_VSI_BS_VDI_BD=(+twoatatoverthreebtat_VSI_BS_VDI_BD*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VDI_BD+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VSI_BS+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS_VDI_BD);
#endif
umaxbeforelimiting_VDI_BD=((twoatatoverthreebtat_VDI_BD*pInst->twoatatoverthreebtat)+(pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD));
#if defined(_DERIVATE2)
  umaxbeforelimiting_VDI_BD_VSI_BS=(+twoatatoverthreebtat_VDI_BD_VSI_BS*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VSI_BS+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VDI_BD+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD_VSI_BS);
  umaxbeforelimiting_VDI_BD_VDI_BD=(+twoatatoverthreebtat_VDI_BD_VDI_BD*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VDI_BD+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VDI_BD+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD_VDI_BD);
#endif
#endif
pInst->umaxbeforelimiting=(pInst->twoatatoverthreebtat*pInst->twoatatoverthreebtat);
EXIT_IF_ISNAN((pInst->twoatatoverthreebtat*pInst->twoatatoverthreebtat))
{
double m00_sqrt(d00_sqrt0,((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
umax_VSI_BS=((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*d10_sqrt0;
#if defined(_DERIVATE2)
  umax_VSI_BS_VSI_BS=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VSI_BS_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VSI_BS)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))+(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VSI_BS_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VSI_BS)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
  umax_VSI_BS_VDI_BD=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VSI_BS_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VDI_BD)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))+(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VSI_BS_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VDI_BD)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
#endif
umax_VDI_BD=((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*d10_sqrt0;
#if defined(_DERIVATE2)
  umax_VDI_BD_VSI_BS=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VDI_BD_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VSI_BS)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))+(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VDI_BD_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VSI_BS)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
  umax_VDI_BD_VDI_BD=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VDI_BD_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VDI_BD)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))+(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VDI_BD_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VDI_BD)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
#endif
#endif
pInst->umax=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
{
double m00_fabs(d00_fabs0,pInst->umax)
double m00_sqrt(d00_sqrt1,d00_fabs0)
#if defined(_DERIVATEFORDDX)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->umax)
double m10_sqrt(d10_sqrt1,d00_sqrt1,d00_fabs0)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
sqrtumax_VSI_BS=umax_VSI_BS*d10_fabs0*d10_sqrt1;
#if defined(_DERIVATE2)
  sqrtumax_VSI_BS_VSI_BS=(m20_sqrt(d00_fabs0)*umax_VSI_BS*d10_fabs0*umax_VSI_BS*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VSI_BS*umax_VSI_BS+d10_fabs0*umax_VSI_BS_VSI_BS));
  sqrtumax_VSI_BS_VDI_BD=(m20_sqrt(d00_fabs0)*umax_VDI_BD*d10_fabs0*umax_VSI_BS*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VDI_BD*umax_VSI_BS+d10_fabs0*umax_VSI_BS_VDI_BD));
#endif
sqrtumax_VDI_BD=umax_VDI_BD*d10_fabs0*d10_sqrt1;
#if defined(_DERIVATE2)
  sqrtumax_VDI_BD_VSI_BS=(m20_sqrt(d00_fabs0)*umax_VSI_BS*d10_fabs0*umax_VDI_BD*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VSI_BS*umax_VDI_BD+d10_fabs0*umax_VDI_BD_VSI_BS));
  sqrtumax_VDI_BD_VDI_BD=(m20_sqrt(d00_fabs0)*umax_VDI_BD*d10_fabs0*umax_VDI_BD*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VDI_BD*umax_VDI_BD+d10_fabs0*umax_VDI_BD_VDI_BD));
#endif
#endif
pInst->sqrtumax=d00_sqrt1;
EXIT_IF_ISNAN(d00_sqrt1)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
umaxpoweronepointfive_VSI_BS=((umax_VSI_BS*pInst->sqrtumax)+(pInst->umax*sqrtumax_VSI_BS));
#if defined(_DERIVATE2)
  umaxpoweronepointfive_VSI_BS_VSI_BS=(+umax_VSI_BS_VSI_BS*pInst->sqrtumax+umax_VSI_BS*sqrtumax_VSI_BS+umax_VSI_BS*sqrtumax_VSI_BS+pInst->umax*sqrtumax_VSI_BS_VSI_BS);
  umaxpoweronepointfive_VSI_BS_VDI_BD=(+umax_VSI_BS_VDI_BD*pInst->sqrtumax+umax_VSI_BS*sqrtumax_VDI_BD+umax_VDI_BD*sqrtumax_VSI_BS+pInst->umax*sqrtumax_VSI_BS_VDI_BD);
#endif
umaxpoweronepointfive_VDI_BD=((umax_VDI_BD*pInst->sqrtumax)+(pInst->umax*sqrtumax_VDI_BD));
#if defined(_DERIVATE2)
  umaxpoweronepointfive_VDI_BD_VSI_BS=(+umax_VDI_BD_VSI_BS*pInst->sqrtumax+umax_VDI_BD*sqrtumax_VSI_BS+umax_VSI_BS*sqrtumax_VDI_BD+pInst->umax*sqrtumax_VDI_BD_VSI_BS);
  umaxpoweronepointfive_VDI_BD_VDI_BD=(+umax_VDI_BD_VDI_BD*pInst->sqrtumax+umax_VDI_BD*sqrtumax_VDI_BD+umax_VDI_BD*sqrtumax_VDI_BD+pInst->umax*sqrtumax_VDI_BD_VDI_BD);
#endif
#endif
pInst->umaxpoweronepointfive=(pInst->umax*pInst->sqrtumax);
EXIT_IF_ISNAN((pInst->umax*pInst->sqrtumax))
if
((((-pModel->PSTI_i)*pModel->one_over_one_minus_PSTI)==(-1.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wgamma_VSI_BS=(-((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#if defined(_DERIVATE2)
  wgamma_VSI_BS_VSI_BS=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+1.0*(+0.0+(+btat_VSI_BS_VSI_BS*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
  wgamma_VSI_BS_VDI_BD=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+1.0*(+0.0+(+btat_VSI_BS_VDI_BD*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#endif
wgamma_VDI_BD=(-((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#if defined(_DERIVATE2)
  wgamma_VDI_BD_VSI_BS=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+1.0*(+0.0+(+btat_VDI_BD_VSI_BS*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
  wgamma_VDI_BD_VDI_BD=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+1.0*(+0.0+(+btat_VDI_BD_VDI_BD*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#endif
#endif
pInst->wgamma=(1.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
EXIT_IF_ISNAN((1.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))))
}
else
{
{
double m00_pow(d00_pow0,(1.0+(pInst->btat*pInst->umaxpoweronepointfive)),((-pModel->PSTI_i)*pModel->one_over_one_minus_PSTI))
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0+(pInst->btat*pInst->umaxpoweronepointfive)),((-pModel->PSTI_i)*pModel->one_over_one_minus_PSTI))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wgamma_VSI_BS=(d10_pow0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)));
#if defined(_DERIVATE2)
  wgamma_VSI_BS_VSI_BS=fixme;
  wgamma_VSI_BS_VDI_BD=fixme;
#endif
wgamma_VDI_BD=(d10_pow0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)));
#if defined(_DERIVATE2)
  wgamma_VDI_BD_VSI_BS=fixme;
  wgamma_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->wgamma=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
wtat_VSI_BS=((((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(pInst->wsrh+pInst->wgamma)-(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#if defined(_DERIVATE2)
  wtat_VSI_BS_VSI_BS=((+wsrh_VSI_BS_VSI_BS*pInst->wgamma+wsrh_VSI_BS*wgamma_VSI_BS+wsrh_VSI_BS*wgamma_VSI_BS+pInst->wsrh*wgamma_VSI_BS_VSI_BS)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(wsrh_VSI_BS+wgamma_VSI_BS)+(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS)))*(wsrh_VSI_BS+wgamma_VSI_BS)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VSI_BS_VSI_BS+wgamma_VSI_BS_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS)*(wsrh_VSI_BS+wgamma_VSI_BS)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
  wtat_VSI_BS_VDI_BD=((+wsrh_VSI_BS_VDI_BD*pInst->wgamma+wsrh_VSI_BS*wgamma_VDI_BD+wsrh_VDI_BD*wgamma_VSI_BS+pInst->wsrh*wgamma_VSI_BS_VDI_BD)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(wsrh_VDI_BD+wgamma_VDI_BD)+(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD)))*(wsrh_VSI_BS+wgamma_VSI_BS)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VSI_BS_VDI_BD+wgamma_VSI_BS_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS)*(wsrh_VDI_BD+wgamma_VDI_BD)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#endif
wtat_VDI_BD=((((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(pInst->wsrh+pInst->wgamma)-(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#if defined(_DERIVATE2)
  wtat_VDI_BD_VSI_BS=((+wsrh_VDI_BD_VSI_BS*pInst->wgamma+wsrh_VDI_BD*wgamma_VSI_BS+wsrh_VSI_BS*wgamma_VDI_BD+pInst->wsrh*wgamma_VDI_BD_VSI_BS)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(wsrh_VSI_BS+wgamma_VSI_BS)+(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS)))*(wsrh_VDI_BD+wgamma_VDI_BD)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VDI_BD_VSI_BS+wgamma_VDI_BD_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD)*(wsrh_VSI_BS+wgamma_VSI_BS)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
  wtat_VDI_BD_VDI_BD=((+wsrh_VDI_BD_VDI_BD*pInst->wgamma+wsrh_VDI_BD*wgamma_VDI_BD+wsrh_VDI_BD*wgamma_VDI_BD+pInst->wsrh*wgamma_VDI_BD_VDI_BD)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(wsrh_VDI_BD+wgamma_VDI_BD)+(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD)))*(wsrh_VDI_BD+wgamma_VDI_BD)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VDI_BD_VDI_BD+wgamma_VDI_BD_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD)*(wsrh_VDI_BD+wgamma_VDI_BD)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#endif
#endif
pInst->wtat=((pInst->wsrh*pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
EXIT_IF_ISNAN(((pInst->wsrh*pInst->wgamma)/(pInst->wsrh+pInst->wgamma)))
{
double m00_sqrt(d00_sqrt0,(0.375*(pInst->btat/pInst->sqrtumax)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(0.375*(pInst->btat/pInst->sqrtumax)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ktat_VSI_BS=(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))*d10_sqrt0;
#if defined(_DERIVATE2)
  ktat_VSI_BS_VSI_BS=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VSI_BS_VSI_BS/pInst->sqrtumax-(btat_VSI_BS*sqrtumax_VSI_BS+btat_VSI_BS*sqrtumax_VSI_BS+pInst->btat*sqrtumax_VSI_BS_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VSI_BS*sqrtumax_VSI_BS/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
  ktat_VSI_BS_VDI_BD=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VSI_BS_VDI_BD/pInst->sqrtumax-(btat_VSI_BS*sqrtumax_VDI_BD+btat_VDI_BD*sqrtumax_VSI_BS+pInst->btat*sqrtumax_VSI_BS_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VSI_BS*sqrtumax_VDI_BD/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
#endif
ktat_VDI_BD=(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))*d10_sqrt0;
#if defined(_DERIVATE2)
  ktat_VDI_BD_VSI_BS=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VDI_BD_VSI_BS/pInst->sqrtumax-(btat_VDI_BD*sqrtumax_VSI_BS+btat_VSI_BS*sqrtumax_VDI_BD+pInst->btat*sqrtumax_VDI_BD_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VDI_BD*sqrtumax_VSI_BS/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
  ktat_VDI_BD_VDI_BD=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VDI_BD_VDI_BD/pInst->sqrtumax-(btat_VDI_BD*sqrtumax_VDI_BD+btat_VDI_BD*sqrtumax_VDI_BD+pInst->btat*sqrtumax_VDI_BD_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VDI_BD*sqrtumax_VDI_BD/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
#endif
#endif
pInst->ktat=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ltat_VSI_BS=((2.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))-umax_VSI_BS);
#if defined(_DERIVATE2)
  ltat_VSI_BS_VSI_BS=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))+0.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS))+2.0*(+twoatatoverthreebtat_VSI_BS_VSI_BS*pInst->sqrtumax+twoatatoverthreebtat_VSI_BS*sqrtumax_VSI_BS+twoatatoverthreebtat_VSI_BS*sqrtumax_VSI_BS+pInst->twoatatoverthreebtat*sqrtumax_VSI_BS_VSI_BS))-umax_VSI_BS_VSI_BS);
  ltat_VSI_BS_VDI_BD=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))+0.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS))+2.0*(+twoatatoverthreebtat_VSI_BS_VDI_BD*pInst->sqrtumax+twoatatoverthreebtat_VSI_BS*sqrtumax_VDI_BD+twoatatoverthreebtat_VDI_BD*sqrtumax_VSI_BS+pInst->twoatatoverthreebtat*sqrtumax_VSI_BS_VDI_BD))-umax_VSI_BS_VDI_BD);
#endif
ltat_VDI_BD=((2.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))-umax_VDI_BD);
#if defined(_DERIVATE2)
  ltat_VDI_BD_VSI_BS=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))+0.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD))+2.0*(+twoatatoverthreebtat_VDI_BD_VSI_BS*pInst->sqrtumax+twoatatoverthreebtat_VDI_BD*sqrtumax_VSI_BS+twoatatoverthreebtat_VSI_BS*sqrtumax_VDI_BD+pInst->twoatatoverthreebtat*sqrtumax_VDI_BD_VSI_BS))-umax_VDI_BD_VSI_BS);
  ltat_VDI_BD_VDI_BD=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))+0.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD))+2.0*(+twoatatoverthreebtat_VDI_BD_VDI_BD*pInst->sqrtumax+twoatatoverthreebtat_VDI_BD*sqrtumax_VDI_BD+twoatatoverthreebtat_VDI_BD*sqrtumax_VDI_BD+pInst->twoatatoverthreebtat*sqrtumax_VDI_BD_VDI_BD))-umax_VDI_BD_VDI_BD);
#endif
#endif
pInst->ltat=((2.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax))-pInst->umax);
EXIT_IF_ISNAN(((2.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax))-pInst->umax))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
mtat_VSI_BS=(((((pModel->atatsti*twoatatoverthreebtat_VSI_BS)*pInst->sqrtumax)+((pModel->atatsti*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS))-(pModel->atatsti*umax_VSI_BS))+(0.5*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))));
#if defined(_DERIVATE2)
  mtat_VSI_BS_VSI_BS=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VSI_BS+0.0*twoatatoverthreebtat_VSI_BS+pModel->atatsti*twoatatoverthreebtat_VSI_BS_VSI_BS)*pInst->sqrtumax+(pModel->atatsti*twoatatoverthreebtat_VSI_BS)*sqrtumax_VSI_BS+((pModel->atatsti*twoatatoverthreebtat_VSI_BS))*sqrtumax_VSI_BS+(pModel->atatsti*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS_VSI_BS)-(+0.0*pInst->umax+0.0*umax_VSI_BS+0.0*umax_VSI_BS+pModel->atatsti*umax_VSI_BS_VSI_BS))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+0.5*(+btat_VSI_BS_VSI_BS*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VSI_BS)));
  mtat_VSI_BS_VDI_BD=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VDI_BD+0.0*twoatatoverthreebtat_VSI_BS+pModel->atatsti*twoatatoverthreebtat_VSI_BS_VDI_BD)*pInst->sqrtumax+(pModel->atatsti*twoatatoverthreebtat_VSI_BS)*sqrtumax_VDI_BD+((pModel->atatsti*twoatatoverthreebtat_VDI_BD))*sqrtumax_VSI_BS+(pModel->atatsti*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS_VDI_BD)-(+0.0*pInst->umax+0.0*umax_VDI_BD+0.0*umax_VSI_BS+pModel->atatsti*umax_VSI_BS_VDI_BD))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+0.5*(+btat_VSI_BS_VDI_BD*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VDI_BD)));
#endif
mtat_VDI_BD=(((((pModel->atatsti*twoatatoverthreebtat_VDI_BD)*pInst->sqrtumax)+((pModel->atatsti*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD))-(pModel->atatsti*umax_VDI_BD))+(0.5*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))));
#if defined(_DERIVATE2)
  mtat_VDI_BD_VSI_BS=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VSI_BS+0.0*twoatatoverthreebtat_VDI_BD+pModel->atatsti*twoatatoverthreebtat_VDI_BD_VSI_BS)*pInst->sqrtumax+(pModel->atatsti*twoatatoverthreebtat_VDI_BD)*sqrtumax_VSI_BS+((pModel->atatsti*twoatatoverthreebtat_VSI_BS))*sqrtumax_VDI_BD+(pModel->atatsti*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD_VSI_BS)-(+0.0*pInst->umax+0.0*umax_VSI_BS+0.0*umax_VDI_BD+pModel->atatsti*umax_VDI_BD_VSI_BS))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+0.5*(+btat_VDI_BD_VSI_BS*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VSI_BS)));
  mtat_VDI_BD_VDI_BD=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VDI_BD+0.0*twoatatoverthreebtat_VDI_BD+pModel->atatsti*twoatatoverthreebtat_VDI_BD_VDI_BD)*pInst->sqrtumax+(pModel->atatsti*twoatatoverthreebtat_VDI_BD)*sqrtumax_VDI_BD+((pModel->atatsti*twoatatoverthreebtat_VDI_BD))*sqrtumax_VDI_BD+(pModel->atatsti*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD_VDI_BD)-(+0.0*pInst->umax+0.0*umax_VDI_BD+0.0*umax_VDI_BD+pModel->atatsti*umax_VDI_BD_VDI_BD))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+0.5*(+btat_VDI_BD_VDI_BD*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VDI_BD)));
#endif
#endif
pInst->mtat=((((pModel->atatsti*pInst->twoatatoverthreebtat)*pInst->sqrtumax)-(pModel->atatsti*pInst->umax))+(0.5*(pInst->btat*pInst->umaxpoweronepointfive)));
EXIT_IF_ISNAN(((((pModel->atatsti*pInst->twoatatoverthreebtat)*pInst->sqrtumax)-(pModel->atatsti*pInst->umax))+(0.5*(pInst->btat*pInst->umaxpoweronepointfive))))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
xerfc_VSI_BS=((ltat_VSI_BS*pInst->ktat)+((pInst->ltat-1.0)*ktat_VSI_BS));
#if defined(_DERIVATE2)
  xerfc_VSI_BS_VSI_BS=(+(+ltat_VSI_BS_VSI_BS-0.0)*pInst->ktat+ltat_VSI_BS*ktat_VSI_BS+ltat_VSI_BS*ktat_VSI_BS+(pInst->ltat-1.0)*ktat_VSI_BS_VSI_BS);
  xerfc_VSI_BS_VDI_BD=(+(+ltat_VSI_BS_VDI_BD-0.0)*pInst->ktat+ltat_VSI_BS*ktat_VDI_BD+ltat_VDI_BD*ktat_VSI_BS+(pInst->ltat-1.0)*ktat_VSI_BS_VDI_BD);
#endif
xerfc_VDI_BD=((ltat_VDI_BD*pInst->ktat)+((pInst->ltat-1.0)*ktat_VDI_BD));
#if defined(_DERIVATE2)
  xerfc_VDI_BD_VSI_BS=(+(+ltat_VDI_BD_VSI_BS-0.0)*pInst->ktat+ltat_VDI_BD*ktat_VSI_BS+ltat_VSI_BS*ktat_VDI_BD+(pInst->ltat-1.0)*ktat_VDI_BD_VSI_BS);
  xerfc_VDI_BD_VDI_BD=(+(+ltat_VDI_BD_VDI_BD-0.0)*pInst->ktat+ltat_VDI_BD*ktat_VDI_BD+ltat_VDI_BD*ktat_VDI_BD+(pInst->ltat-1.0)*ktat_VDI_BD_VDI_BD);
#endif
#endif
pInst->xerfc=((pInst->ltat-1.0)*pInst->ktat);
EXIT_IF_ISNAN(((pInst->ltat-1.0)*pInst->ktat))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ysq_VSI_BS=((xerfc_VSI_BS*pInst->xerfc)+(pInst->xerfc*xerfc_VSI_BS));
#if defined(_DERIVATE2)
  ysq_VSI_BS_VSI_BS=(+xerfc_VSI_BS_VSI_BS*pInst->xerfc+xerfc_VSI_BS*xerfc_VSI_BS+xerfc_VSI_BS*xerfc_VSI_BS+pInst->xerfc*xerfc_VSI_BS_VSI_BS);
  ysq_VSI_BS_VDI_BD=(+xerfc_VSI_BS_VDI_BD*pInst->xerfc+xerfc_VSI_BS*xerfc_VDI_BD+xerfc_VDI_BD*xerfc_VSI_BS+pInst->xerfc*xerfc_VSI_BS_VDI_BD);
#endif
ysq_VDI_BD=((xerfc_VDI_BD*pInst->xerfc)+(pInst->xerfc*xerfc_VDI_BD));
#if defined(_DERIVATE2)
  ysq_VDI_BD_VSI_BS=(+xerfc_VDI_BD_VSI_BS*pInst->xerfc+xerfc_VDI_BD*xerfc_VSI_BS+xerfc_VSI_BS*xerfc_VDI_BD+pInst->xerfc*xerfc_VDI_BD_VSI_BS);
  ysq_VDI_BD_VDI_BD=(+xerfc_VDI_BD_VDI_BD*pInst->xerfc+xerfc_VDI_BD*xerfc_VDI_BD+xerfc_VDI_BD*xerfc_VDI_BD+pInst->xerfc*xerfc_VDI_BD_VDI_BD);
#endif
#endif
pInst->ysq=(pInst->xerfc*pInst->xerfc);
EXIT_IF_ISNAN((pInst->xerfc*pInst->xerfc))
if
((pInst->xerfc>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
terfc_VSI_BS=(-(pModel->perfc*xerfc_VSI_BS)/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VSI_BS_VSI_BS=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VSI_BS))+0.0*(pModel->perfc*xerfc_VSI_BS)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VSI_BS)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VSI_BS)*((pModel->perfc*xerfc_VSI_BS))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
  terfc_VSI_BS_VDI_BD=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VDI_BD))+0.0*(pModel->perfc*xerfc_VSI_BS)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VDI_BD)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VSI_BS)*((pModel->perfc*xerfc_VDI_BD))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#endif
terfc_VDI_BD=(-(pModel->perfc*xerfc_VDI_BD)/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VDI_BD_VSI_BS=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VSI_BS))+0.0*(pModel->perfc*xerfc_VDI_BD)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VSI_BS)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VDI_BD)*((pModel->perfc*xerfc_VSI_BS))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
  terfc_VDI_BD_VDI_BD=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VDI_BD))+0.0*(pModel->perfc*xerfc_VDI_BD)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VDI_BD)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VDI_BD)*((pModel->perfc*xerfc_VDI_BD))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#endif
#endif
pInst->terfc=(1.0/(1.0+(pModel->perfc*pInst->xerfc)));
EXIT_IF_ISNAN((1.0/(1.0+(pModel->perfc*pInst->xerfc))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
terfc_VSI_BS=(-(-(pModel->perfc*xerfc_VSI_BS))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VSI_BS_VSI_BS=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VSI_BS)))+0.0*(-(pModel->perfc*xerfc_VSI_BS))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VSI_BS))*(-((pModel->perfc*xerfc_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
  terfc_VSI_BS_VDI_BD=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VDI_BD)))+0.0*(-(pModel->perfc*xerfc_VSI_BS))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VSI_BS))*(-((pModel->perfc*xerfc_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#endif
terfc_VDI_BD=(-(-(pModel->perfc*xerfc_VDI_BD))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VDI_BD_VSI_BS=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VSI_BS)))+0.0*(-(pModel->perfc*xerfc_VDI_BD))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VDI_BD))*(-((pModel->perfc*xerfc_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
  terfc_VDI_BD_VDI_BD=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VDI_BD)))+0.0*(-(pModel->perfc*xerfc_VDI_BD))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VDI_BD))*(-((pModel->perfc*xerfc_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#endif
#endif
pInst->terfc=(1.0/(1.0-(pModel->perfc*pInst->xerfc)));
EXIT_IF_ISNAN((1.0/(1.0-(pModel->perfc*pInst->xerfc))))
}
if
((((-pInst->ysq)+pInst->mtat)>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,((-pInst->ysq)+pInst->mtat))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=((-ysq_VSI_BS)+mtat_VSI_BS)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VSI_BS)+mtat_VSI_BS)*((-ysq_VSI_BS)+mtat_VSI_BS)+d10_exp0*(+0.0+mtat_VSI_BS_VSI_BS));
  tmp_VSI_BS_VDI_BD=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VDI_BD)+mtat_VDI_BD)*((-ysq_VSI_BS)+mtat_VSI_BS)+d10_exp0*(+0.0+mtat_VSI_BS_VDI_BD));
#endif
tmp_VDI_BD=((-ysq_VDI_BD)+mtat_VDI_BD)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VSI_BS)+mtat_VSI_BS)*((-ysq_VDI_BD)+mtat_VDI_BD)+d10_exp0*(+0.0+mtat_VDI_BD_VSI_BS));
  tmp_VDI_BD_VDI_BD=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VDI_BD)+mtat_VDI_BD)*((-ysq_VDI_BD)+mtat_VDI_BD)+d10_exp0*(+0.0+mtat_VDI_BD_VDI_BD));
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*3.3333333333333333e-01+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*3.3333333333333333e-01+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*3.3333333333333333e-01+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*3.3333333333333333e-01+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
erfcpos_VSI_BS=(((((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*pInst->tmp)+((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS));
#if defined(_DERIVATE2)
  erfcpos_VSI_BS_VSI_BS=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VSI_BS+0.0*terfc_VSI_BS+0.29214664*terfc_VSI_BS_VSI_BS)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))+0.0*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))+pModel->berfc*(+terfc_VSI_BS_VSI_BS*pInst->terfc+terfc_VSI_BS*terfc_VSI_BS+terfc_VSI_BS*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VSI_BS)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS)))+0.0*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))+pModel->cerfc*(+(+terfc_VSI_BS_VSI_BS*pInst->terfc+terfc_VSI_BS*terfc_VSI_BS+terfc_VSI_BS*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VSI_BS)*pInst->terfc+((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*terfc_VSI_BS+(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*terfc_VSI_BS+(pInst->terfc*pInst->terfc)*terfc_VSI_BS_VSI_BS)))*pInst->tmp+(((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*tmp_VSI_BS+((((0.29214664*terfc_VSI_BS))+((pModel->berfc*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))))+((pModel->cerfc*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))))*tmp_VSI_BS+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS_VSI_BS);
  erfcpos_VSI_BS_VDI_BD=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VDI_BD+0.0*terfc_VSI_BS+0.29214664*terfc_VSI_BS_VDI_BD)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))+0.0*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))+pModel->berfc*(+terfc_VSI_BS_VDI_BD*pInst->terfc+terfc_VSI_BS*terfc_VDI_BD+terfc_VDI_BD*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VDI_BD)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD)))+0.0*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))+pModel->cerfc*(+(+terfc_VSI_BS_VDI_BD*pInst->terfc+terfc_VSI_BS*terfc_VDI_BD+terfc_VDI_BD*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VDI_BD)*pInst->terfc+((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*terfc_VDI_BD+(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*terfc_VSI_BS+(pInst->terfc*pInst->terfc)*terfc_VSI_BS_VDI_BD)))*pInst->tmp+(((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*tmp_VDI_BD+((((0.29214664*terfc_VDI_BD))+((pModel->berfc*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))))+((pModel->cerfc*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))))*tmp_VSI_BS+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS_VDI_BD);
#endif
erfcpos_VDI_BD=(((((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*pInst->tmp)+((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD));
#if defined(_DERIVATE2)
  erfcpos_VDI_BD_VSI_BS=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VSI_BS+0.0*terfc_VDI_BD+0.29214664*terfc_VDI_BD_VSI_BS)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))+0.0*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))+pModel->berfc*(+terfc_VDI_BD_VSI_BS*pInst->terfc+terfc_VDI_BD*terfc_VSI_BS+terfc_VSI_BS*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VSI_BS)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS)))+0.0*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))+pModel->cerfc*(+(+terfc_VDI_BD_VSI_BS*pInst->terfc+terfc_VDI_BD*terfc_VSI_BS+terfc_VSI_BS*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VSI_BS)*pInst->terfc+((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*terfc_VSI_BS+(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*terfc_VDI_BD+(pInst->terfc*pInst->terfc)*terfc_VDI_BD_VSI_BS)))*pInst->tmp+(((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*tmp_VSI_BS+((((0.29214664*terfc_VSI_BS))+((pModel->berfc*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))))+((pModel->cerfc*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))))*tmp_VDI_BD+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD_VSI_BS);
  erfcpos_VDI_BD_VDI_BD=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VDI_BD+0.0*terfc_VDI_BD+0.29214664*terfc_VDI_BD_VDI_BD)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))+0.0*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))+pModel->berfc*(+terfc_VDI_BD_VDI_BD*pInst->terfc+terfc_VDI_BD*terfc_VDI_BD+terfc_VDI_BD*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VDI_BD)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD)))+0.0*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))+pModel->cerfc*(+(+terfc_VDI_BD_VDI_BD*pInst->terfc+terfc_VDI_BD*terfc_VDI_BD+terfc_VDI_BD*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VDI_BD)*pInst->terfc+((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*terfc_VDI_BD+(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*terfc_VDI_BD+(pInst->terfc*pInst->terfc)*terfc_VDI_BD_VDI_BD)))*pInst->tmp+(((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*tmp_VDI_BD+((((0.29214664*terfc_VDI_BD))+((pModel->berfc*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))))+((pModel->cerfc*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))))*tmp_VDI_BD+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD_VDI_BD);
#endif
#endif
pInst->erfcpos=((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*pInst->tmp);
EXIT_IF_ISNAN(((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*pInst->tmp))
if
((pInst->xerfc>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
erfctimesexpmtat_VSI_BS=erfcpos_VSI_BS;
#if defined(_DERIVATE2)
  erfctimesexpmtat_VSI_BS_VSI_BS=erfcpos_VSI_BS_VSI_BS;
  erfctimesexpmtat_VSI_BS_VDI_BD=erfcpos_VSI_BS_VDI_BD;
#endif
erfctimesexpmtat_VDI_BD=erfcpos_VDI_BD;
#if defined(_DERIVATE2)
  erfctimesexpmtat_VDI_BD_VSI_BS=erfcpos_VDI_BD_VSI_BS;
  erfctimesexpmtat_VDI_BD_VDI_BD=erfcpos_VDI_BD_VDI_BD;
#endif
#endif
pInst->erfctimesexpmtat=pInst->erfcpos;
EXIT_IF_ISNAN(pInst->erfcpos)
}
else
{
if
((pInst->mtat>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,pInst->mtat)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=mtat_VSI_BS*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(pInst->mtat)*mtat_VSI_BS*mtat_VSI_BS+d10_exp0*mtat_VSI_BS_VSI_BS);
  tmp_VSI_BS_VDI_BD=(m20_exp(pInst->mtat)*mtat_VDI_BD*mtat_VSI_BS+d10_exp0*mtat_VSI_BS_VDI_BD);
#endif
tmp_VDI_BD=mtat_VDI_BD*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(pInst->mtat)*mtat_VSI_BS*mtat_VDI_BD+d10_exp0*mtat_VDI_BD_VSI_BS);
  tmp_VDI_BD_VDI_BD=(m20_exp(pInst->mtat)*mtat_VDI_BD*mtat_VDI_BD+d10_exp0*mtat_VDI_BD_VDI_BD);
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VSI_BS_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VSI_BS)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))))+(-mtat_VSI_BS)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))+0.0*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VSI_BS_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VSI_BS)*((-mtat_VSI_BS)*3.3333333333333333e-01)+(-mtat_VSI_BS)*(-mtat_VSI_BS)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VSI_BS_VSI_BS)*3.3333333333333333e-01+(-mtat_VSI_BS)*0.0+(-mtat_VSI_BS)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VSI_BS_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VSI_BS)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))))+(-mtat_VDI_BD)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))+0.0*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VSI_BS_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VSI_BS)*((-mtat_VDI_BD)*3.3333333333333333e-01)+(-mtat_VDI_BD)*(-mtat_VSI_BS)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VSI_BS_VDI_BD)*3.3333333333333333e-01+(-mtat_VSI_BS)*0.0+(-mtat_VDI_BD)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VDI_BD_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VDI_BD)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))))+(-mtat_VSI_BS)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))+0.0*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VDI_BD_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VDI_BD)*((-mtat_VSI_BS)*3.3333333333333333e-01)+(-mtat_VSI_BS)*(-mtat_VDI_BD)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VDI_BD_VSI_BS)*3.3333333333333333e-01+(-mtat_VDI_BD)*0.0+(-mtat_VSI_BS)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VDI_BD_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VDI_BD)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))))+(-mtat_VDI_BD)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))+0.0*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VDI_BD_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VDI_BD)*((-mtat_VDI_BD)*3.3333333333333333e-01)+(-mtat_VDI_BD)*(-mtat_VDI_BD)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VDI_BD_VDI_BD)*3.3333333333333333e-01+(-mtat_VDI_BD)*0.0+(-mtat_VDI_BD)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
erfctimesexpmtat_VSI_BS=((2.0*tmp_VSI_BS)-erfcpos_VSI_BS);
#if defined(_DERIVATE2)
  erfctimesexpmtat_VSI_BS_VSI_BS=(+(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VSI_BS+2.0*tmp_VSI_BS_VSI_BS)-erfcpos_VSI_BS_VSI_BS);
  erfctimesexpmtat_VSI_BS_VDI_BD=(+(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VSI_BS+2.0*tmp_VSI_BS_VDI_BD)-erfcpos_VSI_BS_VDI_BD);
#endif
erfctimesexpmtat_VDI_BD=((2.0*tmp_VDI_BD)-erfcpos_VDI_BD);
#if defined(_DERIVATE2)
  erfctimesexpmtat_VDI_BD_VSI_BS=(+(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VDI_BD+2.0*tmp_VDI_BD_VSI_BS)-erfcpos_VDI_BD_VSI_BS);
  erfctimesexpmtat_VDI_BD_VDI_BD=(+(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VDI_BD+2.0*tmp_VDI_BD_VDI_BD)-erfcpos_VDI_BD_VDI_BD);
#endif
#endif
pInst->erfctimesexpmtat=((2.0*pInst->tmp)-pInst->erfcpos);
EXIT_IF_ISNAN(((2.0*pInst->tmp)-pInst->erfcpos))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
gammamax_VSI_BS=((1.77245385090551603*0.5)*(((pModel->atatsti*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat));
#if defined(_DERIVATE2)
  gammamax_VSI_BS_VSI_BS=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatsti*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatsti*erfctimesexpmtat_VSI_BS))*pInst->ktat-(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatsti*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VSI_BS+0.0*erfctimesexpmtat_VSI_BS+pModel->atatsti*erfctimesexpmtat_VSI_BS_VSI_BS)/pInst->ktat-((pModel->atatsti*erfctimesexpmtat_VSI_BS)*ktat_VSI_BS+((pModel->atatsti*erfctimesexpmtat_VSI_BS))*ktat_VSI_BS+(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VSI_BS_VSI_BS)/pInst->ktat/pInst->ktat+2*(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VSI_BS*ktat_VSI_BS/pInst->ktat/pInst->ktat/pInst->ktat));
  gammamax_VSI_BS_VDI_BD=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatsti*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatsti*erfctimesexpmtat_VDI_BD))*pInst->ktat-(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatsti*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VDI_BD+0.0*erfctimesexpmtat_VSI_BS+pModel->atatsti*erfctimesexpmtat_VSI_BS_VDI_BD)/pInst->ktat-((pModel->atatsti*erfctimesexpmtat_VSI_BS)*ktat_VDI_BD+((pModel->atatsti*erfctimesexpmtat_VDI_BD))*ktat_VSI_BS+(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VSI_BS_VDI_BD)/pInst->ktat/pInst->ktat+2*(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VSI_BS*ktat_VDI_BD/pInst->ktat/pInst->ktat/pInst->ktat));
#endif
gammamax_VDI_BD=((1.77245385090551603*0.5)*(((pModel->atatsti*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat));
#if defined(_DERIVATE2)
  gammamax_VDI_BD_VSI_BS=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatsti*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatsti*erfctimesexpmtat_VSI_BS))*pInst->ktat-(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatsti*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VSI_BS+0.0*erfctimesexpmtat_VDI_BD+pModel->atatsti*erfctimesexpmtat_VDI_BD_VSI_BS)/pInst->ktat-((pModel->atatsti*erfctimesexpmtat_VDI_BD)*ktat_VSI_BS+((pModel->atatsti*erfctimesexpmtat_VSI_BS))*ktat_VDI_BD+(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VDI_BD_VSI_BS)/pInst->ktat/pInst->ktat+2*(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VDI_BD*ktat_VSI_BS/pInst->ktat/pInst->ktat/pInst->ktat));
  gammamax_VDI_BD_VDI_BD=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatsti*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatsti*erfctimesexpmtat_VDI_BD))*pInst->ktat-(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatsti*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VDI_BD+0.0*erfctimesexpmtat_VDI_BD+pModel->atatsti*erfctimesexpmtat_VDI_BD_VDI_BD)/pInst->ktat-((pModel->atatsti*erfctimesexpmtat_VDI_BD)*ktat_VDI_BD+((pModel->atatsti*erfctimesexpmtat_VDI_BD))*ktat_VDI_BD+(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VDI_BD_VDI_BD)/pInst->ktat/pInst->ktat+2*(pModel->atatsti*pInst->erfctimesexpmtat)*ktat_VDI_BD*ktat_VDI_BD/pInst->ktat/pInst->ktat/pInst->ktat));
#endif
#endif
pInst->gammamax=((1.77245385090551603*0.5)*((pModel->atatsti*pInst->erfctimesexpmtat)/pInst->ktat));
EXIT_IF_ISNAN(((1.77245385090551603*0.5)*((pModel->atatsti*pInst->erfctimesexpmtat)/pInst->ktat)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
itat_VSI_BS=(pModel->CTATSTI_i*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)));
#if defined(_DERIVATE2)
  itat_VSI_BS_VSI_BS=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)))+0.0*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS))+pModel->CTATSTI_i*(+(+asrh_VSI_BS_VSI_BS*pInst->gammamax+asrh_VSI_BS*gammamax_VSI_BS+asrh_VSI_BS*gammamax_VSI_BS+pInst->asrh*gammamax_VSI_BS_VSI_BS)*pInst->wtat+((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*wtat_VSI_BS+(((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*wtat_VSI_BS+(pInst->asrh*pInst->gammamax)*wtat_VSI_BS_VSI_BS));
  itat_VSI_BS_VDI_BD=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)))+0.0*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS))+pModel->CTATSTI_i*(+(+asrh_VSI_BS_VDI_BD*pInst->gammamax+asrh_VSI_BS*gammamax_VDI_BD+asrh_VDI_BD*gammamax_VSI_BS+pInst->asrh*gammamax_VSI_BS_VDI_BD)*pInst->wtat+((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*wtat_VDI_BD+(((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*wtat_VSI_BS+(pInst->asrh*pInst->gammamax)*wtat_VSI_BS_VDI_BD));
#endif
itat_VDI_BD=(pModel->CTATSTI_i*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)));
#if defined(_DERIVATE2)
  itat_VDI_BD_VSI_BS=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)))+0.0*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD))+pModel->CTATSTI_i*(+(+asrh_VDI_BD_VSI_BS*pInst->gammamax+asrh_VDI_BD*gammamax_VSI_BS+asrh_VSI_BS*gammamax_VDI_BD+pInst->asrh*gammamax_VDI_BD_VSI_BS)*pInst->wtat+((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*wtat_VSI_BS+(((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*wtat_VDI_BD+(pInst->asrh*pInst->gammamax)*wtat_VDI_BD_VSI_BS));
  itat_VDI_BD_VDI_BD=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)))+0.0*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD))+pModel->CTATSTI_i*(+(+asrh_VDI_BD_VDI_BD*pInst->gammamax+asrh_VDI_BD*gammamax_VDI_BD+asrh_VDI_BD*gammamax_VDI_BD+pInst->asrh*gammamax_VDI_BD_VDI_BD)*pInst->wtat+((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*wtat_VDI_BD+(((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*wtat_VDI_BD+(pInst->asrh*pInst->gammamax)*wtat_VDI_BD_VDI_BD));
#endif
#endif
pInst->itat=(pModel->CTATSTI_i*((pInst->asrh*pInst->gammamax)*pInst->wtat));
EXIT_IF_ISNAN((pModel->CTATSTI_i*((pInst->asrh*pInst->gammamax)*pInst->wtat)))
}
if
((pModel->CBBTSTI_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ibbt_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ibbt_VSI_BS_VSI_BS=0.0;
  ibbt_VSI_BS_VDI_BD=0.0;
#endif
ibbt_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ibbt_VDI_BD_VSI_BS=0.0;
  ibbt_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->ibbt=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
if
((pModel->PSTI_i==0.5))
{
{
double m00_sqrt(d00_sqrt0,((pModel->VBIRSTI_i-pInst->vbbt)*pModel->VBIRSTIinv))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pModel->VBIRSTI_i-pInst->vbbt)*pModel->VBIRSTIinv))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-vbbt_VSI_BS)*pModel->VBIRSTIinv*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt(((pModel->VBIRSTI_i-pInst->vbbt)*pModel->VBIRSTIinv))*((-vbbt_VSI_BS)*pModel->VBIRSTIinv)*(-vbbt_VSI_BS)*pModel->VBIRSTIinv+d10_sqrt0*(+(+0.0-vbbt_VSI_BS_VSI_BS)*pModel->VBIRSTIinv+(-vbbt_VSI_BS)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRSTI_i-pInst->vbbt)*0.0));
  tmp_VSI_BS_VDI_BD=(m20_sqrt(((pModel->VBIRSTI_i-pInst->vbbt)*pModel->VBIRSTIinv))*((-vbbt_VDI_BD)*pModel->VBIRSTIinv)*(-vbbt_VSI_BS)*pModel->VBIRSTIinv+d10_sqrt0*(+(+0.0-vbbt_VSI_BS_VDI_BD)*pModel->VBIRSTIinv+(-vbbt_VSI_BS)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRSTI_i-pInst->vbbt)*0.0));
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,((pModel->VBIRSTI_i-pInst->vbbt)*pModel->VBIRSTIinv),pModel->PSTI_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,((pModel->VBIRSTI_i-pInst->vbbt)*pModel->VBIRSTIinv),pModel->PSTI_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*(-vbbt_VSI_BS)*pModel->VBIRSTIinv);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Fmaxr_VSI_BS=(pModel->one_over_one_minus_PSTI*(((-vbbt_VSI_BS)*pModel->wdepnulrinvsti*pInst->tmp-((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VSI_BS)/pInst->tmp/pInst->tmp));
#if defined(_DERIVATE2)
  Fmaxr_VSI_BS_VSI_BS=(+0.0*(((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)/pInst->tmp)+0.0*((((-vbbt_VSI_BS)*pModel->wdepnulrinvsti)*pInst->tmp-((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VSI_BS)*pModel->wdepnulrinvsti*pInst->tmp-((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PSTI*((+(+0.0-vbbt_VSI_BS_VSI_BS)*pModel->wdepnulrinvsti+(-vbbt_VSI_BS)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRSTI_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VSI_BS)*pModel->wdepnulrinvsti*tmp_VSI_BS+((-vbbt_VSI_BS)*pModel->wdepnulrinvsti)*tmp_VSI_BS+((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VSI_BS_VSI_BS)/pInst->tmp/pInst->tmp+2*((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VSI_BS*tmp_VSI_BS/pInst->tmp/pInst->tmp/pInst->tmp));
  Fmaxr_VSI_BS_VDI_BD=(+0.0*(((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)/pInst->tmp)+0.0*((((-vbbt_VDI_BD)*pModel->wdepnulrinvsti)*pInst->tmp-((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VSI_BS)*pModel->wdepnulrinvsti*pInst->tmp-((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PSTI*((+(+0.0-vbbt_VSI_BS_VDI_BD)*pModel->wdepnulrinvsti+(-vbbt_VSI_BS)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRSTI_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VSI_BS)*pModel->wdepnulrinvsti*tmp_VDI_BD+((-vbbt_VDI_BD)*pModel->wdepnulrinvsti)*tmp_VSI_BS+((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VSI_BS_VDI_BD)/pInst->tmp/pInst->tmp+2*((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VSI_BS*tmp_VDI_BD/pInst->tmp/pInst->tmp/pInst->tmp));
#endif
Fmaxr_VDI_BD=(pModel->one_over_one_minus_PSTI*(((-vbbt_VDI_BD)*pModel->wdepnulrinvsti*pInst->tmp-((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VDI_BD)/pInst->tmp/pInst->tmp));
#if defined(_DERIVATE2)
  Fmaxr_VDI_BD_VSI_BS=(+0.0*(((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)/pInst->tmp)+0.0*((((-vbbt_VSI_BS)*pModel->wdepnulrinvsti)*pInst->tmp-((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VDI_BD)*pModel->wdepnulrinvsti*pInst->tmp-((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PSTI*((+(+0.0-vbbt_VDI_BD_VSI_BS)*pModel->wdepnulrinvsti+(-vbbt_VDI_BD)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRSTI_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VDI_BD)*pModel->wdepnulrinvsti*tmp_VSI_BS+((-vbbt_VSI_BS)*pModel->wdepnulrinvsti)*tmp_VDI_BD+((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VDI_BD_VSI_BS)/pInst->tmp/pInst->tmp+2*((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VDI_BD*tmp_VSI_BS/pInst->tmp/pInst->tmp/pInst->tmp));
  Fmaxr_VDI_BD_VDI_BD=(+0.0*(((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)/pInst->tmp)+0.0*((((-vbbt_VDI_BD)*pModel->wdepnulrinvsti)*pInst->tmp-((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VDI_BD)*pModel->wdepnulrinvsti*pInst->tmp-((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PSTI*((+(+0.0-vbbt_VDI_BD_VDI_BD)*pModel->wdepnulrinvsti+(-vbbt_VDI_BD)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRSTI_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VDI_BD)*pModel->wdepnulrinvsti*tmp_VDI_BD+((-vbbt_VDI_BD)*pModel->wdepnulrinvsti)*tmp_VDI_BD+((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VDI_BD_VDI_BD)/pInst->tmp/pInst->tmp+2*((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)*tmp_VDI_BD*tmp_VDI_BD/pInst->tmp/pInst->tmp/pInst->tmp));
#endif
#endif
pInst->Fmaxr=(pModel->one_over_one_minus_PSTI*(((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)/pInst->tmp));
EXIT_IF_ISNAN((pModel->one_over_one_minus_PSTI*(((pModel->VBIRSTI_i-pInst->vbbt)*pModel->wdepnulrinvsti)/pInst->tmp)))
{
double m00_fabs(d00_fabs0,((-pModel->fbbtsti)/pInst->Fmaxr))
if
((d00_fabs0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,((-pModel->fbbtsti)/pInst->Fmaxr))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
  tmp_VSI_BS_VDI_BD=(m20_exp(((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
#endif
tmp_VDI_BD=(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
  tmp_VDI_BD_VDI_BD=(m20_exp(((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
if
((((-pModel->fbbtsti)/pInst->Fmaxr)<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti)/pInst->Fmaxr))*3.3333333333333333e-01)))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(1.0e100*(((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(+0.0*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
  tmp_VSI_BS_VDI_BD=(+0.0*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
#endif
tmp_VDI_BD=(1.0e100*(((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(+0.0*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtsti)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
  tmp_VDI_BD_VDI_BD=(+0.0*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtsti)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
pInst->tmp=(1.0e100*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ibbt_VSI_BS=(pModel->CBBTSTI_i*((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)));
#if defined(_DERIVATE2)
  ibbt_VSI_BS_VSI_BS=(+0.0*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*(((((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS)))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)))+0.0*((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS))+pModel->CBBTSTI_i*(+(+(+Vjun_s_VSI_BS_VSI_BS*pInst->Fmaxr+Vjun_s_VSI_BS*Fmaxr_VSI_BS+Vjun_s_VSI_BS*Fmaxr_VSI_BS+Vjun_s*Fmaxr_VSI_BS_VSI_BS)*pInst->Fmaxr+((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*Fmaxr_VSI_BS+(((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*Fmaxr_VSI_BS+(Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS_VSI_BS)*pInst->tmp+((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*tmp_VSI_BS+((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS)))*tmp_VSI_BS+((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS_VSI_BS));
  ibbt_VSI_BS_VDI_BD=(+0.0*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*((((((((Vjun_s*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD)))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)))+0.0*((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS))+pModel->CBBTSTI_i*(+(+(+0.0*pInst->Fmaxr+Vjun_s_VSI_BS*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+Vjun_s*Fmaxr_VSI_BS_VDI_BD)*pInst->Fmaxr+((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*Fmaxr_VDI_BD+((Vjun_s*Fmaxr_VDI_BD))*Fmaxr_VSI_BS+(Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS_VDI_BD)*pInst->tmp+((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*tmp_VDI_BD+(((((Vjun_s*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD)))*tmp_VSI_BS+((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS_VDI_BD));
#endif
ibbt_VDI_BD=(pModel->CBBTSTI_i*(((((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)));
#if defined(_DERIVATE2)
  ibbt_VDI_BD_VSI_BS=(+0.0*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*(((((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS)))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)))+0.0*(((((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD))+pModel->CBBTSTI_i*(+(+(+0.0*pInst->Fmaxr+0.0*Fmaxr_VSI_BS+Vjun_s_VSI_BS*Fmaxr_VDI_BD+Vjun_s*Fmaxr_VDI_BD_VSI_BS)*pInst->Fmaxr+(Vjun_s*Fmaxr_VDI_BD)*Fmaxr_VSI_BS+(((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*Fmaxr_VDI_BD+(Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD_VSI_BS)*pInst->tmp+(((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*tmp_VSI_BS+((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS)))*tmp_VDI_BD+((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD_VSI_BS));
  ibbt_VDI_BD_VDI_BD=(+0.0*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*((((((((Vjun_s*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD)))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)))+0.0*(((((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD))+pModel->CBBTSTI_i*(+(+(+0.0*pInst->Fmaxr+0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+Vjun_s*Fmaxr_VDI_BD_VDI_BD)*pInst->Fmaxr+(Vjun_s*Fmaxr_VDI_BD)*Fmaxr_VDI_BD+((Vjun_s*Fmaxr_VDI_BD))*Fmaxr_VDI_BD+(Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD_VDI_BD)*pInst->tmp+(((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*tmp_VDI_BD+(((((Vjun_s*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD)))*tmp_VDI_BD+((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD_VDI_BD));
#endif
#endif
pInst->ibbt=(pModel->CBBTSTI_i*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp));
EXIT_IF_ISNAN((pModel->CBBTSTI_i*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)))
}
if
((pModel->VBRSTI_i>1.0e3))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=0.0;
  fbreakdown_VSI_BS_VDI_BD=0.0;
#endif
fbreakdown_VDI_BD=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=0.0;
  fbreakdown_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->fbreakdown=1.0;
EXIT_IF_ISNAN(1.0)
}
else
{
if
((pInst->vav>((-pModel->alphaav)*pModel->VBRSTI_i)))
{
if
((pModel->PBRSTI_i==4.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=((((((vav_VSI_BS*pModel->VBRinvsti*(pInst->vav*pModel->VBRinvsti))+((pInst->vav*pModel->VBRinvsti)*vav_VSI_BS*pModel->VBRinvsti))*(pInst->vav*pModel->VBRinvsti))+(((pInst->vav*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))*vav_VSI_BS*pModel->VBRinvsti))*(pInst->vav*pModel->VBRinvsti))+((((pInst->vav*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))*(pInst->vav*pModel->VBRinvsti))*vav_VSI_BS*pModel->VBRinvsti));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(+(+(+(+vav_VSI_BS_VSI_BS*pModel->VBRinvsti+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvsti)+vav_VSI_BS*pModel->VBRinvsti*(vav_VSI_BS*pModel->VBRinvsti)+(vav_VSI_BS*pModel->VBRinvsti)*vav_VSI_BS*pModel->VBRinvsti+(pInst->vav*pModel->VBRinvsti)*(+vav_VSI_BS_VSI_BS*pModel->VBRinvsti+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvsti)+((vav_VSI_BS*pModel->VBRinvsti*(pInst->vav*pModel->VBRinvsti))+((pInst->vav*pModel->VBRinvsti)*vav_VSI_BS*pModel->VBRinvsti))*(vav_VSI_BS*pModel->VBRinvsti)+((((vav_VSI_BS*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))+((pInst->vav*pModel->VBRinvsti)*(vav_VSI_BS*pModel->VBRinvsti))))*vav_VSI_BS*pModel->VBRinvsti+((pInst->vav*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))*(+vav_VSI_BS_VSI_BS*pModel->VBRinvsti+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvsti)+((((vav_VSI_BS*pModel->VBRinvsti*(pInst->vav*pModel->VBRinvsti))+((pInst->vav*pModel->VBRinvsti)*vav_VSI_BS*pModel->VBRinvsti))*(pInst->vav*pModel->VBRinvsti))+(((pInst->vav*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))*vav_VSI_BS*pModel->VBRinvsti))*(vav_VSI_BS*pModel->VBRinvsti)+(((((((vav_VSI_BS*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))+((pInst->vav*pModel->VBRinvsti)*(vav_VSI_BS*pModel->VBRinvsti))))*(pInst->vav*pModel->VBRinvsti))+(((pInst->vav*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))*(vav_VSI_BS*pModel->VBRinvsti))))*vav_VSI_BS*pModel->VBRinvsti+(((pInst->vav*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))*(pInst->vav*pModel->VBRinvsti))*(+vav_VSI_BS_VSI_BS*pModel->VBRinvsti+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0));
  tmp_VSI_BS_VDI_BD=(+(+(+(+vav_VSI_BS_VDI_BD*pModel->VBRinvsti+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvsti)+vav_VSI_BS*pModel->VBRinvsti*(vav_VDI_BD*pModel->VBRinvsti)+(vav_VDI_BD*pModel->VBRinvsti)*vav_VSI_BS*pModel->VBRinvsti+(pInst->vav*pModel->VBRinvsti)*(+vav_VSI_BS_VDI_BD*pModel->VBRinvsti+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvsti)+((vav_VSI_BS*pModel->VBRinvsti*(pInst->vav*pModel->VBRinvsti))+((pInst->vav*pModel->VBRinvsti)*vav_VSI_BS*pModel->VBRinvsti))*(vav_VDI_BD*pModel->VBRinvsti)+((((vav_VDI_BD*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))+((pInst->vav*pModel->VBRinvsti)*(vav_VDI_BD*pModel->VBRinvsti))))*vav_VSI_BS*pModel->VBRinvsti+((pInst->vav*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))*(+vav_VSI_BS_VDI_BD*pModel->VBRinvsti+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvsti)+((((vav_VSI_BS*pModel->VBRinvsti*(pInst->vav*pModel->VBRinvsti))+((pInst->vav*pModel->VBRinvsti)*vav_VSI_BS*pModel->VBRinvsti))*(pInst->vav*pModel->VBRinvsti))+(((pInst->vav*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))*vav_VSI_BS*pModel->VBRinvsti))*(vav_VDI_BD*pModel->VBRinvsti)+(((((((vav_VDI_BD*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))+((pInst->vav*pModel->VBRinvsti)*(vav_VDI_BD*pModel->VBRinvsti))))*(pInst->vav*pModel->VBRinvsti))+(((pInst->vav*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))*(vav_VDI_BD*pModel->VBRinvsti))))*vav_VSI_BS*pModel->VBRinvsti+(((pInst->vav*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))*(pInst->vav*pModel->VBRinvsti))*(+vav_VSI_BS_VDI_BD*pModel->VBRinvsti+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0));
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=((((pInst->vav*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))*(pInst->vav*pModel->VBRinvsti))*(pInst->vav*pModel->VBRinvsti));
EXIT_IF_ISNAN(((((pInst->vav*pModel->VBRinvsti)*(pInst->vav*pModel->VBRinvsti))*(pInst->vav*pModel->VBRinvsti))*(pInst->vav*pModel->VBRinvsti)))
}
else
{
{
double m00_fabs(d00_fabs0,(pInst->vav*pModel->VBRinvsti))
double m00_pow(d00_pow1,d00_fabs0,pModel->PBRSTI_i)
#if defined(_DERIVATEFORDDX)
double m10_fabs(d10_fabs0,d00_fabs0,(pInst->vav*pModel->VBRinvsti))
double m10_pow(d10_pow1,d00_pow1,d00_fabs0,pModel->PBRSTI_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow1*vav_VSI_BS*pModel->VBRinvsti*d10_fabs0);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_pow1;
EXIT_IF_ISNAN(d00_pow1)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=(-(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VSI_BS)+0.0*(-tmp_VSI_BS)+1.0*(+0.0-tmp_VSI_BS_VSI_BS))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VSI_BS)*(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
  fbreakdown_VSI_BS_VDI_BD=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VDI_BD)+0.0*(-tmp_VSI_BS)+1.0*(+0.0-tmp_VSI_BS_VDI_BD))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VSI_BS)*(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#endif
fbreakdown_VDI_BD=(-(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VSI_BS)+0.0*(-tmp_VDI_BD)+1.0*(+0.0-tmp_VDI_BD_VSI_BS))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VDI_BD)*(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
  fbreakdown_VDI_BD_VDI_BD=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VDI_BD)+0.0*(-tmp_VDI_BD)+1.0*(+0.0-tmp_VDI_BD_VDI_BD))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VDI_BD)*(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#endif
#endif
pInst->fbreakdown=(1.0/(1.0-pInst->tmp));
EXIT_IF_ISNAN((1.0/(1.0-pInst->tmp)))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=vav_VSI_BS*pModel->slopesti;
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=(+0.0+(+(+vav_VSI_BS_VSI_BS+(+0.0*pModel->VBRSTI_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopesti+vav_VSI_BS*0.0+(vav_VSI_BS+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRSTI_i))*0.0));
  fbreakdown_VSI_BS_VDI_BD=(+0.0+(+(+vav_VSI_BS_VDI_BD+(+0.0*pModel->VBRSTI_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopesti+vav_VSI_BS*0.0+(vav_VDI_BD+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRSTI_i))*0.0));
#endif
fbreakdown_VDI_BD=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=0.0;
  fbreakdown_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->fbreakdown=(pModel->fstopsti+((pInst->vav+(pModel->alphaav*pModel->VBRSTI_i))*pModel->slopesti));
EXIT_IF_ISNAN((pModel->fstopsti+((pInst->vav+(pModel->alphaav*pModel->VBRSTI_i))*pModel->slopesti)))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(SI,GND)V(DI,GND)V(BP,GND)V(GP,GND) */
ijunsti_s_VSI_BS=(((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*pInst->fbreakdown)+((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS));
#if defined(_DERIVATE2)
  ijunsti_s_VSI_BS_VSI_BS=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+pInst->IFACTOR_i*(+(+(+id_VSI_BS_VSI_BS+isrh_VSI_BS_VSI_BS)+itat_VSI_BS_VSI_BS)+ibbt_VSI_BS_VSI_BS))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*fbreakdown_VSI_BS+((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)))*fbreakdown_VSI_BS+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS_VSI_BS);
  ijunsti_s_VSI_BS_VDI_BD=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+pInst->IFACTOR_i*(+(+(+id_VSI_BS_VDI_BD+isrh_VSI_BS_VDI_BD)+itat_VSI_BS_VDI_BD)+ibbt_VSI_BS_VDI_BD))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*fbreakdown_VDI_BD+((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)))*fbreakdown_VSI_BS+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS_VDI_BD);
#endif
ijunsti_s_VDI_BD=(((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*pInst->fbreakdown)+((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD));
#if defined(_DERIVATE2)
  ijunsti_s_VDI_BD_VSI_BS=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+pInst->IFACTOR_i*(+(+(+id_VDI_BD_VSI_BS+isrh_VDI_BD_VSI_BS)+itat_VDI_BD_VSI_BS)+ibbt_VDI_BD_VSI_BS))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*fbreakdown_VSI_BS+((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)))*fbreakdown_VDI_BD+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD_VSI_BS);
  ijunsti_s_VDI_BD_VDI_BD=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+pInst->IFACTOR_i*(+(+(+id_VDI_BD_VDI_BD+isrh_VDI_BD_VDI_BD)+itat_VDI_BD_VDI_BD)+ibbt_VDI_BD_VDI_BD))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*fbreakdown_VDI_BD+((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)))*fbreakdown_VDI_BD+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD_VDI_BD);
#endif
#endif
ijunsti_s=((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*pInst->fbreakdown);
EXIT_IF_ISNAN(((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*pInst->fbreakdown))
}
if
((pInst->LGSOURCE_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(SI,GND)V(DI,GND)V(BP,GND)V(GP,GND) */
ijungat_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijungat_s_VSI_BS_VSI_BS=0.0;
  ijungat_s_VSI_BS_VDI_BD=0.0;
#endif
ijungat_s_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijungat_s_VDI_BD_VSI_BS=0.0;
  ijungat_s_VDI_BD_VDI_BD=0.0;
#endif
#endif
ijungat_s=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND) */
#if defined(_DERIVATE)
qjungat_s_VDI_BD=0.0;
#endif
qjungat_s_VSI_BS=0.0;
#if defined(_DERIVATE2)
  qjungat_s_VSI_BS_VDI_BD=0.0;
  qjungat_s_VSI_BS_VSI_BS=0.0;
#endif
#endif
qjungat_s=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
if
((pModel->one_minus_PGAT==0.5))
{
{
double m00_sqrt(d00_sqrt0,(1.0-(pInst->vj*pModel->vbiinvgat)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(pInst->vj*pModel->vbiinvgat)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-vj_VSI_BS*pModel->vbiinvgat)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvgat)))*(-(vj_VSI_BS*pModel->vbiinvgat))*(-vj_VSI_BS*pModel->vbiinvgat)+d10_sqrt0*(+0.0-(+vj_VSI_BS_VSI_BS*pModel->vbiinvgat+vj_VSI_BS*0.0+vj_VSI_BS*0.0+pInst->vj*0.0)));
  tmp_VSI_BS_VDI_BD=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvgat)))*(-(vj_VDI_BD*pModel->vbiinvgat))*(-vj_VSI_BS*pModel->vbiinvgat)+d10_sqrt0*(+0.0-(+vj_VSI_BS_VDI_BD*pModel->vbiinvgat+vj_VSI_BS*0.0+vj_VDI_BD*0.0+pInst->vj*0.0)));
#endif
tmp_VDI_BD=(-vj_VDI_BD*pModel->vbiinvgat)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvgat)))*(-(vj_VSI_BS*pModel->vbiinvgat))*(-vj_VDI_BD*pModel->vbiinvgat)+d10_sqrt0*(+0.0-(+vj_VDI_BD_VSI_BS*pModel->vbiinvgat+vj_VDI_BD*0.0+vj_VSI_BS*0.0+pInst->vj*0.0)));
  tmp_VDI_BD_VDI_BD=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvgat)))*(-(vj_VDI_BD*pModel->vbiinvgat))*(-vj_VDI_BD*pModel->vbiinvgat)+d10_sqrt0*(+0.0-(+vj_VDI_BD_VDI_BD*pModel->vbiinvgat+vj_VDI_BD*0.0+vj_VDI_BD*0.0+pInst->vj*0.0)));
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,(1.0-(pInst->vj*pModel->vbiinvgat)),pModel->one_minus_PGAT)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0-(pInst->vj*pModel->vbiinvgat)),pModel->one_minus_PGAT)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*(-vj_VSI_BS*pModel->vbiinvgat));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow0*(-vj_VDI_BD*pModel->vbiinvgat));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(SI,GND) */
#if defined(_DERIVATE)
qjungat_s_VDI_BD=(pInst->CFACTOR_i*((pModel->qprefgat*(-tmp_VDI_BD))+(pModel->qpref2gat*(-vj_VDI_BD))));
#endif
qjungat_s_VSI_BS=(pInst->CFACTOR_i*((pModel->qprefgat*(-tmp_VSI_BS))+(pModel->qpref2gat*(Vjun_s_VSI_BS-vj_VSI_BS))));
#if defined(_DERIVATE2)
  qjungat_s_VSI_BS_VDI_BD=(+0.0*((pModel->qprefgat*(1.0-pInst->tmp))+(pModel->qpref2gat*(Vjun_s-pInst->vj)))+0.0*(((pModel->qprefgat*(-tmp_VDI_BD)))+((pModel->qpref2gat*(-vj_VDI_BD))))+0.0*((pModel->qprefgat*(-tmp_VSI_BS))+(pModel->qpref2gat*(Vjun_s_VSI_BS-vj_VSI_BS)))+pInst->CFACTOR_i*(+(+0.0*(1.0-pInst->tmp)+0.0*(-tmp_VDI_BD)+0.0*(-tmp_VSI_BS)+pModel->qprefgat*(+0.0-tmp_VSI_BS_VDI_BD))+(+0.0*(Vjun_s-pInst->vj)+0.0*(-vj_VDI_BD)+0.0*(Vjun_s_VSI_BS-vj_VSI_BS)+pModel->qpref2gat*(+0.0-vj_VSI_BS_VDI_BD))));
  qjungat_s_VSI_BS_VSI_BS=(+0.0*((pModel->qprefgat*(1.0-pInst->tmp))+(pModel->qpref2gat*(Vjun_s-pInst->vj)))+0.0*(((pModel->qprefgat*(-tmp_VSI_BS)))+((pModel->qpref2gat*(Vjun_s_VSI_BS-vj_VSI_BS))))+0.0*((pModel->qprefgat*(-tmp_VSI_BS))+(pModel->qpref2gat*(Vjun_s_VSI_BS-vj_VSI_BS)))+pInst->CFACTOR_i*(+(+0.0*(1.0-pInst->tmp)+0.0*(-tmp_VSI_BS)+0.0*(-tmp_VSI_BS)+pModel->qprefgat*(+0.0-tmp_VSI_BS_VSI_BS))+(+0.0*(Vjun_s-pInst->vj)+0.0*(Vjun_s_VSI_BS-vj_VSI_BS)+0.0*(Vjun_s_VSI_BS-vj_VSI_BS)+pModel->qpref2gat*(+Vjun_s_VSI_BS_VSI_BS-vj_VSI_BS_VSI_BS))));
#endif
#endif
qjungat_s=(pInst->CFACTOR_i*((pModel->qprefgat*(1.0-pInst->tmp))+(pModel->qpref2gat*(Vjun_s-pInst->vj))));
EXIT_IF_ISNAN((pInst->CFACTOR_i*((pModel->qprefgat*(1.0-pInst->tmp))+(pModel->qpref2gat*(Vjun_s-pInst->vj)))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
id_VDI_BD=0.0;
#if defined(_DERIVATE2)
  id_VDI_BD_VDI_BD=0.0;
  id_VDI_BD_VSI_BS=0.0;
#endif
id_VSI_BS=(pModel->idsatgat*idmult_VSI_BS);
#if defined(_DERIVATE2)
  id_VSI_BS_VDI_BD=(+0.0*pInst->idmult+0.0*idmult_VDI_BD+0.0*idmult_VSI_BS+pModel->idsatgat*idmult_VSI_BS_VDI_BD);
  id_VSI_BS_VSI_BS=(+0.0*pInst->idmult+0.0*idmult_VSI_BS+0.0*idmult_VSI_BS+pModel->idsatgat*idmult_VSI_BS_VSI_BS);
#endif
#endif
pInst->id=(pModel->idsatgat*pInst->idmult);
EXIT_IF_ISNAN((pModel->idsatgat*pInst->idmult))
if
(((pModel->CSRHGAT_i==0.0)&&(pModel->CTATGAT_i==0.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
isrh_VSI_BS=0.0;
#if defined(_DERIVATE2)
  isrh_VSI_BS_VSI_BS=0.0;
  isrh_VSI_BS_VDI_BD=0.0;
#endif
isrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  isrh_VDI_BD_VSI_BS=0.0;
  isrh_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->isrh=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
vbi_minus_vjsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  vbi_minus_vjsrh_VDI_BD_VDI_BD=0.0;
  vbi_minus_vjsrh_VDI_BD_VSI_BS=0.0;
#endif
vbi_minus_vjsrh_VSI_BS=(-vjsrh_VSI_BS);
#if defined(_DERIVATE2)
  vbi_minus_vjsrh_VSI_BS_VDI_BD=(+0.0-vjsrh_VSI_BS_VDI_BD);
  vbi_minus_vjsrh_VSI_BS_VSI_BS=(+0.0-vjsrh_VSI_BS_VSI_BS);
#endif
#endif
pInst->vbi_minus_vjsrh=(pModel->vbigat-pInst->vjsrh);
EXIT_IF_ISNAN((pModel->vbigat-pInst->vjsrh))
{
double m00_sqrt(d00_sqrt0,(1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
wsrhstep_VDI_BD=0.0;
#if defined(_DERIVATE2)
  wsrhstep_VDI_BD_VDI_BD=0.0;
  wsrhstep_VDI_BD_VSI_BS=0.0;
#endif
wsrhstep_VSI_BS=(-(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*d10_sqrt0);
#if defined(_DERIVATE2)
  wsrhstep_VSI_BS_VDI_BD=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VSI_BS_VDI_BD/pInst->vbi_minus_vjsrh-(two_psistar_VSI_BS*vbi_minus_vjsrh_VDI_BD+two_psistar_VDI_BD*vbi_minus_vjsrh_VSI_BS+pInst->two_psistar*vbi_minus_vjsrh_VSI_BS_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
  wsrhstep_VSI_BS_VSI_BS=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VSI_BS_VSI_BS/pInst->vbi_minus_vjsrh-(two_psistar_VSI_BS*vbi_minus_vjsrh_VSI_BS+two_psistar_VSI_BS*vbi_minus_vjsrh_VSI_BS+pInst->two_psistar*vbi_minus_vjsrh_VSI_BS_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
#endif
#endif
pInst->wsrhstep=(1.0-d00_sqrt0);
EXIT_IF_ISNAN((1.0-d00_sqrt0))
}
if
((pModel->PGAT_i==0.5))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dwsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  dwsrh_VDI_BD_VDI_BD=0.0;
  dwsrh_VDI_BD_VSI_BS=0.0;
#endif
dwsrh_VSI_BS=0.0;
#if defined(_DERIVATE2)
  dwsrh_VSI_BS_VDI_BD=0.0;
  dwsrh_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->dwsrh=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
{
double m00_logE(d00_logE0,pInst->wsrhstep)
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,pInst->wsrhstep)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dwsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  dwsrh_VDI_BD_VDI_BD=0.0;
  dwsrh_VDI_BD_VSI_BS=0.0;
#endif
dwsrh_VSI_BS=(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(1.0-(2.0*pModel->PGAT_i));
#if defined(_DERIVATE2)
  dwsrh_VSI_BS_VDI_BD=(+(+((+(+wsrhstep_VSI_BS_VDI_BD*pInst->wsrhstep+wsrhstep_VSI_BS*wsrhstep_VDI_BD+wsrhstep_VDI_BD*wsrhstep_VSI_BS+pInst->wsrhstep*wsrhstep_VSI_BS_VDI_BD)*d00_logE0+((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*wsrhstep_VDI_BD*d10_logE0+(((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*wsrhstep_VSI_BS*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VDI_BD*wsrhstep_VSI_BS+d10_logE0*wsrhstep_VSI_BS_VDI_BD))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(-wsrhstep_VDI_BD)+((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(-wsrhstep_VSI_BS)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VSI_BS_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS)*(-wsrhstep_VDI_BD)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS_VDI_BD)*(1.0-(2.0*pModel->PGAT_i))+(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(-(0.0))+(((((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PGAT_i+0.0*0.0+0.0*0.0+2.0*0.0)));
  dwsrh_VSI_BS_VSI_BS=(+(+((+(+wsrhstep_VSI_BS_VSI_BS*pInst->wsrhstep+wsrhstep_VSI_BS*wsrhstep_VSI_BS+wsrhstep_VSI_BS*wsrhstep_VSI_BS+pInst->wsrhstep*wsrhstep_VSI_BS_VSI_BS)*d00_logE0+((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*wsrhstep_VSI_BS*d10_logE0+(((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*wsrhstep_VSI_BS*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VSI_BS*wsrhstep_VSI_BS+d10_logE0*wsrhstep_VSI_BS_VSI_BS))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(-wsrhstep_VSI_BS)+((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(-wsrhstep_VSI_BS)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VSI_BS_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS)*(-wsrhstep_VSI_BS)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS_VSI_BS)*(1.0-(2.0*pModel->PGAT_i))+(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(-(0.0))+(((((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PGAT_i+0.0*0.0+0.0*0.0+2.0*0.0)));
#endif
#endif
pInst->dwsrh=(((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(1.0-(2.0*pModel->PGAT_i)));
EXIT_IF_ISNAN((((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(1.0-(2.0*pModel->PGAT_i))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  wsrh_VDI_BD_VDI_BD=0.0;
  wsrh_VDI_BD_VSI_BS=0.0;
#endif
wsrh_VSI_BS=(wsrhstep_VSI_BS+dwsrh_VSI_BS);
#if defined(_DERIVATE2)
  wsrh_VSI_BS_VDI_BD=(+wsrhstep_VSI_BS_VDI_BD+dwsrh_VSI_BS_VDI_BD);
  wsrh_VSI_BS_VSI_BS=(+wsrhstep_VSI_BS_VSI_BS+dwsrh_VSI_BS_VSI_BS);
#endif
#endif
pInst->wsrh=(pInst->wsrhstep+pInst->dwsrh);
EXIT_IF_ISNAN((pInst->wsrhstep+pInst->dwsrh))
if
((pModel->PGAT_i==0.5))
{
{
double m00_sqrt(d00_sqrt0,(pInst->vbi_minus_vjsrh*pModel->VBIRGATinv))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(pInst->vbi_minus_vjsrh*pModel->VBIRGATinv))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=vbi_minus_vjsrh_VSI_BS*pModel->VBIRGATinv*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRGATinv))*(vbi_minus_vjsrh_VSI_BS*pModel->VBIRGATinv)*vbi_minus_vjsrh_VSI_BS*pModel->VBIRGATinv+d10_sqrt0*(+vbi_minus_vjsrh_VSI_BS_VSI_BS*pModel->VBIRGATinv+vbi_minus_vjsrh_VSI_BS*0.0+vbi_minus_vjsrh_VSI_BS*0.0+pInst->vbi_minus_vjsrh*0.0));
  tmp_VSI_BS_VDI_BD=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRGATinv))*(vbi_minus_vjsrh_VDI_BD*pModel->VBIRGATinv)*vbi_minus_vjsrh_VSI_BS*pModel->VBIRGATinv+d10_sqrt0*(+vbi_minus_vjsrh_VSI_BS_VDI_BD*pModel->VBIRGATinv+vbi_minus_vjsrh_VSI_BS*0.0+vbi_minus_vjsrh_VDI_BD*0.0+pInst->vbi_minus_vjsrh*0.0));
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,(pInst->vbi_minus_vjsrh*pModel->VBIRGATinv),pModel->PGAT_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(pInst->vbi_minus_vjsrh*pModel->VBIRGATinv),pModel->PGAT_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*vbi_minus_vjsrh_VSI_BS*pModel->VBIRGATinv);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wdep_VSI_BS=(pModel->wdepnulrgat*tmp_VSI_BS);
#if defined(_DERIVATE2)
  wdep_VSI_BS_VSI_BS=(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VSI_BS+pModel->wdepnulrgat*tmp_VSI_BS_VSI_BS);
  wdep_VSI_BS_VDI_BD=(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VSI_BS+pModel->wdepnulrgat*tmp_VSI_BS_VDI_BD);
#endif
wdep_VDI_BD=(pModel->wdepnulrgat*tmp_VDI_BD);
#if defined(_DERIVATE2)
  wdep_VDI_BD_VSI_BS=(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VDI_BD+pModel->wdepnulrgat*tmp_VDI_BD_VSI_BS);
  wdep_VDI_BD_VDI_BD=(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VDI_BD+pModel->wdepnulrgat*tmp_VDI_BD_VDI_BD);
#endif
#endif
pInst->wdep=(pModel->wdepnulrgat*pInst->tmp);
EXIT_IF_ISNAN((pModel->wdepnulrgat*pInst->tmp))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
asrh_VSI_BS=(pModel->ftdgat*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)));
#if defined(_DERIVATE2)
  asrh_VSI_BS_VSI_BS=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)))+0.0*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS))+pModel->ftdgat*(+(+zinv_VSI_BS_VSI_BS-0.0)*pInst->wdep+zinv_VSI_BS*wdep_VSI_BS+zinv_VSI_BS*wdep_VSI_BS+(pInst->zinv-1.0)*wdep_VSI_BS_VSI_BS));
  asrh_VSI_BS_VDI_BD=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)))+0.0*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS))+pModel->ftdgat*(+(+zinv_VSI_BS_VDI_BD-0.0)*pInst->wdep+zinv_VSI_BS*wdep_VDI_BD+zinv_VDI_BD*wdep_VSI_BS+(pInst->zinv-1.0)*wdep_VSI_BS_VDI_BD));
#endif
asrh_VDI_BD=(pModel->ftdgat*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)));
#if defined(_DERIVATE2)
  asrh_VDI_BD_VSI_BS=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)))+0.0*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD))+pModel->ftdgat*(+(+zinv_VDI_BD_VSI_BS-0.0)*pInst->wdep+zinv_VDI_BD*wdep_VSI_BS+zinv_VSI_BS*wdep_VDI_BD+(pInst->zinv-1.0)*wdep_VDI_BD_VSI_BS));
  asrh_VDI_BD_VDI_BD=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)))+0.0*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD))+pModel->ftdgat*(+(+zinv_VDI_BD_VDI_BD-0.0)*pInst->wdep+zinv_VDI_BD*wdep_VDI_BD+zinv_VDI_BD*wdep_VDI_BD+(pInst->zinv-1.0)*wdep_VDI_BD_VDI_BD));
#endif
#endif
pInst->asrh=(pModel->ftdgat*((pInst->zinv-1.0)*pInst->wdep));
EXIT_IF_ISNAN((pModel->ftdgat*((pInst->zinv-1.0)*pInst->wdep)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
isrh_VSI_BS=(pModel->CSRHGAT_i*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)));
#if defined(_DERIVATE2)
  isrh_VSI_BS_VSI_BS=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)))+0.0*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS))+pModel->CSRHGAT_i*(+asrh_VSI_BS_VSI_BS*pInst->wsrh+asrh_VSI_BS*wsrh_VSI_BS+asrh_VSI_BS*wsrh_VSI_BS+pInst->asrh*wsrh_VSI_BS_VSI_BS));
  isrh_VSI_BS_VDI_BD=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)))+0.0*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS))+pModel->CSRHGAT_i*(+asrh_VSI_BS_VDI_BD*pInst->wsrh+asrh_VSI_BS*wsrh_VDI_BD+asrh_VDI_BD*wsrh_VSI_BS+pInst->asrh*wsrh_VSI_BS_VDI_BD));
#endif
isrh_VDI_BD=(pModel->CSRHGAT_i*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)));
#if defined(_DERIVATE2)
  isrh_VDI_BD_VSI_BS=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)))+0.0*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD))+pModel->CSRHGAT_i*(+asrh_VDI_BD_VSI_BS*pInst->wsrh+asrh_VDI_BD*wsrh_VSI_BS+asrh_VSI_BS*wsrh_VDI_BD+pInst->asrh*wsrh_VDI_BD_VSI_BS));
  isrh_VDI_BD_VDI_BD=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)))+0.0*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD))+pModel->CSRHGAT_i*(+asrh_VDI_BD_VDI_BD*pInst->wsrh+asrh_VDI_BD*wsrh_VDI_BD+asrh_VDI_BD*wsrh_VDI_BD+pInst->asrh*wsrh_VDI_BD_VDI_BD));
#endif
#endif
pInst->isrh=(pModel->CSRHGAT_i*(pInst->asrh*pInst->wsrh));
EXIT_IF_ISNAN((pModel->CSRHGAT_i*(pInst->asrh*pInst->wsrh)))
}
if
((pModel->CTATGAT_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
itat_VSI_BS=0.0;
#if defined(_DERIVATE2)
  itat_VSI_BS_VSI_BS=0.0;
  itat_VSI_BS_VDI_BD=0.0;
#endif
itat_VDI_BD=0.0;
#if defined(_DERIVATE2)
  itat_VDI_BD_VSI_BS=0.0;
  itat_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->itat=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
btat_VSI_BS=(pModel->btatpartgat*((wdep_VSI_BS*pModel->one_minus_PGAT*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#if defined(_DERIVATE2)
  btat_VSI_BS_VSI_BS=(+0.0*((pInst->wdep*pModel->one_minus_PGAT)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VSI_BS*pModel->one_minus_PGAT)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VSI_BS*pModel->one_minus_PGAT*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartgat*((+wdep_VSI_BS_VSI_BS*pModel->one_minus_PGAT+wdep_VSI_BS*0.0+wdep_VSI_BS*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VSI_BS*pModel->one_minus_PGAT*vbi_minus_vjsrh_VSI_BS+(wdep_VSI_BS*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VSI_BS+(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VSI_BS_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
  btat_VSI_BS_VDI_BD=(+0.0*((pInst->wdep*pModel->one_minus_PGAT)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VDI_BD*pModel->one_minus_PGAT)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VSI_BS*pModel->one_minus_PGAT*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartgat*((+wdep_VSI_BS_VDI_BD*pModel->one_minus_PGAT+wdep_VSI_BS*0.0+wdep_VDI_BD*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VSI_BS*pModel->one_minus_PGAT*vbi_minus_vjsrh_VDI_BD+(wdep_VDI_BD*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VSI_BS+(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VSI_BS_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#endif
btat_VDI_BD=(pModel->btatpartgat*((wdep_VDI_BD*pModel->one_minus_PGAT*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#if defined(_DERIVATE2)
  btat_VDI_BD_VSI_BS=(+0.0*((pInst->wdep*pModel->one_minus_PGAT)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VSI_BS*pModel->one_minus_PGAT)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VDI_BD*pModel->one_minus_PGAT*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartgat*((+wdep_VDI_BD_VSI_BS*pModel->one_minus_PGAT+wdep_VDI_BD*0.0+wdep_VSI_BS*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VDI_BD*pModel->one_minus_PGAT*vbi_minus_vjsrh_VSI_BS+(wdep_VSI_BS*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VDI_BD+(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VDI_BD_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
  btat_VDI_BD_VDI_BD=(+0.0*((pInst->wdep*pModel->one_minus_PGAT)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VDI_BD*pModel->one_minus_PGAT)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VDI_BD*pModel->one_minus_PGAT*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartgat*((+wdep_VDI_BD_VDI_BD*pModel->one_minus_PGAT+wdep_VDI_BD*0.0+wdep_VDI_BD*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VDI_BD*pModel->one_minus_PGAT*vbi_minus_vjsrh_VDI_BD+(wdep_VDI_BD*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VDI_BD+(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VDI_BD_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PGAT)*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#endif
#endif
pInst->btat=(pModel->btatpartgat*((pInst->wdep*pModel->one_minus_PGAT)/pInst->vbi_minus_vjsrh));
EXIT_IF_ISNAN((pModel->btatpartgat*((pInst->wdep*pModel->one_minus_PGAT)/pInst->vbi_minus_vjsrh)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
twoatatoverthreebtat_VSI_BS=(-(0.666666666666667*pModel->atatgat)*btat_VSI_BS/pInst->btat/pInst->btat);
#if defined(_DERIVATE2)
  twoatatoverthreebtat_VSI_BS_VSI_BS=((+0.0*pModel->atatgat+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VSI_BS+(0.0)*btat_VSI_BS+(0.666666666666667*pModel->atatgat)*btat_VSI_BS_VSI_BS)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatgat)*btat_VSI_BS*btat_VSI_BS/pInst->btat/pInst->btat/pInst->btat);
  twoatatoverthreebtat_VSI_BS_VDI_BD=((+0.0*pModel->atatgat+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VDI_BD+(0.0)*btat_VSI_BS+(0.666666666666667*pModel->atatgat)*btat_VSI_BS_VDI_BD)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatgat)*btat_VSI_BS*btat_VDI_BD/pInst->btat/pInst->btat/pInst->btat);
#endif
twoatatoverthreebtat_VDI_BD=(-(0.666666666666667*pModel->atatgat)*btat_VDI_BD/pInst->btat/pInst->btat);
#if defined(_DERIVATE2)
  twoatatoverthreebtat_VDI_BD_VSI_BS=((+0.0*pModel->atatgat+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VSI_BS+(0.0)*btat_VDI_BD+(0.666666666666667*pModel->atatgat)*btat_VDI_BD_VSI_BS)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatgat)*btat_VDI_BD*btat_VSI_BS/pInst->btat/pInst->btat/pInst->btat);
  twoatatoverthreebtat_VDI_BD_VDI_BD=((+0.0*pModel->atatgat+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VDI_BD+(0.0)*btat_VDI_BD+(0.666666666666667*pModel->atatgat)*btat_VDI_BD_VDI_BD)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatgat)*btat_VDI_BD*btat_VDI_BD/pInst->btat/pInst->btat/pInst->btat);
#endif
#endif
pInst->twoatatoverthreebtat=((0.666666666666667*pModel->atatgat)/pInst->btat);
EXIT_IF_ISNAN(((0.666666666666667*pModel->atatgat)/pInst->btat))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
umaxbeforelimiting_VSI_BS=((twoatatoverthreebtat_VSI_BS*pInst->twoatatoverthreebtat)+(pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS));
#if defined(_DERIVATE2)
  umaxbeforelimiting_VSI_BS_VSI_BS=(+twoatatoverthreebtat_VSI_BS_VSI_BS*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VSI_BS+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VSI_BS+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS_VSI_BS);
  umaxbeforelimiting_VSI_BS_VDI_BD=(+twoatatoverthreebtat_VSI_BS_VDI_BD*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VDI_BD+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VSI_BS+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS_VDI_BD);
#endif
umaxbeforelimiting_VDI_BD=((twoatatoverthreebtat_VDI_BD*pInst->twoatatoverthreebtat)+(pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD));
#if defined(_DERIVATE2)
  umaxbeforelimiting_VDI_BD_VSI_BS=(+twoatatoverthreebtat_VDI_BD_VSI_BS*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VSI_BS+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VDI_BD+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD_VSI_BS);
  umaxbeforelimiting_VDI_BD_VDI_BD=(+twoatatoverthreebtat_VDI_BD_VDI_BD*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VDI_BD+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VDI_BD+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD_VDI_BD);
#endif
#endif
pInst->umaxbeforelimiting=(pInst->twoatatoverthreebtat*pInst->twoatatoverthreebtat);
EXIT_IF_ISNAN((pInst->twoatatoverthreebtat*pInst->twoatatoverthreebtat))
{
double m00_sqrt(d00_sqrt0,((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
umax_VSI_BS=((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*d10_sqrt0;
#if defined(_DERIVATE2)
  umax_VSI_BS_VSI_BS=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VSI_BS_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VSI_BS)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))+(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VSI_BS_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VSI_BS)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
  umax_VSI_BS_VDI_BD=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VSI_BS_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VDI_BD)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))+(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VSI_BS_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VDI_BD)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
#endif
umax_VDI_BD=((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*d10_sqrt0;
#if defined(_DERIVATE2)
  umax_VDI_BD_VSI_BS=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VDI_BD_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VSI_BS)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))+(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VDI_BD_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VSI_BS)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
  umax_VDI_BD_VDI_BD=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VDI_BD_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VDI_BD)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))+(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VDI_BD_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VDI_BD)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
#endif
#endif
pInst->umax=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
{
double m00_fabs(d00_fabs0,pInst->umax)
double m00_sqrt(d00_sqrt1,d00_fabs0)
#if defined(_DERIVATEFORDDX)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->umax)
double m10_sqrt(d10_sqrt1,d00_sqrt1,d00_fabs0)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
sqrtumax_VSI_BS=umax_VSI_BS*d10_fabs0*d10_sqrt1;
#if defined(_DERIVATE2)
  sqrtumax_VSI_BS_VSI_BS=(m20_sqrt(d00_fabs0)*umax_VSI_BS*d10_fabs0*umax_VSI_BS*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VSI_BS*umax_VSI_BS+d10_fabs0*umax_VSI_BS_VSI_BS));
  sqrtumax_VSI_BS_VDI_BD=(m20_sqrt(d00_fabs0)*umax_VDI_BD*d10_fabs0*umax_VSI_BS*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VDI_BD*umax_VSI_BS+d10_fabs0*umax_VSI_BS_VDI_BD));
#endif
sqrtumax_VDI_BD=umax_VDI_BD*d10_fabs0*d10_sqrt1;
#if defined(_DERIVATE2)
  sqrtumax_VDI_BD_VSI_BS=(m20_sqrt(d00_fabs0)*umax_VSI_BS*d10_fabs0*umax_VDI_BD*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VSI_BS*umax_VDI_BD+d10_fabs0*umax_VDI_BD_VSI_BS));
  sqrtumax_VDI_BD_VDI_BD=(m20_sqrt(d00_fabs0)*umax_VDI_BD*d10_fabs0*umax_VDI_BD*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VDI_BD*umax_VDI_BD+d10_fabs0*umax_VDI_BD_VDI_BD));
#endif
#endif
pInst->sqrtumax=d00_sqrt1;
EXIT_IF_ISNAN(d00_sqrt1)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
umaxpoweronepointfive_VSI_BS=((umax_VSI_BS*pInst->sqrtumax)+(pInst->umax*sqrtumax_VSI_BS));
#if defined(_DERIVATE2)
  umaxpoweronepointfive_VSI_BS_VSI_BS=(+umax_VSI_BS_VSI_BS*pInst->sqrtumax+umax_VSI_BS*sqrtumax_VSI_BS+umax_VSI_BS*sqrtumax_VSI_BS+pInst->umax*sqrtumax_VSI_BS_VSI_BS);
  umaxpoweronepointfive_VSI_BS_VDI_BD=(+umax_VSI_BS_VDI_BD*pInst->sqrtumax+umax_VSI_BS*sqrtumax_VDI_BD+umax_VDI_BD*sqrtumax_VSI_BS+pInst->umax*sqrtumax_VSI_BS_VDI_BD);
#endif
umaxpoweronepointfive_VDI_BD=((umax_VDI_BD*pInst->sqrtumax)+(pInst->umax*sqrtumax_VDI_BD));
#if defined(_DERIVATE2)
  umaxpoweronepointfive_VDI_BD_VSI_BS=(+umax_VDI_BD_VSI_BS*pInst->sqrtumax+umax_VDI_BD*sqrtumax_VSI_BS+umax_VSI_BS*sqrtumax_VDI_BD+pInst->umax*sqrtumax_VDI_BD_VSI_BS);
  umaxpoweronepointfive_VDI_BD_VDI_BD=(+umax_VDI_BD_VDI_BD*pInst->sqrtumax+umax_VDI_BD*sqrtumax_VDI_BD+umax_VDI_BD*sqrtumax_VDI_BD+pInst->umax*sqrtumax_VDI_BD_VDI_BD);
#endif
#endif
pInst->umaxpoweronepointfive=(pInst->umax*pInst->sqrtumax);
EXIT_IF_ISNAN((pInst->umax*pInst->sqrtumax))
if
((((-pModel->PGAT_i)*pModel->one_over_one_minus_PGAT)==(-1.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wgamma_VSI_BS=(-((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#if defined(_DERIVATE2)
  wgamma_VSI_BS_VSI_BS=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+1.0*(+0.0+(+btat_VSI_BS_VSI_BS*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
  wgamma_VSI_BS_VDI_BD=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+1.0*(+0.0+(+btat_VSI_BS_VDI_BD*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#endif
wgamma_VDI_BD=(-((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#if defined(_DERIVATE2)
  wgamma_VDI_BD_VSI_BS=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+1.0*(+0.0+(+btat_VDI_BD_VSI_BS*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
  wgamma_VDI_BD_VDI_BD=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+1.0*(+0.0+(+btat_VDI_BD_VDI_BD*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#endif
#endif
pInst->wgamma=(1.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
EXIT_IF_ISNAN((1.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))))
}
else
{
{
double m00_pow(d00_pow0,(1.0+(pInst->btat*pInst->umaxpoweronepointfive)),((-pModel->PGAT_i)*pModel->one_over_one_minus_PGAT))
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0+(pInst->btat*pInst->umaxpoweronepointfive)),((-pModel->PGAT_i)*pModel->one_over_one_minus_PGAT))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wgamma_VSI_BS=(d10_pow0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)));
#if defined(_DERIVATE2)
  wgamma_VSI_BS_VSI_BS=fixme;
  wgamma_VSI_BS_VDI_BD=fixme;
#endif
wgamma_VDI_BD=(d10_pow0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)));
#if defined(_DERIVATE2)
  wgamma_VDI_BD_VSI_BS=fixme;
  wgamma_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->wgamma=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
wtat_VSI_BS=((((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(pInst->wsrh+pInst->wgamma)-(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#if defined(_DERIVATE2)
  wtat_VSI_BS_VSI_BS=((+wsrh_VSI_BS_VSI_BS*pInst->wgamma+wsrh_VSI_BS*wgamma_VSI_BS+wsrh_VSI_BS*wgamma_VSI_BS+pInst->wsrh*wgamma_VSI_BS_VSI_BS)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(wsrh_VSI_BS+wgamma_VSI_BS)+(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS)))*(wsrh_VSI_BS+wgamma_VSI_BS)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VSI_BS_VSI_BS+wgamma_VSI_BS_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS)*(wsrh_VSI_BS+wgamma_VSI_BS)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
  wtat_VSI_BS_VDI_BD=((+wsrh_VSI_BS_VDI_BD*pInst->wgamma+wsrh_VSI_BS*wgamma_VDI_BD+wsrh_VDI_BD*wgamma_VSI_BS+pInst->wsrh*wgamma_VSI_BS_VDI_BD)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(wsrh_VDI_BD+wgamma_VDI_BD)+(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD)))*(wsrh_VSI_BS+wgamma_VSI_BS)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VSI_BS_VDI_BD+wgamma_VSI_BS_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS)*(wsrh_VDI_BD+wgamma_VDI_BD)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#endif
wtat_VDI_BD=((((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(pInst->wsrh+pInst->wgamma)-(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#if defined(_DERIVATE2)
  wtat_VDI_BD_VSI_BS=((+wsrh_VDI_BD_VSI_BS*pInst->wgamma+wsrh_VDI_BD*wgamma_VSI_BS+wsrh_VSI_BS*wgamma_VDI_BD+pInst->wsrh*wgamma_VDI_BD_VSI_BS)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(wsrh_VSI_BS+wgamma_VSI_BS)+(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS)))*(wsrh_VDI_BD+wgamma_VDI_BD)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VDI_BD_VSI_BS+wgamma_VDI_BD_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD)*(wsrh_VSI_BS+wgamma_VSI_BS)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
  wtat_VDI_BD_VDI_BD=((+wsrh_VDI_BD_VDI_BD*pInst->wgamma+wsrh_VDI_BD*wgamma_VDI_BD+wsrh_VDI_BD*wgamma_VDI_BD+pInst->wsrh*wgamma_VDI_BD_VDI_BD)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(wsrh_VDI_BD+wgamma_VDI_BD)+(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD)))*(wsrh_VDI_BD+wgamma_VDI_BD)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VDI_BD_VDI_BD+wgamma_VDI_BD_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD)*(wsrh_VDI_BD+wgamma_VDI_BD)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#endif
#endif
pInst->wtat=((pInst->wsrh*pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
EXIT_IF_ISNAN(((pInst->wsrh*pInst->wgamma)/(pInst->wsrh+pInst->wgamma)))
{
double m00_sqrt(d00_sqrt0,(0.375*(pInst->btat/pInst->sqrtumax)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(0.375*(pInst->btat/pInst->sqrtumax)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ktat_VSI_BS=(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))*d10_sqrt0;
#if defined(_DERIVATE2)
  ktat_VSI_BS_VSI_BS=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VSI_BS_VSI_BS/pInst->sqrtumax-(btat_VSI_BS*sqrtumax_VSI_BS+btat_VSI_BS*sqrtumax_VSI_BS+pInst->btat*sqrtumax_VSI_BS_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VSI_BS*sqrtumax_VSI_BS/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
  ktat_VSI_BS_VDI_BD=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VSI_BS_VDI_BD/pInst->sqrtumax-(btat_VSI_BS*sqrtumax_VDI_BD+btat_VDI_BD*sqrtumax_VSI_BS+pInst->btat*sqrtumax_VSI_BS_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VSI_BS*sqrtumax_VDI_BD/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
#endif
ktat_VDI_BD=(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))*d10_sqrt0;
#if defined(_DERIVATE2)
  ktat_VDI_BD_VSI_BS=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VDI_BD_VSI_BS/pInst->sqrtumax-(btat_VDI_BD*sqrtumax_VSI_BS+btat_VSI_BS*sqrtumax_VDI_BD+pInst->btat*sqrtumax_VDI_BD_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VDI_BD*sqrtumax_VSI_BS/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
  ktat_VDI_BD_VDI_BD=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VDI_BD_VDI_BD/pInst->sqrtumax-(btat_VDI_BD*sqrtumax_VDI_BD+btat_VDI_BD*sqrtumax_VDI_BD+pInst->btat*sqrtumax_VDI_BD_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VDI_BD*sqrtumax_VDI_BD/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
#endif
#endif
pInst->ktat=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ltat_VSI_BS=((2.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))-umax_VSI_BS);
#if defined(_DERIVATE2)
  ltat_VSI_BS_VSI_BS=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))+0.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS))+2.0*(+twoatatoverthreebtat_VSI_BS_VSI_BS*pInst->sqrtumax+twoatatoverthreebtat_VSI_BS*sqrtumax_VSI_BS+twoatatoverthreebtat_VSI_BS*sqrtumax_VSI_BS+pInst->twoatatoverthreebtat*sqrtumax_VSI_BS_VSI_BS))-umax_VSI_BS_VSI_BS);
  ltat_VSI_BS_VDI_BD=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))+0.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS))+2.0*(+twoatatoverthreebtat_VSI_BS_VDI_BD*pInst->sqrtumax+twoatatoverthreebtat_VSI_BS*sqrtumax_VDI_BD+twoatatoverthreebtat_VDI_BD*sqrtumax_VSI_BS+pInst->twoatatoverthreebtat*sqrtumax_VSI_BS_VDI_BD))-umax_VSI_BS_VDI_BD);
#endif
ltat_VDI_BD=((2.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))-umax_VDI_BD);
#if defined(_DERIVATE2)
  ltat_VDI_BD_VSI_BS=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))+0.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD))+2.0*(+twoatatoverthreebtat_VDI_BD_VSI_BS*pInst->sqrtumax+twoatatoverthreebtat_VDI_BD*sqrtumax_VSI_BS+twoatatoverthreebtat_VSI_BS*sqrtumax_VDI_BD+pInst->twoatatoverthreebtat*sqrtumax_VDI_BD_VSI_BS))-umax_VDI_BD_VSI_BS);
  ltat_VDI_BD_VDI_BD=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))+0.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD))+2.0*(+twoatatoverthreebtat_VDI_BD_VDI_BD*pInst->sqrtumax+twoatatoverthreebtat_VDI_BD*sqrtumax_VDI_BD+twoatatoverthreebtat_VDI_BD*sqrtumax_VDI_BD+pInst->twoatatoverthreebtat*sqrtumax_VDI_BD_VDI_BD))-umax_VDI_BD_VDI_BD);
#endif
#endif
pInst->ltat=((2.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax))-pInst->umax);
EXIT_IF_ISNAN(((2.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax))-pInst->umax))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
mtat_VSI_BS=(((((pModel->atatgat*twoatatoverthreebtat_VSI_BS)*pInst->sqrtumax)+((pModel->atatgat*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS))-(pModel->atatgat*umax_VSI_BS))+(0.5*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))));
#if defined(_DERIVATE2)
  mtat_VSI_BS_VSI_BS=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VSI_BS+0.0*twoatatoverthreebtat_VSI_BS+pModel->atatgat*twoatatoverthreebtat_VSI_BS_VSI_BS)*pInst->sqrtumax+(pModel->atatgat*twoatatoverthreebtat_VSI_BS)*sqrtumax_VSI_BS+((pModel->atatgat*twoatatoverthreebtat_VSI_BS))*sqrtumax_VSI_BS+(pModel->atatgat*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS_VSI_BS)-(+0.0*pInst->umax+0.0*umax_VSI_BS+0.0*umax_VSI_BS+pModel->atatgat*umax_VSI_BS_VSI_BS))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+0.5*(+btat_VSI_BS_VSI_BS*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VSI_BS)));
  mtat_VSI_BS_VDI_BD=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VDI_BD+0.0*twoatatoverthreebtat_VSI_BS+pModel->atatgat*twoatatoverthreebtat_VSI_BS_VDI_BD)*pInst->sqrtumax+(pModel->atatgat*twoatatoverthreebtat_VSI_BS)*sqrtumax_VDI_BD+((pModel->atatgat*twoatatoverthreebtat_VDI_BD))*sqrtumax_VSI_BS+(pModel->atatgat*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS_VDI_BD)-(+0.0*pInst->umax+0.0*umax_VDI_BD+0.0*umax_VSI_BS+pModel->atatgat*umax_VSI_BS_VDI_BD))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+0.5*(+btat_VSI_BS_VDI_BD*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VDI_BD)));
#endif
mtat_VDI_BD=(((((pModel->atatgat*twoatatoverthreebtat_VDI_BD)*pInst->sqrtumax)+((pModel->atatgat*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD))-(pModel->atatgat*umax_VDI_BD))+(0.5*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))));
#if defined(_DERIVATE2)
  mtat_VDI_BD_VSI_BS=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VSI_BS+0.0*twoatatoverthreebtat_VDI_BD+pModel->atatgat*twoatatoverthreebtat_VDI_BD_VSI_BS)*pInst->sqrtumax+(pModel->atatgat*twoatatoverthreebtat_VDI_BD)*sqrtumax_VSI_BS+((pModel->atatgat*twoatatoverthreebtat_VSI_BS))*sqrtumax_VDI_BD+(pModel->atatgat*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD_VSI_BS)-(+0.0*pInst->umax+0.0*umax_VSI_BS+0.0*umax_VDI_BD+pModel->atatgat*umax_VDI_BD_VSI_BS))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+0.5*(+btat_VDI_BD_VSI_BS*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VSI_BS)));
  mtat_VDI_BD_VDI_BD=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VDI_BD+0.0*twoatatoverthreebtat_VDI_BD+pModel->atatgat*twoatatoverthreebtat_VDI_BD_VDI_BD)*pInst->sqrtumax+(pModel->atatgat*twoatatoverthreebtat_VDI_BD)*sqrtumax_VDI_BD+((pModel->atatgat*twoatatoverthreebtat_VDI_BD))*sqrtumax_VDI_BD+(pModel->atatgat*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD_VDI_BD)-(+0.0*pInst->umax+0.0*umax_VDI_BD+0.0*umax_VDI_BD+pModel->atatgat*umax_VDI_BD_VDI_BD))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+0.5*(+btat_VDI_BD_VDI_BD*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VDI_BD)));
#endif
#endif
pInst->mtat=((((pModel->atatgat*pInst->twoatatoverthreebtat)*pInst->sqrtumax)-(pModel->atatgat*pInst->umax))+(0.5*(pInst->btat*pInst->umaxpoweronepointfive)));
EXIT_IF_ISNAN(((((pModel->atatgat*pInst->twoatatoverthreebtat)*pInst->sqrtumax)-(pModel->atatgat*pInst->umax))+(0.5*(pInst->btat*pInst->umaxpoweronepointfive))))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
xerfc_VSI_BS=((ltat_VSI_BS*pInst->ktat)+((pInst->ltat-1.0)*ktat_VSI_BS));
#if defined(_DERIVATE2)
  xerfc_VSI_BS_VSI_BS=(+(+ltat_VSI_BS_VSI_BS-0.0)*pInst->ktat+ltat_VSI_BS*ktat_VSI_BS+ltat_VSI_BS*ktat_VSI_BS+(pInst->ltat-1.0)*ktat_VSI_BS_VSI_BS);
  xerfc_VSI_BS_VDI_BD=(+(+ltat_VSI_BS_VDI_BD-0.0)*pInst->ktat+ltat_VSI_BS*ktat_VDI_BD+ltat_VDI_BD*ktat_VSI_BS+(pInst->ltat-1.0)*ktat_VSI_BS_VDI_BD);
#endif
xerfc_VDI_BD=((ltat_VDI_BD*pInst->ktat)+((pInst->ltat-1.0)*ktat_VDI_BD));
#if defined(_DERIVATE2)
  xerfc_VDI_BD_VSI_BS=(+(+ltat_VDI_BD_VSI_BS-0.0)*pInst->ktat+ltat_VDI_BD*ktat_VSI_BS+ltat_VSI_BS*ktat_VDI_BD+(pInst->ltat-1.0)*ktat_VDI_BD_VSI_BS);
  xerfc_VDI_BD_VDI_BD=(+(+ltat_VDI_BD_VDI_BD-0.0)*pInst->ktat+ltat_VDI_BD*ktat_VDI_BD+ltat_VDI_BD*ktat_VDI_BD+(pInst->ltat-1.0)*ktat_VDI_BD_VDI_BD);
#endif
#endif
pInst->xerfc=((pInst->ltat-1.0)*pInst->ktat);
EXIT_IF_ISNAN(((pInst->ltat-1.0)*pInst->ktat))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ysq_VSI_BS=((xerfc_VSI_BS*pInst->xerfc)+(pInst->xerfc*xerfc_VSI_BS));
#if defined(_DERIVATE2)
  ysq_VSI_BS_VSI_BS=(+xerfc_VSI_BS_VSI_BS*pInst->xerfc+xerfc_VSI_BS*xerfc_VSI_BS+xerfc_VSI_BS*xerfc_VSI_BS+pInst->xerfc*xerfc_VSI_BS_VSI_BS);
  ysq_VSI_BS_VDI_BD=(+xerfc_VSI_BS_VDI_BD*pInst->xerfc+xerfc_VSI_BS*xerfc_VDI_BD+xerfc_VDI_BD*xerfc_VSI_BS+pInst->xerfc*xerfc_VSI_BS_VDI_BD);
#endif
ysq_VDI_BD=((xerfc_VDI_BD*pInst->xerfc)+(pInst->xerfc*xerfc_VDI_BD));
#if defined(_DERIVATE2)
  ysq_VDI_BD_VSI_BS=(+xerfc_VDI_BD_VSI_BS*pInst->xerfc+xerfc_VDI_BD*xerfc_VSI_BS+xerfc_VSI_BS*xerfc_VDI_BD+pInst->xerfc*xerfc_VDI_BD_VSI_BS);
  ysq_VDI_BD_VDI_BD=(+xerfc_VDI_BD_VDI_BD*pInst->xerfc+xerfc_VDI_BD*xerfc_VDI_BD+xerfc_VDI_BD*xerfc_VDI_BD+pInst->xerfc*xerfc_VDI_BD_VDI_BD);
#endif
#endif
pInst->ysq=(pInst->xerfc*pInst->xerfc);
EXIT_IF_ISNAN((pInst->xerfc*pInst->xerfc))
if
((pInst->xerfc>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
terfc_VSI_BS=(-(pModel->perfc*xerfc_VSI_BS)/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VSI_BS_VSI_BS=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VSI_BS))+0.0*(pModel->perfc*xerfc_VSI_BS)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VSI_BS)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VSI_BS)*((pModel->perfc*xerfc_VSI_BS))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
  terfc_VSI_BS_VDI_BD=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VDI_BD))+0.0*(pModel->perfc*xerfc_VSI_BS)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VDI_BD)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VSI_BS)*((pModel->perfc*xerfc_VDI_BD))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#endif
terfc_VDI_BD=(-(pModel->perfc*xerfc_VDI_BD)/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VDI_BD_VSI_BS=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VSI_BS))+0.0*(pModel->perfc*xerfc_VDI_BD)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VSI_BS)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VDI_BD)*((pModel->perfc*xerfc_VSI_BS))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
  terfc_VDI_BD_VDI_BD=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VDI_BD))+0.0*(pModel->perfc*xerfc_VDI_BD)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VDI_BD)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VDI_BD)*((pModel->perfc*xerfc_VDI_BD))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#endif
#endif
pInst->terfc=(1.0/(1.0+(pModel->perfc*pInst->xerfc)));
EXIT_IF_ISNAN((1.0/(1.0+(pModel->perfc*pInst->xerfc))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
terfc_VSI_BS=(-(-(pModel->perfc*xerfc_VSI_BS))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VSI_BS_VSI_BS=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VSI_BS)))+0.0*(-(pModel->perfc*xerfc_VSI_BS))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VSI_BS))*(-((pModel->perfc*xerfc_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
  terfc_VSI_BS_VDI_BD=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VDI_BD)))+0.0*(-(pModel->perfc*xerfc_VSI_BS))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VSI_BS))*(-((pModel->perfc*xerfc_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#endif
terfc_VDI_BD=(-(-(pModel->perfc*xerfc_VDI_BD))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VDI_BD_VSI_BS=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VSI_BS)))+0.0*(-(pModel->perfc*xerfc_VDI_BD))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VDI_BD))*(-((pModel->perfc*xerfc_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
  terfc_VDI_BD_VDI_BD=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VDI_BD)))+0.0*(-(pModel->perfc*xerfc_VDI_BD))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VDI_BD))*(-((pModel->perfc*xerfc_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#endif
#endif
pInst->terfc=(1.0/(1.0-(pModel->perfc*pInst->xerfc)));
EXIT_IF_ISNAN((1.0/(1.0-(pModel->perfc*pInst->xerfc))))
}
if
((((-pInst->ysq)+pInst->mtat)>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,((-pInst->ysq)+pInst->mtat))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=((-ysq_VSI_BS)+mtat_VSI_BS)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VSI_BS)+mtat_VSI_BS)*((-ysq_VSI_BS)+mtat_VSI_BS)+d10_exp0*(+0.0+mtat_VSI_BS_VSI_BS));
  tmp_VSI_BS_VDI_BD=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VDI_BD)+mtat_VDI_BD)*((-ysq_VSI_BS)+mtat_VSI_BS)+d10_exp0*(+0.0+mtat_VSI_BS_VDI_BD));
#endif
tmp_VDI_BD=((-ysq_VDI_BD)+mtat_VDI_BD)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VSI_BS)+mtat_VSI_BS)*((-ysq_VDI_BD)+mtat_VDI_BD)+d10_exp0*(+0.0+mtat_VDI_BD_VSI_BS));
  tmp_VDI_BD_VDI_BD=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VDI_BD)+mtat_VDI_BD)*((-ysq_VDI_BD)+mtat_VDI_BD)+d10_exp0*(+0.0+mtat_VDI_BD_VDI_BD));
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*3.3333333333333333e-01+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*3.3333333333333333e-01+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*3.3333333333333333e-01+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*3.3333333333333333e-01+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
erfcpos_VSI_BS=(((((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*pInst->tmp)+((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS));
#if defined(_DERIVATE2)
  erfcpos_VSI_BS_VSI_BS=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VSI_BS+0.0*terfc_VSI_BS+0.29214664*terfc_VSI_BS_VSI_BS)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))+0.0*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))+pModel->berfc*(+terfc_VSI_BS_VSI_BS*pInst->terfc+terfc_VSI_BS*terfc_VSI_BS+terfc_VSI_BS*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VSI_BS)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS)))+0.0*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))+pModel->cerfc*(+(+terfc_VSI_BS_VSI_BS*pInst->terfc+terfc_VSI_BS*terfc_VSI_BS+terfc_VSI_BS*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VSI_BS)*pInst->terfc+((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*terfc_VSI_BS+(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*terfc_VSI_BS+(pInst->terfc*pInst->terfc)*terfc_VSI_BS_VSI_BS)))*pInst->tmp+(((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*tmp_VSI_BS+((((0.29214664*terfc_VSI_BS))+((pModel->berfc*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))))+((pModel->cerfc*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))))*tmp_VSI_BS+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS_VSI_BS);
  erfcpos_VSI_BS_VDI_BD=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VDI_BD+0.0*terfc_VSI_BS+0.29214664*terfc_VSI_BS_VDI_BD)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))+0.0*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))+pModel->berfc*(+terfc_VSI_BS_VDI_BD*pInst->terfc+terfc_VSI_BS*terfc_VDI_BD+terfc_VDI_BD*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VDI_BD)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD)))+0.0*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))+pModel->cerfc*(+(+terfc_VSI_BS_VDI_BD*pInst->terfc+terfc_VSI_BS*terfc_VDI_BD+terfc_VDI_BD*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VDI_BD)*pInst->terfc+((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*terfc_VDI_BD+(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*terfc_VSI_BS+(pInst->terfc*pInst->terfc)*terfc_VSI_BS_VDI_BD)))*pInst->tmp+(((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*tmp_VDI_BD+((((0.29214664*terfc_VDI_BD))+((pModel->berfc*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))))+((pModel->cerfc*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))))*tmp_VSI_BS+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS_VDI_BD);
#endif
erfcpos_VDI_BD=(((((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*pInst->tmp)+((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD));
#if defined(_DERIVATE2)
  erfcpos_VDI_BD_VSI_BS=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VSI_BS+0.0*terfc_VDI_BD+0.29214664*terfc_VDI_BD_VSI_BS)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))+0.0*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))+pModel->berfc*(+terfc_VDI_BD_VSI_BS*pInst->terfc+terfc_VDI_BD*terfc_VSI_BS+terfc_VSI_BS*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VSI_BS)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS)))+0.0*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))+pModel->cerfc*(+(+terfc_VDI_BD_VSI_BS*pInst->terfc+terfc_VDI_BD*terfc_VSI_BS+terfc_VSI_BS*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VSI_BS)*pInst->terfc+((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*terfc_VSI_BS+(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*terfc_VDI_BD+(pInst->terfc*pInst->terfc)*terfc_VDI_BD_VSI_BS)))*pInst->tmp+(((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*tmp_VSI_BS+((((0.29214664*terfc_VSI_BS))+((pModel->berfc*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))))+((pModel->cerfc*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))))*tmp_VDI_BD+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD_VSI_BS);
  erfcpos_VDI_BD_VDI_BD=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VDI_BD+0.0*terfc_VDI_BD+0.29214664*terfc_VDI_BD_VDI_BD)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))+0.0*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))+pModel->berfc*(+terfc_VDI_BD_VDI_BD*pInst->terfc+terfc_VDI_BD*terfc_VDI_BD+terfc_VDI_BD*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VDI_BD)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD)))+0.0*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))+pModel->cerfc*(+(+terfc_VDI_BD_VDI_BD*pInst->terfc+terfc_VDI_BD*terfc_VDI_BD+terfc_VDI_BD*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VDI_BD)*pInst->terfc+((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*terfc_VDI_BD+(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*terfc_VDI_BD+(pInst->terfc*pInst->terfc)*terfc_VDI_BD_VDI_BD)))*pInst->tmp+(((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*tmp_VDI_BD+((((0.29214664*terfc_VDI_BD))+((pModel->berfc*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))))+((pModel->cerfc*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))))*tmp_VDI_BD+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD_VDI_BD);
#endif
#endif
pInst->erfcpos=((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*pInst->tmp);
EXIT_IF_ISNAN(((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*pInst->tmp))
if
((pInst->xerfc>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
erfctimesexpmtat_VSI_BS=erfcpos_VSI_BS;
#if defined(_DERIVATE2)
  erfctimesexpmtat_VSI_BS_VSI_BS=erfcpos_VSI_BS_VSI_BS;
  erfctimesexpmtat_VSI_BS_VDI_BD=erfcpos_VSI_BS_VDI_BD;
#endif
erfctimesexpmtat_VDI_BD=erfcpos_VDI_BD;
#if defined(_DERIVATE2)
  erfctimesexpmtat_VDI_BD_VSI_BS=erfcpos_VDI_BD_VSI_BS;
  erfctimesexpmtat_VDI_BD_VDI_BD=erfcpos_VDI_BD_VDI_BD;
#endif
#endif
pInst->erfctimesexpmtat=pInst->erfcpos;
EXIT_IF_ISNAN(pInst->erfcpos)
}
else
{
if
((pInst->mtat>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,pInst->mtat)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=mtat_VSI_BS*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(pInst->mtat)*mtat_VSI_BS*mtat_VSI_BS+d10_exp0*mtat_VSI_BS_VSI_BS);
  tmp_VSI_BS_VDI_BD=(m20_exp(pInst->mtat)*mtat_VDI_BD*mtat_VSI_BS+d10_exp0*mtat_VSI_BS_VDI_BD);
#endif
tmp_VDI_BD=mtat_VDI_BD*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(pInst->mtat)*mtat_VSI_BS*mtat_VDI_BD+d10_exp0*mtat_VDI_BD_VSI_BS);
  tmp_VDI_BD_VDI_BD=(m20_exp(pInst->mtat)*mtat_VDI_BD*mtat_VDI_BD+d10_exp0*mtat_VDI_BD_VDI_BD);
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VSI_BS_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VSI_BS)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))))+(-mtat_VSI_BS)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))+0.0*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VSI_BS_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VSI_BS)*((-mtat_VSI_BS)*3.3333333333333333e-01)+(-mtat_VSI_BS)*(-mtat_VSI_BS)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VSI_BS_VSI_BS)*3.3333333333333333e-01+(-mtat_VSI_BS)*0.0+(-mtat_VSI_BS)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VSI_BS_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VSI_BS)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))))+(-mtat_VDI_BD)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))+0.0*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VSI_BS_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VSI_BS)*((-mtat_VDI_BD)*3.3333333333333333e-01)+(-mtat_VDI_BD)*(-mtat_VSI_BS)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VSI_BS_VDI_BD)*3.3333333333333333e-01+(-mtat_VSI_BS)*0.0+(-mtat_VDI_BD)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VDI_BD_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VDI_BD)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))))+(-mtat_VSI_BS)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))+0.0*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VDI_BD_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VDI_BD)*((-mtat_VSI_BS)*3.3333333333333333e-01)+(-mtat_VSI_BS)*(-mtat_VDI_BD)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VDI_BD_VSI_BS)*3.3333333333333333e-01+(-mtat_VDI_BD)*0.0+(-mtat_VSI_BS)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VDI_BD_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VDI_BD)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))))+(-mtat_VDI_BD)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))+0.0*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VDI_BD_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VDI_BD)*((-mtat_VDI_BD)*3.3333333333333333e-01)+(-mtat_VDI_BD)*(-mtat_VDI_BD)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VDI_BD_VDI_BD)*3.3333333333333333e-01+(-mtat_VDI_BD)*0.0+(-mtat_VDI_BD)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
erfctimesexpmtat_VSI_BS=((2.0*tmp_VSI_BS)-erfcpos_VSI_BS);
#if defined(_DERIVATE2)
  erfctimesexpmtat_VSI_BS_VSI_BS=(+(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VSI_BS+2.0*tmp_VSI_BS_VSI_BS)-erfcpos_VSI_BS_VSI_BS);
  erfctimesexpmtat_VSI_BS_VDI_BD=(+(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VSI_BS+2.0*tmp_VSI_BS_VDI_BD)-erfcpos_VSI_BS_VDI_BD);
#endif
erfctimesexpmtat_VDI_BD=((2.0*tmp_VDI_BD)-erfcpos_VDI_BD);
#if defined(_DERIVATE2)
  erfctimesexpmtat_VDI_BD_VSI_BS=(+(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VDI_BD+2.0*tmp_VDI_BD_VSI_BS)-erfcpos_VDI_BD_VSI_BS);
  erfctimesexpmtat_VDI_BD_VDI_BD=(+(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VDI_BD+2.0*tmp_VDI_BD_VDI_BD)-erfcpos_VDI_BD_VDI_BD);
#endif
#endif
pInst->erfctimesexpmtat=((2.0*pInst->tmp)-pInst->erfcpos);
EXIT_IF_ISNAN(((2.0*pInst->tmp)-pInst->erfcpos))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
gammamax_VSI_BS=((1.77245385090551603*0.5)*(((pModel->atatgat*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat));
#if defined(_DERIVATE2)
  gammamax_VSI_BS_VSI_BS=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatgat*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatgat*erfctimesexpmtat_VSI_BS))*pInst->ktat-(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatgat*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VSI_BS+0.0*erfctimesexpmtat_VSI_BS+pModel->atatgat*erfctimesexpmtat_VSI_BS_VSI_BS)/pInst->ktat-((pModel->atatgat*erfctimesexpmtat_VSI_BS)*ktat_VSI_BS+((pModel->atatgat*erfctimesexpmtat_VSI_BS))*ktat_VSI_BS+(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VSI_BS_VSI_BS)/pInst->ktat/pInst->ktat+2*(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VSI_BS*ktat_VSI_BS/pInst->ktat/pInst->ktat/pInst->ktat));
  gammamax_VSI_BS_VDI_BD=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatgat*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatgat*erfctimesexpmtat_VDI_BD))*pInst->ktat-(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatgat*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VDI_BD+0.0*erfctimesexpmtat_VSI_BS+pModel->atatgat*erfctimesexpmtat_VSI_BS_VDI_BD)/pInst->ktat-((pModel->atatgat*erfctimesexpmtat_VSI_BS)*ktat_VDI_BD+((pModel->atatgat*erfctimesexpmtat_VDI_BD))*ktat_VSI_BS+(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VSI_BS_VDI_BD)/pInst->ktat/pInst->ktat+2*(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VSI_BS*ktat_VDI_BD/pInst->ktat/pInst->ktat/pInst->ktat));
#endif
gammamax_VDI_BD=((1.77245385090551603*0.5)*(((pModel->atatgat*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat));
#if defined(_DERIVATE2)
  gammamax_VDI_BD_VSI_BS=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatgat*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatgat*erfctimesexpmtat_VSI_BS))*pInst->ktat-(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatgat*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VSI_BS+0.0*erfctimesexpmtat_VDI_BD+pModel->atatgat*erfctimesexpmtat_VDI_BD_VSI_BS)/pInst->ktat-((pModel->atatgat*erfctimesexpmtat_VDI_BD)*ktat_VSI_BS+((pModel->atatgat*erfctimesexpmtat_VSI_BS))*ktat_VDI_BD+(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VDI_BD_VSI_BS)/pInst->ktat/pInst->ktat+2*(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VDI_BD*ktat_VSI_BS/pInst->ktat/pInst->ktat/pInst->ktat));
  gammamax_VDI_BD_VDI_BD=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatgat*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatgat*erfctimesexpmtat_VDI_BD))*pInst->ktat-(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatgat*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VDI_BD+0.0*erfctimesexpmtat_VDI_BD+pModel->atatgat*erfctimesexpmtat_VDI_BD_VDI_BD)/pInst->ktat-((pModel->atatgat*erfctimesexpmtat_VDI_BD)*ktat_VDI_BD+((pModel->atatgat*erfctimesexpmtat_VDI_BD))*ktat_VDI_BD+(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VDI_BD_VDI_BD)/pInst->ktat/pInst->ktat+2*(pModel->atatgat*pInst->erfctimesexpmtat)*ktat_VDI_BD*ktat_VDI_BD/pInst->ktat/pInst->ktat/pInst->ktat));
#endif
#endif
pInst->gammamax=((1.77245385090551603*0.5)*((pModel->atatgat*pInst->erfctimesexpmtat)/pInst->ktat));
EXIT_IF_ISNAN(((1.77245385090551603*0.5)*((pModel->atatgat*pInst->erfctimesexpmtat)/pInst->ktat)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
itat_VSI_BS=(pModel->CTATGAT_i*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)));
#if defined(_DERIVATE2)
  itat_VSI_BS_VSI_BS=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)))+0.0*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS))+pModel->CTATGAT_i*(+(+asrh_VSI_BS_VSI_BS*pInst->gammamax+asrh_VSI_BS*gammamax_VSI_BS+asrh_VSI_BS*gammamax_VSI_BS+pInst->asrh*gammamax_VSI_BS_VSI_BS)*pInst->wtat+((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*wtat_VSI_BS+(((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*wtat_VSI_BS+(pInst->asrh*pInst->gammamax)*wtat_VSI_BS_VSI_BS));
  itat_VSI_BS_VDI_BD=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)))+0.0*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS))+pModel->CTATGAT_i*(+(+asrh_VSI_BS_VDI_BD*pInst->gammamax+asrh_VSI_BS*gammamax_VDI_BD+asrh_VDI_BD*gammamax_VSI_BS+pInst->asrh*gammamax_VSI_BS_VDI_BD)*pInst->wtat+((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*wtat_VDI_BD+(((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*wtat_VSI_BS+(pInst->asrh*pInst->gammamax)*wtat_VSI_BS_VDI_BD));
#endif
itat_VDI_BD=(pModel->CTATGAT_i*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)));
#if defined(_DERIVATE2)
  itat_VDI_BD_VSI_BS=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)))+0.0*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD))+pModel->CTATGAT_i*(+(+asrh_VDI_BD_VSI_BS*pInst->gammamax+asrh_VDI_BD*gammamax_VSI_BS+asrh_VSI_BS*gammamax_VDI_BD+pInst->asrh*gammamax_VDI_BD_VSI_BS)*pInst->wtat+((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*wtat_VSI_BS+(((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*wtat_VDI_BD+(pInst->asrh*pInst->gammamax)*wtat_VDI_BD_VSI_BS));
  itat_VDI_BD_VDI_BD=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)))+0.0*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD))+pModel->CTATGAT_i*(+(+asrh_VDI_BD_VDI_BD*pInst->gammamax+asrh_VDI_BD*gammamax_VDI_BD+asrh_VDI_BD*gammamax_VDI_BD+pInst->asrh*gammamax_VDI_BD_VDI_BD)*pInst->wtat+((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*wtat_VDI_BD+(((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*wtat_VDI_BD+(pInst->asrh*pInst->gammamax)*wtat_VDI_BD_VDI_BD));
#endif
#endif
pInst->itat=(pModel->CTATGAT_i*((pInst->asrh*pInst->gammamax)*pInst->wtat));
EXIT_IF_ISNAN((pModel->CTATGAT_i*((pInst->asrh*pInst->gammamax)*pInst->wtat)))
}
if
((pModel->CBBTGAT_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ibbt_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ibbt_VSI_BS_VSI_BS=0.0;
  ibbt_VSI_BS_VDI_BD=0.0;
#endif
ibbt_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ibbt_VDI_BD_VSI_BS=0.0;
  ibbt_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->ibbt=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
if
((pModel->PGAT_i==0.5))
{
{
double m00_sqrt(d00_sqrt0,((pModel->VBIRGAT_i-pInst->vbbt)*pModel->VBIRGATinv))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pModel->VBIRGAT_i-pInst->vbbt)*pModel->VBIRGATinv))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-vbbt_VSI_BS)*pModel->VBIRGATinv*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt(((pModel->VBIRGAT_i-pInst->vbbt)*pModel->VBIRGATinv))*((-vbbt_VSI_BS)*pModel->VBIRGATinv)*(-vbbt_VSI_BS)*pModel->VBIRGATinv+d10_sqrt0*(+(+0.0-vbbt_VSI_BS_VSI_BS)*pModel->VBIRGATinv+(-vbbt_VSI_BS)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRGAT_i-pInst->vbbt)*0.0));
  tmp_VSI_BS_VDI_BD=(m20_sqrt(((pModel->VBIRGAT_i-pInst->vbbt)*pModel->VBIRGATinv))*((-vbbt_VDI_BD)*pModel->VBIRGATinv)*(-vbbt_VSI_BS)*pModel->VBIRGATinv+d10_sqrt0*(+(+0.0-vbbt_VSI_BS_VDI_BD)*pModel->VBIRGATinv+(-vbbt_VSI_BS)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRGAT_i-pInst->vbbt)*0.0));
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,((pModel->VBIRGAT_i-pInst->vbbt)*pModel->VBIRGATinv),pModel->PGAT_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,((pModel->VBIRGAT_i-pInst->vbbt)*pModel->VBIRGATinv),pModel->PGAT_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*(-vbbt_VSI_BS)*pModel->VBIRGATinv);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Fmaxr_VSI_BS=(pModel->one_over_one_minus_PGAT*(((-vbbt_VSI_BS)*pModel->wdepnulrinvgat*pInst->tmp-((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VSI_BS)/pInst->tmp/pInst->tmp));
#if defined(_DERIVATE2)
  Fmaxr_VSI_BS_VSI_BS=(+0.0*(((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)/pInst->tmp)+0.0*((((-vbbt_VSI_BS)*pModel->wdepnulrinvgat)*pInst->tmp-((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VSI_BS)*pModel->wdepnulrinvgat*pInst->tmp-((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PGAT*((+(+0.0-vbbt_VSI_BS_VSI_BS)*pModel->wdepnulrinvgat+(-vbbt_VSI_BS)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRGAT_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VSI_BS)*pModel->wdepnulrinvgat*tmp_VSI_BS+((-vbbt_VSI_BS)*pModel->wdepnulrinvgat)*tmp_VSI_BS+((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VSI_BS_VSI_BS)/pInst->tmp/pInst->tmp+2*((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VSI_BS*tmp_VSI_BS/pInst->tmp/pInst->tmp/pInst->tmp));
  Fmaxr_VSI_BS_VDI_BD=(+0.0*(((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)/pInst->tmp)+0.0*((((-vbbt_VDI_BD)*pModel->wdepnulrinvgat)*pInst->tmp-((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VSI_BS)*pModel->wdepnulrinvgat*pInst->tmp-((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PGAT*((+(+0.0-vbbt_VSI_BS_VDI_BD)*pModel->wdepnulrinvgat+(-vbbt_VSI_BS)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRGAT_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VSI_BS)*pModel->wdepnulrinvgat*tmp_VDI_BD+((-vbbt_VDI_BD)*pModel->wdepnulrinvgat)*tmp_VSI_BS+((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VSI_BS_VDI_BD)/pInst->tmp/pInst->tmp+2*((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VSI_BS*tmp_VDI_BD/pInst->tmp/pInst->tmp/pInst->tmp));
#endif
Fmaxr_VDI_BD=(pModel->one_over_one_minus_PGAT*(((-vbbt_VDI_BD)*pModel->wdepnulrinvgat*pInst->tmp-((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VDI_BD)/pInst->tmp/pInst->tmp));
#if defined(_DERIVATE2)
  Fmaxr_VDI_BD_VSI_BS=(+0.0*(((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)/pInst->tmp)+0.0*((((-vbbt_VSI_BS)*pModel->wdepnulrinvgat)*pInst->tmp-((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VDI_BD)*pModel->wdepnulrinvgat*pInst->tmp-((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PGAT*((+(+0.0-vbbt_VDI_BD_VSI_BS)*pModel->wdepnulrinvgat+(-vbbt_VDI_BD)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRGAT_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VDI_BD)*pModel->wdepnulrinvgat*tmp_VSI_BS+((-vbbt_VSI_BS)*pModel->wdepnulrinvgat)*tmp_VDI_BD+((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VDI_BD_VSI_BS)/pInst->tmp/pInst->tmp+2*((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VDI_BD*tmp_VSI_BS/pInst->tmp/pInst->tmp/pInst->tmp));
  Fmaxr_VDI_BD_VDI_BD=(+0.0*(((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)/pInst->tmp)+0.0*((((-vbbt_VDI_BD)*pModel->wdepnulrinvgat)*pInst->tmp-((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VDI_BD)*pModel->wdepnulrinvgat*pInst->tmp-((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PGAT*((+(+0.0-vbbt_VDI_BD_VDI_BD)*pModel->wdepnulrinvgat+(-vbbt_VDI_BD)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRGAT_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VDI_BD)*pModel->wdepnulrinvgat*tmp_VDI_BD+((-vbbt_VDI_BD)*pModel->wdepnulrinvgat)*tmp_VDI_BD+((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VDI_BD_VDI_BD)/pInst->tmp/pInst->tmp+2*((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)*tmp_VDI_BD*tmp_VDI_BD/pInst->tmp/pInst->tmp/pInst->tmp));
#endif
#endif
pInst->Fmaxr=(pModel->one_over_one_minus_PGAT*(((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)/pInst->tmp));
EXIT_IF_ISNAN((pModel->one_over_one_minus_PGAT*(((pModel->VBIRGAT_i-pInst->vbbt)*pModel->wdepnulrinvgat)/pInst->tmp)))
{
double m00_fabs(d00_fabs0,((-pModel->fbbtgat)/pInst->Fmaxr))
if
((d00_fabs0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,((-pModel->fbbtgat)/pInst->Fmaxr))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
  tmp_VSI_BS_VDI_BD=(m20_exp(((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
#endif
tmp_VDI_BD=(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
  tmp_VDI_BD_VDI_BD=(m20_exp(((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
if
((((-pModel->fbbtgat)/pInst->Fmaxr)<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat)/pInst->Fmaxr))*3.3333333333333333e-01)))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(1.0e100*(((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(+0.0*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
  tmp_VSI_BS_VDI_BD=(+0.0*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
#endif
tmp_VDI_BD=(1.0e100*(((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(+0.0*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtgat)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
  tmp_VDI_BD_VDI_BD=(+0.0*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtgat)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
pInst->tmp=(1.0e100*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ibbt_VSI_BS=(pModel->CBBTGAT_i*((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)));
#if defined(_DERIVATE2)
  ibbt_VSI_BS_VSI_BS=(+0.0*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*(((((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS)))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)))+0.0*((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS))+pModel->CBBTGAT_i*(+(+(+Vjun_s_VSI_BS_VSI_BS*pInst->Fmaxr+Vjun_s_VSI_BS*Fmaxr_VSI_BS+Vjun_s_VSI_BS*Fmaxr_VSI_BS+Vjun_s*Fmaxr_VSI_BS_VSI_BS)*pInst->Fmaxr+((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*Fmaxr_VSI_BS+(((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*Fmaxr_VSI_BS+(Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS_VSI_BS)*pInst->tmp+((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*tmp_VSI_BS+((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS)))*tmp_VSI_BS+((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS_VSI_BS));
  ibbt_VSI_BS_VDI_BD=(+0.0*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*((((((((Vjun_s*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD)))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)))+0.0*((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS))+pModel->CBBTGAT_i*(+(+(+0.0*pInst->Fmaxr+Vjun_s_VSI_BS*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+Vjun_s*Fmaxr_VSI_BS_VDI_BD)*pInst->Fmaxr+((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*Fmaxr_VDI_BD+((Vjun_s*Fmaxr_VDI_BD))*Fmaxr_VSI_BS+(Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS_VDI_BD)*pInst->tmp+((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS))*tmp_VDI_BD+(((((Vjun_s*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD)))*tmp_VSI_BS+((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS_VDI_BD));
#endif
ibbt_VDI_BD=(pModel->CBBTGAT_i*(((((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)));
#if defined(_DERIVATE2)
  ibbt_VDI_BD_VSI_BS=(+0.0*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*(((((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS)))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)))+0.0*(((((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD))+pModel->CBBTGAT_i*(+(+(+0.0*pInst->Fmaxr+0.0*Fmaxr_VSI_BS+Vjun_s_VSI_BS*Fmaxr_VDI_BD+Vjun_s*Fmaxr_VDI_BD_VSI_BS)*pInst->Fmaxr+(Vjun_s*Fmaxr_VDI_BD)*Fmaxr_VSI_BS+(((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*Fmaxr_VDI_BD+(Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD_VSI_BS)*pInst->tmp+(((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*tmp_VSI_BS+((((((Vjun_s_VSI_BS*pInst->Fmaxr)+(Vjun_s*Fmaxr_VSI_BS)))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VSI_BS)))*tmp_VDI_BD+((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD_VSI_BS));
  ibbt_VDI_BD_VDI_BD=(+0.0*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*((((((((Vjun_s*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD)))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)))+0.0*(((((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD))+pModel->CBBTGAT_i*(+(+(+0.0*pInst->Fmaxr+0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+Vjun_s*Fmaxr_VDI_BD_VDI_BD)*pInst->Fmaxr+(Vjun_s*Fmaxr_VDI_BD)*Fmaxr_VDI_BD+((Vjun_s*Fmaxr_VDI_BD))*Fmaxr_VDI_BD+(Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD_VDI_BD)*pInst->tmp+(((Vjun_s*Fmaxr_VDI_BD)*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD))*tmp_VDI_BD+(((((Vjun_s*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_s*pInst->Fmaxr)*Fmaxr_VDI_BD)))*tmp_VDI_BD+((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD_VDI_BD));
#endif
#endif
pInst->ibbt=(pModel->CBBTGAT_i*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp));
EXIT_IF_ISNAN((pModel->CBBTGAT_i*(((Vjun_s*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)))
}
if
((pModel->VBRGAT_i>1.0e3))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=0.0;
  fbreakdown_VSI_BS_VDI_BD=0.0;
#endif
fbreakdown_VDI_BD=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=0.0;
  fbreakdown_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->fbreakdown=1.0;
EXIT_IF_ISNAN(1.0)
}
else
{
if
((pInst->vav>((-pModel->alphaav)*pModel->VBRGAT_i)))
{
if
((pModel->PBRGAT_i==4.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=((((((vav_VSI_BS*pModel->VBRinvgat*(pInst->vav*pModel->VBRinvgat))+((pInst->vav*pModel->VBRinvgat)*vav_VSI_BS*pModel->VBRinvgat))*(pInst->vav*pModel->VBRinvgat))+(((pInst->vav*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))*vav_VSI_BS*pModel->VBRinvgat))*(pInst->vav*pModel->VBRinvgat))+((((pInst->vav*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))*(pInst->vav*pModel->VBRinvgat))*vav_VSI_BS*pModel->VBRinvgat));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(+(+(+(+vav_VSI_BS_VSI_BS*pModel->VBRinvgat+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvgat)+vav_VSI_BS*pModel->VBRinvgat*(vav_VSI_BS*pModel->VBRinvgat)+(vav_VSI_BS*pModel->VBRinvgat)*vav_VSI_BS*pModel->VBRinvgat+(pInst->vav*pModel->VBRinvgat)*(+vav_VSI_BS_VSI_BS*pModel->VBRinvgat+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvgat)+((vav_VSI_BS*pModel->VBRinvgat*(pInst->vav*pModel->VBRinvgat))+((pInst->vav*pModel->VBRinvgat)*vav_VSI_BS*pModel->VBRinvgat))*(vav_VSI_BS*pModel->VBRinvgat)+((((vav_VSI_BS*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))+((pInst->vav*pModel->VBRinvgat)*(vav_VSI_BS*pModel->VBRinvgat))))*vav_VSI_BS*pModel->VBRinvgat+((pInst->vav*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))*(+vav_VSI_BS_VSI_BS*pModel->VBRinvgat+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvgat)+((((vav_VSI_BS*pModel->VBRinvgat*(pInst->vav*pModel->VBRinvgat))+((pInst->vav*pModel->VBRinvgat)*vav_VSI_BS*pModel->VBRinvgat))*(pInst->vav*pModel->VBRinvgat))+(((pInst->vav*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))*vav_VSI_BS*pModel->VBRinvgat))*(vav_VSI_BS*pModel->VBRinvgat)+(((((((vav_VSI_BS*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))+((pInst->vav*pModel->VBRinvgat)*(vav_VSI_BS*pModel->VBRinvgat))))*(pInst->vav*pModel->VBRinvgat))+(((pInst->vav*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))*(vav_VSI_BS*pModel->VBRinvgat))))*vav_VSI_BS*pModel->VBRinvgat+(((pInst->vav*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))*(pInst->vav*pModel->VBRinvgat))*(+vav_VSI_BS_VSI_BS*pModel->VBRinvgat+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0));
  tmp_VSI_BS_VDI_BD=(+(+(+(+vav_VSI_BS_VDI_BD*pModel->VBRinvgat+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvgat)+vav_VSI_BS*pModel->VBRinvgat*(vav_VDI_BD*pModel->VBRinvgat)+(vav_VDI_BD*pModel->VBRinvgat)*vav_VSI_BS*pModel->VBRinvgat+(pInst->vav*pModel->VBRinvgat)*(+vav_VSI_BS_VDI_BD*pModel->VBRinvgat+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvgat)+((vav_VSI_BS*pModel->VBRinvgat*(pInst->vav*pModel->VBRinvgat))+((pInst->vav*pModel->VBRinvgat)*vav_VSI_BS*pModel->VBRinvgat))*(vav_VDI_BD*pModel->VBRinvgat)+((((vav_VDI_BD*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))+((pInst->vav*pModel->VBRinvgat)*(vav_VDI_BD*pModel->VBRinvgat))))*vav_VSI_BS*pModel->VBRinvgat+((pInst->vav*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))*(+vav_VSI_BS_VDI_BD*pModel->VBRinvgat+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvgat)+((((vav_VSI_BS*pModel->VBRinvgat*(pInst->vav*pModel->VBRinvgat))+((pInst->vav*pModel->VBRinvgat)*vav_VSI_BS*pModel->VBRinvgat))*(pInst->vav*pModel->VBRinvgat))+(((pInst->vav*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))*vav_VSI_BS*pModel->VBRinvgat))*(vav_VDI_BD*pModel->VBRinvgat)+(((((((vav_VDI_BD*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))+((pInst->vav*pModel->VBRinvgat)*(vav_VDI_BD*pModel->VBRinvgat))))*(pInst->vav*pModel->VBRinvgat))+(((pInst->vav*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))*(vav_VDI_BD*pModel->VBRinvgat))))*vav_VSI_BS*pModel->VBRinvgat+(((pInst->vav*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))*(pInst->vav*pModel->VBRinvgat))*(+vav_VSI_BS_VDI_BD*pModel->VBRinvgat+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0));
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=((((pInst->vav*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))*(pInst->vav*pModel->VBRinvgat))*(pInst->vav*pModel->VBRinvgat));
EXIT_IF_ISNAN(((((pInst->vav*pModel->VBRinvgat)*(pInst->vav*pModel->VBRinvgat))*(pInst->vav*pModel->VBRinvgat))*(pInst->vav*pModel->VBRinvgat)))
}
else
{
{
double m00_fabs(d00_fabs0,(pInst->vav*pModel->VBRinvgat))
double m00_pow(d00_pow1,d00_fabs0,pModel->PBRGAT_i)
#if defined(_DERIVATEFORDDX)
double m10_fabs(d10_fabs0,d00_fabs0,(pInst->vav*pModel->VBRinvgat))
double m10_pow(d10_pow1,d00_pow1,d00_fabs0,pModel->PBRGAT_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow1*vav_VSI_BS*pModel->VBRinvgat*d10_fabs0);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=0.0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=0.0;
  tmp_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->tmp=d00_pow1;
EXIT_IF_ISNAN(d00_pow1)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=(-(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VSI_BS)+0.0*(-tmp_VSI_BS)+1.0*(+0.0-tmp_VSI_BS_VSI_BS))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VSI_BS)*(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
  fbreakdown_VSI_BS_VDI_BD=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VDI_BD)+0.0*(-tmp_VSI_BS)+1.0*(+0.0-tmp_VSI_BS_VDI_BD))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VSI_BS)*(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#endif
fbreakdown_VDI_BD=(-(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VSI_BS)+0.0*(-tmp_VDI_BD)+1.0*(+0.0-tmp_VDI_BD_VSI_BS))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VDI_BD)*(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
  fbreakdown_VDI_BD_VDI_BD=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VDI_BD)+0.0*(-tmp_VDI_BD)+1.0*(+0.0-tmp_VDI_BD_VDI_BD))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VDI_BD)*(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#endif
#endif
pInst->fbreakdown=(1.0/(1.0-pInst->tmp));
EXIT_IF_ISNAN((1.0/(1.0-pInst->tmp)))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=vav_VSI_BS*pModel->slopegat;
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=(+0.0+(+(+vav_VSI_BS_VSI_BS+(+0.0*pModel->VBRGAT_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopegat+vav_VSI_BS*0.0+(vav_VSI_BS+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRGAT_i))*0.0));
  fbreakdown_VSI_BS_VDI_BD=(+0.0+(+(+vav_VSI_BS_VDI_BD+(+0.0*pModel->VBRGAT_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopegat+vav_VSI_BS*0.0+(vav_VDI_BD+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRGAT_i))*0.0));
#endif
fbreakdown_VDI_BD=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=0.0;
  fbreakdown_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->fbreakdown=(pModel->fstopgat+((pInst->vav+(pModel->alphaav*pModel->VBRGAT_i))*pModel->slopegat));
EXIT_IF_ISNAN((pModel->fstopgat+((pInst->vav+(pModel->alphaav*pModel->VBRGAT_i))*pModel->slopegat)))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(SI,GND)V(DI,GND)V(BP,GND)V(GP,GND) */
ijungat_s_VSI_BS=(((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*pInst->fbreakdown)+((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS));
#if defined(_DERIVATE2)
  ijungat_s_VSI_BS_VSI_BS=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+pInst->IFACTOR_i*(+(+(+id_VSI_BS_VSI_BS+isrh_VSI_BS_VSI_BS)+itat_VSI_BS_VSI_BS)+ibbt_VSI_BS_VSI_BS))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*fbreakdown_VSI_BS+((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)))*fbreakdown_VSI_BS+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS_VSI_BS);
  ijungat_s_VSI_BS_VDI_BD=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+pInst->IFACTOR_i*(+(+(+id_VSI_BS_VDI_BD+isrh_VSI_BS_VDI_BD)+itat_VSI_BS_VDI_BD)+ibbt_VSI_BS_VDI_BD))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*fbreakdown_VDI_BD+((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)))*fbreakdown_VSI_BS+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS_VDI_BD);
#endif
ijungat_s_VDI_BD=(((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*pInst->fbreakdown)+((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD));
#if defined(_DERIVATE2)
  ijungat_s_VDI_BD_VSI_BS=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+pInst->IFACTOR_i*(+(+(+id_VDI_BD_VSI_BS+isrh_VDI_BD_VSI_BS)+itat_VDI_BD_VSI_BS)+ibbt_VDI_BD_VSI_BS))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*fbreakdown_VSI_BS+((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)))*fbreakdown_VDI_BD+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD_VSI_BS);
  ijungat_s_VDI_BD_VDI_BD=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+pInst->IFACTOR_i*(+(+(+id_VDI_BD_VDI_BD+isrh_VDI_BD_VDI_BD)+itat_VDI_BD_VDI_BD)+ibbt_VDI_BD_VDI_BD))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*fbreakdown_VDI_BD+((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)))*fbreakdown_VDI_BD+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD_VDI_BD);
#endif
#endif
ijungat_s=((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*pInst->fbreakdown);
EXIT_IF_ISNAN(((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*pInst->fbreakdown))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(GP,GND)V(BP,GND)V(DI,GND)V(SI,GND)V(BS,GND) */
ijun_s_VDI_BD=(((pInst->ABSOURCE_i*ijunbot_s_VDI_BD)+(pInst->LSSOURCE_i*ijunsti_s_VDI_BD))+(pInst->LGSOURCE_i*ijungat_s_VDI_BD));
#if defined(_DERIVATE2)
  ijun_s_VDI_BD_VDI_BD=(+(+(+0.0*ijunbot_s+0.0*ijunbot_s_VDI_BD+0.0*ijunbot_s_VDI_BD+pInst->ABSOURCE_i*ijunbot_s_VDI_BD_VDI_BD)+(+0.0*ijunsti_s+0.0*ijunsti_s_VDI_BD+0.0*ijunsti_s_VDI_BD+pInst->LSSOURCE_i*ijunsti_s_VDI_BD_VDI_BD))+(+0.0*ijungat_s+0.0*ijungat_s_VDI_BD+0.0*ijungat_s_VDI_BD+pInst->LGSOURCE_i*ijungat_s_VDI_BD_VDI_BD));
  ijun_s_VDI_BD_VSI_BS=(+(+(+0.0*ijunbot_s+0.0*ijunbot_s_VSI_BS+0.0*ijunbot_s_VDI_BD+pInst->ABSOURCE_i*ijunbot_s_VDI_BD_VSI_BS)+(+0.0*ijunsti_s+0.0*ijunsti_s_VSI_BS+0.0*ijunsti_s_VDI_BD+pInst->LSSOURCE_i*ijunsti_s_VDI_BD_VSI_BS))+(+0.0*ijungat_s+0.0*ijungat_s_VSI_BS+0.0*ijungat_s_VDI_BD+pInst->LGSOURCE_i*ijungat_s_VDI_BD_VSI_BS));
#endif
ijun_s_VSI_BS=(((pInst->ABSOURCE_i*ijunbot_s_VSI_BS)+(pInst->LSSOURCE_i*ijunsti_s_VSI_BS))+(pInst->LGSOURCE_i*ijungat_s_VSI_BS));
#if defined(_DERIVATE2)
  ijun_s_VSI_BS_VDI_BD=(+(+(+0.0*ijunbot_s+0.0*ijunbot_s_VDI_BD+0.0*ijunbot_s_VSI_BS+pInst->ABSOURCE_i*ijunbot_s_VSI_BS_VDI_BD)+(+0.0*ijunsti_s+0.0*ijunsti_s_VDI_BD+0.0*ijunsti_s_VSI_BS+pInst->LSSOURCE_i*ijunsti_s_VSI_BS_VDI_BD))+(+0.0*ijungat_s+0.0*ijungat_s_VDI_BD+0.0*ijungat_s_VSI_BS+pInst->LGSOURCE_i*ijungat_s_VSI_BS_VDI_BD));
  ijun_s_VSI_BS_VSI_BS=(+(+(+0.0*ijunbot_s+0.0*ijunbot_s_VSI_BS+0.0*ijunbot_s_VSI_BS+pInst->ABSOURCE_i*ijunbot_s_VSI_BS_VSI_BS)+(+0.0*ijunsti_s+0.0*ijunsti_s_VSI_BS+0.0*ijunsti_s_VSI_BS+pInst->LSSOURCE_i*ijunsti_s_VSI_BS_VSI_BS))+(+0.0*ijungat_s+0.0*ijungat_s_VSI_BS+0.0*ijungat_s_VSI_BS+pInst->LGSOURCE_i*ijungat_s_VSI_BS_VSI_BS));
#endif
#endif
pInst->ijun_s=(((pInst->ABSOURCE_i*ijunbot_s)+(pInst->LSSOURCE_i*ijunsti_s))+(pInst->LGSOURCE_i*ijungat_s));
EXIT_IF_ISNAN((((pInst->ABSOURCE_i*ijunbot_s)+(pInst->LSSOURCE_i*ijunsti_s))+(pInst->LGSOURCE_i*ijungat_s)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
vbbt_VDI_BD=0.0;
#if defined(_DERIVATE2)
  vbbt_VDI_BD_VDI_BD=0.0;
  vbbt_VDI_BD_VSI_BS=0.0;
#endif
vbbt_VSI_BS=0.0;
#if defined(_DERIVATE2)
  vbbt_VSI_BS_VDI_BD=0.0;
  vbbt_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->vbbt=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
two_psistar_VDI_BD=0.0;
#if defined(_DERIVATE2)
  two_psistar_VDI_BD_VDI_BD=0.0;
  two_psistar_VDI_BD_VSI_BS=0.0;
#endif
two_psistar_VSI_BS=0.0;
#if defined(_DERIVATE2)
  two_psistar_VSI_BS_VDI_BD=0.0;
  two_psistar_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->two_psistar=0.0;
EXIT_IF_ISNAN(0.0)
if
((!(((pInst->ABDRAIN_i==0.0)&&(pInst->LSDRAIN_i==0.0))&&(pInst->LGDRAIN_i==0.0))))
{
pInst->h1=((4.0*pInst->vch_d)*pInst->vch_d);
EXIT_IF_ISNAN(((4.0*pInst->vch_d)*pInst->vch_d))
pInst->h2=(pInst->vch_d/pInst->vfmin_d);
EXIT_IF_ISNAN((pInst->vch_d/pInst->vfmin_d))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(DI,GND)V(BD,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
h2d_VDI_BD=Vjun_d_VDI_BD;
#if defined(_DERIVATE2)
  h2d_VDI_BD_VDI_BD=(+Vjun_d_VDI_BD_VDI_BD+(+0.0*pInst->h2+0.0*0.0+0.0*0.0+pInst->vch_d*0.0));
  h2d_VDI_BD_VSI_BS=(+0.0+(+0.0*pInst->h2+0.0*0.0+0.0*0.0+pInst->vch_d*0.0));
#endif
h2d_VSI_BS=0.0;
#if defined(_DERIVATE2)
  h2d_VSI_BS_VDI_BD=0.0;
  h2d_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->h2d=(Vjun_d+(pInst->vch_d*pInst->h2));
EXIT_IF_ISNAN((Vjun_d+(pInst->vch_d*pInst->h2)))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(DI,GND)V(BD,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
h3_VDI_BD=h2d_VDI_BD;
#if defined(_DERIVATE2)
  h3_VDI_BD_VDI_BD=(+0.0+h2d_VDI_BD_VDI_BD);
  h3_VDI_BD_VSI_BS=(+0.0+h2d_VDI_BD_VSI_BS);
#endif
h3_VSI_BS=h2d_VSI_BS;
#if defined(_DERIVATE2)
  h3_VSI_BS_VDI_BD=(+0.0+h2d_VSI_BS_VDI_BD);
  h3_VSI_BS_VSI_BS=(+0.0+h2d_VSI_BS_VSI_BS);
#endif
#endif
pInst->h3=(pInst->vfmin_d+pInst->h2d);
EXIT_IF_ISNAN((pInst->vfmin_d+pInst->h2d))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(BD,GND)V(DI,GND) */
h4_VDI_BD=(-h2d_VDI_BD);
#if defined(_DERIVATE2)
  h4_VDI_BD_VDI_BD=(+0.0-h2d_VDI_BD_VDI_BD);
  h4_VDI_BD_VSI_BS=(+0.0-h2d_VDI_BD_VSI_BS);
#endif
h4_VSI_BS=(-h2d_VSI_BS);
#if defined(_DERIVATE2)
  h4_VSI_BS_VDI_BD=(+0.0-h2d_VSI_BS_VDI_BD);
  h4_VSI_BS_VSI_BS=(+0.0-h2d_VSI_BS_VSI_BS);
#endif
#endif
pInst->h4=(pInst->vfmin_d-pInst->h2d);
EXIT_IF_ISNAN((pInst->vfmin_d-pInst->h2d))
{
double m00_sqrt(d00_sqrt0,((pInst->h4*pInst->h4)+pInst->h1))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->h4*pInst->h4)+pInst->h1))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(DI,GND)V(BD,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
h5_VDI_BD=((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD))*d10_sqrt0;
#if defined(_DERIVATE2)
  h5_VDI_BD_VDI_BD=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD)))*((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD))+d10_sqrt0*(+(+h4_VDI_BD_VDI_BD*pInst->h4+h4_VDI_BD*h4_VDI_BD+h4_VDI_BD*h4_VDI_BD+pInst->h4*h4_VDI_BD_VDI_BD)+0.0));
  h5_VDI_BD_VSI_BS=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS)))*((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD))+d10_sqrt0*(+(+h4_VDI_BD_VSI_BS*pInst->h4+h4_VDI_BD*h4_VSI_BS+h4_VSI_BS*h4_VDI_BD+pInst->h4*h4_VDI_BD_VSI_BS)+0.0));
#endif
h5_VSI_BS=((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS))*d10_sqrt0;
#if defined(_DERIVATE2)
  h5_VSI_BS_VDI_BD=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VDI_BD*pInst->h4)+(pInst->h4*h4_VDI_BD)))*((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS))+d10_sqrt0*(+(+h4_VSI_BS_VDI_BD*pInst->h4+h4_VSI_BS*h4_VDI_BD+h4_VDI_BD*h4_VSI_BS+pInst->h4*h4_VSI_BS_VDI_BD)+0.0));
  h5_VSI_BS_VSI_BS=(m20_sqrt(((pInst->h4*pInst->h4)+pInst->h1))*(((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS)))*((h4_VSI_BS*pInst->h4)+(pInst->h4*h4_VSI_BS))+d10_sqrt0*(+(+h4_VSI_BS_VSI_BS*pInst->h4+h4_VSI_BS*h4_VSI_BS+h4_VSI_BS*h4_VSI_BS+pInst->h4*h4_VSI_BS_VSI_BS)+0.0));
#endif
#endif
pInst->h5=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(BD,GND)V(DI,GND) */
vj_VSI_BS=(2.0*(-(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#if defined(_DERIVATE2)
  vj_VSI_BS_VSI_BS=(+0.0*((Vjun_d*pInst->vfmin_d)/(pInst->h3+pInst->h5))+0.0*(((0.0)*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*(-(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+0.0*pInst->vfmin_d+0.0*0.0+0.0*0.0+Vjun_d*0.0)/(pInst->h3+pInst->h5)-(0.0*(h3_VSI_BS+h5_VSI_BS)+(0.0)*(h3_VSI_BS+h5_VSI_BS)+(Vjun_d*pInst->vfmin_d)*(+h3_VSI_BS_VSI_BS+h5_VSI_BS_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
  vj_VSI_BS_VDI_BD=(+0.0*((Vjun_d*pInst->vfmin_d)/(pInst->h3+pInst->h5))+0.0*(((Vjun_d_VDI_BD*pInst->vfmin_d)*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*(-(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+0.0*pInst->vfmin_d+0.0*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0)/(pInst->h3+pInst->h5)-(0.0*(h3_VDI_BD+h5_VDI_BD)+(Vjun_d_VDI_BD*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS)+(Vjun_d*pInst->vfmin_d)*(+h3_VSI_BS_VDI_BD+h5_VSI_BS_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS)*(h3_VDI_BD+h5_VDI_BD)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#endif
vj_VDI_BD=(2.0*((Vjun_d_VDI_BD*pInst->vfmin_d*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#if defined(_DERIVATE2)
  vj_VDI_BD_VSI_BS=(+0.0*((Vjun_d*pInst->vfmin_d)/(pInst->h3+pInst->h5))+0.0*(((0.0)*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VSI_BS+h5_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*((Vjun_d_VDI_BD*pInst->vfmin_d*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+0.0*pInst->vfmin_d+Vjun_d_VDI_BD*0.0+0.0*0.0+Vjun_d*0.0)/(pInst->h3+pInst->h5)-(Vjun_d_VDI_BD*pInst->vfmin_d*(h3_VSI_BS+h5_VSI_BS)+(0.0)*(h3_VDI_BD+h5_VDI_BD)+(Vjun_d*pInst->vfmin_d)*(+h3_VDI_BD_VSI_BS+h5_VDI_BD_VSI_BS))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD)*(h3_VSI_BS+h5_VSI_BS)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
  vj_VDI_BD_VDI_BD=(+0.0*((Vjun_d*pInst->vfmin_d)/(pInst->h3+pInst->h5))+0.0*(((Vjun_d_VDI_BD*pInst->vfmin_d)*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+0.0*((Vjun_d_VDI_BD*pInst->vfmin_d*(pInst->h3+pInst->h5)-(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5))+2.0*((+Vjun_d_VDI_BD_VDI_BD*pInst->vfmin_d+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0)/(pInst->h3+pInst->h5)-(Vjun_d_VDI_BD*pInst->vfmin_d*(h3_VDI_BD+h5_VDI_BD)+(Vjun_d_VDI_BD*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD)+(Vjun_d*pInst->vfmin_d)*(+h3_VDI_BD_VDI_BD+h5_VDI_BD_VDI_BD))/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)+2*(Vjun_d*pInst->vfmin_d)*(h3_VDI_BD+h5_VDI_BD)*(h3_VDI_BD+h5_VDI_BD)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)/(pInst->h3+pInst->h5)));
#endif
#endif
pInst->vj=(2.0*((Vjun_d*pInst->vfmin_d)/(pInst->h3+pInst->h5)));
EXIT_IF_ISNAN((2.0*((Vjun_d*pInst->vfmin_d)/(pInst->h3+pInst->h5))))
if
((Vjun_d<pInst->VMAX_d))
{
{
double m00_fabs(d00_fabs0,(0.5*(Vjun_d*pModel->phitdinv)))
if
((d00_fabs0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,(0.5*(Vjun_d*pModel->phitdinv)))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
zinv_VDI_BD=(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*d10_exp0;
#if defined(_DERIVATE2)
  zinv_VDI_BD_VDI_BD=(m20_exp((0.5*(Vjun_d*pModel->phitdinv)))*((0.5*(Vjun_d_VDI_BD*pModel->phitdinv)))*(0.5*Vjun_d_VDI_BD*pModel->phitdinv)+d10_exp0*(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(Vjun_d_VDI_BD*pModel->phitdinv)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+Vjun_d_VDI_BD_VDI_BD*pModel->phitdinv+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0)));
  zinv_VDI_BD_VSI_BS=(m20_exp((0.5*(Vjun_d*pModel->phitdinv)))*((0.5*(0.0)))*(0.5*Vjun_d_VDI_BD*pModel->phitdinv)+d10_exp0*(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_d_VDI_BD*0.0+0.0*0.0+Vjun_d*0.0)));
#endif
zinv_VSI_BS=0.0;
#if defined(_DERIVATE2)
  zinv_VSI_BS_VDI_BD=0.0;
  zinv_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->zinv=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
if
(((0.5*(Vjun_d*pModel->phitdinv))<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
zinv_VDI_BD=(-1.0e-100*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(0.5*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  zinv_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))))-(0.0*((((-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*((0.5*((((-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*((-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*3.3333333333333333e-01)))))))))+0.0*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(0.5*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(Vjun_d_VDI_BD*pModel->phitdinv)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+Vjun_d_VDI_BD_VDI_BD*pModel->phitdinv+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))+(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*((0.5*((((-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*((-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*3.3333333333333333e-01))))))+(-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*(0.5*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+0.0*((((-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*((-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*3.3333333333333333e-01))))+0.0*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(Vjun_d_VDI_BD*pModel->phitdinv)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+Vjun_d_VDI_BD_VDI_BD*pModel->phitdinv+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))+(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*((-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*3.3333333333333333e-01)+(-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(+0.0+(+(+0.0-(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(Vjun_d_VDI_BD*pModel->phitdinv)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+Vjun_d_VDI_BD_VDI_BD*pModel->phitdinv+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0)))*3.3333333333333333e-01+(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*0.0+(-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*0.0+((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(0.5*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*3.3333333333333333e-01)))))*((((-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*((0.5*((((-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*((-((0.5*(Vjun_d_VDI_BD*pModel->phitdinv))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))));
  zinv_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))))-(0.0*((((-((0.5*(0.0))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*((0.5*((((-((0.5*(0.0))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*((-((0.5*(0.0))))*3.3333333333333333e-01)))))))))+0.0*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(0.5*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_d_VDI_BD*0.0+0.0*0.0+Vjun_d*0.0)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))+(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*((0.5*((((-((0.5*(0.0))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*((-((0.5*(0.0))))*3.3333333333333333e-01))))))+(-((0.5*(0.0))))*(0.5*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+0.0*((((-((0.5*(0.0))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*((-((0.5*(0.0))))*3.3333333333333333e-01))))+0.0*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_d_VDI_BD*0.0+0.0*0.0+Vjun_d*0.0)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))+(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*((-((0.5*(0.0))))*3.3333333333333333e-01)+(-((0.5*(0.0))))*(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*3.3333333333333333e-01+((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(+0.0+(+(+0.0-(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_d_VDI_BD*0.0+0.0*0.0+Vjun_d*0.0)))*3.3333333333333333e-01+(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*0.0+(-((0.5*(0.0))))*0.0+((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(0.5*(((-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(-(0.5*Vjun_d_VDI_BD*pModel->phitdinv))*3.3333333333333333e-01)))))*((((-((0.5*(0.0))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*((0.5*((((-((0.5*(0.0))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*((-((0.5*(0.0))))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))));
#endif
zinv_VSI_BS=0.0;
#if defined(_DERIVATE2)
  zinv_VSI_BS_VDI_BD=0.0;
  zinv_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->zinv=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*pModel->phitdinv)))*3.3333333333333333e-01)))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
zinv_VDI_BD=(1.0e100*(((0.5*Vjun_d_VDI_BD*pModel->phitdinv)*(1.0+(0.5*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*(((0.5*Vjun_d_VDI_BD*pModel->phitdinv)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  zinv_VDI_BD_VDI_BD=(+0.0*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((((0.5*(Vjun_d_VDI_BD*pModel->phitdinv)))*(1.0+(0.5*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*((0.5*(((((0.5*(Vjun_d_VDI_BD*pModel->phitdinv)))*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(((0.5*(Vjun_d_VDI_BD*pModel->phitdinv)))*3.3333333333333333e-01)))))))))+0.0*(((0.5*Vjun_d_VDI_BD*pModel->phitdinv)*(1.0+(0.5*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*(((0.5*Vjun_d_VDI_BD*pModel->phitdinv)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(Vjun_d_VDI_BD*pModel->phitdinv)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+Vjun_d_VDI_BD_VDI_BD*pModel->phitdinv+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0))-0.0)*(1.0+(0.5*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*((0.5*(((((0.5*(Vjun_d_VDI_BD*pModel->phitdinv)))*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(((0.5*(Vjun_d_VDI_BD*pModel->phitdinv)))*3.3333333333333333e-01))))))+((0.5*(Vjun_d_VDI_BD*pModel->phitdinv)))*(0.5*(((0.5*Vjun_d_VDI_BD*pModel->phitdinv)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*3.3333333333333333e-01)))+((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(+0.0+(+0.0*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((((0.5*(Vjun_d_VDI_BD*pModel->phitdinv)))*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(((0.5*(Vjun_d_VDI_BD*pModel->phitdinv)))*3.3333333333333333e-01))))+0.0*(((0.5*Vjun_d_VDI_BD*pModel->phitdinv)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*3.3333333333333333e-01))+0.5*(+(+(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(Vjun_d_VDI_BD*pModel->phitdinv)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+Vjun_d_VDI_BD_VDI_BD*pModel->phitdinv+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0))-0.0)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))+(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*(((0.5*(Vjun_d_VDI_BD*pModel->phitdinv)))*3.3333333333333333e-01)+((0.5*(Vjun_d_VDI_BD*pModel->phitdinv)))*(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*3.3333333333333333e-01+((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(+0.0+(+(+(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(Vjun_d_VDI_BD*pModel->phitdinv)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+Vjun_d_VDI_BD_VDI_BD*pModel->phitdinv+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+Vjun_d*0.0))-0.0)*3.3333333333333333e-01+(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*0.0+((0.5*(Vjun_d_VDI_BD*pModel->phitdinv)))*0.0+((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*0.0))))))));
  zinv_VDI_BD_VSI_BS=(+0.0*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*(((((0.5*(0.0)))*(1.0+(0.5*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*((0.5*(((((0.5*(0.0)))*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(((0.5*(0.0)))*3.3333333333333333e-01)))))))))+0.0*(((0.5*Vjun_d_VDI_BD*pModel->phitdinv)*(1.0+(0.5*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*(((0.5*Vjun_d_VDI_BD*pModel->phitdinv)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_d_VDI_BD*0.0+0.0*0.0+Vjun_d*0.0))-0.0)*(1.0+(0.5*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*((0.5*(((((0.5*(0.0)))*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(((0.5*(0.0)))*3.3333333333333333e-01))))))+((0.5*(0.0)))*(0.5*(((0.5*Vjun_d_VDI_BD*pModel->phitdinv)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*3.3333333333333333e-01)))+((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(+0.0+(+0.0*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*(((((0.5*(0.0)))*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(((0.5*(0.0)))*3.3333333333333333e-01))))+0.0*(((0.5*Vjun_d_VDI_BD*pModel->phitdinv)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*3.3333333333333333e-01))+0.5*(+(+(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_d_VDI_BD*0.0+0.0*0.0+Vjun_d*0.0))-0.0)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))+(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*(((0.5*(0.0)))*3.3333333333333333e-01)+((0.5*(0.0)))*(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*3.3333333333333333e-01+((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(+0.0+(+(+(+0.0*(Vjun_d*pModel->phitdinv)+0.0*(0.0)+0.0*Vjun_d_VDI_BD*pModel->phitdinv+0.5*(+0.0*pModel->phitdinv+Vjun_d_VDI_BD*0.0+0.0*0.0+Vjun_d*0.0))-0.0)*3.3333333333333333e-01+(0.5*Vjun_d_VDI_BD*pModel->phitdinv)*0.0+((0.5*(0.0)))*0.0+((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*0.0))))))));
#endif
zinv_VSI_BS=0.0;
#if defined(_DERIVATE2)
  zinv_VSI_BS_VDI_BD=0.0;
  zinv_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->zinv=(1.0e100*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*pModel->phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
idmult_VDI_BD=((zinv_VDI_BD*pInst->zinv)+(pInst->zinv*zinv_VDI_BD));
#if defined(_DERIVATE2)
  idmult_VDI_BD_VDI_BD=(+zinv_VDI_BD_VDI_BD*pInst->zinv+zinv_VDI_BD*zinv_VDI_BD+zinv_VDI_BD*zinv_VDI_BD+pInst->zinv*zinv_VDI_BD_VDI_BD);
  idmult_VDI_BD_VSI_BS=(+zinv_VDI_BD_VSI_BS*pInst->zinv+zinv_VDI_BD*zinv_VSI_BS+zinv_VSI_BS*zinv_VDI_BD+pInst->zinv*zinv_VDI_BD_VSI_BS);
#endif
idmult_VSI_BS=((zinv_VSI_BS*pInst->zinv)+(pInst->zinv*zinv_VSI_BS));
#if defined(_DERIVATE2)
  idmult_VSI_BS_VDI_BD=(+zinv_VSI_BS_VDI_BD*pInst->zinv+zinv_VSI_BS*zinv_VDI_BD+zinv_VDI_BD*zinv_VSI_BS+pInst->zinv*zinv_VSI_BS_VDI_BD);
  idmult_VSI_BS_VSI_BS=(+zinv_VSI_BS_VSI_BS*pInst->zinv+zinv_VSI_BS*zinv_VSI_BS+zinv_VSI_BS*zinv_VSI_BS+pInst->zinv*zinv_VSI_BS_VSI_BS);
#endif
#endif
pInst->idmult=(pInst->zinv*pInst->zinv);
EXIT_IF_ISNAN((pInst->zinv*pInst->zinv))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
idmult_VDI_BD=Vjun_d_VDI_BD*pModel->phitdinv*pInst->exp_VMAX_over_phitd_d;
#if defined(_DERIVATE2)
  idmult_VDI_BD_VDI_BD=(+(+0.0+(+(+Vjun_d_VDI_BD_VDI_BD-0.0)*pModel->phitdinv+Vjun_d_VDI_BD*0.0+Vjun_d_VDI_BD*0.0+(Vjun_d-pInst->VMAX_d)*0.0))*pInst->exp_VMAX_over_phitd_d+Vjun_d_VDI_BD*pModel->phitdinv*0.0+(Vjun_d_VDI_BD*pModel->phitdinv)*0.0+(1.0+((Vjun_d-pInst->VMAX_d)*pModel->phitdinv))*0.0);
  idmult_VDI_BD_VSI_BS=(+(+0.0+(+(+0.0-0.0)*pModel->phitdinv+Vjun_d_VDI_BD*0.0+0.0*0.0+(Vjun_d-pInst->VMAX_d)*0.0))*pInst->exp_VMAX_over_phitd_d+Vjun_d_VDI_BD*pModel->phitdinv*0.0+(0.0)*0.0+(1.0+((Vjun_d-pInst->VMAX_d)*pModel->phitdinv))*0.0);
#endif
idmult_VSI_BS=0.0;
#if defined(_DERIVATE2)
  idmult_VSI_BS_VDI_BD=0.0;
  idmult_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->idmult=((1.0+((Vjun_d-pInst->VMAX_d)*pModel->phitdinv))*pInst->exp_VMAX_over_phitd_d);
EXIT_IF_ISNAN(((1.0+((Vjun_d-pInst->VMAX_d)*pModel->phitdinv))*pInst->exp_VMAX_over_phitd_d))
{
double m00_sqrt(d00_sqrt0,pInst->idmult)
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,pInst->idmult)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
zinv_VDI_BD=idmult_VDI_BD*d10_sqrt0;
#if defined(_DERIVATE2)
  zinv_VDI_BD_VDI_BD=(m20_sqrt(pInst->idmult)*idmult_VDI_BD*idmult_VDI_BD+d10_sqrt0*idmult_VDI_BD_VDI_BD);
  zinv_VDI_BD_VSI_BS=(m20_sqrt(pInst->idmult)*idmult_VSI_BS*idmult_VDI_BD+d10_sqrt0*idmult_VDI_BD_VSI_BS);
#endif
zinv_VSI_BS=idmult_VSI_BS*d10_sqrt0;
#if defined(_DERIVATE2)
  zinv_VSI_BS_VDI_BD=(m20_sqrt(pInst->idmult)*idmult_VDI_BD*idmult_VSI_BS+d10_sqrt0*idmult_VSI_BS_VDI_BD);
  zinv_VSI_BS_VSI_BS=(m20_sqrt(pInst->idmult)*idmult_VSI_BS*idmult_VSI_BS+d10_sqrt0*idmult_VSI_BS_VSI_BS);
#endif
#endif
pInst->zinv=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
idmult_VDI_BD=idmult_VDI_BD;
#if defined(_DERIVATE2)
  idmult_VDI_BD_VDI_BD=(+idmult_VDI_BD_VDI_BD-0.0);
  idmult_VDI_BD_VSI_BS=(+idmult_VDI_BD_VSI_BS-0.0);
#endif
idmult_VSI_BS=idmult_VSI_BS;
#if defined(_DERIVATE2)
  idmult_VSI_BS_VDI_BD=(+idmult_VSI_BS_VDI_BD-0.0);
  idmult_VSI_BS_VSI_BS=(+idmult_VSI_BS_VSI_BS-0.0);
#endif
#endif
pInst->idmult=(pInst->idmult-1.0);
EXIT_IF_ISNAN((pInst->idmult-1.0))
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
z_VDI_BD=(-zinv_VDI_BD/pInst->zinv/pInst->zinv);
#if defined(_DERIVATE2)
  z_VDI_BD_VDI_BD=(0.0/pInst->zinv-(0.0*zinv_VDI_BD+0.0*zinv_VDI_BD+1.0*zinv_VDI_BD_VDI_BD)/pInst->zinv/pInst->zinv+2*1.0*zinv_VDI_BD*zinv_VDI_BD/pInst->zinv/pInst->zinv/pInst->zinv);
  z_VDI_BD_VSI_BS=(0.0/pInst->zinv-(0.0*zinv_VSI_BS+0.0*zinv_VDI_BD+1.0*zinv_VDI_BD_VSI_BS)/pInst->zinv/pInst->zinv+2*1.0*zinv_VDI_BD*zinv_VSI_BS/pInst->zinv/pInst->zinv/pInst->zinv);
#endif
z_VSI_BS=(-zinv_VSI_BS/pInst->zinv/pInst->zinv);
#if defined(_DERIVATE2)
  z_VSI_BS_VDI_BD=(0.0/pInst->zinv-(0.0*zinv_VDI_BD+0.0*zinv_VSI_BS+1.0*zinv_VSI_BS_VDI_BD)/pInst->zinv/pInst->zinv+2*1.0*zinv_VSI_BS*zinv_VDI_BD/pInst->zinv/pInst->zinv/pInst->zinv);
  z_VSI_BS_VSI_BS=(0.0/pInst->zinv-(0.0*zinv_VSI_BS+0.0*zinv_VSI_BS+1.0*zinv_VSI_BS_VSI_BS)/pInst->zinv/pInst->zinv+2*1.0*zinv_VSI_BS*zinv_VSI_BS/pInst->zinv/pInst->zinv/pInst->zinv);
#endif
#endif
pInst->z=(1.0/pInst->zinv);
EXIT_IF_ISNAN((1.0/pInst->zinv))
if
((Vjun_d>0.0))
{
{
double m00_sqrt(d00_sqrt0,((pInst->z+1.0)*(pInst->z+3.0)))
double m00_logE(d00_logE1,((2.0+pInst->z)+d00_sqrt0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->z+1.0)*(pInst->z+3.0)))
double m10_logE(d10_logE1,d00_logE1,((2.0+pInst->z)+d00_sqrt0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
two_psistar_VDI_BD=(2.0*(pModel->phitd*(z_VDI_BD+((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD))*d10_sqrt0)*d10_logE1));
#if defined(_DERIVATE2)
  two_psistar_VDI_BD_VDI_BD=(+0.0*(pModel->phitd*d00_logE1)+0.0*((pModel->phitd*(z_VDI_BD+(((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD)))*d10_sqrt0)*d10_logE1))+0.0*(pModel->phitd*(z_VDI_BD+((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD))*d10_sqrt0)*d10_logE1)+2.0*(+0.0*d00_logE1+0.0*(z_VDI_BD+(((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD)))*d10_sqrt0)*d10_logE1+0.0*(z_VDI_BD+((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD))*d10_sqrt0)*d10_logE1+pModel->phitd*(m20_logE(((2.0+pInst->z)+d00_sqrt0))*(z_VDI_BD+(((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD)))*d10_sqrt0)*(z_VDI_BD+((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD))*d10_sqrt0)+d10_logE1*(+(+0.0+z_VDI_BD_VDI_BD)+(m20_sqrt(((pInst->z+1.0)*(pInst->z+3.0)))*(((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD)))*((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD))+d10_sqrt0*(+(+z_VDI_BD_VDI_BD+0.0)*(pInst->z+3.0)+z_VDI_BD*z_VDI_BD+z_VDI_BD*z_VDI_BD+(pInst->z+1.0)*(+z_VDI_BD_VDI_BD+0.0)))))));
  two_psistar_VDI_BD_VSI_BS=(+0.0*(pModel->phitd*d00_logE1)+0.0*((pModel->phitd*(z_VSI_BS+(((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS)))*d10_sqrt0)*d10_logE1))+0.0*(pModel->phitd*(z_VDI_BD+((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD))*d10_sqrt0)*d10_logE1)+2.0*(+0.0*d00_logE1+0.0*(z_VSI_BS+(((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS)))*d10_sqrt0)*d10_logE1+0.0*(z_VDI_BD+((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD))*d10_sqrt0)*d10_logE1+pModel->phitd*(m20_logE(((2.0+pInst->z)+d00_sqrt0))*(z_VSI_BS+(((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS)))*d10_sqrt0)*(z_VDI_BD+((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD))*d10_sqrt0)+d10_logE1*(+(+0.0+z_VDI_BD_VSI_BS)+(m20_sqrt(((pInst->z+1.0)*(pInst->z+3.0)))*(((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS)))*((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD))+d10_sqrt0*(+(+z_VDI_BD_VSI_BS+0.0)*(pInst->z+3.0)+z_VDI_BD*z_VSI_BS+z_VSI_BS*z_VDI_BD+(pInst->z+1.0)*(+z_VDI_BD_VSI_BS+0.0)))))));
#endif
two_psistar_VSI_BS=(2.0*(pModel->phitd*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)*d10_logE1));
#if defined(_DERIVATE2)
  two_psistar_VSI_BS_VDI_BD=(+0.0*(pModel->phitd*d00_logE1)+0.0*((pModel->phitd*(z_VDI_BD+(((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD)))*d10_sqrt0)*d10_logE1))+0.0*(pModel->phitd*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)*d10_logE1)+2.0*(+0.0*d00_logE1+0.0*(z_VDI_BD+(((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD)))*d10_sqrt0)*d10_logE1+0.0*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)*d10_logE1+pModel->phitd*(m20_logE(((2.0+pInst->z)+d00_sqrt0))*(z_VDI_BD+(((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD)))*d10_sqrt0)*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)+d10_logE1*(+(+0.0+z_VSI_BS_VDI_BD)+(m20_sqrt(((pInst->z+1.0)*(pInst->z+3.0)))*(((z_VDI_BD*(pInst->z+3.0))+((pInst->z+1.0)*z_VDI_BD)))*((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))+d10_sqrt0*(+(+z_VSI_BS_VDI_BD+0.0)*(pInst->z+3.0)+z_VSI_BS*z_VDI_BD+z_VDI_BD*z_VSI_BS+(pInst->z+1.0)*(+z_VSI_BS_VDI_BD+0.0)))))));
  two_psistar_VSI_BS_VSI_BS=(+0.0*(pModel->phitd*d00_logE1)+0.0*((pModel->phitd*(z_VSI_BS+(((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS)))*d10_sqrt0)*d10_logE1))+0.0*(pModel->phitd*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)*d10_logE1)+2.0*(+0.0*d00_logE1+0.0*(z_VSI_BS+(((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS)))*d10_sqrt0)*d10_logE1+0.0*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)*d10_logE1+pModel->phitd*(m20_logE(((2.0+pInst->z)+d00_sqrt0))*(z_VSI_BS+(((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS)))*d10_sqrt0)*(z_VSI_BS+((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))*d10_sqrt0)+d10_logE1*(+(+0.0+z_VSI_BS_VSI_BS)+(m20_sqrt(((pInst->z+1.0)*(pInst->z+3.0)))*(((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS)))*((z_VSI_BS*(pInst->z+3.0))+((pInst->z+1.0)*z_VSI_BS))+d10_sqrt0*(+(+z_VSI_BS_VSI_BS+0.0)*(pInst->z+3.0)+z_VSI_BS*z_VSI_BS+z_VSI_BS*z_VSI_BS+(pInst->z+1.0)*(+z_VSI_BS_VSI_BS+0.0)))))));
#endif
#endif
pInst->two_psistar=(2.0*(pModel->phitd*d00_logE1));
EXIT_IF_ISNAN((2.0*(pModel->phitd*d00_logE1)))
}
}
else
{
{
double m00_sqrt(d00_sqrt0,((1.0+pInst->zinv)*(1.0+(3.0*pInst->zinv))))
double m00_logE(d00_logE1,(((2.0*pInst->zinv)+1.0)+d00_sqrt0))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((1.0+pInst->zinv)*(1.0+(3.0*pInst->zinv))))
double m10_logE(d10_logE1,d00_logE1,(((2.0*pInst->zinv)+1.0)+d00_sqrt0))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
two_psistar_VDI_BD=((-Vjun_d_VDI_BD)+(2.0*(pModel->phitd*((2.0*zinv_VDI_BD)+((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VDI_BD)))*d10_sqrt0)*d10_logE1)));
#if defined(_DERIVATE2)
  two_psistar_VDI_BD_VDI_BD=(+0.0+(+0.0*(pModel->phitd*d00_logE1)+0.0*((pModel->phitd*(((2.0*zinv_VDI_BD))+(((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VDI_BD)))))*d10_sqrt0)*d10_logE1))+0.0*(pModel->phitd*((2.0*zinv_VDI_BD)+((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VDI_BD)))*d10_sqrt0)*d10_logE1)+2.0*(+0.0*d00_logE1+0.0*(((2.0*zinv_VDI_BD))+(((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VDI_BD)))))*d10_sqrt0)*d10_logE1+0.0*((2.0*zinv_VDI_BD)+((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VDI_BD)))*d10_sqrt0)*d10_logE1+pModel->phitd*(m20_logE((((2.0*pInst->zinv)+1.0)+d00_sqrt0))*(((2.0*zinv_VDI_BD))+(((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VDI_BD)))))*d10_sqrt0)*((2.0*zinv_VDI_BD)+((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VDI_BD)))*d10_sqrt0)+d10_logE1*(+(+(+0.0*pInst->zinv+0.0*zinv_VDI_BD+0.0*zinv_VDI_BD+2.0*zinv_VDI_BD_VDI_BD)+0.0)+(m20_sqrt(((1.0+pInst->zinv)*(1.0+(3.0*pInst->zinv))))*(((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VDI_BD)))))*((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VDI_BD)))+d10_sqrt0*(+(+0.0+zinv_VDI_BD_VDI_BD)*(1.0+(3.0*pInst->zinv))+zinv_VDI_BD*((3.0*zinv_VDI_BD))+zinv_VDI_BD*(3.0*zinv_VDI_BD)+(1.0+pInst->zinv)*(+0.0+(+0.0*pInst->zinv+0.0*zinv_VDI_BD+0.0*zinv_VDI_BD+3.0*zinv_VDI_BD_VDI_BD)))))))));
  two_psistar_VDI_BD_VSI_BS=(+0.0+(+0.0*(pModel->phitd*d00_logE1)+0.0*((pModel->phitd*(((2.0*zinv_VSI_BS))+(((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VSI_BS)))))*d10_sqrt0)*d10_logE1))+0.0*(pModel->phitd*((2.0*zinv_VDI_BD)+((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VDI_BD)))*d10_sqrt0)*d10_logE1)+2.0*(+0.0*d00_logE1+0.0*(((2.0*zinv_VSI_BS))+(((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VSI_BS)))))*d10_sqrt0)*d10_logE1+0.0*((2.0*zinv_VDI_BD)+((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VDI_BD)))*d10_sqrt0)*d10_logE1+pModel->phitd*(m20_logE((((2.0*pInst->zinv)+1.0)+d00_sqrt0))*(((2.0*zinv_VSI_BS))+(((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VSI_BS)))))*d10_sqrt0)*((2.0*zinv_VDI_BD)+((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VDI_BD)))*d10_sqrt0)+d10_logE1*(+(+(+0.0*pInst->zinv+0.0*zinv_VSI_BS+0.0*zinv_VDI_BD+2.0*zinv_VDI_BD_VSI_BS)+0.0)+(m20_sqrt(((1.0+pInst->zinv)*(1.0+(3.0*pInst->zinv))))*(((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VSI_BS)))))*((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VDI_BD)))+d10_sqrt0*(+(+0.0+zinv_VDI_BD_VSI_BS)*(1.0+(3.0*pInst->zinv))+zinv_VDI_BD*((3.0*zinv_VSI_BS))+zinv_VSI_BS*(3.0*zinv_VDI_BD)+(1.0+pInst->zinv)*(+0.0+(+0.0*pInst->zinv+0.0*zinv_VSI_BS+0.0*zinv_VDI_BD+3.0*zinv_VDI_BD_VSI_BS)))))))));
#endif
two_psistar_VSI_BS=(2.0*(pModel->phitd*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)*d10_logE1));
#if defined(_DERIVATE2)
  two_psistar_VSI_BS_VDI_BD=(+0.0+(+0.0*(pModel->phitd*d00_logE1)+0.0*((pModel->phitd*(((2.0*zinv_VDI_BD))+(((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VDI_BD)))))*d10_sqrt0)*d10_logE1))+0.0*(pModel->phitd*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)*d10_logE1)+2.0*(+0.0*d00_logE1+0.0*(((2.0*zinv_VDI_BD))+(((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VDI_BD)))))*d10_sqrt0)*d10_logE1+0.0*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)*d10_logE1+pModel->phitd*(m20_logE((((2.0*pInst->zinv)+1.0)+d00_sqrt0))*(((2.0*zinv_VDI_BD))+(((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VDI_BD)))))*d10_sqrt0)*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)+d10_logE1*(+(+(+0.0*pInst->zinv+0.0*zinv_VDI_BD+0.0*zinv_VSI_BS+2.0*zinv_VSI_BS_VDI_BD)+0.0)+(m20_sqrt(((1.0+pInst->zinv)*(1.0+(3.0*pInst->zinv))))*(((zinv_VDI_BD*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VDI_BD)))))*((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))+d10_sqrt0*(+(+0.0+zinv_VSI_BS_VDI_BD)*(1.0+(3.0*pInst->zinv))+zinv_VSI_BS*((3.0*zinv_VDI_BD))+zinv_VDI_BD*(3.0*zinv_VSI_BS)+(1.0+pInst->zinv)*(+0.0+(+0.0*pInst->zinv+0.0*zinv_VDI_BD+0.0*zinv_VSI_BS+3.0*zinv_VSI_BS_VDI_BD)))))))));
  two_psistar_VSI_BS_VSI_BS=(+0.0+(+0.0*(pModel->phitd*d00_logE1)+0.0*((pModel->phitd*(((2.0*zinv_VSI_BS))+(((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VSI_BS)))))*d10_sqrt0)*d10_logE1))+0.0*(pModel->phitd*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)*d10_logE1)+2.0*(+0.0*d00_logE1+0.0*(((2.0*zinv_VSI_BS))+(((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VSI_BS)))))*d10_sqrt0)*d10_logE1+0.0*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)*d10_logE1+pModel->phitd*(m20_logE((((2.0*pInst->zinv)+1.0)+d00_sqrt0))*(((2.0*zinv_VSI_BS))+(((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VSI_BS)))))*d10_sqrt0)*((2.0*zinv_VSI_BS)+((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))*d10_sqrt0)+d10_logE1*(+(+(+0.0*pInst->zinv+0.0*zinv_VSI_BS+0.0*zinv_VSI_BS+2.0*zinv_VSI_BS_VSI_BS)+0.0)+(m20_sqrt(((1.0+pInst->zinv)*(1.0+(3.0*pInst->zinv))))*(((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*((3.0*zinv_VSI_BS)))))*((zinv_VSI_BS*(1.0+(3.0*pInst->zinv)))+((1.0+pInst->zinv)*(3.0*zinv_VSI_BS)))+d10_sqrt0*(+(+0.0+zinv_VSI_BS_VSI_BS)*(1.0+(3.0*pInst->zinv))+zinv_VSI_BS*((3.0*zinv_VSI_BS))+zinv_VSI_BS*(3.0*zinv_VSI_BS)+(1.0+pInst->zinv)*(+0.0+(+0.0*pInst->zinv+0.0*zinv_VSI_BS+0.0*zinv_VSI_BS+3.0*zinv_VSI_BS_VSI_BS)))))))));
#endif
#endif
pInst->two_psistar=((-Vjun_d)+(2.0*(pModel->phitd*d00_logE1)));
EXIT_IF_ISNAN(((-Vjun_d)+(2.0*(pModel->phitd*d00_logE1))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
vjlim_VDI_BD=(-two_psistar_VDI_BD);
#if defined(_DERIVATE2)
  vjlim_VDI_BD_VDI_BD=(+0.0-two_psistar_VDI_BD_VDI_BD);
  vjlim_VDI_BD_VSI_BS=(+0.0-two_psistar_VDI_BD_VSI_BS);
#endif
vjlim_VSI_BS=(-two_psistar_VSI_BS);
#if defined(_DERIVATE2)
  vjlim_VSI_BS_VDI_BD=(+0.0-two_psistar_VSI_BS_VDI_BD);
  vjlim_VSI_BS_VSI_BS=(+0.0-two_psistar_VSI_BS_VSI_BS);
#endif
#endif
pInst->vjlim=(pInst->vbimin_d-pInst->two_psistar);
EXIT_IF_ISNAN((pInst->vbimin_d-pInst->two_psistar))
{
double m00_sqrt(d00_sqrt0,(((Vjun_d-pInst->vjlim)*(Vjun_d-pInst->vjlim))+((4.0*pModel->phitd)*pModel->phitd)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((Vjun_d-pInst->vjlim)*(Vjun_d-pInst->vjlim))+((4.0*pModel->phitd)*pModel->phitd)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
vjsrh_VDI_BD=(0.5*((Vjun_d_VDI_BD+vjlim_VDI_BD)-(((Vjun_d_VDI_BD-vjlim_VDI_BD)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(Vjun_d_VDI_BD-vjlim_VDI_BD)))*d10_sqrt0));
#if defined(_DERIVATE2)
  vjsrh_VDI_BD_VDI_BD=(+0.0*((Vjun_d+pInst->vjlim)-d00_sqrt0)+0.0*((Vjun_d_VDI_BD+vjlim_VDI_BD)-(((((Vjun_d_VDI_BD-vjlim_VDI_BD)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(Vjun_d_VDI_BD-vjlim_VDI_BD))))+((0.0)*pModel->phitd))*d10_sqrt0)+0.0*((Vjun_d_VDI_BD+vjlim_VDI_BD)-(((Vjun_d_VDI_BD-vjlim_VDI_BD)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(Vjun_d_VDI_BD-vjlim_VDI_BD)))*d10_sqrt0)+0.5*(+(+Vjun_d_VDI_BD_VDI_BD+vjlim_VDI_BD_VDI_BD)-(m20_sqrt((((Vjun_d-pInst->vjlim)*(Vjun_d-pInst->vjlim))+((4.0*pModel->phitd)*pModel->phitd)))*(((((Vjun_d_VDI_BD-vjlim_VDI_BD)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(Vjun_d_VDI_BD-vjlim_VDI_BD))))+((0.0)*pModel->phitd))*(((Vjun_d_VDI_BD-vjlim_VDI_BD)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(Vjun_d_VDI_BD-vjlim_VDI_BD)))+d10_sqrt0*(+(+(+Vjun_d_VDI_BD_VDI_BD-vjlim_VDI_BD_VDI_BD)*(Vjun_d-pInst->vjlim)+(Vjun_d_VDI_BD-vjlim_VDI_BD)*(Vjun_d_VDI_BD-vjlim_VDI_BD)+(Vjun_d_VDI_BD-vjlim_VDI_BD)*(Vjun_d_VDI_BD-vjlim_VDI_BD)+(Vjun_d-pInst->vjlim)*(+Vjun_d_VDI_BD_VDI_BD-vjlim_VDI_BD_VDI_BD))+(+(+0.0*pModel->phitd+0.0*0.0+0.0*0.0+4.0*0.0)*pModel->phitd+0.0*0.0+(0.0)*0.0+(4.0*pModel->phitd)*0.0)))));
  vjsrh_VDI_BD_VSI_BS=(+0.0*((Vjun_d+pInst->vjlim)-d00_sqrt0)+0.0*(vjlim_VSI_BS-(((((-vjlim_VSI_BS)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(-vjlim_VSI_BS))))+((0.0)*pModel->phitd))*d10_sqrt0)+0.0*((Vjun_d_VDI_BD+vjlim_VDI_BD)-(((Vjun_d_VDI_BD-vjlim_VDI_BD)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(Vjun_d_VDI_BD-vjlim_VDI_BD)))*d10_sqrt0)+0.5*(+(+0.0+vjlim_VDI_BD_VSI_BS)-(m20_sqrt((((Vjun_d-pInst->vjlim)*(Vjun_d-pInst->vjlim))+((4.0*pModel->phitd)*pModel->phitd)))*(((((-vjlim_VSI_BS)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(-vjlim_VSI_BS))))+((0.0)*pModel->phitd))*(((Vjun_d_VDI_BD-vjlim_VDI_BD)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(Vjun_d_VDI_BD-vjlim_VDI_BD)))+d10_sqrt0*(+(+(+0.0-vjlim_VDI_BD_VSI_BS)*(Vjun_d-pInst->vjlim)+(Vjun_d_VDI_BD-vjlim_VDI_BD)*(-vjlim_VSI_BS)+(-vjlim_VSI_BS)*(Vjun_d_VDI_BD-vjlim_VDI_BD)+(Vjun_d-pInst->vjlim)*(+0.0-vjlim_VDI_BD_VSI_BS))+(+(+0.0*pModel->phitd+0.0*0.0+0.0*0.0+4.0*0.0)*pModel->phitd+0.0*0.0+(0.0)*0.0+(4.0*pModel->phitd)*0.0)))));
#endif
vjsrh_VSI_BS=(0.5*(vjlim_VSI_BS-(((-vjlim_VSI_BS)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(-vjlim_VSI_BS)))*d10_sqrt0));
#if defined(_DERIVATE2)
  vjsrh_VSI_BS_VDI_BD=(+0.0*((Vjun_d+pInst->vjlim)-d00_sqrt0)+0.0*((Vjun_d_VDI_BD+vjlim_VDI_BD)-(((((Vjun_d_VDI_BD-vjlim_VDI_BD)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(Vjun_d_VDI_BD-vjlim_VDI_BD))))+((0.0)*pModel->phitd))*d10_sqrt0)+0.0*(vjlim_VSI_BS-(((-vjlim_VSI_BS)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(-vjlim_VSI_BS)))*d10_sqrt0)+0.5*(+(+0.0+vjlim_VSI_BS_VDI_BD)-(m20_sqrt((((Vjun_d-pInst->vjlim)*(Vjun_d-pInst->vjlim))+((4.0*pModel->phitd)*pModel->phitd)))*(((((Vjun_d_VDI_BD-vjlim_VDI_BD)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(Vjun_d_VDI_BD-vjlim_VDI_BD))))+((0.0)*pModel->phitd))*(((-vjlim_VSI_BS)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(-vjlim_VSI_BS)))+d10_sqrt0*(+(+(+0.0-vjlim_VSI_BS_VDI_BD)*(Vjun_d-pInst->vjlim)+(-vjlim_VSI_BS)*(Vjun_d_VDI_BD-vjlim_VDI_BD)+(Vjun_d_VDI_BD-vjlim_VDI_BD)*(-vjlim_VSI_BS)+(Vjun_d-pInst->vjlim)*(+0.0-vjlim_VSI_BS_VDI_BD))+(+(+0.0*pModel->phitd+0.0*0.0+0.0*0.0+4.0*0.0)*pModel->phitd+0.0*0.0+(0.0)*0.0+(4.0*pModel->phitd)*0.0)))));
  vjsrh_VSI_BS_VSI_BS=(+0.0*((Vjun_d+pInst->vjlim)-d00_sqrt0)+0.0*(vjlim_VSI_BS-(((((-vjlim_VSI_BS)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(-vjlim_VSI_BS))))+((0.0)*pModel->phitd))*d10_sqrt0)+0.0*(vjlim_VSI_BS-(((-vjlim_VSI_BS)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(-vjlim_VSI_BS)))*d10_sqrt0)+0.5*(+(+0.0+vjlim_VSI_BS_VSI_BS)-(m20_sqrt((((Vjun_d-pInst->vjlim)*(Vjun_d-pInst->vjlim))+((4.0*pModel->phitd)*pModel->phitd)))*(((((-vjlim_VSI_BS)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(-vjlim_VSI_BS))))+((0.0)*pModel->phitd))*(((-vjlim_VSI_BS)*(Vjun_d-pInst->vjlim))+((Vjun_d-pInst->vjlim)*(-vjlim_VSI_BS)))+d10_sqrt0*(+(+(+0.0-vjlim_VSI_BS_VSI_BS)*(Vjun_d-pInst->vjlim)+(-vjlim_VSI_BS)*(-vjlim_VSI_BS)+(-vjlim_VSI_BS)*(-vjlim_VSI_BS)+(Vjun_d-pInst->vjlim)*(+0.0-vjlim_VSI_BS_VSI_BS))+(+(+0.0*pModel->phitd+0.0*0.0+0.0*0.0+4.0*0.0)*pModel->phitd+0.0*0.0+(0.0)*0.0+(4.0*pModel->phitd)*0.0)))));
#endif
#endif
pInst->vjsrh=(0.5*((Vjun_d+pInst->vjlim)-d00_sqrt0));
EXIT_IF_ISNAN((0.5*((Vjun_d+pInst->vjlim)-d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,(((Vjun_d-pInst->vbbtlim_d)*(Vjun_d-pInst->vbbtlim_d))+((4.0*pModel->phitr)*pModel->phitr)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(((Vjun_d-pInst->vbbtlim_d)*(Vjun_d-pInst->vbbtlim_d))+((4.0*pModel->phitr)*pModel->phitr)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
vbbt_VDI_BD=(0.5*(Vjun_d_VDI_BD-((Vjun_d_VDI_BD*(Vjun_d-pInst->vbbtlim_d))+((Vjun_d-pInst->vbbtlim_d)*Vjun_d_VDI_BD))*d10_sqrt0));
#if defined(_DERIVATE2)
  vbbt_VDI_BD_VDI_BD=(+0.0*((Vjun_d+pInst->vbbtlim_d)-d00_sqrt0)+0.0*(Vjun_d_VDI_BD-((((Vjun_d_VDI_BD*(Vjun_d-pInst->vbbtlim_d))+((Vjun_d-pInst->vbbtlim_d)*Vjun_d_VDI_BD)))+((0.0)*pModel->phitr))*d10_sqrt0)+0.0*(Vjun_d_VDI_BD-((Vjun_d_VDI_BD*(Vjun_d-pInst->vbbtlim_d))+((Vjun_d-pInst->vbbtlim_d)*Vjun_d_VDI_BD))*d10_sqrt0)+0.5*(+(+Vjun_d_VDI_BD_VDI_BD+0.0)-(m20_sqrt((((Vjun_d-pInst->vbbtlim_d)*(Vjun_d-pInst->vbbtlim_d))+((4.0*pModel->phitr)*pModel->phitr)))*((((Vjun_d_VDI_BD*(Vjun_d-pInst->vbbtlim_d))+((Vjun_d-pInst->vbbtlim_d)*Vjun_d_VDI_BD)))+((0.0)*pModel->phitr))*((Vjun_d_VDI_BD*(Vjun_d-pInst->vbbtlim_d))+((Vjun_d-pInst->vbbtlim_d)*Vjun_d_VDI_BD))+d10_sqrt0*(+(+(+Vjun_d_VDI_BD_VDI_BD-0.0)*(Vjun_d-pInst->vbbtlim_d)+Vjun_d_VDI_BD*Vjun_d_VDI_BD+Vjun_d_VDI_BD*Vjun_d_VDI_BD+(Vjun_d-pInst->vbbtlim_d)*(+Vjun_d_VDI_BD_VDI_BD-0.0))+(+(+0.0*pModel->phitr+0.0*0.0+0.0*0.0+4.0*0.0)*pModel->phitr+0.0*0.0+(0.0)*0.0+(4.0*pModel->phitr)*0.0)))));
  vbbt_VDI_BD_VSI_BS=(+0.0*((Vjun_d+pInst->vbbtlim_d)-d00_sqrt0)+0.0*(-((0.0)+((0.0)*pModel->phitr))*d10_sqrt0)+0.0*(Vjun_d_VDI_BD-((Vjun_d_VDI_BD*(Vjun_d-pInst->vbbtlim_d))+((Vjun_d-pInst->vbbtlim_d)*Vjun_d_VDI_BD))*d10_sqrt0)+0.5*(+(+0.0+0.0)-(m20_sqrt((((Vjun_d-pInst->vbbtlim_d)*(Vjun_d-pInst->vbbtlim_d))+((4.0*pModel->phitr)*pModel->phitr)))*((0.0)+((0.0)*pModel->phitr))*((Vjun_d_VDI_BD*(Vjun_d-pInst->vbbtlim_d))+((Vjun_d-pInst->vbbtlim_d)*Vjun_d_VDI_BD))+d10_sqrt0*(+(+(+0.0-0.0)*(Vjun_d-pInst->vbbtlim_d)+Vjun_d_VDI_BD*0.0+0.0*Vjun_d_VDI_BD+(Vjun_d-pInst->vbbtlim_d)*(+0.0-0.0))+(+(+0.0*pModel->phitr+0.0*0.0+0.0*0.0+4.0*0.0)*pModel->phitr+0.0*0.0+(0.0)*0.0+(4.0*pModel->phitr)*0.0)))));
#endif
vbbt_VSI_BS=0.0;
#if defined(_DERIVATE2)
  vbbt_VSI_BS_VDI_BD=0.0;
  vbbt_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->vbbt=(0.5*((Vjun_d+pInst->vbbtlim_d)-d00_sqrt0));
EXIT_IF_ISNAN((0.5*((Vjun_d+pInst->vbbtlim_d)-d00_sqrt0)))
}
{
double m00_sqrt(d00_sqrt0,((Vjun_d*Vjun_d)+((4.0*1.0e-6)*1.0e-6)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((Vjun_d*Vjun_d)+((4.0*1.0e-6)*1.0e-6)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
vav_VDI_BD=(0.5*(Vjun_d_VDI_BD-((Vjun_d_VDI_BD*Vjun_d)+(Vjun_d*Vjun_d_VDI_BD))*d10_sqrt0));
#if defined(_DERIVATE2)
  vav_VDI_BD_VDI_BD=(+0.0*(Vjun_d-d00_sqrt0)+0.0*(Vjun_d_VDI_BD-((((Vjun_d_VDI_BD*Vjun_d)+(Vjun_d*Vjun_d_VDI_BD)))+((0.0)*1.0e-6))*d10_sqrt0)+0.0*(Vjun_d_VDI_BD-((Vjun_d_VDI_BD*Vjun_d)+(Vjun_d*Vjun_d_VDI_BD))*d10_sqrt0)+0.5*(+(+Vjun_d_VDI_BD_VDI_BD+0.0)-(m20_sqrt(((Vjun_d*Vjun_d)+((4.0*1.0e-6)*1.0e-6)))*((((Vjun_d_VDI_BD*Vjun_d)+(Vjun_d*Vjun_d_VDI_BD)))+((0.0)*1.0e-6))*((Vjun_d_VDI_BD*Vjun_d)+(Vjun_d*Vjun_d_VDI_BD))+d10_sqrt0*(+(+(+Vjun_d_VDI_BD_VDI_BD-0.0)*Vjun_d+Vjun_d_VDI_BD*Vjun_d_VDI_BD+Vjun_d_VDI_BD*Vjun_d_VDI_BD+Vjun_d*(+Vjun_d_VDI_BD_VDI_BD-0.0))+(+(+0.0*1.0e-6+0.0*0.0+0.0*0.0+4.0*0.0)*1.0e-6+0.0*0.0+(0.0)*0.0+(4.0*1.0e-6)*0.0)))));
  vav_VDI_BD_VSI_BS=(+0.0*(Vjun_d-d00_sqrt0)+0.0*(-((0.0)+((0.0)*1.0e-6))*d10_sqrt0)+0.0*(Vjun_d_VDI_BD-((Vjun_d_VDI_BD*Vjun_d)+(Vjun_d*Vjun_d_VDI_BD))*d10_sqrt0)+0.5*(+(+0.0+0.0)-(m20_sqrt(((Vjun_d*Vjun_d)+((4.0*1.0e-6)*1.0e-6)))*((0.0)+((0.0)*1.0e-6))*((Vjun_d_VDI_BD*Vjun_d)+(Vjun_d*Vjun_d_VDI_BD))+d10_sqrt0*(+(+(+0.0-0.0)*Vjun_d+Vjun_d_VDI_BD*0.0+0.0*Vjun_d_VDI_BD+Vjun_d*(+0.0-0.0))+(+(+0.0*1.0e-6+0.0*0.0+0.0*0.0+4.0*0.0)*1.0e-6+0.0*0.0+(0.0)*0.0+(4.0*1.0e-6)*0.0)))));
#endif
vav_VSI_BS=0.0;
#if defined(_DERIVATE2)
  vav_VSI_BS_VDI_BD=0.0;
  vav_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->vav=(0.5*(Vjun_d-d00_sqrt0));
EXIT_IF_ISNAN((0.5*(Vjun_d-d00_sqrt0)))
}
}
if
((pInst->ABDRAIN_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunbot_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunbot_d_VDI_BD_VDI_BD=0.0;
  ijunbot_d_VDI_BD_VSI_BS=0.0;
#endif
ijunbot_d_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijunbot_d_VSI_BS_VDI_BD=0.0;
  ijunbot_d_VSI_BS_VSI_BS=0.0;
#endif
#endif
ijunbot_d=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(DI,GND) */
qjunbot_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  qjunbot_d_VDI_BD_VDI_BD=0.0;
  qjunbot_d_VDI_BD_VSI_BS=0.0;
#endif
#if defined(_DERIVATE)
qjunbot_d_VSI_BS=0.0;
#endif
#endif
qjunbot_d=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
if
((pModel->one_minus_PBOT_d==0.5))
{
{
double m00_sqrt(d00_sqrt0,(1.0-(pInst->vj*pModel->vbiinvbot_d)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(pInst->vj*pModel->vbiinvbot_d)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-vj_VSI_BS*pModel->vbiinvbot_d)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvbot_d)))*(-(vj_VSI_BS*pModel->vbiinvbot_d))*(-vj_VSI_BS*pModel->vbiinvbot_d)+d10_sqrt0*(+0.0-(+vj_VSI_BS_VSI_BS*pModel->vbiinvbot_d+vj_VSI_BS*0.0+vj_VSI_BS*0.0+pInst->vj*0.0)));
  tmp_VSI_BS_VDI_BD=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvbot_d)))*(-(vj_VDI_BD*pModel->vbiinvbot_d))*(-vj_VSI_BS*pModel->vbiinvbot_d)+d10_sqrt0*(+0.0-(+vj_VSI_BS_VDI_BD*pModel->vbiinvbot_d+vj_VSI_BS*0.0+vj_VDI_BD*0.0+pInst->vj*0.0)));
#endif
tmp_VDI_BD=(-vj_VDI_BD*pModel->vbiinvbot_d)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvbot_d)))*(-(vj_VSI_BS*pModel->vbiinvbot_d))*(-vj_VDI_BD*pModel->vbiinvbot_d)+d10_sqrt0*(+0.0-(+vj_VDI_BD_VSI_BS*pModel->vbiinvbot_d+vj_VDI_BD*0.0+vj_VSI_BS*0.0+pInst->vj*0.0)));
  tmp_VDI_BD_VDI_BD=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvbot_d)))*(-(vj_VDI_BD*pModel->vbiinvbot_d))*(-vj_VDI_BD*pModel->vbiinvbot_d)+d10_sqrt0*(+0.0-(+vj_VDI_BD_VDI_BD*pModel->vbiinvbot_d+vj_VDI_BD*0.0+vj_VDI_BD*0.0+pInst->vj*0.0)));
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,(1.0-(pInst->vj*pModel->vbiinvbot_d)),pModel->one_minus_PBOT_d)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0-(pInst->vj*pModel->vbiinvbot_d)),pModel->one_minus_PBOT_d)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*(-vj_VSI_BS*pModel->vbiinvbot_d));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow0*(-vj_VDI_BD*pModel->vbiinvbot_d));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(DI,GND) */
qjunbot_d_VDI_BD=(pInst->CFACTOR_i*((pModel->qprefbot_d*(-tmp_VDI_BD))+(pModel->qpref2bot_d*(Vjun_d_VDI_BD-vj_VDI_BD))));
#if defined(_DERIVATE2)
  qjunbot_d_VDI_BD_VDI_BD=(+0.0*((pModel->qprefbot_d*(1.0-pInst->tmp))+(pModel->qpref2bot_d*(Vjun_d-pInst->vj)))+0.0*(((pModel->qprefbot_d*(-tmp_VDI_BD)))+((pModel->qpref2bot_d*(Vjun_d_VDI_BD-vj_VDI_BD))))+0.0*((pModel->qprefbot_d*(-tmp_VDI_BD))+(pModel->qpref2bot_d*(Vjun_d_VDI_BD-vj_VDI_BD)))+pInst->CFACTOR_i*(+(+0.0*(1.0-pInst->tmp)+0.0*(-tmp_VDI_BD)+0.0*(-tmp_VDI_BD)+pModel->qprefbot_d*(+0.0-tmp_VDI_BD_VDI_BD))+(+0.0*(Vjun_d-pInst->vj)+0.0*(Vjun_d_VDI_BD-vj_VDI_BD)+0.0*(Vjun_d_VDI_BD-vj_VDI_BD)+pModel->qpref2bot_d*(+Vjun_d_VDI_BD_VDI_BD-vj_VDI_BD_VDI_BD))));
  qjunbot_d_VDI_BD_VSI_BS=(+0.0*((pModel->qprefbot_d*(1.0-pInst->tmp))+(pModel->qpref2bot_d*(Vjun_d-pInst->vj)))+0.0*(((pModel->qprefbot_d*(-tmp_VSI_BS)))+((pModel->qpref2bot_d*(-vj_VSI_BS))))+0.0*((pModel->qprefbot_d*(-tmp_VDI_BD))+(pModel->qpref2bot_d*(Vjun_d_VDI_BD-vj_VDI_BD)))+pInst->CFACTOR_i*(+(+0.0*(1.0-pInst->tmp)+0.0*(-tmp_VSI_BS)+0.0*(-tmp_VDI_BD)+pModel->qprefbot_d*(+0.0-tmp_VDI_BD_VSI_BS))+(+0.0*(Vjun_d-pInst->vj)+0.0*(-vj_VSI_BS)+0.0*(Vjun_d_VDI_BD-vj_VDI_BD)+pModel->qpref2bot_d*(+0.0-vj_VDI_BD_VSI_BS))));
#endif
#if defined(_DERIVATE)
qjunbot_d_VSI_BS=(pInst->CFACTOR_i*((pModel->qprefbot_d*(-tmp_VSI_BS))+(pModel->qpref2bot_d*(-vj_VSI_BS))));
#endif
#endif
qjunbot_d=(pInst->CFACTOR_i*((pModel->qprefbot_d*(1.0-pInst->tmp))+(pModel->qpref2bot_d*(Vjun_d-pInst->vj))));
EXIT_IF_ISNAN((pInst->CFACTOR_i*((pModel->qprefbot_d*(1.0-pInst->tmp))+(pModel->qpref2bot_d*(Vjun_d-pInst->vj)))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
id_VDI_BD=(pModel->idsatbot_d*idmult_VDI_BD);
#if defined(_DERIVATE2)
  id_VDI_BD_VDI_BD=(+0.0*pInst->idmult+0.0*idmult_VDI_BD+0.0*idmult_VDI_BD+pModel->idsatbot_d*idmult_VDI_BD_VDI_BD);
  id_VDI_BD_VSI_BS=(+0.0*pInst->idmult+0.0*idmult_VSI_BS+0.0*idmult_VDI_BD+pModel->idsatbot_d*idmult_VDI_BD_VSI_BS);
#endif
id_VSI_BS=(pModel->idsatbot_d*idmult_VSI_BS);
#if defined(_DERIVATE2)
  id_VSI_BS_VDI_BD=(+0.0*pInst->idmult+0.0*idmult_VDI_BD+0.0*idmult_VSI_BS+pModel->idsatbot_d*idmult_VSI_BS_VDI_BD);
  id_VSI_BS_VSI_BS=(+0.0*pInst->idmult+0.0*idmult_VSI_BS+0.0*idmult_VSI_BS+pModel->idsatbot_d*idmult_VSI_BS_VSI_BS);
#endif
#endif
pInst->id=(pModel->idsatbot_d*pInst->idmult);
EXIT_IF_ISNAN((pModel->idsatbot_d*pInst->idmult))
if
(((pModel->CSRHBOTD_i==0.0)&&(pModel->CTATBOTD_i==0.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
isrh_VSI_BS=0.0;
#if defined(_DERIVATE2)
  isrh_VSI_BS_VSI_BS=0.0;
  isrh_VSI_BS_VDI_BD=0.0;
#endif
isrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  isrh_VDI_BD_VSI_BS=0.0;
  isrh_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->isrh=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
vbi_minus_vjsrh_VDI_BD=(-vjsrh_VDI_BD);
#if defined(_DERIVATE2)
  vbi_minus_vjsrh_VDI_BD_VDI_BD=(+0.0-vjsrh_VDI_BD_VDI_BD);
  vbi_minus_vjsrh_VDI_BD_VSI_BS=(+0.0-vjsrh_VDI_BD_VSI_BS);
#endif
vbi_minus_vjsrh_VSI_BS=(-vjsrh_VSI_BS);
#if defined(_DERIVATE2)
  vbi_minus_vjsrh_VSI_BS_VDI_BD=(+0.0-vjsrh_VSI_BS_VDI_BD);
  vbi_minus_vjsrh_VSI_BS_VSI_BS=(+0.0-vjsrh_VSI_BS_VSI_BS);
#endif
#endif
pInst->vbi_minus_vjsrh=(pModel->vbibot_d-pInst->vjsrh);
EXIT_IF_ISNAN((pModel->vbibot_d-pInst->vjsrh))
{
double m00_sqrt(d00_sqrt0,(1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
wsrhstep_VDI_BD=(-(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*d10_sqrt0);
#if defined(_DERIVATE2)
  wsrhstep_VDI_BD_VDI_BD=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VDI_BD_VDI_BD/pInst->vbi_minus_vjsrh-(two_psistar_VDI_BD*vbi_minus_vjsrh_VDI_BD+two_psistar_VDI_BD*vbi_minus_vjsrh_VDI_BD+pInst->two_psistar*vbi_minus_vjsrh_VDI_BD_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
  wsrhstep_VDI_BD_VSI_BS=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VDI_BD_VSI_BS/pInst->vbi_minus_vjsrh-(two_psistar_VDI_BD*vbi_minus_vjsrh_VSI_BS+two_psistar_VSI_BS*vbi_minus_vjsrh_VDI_BD+pInst->two_psistar*vbi_minus_vjsrh_VDI_BD_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
#endif
wsrhstep_VSI_BS=(-(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*d10_sqrt0);
#if defined(_DERIVATE2)
  wsrhstep_VSI_BS_VDI_BD=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VSI_BS_VDI_BD/pInst->vbi_minus_vjsrh-(two_psistar_VSI_BS*vbi_minus_vjsrh_VDI_BD+two_psistar_VDI_BD*vbi_minus_vjsrh_VSI_BS+pInst->two_psistar*vbi_minus_vjsrh_VSI_BS_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
  wsrhstep_VSI_BS_VSI_BS=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VSI_BS_VSI_BS/pInst->vbi_minus_vjsrh-(two_psistar_VSI_BS*vbi_minus_vjsrh_VSI_BS+two_psistar_VSI_BS*vbi_minus_vjsrh_VSI_BS+pInst->two_psistar*vbi_minus_vjsrh_VSI_BS_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
#endif
#endif
pInst->wsrhstep=(1.0-d00_sqrt0);
EXIT_IF_ISNAN((1.0-d00_sqrt0))
}
if
((pModel->PBOTD_i==0.5))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dwsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  dwsrh_VDI_BD_VDI_BD=0.0;
  dwsrh_VDI_BD_VSI_BS=0.0;
#endif
dwsrh_VSI_BS=0.0;
#if defined(_DERIVATE2)
  dwsrh_VSI_BS_VDI_BD=0.0;
  dwsrh_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->dwsrh=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
{
double m00_logE(d00_logE0,pInst->wsrhstep)
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,pInst->wsrhstep)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dwsrh_VDI_BD=(((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*(1.0-(2.0*pModel->PBOTD_i));
#if defined(_DERIVATE2)
  dwsrh_VDI_BD_VDI_BD=(+(+((+(+wsrhstep_VDI_BD_VDI_BD*pInst->wsrhstep+wsrhstep_VDI_BD*wsrhstep_VDI_BD+wsrhstep_VDI_BD*wsrhstep_VDI_BD+pInst->wsrhstep*wsrhstep_VDI_BD_VDI_BD)*d00_logE0+((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*wsrhstep_VDI_BD*d10_logE0+(((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*wsrhstep_VDI_BD*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VDI_BD*wsrhstep_VDI_BD+d10_logE0*wsrhstep_VDI_BD_VDI_BD))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(-wsrhstep_VDI_BD)+((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(-wsrhstep_VDI_BD)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VDI_BD_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD)*(-wsrhstep_VDI_BD)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD_VDI_BD)*(1.0-(2.0*pModel->PBOTD_i))+(((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*(-(0.0))+(((((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PBOTD_i+0.0*0.0+0.0*0.0+2.0*0.0)));
  dwsrh_VDI_BD_VSI_BS=(+(+((+(+wsrhstep_VDI_BD_VSI_BS*pInst->wsrhstep+wsrhstep_VDI_BD*wsrhstep_VSI_BS+wsrhstep_VSI_BS*wsrhstep_VDI_BD+pInst->wsrhstep*wsrhstep_VDI_BD_VSI_BS)*d00_logE0+((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*wsrhstep_VSI_BS*d10_logE0+(((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*wsrhstep_VDI_BD*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VSI_BS*wsrhstep_VDI_BD+d10_logE0*wsrhstep_VDI_BD_VSI_BS))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(-wsrhstep_VSI_BS)+((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(-wsrhstep_VDI_BD)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VDI_BD_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD)*(-wsrhstep_VSI_BS)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD_VSI_BS)*(1.0-(2.0*pModel->PBOTD_i))+(((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*(-(0.0))+(((((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PBOTD_i+0.0*0.0+0.0*0.0+2.0*0.0)));
#endif
dwsrh_VSI_BS=(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(1.0-(2.0*pModel->PBOTD_i));
#if defined(_DERIVATE2)
  dwsrh_VSI_BS_VDI_BD=(+(+((+(+wsrhstep_VSI_BS_VDI_BD*pInst->wsrhstep+wsrhstep_VSI_BS*wsrhstep_VDI_BD+wsrhstep_VDI_BD*wsrhstep_VSI_BS+pInst->wsrhstep*wsrhstep_VSI_BS_VDI_BD)*d00_logE0+((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*wsrhstep_VDI_BD*d10_logE0+(((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*wsrhstep_VSI_BS*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VDI_BD*wsrhstep_VSI_BS+d10_logE0*wsrhstep_VSI_BS_VDI_BD))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(-wsrhstep_VDI_BD)+((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(-wsrhstep_VSI_BS)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VSI_BS_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS)*(-wsrhstep_VDI_BD)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS_VDI_BD)*(1.0-(2.0*pModel->PBOTD_i))+(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(-(0.0))+(((((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PBOTD_i+0.0*0.0+0.0*0.0+2.0*0.0)));
  dwsrh_VSI_BS_VSI_BS=(+(+((+(+wsrhstep_VSI_BS_VSI_BS*pInst->wsrhstep+wsrhstep_VSI_BS*wsrhstep_VSI_BS+wsrhstep_VSI_BS*wsrhstep_VSI_BS+pInst->wsrhstep*wsrhstep_VSI_BS_VSI_BS)*d00_logE0+((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*wsrhstep_VSI_BS*d10_logE0+(((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*wsrhstep_VSI_BS*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VSI_BS*wsrhstep_VSI_BS+d10_logE0*wsrhstep_VSI_BS_VSI_BS))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(-wsrhstep_VSI_BS)+((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(-wsrhstep_VSI_BS)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VSI_BS_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS)*(-wsrhstep_VSI_BS)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS_VSI_BS)*(1.0-(2.0*pModel->PBOTD_i))+(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(-(0.0))+(((((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PBOTD_i+0.0*0.0+0.0*0.0+2.0*0.0)));
#endif
#endif
pInst->dwsrh=(((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(1.0-(2.0*pModel->PBOTD_i)));
EXIT_IF_ISNAN((((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(1.0-(2.0*pModel->PBOTD_i))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wsrh_VDI_BD=(wsrhstep_VDI_BD+dwsrh_VDI_BD);
#if defined(_DERIVATE2)
  wsrh_VDI_BD_VDI_BD=(+wsrhstep_VDI_BD_VDI_BD+dwsrh_VDI_BD_VDI_BD);
  wsrh_VDI_BD_VSI_BS=(+wsrhstep_VDI_BD_VSI_BS+dwsrh_VDI_BD_VSI_BS);
#endif
wsrh_VSI_BS=(wsrhstep_VSI_BS+dwsrh_VSI_BS);
#if defined(_DERIVATE2)
  wsrh_VSI_BS_VDI_BD=(+wsrhstep_VSI_BS_VDI_BD+dwsrh_VSI_BS_VDI_BD);
  wsrh_VSI_BS_VSI_BS=(+wsrhstep_VSI_BS_VSI_BS+dwsrh_VSI_BS_VSI_BS);
#endif
#endif
pInst->wsrh=(pInst->wsrhstep+pInst->dwsrh);
EXIT_IF_ISNAN((pInst->wsrhstep+pInst->dwsrh))
if
((pModel->PBOTD_i==0.5))
{
{
double m00_sqrt(d00_sqrt0,(pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv_d))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv_d))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=vbi_minus_vjsrh_VSI_BS*pModel->VBIRBOTinv_d*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv_d))*(vbi_minus_vjsrh_VSI_BS*pModel->VBIRBOTinv_d)*vbi_minus_vjsrh_VSI_BS*pModel->VBIRBOTinv_d+d10_sqrt0*(+vbi_minus_vjsrh_VSI_BS_VSI_BS*pModel->VBIRBOTinv_d+vbi_minus_vjsrh_VSI_BS*0.0+vbi_minus_vjsrh_VSI_BS*0.0+pInst->vbi_minus_vjsrh*0.0));
  tmp_VSI_BS_VDI_BD=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv_d))*(vbi_minus_vjsrh_VDI_BD*pModel->VBIRBOTinv_d)*vbi_minus_vjsrh_VSI_BS*pModel->VBIRBOTinv_d+d10_sqrt0*(+vbi_minus_vjsrh_VSI_BS_VDI_BD*pModel->VBIRBOTinv_d+vbi_minus_vjsrh_VSI_BS*0.0+vbi_minus_vjsrh_VDI_BD*0.0+pInst->vbi_minus_vjsrh*0.0));
#endif
tmp_VDI_BD=vbi_minus_vjsrh_VDI_BD*pModel->VBIRBOTinv_d*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv_d))*(vbi_minus_vjsrh_VSI_BS*pModel->VBIRBOTinv_d)*vbi_minus_vjsrh_VDI_BD*pModel->VBIRBOTinv_d+d10_sqrt0*(+vbi_minus_vjsrh_VDI_BD_VSI_BS*pModel->VBIRBOTinv_d+vbi_minus_vjsrh_VDI_BD*0.0+vbi_minus_vjsrh_VSI_BS*0.0+pInst->vbi_minus_vjsrh*0.0));
  tmp_VDI_BD_VDI_BD=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv_d))*(vbi_minus_vjsrh_VDI_BD*pModel->VBIRBOTinv_d)*vbi_minus_vjsrh_VDI_BD*pModel->VBIRBOTinv_d+d10_sqrt0*(+vbi_minus_vjsrh_VDI_BD_VDI_BD*pModel->VBIRBOTinv_d+vbi_minus_vjsrh_VDI_BD*0.0+vbi_minus_vjsrh_VDI_BD*0.0+pInst->vbi_minus_vjsrh*0.0));
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,(pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv_d),pModel->PBOTD_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(pInst->vbi_minus_vjsrh*pModel->VBIRBOTinv_d),pModel->PBOTD_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*vbi_minus_vjsrh_VSI_BS*pModel->VBIRBOTinv_d);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow0*vbi_minus_vjsrh_VDI_BD*pModel->VBIRBOTinv_d);
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wdep_VSI_BS=(pModel->wdepnulrbot_d*tmp_VSI_BS);
#if defined(_DERIVATE2)
  wdep_VSI_BS_VSI_BS=(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VSI_BS+pModel->wdepnulrbot_d*tmp_VSI_BS_VSI_BS);
  wdep_VSI_BS_VDI_BD=(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VSI_BS+pModel->wdepnulrbot_d*tmp_VSI_BS_VDI_BD);
#endif
wdep_VDI_BD=(pModel->wdepnulrbot_d*tmp_VDI_BD);
#if defined(_DERIVATE2)
  wdep_VDI_BD_VSI_BS=(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VDI_BD+pModel->wdepnulrbot_d*tmp_VDI_BD_VSI_BS);
  wdep_VDI_BD_VDI_BD=(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VDI_BD+pModel->wdepnulrbot_d*tmp_VDI_BD_VDI_BD);
#endif
#endif
pInst->wdep=(pModel->wdepnulrbot_d*pInst->tmp);
EXIT_IF_ISNAN((pModel->wdepnulrbot_d*pInst->tmp))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
asrh_VSI_BS=(pModel->ftdbot_d*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)));
#if defined(_DERIVATE2)
  asrh_VSI_BS_VSI_BS=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)))+0.0*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS))+pModel->ftdbot_d*(+(+zinv_VSI_BS_VSI_BS-0.0)*pInst->wdep+zinv_VSI_BS*wdep_VSI_BS+zinv_VSI_BS*wdep_VSI_BS+(pInst->zinv-1.0)*wdep_VSI_BS_VSI_BS));
  asrh_VSI_BS_VDI_BD=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)))+0.0*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS))+pModel->ftdbot_d*(+(+zinv_VSI_BS_VDI_BD-0.0)*pInst->wdep+zinv_VSI_BS*wdep_VDI_BD+zinv_VDI_BD*wdep_VSI_BS+(pInst->zinv-1.0)*wdep_VSI_BS_VDI_BD));
#endif
asrh_VDI_BD=(pModel->ftdbot_d*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)));
#if defined(_DERIVATE2)
  asrh_VDI_BD_VSI_BS=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)))+0.0*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD))+pModel->ftdbot_d*(+(+zinv_VDI_BD_VSI_BS-0.0)*pInst->wdep+zinv_VDI_BD*wdep_VSI_BS+zinv_VSI_BS*wdep_VDI_BD+(pInst->zinv-1.0)*wdep_VDI_BD_VSI_BS));
  asrh_VDI_BD_VDI_BD=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)))+0.0*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD))+pModel->ftdbot_d*(+(+zinv_VDI_BD_VDI_BD-0.0)*pInst->wdep+zinv_VDI_BD*wdep_VDI_BD+zinv_VDI_BD*wdep_VDI_BD+(pInst->zinv-1.0)*wdep_VDI_BD_VDI_BD));
#endif
#endif
pInst->asrh=(pModel->ftdbot_d*((pInst->zinv-1.0)*pInst->wdep));
EXIT_IF_ISNAN((pModel->ftdbot_d*((pInst->zinv-1.0)*pInst->wdep)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
isrh_VSI_BS=(pModel->CSRHBOTD_i*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)));
#if defined(_DERIVATE2)
  isrh_VSI_BS_VSI_BS=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)))+0.0*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS))+pModel->CSRHBOTD_i*(+asrh_VSI_BS_VSI_BS*pInst->wsrh+asrh_VSI_BS*wsrh_VSI_BS+asrh_VSI_BS*wsrh_VSI_BS+pInst->asrh*wsrh_VSI_BS_VSI_BS));
  isrh_VSI_BS_VDI_BD=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)))+0.0*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS))+pModel->CSRHBOTD_i*(+asrh_VSI_BS_VDI_BD*pInst->wsrh+asrh_VSI_BS*wsrh_VDI_BD+asrh_VDI_BD*wsrh_VSI_BS+pInst->asrh*wsrh_VSI_BS_VDI_BD));
#endif
isrh_VDI_BD=(pModel->CSRHBOTD_i*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)));
#if defined(_DERIVATE2)
  isrh_VDI_BD_VSI_BS=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)))+0.0*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD))+pModel->CSRHBOTD_i*(+asrh_VDI_BD_VSI_BS*pInst->wsrh+asrh_VDI_BD*wsrh_VSI_BS+asrh_VSI_BS*wsrh_VDI_BD+pInst->asrh*wsrh_VDI_BD_VSI_BS));
  isrh_VDI_BD_VDI_BD=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)))+0.0*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD))+pModel->CSRHBOTD_i*(+asrh_VDI_BD_VDI_BD*pInst->wsrh+asrh_VDI_BD*wsrh_VDI_BD+asrh_VDI_BD*wsrh_VDI_BD+pInst->asrh*wsrh_VDI_BD_VDI_BD));
#endif
#endif
pInst->isrh=(pModel->CSRHBOTD_i*(pInst->asrh*pInst->wsrh));
EXIT_IF_ISNAN((pModel->CSRHBOTD_i*(pInst->asrh*pInst->wsrh)))
}
if
((pModel->CTATBOTD_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
itat_VSI_BS=0.0;
#if defined(_DERIVATE2)
  itat_VSI_BS_VSI_BS=0.0;
  itat_VSI_BS_VDI_BD=0.0;
#endif
itat_VDI_BD=0.0;
#if defined(_DERIVATE2)
  itat_VDI_BD_VSI_BS=0.0;
  itat_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->itat=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
btat_VSI_BS=(pModel->btatpartbot_d*((wdep_VSI_BS*pModel->one_minus_PBOT_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#if defined(_DERIVATE2)
  btat_VSI_BS_VSI_BS=(+0.0*((pInst->wdep*pModel->one_minus_PBOT_d)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VSI_BS*pModel->one_minus_PBOT_d)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VSI_BS*pModel->one_minus_PBOT_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartbot_d*((+wdep_VSI_BS_VSI_BS*pModel->one_minus_PBOT_d+wdep_VSI_BS*0.0+wdep_VSI_BS*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VSI_BS*pModel->one_minus_PBOT_d*vbi_minus_vjsrh_VSI_BS+(wdep_VSI_BS*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VSI_BS+(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VSI_BS_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
  btat_VSI_BS_VDI_BD=(+0.0*((pInst->wdep*pModel->one_minus_PBOT_d)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VDI_BD*pModel->one_minus_PBOT_d)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VSI_BS*pModel->one_minus_PBOT_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartbot_d*((+wdep_VSI_BS_VDI_BD*pModel->one_minus_PBOT_d+wdep_VSI_BS*0.0+wdep_VDI_BD*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VSI_BS*pModel->one_minus_PBOT_d*vbi_minus_vjsrh_VDI_BD+(wdep_VDI_BD*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VSI_BS+(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VSI_BS_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#endif
btat_VDI_BD=(pModel->btatpartbot_d*((wdep_VDI_BD*pModel->one_minus_PBOT_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#if defined(_DERIVATE2)
  btat_VDI_BD_VSI_BS=(+0.0*((pInst->wdep*pModel->one_minus_PBOT_d)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VSI_BS*pModel->one_minus_PBOT_d)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VDI_BD*pModel->one_minus_PBOT_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartbot_d*((+wdep_VDI_BD_VSI_BS*pModel->one_minus_PBOT_d+wdep_VDI_BD*0.0+wdep_VSI_BS*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VDI_BD*pModel->one_minus_PBOT_d*vbi_minus_vjsrh_VSI_BS+(wdep_VSI_BS*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VDI_BD+(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VDI_BD_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
  btat_VDI_BD_VDI_BD=(+0.0*((pInst->wdep*pModel->one_minus_PBOT_d)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VDI_BD*pModel->one_minus_PBOT_d)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VDI_BD*pModel->one_minus_PBOT_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartbot_d*((+wdep_VDI_BD_VDI_BD*pModel->one_minus_PBOT_d+wdep_VDI_BD*0.0+wdep_VDI_BD*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VDI_BD*pModel->one_minus_PBOT_d*vbi_minus_vjsrh_VDI_BD+(wdep_VDI_BD*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VDI_BD+(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VDI_BD_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PBOT_d)*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#endif
#endif
pInst->btat=(pModel->btatpartbot_d*((pInst->wdep*pModel->one_minus_PBOT_d)/pInst->vbi_minus_vjsrh));
EXIT_IF_ISNAN((pModel->btatpartbot_d*((pInst->wdep*pModel->one_minus_PBOT_d)/pInst->vbi_minus_vjsrh)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
twoatatoverthreebtat_VSI_BS=(-(0.666666666666667*pModel->atatbot_d)*btat_VSI_BS/pInst->btat/pInst->btat);
#if defined(_DERIVATE2)
  twoatatoverthreebtat_VSI_BS_VSI_BS=((+0.0*pModel->atatbot_d+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VSI_BS+(0.0)*btat_VSI_BS+(0.666666666666667*pModel->atatbot_d)*btat_VSI_BS_VSI_BS)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatbot_d)*btat_VSI_BS*btat_VSI_BS/pInst->btat/pInst->btat/pInst->btat);
  twoatatoverthreebtat_VSI_BS_VDI_BD=((+0.0*pModel->atatbot_d+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VDI_BD+(0.0)*btat_VSI_BS+(0.666666666666667*pModel->atatbot_d)*btat_VSI_BS_VDI_BD)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatbot_d)*btat_VSI_BS*btat_VDI_BD/pInst->btat/pInst->btat/pInst->btat);
#endif
twoatatoverthreebtat_VDI_BD=(-(0.666666666666667*pModel->atatbot_d)*btat_VDI_BD/pInst->btat/pInst->btat);
#if defined(_DERIVATE2)
  twoatatoverthreebtat_VDI_BD_VSI_BS=((+0.0*pModel->atatbot_d+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VSI_BS+(0.0)*btat_VDI_BD+(0.666666666666667*pModel->atatbot_d)*btat_VDI_BD_VSI_BS)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatbot_d)*btat_VDI_BD*btat_VSI_BS/pInst->btat/pInst->btat/pInst->btat);
  twoatatoverthreebtat_VDI_BD_VDI_BD=((+0.0*pModel->atatbot_d+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VDI_BD+(0.0)*btat_VDI_BD+(0.666666666666667*pModel->atatbot_d)*btat_VDI_BD_VDI_BD)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatbot_d)*btat_VDI_BD*btat_VDI_BD/pInst->btat/pInst->btat/pInst->btat);
#endif
#endif
pInst->twoatatoverthreebtat=((0.666666666666667*pModel->atatbot_d)/pInst->btat);
EXIT_IF_ISNAN(((0.666666666666667*pModel->atatbot_d)/pInst->btat))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
umaxbeforelimiting_VSI_BS=((twoatatoverthreebtat_VSI_BS*pInst->twoatatoverthreebtat)+(pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS));
#if defined(_DERIVATE2)
  umaxbeforelimiting_VSI_BS_VSI_BS=(+twoatatoverthreebtat_VSI_BS_VSI_BS*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VSI_BS+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VSI_BS+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS_VSI_BS);
  umaxbeforelimiting_VSI_BS_VDI_BD=(+twoatatoverthreebtat_VSI_BS_VDI_BD*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VDI_BD+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VSI_BS+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS_VDI_BD);
#endif
umaxbeforelimiting_VDI_BD=((twoatatoverthreebtat_VDI_BD*pInst->twoatatoverthreebtat)+(pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD));
#if defined(_DERIVATE2)
  umaxbeforelimiting_VDI_BD_VSI_BS=(+twoatatoverthreebtat_VDI_BD_VSI_BS*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VSI_BS+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VDI_BD+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD_VSI_BS);
  umaxbeforelimiting_VDI_BD_VDI_BD=(+twoatatoverthreebtat_VDI_BD_VDI_BD*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VDI_BD+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VDI_BD+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD_VDI_BD);
#endif
#endif
pInst->umaxbeforelimiting=(pInst->twoatatoverthreebtat*pInst->twoatatoverthreebtat);
EXIT_IF_ISNAN((pInst->twoatatoverthreebtat*pInst->twoatatoverthreebtat))
{
double m00_sqrt(d00_sqrt0,((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
umax_VSI_BS=((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*d10_sqrt0;
#if defined(_DERIVATE2)
  umax_VSI_BS_VSI_BS=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VSI_BS_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VSI_BS)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))+(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VSI_BS_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VSI_BS)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
  umax_VSI_BS_VDI_BD=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VSI_BS_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VDI_BD)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))+(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VSI_BS_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VDI_BD)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
#endif
umax_VDI_BD=((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*d10_sqrt0;
#if defined(_DERIVATE2)
  umax_VDI_BD_VSI_BS=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VDI_BD_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VSI_BS)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))+(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VDI_BD_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VSI_BS)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
  umax_VDI_BD_VDI_BD=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VDI_BD_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VDI_BD)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))+(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VDI_BD_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VDI_BD)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
#endif
#endif
pInst->umax=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
{
double m00_fabs(d00_fabs0,pInst->umax)
double m00_sqrt(d00_sqrt1,d00_fabs0)
#if defined(_DERIVATEFORDDX)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->umax)
double m10_sqrt(d10_sqrt1,d00_sqrt1,d00_fabs0)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
sqrtumax_VSI_BS=umax_VSI_BS*d10_fabs0*d10_sqrt1;
#if defined(_DERIVATE2)
  sqrtumax_VSI_BS_VSI_BS=(m20_sqrt(d00_fabs0)*umax_VSI_BS*d10_fabs0*umax_VSI_BS*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VSI_BS*umax_VSI_BS+d10_fabs0*umax_VSI_BS_VSI_BS));
  sqrtumax_VSI_BS_VDI_BD=(m20_sqrt(d00_fabs0)*umax_VDI_BD*d10_fabs0*umax_VSI_BS*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VDI_BD*umax_VSI_BS+d10_fabs0*umax_VSI_BS_VDI_BD));
#endif
sqrtumax_VDI_BD=umax_VDI_BD*d10_fabs0*d10_sqrt1;
#if defined(_DERIVATE2)
  sqrtumax_VDI_BD_VSI_BS=(m20_sqrt(d00_fabs0)*umax_VSI_BS*d10_fabs0*umax_VDI_BD*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VSI_BS*umax_VDI_BD+d10_fabs0*umax_VDI_BD_VSI_BS));
  sqrtumax_VDI_BD_VDI_BD=(m20_sqrt(d00_fabs0)*umax_VDI_BD*d10_fabs0*umax_VDI_BD*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VDI_BD*umax_VDI_BD+d10_fabs0*umax_VDI_BD_VDI_BD));
#endif
#endif
pInst->sqrtumax=d00_sqrt1;
EXIT_IF_ISNAN(d00_sqrt1)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
umaxpoweronepointfive_VSI_BS=((umax_VSI_BS*pInst->sqrtumax)+(pInst->umax*sqrtumax_VSI_BS));
#if defined(_DERIVATE2)
  umaxpoweronepointfive_VSI_BS_VSI_BS=(+umax_VSI_BS_VSI_BS*pInst->sqrtumax+umax_VSI_BS*sqrtumax_VSI_BS+umax_VSI_BS*sqrtumax_VSI_BS+pInst->umax*sqrtumax_VSI_BS_VSI_BS);
  umaxpoweronepointfive_VSI_BS_VDI_BD=(+umax_VSI_BS_VDI_BD*pInst->sqrtumax+umax_VSI_BS*sqrtumax_VDI_BD+umax_VDI_BD*sqrtumax_VSI_BS+pInst->umax*sqrtumax_VSI_BS_VDI_BD);
#endif
umaxpoweronepointfive_VDI_BD=((umax_VDI_BD*pInst->sqrtumax)+(pInst->umax*sqrtumax_VDI_BD));
#if defined(_DERIVATE2)
  umaxpoweronepointfive_VDI_BD_VSI_BS=(+umax_VDI_BD_VSI_BS*pInst->sqrtumax+umax_VDI_BD*sqrtumax_VSI_BS+umax_VSI_BS*sqrtumax_VDI_BD+pInst->umax*sqrtumax_VDI_BD_VSI_BS);
  umaxpoweronepointfive_VDI_BD_VDI_BD=(+umax_VDI_BD_VDI_BD*pInst->sqrtumax+umax_VDI_BD*sqrtumax_VDI_BD+umax_VDI_BD*sqrtumax_VDI_BD+pInst->umax*sqrtumax_VDI_BD_VDI_BD);
#endif
#endif
pInst->umaxpoweronepointfive=(pInst->umax*pInst->sqrtumax);
EXIT_IF_ISNAN((pInst->umax*pInst->sqrtumax))
if
((((-pModel->PBOTD_i)*pModel->one_over_one_minus_PBOT_d)==(-1.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wgamma_VSI_BS=(-((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#if defined(_DERIVATE2)
  wgamma_VSI_BS_VSI_BS=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+1.0*(+0.0+(+btat_VSI_BS_VSI_BS*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
  wgamma_VSI_BS_VDI_BD=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+1.0*(+0.0+(+btat_VSI_BS_VDI_BD*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#endif
wgamma_VDI_BD=(-((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#if defined(_DERIVATE2)
  wgamma_VDI_BD_VSI_BS=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+1.0*(+0.0+(+btat_VDI_BD_VSI_BS*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
  wgamma_VDI_BD_VDI_BD=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+1.0*(+0.0+(+btat_VDI_BD_VDI_BD*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#endif
#endif
pInst->wgamma=(1.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
EXIT_IF_ISNAN((1.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))))
}
else
{
{
double m00_pow(d00_pow0,(1.0+(pInst->btat*pInst->umaxpoweronepointfive)),((-pModel->PBOTD_i)*pModel->one_over_one_minus_PBOT_d))
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0+(pInst->btat*pInst->umaxpoweronepointfive)),((-pModel->PBOTD_i)*pModel->one_over_one_minus_PBOT_d))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wgamma_VSI_BS=(d10_pow0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)));
#if defined(_DERIVATE2)
  wgamma_VSI_BS_VSI_BS=fixme;
  wgamma_VSI_BS_VDI_BD=fixme;
#endif
wgamma_VDI_BD=(d10_pow0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)));
#if defined(_DERIVATE2)
  wgamma_VDI_BD_VSI_BS=fixme;
  wgamma_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->wgamma=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
wtat_VSI_BS=((((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(pInst->wsrh+pInst->wgamma)-(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#if defined(_DERIVATE2)
  wtat_VSI_BS_VSI_BS=((+wsrh_VSI_BS_VSI_BS*pInst->wgamma+wsrh_VSI_BS*wgamma_VSI_BS+wsrh_VSI_BS*wgamma_VSI_BS+pInst->wsrh*wgamma_VSI_BS_VSI_BS)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(wsrh_VSI_BS+wgamma_VSI_BS)+(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS)))*(wsrh_VSI_BS+wgamma_VSI_BS)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VSI_BS_VSI_BS+wgamma_VSI_BS_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS)*(wsrh_VSI_BS+wgamma_VSI_BS)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
  wtat_VSI_BS_VDI_BD=((+wsrh_VSI_BS_VDI_BD*pInst->wgamma+wsrh_VSI_BS*wgamma_VDI_BD+wsrh_VDI_BD*wgamma_VSI_BS+pInst->wsrh*wgamma_VSI_BS_VDI_BD)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(wsrh_VDI_BD+wgamma_VDI_BD)+(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD)))*(wsrh_VSI_BS+wgamma_VSI_BS)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VSI_BS_VDI_BD+wgamma_VSI_BS_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS)*(wsrh_VDI_BD+wgamma_VDI_BD)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#endif
wtat_VDI_BD=((((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(pInst->wsrh+pInst->wgamma)-(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#if defined(_DERIVATE2)
  wtat_VDI_BD_VSI_BS=((+wsrh_VDI_BD_VSI_BS*pInst->wgamma+wsrh_VDI_BD*wgamma_VSI_BS+wsrh_VSI_BS*wgamma_VDI_BD+pInst->wsrh*wgamma_VDI_BD_VSI_BS)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(wsrh_VSI_BS+wgamma_VSI_BS)+(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS)))*(wsrh_VDI_BD+wgamma_VDI_BD)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VDI_BD_VSI_BS+wgamma_VDI_BD_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD)*(wsrh_VSI_BS+wgamma_VSI_BS)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
  wtat_VDI_BD_VDI_BD=((+wsrh_VDI_BD_VDI_BD*pInst->wgamma+wsrh_VDI_BD*wgamma_VDI_BD+wsrh_VDI_BD*wgamma_VDI_BD+pInst->wsrh*wgamma_VDI_BD_VDI_BD)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(wsrh_VDI_BD+wgamma_VDI_BD)+(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD)))*(wsrh_VDI_BD+wgamma_VDI_BD)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VDI_BD_VDI_BD+wgamma_VDI_BD_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD)*(wsrh_VDI_BD+wgamma_VDI_BD)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#endif
#endif
pInst->wtat=((pInst->wsrh*pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
EXIT_IF_ISNAN(((pInst->wsrh*pInst->wgamma)/(pInst->wsrh+pInst->wgamma)))
{
double m00_sqrt(d00_sqrt0,(0.375*(pInst->btat/pInst->sqrtumax)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(0.375*(pInst->btat/pInst->sqrtumax)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ktat_VSI_BS=(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))*d10_sqrt0;
#if defined(_DERIVATE2)
  ktat_VSI_BS_VSI_BS=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VSI_BS_VSI_BS/pInst->sqrtumax-(btat_VSI_BS*sqrtumax_VSI_BS+btat_VSI_BS*sqrtumax_VSI_BS+pInst->btat*sqrtumax_VSI_BS_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VSI_BS*sqrtumax_VSI_BS/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
  ktat_VSI_BS_VDI_BD=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VSI_BS_VDI_BD/pInst->sqrtumax-(btat_VSI_BS*sqrtumax_VDI_BD+btat_VDI_BD*sqrtumax_VSI_BS+pInst->btat*sqrtumax_VSI_BS_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VSI_BS*sqrtumax_VDI_BD/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
#endif
ktat_VDI_BD=(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))*d10_sqrt0;
#if defined(_DERIVATE2)
  ktat_VDI_BD_VSI_BS=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VDI_BD_VSI_BS/pInst->sqrtumax-(btat_VDI_BD*sqrtumax_VSI_BS+btat_VSI_BS*sqrtumax_VDI_BD+pInst->btat*sqrtumax_VDI_BD_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VDI_BD*sqrtumax_VSI_BS/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
  ktat_VDI_BD_VDI_BD=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VDI_BD_VDI_BD/pInst->sqrtumax-(btat_VDI_BD*sqrtumax_VDI_BD+btat_VDI_BD*sqrtumax_VDI_BD+pInst->btat*sqrtumax_VDI_BD_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VDI_BD*sqrtumax_VDI_BD/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
#endif
#endif
pInst->ktat=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ltat_VSI_BS=((2.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))-umax_VSI_BS);
#if defined(_DERIVATE2)
  ltat_VSI_BS_VSI_BS=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))+0.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS))+2.0*(+twoatatoverthreebtat_VSI_BS_VSI_BS*pInst->sqrtumax+twoatatoverthreebtat_VSI_BS*sqrtumax_VSI_BS+twoatatoverthreebtat_VSI_BS*sqrtumax_VSI_BS+pInst->twoatatoverthreebtat*sqrtumax_VSI_BS_VSI_BS))-umax_VSI_BS_VSI_BS);
  ltat_VSI_BS_VDI_BD=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))+0.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS))+2.0*(+twoatatoverthreebtat_VSI_BS_VDI_BD*pInst->sqrtumax+twoatatoverthreebtat_VSI_BS*sqrtumax_VDI_BD+twoatatoverthreebtat_VDI_BD*sqrtumax_VSI_BS+pInst->twoatatoverthreebtat*sqrtumax_VSI_BS_VDI_BD))-umax_VSI_BS_VDI_BD);
#endif
ltat_VDI_BD=((2.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))-umax_VDI_BD);
#if defined(_DERIVATE2)
  ltat_VDI_BD_VSI_BS=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))+0.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD))+2.0*(+twoatatoverthreebtat_VDI_BD_VSI_BS*pInst->sqrtumax+twoatatoverthreebtat_VDI_BD*sqrtumax_VSI_BS+twoatatoverthreebtat_VSI_BS*sqrtumax_VDI_BD+pInst->twoatatoverthreebtat*sqrtumax_VDI_BD_VSI_BS))-umax_VDI_BD_VSI_BS);
  ltat_VDI_BD_VDI_BD=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))+0.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD))+2.0*(+twoatatoverthreebtat_VDI_BD_VDI_BD*pInst->sqrtumax+twoatatoverthreebtat_VDI_BD*sqrtumax_VDI_BD+twoatatoverthreebtat_VDI_BD*sqrtumax_VDI_BD+pInst->twoatatoverthreebtat*sqrtumax_VDI_BD_VDI_BD))-umax_VDI_BD_VDI_BD);
#endif
#endif
pInst->ltat=((2.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax))-pInst->umax);
EXIT_IF_ISNAN(((2.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax))-pInst->umax))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
mtat_VSI_BS=(((((pModel->atatbot_d*twoatatoverthreebtat_VSI_BS)*pInst->sqrtumax)+((pModel->atatbot_d*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS))-(pModel->atatbot_d*umax_VSI_BS))+(0.5*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))));
#if defined(_DERIVATE2)
  mtat_VSI_BS_VSI_BS=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VSI_BS+0.0*twoatatoverthreebtat_VSI_BS+pModel->atatbot_d*twoatatoverthreebtat_VSI_BS_VSI_BS)*pInst->sqrtumax+(pModel->atatbot_d*twoatatoverthreebtat_VSI_BS)*sqrtumax_VSI_BS+((pModel->atatbot_d*twoatatoverthreebtat_VSI_BS))*sqrtumax_VSI_BS+(pModel->atatbot_d*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS_VSI_BS)-(+0.0*pInst->umax+0.0*umax_VSI_BS+0.0*umax_VSI_BS+pModel->atatbot_d*umax_VSI_BS_VSI_BS))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+0.5*(+btat_VSI_BS_VSI_BS*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VSI_BS)));
  mtat_VSI_BS_VDI_BD=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VDI_BD+0.0*twoatatoverthreebtat_VSI_BS+pModel->atatbot_d*twoatatoverthreebtat_VSI_BS_VDI_BD)*pInst->sqrtumax+(pModel->atatbot_d*twoatatoverthreebtat_VSI_BS)*sqrtumax_VDI_BD+((pModel->atatbot_d*twoatatoverthreebtat_VDI_BD))*sqrtumax_VSI_BS+(pModel->atatbot_d*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS_VDI_BD)-(+0.0*pInst->umax+0.0*umax_VDI_BD+0.0*umax_VSI_BS+pModel->atatbot_d*umax_VSI_BS_VDI_BD))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+0.5*(+btat_VSI_BS_VDI_BD*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VDI_BD)));
#endif
mtat_VDI_BD=(((((pModel->atatbot_d*twoatatoverthreebtat_VDI_BD)*pInst->sqrtumax)+((pModel->atatbot_d*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD))-(pModel->atatbot_d*umax_VDI_BD))+(0.5*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))));
#if defined(_DERIVATE2)
  mtat_VDI_BD_VSI_BS=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VSI_BS+0.0*twoatatoverthreebtat_VDI_BD+pModel->atatbot_d*twoatatoverthreebtat_VDI_BD_VSI_BS)*pInst->sqrtumax+(pModel->atatbot_d*twoatatoverthreebtat_VDI_BD)*sqrtumax_VSI_BS+((pModel->atatbot_d*twoatatoverthreebtat_VSI_BS))*sqrtumax_VDI_BD+(pModel->atatbot_d*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD_VSI_BS)-(+0.0*pInst->umax+0.0*umax_VSI_BS+0.0*umax_VDI_BD+pModel->atatbot_d*umax_VDI_BD_VSI_BS))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+0.5*(+btat_VDI_BD_VSI_BS*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VSI_BS)));
  mtat_VDI_BD_VDI_BD=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VDI_BD+0.0*twoatatoverthreebtat_VDI_BD+pModel->atatbot_d*twoatatoverthreebtat_VDI_BD_VDI_BD)*pInst->sqrtumax+(pModel->atatbot_d*twoatatoverthreebtat_VDI_BD)*sqrtumax_VDI_BD+((pModel->atatbot_d*twoatatoverthreebtat_VDI_BD))*sqrtumax_VDI_BD+(pModel->atatbot_d*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD_VDI_BD)-(+0.0*pInst->umax+0.0*umax_VDI_BD+0.0*umax_VDI_BD+pModel->atatbot_d*umax_VDI_BD_VDI_BD))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+0.5*(+btat_VDI_BD_VDI_BD*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VDI_BD)));
#endif
#endif
pInst->mtat=((((pModel->atatbot_d*pInst->twoatatoverthreebtat)*pInst->sqrtumax)-(pModel->atatbot_d*pInst->umax))+(0.5*(pInst->btat*pInst->umaxpoweronepointfive)));
EXIT_IF_ISNAN(((((pModel->atatbot_d*pInst->twoatatoverthreebtat)*pInst->sqrtumax)-(pModel->atatbot_d*pInst->umax))+(0.5*(pInst->btat*pInst->umaxpoweronepointfive))))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
xerfc_VSI_BS=((ltat_VSI_BS*pInst->ktat)+((pInst->ltat-1.0)*ktat_VSI_BS));
#if defined(_DERIVATE2)
  xerfc_VSI_BS_VSI_BS=(+(+ltat_VSI_BS_VSI_BS-0.0)*pInst->ktat+ltat_VSI_BS*ktat_VSI_BS+ltat_VSI_BS*ktat_VSI_BS+(pInst->ltat-1.0)*ktat_VSI_BS_VSI_BS);
  xerfc_VSI_BS_VDI_BD=(+(+ltat_VSI_BS_VDI_BD-0.0)*pInst->ktat+ltat_VSI_BS*ktat_VDI_BD+ltat_VDI_BD*ktat_VSI_BS+(pInst->ltat-1.0)*ktat_VSI_BS_VDI_BD);
#endif
xerfc_VDI_BD=((ltat_VDI_BD*pInst->ktat)+((pInst->ltat-1.0)*ktat_VDI_BD));
#if defined(_DERIVATE2)
  xerfc_VDI_BD_VSI_BS=(+(+ltat_VDI_BD_VSI_BS-0.0)*pInst->ktat+ltat_VDI_BD*ktat_VSI_BS+ltat_VSI_BS*ktat_VDI_BD+(pInst->ltat-1.0)*ktat_VDI_BD_VSI_BS);
  xerfc_VDI_BD_VDI_BD=(+(+ltat_VDI_BD_VDI_BD-0.0)*pInst->ktat+ltat_VDI_BD*ktat_VDI_BD+ltat_VDI_BD*ktat_VDI_BD+(pInst->ltat-1.0)*ktat_VDI_BD_VDI_BD);
#endif
#endif
pInst->xerfc=((pInst->ltat-1.0)*pInst->ktat);
EXIT_IF_ISNAN(((pInst->ltat-1.0)*pInst->ktat))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ysq_VSI_BS=((xerfc_VSI_BS*pInst->xerfc)+(pInst->xerfc*xerfc_VSI_BS));
#if defined(_DERIVATE2)
  ysq_VSI_BS_VSI_BS=(+xerfc_VSI_BS_VSI_BS*pInst->xerfc+xerfc_VSI_BS*xerfc_VSI_BS+xerfc_VSI_BS*xerfc_VSI_BS+pInst->xerfc*xerfc_VSI_BS_VSI_BS);
  ysq_VSI_BS_VDI_BD=(+xerfc_VSI_BS_VDI_BD*pInst->xerfc+xerfc_VSI_BS*xerfc_VDI_BD+xerfc_VDI_BD*xerfc_VSI_BS+pInst->xerfc*xerfc_VSI_BS_VDI_BD);
#endif
ysq_VDI_BD=((xerfc_VDI_BD*pInst->xerfc)+(pInst->xerfc*xerfc_VDI_BD));
#if defined(_DERIVATE2)
  ysq_VDI_BD_VSI_BS=(+xerfc_VDI_BD_VSI_BS*pInst->xerfc+xerfc_VDI_BD*xerfc_VSI_BS+xerfc_VSI_BS*xerfc_VDI_BD+pInst->xerfc*xerfc_VDI_BD_VSI_BS);
  ysq_VDI_BD_VDI_BD=(+xerfc_VDI_BD_VDI_BD*pInst->xerfc+xerfc_VDI_BD*xerfc_VDI_BD+xerfc_VDI_BD*xerfc_VDI_BD+pInst->xerfc*xerfc_VDI_BD_VDI_BD);
#endif
#endif
pInst->ysq=(pInst->xerfc*pInst->xerfc);
EXIT_IF_ISNAN((pInst->xerfc*pInst->xerfc))
if
((pInst->xerfc>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
terfc_VSI_BS=(-(pModel->perfc*xerfc_VSI_BS)/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VSI_BS_VSI_BS=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VSI_BS))+0.0*(pModel->perfc*xerfc_VSI_BS)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VSI_BS)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VSI_BS)*((pModel->perfc*xerfc_VSI_BS))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
  terfc_VSI_BS_VDI_BD=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VDI_BD))+0.0*(pModel->perfc*xerfc_VSI_BS)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VDI_BD)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VSI_BS)*((pModel->perfc*xerfc_VDI_BD))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#endif
terfc_VDI_BD=(-(pModel->perfc*xerfc_VDI_BD)/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VDI_BD_VSI_BS=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VSI_BS))+0.0*(pModel->perfc*xerfc_VDI_BD)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VSI_BS)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VDI_BD)*((pModel->perfc*xerfc_VSI_BS))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
  terfc_VDI_BD_VDI_BD=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VDI_BD))+0.0*(pModel->perfc*xerfc_VDI_BD)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VDI_BD)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VDI_BD)*((pModel->perfc*xerfc_VDI_BD))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#endif
#endif
pInst->terfc=(1.0/(1.0+(pModel->perfc*pInst->xerfc)));
EXIT_IF_ISNAN((1.0/(1.0+(pModel->perfc*pInst->xerfc))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
terfc_VSI_BS=(-(-(pModel->perfc*xerfc_VSI_BS))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VSI_BS_VSI_BS=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VSI_BS)))+0.0*(-(pModel->perfc*xerfc_VSI_BS))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VSI_BS))*(-((pModel->perfc*xerfc_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
  terfc_VSI_BS_VDI_BD=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VDI_BD)))+0.0*(-(pModel->perfc*xerfc_VSI_BS))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VSI_BS))*(-((pModel->perfc*xerfc_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#endif
terfc_VDI_BD=(-(-(pModel->perfc*xerfc_VDI_BD))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VDI_BD_VSI_BS=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VSI_BS)))+0.0*(-(pModel->perfc*xerfc_VDI_BD))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VDI_BD))*(-((pModel->perfc*xerfc_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
  terfc_VDI_BD_VDI_BD=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VDI_BD)))+0.0*(-(pModel->perfc*xerfc_VDI_BD))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VDI_BD))*(-((pModel->perfc*xerfc_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#endif
#endif
pInst->terfc=(1.0/(1.0-(pModel->perfc*pInst->xerfc)));
EXIT_IF_ISNAN((1.0/(1.0-(pModel->perfc*pInst->xerfc))))
}
if
((((-pInst->ysq)+pInst->mtat)>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,((-pInst->ysq)+pInst->mtat))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=((-ysq_VSI_BS)+mtat_VSI_BS)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VSI_BS)+mtat_VSI_BS)*((-ysq_VSI_BS)+mtat_VSI_BS)+d10_exp0*(+0.0+mtat_VSI_BS_VSI_BS));
  tmp_VSI_BS_VDI_BD=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VDI_BD)+mtat_VDI_BD)*((-ysq_VSI_BS)+mtat_VSI_BS)+d10_exp0*(+0.0+mtat_VSI_BS_VDI_BD));
#endif
tmp_VDI_BD=((-ysq_VDI_BD)+mtat_VDI_BD)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VSI_BS)+mtat_VSI_BS)*((-ysq_VDI_BD)+mtat_VDI_BD)+d10_exp0*(+0.0+mtat_VDI_BD_VSI_BS));
  tmp_VDI_BD_VDI_BD=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VDI_BD)+mtat_VDI_BD)*((-ysq_VDI_BD)+mtat_VDI_BD)+d10_exp0*(+0.0+mtat_VDI_BD_VDI_BD));
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*3.3333333333333333e-01+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*3.3333333333333333e-01+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*3.3333333333333333e-01+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*3.3333333333333333e-01+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
erfcpos_VSI_BS=(((((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*pInst->tmp)+((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS));
#if defined(_DERIVATE2)
  erfcpos_VSI_BS_VSI_BS=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VSI_BS+0.0*terfc_VSI_BS+0.29214664*terfc_VSI_BS_VSI_BS)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))+0.0*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))+pModel->berfc*(+terfc_VSI_BS_VSI_BS*pInst->terfc+terfc_VSI_BS*terfc_VSI_BS+terfc_VSI_BS*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VSI_BS)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS)))+0.0*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))+pModel->cerfc*(+(+terfc_VSI_BS_VSI_BS*pInst->terfc+terfc_VSI_BS*terfc_VSI_BS+terfc_VSI_BS*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VSI_BS)*pInst->terfc+((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*terfc_VSI_BS+(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*terfc_VSI_BS+(pInst->terfc*pInst->terfc)*terfc_VSI_BS_VSI_BS)))*pInst->tmp+(((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*tmp_VSI_BS+((((0.29214664*terfc_VSI_BS))+((pModel->berfc*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))))+((pModel->cerfc*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))))*tmp_VSI_BS+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS_VSI_BS);
  erfcpos_VSI_BS_VDI_BD=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VDI_BD+0.0*terfc_VSI_BS+0.29214664*terfc_VSI_BS_VDI_BD)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))+0.0*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))+pModel->berfc*(+terfc_VSI_BS_VDI_BD*pInst->terfc+terfc_VSI_BS*terfc_VDI_BD+terfc_VDI_BD*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VDI_BD)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD)))+0.0*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))+pModel->cerfc*(+(+terfc_VSI_BS_VDI_BD*pInst->terfc+terfc_VSI_BS*terfc_VDI_BD+terfc_VDI_BD*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VDI_BD)*pInst->terfc+((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*terfc_VDI_BD+(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*terfc_VSI_BS+(pInst->terfc*pInst->terfc)*terfc_VSI_BS_VDI_BD)))*pInst->tmp+(((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*tmp_VDI_BD+((((0.29214664*terfc_VDI_BD))+((pModel->berfc*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))))+((pModel->cerfc*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))))*tmp_VSI_BS+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS_VDI_BD);
#endif
erfcpos_VDI_BD=(((((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*pInst->tmp)+((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD));
#if defined(_DERIVATE2)
  erfcpos_VDI_BD_VSI_BS=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VSI_BS+0.0*terfc_VDI_BD+0.29214664*terfc_VDI_BD_VSI_BS)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))+0.0*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))+pModel->berfc*(+terfc_VDI_BD_VSI_BS*pInst->terfc+terfc_VDI_BD*terfc_VSI_BS+terfc_VSI_BS*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VSI_BS)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS)))+0.0*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))+pModel->cerfc*(+(+terfc_VDI_BD_VSI_BS*pInst->terfc+terfc_VDI_BD*terfc_VSI_BS+terfc_VSI_BS*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VSI_BS)*pInst->terfc+((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*terfc_VSI_BS+(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*terfc_VDI_BD+(pInst->terfc*pInst->terfc)*terfc_VDI_BD_VSI_BS)))*pInst->tmp+(((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*tmp_VSI_BS+((((0.29214664*terfc_VSI_BS))+((pModel->berfc*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))))+((pModel->cerfc*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))))*tmp_VDI_BD+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD_VSI_BS);
  erfcpos_VDI_BD_VDI_BD=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VDI_BD+0.0*terfc_VDI_BD+0.29214664*terfc_VDI_BD_VDI_BD)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))+0.0*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))+pModel->berfc*(+terfc_VDI_BD_VDI_BD*pInst->terfc+terfc_VDI_BD*terfc_VDI_BD+terfc_VDI_BD*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VDI_BD)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD)))+0.0*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))+pModel->cerfc*(+(+terfc_VDI_BD_VDI_BD*pInst->terfc+terfc_VDI_BD*terfc_VDI_BD+terfc_VDI_BD*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VDI_BD)*pInst->terfc+((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*terfc_VDI_BD+(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*terfc_VDI_BD+(pInst->terfc*pInst->terfc)*terfc_VDI_BD_VDI_BD)))*pInst->tmp+(((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*tmp_VDI_BD+((((0.29214664*terfc_VDI_BD))+((pModel->berfc*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))))+((pModel->cerfc*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))))*tmp_VDI_BD+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD_VDI_BD);
#endif
#endif
pInst->erfcpos=((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*pInst->tmp);
EXIT_IF_ISNAN(((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*pInst->tmp))
if
((pInst->xerfc>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
erfctimesexpmtat_VSI_BS=erfcpos_VSI_BS;
#if defined(_DERIVATE2)
  erfctimesexpmtat_VSI_BS_VSI_BS=erfcpos_VSI_BS_VSI_BS;
  erfctimesexpmtat_VSI_BS_VDI_BD=erfcpos_VSI_BS_VDI_BD;
#endif
erfctimesexpmtat_VDI_BD=erfcpos_VDI_BD;
#if defined(_DERIVATE2)
  erfctimesexpmtat_VDI_BD_VSI_BS=erfcpos_VDI_BD_VSI_BS;
  erfctimesexpmtat_VDI_BD_VDI_BD=erfcpos_VDI_BD_VDI_BD;
#endif
#endif
pInst->erfctimesexpmtat=pInst->erfcpos;
EXIT_IF_ISNAN(pInst->erfcpos)
}
else
{
if
((pInst->mtat>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,pInst->mtat)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=mtat_VSI_BS*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(pInst->mtat)*mtat_VSI_BS*mtat_VSI_BS+d10_exp0*mtat_VSI_BS_VSI_BS);
  tmp_VSI_BS_VDI_BD=(m20_exp(pInst->mtat)*mtat_VDI_BD*mtat_VSI_BS+d10_exp0*mtat_VSI_BS_VDI_BD);
#endif
tmp_VDI_BD=mtat_VDI_BD*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(pInst->mtat)*mtat_VSI_BS*mtat_VDI_BD+d10_exp0*mtat_VDI_BD_VSI_BS);
  tmp_VDI_BD_VDI_BD=(m20_exp(pInst->mtat)*mtat_VDI_BD*mtat_VDI_BD+d10_exp0*mtat_VDI_BD_VDI_BD);
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VSI_BS_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VSI_BS)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))))+(-mtat_VSI_BS)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))+0.0*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VSI_BS_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VSI_BS)*((-mtat_VSI_BS)*3.3333333333333333e-01)+(-mtat_VSI_BS)*(-mtat_VSI_BS)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VSI_BS_VSI_BS)*3.3333333333333333e-01+(-mtat_VSI_BS)*0.0+(-mtat_VSI_BS)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VSI_BS_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VSI_BS)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))))+(-mtat_VDI_BD)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))+0.0*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VSI_BS_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VSI_BS)*((-mtat_VDI_BD)*3.3333333333333333e-01)+(-mtat_VDI_BD)*(-mtat_VSI_BS)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VSI_BS_VDI_BD)*3.3333333333333333e-01+(-mtat_VSI_BS)*0.0+(-mtat_VDI_BD)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VDI_BD_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VDI_BD)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))))+(-mtat_VSI_BS)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))+0.0*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VDI_BD_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VDI_BD)*((-mtat_VSI_BS)*3.3333333333333333e-01)+(-mtat_VSI_BS)*(-mtat_VDI_BD)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VDI_BD_VSI_BS)*3.3333333333333333e-01+(-mtat_VDI_BD)*0.0+(-mtat_VSI_BS)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VDI_BD_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VDI_BD)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))))+(-mtat_VDI_BD)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))+0.0*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VDI_BD_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VDI_BD)*((-mtat_VDI_BD)*3.3333333333333333e-01)+(-mtat_VDI_BD)*(-mtat_VDI_BD)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VDI_BD_VDI_BD)*3.3333333333333333e-01+(-mtat_VDI_BD)*0.0+(-mtat_VDI_BD)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
erfctimesexpmtat_VSI_BS=((2.0*tmp_VSI_BS)-erfcpos_VSI_BS);
#if defined(_DERIVATE2)
  erfctimesexpmtat_VSI_BS_VSI_BS=(+(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VSI_BS+2.0*tmp_VSI_BS_VSI_BS)-erfcpos_VSI_BS_VSI_BS);
  erfctimesexpmtat_VSI_BS_VDI_BD=(+(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VSI_BS+2.0*tmp_VSI_BS_VDI_BD)-erfcpos_VSI_BS_VDI_BD);
#endif
erfctimesexpmtat_VDI_BD=((2.0*tmp_VDI_BD)-erfcpos_VDI_BD);
#if defined(_DERIVATE2)
  erfctimesexpmtat_VDI_BD_VSI_BS=(+(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VDI_BD+2.0*tmp_VDI_BD_VSI_BS)-erfcpos_VDI_BD_VSI_BS);
  erfctimesexpmtat_VDI_BD_VDI_BD=(+(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VDI_BD+2.0*tmp_VDI_BD_VDI_BD)-erfcpos_VDI_BD_VDI_BD);
#endif
#endif
pInst->erfctimesexpmtat=((2.0*pInst->tmp)-pInst->erfcpos);
EXIT_IF_ISNAN(((2.0*pInst->tmp)-pInst->erfcpos))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
gammamax_VSI_BS=((1.77245385090551603*0.5)*(((pModel->atatbot_d*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat));
#if defined(_DERIVATE2)
  gammamax_VSI_BS_VSI_BS=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatbot_d*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatbot_d*erfctimesexpmtat_VSI_BS))*pInst->ktat-(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatbot_d*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VSI_BS+0.0*erfctimesexpmtat_VSI_BS+pModel->atatbot_d*erfctimesexpmtat_VSI_BS_VSI_BS)/pInst->ktat-((pModel->atatbot_d*erfctimesexpmtat_VSI_BS)*ktat_VSI_BS+((pModel->atatbot_d*erfctimesexpmtat_VSI_BS))*ktat_VSI_BS+(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VSI_BS_VSI_BS)/pInst->ktat/pInst->ktat+2*(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VSI_BS*ktat_VSI_BS/pInst->ktat/pInst->ktat/pInst->ktat));
  gammamax_VSI_BS_VDI_BD=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatbot_d*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatbot_d*erfctimesexpmtat_VDI_BD))*pInst->ktat-(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatbot_d*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VDI_BD+0.0*erfctimesexpmtat_VSI_BS+pModel->atatbot_d*erfctimesexpmtat_VSI_BS_VDI_BD)/pInst->ktat-((pModel->atatbot_d*erfctimesexpmtat_VSI_BS)*ktat_VDI_BD+((pModel->atatbot_d*erfctimesexpmtat_VDI_BD))*ktat_VSI_BS+(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VSI_BS_VDI_BD)/pInst->ktat/pInst->ktat+2*(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VSI_BS*ktat_VDI_BD/pInst->ktat/pInst->ktat/pInst->ktat));
#endif
gammamax_VDI_BD=((1.77245385090551603*0.5)*(((pModel->atatbot_d*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat));
#if defined(_DERIVATE2)
  gammamax_VDI_BD_VSI_BS=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatbot_d*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatbot_d*erfctimesexpmtat_VSI_BS))*pInst->ktat-(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatbot_d*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VSI_BS+0.0*erfctimesexpmtat_VDI_BD+pModel->atatbot_d*erfctimesexpmtat_VDI_BD_VSI_BS)/pInst->ktat-((pModel->atatbot_d*erfctimesexpmtat_VDI_BD)*ktat_VSI_BS+((pModel->atatbot_d*erfctimesexpmtat_VSI_BS))*ktat_VDI_BD+(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VDI_BD_VSI_BS)/pInst->ktat/pInst->ktat+2*(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VDI_BD*ktat_VSI_BS/pInst->ktat/pInst->ktat/pInst->ktat));
  gammamax_VDI_BD_VDI_BD=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatbot_d*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatbot_d*erfctimesexpmtat_VDI_BD))*pInst->ktat-(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatbot_d*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VDI_BD+0.0*erfctimesexpmtat_VDI_BD+pModel->atatbot_d*erfctimesexpmtat_VDI_BD_VDI_BD)/pInst->ktat-((pModel->atatbot_d*erfctimesexpmtat_VDI_BD)*ktat_VDI_BD+((pModel->atatbot_d*erfctimesexpmtat_VDI_BD))*ktat_VDI_BD+(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VDI_BD_VDI_BD)/pInst->ktat/pInst->ktat+2*(pModel->atatbot_d*pInst->erfctimesexpmtat)*ktat_VDI_BD*ktat_VDI_BD/pInst->ktat/pInst->ktat/pInst->ktat));
#endif
#endif
pInst->gammamax=((1.77245385090551603*0.5)*((pModel->atatbot_d*pInst->erfctimesexpmtat)/pInst->ktat));
EXIT_IF_ISNAN(((1.77245385090551603*0.5)*((pModel->atatbot_d*pInst->erfctimesexpmtat)/pInst->ktat)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
itat_VSI_BS=(pModel->CTATBOTD_i*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)));
#if defined(_DERIVATE2)
  itat_VSI_BS_VSI_BS=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)))+0.0*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS))+pModel->CTATBOTD_i*(+(+asrh_VSI_BS_VSI_BS*pInst->gammamax+asrh_VSI_BS*gammamax_VSI_BS+asrh_VSI_BS*gammamax_VSI_BS+pInst->asrh*gammamax_VSI_BS_VSI_BS)*pInst->wtat+((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*wtat_VSI_BS+(((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*wtat_VSI_BS+(pInst->asrh*pInst->gammamax)*wtat_VSI_BS_VSI_BS));
  itat_VSI_BS_VDI_BD=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)))+0.0*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS))+pModel->CTATBOTD_i*(+(+asrh_VSI_BS_VDI_BD*pInst->gammamax+asrh_VSI_BS*gammamax_VDI_BD+asrh_VDI_BD*gammamax_VSI_BS+pInst->asrh*gammamax_VSI_BS_VDI_BD)*pInst->wtat+((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*wtat_VDI_BD+(((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*wtat_VSI_BS+(pInst->asrh*pInst->gammamax)*wtat_VSI_BS_VDI_BD));
#endif
itat_VDI_BD=(pModel->CTATBOTD_i*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)));
#if defined(_DERIVATE2)
  itat_VDI_BD_VSI_BS=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)))+0.0*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD))+pModel->CTATBOTD_i*(+(+asrh_VDI_BD_VSI_BS*pInst->gammamax+asrh_VDI_BD*gammamax_VSI_BS+asrh_VSI_BS*gammamax_VDI_BD+pInst->asrh*gammamax_VDI_BD_VSI_BS)*pInst->wtat+((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*wtat_VSI_BS+(((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*wtat_VDI_BD+(pInst->asrh*pInst->gammamax)*wtat_VDI_BD_VSI_BS));
  itat_VDI_BD_VDI_BD=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)))+0.0*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD))+pModel->CTATBOTD_i*(+(+asrh_VDI_BD_VDI_BD*pInst->gammamax+asrh_VDI_BD*gammamax_VDI_BD+asrh_VDI_BD*gammamax_VDI_BD+pInst->asrh*gammamax_VDI_BD_VDI_BD)*pInst->wtat+((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*wtat_VDI_BD+(((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*wtat_VDI_BD+(pInst->asrh*pInst->gammamax)*wtat_VDI_BD_VDI_BD));
#endif
#endif
pInst->itat=(pModel->CTATBOTD_i*((pInst->asrh*pInst->gammamax)*pInst->wtat));
EXIT_IF_ISNAN((pModel->CTATBOTD_i*((pInst->asrh*pInst->gammamax)*pInst->wtat)))
}
if
((pModel->CBBTBOTD_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ibbt_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ibbt_VSI_BS_VSI_BS=0.0;
  ibbt_VSI_BS_VDI_BD=0.0;
#endif
ibbt_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ibbt_VDI_BD_VSI_BS=0.0;
  ibbt_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->ibbt=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
if
((pModel->PBOTD_i==0.5))
{
{
double m00_sqrt(d00_sqrt0,((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->VBIRBOTinv_d))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->VBIRBOTinv_d))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-vbbt_VSI_BS)*pModel->VBIRBOTinv_d*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt(((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->VBIRBOTinv_d))*((-vbbt_VSI_BS)*pModel->VBIRBOTinv_d)*(-vbbt_VSI_BS)*pModel->VBIRBOTinv_d+d10_sqrt0*(+(+0.0-vbbt_VSI_BS_VSI_BS)*pModel->VBIRBOTinv_d+(-vbbt_VSI_BS)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRBOTD_i-pInst->vbbt)*0.0));
  tmp_VSI_BS_VDI_BD=(m20_sqrt(((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->VBIRBOTinv_d))*((-vbbt_VDI_BD)*pModel->VBIRBOTinv_d)*(-vbbt_VSI_BS)*pModel->VBIRBOTinv_d+d10_sqrt0*(+(+0.0-vbbt_VSI_BS_VDI_BD)*pModel->VBIRBOTinv_d+(-vbbt_VSI_BS)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRBOTD_i-pInst->vbbt)*0.0));
#endif
tmp_VDI_BD=(-vbbt_VDI_BD)*pModel->VBIRBOTinv_d*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_sqrt(((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->VBIRBOTinv_d))*((-vbbt_VSI_BS)*pModel->VBIRBOTinv_d)*(-vbbt_VDI_BD)*pModel->VBIRBOTinv_d+d10_sqrt0*(+(+0.0-vbbt_VDI_BD_VSI_BS)*pModel->VBIRBOTinv_d+(-vbbt_VDI_BD)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRBOTD_i-pInst->vbbt)*0.0));
  tmp_VDI_BD_VDI_BD=(m20_sqrt(((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->VBIRBOTinv_d))*((-vbbt_VDI_BD)*pModel->VBIRBOTinv_d)*(-vbbt_VDI_BD)*pModel->VBIRBOTinv_d+d10_sqrt0*(+(+0.0-vbbt_VDI_BD_VDI_BD)*pModel->VBIRBOTinv_d+(-vbbt_VDI_BD)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRBOTD_i-pInst->vbbt)*0.0));
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->VBIRBOTinv_d),pModel->PBOTD_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->VBIRBOTinv_d),pModel->PBOTD_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*(-vbbt_VSI_BS)*pModel->VBIRBOTinv_d);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow0*(-vbbt_VDI_BD)*pModel->VBIRBOTinv_d);
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Fmaxr_VSI_BS=(pModel->one_over_one_minus_PBOT_d*(((-vbbt_VSI_BS)*pModel->wdepnulrinvbot_d*pInst->tmp-((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp));
#if defined(_DERIVATE2)
  Fmaxr_VSI_BS_VSI_BS=(+0.0*(((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)/pInst->tmp)+0.0*((((-vbbt_VSI_BS)*pModel->wdepnulrinvbot_d)*pInst->tmp-((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VSI_BS)*pModel->wdepnulrinvbot_d*pInst->tmp-((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PBOT_d*((+(+0.0-vbbt_VSI_BS_VSI_BS)*pModel->wdepnulrinvbot_d+(-vbbt_VSI_BS)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRBOTD_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VSI_BS)*pModel->wdepnulrinvbot_d*tmp_VSI_BS+((-vbbt_VSI_BS)*pModel->wdepnulrinvbot_d)*tmp_VSI_BS+((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VSI_BS_VSI_BS)/pInst->tmp/pInst->tmp+2*((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VSI_BS*tmp_VSI_BS/pInst->tmp/pInst->tmp/pInst->tmp));
  Fmaxr_VSI_BS_VDI_BD=(+0.0*(((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)/pInst->tmp)+0.0*((((-vbbt_VDI_BD)*pModel->wdepnulrinvbot_d)*pInst->tmp-((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VSI_BS)*pModel->wdepnulrinvbot_d*pInst->tmp-((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PBOT_d*((+(+0.0-vbbt_VSI_BS_VDI_BD)*pModel->wdepnulrinvbot_d+(-vbbt_VSI_BS)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRBOTD_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VSI_BS)*pModel->wdepnulrinvbot_d*tmp_VDI_BD+((-vbbt_VDI_BD)*pModel->wdepnulrinvbot_d)*tmp_VSI_BS+((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VSI_BS_VDI_BD)/pInst->tmp/pInst->tmp+2*((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VSI_BS*tmp_VDI_BD/pInst->tmp/pInst->tmp/pInst->tmp));
#endif
Fmaxr_VDI_BD=(pModel->one_over_one_minus_PBOT_d*(((-vbbt_VDI_BD)*pModel->wdepnulrinvbot_d*pInst->tmp-((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp));
#if defined(_DERIVATE2)
  Fmaxr_VDI_BD_VSI_BS=(+0.0*(((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)/pInst->tmp)+0.0*((((-vbbt_VSI_BS)*pModel->wdepnulrinvbot_d)*pInst->tmp-((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VDI_BD)*pModel->wdepnulrinvbot_d*pInst->tmp-((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PBOT_d*((+(+0.0-vbbt_VDI_BD_VSI_BS)*pModel->wdepnulrinvbot_d+(-vbbt_VDI_BD)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRBOTD_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VDI_BD)*pModel->wdepnulrinvbot_d*tmp_VSI_BS+((-vbbt_VSI_BS)*pModel->wdepnulrinvbot_d)*tmp_VDI_BD+((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VDI_BD_VSI_BS)/pInst->tmp/pInst->tmp+2*((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VDI_BD*tmp_VSI_BS/pInst->tmp/pInst->tmp/pInst->tmp));
  Fmaxr_VDI_BD_VDI_BD=(+0.0*(((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)/pInst->tmp)+0.0*((((-vbbt_VDI_BD)*pModel->wdepnulrinvbot_d)*pInst->tmp-((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VDI_BD)*pModel->wdepnulrinvbot_d*pInst->tmp-((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PBOT_d*((+(+0.0-vbbt_VDI_BD_VDI_BD)*pModel->wdepnulrinvbot_d+(-vbbt_VDI_BD)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRBOTD_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VDI_BD)*pModel->wdepnulrinvbot_d*tmp_VDI_BD+((-vbbt_VDI_BD)*pModel->wdepnulrinvbot_d)*tmp_VDI_BD+((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VDI_BD_VDI_BD)/pInst->tmp/pInst->tmp+2*((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)*tmp_VDI_BD*tmp_VDI_BD/pInst->tmp/pInst->tmp/pInst->tmp));
#endif
#endif
pInst->Fmaxr=(pModel->one_over_one_minus_PBOT_d*(((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)/pInst->tmp));
EXIT_IF_ISNAN((pModel->one_over_one_minus_PBOT_d*(((pModel->VBIRBOTD_i-pInst->vbbt)*pModel->wdepnulrinvbot_d)/pInst->tmp)))
{
double m00_fabs(d00_fabs0,((-pModel->fbbtbot_d)/pInst->Fmaxr))
if
((d00_fabs0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,((-pModel->fbbtbot_d)/pInst->Fmaxr))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
  tmp_VSI_BS_VDI_BD=(m20_exp(((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
#endif
tmp_VDI_BD=(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
  tmp_VDI_BD_VDI_BD=(m20_exp(((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
if
((((-pModel->fbbtbot_d)/pInst->Fmaxr)<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtbot_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(1.0e100*(((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(+0.0*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
  tmp_VSI_BS_VDI_BD=(+0.0*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtbot_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
#endif
tmp_VDI_BD=(1.0e100*(((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(+0.0*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtbot_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
  tmp_VDI_BD_VDI_BD=(+0.0*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtbot_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtbot_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtbot_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
pInst->tmp=(1.0e100*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtbot_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ibbt_VSI_BS=(pModel->CBBTBOTD_i*(((((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)));
#if defined(_DERIVATE2)
  ibbt_VSI_BS_VSI_BS=(+0.0*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*((((((((Vjun_d*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS)))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)))+0.0*(((((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS))+pModel->CBBTBOTD_i*(+(+(+0.0*pInst->Fmaxr+0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+Vjun_d*Fmaxr_VSI_BS_VSI_BS)*pInst->Fmaxr+(Vjun_d*Fmaxr_VSI_BS)*Fmaxr_VSI_BS+((Vjun_d*Fmaxr_VSI_BS))*Fmaxr_VSI_BS+(Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS_VSI_BS)*pInst->tmp+(((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*tmp_VSI_BS+(((((Vjun_d*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS)))*tmp_VSI_BS+((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS_VSI_BS));
  ibbt_VSI_BS_VDI_BD=(+0.0*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*(((((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD)))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)))+0.0*(((((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS))+pModel->CBBTBOTD_i*(+(+(+0.0*pInst->Fmaxr+0.0*Fmaxr_VDI_BD+Vjun_d_VDI_BD*Fmaxr_VSI_BS+Vjun_d*Fmaxr_VSI_BS_VDI_BD)*pInst->Fmaxr+(Vjun_d*Fmaxr_VSI_BS)*Fmaxr_VDI_BD+(((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*Fmaxr_VSI_BS+(Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS_VDI_BD)*pInst->tmp+(((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*tmp_VDI_BD+((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD)))*tmp_VSI_BS+((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS_VDI_BD));
#endif
ibbt_VDI_BD=(pModel->CBBTBOTD_i*((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)));
#if defined(_DERIVATE2)
  ibbt_VDI_BD_VSI_BS=(+0.0*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*((((((((Vjun_d*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS)))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)))+0.0*((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD))+pModel->CBBTBOTD_i*(+(+(+0.0*pInst->Fmaxr+Vjun_d_VDI_BD*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+Vjun_d*Fmaxr_VDI_BD_VSI_BS)*pInst->Fmaxr+((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*Fmaxr_VSI_BS+((Vjun_d*Fmaxr_VSI_BS))*Fmaxr_VDI_BD+(Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD_VSI_BS)*pInst->tmp+((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*tmp_VSI_BS+(((((Vjun_d*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS)))*tmp_VDI_BD+((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD_VSI_BS));
  ibbt_VDI_BD_VDI_BD=(+0.0*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*(((((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD)))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)))+0.0*((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD))+pModel->CBBTBOTD_i*(+(+(+Vjun_d_VDI_BD_VDI_BD*pInst->Fmaxr+Vjun_d_VDI_BD*Fmaxr_VDI_BD+Vjun_d_VDI_BD*Fmaxr_VDI_BD+Vjun_d*Fmaxr_VDI_BD_VDI_BD)*pInst->Fmaxr+((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*Fmaxr_VDI_BD+(((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*Fmaxr_VDI_BD+(Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD_VDI_BD)*pInst->tmp+((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*tmp_VDI_BD+((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD)))*tmp_VDI_BD+((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD_VDI_BD));
#endif
#endif
pInst->ibbt=(pModel->CBBTBOTD_i*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp));
EXIT_IF_ISNAN((pModel->CBBTBOTD_i*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)))
}
if
((pModel->VBRBOTD_i>1.0e3))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=0.0;
  fbreakdown_VSI_BS_VDI_BD=0.0;
#endif
fbreakdown_VDI_BD=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=0.0;
  fbreakdown_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->fbreakdown=1.0;
EXIT_IF_ISNAN(1.0)
}
else
{
if
((pInst->vav>((-pModel->alphaav)*pModel->VBRBOTD_i)))
{
if
((pModel->PBRBOTD_i==4.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=((((((vav_VSI_BS*pModel->VBRinvbot_d*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*vav_VSI_BS*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*vav_VSI_BS*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))+((((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))*vav_VSI_BS*pModel->VBRinvbot_d));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(+(+(+(+vav_VSI_BS_VSI_BS*pModel->VBRinvbot_d+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvbot_d)+vav_VSI_BS*pModel->VBRinvbot_d*(vav_VSI_BS*pModel->VBRinvbot_d)+(vav_VSI_BS*pModel->VBRinvbot_d)*vav_VSI_BS*pModel->VBRinvbot_d+(pInst->vav*pModel->VBRinvbot_d)*(+vav_VSI_BS_VSI_BS*pModel->VBRinvbot_d+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvbot_d)+((vav_VSI_BS*pModel->VBRinvbot_d*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*vav_VSI_BS*pModel->VBRinvbot_d))*(vav_VSI_BS*pModel->VBRinvbot_d)+((((vav_VSI_BS*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*(vav_VSI_BS*pModel->VBRinvbot_d))))*vav_VSI_BS*pModel->VBRinvbot_d+((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(+vav_VSI_BS_VSI_BS*pModel->VBRinvbot_d+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvbot_d)+((((vav_VSI_BS*pModel->VBRinvbot_d*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*vav_VSI_BS*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*vav_VSI_BS*pModel->VBRinvbot_d))*(vav_VSI_BS*pModel->VBRinvbot_d)+(((((((vav_VSI_BS*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*(vav_VSI_BS*pModel->VBRinvbot_d))))*(pInst->vav*pModel->VBRinvbot_d))+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(vav_VSI_BS*pModel->VBRinvbot_d))))*vav_VSI_BS*pModel->VBRinvbot_d+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))*(+vav_VSI_BS_VSI_BS*pModel->VBRinvbot_d+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0));
  tmp_VSI_BS_VDI_BD=(+(+(+(+vav_VSI_BS_VDI_BD*pModel->VBRinvbot_d+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvbot_d)+vav_VSI_BS*pModel->VBRinvbot_d*(vav_VDI_BD*pModel->VBRinvbot_d)+(vav_VDI_BD*pModel->VBRinvbot_d)*vav_VSI_BS*pModel->VBRinvbot_d+(pInst->vav*pModel->VBRinvbot_d)*(+vav_VSI_BS_VDI_BD*pModel->VBRinvbot_d+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvbot_d)+((vav_VSI_BS*pModel->VBRinvbot_d*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*vav_VSI_BS*pModel->VBRinvbot_d))*(vav_VDI_BD*pModel->VBRinvbot_d)+((((vav_VDI_BD*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*(vav_VDI_BD*pModel->VBRinvbot_d))))*vav_VSI_BS*pModel->VBRinvbot_d+((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(+vav_VSI_BS_VDI_BD*pModel->VBRinvbot_d+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvbot_d)+((((vav_VSI_BS*pModel->VBRinvbot_d*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*vav_VSI_BS*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*vav_VSI_BS*pModel->VBRinvbot_d))*(vav_VDI_BD*pModel->VBRinvbot_d)+(((((((vav_VDI_BD*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*(vav_VDI_BD*pModel->VBRinvbot_d))))*(pInst->vav*pModel->VBRinvbot_d))+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(vav_VDI_BD*pModel->VBRinvbot_d))))*vav_VSI_BS*pModel->VBRinvbot_d+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))*(+vav_VSI_BS_VDI_BD*pModel->VBRinvbot_d+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0));
#endif
tmp_VDI_BD=((((((vav_VDI_BD*pModel->VBRinvbot_d*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*vav_VDI_BD*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*vav_VDI_BD*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))+((((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))*vav_VDI_BD*pModel->VBRinvbot_d));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(+(+(+(+vav_VDI_BD_VSI_BS*pModel->VBRinvbot_d+vav_VDI_BD*0.0+vav_VSI_BS*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvbot_d)+vav_VDI_BD*pModel->VBRinvbot_d*(vav_VSI_BS*pModel->VBRinvbot_d)+(vav_VSI_BS*pModel->VBRinvbot_d)*vav_VDI_BD*pModel->VBRinvbot_d+(pInst->vav*pModel->VBRinvbot_d)*(+vav_VDI_BD_VSI_BS*pModel->VBRinvbot_d+vav_VDI_BD*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvbot_d)+((vav_VDI_BD*pModel->VBRinvbot_d*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*vav_VDI_BD*pModel->VBRinvbot_d))*(vav_VSI_BS*pModel->VBRinvbot_d)+((((vav_VSI_BS*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*(vav_VSI_BS*pModel->VBRinvbot_d))))*vav_VDI_BD*pModel->VBRinvbot_d+((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(+vav_VDI_BD_VSI_BS*pModel->VBRinvbot_d+vav_VDI_BD*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvbot_d)+((((vav_VDI_BD*pModel->VBRinvbot_d*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*vav_VDI_BD*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*vav_VDI_BD*pModel->VBRinvbot_d))*(vav_VSI_BS*pModel->VBRinvbot_d)+(((((((vav_VSI_BS*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*(vav_VSI_BS*pModel->VBRinvbot_d))))*(pInst->vav*pModel->VBRinvbot_d))+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(vav_VSI_BS*pModel->VBRinvbot_d))))*vav_VDI_BD*pModel->VBRinvbot_d+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))*(+vav_VDI_BD_VSI_BS*pModel->VBRinvbot_d+vav_VDI_BD*0.0+vav_VSI_BS*0.0+pInst->vav*0.0));
  tmp_VDI_BD_VDI_BD=(+(+(+(+vav_VDI_BD_VDI_BD*pModel->VBRinvbot_d+vav_VDI_BD*0.0+vav_VDI_BD*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvbot_d)+vav_VDI_BD*pModel->VBRinvbot_d*(vav_VDI_BD*pModel->VBRinvbot_d)+(vav_VDI_BD*pModel->VBRinvbot_d)*vav_VDI_BD*pModel->VBRinvbot_d+(pInst->vav*pModel->VBRinvbot_d)*(+vav_VDI_BD_VDI_BD*pModel->VBRinvbot_d+vav_VDI_BD*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvbot_d)+((vav_VDI_BD*pModel->VBRinvbot_d*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*vav_VDI_BD*pModel->VBRinvbot_d))*(vav_VDI_BD*pModel->VBRinvbot_d)+((((vav_VDI_BD*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*(vav_VDI_BD*pModel->VBRinvbot_d))))*vav_VDI_BD*pModel->VBRinvbot_d+((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(+vav_VDI_BD_VDI_BD*pModel->VBRinvbot_d+vav_VDI_BD*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvbot_d)+((((vav_VDI_BD*pModel->VBRinvbot_d*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*vav_VDI_BD*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*vav_VDI_BD*pModel->VBRinvbot_d))*(vav_VDI_BD*pModel->VBRinvbot_d)+(((((((vav_VDI_BD*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))+((pInst->vav*pModel->VBRinvbot_d)*(vav_VDI_BD*pModel->VBRinvbot_d))))*(pInst->vav*pModel->VBRinvbot_d))+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(vav_VDI_BD*pModel->VBRinvbot_d))))*vav_VDI_BD*pModel->VBRinvbot_d+(((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))*(+vav_VDI_BD_VDI_BD*pModel->VBRinvbot_d+vav_VDI_BD*0.0+vav_VDI_BD*0.0+pInst->vav*0.0));
#endif
#endif
pInst->tmp=((((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d));
EXIT_IF_ISNAN(((((pInst->vav*pModel->VBRinvbot_d)*(pInst->vav*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d))*(pInst->vav*pModel->VBRinvbot_d)))
}
else
{
{
double m00_fabs(d00_fabs0,(pInst->vav*pModel->VBRinvbot_d))
double m00_pow(d00_pow1,d00_fabs0,pModel->PBRBOTD_i)
#if defined(_DERIVATEFORDDX)
double m10_fabs(d10_fabs0,d00_fabs0,(pInst->vav*pModel->VBRinvbot_d))
double m10_pow(d10_pow1,d00_pow1,d00_fabs0,pModel->PBRBOTD_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow1*vav_VSI_BS*pModel->VBRinvbot_d*d10_fabs0);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow1*vav_VDI_BD*pModel->VBRinvbot_d*d10_fabs0);
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow1;
EXIT_IF_ISNAN(d00_pow1)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=(-(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VSI_BS)+0.0*(-tmp_VSI_BS)+1.0*(+0.0-tmp_VSI_BS_VSI_BS))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VSI_BS)*(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
  fbreakdown_VSI_BS_VDI_BD=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VDI_BD)+0.0*(-tmp_VSI_BS)+1.0*(+0.0-tmp_VSI_BS_VDI_BD))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VSI_BS)*(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#endif
fbreakdown_VDI_BD=(-(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VSI_BS)+0.0*(-tmp_VDI_BD)+1.0*(+0.0-tmp_VDI_BD_VSI_BS))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VDI_BD)*(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
  fbreakdown_VDI_BD_VDI_BD=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VDI_BD)+0.0*(-tmp_VDI_BD)+1.0*(+0.0-tmp_VDI_BD_VDI_BD))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VDI_BD)*(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#endif
#endif
pInst->fbreakdown=(1.0/(1.0-pInst->tmp));
EXIT_IF_ISNAN((1.0/(1.0-pInst->tmp)))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=vav_VSI_BS*pModel->slopebot_d;
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=(+0.0+(+(+vav_VSI_BS_VSI_BS+(+0.0*pModel->VBRBOTD_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopebot_d+vav_VSI_BS*0.0+(vav_VSI_BS+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRBOTD_i))*0.0));
  fbreakdown_VSI_BS_VDI_BD=(+0.0+(+(+vav_VSI_BS_VDI_BD+(+0.0*pModel->VBRBOTD_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopebot_d+vav_VSI_BS*0.0+(vav_VDI_BD+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRBOTD_i))*0.0));
#endif
fbreakdown_VDI_BD=vav_VDI_BD*pModel->slopebot_d;
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=(+0.0+(+(+vav_VDI_BD_VSI_BS+(+0.0*pModel->VBRBOTD_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopebot_d+vav_VDI_BD*0.0+(vav_VSI_BS+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRBOTD_i))*0.0));
  fbreakdown_VDI_BD_VDI_BD=(+0.0+(+(+vav_VDI_BD_VDI_BD+(+0.0*pModel->VBRBOTD_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopebot_d+vav_VDI_BD*0.0+(vav_VDI_BD+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRBOTD_i))*0.0));
#endif
#endif
pInst->fbreakdown=(pModel->fstopbot_d+((pInst->vav+(pModel->alphaav*pModel->VBRBOTD_i))*pModel->slopebot_d));
EXIT_IF_ISNAN((pModel->fstopbot_d+((pInst->vav+(pModel->alphaav*pModel->VBRBOTD_i))*pModel->slopebot_d)))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunbot_d_VDI_BD=(((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*pInst->fbreakdown)+((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD));
#if defined(_DERIVATE2)
  ijunbot_d_VDI_BD_VDI_BD=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+pInst->IFACTOR_i*(+(+(+id_VDI_BD_VDI_BD+isrh_VDI_BD_VDI_BD)+itat_VDI_BD_VDI_BD)+ibbt_VDI_BD_VDI_BD))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*fbreakdown_VDI_BD+((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)))*fbreakdown_VDI_BD+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD_VDI_BD);
  ijunbot_d_VDI_BD_VSI_BS=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+pInst->IFACTOR_i*(+(+(+id_VDI_BD_VSI_BS+isrh_VDI_BD_VSI_BS)+itat_VDI_BD_VSI_BS)+ibbt_VDI_BD_VSI_BS))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*fbreakdown_VSI_BS+((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)))*fbreakdown_VDI_BD+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD_VSI_BS);
#endif
ijunbot_d_VSI_BS=(((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*pInst->fbreakdown)+((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS));
#if defined(_DERIVATE2)
  ijunbot_d_VSI_BS_VDI_BD=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+pInst->IFACTOR_i*(+(+(+id_VSI_BS_VDI_BD+isrh_VSI_BS_VDI_BD)+itat_VSI_BS_VDI_BD)+ibbt_VSI_BS_VDI_BD))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*fbreakdown_VDI_BD+((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)))*fbreakdown_VSI_BS+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS_VDI_BD);
  ijunbot_d_VSI_BS_VSI_BS=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+pInst->IFACTOR_i*(+(+(+id_VSI_BS_VSI_BS+isrh_VSI_BS_VSI_BS)+itat_VSI_BS_VSI_BS)+ibbt_VSI_BS_VSI_BS))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*fbreakdown_VSI_BS+((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)))*fbreakdown_VSI_BS+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS_VSI_BS);
#endif
#endif
ijunbot_d=((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*pInst->fbreakdown);
EXIT_IF_ISNAN(((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*pInst->fbreakdown))
}
if
((pInst->LSDRAIN_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunsti_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijunsti_d_VDI_BD_VDI_BD=0.0;
  ijunsti_d_VDI_BD_VSI_BS=0.0;
#endif
ijunsti_d_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijunsti_d_VSI_BS_VDI_BD=0.0;
  ijunsti_d_VSI_BS_VSI_BS=0.0;
#endif
#endif
ijunsti_d=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(DI,GND) */
qjunsti_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  qjunsti_d_VDI_BD_VDI_BD=0.0;
  qjunsti_d_VDI_BD_VSI_BS=0.0;
#endif
#if defined(_DERIVATE)
qjunsti_d_VSI_BS=0.0;
#endif
#endif
qjunsti_d=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
if
((pModel->one_minus_PSTI_d==0.5))
{
{
double m00_sqrt(d00_sqrt0,(1.0-(pInst->vj*pModel->vbiinvsti_d)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(pInst->vj*pModel->vbiinvsti_d)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-vj_VSI_BS*pModel->vbiinvsti_d)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvsti_d)))*(-(vj_VSI_BS*pModel->vbiinvsti_d))*(-vj_VSI_BS*pModel->vbiinvsti_d)+d10_sqrt0*(+0.0-(+vj_VSI_BS_VSI_BS*pModel->vbiinvsti_d+vj_VSI_BS*0.0+vj_VSI_BS*0.0+pInst->vj*0.0)));
  tmp_VSI_BS_VDI_BD=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvsti_d)))*(-(vj_VDI_BD*pModel->vbiinvsti_d))*(-vj_VSI_BS*pModel->vbiinvsti_d)+d10_sqrt0*(+0.0-(+vj_VSI_BS_VDI_BD*pModel->vbiinvsti_d+vj_VSI_BS*0.0+vj_VDI_BD*0.0+pInst->vj*0.0)));
#endif
tmp_VDI_BD=(-vj_VDI_BD*pModel->vbiinvsti_d)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvsti_d)))*(-(vj_VSI_BS*pModel->vbiinvsti_d))*(-vj_VDI_BD*pModel->vbiinvsti_d)+d10_sqrt0*(+0.0-(+vj_VDI_BD_VSI_BS*pModel->vbiinvsti_d+vj_VDI_BD*0.0+vj_VSI_BS*0.0+pInst->vj*0.0)));
  tmp_VDI_BD_VDI_BD=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvsti_d)))*(-(vj_VDI_BD*pModel->vbiinvsti_d))*(-vj_VDI_BD*pModel->vbiinvsti_d)+d10_sqrt0*(+0.0-(+vj_VDI_BD_VDI_BD*pModel->vbiinvsti_d+vj_VDI_BD*0.0+vj_VDI_BD*0.0+pInst->vj*0.0)));
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,(1.0-(pInst->vj*pModel->vbiinvsti_d)),pModel->one_minus_PSTI_d)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0-(pInst->vj*pModel->vbiinvsti_d)),pModel->one_minus_PSTI_d)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*(-vj_VSI_BS*pModel->vbiinvsti_d));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow0*(-vj_VDI_BD*pModel->vbiinvsti_d));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(DI,GND) */
qjunsti_d_VDI_BD=(pInst->CFACTOR_i*((pModel->qprefsti_d*(-tmp_VDI_BD))+(pModel->qpref2sti_d*(Vjun_d_VDI_BD-vj_VDI_BD))));
#if defined(_DERIVATE2)
  qjunsti_d_VDI_BD_VDI_BD=(+0.0*((pModel->qprefsti_d*(1.0-pInst->tmp))+(pModel->qpref2sti_d*(Vjun_d-pInst->vj)))+0.0*(((pModel->qprefsti_d*(-tmp_VDI_BD)))+((pModel->qpref2sti_d*(Vjun_d_VDI_BD-vj_VDI_BD))))+0.0*((pModel->qprefsti_d*(-tmp_VDI_BD))+(pModel->qpref2sti_d*(Vjun_d_VDI_BD-vj_VDI_BD)))+pInst->CFACTOR_i*(+(+0.0*(1.0-pInst->tmp)+0.0*(-tmp_VDI_BD)+0.0*(-tmp_VDI_BD)+pModel->qprefsti_d*(+0.0-tmp_VDI_BD_VDI_BD))+(+0.0*(Vjun_d-pInst->vj)+0.0*(Vjun_d_VDI_BD-vj_VDI_BD)+0.0*(Vjun_d_VDI_BD-vj_VDI_BD)+pModel->qpref2sti_d*(+Vjun_d_VDI_BD_VDI_BD-vj_VDI_BD_VDI_BD))));
  qjunsti_d_VDI_BD_VSI_BS=(+0.0*((pModel->qprefsti_d*(1.0-pInst->tmp))+(pModel->qpref2sti_d*(Vjun_d-pInst->vj)))+0.0*(((pModel->qprefsti_d*(-tmp_VSI_BS)))+((pModel->qpref2sti_d*(-vj_VSI_BS))))+0.0*((pModel->qprefsti_d*(-tmp_VDI_BD))+(pModel->qpref2sti_d*(Vjun_d_VDI_BD-vj_VDI_BD)))+pInst->CFACTOR_i*(+(+0.0*(1.0-pInst->tmp)+0.0*(-tmp_VSI_BS)+0.0*(-tmp_VDI_BD)+pModel->qprefsti_d*(+0.0-tmp_VDI_BD_VSI_BS))+(+0.0*(Vjun_d-pInst->vj)+0.0*(-vj_VSI_BS)+0.0*(Vjun_d_VDI_BD-vj_VDI_BD)+pModel->qpref2sti_d*(+0.0-vj_VDI_BD_VSI_BS))));
#endif
#if defined(_DERIVATE)
qjunsti_d_VSI_BS=(pInst->CFACTOR_i*((pModel->qprefsti_d*(-tmp_VSI_BS))+(pModel->qpref2sti_d*(-vj_VSI_BS))));
#endif
#endif
qjunsti_d=(pInst->CFACTOR_i*((pModel->qprefsti_d*(1.0-pInst->tmp))+(pModel->qpref2sti_d*(Vjun_d-pInst->vj))));
EXIT_IF_ISNAN((pInst->CFACTOR_i*((pModel->qprefsti_d*(1.0-pInst->tmp))+(pModel->qpref2sti_d*(Vjun_d-pInst->vj)))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
id_VDI_BD=(pModel->idsatsti_d*idmult_VDI_BD);
#if defined(_DERIVATE2)
  id_VDI_BD_VDI_BD=(+0.0*pInst->idmult+0.0*idmult_VDI_BD+0.0*idmult_VDI_BD+pModel->idsatsti_d*idmult_VDI_BD_VDI_BD);
  id_VDI_BD_VSI_BS=(+0.0*pInst->idmult+0.0*idmult_VSI_BS+0.0*idmult_VDI_BD+pModel->idsatsti_d*idmult_VDI_BD_VSI_BS);
#endif
id_VSI_BS=(pModel->idsatsti_d*idmult_VSI_BS);
#if defined(_DERIVATE2)
  id_VSI_BS_VDI_BD=(+0.0*pInst->idmult+0.0*idmult_VDI_BD+0.0*idmult_VSI_BS+pModel->idsatsti_d*idmult_VSI_BS_VDI_BD);
  id_VSI_BS_VSI_BS=(+0.0*pInst->idmult+0.0*idmult_VSI_BS+0.0*idmult_VSI_BS+pModel->idsatsti_d*idmult_VSI_BS_VSI_BS);
#endif
#endif
pInst->id=(pModel->idsatsti_d*pInst->idmult);
EXIT_IF_ISNAN((pModel->idsatsti_d*pInst->idmult))
if
(((pModel->CSRHSTID_i==0.0)&&(pModel->CTATSTID_i==0.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
isrh_VSI_BS=0.0;
#if defined(_DERIVATE2)
  isrh_VSI_BS_VSI_BS=0.0;
  isrh_VSI_BS_VDI_BD=0.0;
#endif
isrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  isrh_VDI_BD_VSI_BS=0.0;
  isrh_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->isrh=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
vbi_minus_vjsrh_VDI_BD=(-vjsrh_VDI_BD);
#if defined(_DERIVATE2)
  vbi_minus_vjsrh_VDI_BD_VDI_BD=(+0.0-vjsrh_VDI_BD_VDI_BD);
  vbi_minus_vjsrh_VDI_BD_VSI_BS=(+0.0-vjsrh_VDI_BD_VSI_BS);
#endif
vbi_minus_vjsrh_VSI_BS=(-vjsrh_VSI_BS);
#if defined(_DERIVATE2)
  vbi_minus_vjsrh_VSI_BS_VDI_BD=(+0.0-vjsrh_VSI_BS_VDI_BD);
  vbi_minus_vjsrh_VSI_BS_VSI_BS=(+0.0-vjsrh_VSI_BS_VSI_BS);
#endif
#endif
pInst->vbi_minus_vjsrh=(pModel->vbisti_d-pInst->vjsrh);
EXIT_IF_ISNAN((pModel->vbisti_d-pInst->vjsrh))
{
double m00_sqrt(d00_sqrt0,(1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
wsrhstep_VDI_BD=(-(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*d10_sqrt0);
#if defined(_DERIVATE2)
  wsrhstep_VDI_BD_VDI_BD=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VDI_BD_VDI_BD/pInst->vbi_minus_vjsrh-(two_psistar_VDI_BD*vbi_minus_vjsrh_VDI_BD+two_psistar_VDI_BD*vbi_minus_vjsrh_VDI_BD+pInst->two_psistar*vbi_minus_vjsrh_VDI_BD_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
  wsrhstep_VDI_BD_VSI_BS=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VDI_BD_VSI_BS/pInst->vbi_minus_vjsrh-(two_psistar_VDI_BD*vbi_minus_vjsrh_VSI_BS+two_psistar_VSI_BS*vbi_minus_vjsrh_VDI_BD+pInst->two_psistar*vbi_minus_vjsrh_VDI_BD_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
#endif
wsrhstep_VSI_BS=(-(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*d10_sqrt0);
#if defined(_DERIVATE2)
  wsrhstep_VSI_BS_VDI_BD=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VSI_BS_VDI_BD/pInst->vbi_minus_vjsrh-(two_psistar_VSI_BS*vbi_minus_vjsrh_VDI_BD+two_psistar_VDI_BD*vbi_minus_vjsrh_VSI_BS+pInst->two_psistar*vbi_minus_vjsrh_VSI_BS_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
  wsrhstep_VSI_BS_VSI_BS=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VSI_BS_VSI_BS/pInst->vbi_minus_vjsrh-(two_psistar_VSI_BS*vbi_minus_vjsrh_VSI_BS+two_psistar_VSI_BS*vbi_minus_vjsrh_VSI_BS+pInst->two_psistar*vbi_minus_vjsrh_VSI_BS_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
#endif
#endif
pInst->wsrhstep=(1.0-d00_sqrt0);
EXIT_IF_ISNAN((1.0-d00_sqrt0))
}
if
((pModel->PSTID_i==0.5))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dwsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  dwsrh_VDI_BD_VDI_BD=0.0;
  dwsrh_VDI_BD_VSI_BS=0.0;
#endif
dwsrh_VSI_BS=0.0;
#if defined(_DERIVATE2)
  dwsrh_VSI_BS_VDI_BD=0.0;
  dwsrh_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->dwsrh=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
{
double m00_logE(d00_logE0,pInst->wsrhstep)
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,pInst->wsrhstep)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dwsrh_VDI_BD=(((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*(1.0-(2.0*pModel->PSTID_i));
#if defined(_DERIVATE2)
  dwsrh_VDI_BD_VDI_BD=(+(+((+(+wsrhstep_VDI_BD_VDI_BD*pInst->wsrhstep+wsrhstep_VDI_BD*wsrhstep_VDI_BD+wsrhstep_VDI_BD*wsrhstep_VDI_BD+pInst->wsrhstep*wsrhstep_VDI_BD_VDI_BD)*d00_logE0+((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*wsrhstep_VDI_BD*d10_logE0+(((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*wsrhstep_VDI_BD*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VDI_BD*wsrhstep_VDI_BD+d10_logE0*wsrhstep_VDI_BD_VDI_BD))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(-wsrhstep_VDI_BD)+((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(-wsrhstep_VDI_BD)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VDI_BD_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD)*(-wsrhstep_VDI_BD)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD_VDI_BD)*(1.0-(2.0*pModel->PSTID_i))+(((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*(-(0.0))+(((((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PSTID_i+0.0*0.0+0.0*0.0+2.0*0.0)));
  dwsrh_VDI_BD_VSI_BS=(+(+((+(+wsrhstep_VDI_BD_VSI_BS*pInst->wsrhstep+wsrhstep_VDI_BD*wsrhstep_VSI_BS+wsrhstep_VSI_BS*wsrhstep_VDI_BD+pInst->wsrhstep*wsrhstep_VDI_BD_VSI_BS)*d00_logE0+((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*wsrhstep_VSI_BS*d10_logE0+(((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*wsrhstep_VDI_BD*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VSI_BS*wsrhstep_VDI_BD+d10_logE0*wsrhstep_VDI_BD_VSI_BS))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(-wsrhstep_VSI_BS)+((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(-wsrhstep_VDI_BD)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VDI_BD_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD)*(-wsrhstep_VSI_BS)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD_VSI_BS)*(1.0-(2.0*pModel->PSTID_i))+(((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*(-(0.0))+(((((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PSTID_i+0.0*0.0+0.0*0.0+2.0*0.0)));
#endif
dwsrh_VSI_BS=(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(1.0-(2.0*pModel->PSTID_i));
#if defined(_DERIVATE2)
  dwsrh_VSI_BS_VDI_BD=(+(+((+(+wsrhstep_VSI_BS_VDI_BD*pInst->wsrhstep+wsrhstep_VSI_BS*wsrhstep_VDI_BD+wsrhstep_VDI_BD*wsrhstep_VSI_BS+pInst->wsrhstep*wsrhstep_VSI_BS_VDI_BD)*d00_logE0+((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*wsrhstep_VDI_BD*d10_logE0+(((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*wsrhstep_VSI_BS*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VDI_BD*wsrhstep_VSI_BS+d10_logE0*wsrhstep_VSI_BS_VDI_BD))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(-wsrhstep_VDI_BD)+((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(-wsrhstep_VSI_BS)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VSI_BS_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS)*(-wsrhstep_VDI_BD)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS_VDI_BD)*(1.0-(2.0*pModel->PSTID_i))+(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(-(0.0))+(((((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PSTID_i+0.0*0.0+0.0*0.0+2.0*0.0)));
  dwsrh_VSI_BS_VSI_BS=(+(+((+(+wsrhstep_VSI_BS_VSI_BS*pInst->wsrhstep+wsrhstep_VSI_BS*wsrhstep_VSI_BS+wsrhstep_VSI_BS*wsrhstep_VSI_BS+pInst->wsrhstep*wsrhstep_VSI_BS_VSI_BS)*d00_logE0+((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*wsrhstep_VSI_BS*d10_logE0+(((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*wsrhstep_VSI_BS*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VSI_BS*wsrhstep_VSI_BS+d10_logE0*wsrhstep_VSI_BS_VSI_BS))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(-wsrhstep_VSI_BS)+((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(-wsrhstep_VSI_BS)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VSI_BS_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS)*(-wsrhstep_VSI_BS)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS_VSI_BS)*(1.0-(2.0*pModel->PSTID_i))+(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(-(0.0))+(((((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PSTID_i+0.0*0.0+0.0*0.0+2.0*0.0)));
#endif
#endif
pInst->dwsrh=(((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(1.0-(2.0*pModel->PSTID_i)));
EXIT_IF_ISNAN((((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(1.0-(2.0*pModel->PSTID_i))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wsrh_VDI_BD=(wsrhstep_VDI_BD+dwsrh_VDI_BD);
#if defined(_DERIVATE2)
  wsrh_VDI_BD_VDI_BD=(+wsrhstep_VDI_BD_VDI_BD+dwsrh_VDI_BD_VDI_BD);
  wsrh_VDI_BD_VSI_BS=(+wsrhstep_VDI_BD_VSI_BS+dwsrh_VDI_BD_VSI_BS);
#endif
wsrh_VSI_BS=(wsrhstep_VSI_BS+dwsrh_VSI_BS);
#if defined(_DERIVATE2)
  wsrh_VSI_BS_VDI_BD=(+wsrhstep_VSI_BS_VDI_BD+dwsrh_VSI_BS_VDI_BD);
  wsrh_VSI_BS_VSI_BS=(+wsrhstep_VSI_BS_VSI_BS+dwsrh_VSI_BS_VSI_BS);
#endif
#endif
pInst->wsrh=(pInst->wsrhstep+pInst->dwsrh);
EXIT_IF_ISNAN((pInst->wsrhstep+pInst->dwsrh))
if
((pModel->PSTID_i==0.5))
{
{
double m00_sqrt(d00_sqrt0,(pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv_d))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv_d))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=vbi_minus_vjsrh_VSI_BS*pModel->VBIRSTIinv_d*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv_d))*(vbi_minus_vjsrh_VSI_BS*pModel->VBIRSTIinv_d)*vbi_minus_vjsrh_VSI_BS*pModel->VBIRSTIinv_d+d10_sqrt0*(+vbi_minus_vjsrh_VSI_BS_VSI_BS*pModel->VBIRSTIinv_d+vbi_minus_vjsrh_VSI_BS*0.0+vbi_minus_vjsrh_VSI_BS*0.0+pInst->vbi_minus_vjsrh*0.0));
  tmp_VSI_BS_VDI_BD=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv_d))*(vbi_minus_vjsrh_VDI_BD*pModel->VBIRSTIinv_d)*vbi_minus_vjsrh_VSI_BS*pModel->VBIRSTIinv_d+d10_sqrt0*(+vbi_minus_vjsrh_VSI_BS_VDI_BD*pModel->VBIRSTIinv_d+vbi_minus_vjsrh_VSI_BS*0.0+vbi_minus_vjsrh_VDI_BD*0.0+pInst->vbi_minus_vjsrh*0.0));
#endif
tmp_VDI_BD=vbi_minus_vjsrh_VDI_BD*pModel->VBIRSTIinv_d*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv_d))*(vbi_minus_vjsrh_VSI_BS*pModel->VBIRSTIinv_d)*vbi_minus_vjsrh_VDI_BD*pModel->VBIRSTIinv_d+d10_sqrt0*(+vbi_minus_vjsrh_VDI_BD_VSI_BS*pModel->VBIRSTIinv_d+vbi_minus_vjsrh_VDI_BD*0.0+vbi_minus_vjsrh_VSI_BS*0.0+pInst->vbi_minus_vjsrh*0.0));
  tmp_VDI_BD_VDI_BD=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv_d))*(vbi_minus_vjsrh_VDI_BD*pModel->VBIRSTIinv_d)*vbi_minus_vjsrh_VDI_BD*pModel->VBIRSTIinv_d+d10_sqrt0*(+vbi_minus_vjsrh_VDI_BD_VDI_BD*pModel->VBIRSTIinv_d+vbi_minus_vjsrh_VDI_BD*0.0+vbi_minus_vjsrh_VDI_BD*0.0+pInst->vbi_minus_vjsrh*0.0));
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,(pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv_d),pModel->PSTID_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(pInst->vbi_minus_vjsrh*pModel->VBIRSTIinv_d),pModel->PSTID_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*vbi_minus_vjsrh_VSI_BS*pModel->VBIRSTIinv_d);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow0*vbi_minus_vjsrh_VDI_BD*pModel->VBIRSTIinv_d);
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wdep_VSI_BS=(pModel->wdepnulrsti_d*tmp_VSI_BS);
#if defined(_DERIVATE2)
  wdep_VSI_BS_VSI_BS=(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VSI_BS+pModel->wdepnulrsti_d*tmp_VSI_BS_VSI_BS);
  wdep_VSI_BS_VDI_BD=(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VSI_BS+pModel->wdepnulrsti_d*tmp_VSI_BS_VDI_BD);
#endif
wdep_VDI_BD=(pModel->wdepnulrsti_d*tmp_VDI_BD);
#if defined(_DERIVATE2)
  wdep_VDI_BD_VSI_BS=(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VDI_BD+pModel->wdepnulrsti_d*tmp_VDI_BD_VSI_BS);
  wdep_VDI_BD_VDI_BD=(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VDI_BD+pModel->wdepnulrsti_d*tmp_VDI_BD_VDI_BD);
#endif
#endif
pInst->wdep=(pModel->wdepnulrsti_d*pInst->tmp);
EXIT_IF_ISNAN((pModel->wdepnulrsti_d*pInst->tmp))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
asrh_VSI_BS=(pModel->ftdsti_d*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)));
#if defined(_DERIVATE2)
  asrh_VSI_BS_VSI_BS=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)))+0.0*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS))+pModel->ftdsti_d*(+(+zinv_VSI_BS_VSI_BS-0.0)*pInst->wdep+zinv_VSI_BS*wdep_VSI_BS+zinv_VSI_BS*wdep_VSI_BS+(pInst->zinv-1.0)*wdep_VSI_BS_VSI_BS));
  asrh_VSI_BS_VDI_BD=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)))+0.0*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS))+pModel->ftdsti_d*(+(+zinv_VSI_BS_VDI_BD-0.0)*pInst->wdep+zinv_VSI_BS*wdep_VDI_BD+zinv_VDI_BD*wdep_VSI_BS+(pInst->zinv-1.0)*wdep_VSI_BS_VDI_BD));
#endif
asrh_VDI_BD=(pModel->ftdsti_d*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)));
#if defined(_DERIVATE2)
  asrh_VDI_BD_VSI_BS=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)))+0.0*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD))+pModel->ftdsti_d*(+(+zinv_VDI_BD_VSI_BS-0.0)*pInst->wdep+zinv_VDI_BD*wdep_VSI_BS+zinv_VSI_BS*wdep_VDI_BD+(pInst->zinv-1.0)*wdep_VDI_BD_VSI_BS));
  asrh_VDI_BD_VDI_BD=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)))+0.0*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD))+pModel->ftdsti_d*(+(+zinv_VDI_BD_VDI_BD-0.0)*pInst->wdep+zinv_VDI_BD*wdep_VDI_BD+zinv_VDI_BD*wdep_VDI_BD+(pInst->zinv-1.0)*wdep_VDI_BD_VDI_BD));
#endif
#endif
pInst->asrh=(pModel->ftdsti_d*((pInst->zinv-1.0)*pInst->wdep));
EXIT_IF_ISNAN((pModel->ftdsti_d*((pInst->zinv-1.0)*pInst->wdep)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
isrh_VSI_BS=(pModel->CSRHSTID_i*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)));
#if defined(_DERIVATE2)
  isrh_VSI_BS_VSI_BS=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)))+0.0*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS))+pModel->CSRHSTID_i*(+asrh_VSI_BS_VSI_BS*pInst->wsrh+asrh_VSI_BS*wsrh_VSI_BS+asrh_VSI_BS*wsrh_VSI_BS+pInst->asrh*wsrh_VSI_BS_VSI_BS));
  isrh_VSI_BS_VDI_BD=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)))+0.0*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS))+pModel->CSRHSTID_i*(+asrh_VSI_BS_VDI_BD*pInst->wsrh+asrh_VSI_BS*wsrh_VDI_BD+asrh_VDI_BD*wsrh_VSI_BS+pInst->asrh*wsrh_VSI_BS_VDI_BD));
#endif
isrh_VDI_BD=(pModel->CSRHSTID_i*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)));
#if defined(_DERIVATE2)
  isrh_VDI_BD_VSI_BS=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)))+0.0*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD))+pModel->CSRHSTID_i*(+asrh_VDI_BD_VSI_BS*pInst->wsrh+asrh_VDI_BD*wsrh_VSI_BS+asrh_VSI_BS*wsrh_VDI_BD+pInst->asrh*wsrh_VDI_BD_VSI_BS));
  isrh_VDI_BD_VDI_BD=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)))+0.0*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD))+pModel->CSRHSTID_i*(+asrh_VDI_BD_VDI_BD*pInst->wsrh+asrh_VDI_BD*wsrh_VDI_BD+asrh_VDI_BD*wsrh_VDI_BD+pInst->asrh*wsrh_VDI_BD_VDI_BD));
#endif
#endif
pInst->isrh=(pModel->CSRHSTID_i*(pInst->asrh*pInst->wsrh));
EXIT_IF_ISNAN((pModel->CSRHSTID_i*(pInst->asrh*pInst->wsrh)))
}
if
((pModel->CTATSTID_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
itat_VSI_BS=0.0;
#if defined(_DERIVATE2)
  itat_VSI_BS_VSI_BS=0.0;
  itat_VSI_BS_VDI_BD=0.0;
#endif
itat_VDI_BD=0.0;
#if defined(_DERIVATE2)
  itat_VDI_BD_VSI_BS=0.0;
  itat_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->itat=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
btat_VSI_BS=(pModel->btatpartsti_d*((wdep_VSI_BS*pModel->one_minus_PSTI_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#if defined(_DERIVATE2)
  btat_VSI_BS_VSI_BS=(+0.0*((pInst->wdep*pModel->one_minus_PSTI_d)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VSI_BS*pModel->one_minus_PSTI_d)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VSI_BS*pModel->one_minus_PSTI_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartsti_d*((+wdep_VSI_BS_VSI_BS*pModel->one_minus_PSTI_d+wdep_VSI_BS*0.0+wdep_VSI_BS*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VSI_BS*pModel->one_minus_PSTI_d*vbi_minus_vjsrh_VSI_BS+(wdep_VSI_BS*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VSI_BS+(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VSI_BS_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
  btat_VSI_BS_VDI_BD=(+0.0*((pInst->wdep*pModel->one_minus_PSTI_d)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VDI_BD*pModel->one_minus_PSTI_d)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VSI_BS*pModel->one_minus_PSTI_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartsti_d*((+wdep_VSI_BS_VDI_BD*pModel->one_minus_PSTI_d+wdep_VSI_BS*0.0+wdep_VDI_BD*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VSI_BS*pModel->one_minus_PSTI_d*vbi_minus_vjsrh_VDI_BD+(wdep_VDI_BD*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VSI_BS+(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VSI_BS_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#endif
btat_VDI_BD=(pModel->btatpartsti_d*((wdep_VDI_BD*pModel->one_minus_PSTI_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#if defined(_DERIVATE2)
  btat_VDI_BD_VSI_BS=(+0.0*((pInst->wdep*pModel->one_minus_PSTI_d)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VSI_BS*pModel->one_minus_PSTI_d)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VDI_BD*pModel->one_minus_PSTI_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartsti_d*((+wdep_VDI_BD_VSI_BS*pModel->one_minus_PSTI_d+wdep_VDI_BD*0.0+wdep_VSI_BS*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VDI_BD*pModel->one_minus_PSTI_d*vbi_minus_vjsrh_VSI_BS+(wdep_VSI_BS*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VDI_BD+(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VDI_BD_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
  btat_VDI_BD_VDI_BD=(+0.0*((pInst->wdep*pModel->one_minus_PSTI_d)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VDI_BD*pModel->one_minus_PSTI_d)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VDI_BD*pModel->one_minus_PSTI_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartsti_d*((+wdep_VDI_BD_VDI_BD*pModel->one_minus_PSTI_d+wdep_VDI_BD*0.0+wdep_VDI_BD*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VDI_BD*pModel->one_minus_PSTI_d*vbi_minus_vjsrh_VDI_BD+(wdep_VDI_BD*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VDI_BD+(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VDI_BD_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PSTI_d)*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#endif
#endif
pInst->btat=(pModel->btatpartsti_d*((pInst->wdep*pModel->one_minus_PSTI_d)/pInst->vbi_minus_vjsrh));
EXIT_IF_ISNAN((pModel->btatpartsti_d*((pInst->wdep*pModel->one_minus_PSTI_d)/pInst->vbi_minus_vjsrh)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
twoatatoverthreebtat_VSI_BS=(-(0.666666666666667*pModel->atatsti_d)*btat_VSI_BS/pInst->btat/pInst->btat);
#if defined(_DERIVATE2)
  twoatatoverthreebtat_VSI_BS_VSI_BS=((+0.0*pModel->atatsti_d+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VSI_BS+(0.0)*btat_VSI_BS+(0.666666666666667*pModel->atatsti_d)*btat_VSI_BS_VSI_BS)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatsti_d)*btat_VSI_BS*btat_VSI_BS/pInst->btat/pInst->btat/pInst->btat);
  twoatatoverthreebtat_VSI_BS_VDI_BD=((+0.0*pModel->atatsti_d+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VDI_BD+(0.0)*btat_VSI_BS+(0.666666666666667*pModel->atatsti_d)*btat_VSI_BS_VDI_BD)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatsti_d)*btat_VSI_BS*btat_VDI_BD/pInst->btat/pInst->btat/pInst->btat);
#endif
twoatatoverthreebtat_VDI_BD=(-(0.666666666666667*pModel->atatsti_d)*btat_VDI_BD/pInst->btat/pInst->btat);
#if defined(_DERIVATE2)
  twoatatoverthreebtat_VDI_BD_VSI_BS=((+0.0*pModel->atatsti_d+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VSI_BS+(0.0)*btat_VDI_BD+(0.666666666666667*pModel->atatsti_d)*btat_VDI_BD_VSI_BS)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatsti_d)*btat_VDI_BD*btat_VSI_BS/pInst->btat/pInst->btat/pInst->btat);
  twoatatoverthreebtat_VDI_BD_VDI_BD=((+0.0*pModel->atatsti_d+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VDI_BD+(0.0)*btat_VDI_BD+(0.666666666666667*pModel->atatsti_d)*btat_VDI_BD_VDI_BD)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatsti_d)*btat_VDI_BD*btat_VDI_BD/pInst->btat/pInst->btat/pInst->btat);
#endif
#endif
pInst->twoatatoverthreebtat=((0.666666666666667*pModel->atatsti_d)/pInst->btat);
EXIT_IF_ISNAN(((0.666666666666667*pModel->atatsti_d)/pInst->btat))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
umaxbeforelimiting_VSI_BS=((twoatatoverthreebtat_VSI_BS*pInst->twoatatoverthreebtat)+(pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS));
#if defined(_DERIVATE2)
  umaxbeforelimiting_VSI_BS_VSI_BS=(+twoatatoverthreebtat_VSI_BS_VSI_BS*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VSI_BS+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VSI_BS+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS_VSI_BS);
  umaxbeforelimiting_VSI_BS_VDI_BD=(+twoatatoverthreebtat_VSI_BS_VDI_BD*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VDI_BD+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VSI_BS+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS_VDI_BD);
#endif
umaxbeforelimiting_VDI_BD=((twoatatoverthreebtat_VDI_BD*pInst->twoatatoverthreebtat)+(pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD));
#if defined(_DERIVATE2)
  umaxbeforelimiting_VDI_BD_VSI_BS=(+twoatatoverthreebtat_VDI_BD_VSI_BS*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VSI_BS+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VDI_BD+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD_VSI_BS);
  umaxbeforelimiting_VDI_BD_VDI_BD=(+twoatatoverthreebtat_VDI_BD_VDI_BD*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VDI_BD+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VDI_BD+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD_VDI_BD);
#endif
#endif
pInst->umaxbeforelimiting=(pInst->twoatatoverthreebtat*pInst->twoatatoverthreebtat);
EXIT_IF_ISNAN((pInst->twoatatoverthreebtat*pInst->twoatatoverthreebtat))
{
double m00_sqrt(d00_sqrt0,((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
umax_VSI_BS=((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*d10_sqrt0;
#if defined(_DERIVATE2)
  umax_VSI_BS_VSI_BS=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VSI_BS_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VSI_BS)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))+(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VSI_BS_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VSI_BS)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
  umax_VSI_BS_VDI_BD=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VSI_BS_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VDI_BD)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))+(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VSI_BS_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VDI_BD)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
#endif
umax_VDI_BD=((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*d10_sqrt0;
#if defined(_DERIVATE2)
  umax_VDI_BD_VSI_BS=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VDI_BD_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VSI_BS)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))+(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VDI_BD_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VSI_BS)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
  umax_VDI_BD_VDI_BD=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VDI_BD_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VDI_BD)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))+(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VDI_BD_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VDI_BD)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
#endif
#endif
pInst->umax=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
{
double m00_fabs(d00_fabs0,pInst->umax)
double m00_sqrt(d00_sqrt1,d00_fabs0)
#if defined(_DERIVATEFORDDX)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->umax)
double m10_sqrt(d10_sqrt1,d00_sqrt1,d00_fabs0)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
sqrtumax_VSI_BS=umax_VSI_BS*d10_fabs0*d10_sqrt1;
#if defined(_DERIVATE2)
  sqrtumax_VSI_BS_VSI_BS=(m20_sqrt(d00_fabs0)*umax_VSI_BS*d10_fabs0*umax_VSI_BS*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VSI_BS*umax_VSI_BS+d10_fabs0*umax_VSI_BS_VSI_BS));
  sqrtumax_VSI_BS_VDI_BD=(m20_sqrt(d00_fabs0)*umax_VDI_BD*d10_fabs0*umax_VSI_BS*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VDI_BD*umax_VSI_BS+d10_fabs0*umax_VSI_BS_VDI_BD));
#endif
sqrtumax_VDI_BD=umax_VDI_BD*d10_fabs0*d10_sqrt1;
#if defined(_DERIVATE2)
  sqrtumax_VDI_BD_VSI_BS=(m20_sqrt(d00_fabs0)*umax_VSI_BS*d10_fabs0*umax_VDI_BD*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VSI_BS*umax_VDI_BD+d10_fabs0*umax_VDI_BD_VSI_BS));
  sqrtumax_VDI_BD_VDI_BD=(m20_sqrt(d00_fabs0)*umax_VDI_BD*d10_fabs0*umax_VDI_BD*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VDI_BD*umax_VDI_BD+d10_fabs0*umax_VDI_BD_VDI_BD));
#endif
#endif
pInst->sqrtumax=d00_sqrt1;
EXIT_IF_ISNAN(d00_sqrt1)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
umaxpoweronepointfive_VSI_BS=((umax_VSI_BS*pInst->sqrtumax)+(pInst->umax*sqrtumax_VSI_BS));
#if defined(_DERIVATE2)
  umaxpoweronepointfive_VSI_BS_VSI_BS=(+umax_VSI_BS_VSI_BS*pInst->sqrtumax+umax_VSI_BS*sqrtumax_VSI_BS+umax_VSI_BS*sqrtumax_VSI_BS+pInst->umax*sqrtumax_VSI_BS_VSI_BS);
  umaxpoweronepointfive_VSI_BS_VDI_BD=(+umax_VSI_BS_VDI_BD*pInst->sqrtumax+umax_VSI_BS*sqrtumax_VDI_BD+umax_VDI_BD*sqrtumax_VSI_BS+pInst->umax*sqrtumax_VSI_BS_VDI_BD);
#endif
umaxpoweronepointfive_VDI_BD=((umax_VDI_BD*pInst->sqrtumax)+(pInst->umax*sqrtumax_VDI_BD));
#if defined(_DERIVATE2)
  umaxpoweronepointfive_VDI_BD_VSI_BS=(+umax_VDI_BD_VSI_BS*pInst->sqrtumax+umax_VDI_BD*sqrtumax_VSI_BS+umax_VSI_BS*sqrtumax_VDI_BD+pInst->umax*sqrtumax_VDI_BD_VSI_BS);
  umaxpoweronepointfive_VDI_BD_VDI_BD=(+umax_VDI_BD_VDI_BD*pInst->sqrtumax+umax_VDI_BD*sqrtumax_VDI_BD+umax_VDI_BD*sqrtumax_VDI_BD+pInst->umax*sqrtumax_VDI_BD_VDI_BD);
#endif
#endif
pInst->umaxpoweronepointfive=(pInst->umax*pInst->sqrtumax);
EXIT_IF_ISNAN((pInst->umax*pInst->sqrtumax))
if
((((-pModel->PSTID_i)*pModel->one_over_one_minus_PSTI_d)==(-1.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wgamma_VSI_BS=(-((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#if defined(_DERIVATE2)
  wgamma_VSI_BS_VSI_BS=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+1.0*(+0.0+(+btat_VSI_BS_VSI_BS*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
  wgamma_VSI_BS_VDI_BD=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+1.0*(+0.0+(+btat_VSI_BS_VDI_BD*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#endif
wgamma_VDI_BD=(-((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#if defined(_DERIVATE2)
  wgamma_VDI_BD_VSI_BS=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+1.0*(+0.0+(+btat_VDI_BD_VSI_BS*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
  wgamma_VDI_BD_VDI_BD=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+1.0*(+0.0+(+btat_VDI_BD_VDI_BD*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#endif
#endif
pInst->wgamma=(1.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
EXIT_IF_ISNAN((1.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))))
}
else
{
{
double m00_pow(d00_pow0,(1.0+(pInst->btat*pInst->umaxpoweronepointfive)),((-pModel->PSTID_i)*pModel->one_over_one_minus_PSTI_d))
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0+(pInst->btat*pInst->umaxpoweronepointfive)),((-pModel->PSTID_i)*pModel->one_over_one_minus_PSTI_d))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wgamma_VSI_BS=(d10_pow0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)));
#if defined(_DERIVATE2)
  wgamma_VSI_BS_VSI_BS=fixme;
  wgamma_VSI_BS_VDI_BD=fixme;
#endif
wgamma_VDI_BD=(d10_pow0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)));
#if defined(_DERIVATE2)
  wgamma_VDI_BD_VSI_BS=fixme;
  wgamma_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->wgamma=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
wtat_VSI_BS=((((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(pInst->wsrh+pInst->wgamma)-(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#if defined(_DERIVATE2)
  wtat_VSI_BS_VSI_BS=((+wsrh_VSI_BS_VSI_BS*pInst->wgamma+wsrh_VSI_BS*wgamma_VSI_BS+wsrh_VSI_BS*wgamma_VSI_BS+pInst->wsrh*wgamma_VSI_BS_VSI_BS)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(wsrh_VSI_BS+wgamma_VSI_BS)+(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS)))*(wsrh_VSI_BS+wgamma_VSI_BS)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VSI_BS_VSI_BS+wgamma_VSI_BS_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS)*(wsrh_VSI_BS+wgamma_VSI_BS)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
  wtat_VSI_BS_VDI_BD=((+wsrh_VSI_BS_VDI_BD*pInst->wgamma+wsrh_VSI_BS*wgamma_VDI_BD+wsrh_VDI_BD*wgamma_VSI_BS+pInst->wsrh*wgamma_VSI_BS_VDI_BD)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(wsrh_VDI_BD+wgamma_VDI_BD)+(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD)))*(wsrh_VSI_BS+wgamma_VSI_BS)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VSI_BS_VDI_BD+wgamma_VSI_BS_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS)*(wsrh_VDI_BD+wgamma_VDI_BD)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#endif
wtat_VDI_BD=((((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(pInst->wsrh+pInst->wgamma)-(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#if defined(_DERIVATE2)
  wtat_VDI_BD_VSI_BS=((+wsrh_VDI_BD_VSI_BS*pInst->wgamma+wsrh_VDI_BD*wgamma_VSI_BS+wsrh_VSI_BS*wgamma_VDI_BD+pInst->wsrh*wgamma_VDI_BD_VSI_BS)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(wsrh_VSI_BS+wgamma_VSI_BS)+(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS)))*(wsrh_VDI_BD+wgamma_VDI_BD)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VDI_BD_VSI_BS+wgamma_VDI_BD_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD)*(wsrh_VSI_BS+wgamma_VSI_BS)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
  wtat_VDI_BD_VDI_BD=((+wsrh_VDI_BD_VDI_BD*pInst->wgamma+wsrh_VDI_BD*wgamma_VDI_BD+wsrh_VDI_BD*wgamma_VDI_BD+pInst->wsrh*wgamma_VDI_BD_VDI_BD)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(wsrh_VDI_BD+wgamma_VDI_BD)+(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD)))*(wsrh_VDI_BD+wgamma_VDI_BD)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VDI_BD_VDI_BD+wgamma_VDI_BD_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD)*(wsrh_VDI_BD+wgamma_VDI_BD)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#endif
#endif
pInst->wtat=((pInst->wsrh*pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
EXIT_IF_ISNAN(((pInst->wsrh*pInst->wgamma)/(pInst->wsrh+pInst->wgamma)))
{
double m00_sqrt(d00_sqrt0,(0.375*(pInst->btat/pInst->sqrtumax)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(0.375*(pInst->btat/pInst->sqrtumax)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ktat_VSI_BS=(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))*d10_sqrt0;
#if defined(_DERIVATE2)
  ktat_VSI_BS_VSI_BS=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VSI_BS_VSI_BS/pInst->sqrtumax-(btat_VSI_BS*sqrtumax_VSI_BS+btat_VSI_BS*sqrtumax_VSI_BS+pInst->btat*sqrtumax_VSI_BS_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VSI_BS*sqrtumax_VSI_BS/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
  ktat_VSI_BS_VDI_BD=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VSI_BS_VDI_BD/pInst->sqrtumax-(btat_VSI_BS*sqrtumax_VDI_BD+btat_VDI_BD*sqrtumax_VSI_BS+pInst->btat*sqrtumax_VSI_BS_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VSI_BS*sqrtumax_VDI_BD/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
#endif
ktat_VDI_BD=(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))*d10_sqrt0;
#if defined(_DERIVATE2)
  ktat_VDI_BD_VSI_BS=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VDI_BD_VSI_BS/pInst->sqrtumax-(btat_VDI_BD*sqrtumax_VSI_BS+btat_VSI_BS*sqrtumax_VDI_BD+pInst->btat*sqrtumax_VDI_BD_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VDI_BD*sqrtumax_VSI_BS/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
  ktat_VDI_BD_VDI_BD=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VDI_BD_VDI_BD/pInst->sqrtumax-(btat_VDI_BD*sqrtumax_VDI_BD+btat_VDI_BD*sqrtumax_VDI_BD+pInst->btat*sqrtumax_VDI_BD_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VDI_BD*sqrtumax_VDI_BD/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
#endif
#endif
pInst->ktat=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ltat_VSI_BS=((2.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))-umax_VSI_BS);
#if defined(_DERIVATE2)
  ltat_VSI_BS_VSI_BS=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))+0.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS))+2.0*(+twoatatoverthreebtat_VSI_BS_VSI_BS*pInst->sqrtumax+twoatatoverthreebtat_VSI_BS*sqrtumax_VSI_BS+twoatatoverthreebtat_VSI_BS*sqrtumax_VSI_BS+pInst->twoatatoverthreebtat*sqrtumax_VSI_BS_VSI_BS))-umax_VSI_BS_VSI_BS);
  ltat_VSI_BS_VDI_BD=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))+0.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS))+2.0*(+twoatatoverthreebtat_VSI_BS_VDI_BD*pInst->sqrtumax+twoatatoverthreebtat_VSI_BS*sqrtumax_VDI_BD+twoatatoverthreebtat_VDI_BD*sqrtumax_VSI_BS+pInst->twoatatoverthreebtat*sqrtumax_VSI_BS_VDI_BD))-umax_VSI_BS_VDI_BD);
#endif
ltat_VDI_BD=((2.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))-umax_VDI_BD);
#if defined(_DERIVATE2)
  ltat_VDI_BD_VSI_BS=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))+0.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD))+2.0*(+twoatatoverthreebtat_VDI_BD_VSI_BS*pInst->sqrtumax+twoatatoverthreebtat_VDI_BD*sqrtumax_VSI_BS+twoatatoverthreebtat_VSI_BS*sqrtumax_VDI_BD+pInst->twoatatoverthreebtat*sqrtumax_VDI_BD_VSI_BS))-umax_VDI_BD_VSI_BS);
  ltat_VDI_BD_VDI_BD=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))+0.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD))+2.0*(+twoatatoverthreebtat_VDI_BD_VDI_BD*pInst->sqrtumax+twoatatoverthreebtat_VDI_BD*sqrtumax_VDI_BD+twoatatoverthreebtat_VDI_BD*sqrtumax_VDI_BD+pInst->twoatatoverthreebtat*sqrtumax_VDI_BD_VDI_BD))-umax_VDI_BD_VDI_BD);
#endif
#endif
pInst->ltat=((2.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax))-pInst->umax);
EXIT_IF_ISNAN(((2.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax))-pInst->umax))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
mtat_VSI_BS=(((((pModel->atatsti_d*twoatatoverthreebtat_VSI_BS)*pInst->sqrtumax)+((pModel->atatsti_d*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS))-(pModel->atatsti_d*umax_VSI_BS))+(0.5*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))));
#if defined(_DERIVATE2)
  mtat_VSI_BS_VSI_BS=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VSI_BS+0.0*twoatatoverthreebtat_VSI_BS+pModel->atatsti_d*twoatatoverthreebtat_VSI_BS_VSI_BS)*pInst->sqrtumax+(pModel->atatsti_d*twoatatoverthreebtat_VSI_BS)*sqrtumax_VSI_BS+((pModel->atatsti_d*twoatatoverthreebtat_VSI_BS))*sqrtumax_VSI_BS+(pModel->atatsti_d*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS_VSI_BS)-(+0.0*pInst->umax+0.0*umax_VSI_BS+0.0*umax_VSI_BS+pModel->atatsti_d*umax_VSI_BS_VSI_BS))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+0.5*(+btat_VSI_BS_VSI_BS*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VSI_BS)));
  mtat_VSI_BS_VDI_BD=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VDI_BD+0.0*twoatatoverthreebtat_VSI_BS+pModel->atatsti_d*twoatatoverthreebtat_VSI_BS_VDI_BD)*pInst->sqrtumax+(pModel->atatsti_d*twoatatoverthreebtat_VSI_BS)*sqrtumax_VDI_BD+((pModel->atatsti_d*twoatatoverthreebtat_VDI_BD))*sqrtumax_VSI_BS+(pModel->atatsti_d*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS_VDI_BD)-(+0.0*pInst->umax+0.0*umax_VDI_BD+0.0*umax_VSI_BS+pModel->atatsti_d*umax_VSI_BS_VDI_BD))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+0.5*(+btat_VSI_BS_VDI_BD*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VDI_BD)));
#endif
mtat_VDI_BD=(((((pModel->atatsti_d*twoatatoverthreebtat_VDI_BD)*pInst->sqrtumax)+((pModel->atatsti_d*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD))-(pModel->atatsti_d*umax_VDI_BD))+(0.5*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))));
#if defined(_DERIVATE2)
  mtat_VDI_BD_VSI_BS=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VSI_BS+0.0*twoatatoverthreebtat_VDI_BD+pModel->atatsti_d*twoatatoverthreebtat_VDI_BD_VSI_BS)*pInst->sqrtumax+(pModel->atatsti_d*twoatatoverthreebtat_VDI_BD)*sqrtumax_VSI_BS+((pModel->atatsti_d*twoatatoverthreebtat_VSI_BS))*sqrtumax_VDI_BD+(pModel->atatsti_d*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD_VSI_BS)-(+0.0*pInst->umax+0.0*umax_VSI_BS+0.0*umax_VDI_BD+pModel->atatsti_d*umax_VDI_BD_VSI_BS))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+0.5*(+btat_VDI_BD_VSI_BS*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VSI_BS)));
  mtat_VDI_BD_VDI_BD=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VDI_BD+0.0*twoatatoverthreebtat_VDI_BD+pModel->atatsti_d*twoatatoverthreebtat_VDI_BD_VDI_BD)*pInst->sqrtumax+(pModel->atatsti_d*twoatatoverthreebtat_VDI_BD)*sqrtumax_VDI_BD+((pModel->atatsti_d*twoatatoverthreebtat_VDI_BD))*sqrtumax_VDI_BD+(pModel->atatsti_d*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD_VDI_BD)-(+0.0*pInst->umax+0.0*umax_VDI_BD+0.0*umax_VDI_BD+pModel->atatsti_d*umax_VDI_BD_VDI_BD))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+0.5*(+btat_VDI_BD_VDI_BD*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VDI_BD)));
#endif
#endif
pInst->mtat=((((pModel->atatsti_d*pInst->twoatatoverthreebtat)*pInst->sqrtumax)-(pModel->atatsti_d*pInst->umax))+(0.5*(pInst->btat*pInst->umaxpoweronepointfive)));
EXIT_IF_ISNAN(((((pModel->atatsti_d*pInst->twoatatoverthreebtat)*pInst->sqrtumax)-(pModel->atatsti_d*pInst->umax))+(0.5*(pInst->btat*pInst->umaxpoweronepointfive))))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
xerfc_VSI_BS=((ltat_VSI_BS*pInst->ktat)+((pInst->ltat-1.0)*ktat_VSI_BS));
#if defined(_DERIVATE2)
  xerfc_VSI_BS_VSI_BS=(+(+ltat_VSI_BS_VSI_BS-0.0)*pInst->ktat+ltat_VSI_BS*ktat_VSI_BS+ltat_VSI_BS*ktat_VSI_BS+(pInst->ltat-1.0)*ktat_VSI_BS_VSI_BS);
  xerfc_VSI_BS_VDI_BD=(+(+ltat_VSI_BS_VDI_BD-0.0)*pInst->ktat+ltat_VSI_BS*ktat_VDI_BD+ltat_VDI_BD*ktat_VSI_BS+(pInst->ltat-1.0)*ktat_VSI_BS_VDI_BD);
#endif
xerfc_VDI_BD=((ltat_VDI_BD*pInst->ktat)+((pInst->ltat-1.0)*ktat_VDI_BD));
#if defined(_DERIVATE2)
  xerfc_VDI_BD_VSI_BS=(+(+ltat_VDI_BD_VSI_BS-0.0)*pInst->ktat+ltat_VDI_BD*ktat_VSI_BS+ltat_VSI_BS*ktat_VDI_BD+(pInst->ltat-1.0)*ktat_VDI_BD_VSI_BS);
  xerfc_VDI_BD_VDI_BD=(+(+ltat_VDI_BD_VDI_BD-0.0)*pInst->ktat+ltat_VDI_BD*ktat_VDI_BD+ltat_VDI_BD*ktat_VDI_BD+(pInst->ltat-1.0)*ktat_VDI_BD_VDI_BD);
#endif
#endif
pInst->xerfc=((pInst->ltat-1.0)*pInst->ktat);
EXIT_IF_ISNAN(((pInst->ltat-1.0)*pInst->ktat))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ysq_VSI_BS=((xerfc_VSI_BS*pInst->xerfc)+(pInst->xerfc*xerfc_VSI_BS));
#if defined(_DERIVATE2)
  ysq_VSI_BS_VSI_BS=(+xerfc_VSI_BS_VSI_BS*pInst->xerfc+xerfc_VSI_BS*xerfc_VSI_BS+xerfc_VSI_BS*xerfc_VSI_BS+pInst->xerfc*xerfc_VSI_BS_VSI_BS);
  ysq_VSI_BS_VDI_BD=(+xerfc_VSI_BS_VDI_BD*pInst->xerfc+xerfc_VSI_BS*xerfc_VDI_BD+xerfc_VDI_BD*xerfc_VSI_BS+pInst->xerfc*xerfc_VSI_BS_VDI_BD);
#endif
ysq_VDI_BD=((xerfc_VDI_BD*pInst->xerfc)+(pInst->xerfc*xerfc_VDI_BD));
#if defined(_DERIVATE2)
  ysq_VDI_BD_VSI_BS=(+xerfc_VDI_BD_VSI_BS*pInst->xerfc+xerfc_VDI_BD*xerfc_VSI_BS+xerfc_VSI_BS*xerfc_VDI_BD+pInst->xerfc*xerfc_VDI_BD_VSI_BS);
  ysq_VDI_BD_VDI_BD=(+xerfc_VDI_BD_VDI_BD*pInst->xerfc+xerfc_VDI_BD*xerfc_VDI_BD+xerfc_VDI_BD*xerfc_VDI_BD+pInst->xerfc*xerfc_VDI_BD_VDI_BD);
#endif
#endif
pInst->ysq=(pInst->xerfc*pInst->xerfc);
EXIT_IF_ISNAN((pInst->xerfc*pInst->xerfc))
if
((pInst->xerfc>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
terfc_VSI_BS=(-(pModel->perfc*xerfc_VSI_BS)/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VSI_BS_VSI_BS=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VSI_BS))+0.0*(pModel->perfc*xerfc_VSI_BS)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VSI_BS)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VSI_BS)*((pModel->perfc*xerfc_VSI_BS))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
  terfc_VSI_BS_VDI_BD=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VDI_BD))+0.0*(pModel->perfc*xerfc_VSI_BS)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VDI_BD)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VSI_BS)*((pModel->perfc*xerfc_VDI_BD))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#endif
terfc_VDI_BD=(-(pModel->perfc*xerfc_VDI_BD)/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VDI_BD_VSI_BS=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VSI_BS))+0.0*(pModel->perfc*xerfc_VDI_BD)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VSI_BS)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VDI_BD)*((pModel->perfc*xerfc_VSI_BS))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
  terfc_VDI_BD_VDI_BD=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VDI_BD))+0.0*(pModel->perfc*xerfc_VDI_BD)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VDI_BD)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VDI_BD)*((pModel->perfc*xerfc_VDI_BD))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#endif
#endif
pInst->terfc=(1.0/(1.0+(pModel->perfc*pInst->xerfc)));
EXIT_IF_ISNAN((1.0/(1.0+(pModel->perfc*pInst->xerfc))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
terfc_VSI_BS=(-(-(pModel->perfc*xerfc_VSI_BS))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VSI_BS_VSI_BS=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VSI_BS)))+0.0*(-(pModel->perfc*xerfc_VSI_BS))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VSI_BS))*(-((pModel->perfc*xerfc_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
  terfc_VSI_BS_VDI_BD=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VDI_BD)))+0.0*(-(pModel->perfc*xerfc_VSI_BS))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VSI_BS))*(-((pModel->perfc*xerfc_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#endif
terfc_VDI_BD=(-(-(pModel->perfc*xerfc_VDI_BD))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VDI_BD_VSI_BS=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VSI_BS)))+0.0*(-(pModel->perfc*xerfc_VDI_BD))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VDI_BD))*(-((pModel->perfc*xerfc_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
  terfc_VDI_BD_VDI_BD=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VDI_BD)))+0.0*(-(pModel->perfc*xerfc_VDI_BD))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VDI_BD))*(-((pModel->perfc*xerfc_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#endif
#endif
pInst->terfc=(1.0/(1.0-(pModel->perfc*pInst->xerfc)));
EXIT_IF_ISNAN((1.0/(1.0-(pModel->perfc*pInst->xerfc))))
}
if
((((-pInst->ysq)+pInst->mtat)>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,((-pInst->ysq)+pInst->mtat))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=((-ysq_VSI_BS)+mtat_VSI_BS)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VSI_BS)+mtat_VSI_BS)*((-ysq_VSI_BS)+mtat_VSI_BS)+d10_exp0*(+0.0+mtat_VSI_BS_VSI_BS));
  tmp_VSI_BS_VDI_BD=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VDI_BD)+mtat_VDI_BD)*((-ysq_VSI_BS)+mtat_VSI_BS)+d10_exp0*(+0.0+mtat_VSI_BS_VDI_BD));
#endif
tmp_VDI_BD=((-ysq_VDI_BD)+mtat_VDI_BD)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VSI_BS)+mtat_VSI_BS)*((-ysq_VDI_BD)+mtat_VDI_BD)+d10_exp0*(+0.0+mtat_VDI_BD_VSI_BS));
  tmp_VDI_BD_VDI_BD=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VDI_BD)+mtat_VDI_BD)*((-ysq_VDI_BD)+mtat_VDI_BD)+d10_exp0*(+0.0+mtat_VDI_BD_VDI_BD));
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*3.3333333333333333e-01+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*3.3333333333333333e-01+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*3.3333333333333333e-01+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*3.3333333333333333e-01+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
erfcpos_VSI_BS=(((((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*pInst->tmp)+((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS));
#if defined(_DERIVATE2)
  erfcpos_VSI_BS_VSI_BS=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VSI_BS+0.0*terfc_VSI_BS+0.29214664*terfc_VSI_BS_VSI_BS)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))+0.0*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))+pModel->berfc*(+terfc_VSI_BS_VSI_BS*pInst->terfc+terfc_VSI_BS*terfc_VSI_BS+terfc_VSI_BS*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VSI_BS)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS)))+0.0*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))+pModel->cerfc*(+(+terfc_VSI_BS_VSI_BS*pInst->terfc+terfc_VSI_BS*terfc_VSI_BS+terfc_VSI_BS*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VSI_BS)*pInst->terfc+((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*terfc_VSI_BS+(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*terfc_VSI_BS+(pInst->terfc*pInst->terfc)*terfc_VSI_BS_VSI_BS)))*pInst->tmp+(((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*tmp_VSI_BS+((((0.29214664*terfc_VSI_BS))+((pModel->berfc*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))))+((pModel->cerfc*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))))*tmp_VSI_BS+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS_VSI_BS);
  erfcpos_VSI_BS_VDI_BD=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VDI_BD+0.0*terfc_VSI_BS+0.29214664*terfc_VSI_BS_VDI_BD)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))+0.0*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))+pModel->berfc*(+terfc_VSI_BS_VDI_BD*pInst->terfc+terfc_VSI_BS*terfc_VDI_BD+terfc_VDI_BD*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VDI_BD)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD)))+0.0*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))+pModel->cerfc*(+(+terfc_VSI_BS_VDI_BD*pInst->terfc+terfc_VSI_BS*terfc_VDI_BD+terfc_VDI_BD*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VDI_BD)*pInst->terfc+((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*terfc_VDI_BD+(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*terfc_VSI_BS+(pInst->terfc*pInst->terfc)*terfc_VSI_BS_VDI_BD)))*pInst->tmp+(((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*tmp_VDI_BD+((((0.29214664*terfc_VDI_BD))+((pModel->berfc*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))))+((pModel->cerfc*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))))*tmp_VSI_BS+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS_VDI_BD);
#endif
erfcpos_VDI_BD=(((((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*pInst->tmp)+((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD));
#if defined(_DERIVATE2)
  erfcpos_VDI_BD_VSI_BS=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VSI_BS+0.0*terfc_VDI_BD+0.29214664*terfc_VDI_BD_VSI_BS)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))+0.0*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))+pModel->berfc*(+terfc_VDI_BD_VSI_BS*pInst->terfc+terfc_VDI_BD*terfc_VSI_BS+terfc_VSI_BS*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VSI_BS)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS)))+0.0*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))+pModel->cerfc*(+(+terfc_VDI_BD_VSI_BS*pInst->terfc+terfc_VDI_BD*terfc_VSI_BS+terfc_VSI_BS*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VSI_BS)*pInst->terfc+((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*terfc_VSI_BS+(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*terfc_VDI_BD+(pInst->terfc*pInst->terfc)*terfc_VDI_BD_VSI_BS)))*pInst->tmp+(((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*tmp_VSI_BS+((((0.29214664*terfc_VSI_BS))+((pModel->berfc*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))))+((pModel->cerfc*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))))*tmp_VDI_BD+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD_VSI_BS);
  erfcpos_VDI_BD_VDI_BD=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VDI_BD+0.0*terfc_VDI_BD+0.29214664*terfc_VDI_BD_VDI_BD)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))+0.0*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))+pModel->berfc*(+terfc_VDI_BD_VDI_BD*pInst->terfc+terfc_VDI_BD*terfc_VDI_BD+terfc_VDI_BD*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VDI_BD)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD)))+0.0*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))+pModel->cerfc*(+(+terfc_VDI_BD_VDI_BD*pInst->terfc+terfc_VDI_BD*terfc_VDI_BD+terfc_VDI_BD*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VDI_BD)*pInst->terfc+((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*terfc_VDI_BD+(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*terfc_VDI_BD+(pInst->terfc*pInst->terfc)*terfc_VDI_BD_VDI_BD)))*pInst->tmp+(((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*tmp_VDI_BD+((((0.29214664*terfc_VDI_BD))+((pModel->berfc*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))))+((pModel->cerfc*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))))*tmp_VDI_BD+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD_VDI_BD);
#endif
#endif
pInst->erfcpos=((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*pInst->tmp);
EXIT_IF_ISNAN(((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*pInst->tmp))
if
((pInst->xerfc>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
erfctimesexpmtat_VSI_BS=erfcpos_VSI_BS;
#if defined(_DERIVATE2)
  erfctimesexpmtat_VSI_BS_VSI_BS=erfcpos_VSI_BS_VSI_BS;
  erfctimesexpmtat_VSI_BS_VDI_BD=erfcpos_VSI_BS_VDI_BD;
#endif
erfctimesexpmtat_VDI_BD=erfcpos_VDI_BD;
#if defined(_DERIVATE2)
  erfctimesexpmtat_VDI_BD_VSI_BS=erfcpos_VDI_BD_VSI_BS;
  erfctimesexpmtat_VDI_BD_VDI_BD=erfcpos_VDI_BD_VDI_BD;
#endif
#endif
pInst->erfctimesexpmtat=pInst->erfcpos;
EXIT_IF_ISNAN(pInst->erfcpos)
}
else
{
if
((pInst->mtat>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,pInst->mtat)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=mtat_VSI_BS*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(pInst->mtat)*mtat_VSI_BS*mtat_VSI_BS+d10_exp0*mtat_VSI_BS_VSI_BS);
  tmp_VSI_BS_VDI_BD=(m20_exp(pInst->mtat)*mtat_VDI_BD*mtat_VSI_BS+d10_exp0*mtat_VSI_BS_VDI_BD);
#endif
tmp_VDI_BD=mtat_VDI_BD*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(pInst->mtat)*mtat_VSI_BS*mtat_VDI_BD+d10_exp0*mtat_VDI_BD_VSI_BS);
  tmp_VDI_BD_VDI_BD=(m20_exp(pInst->mtat)*mtat_VDI_BD*mtat_VDI_BD+d10_exp0*mtat_VDI_BD_VDI_BD);
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VSI_BS_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VSI_BS)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))))+(-mtat_VSI_BS)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))+0.0*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VSI_BS_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VSI_BS)*((-mtat_VSI_BS)*3.3333333333333333e-01)+(-mtat_VSI_BS)*(-mtat_VSI_BS)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VSI_BS_VSI_BS)*3.3333333333333333e-01+(-mtat_VSI_BS)*0.0+(-mtat_VSI_BS)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VSI_BS_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VSI_BS)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))))+(-mtat_VDI_BD)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))+0.0*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VSI_BS_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VSI_BS)*((-mtat_VDI_BD)*3.3333333333333333e-01)+(-mtat_VDI_BD)*(-mtat_VSI_BS)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VSI_BS_VDI_BD)*3.3333333333333333e-01+(-mtat_VSI_BS)*0.0+(-mtat_VDI_BD)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VDI_BD_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VDI_BD)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))))+(-mtat_VSI_BS)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))+0.0*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VDI_BD_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VDI_BD)*((-mtat_VSI_BS)*3.3333333333333333e-01)+(-mtat_VSI_BS)*(-mtat_VDI_BD)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VDI_BD_VSI_BS)*3.3333333333333333e-01+(-mtat_VDI_BD)*0.0+(-mtat_VSI_BS)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VDI_BD_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VDI_BD)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))))+(-mtat_VDI_BD)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))+0.0*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VDI_BD_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VDI_BD)*((-mtat_VDI_BD)*3.3333333333333333e-01)+(-mtat_VDI_BD)*(-mtat_VDI_BD)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VDI_BD_VDI_BD)*3.3333333333333333e-01+(-mtat_VDI_BD)*0.0+(-mtat_VDI_BD)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
erfctimesexpmtat_VSI_BS=((2.0*tmp_VSI_BS)-erfcpos_VSI_BS);
#if defined(_DERIVATE2)
  erfctimesexpmtat_VSI_BS_VSI_BS=(+(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VSI_BS+2.0*tmp_VSI_BS_VSI_BS)-erfcpos_VSI_BS_VSI_BS);
  erfctimesexpmtat_VSI_BS_VDI_BD=(+(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VSI_BS+2.0*tmp_VSI_BS_VDI_BD)-erfcpos_VSI_BS_VDI_BD);
#endif
erfctimesexpmtat_VDI_BD=((2.0*tmp_VDI_BD)-erfcpos_VDI_BD);
#if defined(_DERIVATE2)
  erfctimesexpmtat_VDI_BD_VSI_BS=(+(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VDI_BD+2.0*tmp_VDI_BD_VSI_BS)-erfcpos_VDI_BD_VSI_BS);
  erfctimesexpmtat_VDI_BD_VDI_BD=(+(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VDI_BD+2.0*tmp_VDI_BD_VDI_BD)-erfcpos_VDI_BD_VDI_BD);
#endif
#endif
pInst->erfctimesexpmtat=((2.0*pInst->tmp)-pInst->erfcpos);
EXIT_IF_ISNAN(((2.0*pInst->tmp)-pInst->erfcpos))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
gammamax_VSI_BS=((1.77245385090551603*0.5)*(((pModel->atatsti_d*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat));
#if defined(_DERIVATE2)
  gammamax_VSI_BS_VSI_BS=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatsti_d*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatsti_d*erfctimesexpmtat_VSI_BS))*pInst->ktat-(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatsti_d*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VSI_BS+0.0*erfctimesexpmtat_VSI_BS+pModel->atatsti_d*erfctimesexpmtat_VSI_BS_VSI_BS)/pInst->ktat-((pModel->atatsti_d*erfctimesexpmtat_VSI_BS)*ktat_VSI_BS+((pModel->atatsti_d*erfctimesexpmtat_VSI_BS))*ktat_VSI_BS+(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VSI_BS_VSI_BS)/pInst->ktat/pInst->ktat+2*(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VSI_BS*ktat_VSI_BS/pInst->ktat/pInst->ktat/pInst->ktat));
  gammamax_VSI_BS_VDI_BD=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatsti_d*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatsti_d*erfctimesexpmtat_VDI_BD))*pInst->ktat-(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatsti_d*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VDI_BD+0.0*erfctimesexpmtat_VSI_BS+pModel->atatsti_d*erfctimesexpmtat_VSI_BS_VDI_BD)/pInst->ktat-((pModel->atatsti_d*erfctimesexpmtat_VSI_BS)*ktat_VDI_BD+((pModel->atatsti_d*erfctimesexpmtat_VDI_BD))*ktat_VSI_BS+(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VSI_BS_VDI_BD)/pInst->ktat/pInst->ktat+2*(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VSI_BS*ktat_VDI_BD/pInst->ktat/pInst->ktat/pInst->ktat));
#endif
gammamax_VDI_BD=((1.77245385090551603*0.5)*(((pModel->atatsti_d*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat));
#if defined(_DERIVATE2)
  gammamax_VDI_BD_VSI_BS=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatsti_d*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatsti_d*erfctimesexpmtat_VSI_BS))*pInst->ktat-(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatsti_d*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VSI_BS+0.0*erfctimesexpmtat_VDI_BD+pModel->atatsti_d*erfctimesexpmtat_VDI_BD_VSI_BS)/pInst->ktat-((pModel->atatsti_d*erfctimesexpmtat_VDI_BD)*ktat_VSI_BS+((pModel->atatsti_d*erfctimesexpmtat_VSI_BS))*ktat_VDI_BD+(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VDI_BD_VSI_BS)/pInst->ktat/pInst->ktat+2*(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VDI_BD*ktat_VSI_BS/pInst->ktat/pInst->ktat/pInst->ktat));
  gammamax_VDI_BD_VDI_BD=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatsti_d*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatsti_d*erfctimesexpmtat_VDI_BD))*pInst->ktat-(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatsti_d*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VDI_BD+0.0*erfctimesexpmtat_VDI_BD+pModel->atatsti_d*erfctimesexpmtat_VDI_BD_VDI_BD)/pInst->ktat-((pModel->atatsti_d*erfctimesexpmtat_VDI_BD)*ktat_VDI_BD+((pModel->atatsti_d*erfctimesexpmtat_VDI_BD))*ktat_VDI_BD+(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VDI_BD_VDI_BD)/pInst->ktat/pInst->ktat+2*(pModel->atatsti_d*pInst->erfctimesexpmtat)*ktat_VDI_BD*ktat_VDI_BD/pInst->ktat/pInst->ktat/pInst->ktat));
#endif
#endif
pInst->gammamax=((1.77245385090551603*0.5)*((pModel->atatsti_d*pInst->erfctimesexpmtat)/pInst->ktat));
EXIT_IF_ISNAN(((1.77245385090551603*0.5)*((pModel->atatsti_d*pInst->erfctimesexpmtat)/pInst->ktat)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
itat_VSI_BS=(pModel->CTATSTID_i*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)));
#if defined(_DERIVATE2)
  itat_VSI_BS_VSI_BS=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)))+0.0*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS))+pModel->CTATSTID_i*(+(+asrh_VSI_BS_VSI_BS*pInst->gammamax+asrh_VSI_BS*gammamax_VSI_BS+asrh_VSI_BS*gammamax_VSI_BS+pInst->asrh*gammamax_VSI_BS_VSI_BS)*pInst->wtat+((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*wtat_VSI_BS+(((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*wtat_VSI_BS+(pInst->asrh*pInst->gammamax)*wtat_VSI_BS_VSI_BS));
  itat_VSI_BS_VDI_BD=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)))+0.0*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS))+pModel->CTATSTID_i*(+(+asrh_VSI_BS_VDI_BD*pInst->gammamax+asrh_VSI_BS*gammamax_VDI_BD+asrh_VDI_BD*gammamax_VSI_BS+pInst->asrh*gammamax_VSI_BS_VDI_BD)*pInst->wtat+((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*wtat_VDI_BD+(((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*wtat_VSI_BS+(pInst->asrh*pInst->gammamax)*wtat_VSI_BS_VDI_BD));
#endif
itat_VDI_BD=(pModel->CTATSTID_i*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)));
#if defined(_DERIVATE2)
  itat_VDI_BD_VSI_BS=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)))+0.0*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD))+pModel->CTATSTID_i*(+(+asrh_VDI_BD_VSI_BS*pInst->gammamax+asrh_VDI_BD*gammamax_VSI_BS+asrh_VSI_BS*gammamax_VDI_BD+pInst->asrh*gammamax_VDI_BD_VSI_BS)*pInst->wtat+((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*wtat_VSI_BS+(((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*wtat_VDI_BD+(pInst->asrh*pInst->gammamax)*wtat_VDI_BD_VSI_BS));
  itat_VDI_BD_VDI_BD=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)))+0.0*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD))+pModel->CTATSTID_i*(+(+asrh_VDI_BD_VDI_BD*pInst->gammamax+asrh_VDI_BD*gammamax_VDI_BD+asrh_VDI_BD*gammamax_VDI_BD+pInst->asrh*gammamax_VDI_BD_VDI_BD)*pInst->wtat+((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*wtat_VDI_BD+(((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*wtat_VDI_BD+(pInst->asrh*pInst->gammamax)*wtat_VDI_BD_VDI_BD));
#endif
#endif
pInst->itat=(pModel->CTATSTID_i*((pInst->asrh*pInst->gammamax)*pInst->wtat));
EXIT_IF_ISNAN((pModel->CTATSTID_i*((pInst->asrh*pInst->gammamax)*pInst->wtat)))
}
if
((pModel->CBBTSTID_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ibbt_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ibbt_VSI_BS_VSI_BS=0.0;
  ibbt_VSI_BS_VDI_BD=0.0;
#endif
ibbt_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ibbt_VDI_BD_VSI_BS=0.0;
  ibbt_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->ibbt=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
if
((pModel->PSTID_i==0.5))
{
{
double m00_sqrt(d00_sqrt0,((pModel->VBIRSTID_i-pInst->vbbt)*pModel->VBIRSTIinv_d))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pModel->VBIRSTID_i-pInst->vbbt)*pModel->VBIRSTIinv_d))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-vbbt_VSI_BS)*pModel->VBIRSTIinv_d*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt(((pModel->VBIRSTID_i-pInst->vbbt)*pModel->VBIRSTIinv_d))*((-vbbt_VSI_BS)*pModel->VBIRSTIinv_d)*(-vbbt_VSI_BS)*pModel->VBIRSTIinv_d+d10_sqrt0*(+(+0.0-vbbt_VSI_BS_VSI_BS)*pModel->VBIRSTIinv_d+(-vbbt_VSI_BS)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRSTID_i-pInst->vbbt)*0.0));
  tmp_VSI_BS_VDI_BD=(m20_sqrt(((pModel->VBIRSTID_i-pInst->vbbt)*pModel->VBIRSTIinv_d))*((-vbbt_VDI_BD)*pModel->VBIRSTIinv_d)*(-vbbt_VSI_BS)*pModel->VBIRSTIinv_d+d10_sqrt0*(+(+0.0-vbbt_VSI_BS_VDI_BD)*pModel->VBIRSTIinv_d+(-vbbt_VSI_BS)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRSTID_i-pInst->vbbt)*0.0));
#endif
tmp_VDI_BD=(-vbbt_VDI_BD)*pModel->VBIRSTIinv_d*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_sqrt(((pModel->VBIRSTID_i-pInst->vbbt)*pModel->VBIRSTIinv_d))*((-vbbt_VSI_BS)*pModel->VBIRSTIinv_d)*(-vbbt_VDI_BD)*pModel->VBIRSTIinv_d+d10_sqrt0*(+(+0.0-vbbt_VDI_BD_VSI_BS)*pModel->VBIRSTIinv_d+(-vbbt_VDI_BD)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRSTID_i-pInst->vbbt)*0.0));
  tmp_VDI_BD_VDI_BD=(m20_sqrt(((pModel->VBIRSTID_i-pInst->vbbt)*pModel->VBIRSTIinv_d))*((-vbbt_VDI_BD)*pModel->VBIRSTIinv_d)*(-vbbt_VDI_BD)*pModel->VBIRSTIinv_d+d10_sqrt0*(+(+0.0-vbbt_VDI_BD_VDI_BD)*pModel->VBIRSTIinv_d+(-vbbt_VDI_BD)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRSTID_i-pInst->vbbt)*0.0));
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,((pModel->VBIRSTID_i-pInst->vbbt)*pModel->VBIRSTIinv_d),pModel->PSTID_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,((pModel->VBIRSTID_i-pInst->vbbt)*pModel->VBIRSTIinv_d),pModel->PSTID_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*(-vbbt_VSI_BS)*pModel->VBIRSTIinv_d);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow0*(-vbbt_VDI_BD)*pModel->VBIRSTIinv_d);
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Fmaxr_VSI_BS=(pModel->one_over_one_minus_PSTI_d*(((-vbbt_VSI_BS)*pModel->wdepnulrinvsti_d*pInst->tmp-((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp));
#if defined(_DERIVATE2)
  Fmaxr_VSI_BS_VSI_BS=(+0.0*(((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)/pInst->tmp)+0.0*((((-vbbt_VSI_BS)*pModel->wdepnulrinvsti_d)*pInst->tmp-((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VSI_BS)*pModel->wdepnulrinvsti_d*pInst->tmp-((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PSTI_d*((+(+0.0-vbbt_VSI_BS_VSI_BS)*pModel->wdepnulrinvsti_d+(-vbbt_VSI_BS)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRSTID_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VSI_BS)*pModel->wdepnulrinvsti_d*tmp_VSI_BS+((-vbbt_VSI_BS)*pModel->wdepnulrinvsti_d)*tmp_VSI_BS+((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VSI_BS_VSI_BS)/pInst->tmp/pInst->tmp+2*((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VSI_BS*tmp_VSI_BS/pInst->tmp/pInst->tmp/pInst->tmp));
  Fmaxr_VSI_BS_VDI_BD=(+0.0*(((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)/pInst->tmp)+0.0*((((-vbbt_VDI_BD)*pModel->wdepnulrinvsti_d)*pInst->tmp-((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VSI_BS)*pModel->wdepnulrinvsti_d*pInst->tmp-((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PSTI_d*((+(+0.0-vbbt_VSI_BS_VDI_BD)*pModel->wdepnulrinvsti_d+(-vbbt_VSI_BS)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRSTID_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VSI_BS)*pModel->wdepnulrinvsti_d*tmp_VDI_BD+((-vbbt_VDI_BD)*pModel->wdepnulrinvsti_d)*tmp_VSI_BS+((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VSI_BS_VDI_BD)/pInst->tmp/pInst->tmp+2*((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VSI_BS*tmp_VDI_BD/pInst->tmp/pInst->tmp/pInst->tmp));
#endif
Fmaxr_VDI_BD=(pModel->one_over_one_minus_PSTI_d*(((-vbbt_VDI_BD)*pModel->wdepnulrinvsti_d*pInst->tmp-((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp));
#if defined(_DERIVATE2)
  Fmaxr_VDI_BD_VSI_BS=(+0.0*(((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)/pInst->tmp)+0.0*((((-vbbt_VSI_BS)*pModel->wdepnulrinvsti_d)*pInst->tmp-((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VDI_BD)*pModel->wdepnulrinvsti_d*pInst->tmp-((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PSTI_d*((+(+0.0-vbbt_VDI_BD_VSI_BS)*pModel->wdepnulrinvsti_d+(-vbbt_VDI_BD)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRSTID_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VDI_BD)*pModel->wdepnulrinvsti_d*tmp_VSI_BS+((-vbbt_VSI_BS)*pModel->wdepnulrinvsti_d)*tmp_VDI_BD+((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VDI_BD_VSI_BS)/pInst->tmp/pInst->tmp+2*((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VDI_BD*tmp_VSI_BS/pInst->tmp/pInst->tmp/pInst->tmp));
  Fmaxr_VDI_BD_VDI_BD=(+0.0*(((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)/pInst->tmp)+0.0*((((-vbbt_VDI_BD)*pModel->wdepnulrinvsti_d)*pInst->tmp-((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VDI_BD)*pModel->wdepnulrinvsti_d*pInst->tmp-((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PSTI_d*((+(+0.0-vbbt_VDI_BD_VDI_BD)*pModel->wdepnulrinvsti_d+(-vbbt_VDI_BD)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRSTID_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VDI_BD)*pModel->wdepnulrinvsti_d*tmp_VDI_BD+((-vbbt_VDI_BD)*pModel->wdepnulrinvsti_d)*tmp_VDI_BD+((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VDI_BD_VDI_BD)/pInst->tmp/pInst->tmp+2*((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)*tmp_VDI_BD*tmp_VDI_BD/pInst->tmp/pInst->tmp/pInst->tmp));
#endif
#endif
pInst->Fmaxr=(pModel->one_over_one_minus_PSTI_d*(((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)/pInst->tmp));
EXIT_IF_ISNAN((pModel->one_over_one_minus_PSTI_d*(((pModel->VBIRSTID_i-pInst->vbbt)*pModel->wdepnulrinvsti_d)/pInst->tmp)))
{
double m00_fabs(d00_fabs0,((-pModel->fbbtsti_d)/pInst->Fmaxr))
if
((d00_fabs0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,((-pModel->fbbtsti_d)/pInst->Fmaxr))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
  tmp_VSI_BS_VDI_BD=(m20_exp(((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
#endif
tmp_VDI_BD=(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
  tmp_VDI_BD_VDI_BD=(m20_exp(((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
if
((((-pModel->fbbtsti_d)/pInst->Fmaxr)<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtsti_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(1.0e100*(((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(+0.0*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
  tmp_VSI_BS_VDI_BD=(+0.0*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtsti_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
#endif
tmp_VDI_BD=(1.0e100*(((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(+0.0*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtsti_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
  tmp_VDI_BD_VDI_BD=(+0.0*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtsti_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtsti_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtsti_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
pInst->tmp=(1.0e100*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtsti_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ibbt_VSI_BS=(pModel->CBBTSTID_i*(((((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)));
#if defined(_DERIVATE2)
  ibbt_VSI_BS_VSI_BS=(+0.0*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*((((((((Vjun_d*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS)))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)))+0.0*(((((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS))+pModel->CBBTSTID_i*(+(+(+0.0*pInst->Fmaxr+0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+Vjun_d*Fmaxr_VSI_BS_VSI_BS)*pInst->Fmaxr+(Vjun_d*Fmaxr_VSI_BS)*Fmaxr_VSI_BS+((Vjun_d*Fmaxr_VSI_BS))*Fmaxr_VSI_BS+(Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS_VSI_BS)*pInst->tmp+(((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*tmp_VSI_BS+(((((Vjun_d*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS)))*tmp_VSI_BS+((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS_VSI_BS));
  ibbt_VSI_BS_VDI_BD=(+0.0*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*(((((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD)))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)))+0.0*(((((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS))+pModel->CBBTSTID_i*(+(+(+0.0*pInst->Fmaxr+0.0*Fmaxr_VDI_BD+Vjun_d_VDI_BD*Fmaxr_VSI_BS+Vjun_d*Fmaxr_VSI_BS_VDI_BD)*pInst->Fmaxr+(Vjun_d*Fmaxr_VSI_BS)*Fmaxr_VDI_BD+(((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*Fmaxr_VSI_BS+(Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS_VDI_BD)*pInst->tmp+(((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*tmp_VDI_BD+((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD)))*tmp_VSI_BS+((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS_VDI_BD));
#endif
ibbt_VDI_BD=(pModel->CBBTSTID_i*((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)));
#if defined(_DERIVATE2)
  ibbt_VDI_BD_VSI_BS=(+0.0*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*((((((((Vjun_d*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS)))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)))+0.0*((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD))+pModel->CBBTSTID_i*(+(+(+0.0*pInst->Fmaxr+Vjun_d_VDI_BD*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+Vjun_d*Fmaxr_VDI_BD_VSI_BS)*pInst->Fmaxr+((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*Fmaxr_VSI_BS+((Vjun_d*Fmaxr_VSI_BS))*Fmaxr_VDI_BD+(Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD_VSI_BS)*pInst->tmp+((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*tmp_VSI_BS+(((((Vjun_d*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS)))*tmp_VDI_BD+((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD_VSI_BS));
  ibbt_VDI_BD_VDI_BD=(+0.0*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*(((((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD)))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)))+0.0*((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD))+pModel->CBBTSTID_i*(+(+(+Vjun_d_VDI_BD_VDI_BD*pInst->Fmaxr+Vjun_d_VDI_BD*Fmaxr_VDI_BD+Vjun_d_VDI_BD*Fmaxr_VDI_BD+Vjun_d*Fmaxr_VDI_BD_VDI_BD)*pInst->Fmaxr+((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*Fmaxr_VDI_BD+(((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*Fmaxr_VDI_BD+(Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD_VDI_BD)*pInst->tmp+((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*tmp_VDI_BD+((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD)))*tmp_VDI_BD+((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD_VDI_BD));
#endif
#endif
pInst->ibbt=(pModel->CBBTSTID_i*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp));
EXIT_IF_ISNAN((pModel->CBBTSTID_i*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)))
}
if
((pModel->VBRSTID_i>1.0e3))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=0.0;
  fbreakdown_VSI_BS_VDI_BD=0.0;
#endif
fbreakdown_VDI_BD=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=0.0;
  fbreakdown_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->fbreakdown=1.0;
EXIT_IF_ISNAN(1.0)
}
else
{
if
((pInst->vav>((-pModel->alphaav)*pModel->VBRSTID_i)))
{
if
((pModel->PBRSTID_i==4.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=((((((vav_VSI_BS*pModel->VBRinvsti_d*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*vav_VSI_BS*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*vav_VSI_BS*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))+((((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))*vav_VSI_BS*pModel->VBRinvsti_d));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(+(+(+(+vav_VSI_BS_VSI_BS*pModel->VBRinvsti_d+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvsti_d)+vav_VSI_BS*pModel->VBRinvsti_d*(vav_VSI_BS*pModel->VBRinvsti_d)+(vav_VSI_BS*pModel->VBRinvsti_d)*vav_VSI_BS*pModel->VBRinvsti_d+(pInst->vav*pModel->VBRinvsti_d)*(+vav_VSI_BS_VSI_BS*pModel->VBRinvsti_d+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvsti_d)+((vav_VSI_BS*pModel->VBRinvsti_d*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*vav_VSI_BS*pModel->VBRinvsti_d))*(vav_VSI_BS*pModel->VBRinvsti_d)+((((vav_VSI_BS*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*(vav_VSI_BS*pModel->VBRinvsti_d))))*vav_VSI_BS*pModel->VBRinvsti_d+((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(+vav_VSI_BS_VSI_BS*pModel->VBRinvsti_d+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvsti_d)+((((vav_VSI_BS*pModel->VBRinvsti_d*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*vav_VSI_BS*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*vav_VSI_BS*pModel->VBRinvsti_d))*(vav_VSI_BS*pModel->VBRinvsti_d)+(((((((vav_VSI_BS*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*(vav_VSI_BS*pModel->VBRinvsti_d))))*(pInst->vav*pModel->VBRinvsti_d))+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(vav_VSI_BS*pModel->VBRinvsti_d))))*vav_VSI_BS*pModel->VBRinvsti_d+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))*(+vav_VSI_BS_VSI_BS*pModel->VBRinvsti_d+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0));
  tmp_VSI_BS_VDI_BD=(+(+(+(+vav_VSI_BS_VDI_BD*pModel->VBRinvsti_d+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvsti_d)+vav_VSI_BS*pModel->VBRinvsti_d*(vav_VDI_BD*pModel->VBRinvsti_d)+(vav_VDI_BD*pModel->VBRinvsti_d)*vav_VSI_BS*pModel->VBRinvsti_d+(pInst->vav*pModel->VBRinvsti_d)*(+vav_VSI_BS_VDI_BD*pModel->VBRinvsti_d+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvsti_d)+((vav_VSI_BS*pModel->VBRinvsti_d*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*vav_VSI_BS*pModel->VBRinvsti_d))*(vav_VDI_BD*pModel->VBRinvsti_d)+((((vav_VDI_BD*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*(vav_VDI_BD*pModel->VBRinvsti_d))))*vav_VSI_BS*pModel->VBRinvsti_d+((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(+vav_VSI_BS_VDI_BD*pModel->VBRinvsti_d+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvsti_d)+((((vav_VSI_BS*pModel->VBRinvsti_d*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*vav_VSI_BS*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*vav_VSI_BS*pModel->VBRinvsti_d))*(vav_VDI_BD*pModel->VBRinvsti_d)+(((((((vav_VDI_BD*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*(vav_VDI_BD*pModel->VBRinvsti_d))))*(pInst->vav*pModel->VBRinvsti_d))+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(vav_VDI_BD*pModel->VBRinvsti_d))))*vav_VSI_BS*pModel->VBRinvsti_d+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))*(+vav_VSI_BS_VDI_BD*pModel->VBRinvsti_d+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0));
#endif
tmp_VDI_BD=((((((vav_VDI_BD*pModel->VBRinvsti_d*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*vav_VDI_BD*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*vav_VDI_BD*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))+((((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))*vav_VDI_BD*pModel->VBRinvsti_d));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(+(+(+(+vav_VDI_BD_VSI_BS*pModel->VBRinvsti_d+vav_VDI_BD*0.0+vav_VSI_BS*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvsti_d)+vav_VDI_BD*pModel->VBRinvsti_d*(vav_VSI_BS*pModel->VBRinvsti_d)+(vav_VSI_BS*pModel->VBRinvsti_d)*vav_VDI_BD*pModel->VBRinvsti_d+(pInst->vav*pModel->VBRinvsti_d)*(+vav_VDI_BD_VSI_BS*pModel->VBRinvsti_d+vav_VDI_BD*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvsti_d)+((vav_VDI_BD*pModel->VBRinvsti_d*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*vav_VDI_BD*pModel->VBRinvsti_d))*(vav_VSI_BS*pModel->VBRinvsti_d)+((((vav_VSI_BS*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*(vav_VSI_BS*pModel->VBRinvsti_d))))*vav_VDI_BD*pModel->VBRinvsti_d+((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(+vav_VDI_BD_VSI_BS*pModel->VBRinvsti_d+vav_VDI_BD*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvsti_d)+((((vav_VDI_BD*pModel->VBRinvsti_d*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*vav_VDI_BD*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*vav_VDI_BD*pModel->VBRinvsti_d))*(vav_VSI_BS*pModel->VBRinvsti_d)+(((((((vav_VSI_BS*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*(vav_VSI_BS*pModel->VBRinvsti_d))))*(pInst->vav*pModel->VBRinvsti_d))+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(vav_VSI_BS*pModel->VBRinvsti_d))))*vav_VDI_BD*pModel->VBRinvsti_d+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))*(+vav_VDI_BD_VSI_BS*pModel->VBRinvsti_d+vav_VDI_BD*0.0+vav_VSI_BS*0.0+pInst->vav*0.0));
  tmp_VDI_BD_VDI_BD=(+(+(+(+vav_VDI_BD_VDI_BD*pModel->VBRinvsti_d+vav_VDI_BD*0.0+vav_VDI_BD*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvsti_d)+vav_VDI_BD*pModel->VBRinvsti_d*(vav_VDI_BD*pModel->VBRinvsti_d)+(vav_VDI_BD*pModel->VBRinvsti_d)*vav_VDI_BD*pModel->VBRinvsti_d+(pInst->vav*pModel->VBRinvsti_d)*(+vav_VDI_BD_VDI_BD*pModel->VBRinvsti_d+vav_VDI_BD*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvsti_d)+((vav_VDI_BD*pModel->VBRinvsti_d*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*vav_VDI_BD*pModel->VBRinvsti_d))*(vav_VDI_BD*pModel->VBRinvsti_d)+((((vav_VDI_BD*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*(vav_VDI_BD*pModel->VBRinvsti_d))))*vav_VDI_BD*pModel->VBRinvsti_d+((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(+vav_VDI_BD_VDI_BD*pModel->VBRinvsti_d+vav_VDI_BD*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvsti_d)+((((vav_VDI_BD*pModel->VBRinvsti_d*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*vav_VDI_BD*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*vav_VDI_BD*pModel->VBRinvsti_d))*(vav_VDI_BD*pModel->VBRinvsti_d)+(((((((vav_VDI_BD*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))+((pInst->vav*pModel->VBRinvsti_d)*(vav_VDI_BD*pModel->VBRinvsti_d))))*(pInst->vav*pModel->VBRinvsti_d))+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(vav_VDI_BD*pModel->VBRinvsti_d))))*vav_VDI_BD*pModel->VBRinvsti_d+(((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))*(+vav_VDI_BD_VDI_BD*pModel->VBRinvsti_d+vav_VDI_BD*0.0+vav_VDI_BD*0.0+pInst->vav*0.0));
#endif
#endif
pInst->tmp=((((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d));
EXIT_IF_ISNAN(((((pInst->vav*pModel->VBRinvsti_d)*(pInst->vav*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d))*(pInst->vav*pModel->VBRinvsti_d)))
}
else
{
{
double m00_fabs(d00_fabs0,(pInst->vav*pModel->VBRinvsti_d))
double m00_pow(d00_pow1,d00_fabs0,pModel->PBRSTID_i)
#if defined(_DERIVATEFORDDX)
double m10_fabs(d10_fabs0,d00_fabs0,(pInst->vav*pModel->VBRinvsti_d))
double m10_pow(d10_pow1,d00_pow1,d00_fabs0,pModel->PBRSTID_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow1*vav_VSI_BS*pModel->VBRinvsti_d*d10_fabs0);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow1*vav_VDI_BD*pModel->VBRinvsti_d*d10_fabs0);
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow1;
EXIT_IF_ISNAN(d00_pow1)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=(-(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VSI_BS)+0.0*(-tmp_VSI_BS)+1.0*(+0.0-tmp_VSI_BS_VSI_BS))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VSI_BS)*(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
  fbreakdown_VSI_BS_VDI_BD=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VDI_BD)+0.0*(-tmp_VSI_BS)+1.0*(+0.0-tmp_VSI_BS_VDI_BD))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VSI_BS)*(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#endif
fbreakdown_VDI_BD=(-(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VSI_BS)+0.0*(-tmp_VDI_BD)+1.0*(+0.0-tmp_VDI_BD_VSI_BS))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VDI_BD)*(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
  fbreakdown_VDI_BD_VDI_BD=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VDI_BD)+0.0*(-tmp_VDI_BD)+1.0*(+0.0-tmp_VDI_BD_VDI_BD))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VDI_BD)*(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#endif
#endif
pInst->fbreakdown=(1.0/(1.0-pInst->tmp));
EXIT_IF_ISNAN((1.0/(1.0-pInst->tmp)))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=vav_VSI_BS*pModel->slopesti_d;
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=(+0.0+(+(+vav_VSI_BS_VSI_BS+(+0.0*pModel->VBRSTID_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopesti_d+vav_VSI_BS*0.0+(vav_VSI_BS+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRSTID_i))*0.0));
  fbreakdown_VSI_BS_VDI_BD=(+0.0+(+(+vav_VSI_BS_VDI_BD+(+0.0*pModel->VBRSTID_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopesti_d+vav_VSI_BS*0.0+(vav_VDI_BD+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRSTID_i))*0.0));
#endif
fbreakdown_VDI_BD=vav_VDI_BD*pModel->slopesti_d;
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=(+0.0+(+(+vav_VDI_BD_VSI_BS+(+0.0*pModel->VBRSTID_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopesti_d+vav_VDI_BD*0.0+(vav_VSI_BS+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRSTID_i))*0.0));
  fbreakdown_VDI_BD_VDI_BD=(+0.0+(+(+vav_VDI_BD_VDI_BD+(+0.0*pModel->VBRSTID_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopesti_d+vav_VDI_BD*0.0+(vav_VDI_BD+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRSTID_i))*0.0));
#endif
#endif
pInst->fbreakdown=(pModel->fstopsti_d+((pInst->vav+(pModel->alphaav*pModel->VBRSTID_i))*pModel->slopesti_d));
EXIT_IF_ISNAN((pModel->fstopsti_d+((pInst->vav+(pModel->alphaav*pModel->VBRSTID_i))*pModel->slopesti_d)))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijunsti_d_VDI_BD=(((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*pInst->fbreakdown)+((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD));
#if defined(_DERIVATE2)
  ijunsti_d_VDI_BD_VDI_BD=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+pInst->IFACTOR_i*(+(+(+id_VDI_BD_VDI_BD+isrh_VDI_BD_VDI_BD)+itat_VDI_BD_VDI_BD)+ibbt_VDI_BD_VDI_BD))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*fbreakdown_VDI_BD+((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)))*fbreakdown_VDI_BD+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD_VDI_BD);
  ijunsti_d_VDI_BD_VSI_BS=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+pInst->IFACTOR_i*(+(+(+id_VDI_BD_VSI_BS+isrh_VDI_BD_VSI_BS)+itat_VDI_BD_VSI_BS)+ibbt_VDI_BD_VSI_BS))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*fbreakdown_VSI_BS+((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)))*fbreakdown_VDI_BD+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD_VSI_BS);
#endif
ijunsti_d_VSI_BS=(((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*pInst->fbreakdown)+((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS));
#if defined(_DERIVATE2)
  ijunsti_d_VSI_BS_VDI_BD=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+pInst->IFACTOR_i*(+(+(+id_VSI_BS_VDI_BD+isrh_VSI_BS_VDI_BD)+itat_VSI_BS_VDI_BD)+ibbt_VSI_BS_VDI_BD))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*fbreakdown_VDI_BD+((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)))*fbreakdown_VSI_BS+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS_VDI_BD);
  ijunsti_d_VSI_BS_VSI_BS=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+pInst->IFACTOR_i*(+(+(+id_VSI_BS_VSI_BS+isrh_VSI_BS_VSI_BS)+itat_VSI_BS_VSI_BS)+ibbt_VSI_BS_VSI_BS))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*fbreakdown_VSI_BS+((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)))*fbreakdown_VSI_BS+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS_VSI_BS);
#endif
#endif
ijunsti_d=((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*pInst->fbreakdown);
EXIT_IF_ISNAN(((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*pInst->fbreakdown))
}
if
((pInst->LGDRAIN_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijungat_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ijungat_d_VDI_BD_VDI_BD=0.0;
  ijungat_d_VDI_BD_VSI_BS=0.0;
#endif
ijungat_d_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ijungat_d_VSI_BS_VDI_BD=0.0;
  ijungat_d_VSI_BS_VSI_BS=0.0;
#endif
#endif
ijungat_d=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(DI,GND) */
qjungat_d_VDI_BD=0.0;
#if defined(_DERIVATE2)
  qjungat_d_VDI_BD_VDI_BD=0.0;
  qjungat_d_VDI_BD_VSI_BS=0.0;
#endif
#if defined(_DERIVATE)
qjungat_d_VSI_BS=0.0;
#endif
#endif
qjungat_d=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
if
((pModel->one_minus_PGAT_d==0.5))
{
{
double m00_sqrt(d00_sqrt0,(1.0-(pInst->vj*pModel->vbiinvgat_d)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(pInst->vj*pModel->vbiinvgat_d)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-vj_VSI_BS*pModel->vbiinvgat_d)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvgat_d)))*(-(vj_VSI_BS*pModel->vbiinvgat_d))*(-vj_VSI_BS*pModel->vbiinvgat_d)+d10_sqrt0*(+0.0-(+vj_VSI_BS_VSI_BS*pModel->vbiinvgat_d+vj_VSI_BS*0.0+vj_VSI_BS*0.0+pInst->vj*0.0)));
  tmp_VSI_BS_VDI_BD=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvgat_d)))*(-(vj_VDI_BD*pModel->vbiinvgat_d))*(-vj_VSI_BS*pModel->vbiinvgat_d)+d10_sqrt0*(+0.0-(+vj_VSI_BS_VDI_BD*pModel->vbiinvgat_d+vj_VSI_BS*0.0+vj_VDI_BD*0.0+pInst->vj*0.0)));
#endif
tmp_VDI_BD=(-vj_VDI_BD*pModel->vbiinvgat_d)*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvgat_d)))*(-(vj_VSI_BS*pModel->vbiinvgat_d))*(-vj_VDI_BD*pModel->vbiinvgat_d)+d10_sqrt0*(+0.0-(+vj_VDI_BD_VSI_BS*pModel->vbiinvgat_d+vj_VDI_BD*0.0+vj_VSI_BS*0.0+pInst->vj*0.0)));
  tmp_VDI_BD_VDI_BD=(m20_sqrt((1.0-(pInst->vj*pModel->vbiinvgat_d)))*(-(vj_VDI_BD*pModel->vbiinvgat_d))*(-vj_VDI_BD*pModel->vbiinvgat_d)+d10_sqrt0*(+0.0-(+vj_VDI_BD_VDI_BD*pModel->vbiinvgat_d+vj_VDI_BD*0.0+vj_VDI_BD*0.0+pInst->vj*0.0)));
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,(1.0-(pInst->vj*pModel->vbiinvgat_d)),pModel->one_minus_PGAT_d)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0-(pInst->vj*pModel->vbiinvgat_d)),pModel->one_minus_PGAT_d)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*(-vj_VSI_BS*pModel->vbiinvgat_d));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow0*(-vj_VDI_BD*pModel->vbiinvgat_d));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(DI,GND) */
qjungat_d_VDI_BD=(pInst->CFACTOR_i*((pModel->qprefgat_d*(-tmp_VDI_BD))+(pModel->qpref2gat_d*(Vjun_d_VDI_BD-vj_VDI_BD))));
#if defined(_DERIVATE2)
  qjungat_d_VDI_BD_VDI_BD=(+0.0*((pModel->qprefgat_d*(1.0-pInst->tmp))+(pModel->qpref2gat_d*(Vjun_d-pInst->vj)))+0.0*(((pModel->qprefgat_d*(-tmp_VDI_BD)))+((pModel->qpref2gat_d*(Vjun_d_VDI_BD-vj_VDI_BD))))+0.0*((pModel->qprefgat_d*(-tmp_VDI_BD))+(pModel->qpref2gat_d*(Vjun_d_VDI_BD-vj_VDI_BD)))+pInst->CFACTOR_i*(+(+0.0*(1.0-pInst->tmp)+0.0*(-tmp_VDI_BD)+0.0*(-tmp_VDI_BD)+pModel->qprefgat_d*(+0.0-tmp_VDI_BD_VDI_BD))+(+0.0*(Vjun_d-pInst->vj)+0.0*(Vjun_d_VDI_BD-vj_VDI_BD)+0.0*(Vjun_d_VDI_BD-vj_VDI_BD)+pModel->qpref2gat_d*(+Vjun_d_VDI_BD_VDI_BD-vj_VDI_BD_VDI_BD))));
  qjungat_d_VDI_BD_VSI_BS=(+0.0*((pModel->qprefgat_d*(1.0-pInst->tmp))+(pModel->qpref2gat_d*(Vjun_d-pInst->vj)))+0.0*(((pModel->qprefgat_d*(-tmp_VSI_BS)))+((pModel->qpref2gat_d*(-vj_VSI_BS))))+0.0*((pModel->qprefgat_d*(-tmp_VDI_BD))+(pModel->qpref2gat_d*(Vjun_d_VDI_BD-vj_VDI_BD)))+pInst->CFACTOR_i*(+(+0.0*(1.0-pInst->tmp)+0.0*(-tmp_VSI_BS)+0.0*(-tmp_VDI_BD)+pModel->qprefgat_d*(+0.0-tmp_VDI_BD_VSI_BS))+(+0.0*(Vjun_d-pInst->vj)+0.0*(-vj_VSI_BS)+0.0*(Vjun_d_VDI_BD-vj_VDI_BD)+pModel->qpref2gat_d*(+0.0-vj_VDI_BD_VSI_BS))));
#endif
#if defined(_DERIVATE)
qjungat_d_VSI_BS=(pInst->CFACTOR_i*((pModel->qprefgat_d*(-tmp_VSI_BS))+(pModel->qpref2gat_d*(-vj_VSI_BS))));
#endif
#endif
qjungat_d=(pInst->CFACTOR_i*((pModel->qprefgat_d*(1.0-pInst->tmp))+(pModel->qpref2gat_d*(Vjun_d-pInst->vj))));
EXIT_IF_ISNAN((pInst->CFACTOR_i*((pModel->qprefgat_d*(1.0-pInst->tmp))+(pModel->qpref2gat_d*(Vjun_d-pInst->vj)))))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
id_VDI_BD=(pModel->idsatgat_d*idmult_VDI_BD);
#if defined(_DERIVATE2)
  id_VDI_BD_VDI_BD=(+0.0*pInst->idmult+0.0*idmult_VDI_BD+0.0*idmult_VDI_BD+pModel->idsatgat_d*idmult_VDI_BD_VDI_BD);
  id_VDI_BD_VSI_BS=(+0.0*pInst->idmult+0.0*idmult_VSI_BS+0.0*idmult_VDI_BD+pModel->idsatgat_d*idmult_VDI_BD_VSI_BS);
#endif
id_VSI_BS=(pModel->idsatgat_d*idmult_VSI_BS);
#if defined(_DERIVATE2)
  id_VSI_BS_VDI_BD=(+0.0*pInst->idmult+0.0*idmult_VDI_BD+0.0*idmult_VSI_BS+pModel->idsatgat_d*idmult_VSI_BS_VDI_BD);
  id_VSI_BS_VSI_BS=(+0.0*pInst->idmult+0.0*idmult_VSI_BS+0.0*idmult_VSI_BS+pModel->idsatgat_d*idmult_VSI_BS_VSI_BS);
#endif
#endif
pInst->id=(pModel->idsatgat_d*pInst->idmult);
EXIT_IF_ISNAN((pModel->idsatgat_d*pInst->idmult))
if
(((pModel->CSRHGATD_i==0.0)&&(pModel->CTATGATD_i==0.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
isrh_VSI_BS=0.0;
#if defined(_DERIVATE2)
  isrh_VSI_BS_VSI_BS=0.0;
  isrh_VSI_BS_VDI_BD=0.0;
#endif
isrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  isrh_VDI_BD_VSI_BS=0.0;
  isrh_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->isrh=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
vbi_minus_vjsrh_VDI_BD=(-vjsrh_VDI_BD);
#if defined(_DERIVATE2)
  vbi_minus_vjsrh_VDI_BD_VDI_BD=(+0.0-vjsrh_VDI_BD_VDI_BD);
  vbi_minus_vjsrh_VDI_BD_VSI_BS=(+0.0-vjsrh_VDI_BD_VSI_BS);
#endif
vbi_minus_vjsrh_VSI_BS=(-vjsrh_VSI_BS);
#if defined(_DERIVATE2)
  vbi_minus_vjsrh_VSI_BS_VDI_BD=(+0.0-vjsrh_VSI_BS_VDI_BD);
  vbi_minus_vjsrh_VSI_BS_VSI_BS=(+0.0-vjsrh_VSI_BS_VSI_BS);
#endif
#endif
pInst->vbi_minus_vjsrh=(pModel->vbigat_d-pInst->vjsrh);
EXIT_IF_ISNAN((pModel->vbigat_d-pInst->vjsrh))
{
double m00_sqrt(d00_sqrt0,(1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
wsrhstep_VDI_BD=(-(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*d10_sqrt0);
#if defined(_DERIVATE2)
  wsrhstep_VDI_BD_VDI_BD=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VDI_BD_VDI_BD/pInst->vbi_minus_vjsrh-(two_psistar_VDI_BD*vbi_minus_vjsrh_VDI_BD+two_psistar_VDI_BD*vbi_minus_vjsrh_VDI_BD+pInst->two_psistar*vbi_minus_vjsrh_VDI_BD_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
  wsrhstep_VDI_BD_VSI_BS=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VDI_BD_VSI_BS/pInst->vbi_minus_vjsrh-(two_psistar_VDI_BD*vbi_minus_vjsrh_VSI_BS+two_psistar_VSI_BS*vbi_minus_vjsrh_VDI_BD+pInst->two_psistar*vbi_minus_vjsrh_VDI_BD_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
#endif
wsrhstep_VSI_BS=(-(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*d10_sqrt0);
#if defined(_DERIVATE2)
  wsrhstep_VSI_BS_VDI_BD=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VDI_BD*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VSI_BS_VDI_BD/pInst->vbi_minus_vjsrh-(two_psistar_VSI_BS*vbi_minus_vjsrh_VDI_BD+two_psistar_VDI_BD*vbi_minus_vjsrh_VSI_BS+pInst->two_psistar*vbi_minus_vjsrh_VSI_BS_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
  wsrhstep_VSI_BS_VSI_BS=(+0.0-(m20_sqrt((1.0-(pInst->two_psistar/pInst->vbi_minus_vjsrh)))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))*(-((two_psistar_VSI_BS*pInst->vbi_minus_vjsrh-pInst->two_psistar*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))+d10_sqrt0*(+0.0-(two_psistar_VSI_BS_VSI_BS/pInst->vbi_minus_vjsrh-(two_psistar_VSI_BS*vbi_minus_vjsrh_VSI_BS+two_psistar_VSI_BS*vbi_minus_vjsrh_VSI_BS+pInst->two_psistar*vbi_minus_vjsrh_VSI_BS_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*pInst->two_psistar*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh))));
#endif
#endif
pInst->wsrhstep=(1.0-d00_sqrt0);
EXIT_IF_ISNAN((1.0-d00_sqrt0))
}
if
((pModel->PGATD_i==0.5))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dwsrh_VDI_BD=0.0;
#if defined(_DERIVATE2)
  dwsrh_VDI_BD_VDI_BD=0.0;
  dwsrh_VDI_BD_VSI_BS=0.0;
#endif
dwsrh_VSI_BS=0.0;
#if defined(_DERIVATE2)
  dwsrh_VSI_BS_VDI_BD=0.0;
  dwsrh_VSI_BS_VSI_BS=0.0;
#endif
#endif
pInst->dwsrh=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
{
double m00_logE(d00_logE0,pInst->wsrhstep)
#if defined(_DERIVATEFORDDX)
double m10_logE(d10_logE0,d00_logE0,pInst->wsrhstep)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
dwsrh_VDI_BD=(((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*(1.0-(2.0*pModel->PGATD_i));
#if defined(_DERIVATE2)
  dwsrh_VDI_BD_VDI_BD=(+(+((+(+wsrhstep_VDI_BD_VDI_BD*pInst->wsrhstep+wsrhstep_VDI_BD*wsrhstep_VDI_BD+wsrhstep_VDI_BD*wsrhstep_VDI_BD+pInst->wsrhstep*wsrhstep_VDI_BD_VDI_BD)*d00_logE0+((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*wsrhstep_VDI_BD*d10_logE0+(((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*wsrhstep_VDI_BD*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VDI_BD*wsrhstep_VDI_BD+d10_logE0*wsrhstep_VDI_BD_VDI_BD))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(-wsrhstep_VDI_BD)+((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(-wsrhstep_VDI_BD)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VDI_BD_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD)*(-wsrhstep_VDI_BD)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD_VDI_BD)*(1.0-(2.0*pModel->PGATD_i))+(((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*(-(0.0))+(((((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PGATD_i+0.0*0.0+0.0*0.0+2.0*0.0)));
  dwsrh_VDI_BD_VSI_BS=(+(+((+(+wsrhstep_VDI_BD_VSI_BS*pInst->wsrhstep+wsrhstep_VDI_BD*wsrhstep_VSI_BS+wsrhstep_VSI_BS*wsrhstep_VDI_BD+pInst->wsrhstep*wsrhstep_VDI_BD_VSI_BS)*d00_logE0+((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*wsrhstep_VSI_BS*d10_logE0+(((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*wsrhstep_VDI_BD*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VSI_BS*wsrhstep_VDI_BD+d10_logE0*wsrhstep_VDI_BD_VSI_BS))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(-wsrhstep_VSI_BS)+((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(-wsrhstep_VDI_BD)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VDI_BD_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD)*(-wsrhstep_VSI_BS)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD_VSI_BS)*(1.0-(2.0*pModel->PGATD_i))+(((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*(-(0.0))+(((((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PGATD_i+0.0*0.0+0.0*0.0+2.0*0.0)));
#endif
dwsrh_VSI_BS=(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(1.0-(2.0*pModel->PGATD_i));
#if defined(_DERIVATE2)
  dwsrh_VSI_BS_VDI_BD=(+(+((+(+wsrhstep_VSI_BS_VDI_BD*pInst->wsrhstep+wsrhstep_VSI_BS*wsrhstep_VDI_BD+wsrhstep_VDI_BD*wsrhstep_VSI_BS+pInst->wsrhstep*wsrhstep_VSI_BS_VDI_BD)*d00_logE0+((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*wsrhstep_VDI_BD*d10_logE0+(((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*wsrhstep_VSI_BS*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VDI_BD*wsrhstep_VSI_BS+d10_logE0*wsrhstep_VSI_BS_VDI_BD))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(-wsrhstep_VDI_BD)+((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(-wsrhstep_VSI_BS)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VSI_BS_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS)*(-wsrhstep_VDI_BD)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS_VDI_BD)*(1.0-(2.0*pModel->PGATD_i))+(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(-(0.0))+(((((((((wsrhstep_VDI_BD*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VDI_BD)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VDI_BD*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VDI_BD))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VDI_BD)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PGATD_i+0.0*0.0+0.0*0.0+2.0*0.0)));
  dwsrh_VSI_BS_VSI_BS=(+(+((+(+wsrhstep_VSI_BS_VSI_BS*pInst->wsrhstep+wsrhstep_VSI_BS*wsrhstep_VSI_BS+wsrhstep_VSI_BS*wsrhstep_VSI_BS+pInst->wsrhstep*wsrhstep_VSI_BS_VSI_BS)*d00_logE0+((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*wsrhstep_VSI_BS*d10_logE0+(((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*wsrhstep_VSI_BS*d10_logE0+(pInst->wsrhstep*pInst->wsrhstep)*(m20_logE(pInst->wsrhstep)*wsrhstep_VSI_BS*wsrhstep_VSI_BS+d10_logE0*wsrhstep_VSI_BS_VSI_BS))/(1.0-pInst->wsrhstep)-(((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(-wsrhstep_VSI_BS)+((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(-wsrhstep_VSI_BS)+((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(+0.0-wsrhstep_VSI_BS_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)+2*((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS)*(-wsrhstep_VSI_BS)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS_VSI_BS)*(1.0-(2.0*pModel->PGATD_i))+(((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*(-(0.0))+(((((((((wsrhstep_VSI_BS*pInst->wsrhstep)+(pInst->wsrhstep*wsrhstep_VSI_BS)))*d00_logE0)+((pInst->wsrhstep*pInst->wsrhstep)*wsrhstep_VSI_BS*d10_logE0)))*(1.0-pInst->wsrhstep)-((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)*(-wsrhstep_VSI_BS))/(1.0-pInst->wsrhstep)/(1.0-pInst->wsrhstep))+wsrhstep_VSI_BS)*0.0+((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(+0.0-(+0.0*pModel->PGATD_i+0.0*0.0+0.0*0.0+2.0*0.0)));
#endif
#endif
pInst->dwsrh=(((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(1.0-(2.0*pModel->PGATD_i)));
EXIT_IF_ISNAN((((((pInst->wsrhstep*pInst->wsrhstep)*d00_logE0)/(1.0-pInst->wsrhstep))+pInst->wsrhstep)*(1.0-(2.0*pModel->PGATD_i))))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wsrh_VDI_BD=(wsrhstep_VDI_BD+dwsrh_VDI_BD);
#if defined(_DERIVATE2)
  wsrh_VDI_BD_VDI_BD=(+wsrhstep_VDI_BD_VDI_BD+dwsrh_VDI_BD_VDI_BD);
  wsrh_VDI_BD_VSI_BS=(+wsrhstep_VDI_BD_VSI_BS+dwsrh_VDI_BD_VSI_BS);
#endif
wsrh_VSI_BS=(wsrhstep_VSI_BS+dwsrh_VSI_BS);
#if defined(_DERIVATE2)
  wsrh_VSI_BS_VDI_BD=(+wsrhstep_VSI_BS_VDI_BD+dwsrh_VSI_BS_VDI_BD);
  wsrh_VSI_BS_VSI_BS=(+wsrhstep_VSI_BS_VSI_BS+dwsrh_VSI_BS_VSI_BS);
#endif
#endif
pInst->wsrh=(pInst->wsrhstep+pInst->dwsrh);
EXIT_IF_ISNAN((pInst->wsrhstep+pInst->dwsrh))
if
((pModel->PGATD_i==0.5))
{
{
double m00_sqrt(d00_sqrt0,(pInst->vbi_minus_vjsrh*pModel->VBIRGATinv_d))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(pInst->vbi_minus_vjsrh*pModel->VBIRGATinv_d))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=vbi_minus_vjsrh_VSI_BS*pModel->VBIRGATinv_d*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRGATinv_d))*(vbi_minus_vjsrh_VSI_BS*pModel->VBIRGATinv_d)*vbi_minus_vjsrh_VSI_BS*pModel->VBIRGATinv_d+d10_sqrt0*(+vbi_minus_vjsrh_VSI_BS_VSI_BS*pModel->VBIRGATinv_d+vbi_minus_vjsrh_VSI_BS*0.0+vbi_minus_vjsrh_VSI_BS*0.0+pInst->vbi_minus_vjsrh*0.0));
  tmp_VSI_BS_VDI_BD=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRGATinv_d))*(vbi_minus_vjsrh_VDI_BD*pModel->VBIRGATinv_d)*vbi_minus_vjsrh_VSI_BS*pModel->VBIRGATinv_d+d10_sqrt0*(+vbi_minus_vjsrh_VSI_BS_VDI_BD*pModel->VBIRGATinv_d+vbi_minus_vjsrh_VSI_BS*0.0+vbi_minus_vjsrh_VDI_BD*0.0+pInst->vbi_minus_vjsrh*0.0));
#endif
tmp_VDI_BD=vbi_minus_vjsrh_VDI_BD*pModel->VBIRGATinv_d*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRGATinv_d))*(vbi_minus_vjsrh_VSI_BS*pModel->VBIRGATinv_d)*vbi_minus_vjsrh_VDI_BD*pModel->VBIRGATinv_d+d10_sqrt0*(+vbi_minus_vjsrh_VDI_BD_VSI_BS*pModel->VBIRGATinv_d+vbi_minus_vjsrh_VDI_BD*0.0+vbi_minus_vjsrh_VSI_BS*0.0+pInst->vbi_minus_vjsrh*0.0));
  tmp_VDI_BD_VDI_BD=(m20_sqrt((pInst->vbi_minus_vjsrh*pModel->VBIRGATinv_d))*(vbi_minus_vjsrh_VDI_BD*pModel->VBIRGATinv_d)*vbi_minus_vjsrh_VDI_BD*pModel->VBIRGATinv_d+d10_sqrt0*(+vbi_minus_vjsrh_VDI_BD_VDI_BD*pModel->VBIRGATinv_d+vbi_minus_vjsrh_VDI_BD*0.0+vbi_minus_vjsrh_VDI_BD*0.0+pInst->vbi_minus_vjsrh*0.0));
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,(pInst->vbi_minus_vjsrh*pModel->VBIRGATinv_d),pModel->PGATD_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(pInst->vbi_minus_vjsrh*pModel->VBIRGATinv_d),pModel->PGATD_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*vbi_minus_vjsrh_VSI_BS*pModel->VBIRGATinv_d);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow0*vbi_minus_vjsrh_VDI_BD*pModel->VBIRGATinv_d);
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wdep_VSI_BS=(pModel->wdepnulrgat_d*tmp_VSI_BS);
#if defined(_DERIVATE2)
  wdep_VSI_BS_VSI_BS=(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VSI_BS+pModel->wdepnulrgat_d*tmp_VSI_BS_VSI_BS);
  wdep_VSI_BS_VDI_BD=(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VSI_BS+pModel->wdepnulrgat_d*tmp_VSI_BS_VDI_BD);
#endif
wdep_VDI_BD=(pModel->wdepnulrgat_d*tmp_VDI_BD);
#if defined(_DERIVATE2)
  wdep_VDI_BD_VSI_BS=(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VDI_BD+pModel->wdepnulrgat_d*tmp_VDI_BD_VSI_BS);
  wdep_VDI_BD_VDI_BD=(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VDI_BD+pModel->wdepnulrgat_d*tmp_VDI_BD_VDI_BD);
#endif
#endif
pInst->wdep=(pModel->wdepnulrgat_d*pInst->tmp);
EXIT_IF_ISNAN((pModel->wdepnulrgat_d*pInst->tmp))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
asrh_VSI_BS=(pModel->ftdgat_d*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)));
#if defined(_DERIVATE2)
  asrh_VSI_BS_VSI_BS=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)))+0.0*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS))+pModel->ftdgat_d*(+(+zinv_VSI_BS_VSI_BS-0.0)*pInst->wdep+zinv_VSI_BS*wdep_VSI_BS+zinv_VSI_BS*wdep_VSI_BS+(pInst->zinv-1.0)*wdep_VSI_BS_VSI_BS));
  asrh_VSI_BS_VDI_BD=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)))+0.0*((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS))+pModel->ftdgat_d*(+(+zinv_VSI_BS_VDI_BD-0.0)*pInst->wdep+zinv_VSI_BS*wdep_VDI_BD+zinv_VDI_BD*wdep_VSI_BS+(pInst->zinv-1.0)*wdep_VSI_BS_VDI_BD));
#endif
asrh_VDI_BD=(pModel->ftdgat_d*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)));
#if defined(_DERIVATE2)
  asrh_VDI_BD_VSI_BS=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VSI_BS*pInst->wdep)+((pInst->zinv-1.0)*wdep_VSI_BS)))+0.0*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD))+pModel->ftdgat_d*(+(+zinv_VDI_BD_VSI_BS-0.0)*pInst->wdep+zinv_VDI_BD*wdep_VSI_BS+zinv_VSI_BS*wdep_VDI_BD+(pInst->zinv-1.0)*wdep_VDI_BD_VSI_BS));
  asrh_VDI_BD_VDI_BD=(+0.0*((pInst->zinv-1.0)*pInst->wdep)+0.0*(((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD)))+0.0*((zinv_VDI_BD*pInst->wdep)+((pInst->zinv-1.0)*wdep_VDI_BD))+pModel->ftdgat_d*(+(+zinv_VDI_BD_VDI_BD-0.0)*pInst->wdep+zinv_VDI_BD*wdep_VDI_BD+zinv_VDI_BD*wdep_VDI_BD+(pInst->zinv-1.0)*wdep_VDI_BD_VDI_BD));
#endif
#endif
pInst->asrh=(pModel->ftdgat_d*((pInst->zinv-1.0)*pInst->wdep));
EXIT_IF_ISNAN((pModel->ftdgat_d*((pInst->zinv-1.0)*pInst->wdep)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
isrh_VSI_BS=(pModel->CSRHGATD_i*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)));
#if defined(_DERIVATE2)
  isrh_VSI_BS_VSI_BS=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)))+0.0*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS))+pModel->CSRHGATD_i*(+asrh_VSI_BS_VSI_BS*pInst->wsrh+asrh_VSI_BS*wsrh_VSI_BS+asrh_VSI_BS*wsrh_VSI_BS+pInst->asrh*wsrh_VSI_BS_VSI_BS));
  isrh_VSI_BS_VDI_BD=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)))+0.0*((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS))+pModel->CSRHGATD_i*(+asrh_VSI_BS_VDI_BD*pInst->wsrh+asrh_VSI_BS*wsrh_VDI_BD+asrh_VDI_BD*wsrh_VSI_BS+pInst->asrh*wsrh_VSI_BS_VDI_BD));
#endif
isrh_VDI_BD=(pModel->CSRHGATD_i*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)));
#if defined(_DERIVATE2)
  isrh_VDI_BD_VSI_BS=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VSI_BS*pInst->wsrh)+(pInst->asrh*wsrh_VSI_BS)))+0.0*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD))+pModel->CSRHGATD_i*(+asrh_VDI_BD_VSI_BS*pInst->wsrh+asrh_VDI_BD*wsrh_VSI_BS+asrh_VSI_BS*wsrh_VDI_BD+pInst->asrh*wsrh_VDI_BD_VSI_BS));
  isrh_VDI_BD_VDI_BD=(+0.0*(pInst->asrh*pInst->wsrh)+0.0*(((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD)))+0.0*((asrh_VDI_BD*pInst->wsrh)+(pInst->asrh*wsrh_VDI_BD))+pModel->CSRHGATD_i*(+asrh_VDI_BD_VDI_BD*pInst->wsrh+asrh_VDI_BD*wsrh_VDI_BD+asrh_VDI_BD*wsrh_VDI_BD+pInst->asrh*wsrh_VDI_BD_VDI_BD));
#endif
#endif
pInst->isrh=(pModel->CSRHGATD_i*(pInst->asrh*pInst->wsrh));
EXIT_IF_ISNAN((pModel->CSRHGATD_i*(pInst->asrh*pInst->wsrh)))
}
if
((pModel->CTATGATD_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
itat_VSI_BS=0.0;
#if defined(_DERIVATE2)
  itat_VSI_BS_VSI_BS=0.0;
  itat_VSI_BS_VDI_BD=0.0;
#endif
itat_VDI_BD=0.0;
#if defined(_DERIVATE2)
  itat_VDI_BD_VSI_BS=0.0;
  itat_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->itat=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
btat_VSI_BS=(pModel->btatpartgat_d*((wdep_VSI_BS*pModel->one_minus_PGAT_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#if defined(_DERIVATE2)
  btat_VSI_BS_VSI_BS=(+0.0*((pInst->wdep*pModel->one_minus_PGAT_d)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VSI_BS*pModel->one_minus_PGAT_d)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VSI_BS*pModel->one_minus_PGAT_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartgat_d*((+wdep_VSI_BS_VSI_BS*pModel->one_minus_PGAT_d+wdep_VSI_BS*0.0+wdep_VSI_BS*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VSI_BS*pModel->one_minus_PGAT_d*vbi_minus_vjsrh_VSI_BS+(wdep_VSI_BS*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VSI_BS+(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VSI_BS_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
  btat_VSI_BS_VDI_BD=(+0.0*((pInst->wdep*pModel->one_minus_PGAT_d)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VDI_BD*pModel->one_minus_PGAT_d)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VSI_BS*pModel->one_minus_PGAT_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartgat_d*((+wdep_VSI_BS_VDI_BD*pModel->one_minus_PGAT_d+wdep_VSI_BS*0.0+wdep_VDI_BD*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VSI_BS*pModel->one_minus_PGAT_d*vbi_minus_vjsrh_VDI_BD+(wdep_VDI_BD*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VSI_BS+(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VSI_BS_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VSI_BS*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#endif
btat_VDI_BD=(pModel->btatpartgat_d*((wdep_VDI_BD*pModel->one_minus_PGAT_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#if defined(_DERIVATE2)
  btat_VDI_BD_VSI_BS=(+0.0*((pInst->wdep*pModel->one_minus_PGAT_d)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VSI_BS*pModel->one_minus_PGAT_d)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VDI_BD*pModel->one_minus_PGAT_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartgat_d*((+wdep_VDI_BD_VSI_BS*pModel->one_minus_PGAT_d+wdep_VDI_BD*0.0+wdep_VSI_BS*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VDI_BD*pModel->one_minus_PGAT_d*vbi_minus_vjsrh_VSI_BS+(wdep_VSI_BS*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VDI_BD+(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VDI_BD_VSI_BS)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VSI_BS/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
  btat_VDI_BD_VDI_BD=(+0.0*((pInst->wdep*pModel->one_minus_PGAT_d)/pInst->vbi_minus_vjsrh)+0.0*(((wdep_VDI_BD*pModel->one_minus_PGAT_d)*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+0.0*((wdep_VDI_BD*pModel->one_minus_PGAT_d*pInst->vbi_minus_vjsrh-(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh)+pModel->btatpartgat_d*((+wdep_VDI_BD_VDI_BD*pModel->one_minus_PGAT_d+wdep_VDI_BD*0.0+wdep_VDI_BD*0.0+pInst->wdep*0.0)/pInst->vbi_minus_vjsrh-(wdep_VDI_BD*pModel->one_minus_PGAT_d*vbi_minus_vjsrh_VDI_BD+(wdep_VDI_BD*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VDI_BD+(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VDI_BD_VDI_BD)/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh+2*(pInst->wdep*pModel->one_minus_PGAT_d)*vbi_minus_vjsrh_VDI_BD*vbi_minus_vjsrh_VDI_BD/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh/pInst->vbi_minus_vjsrh));
#endif
#endif
pInst->btat=(pModel->btatpartgat_d*((pInst->wdep*pModel->one_minus_PGAT_d)/pInst->vbi_minus_vjsrh));
EXIT_IF_ISNAN((pModel->btatpartgat_d*((pInst->wdep*pModel->one_minus_PGAT_d)/pInst->vbi_minus_vjsrh)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
twoatatoverthreebtat_VSI_BS=(-(0.666666666666667*pModel->atatgat_d)*btat_VSI_BS/pInst->btat/pInst->btat);
#if defined(_DERIVATE2)
  twoatatoverthreebtat_VSI_BS_VSI_BS=((+0.0*pModel->atatgat_d+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VSI_BS+(0.0)*btat_VSI_BS+(0.666666666666667*pModel->atatgat_d)*btat_VSI_BS_VSI_BS)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatgat_d)*btat_VSI_BS*btat_VSI_BS/pInst->btat/pInst->btat/pInst->btat);
  twoatatoverthreebtat_VSI_BS_VDI_BD=((+0.0*pModel->atatgat_d+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VDI_BD+(0.0)*btat_VSI_BS+(0.666666666666667*pModel->atatgat_d)*btat_VSI_BS_VDI_BD)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatgat_d)*btat_VSI_BS*btat_VDI_BD/pInst->btat/pInst->btat/pInst->btat);
#endif
twoatatoverthreebtat_VDI_BD=(-(0.666666666666667*pModel->atatgat_d)*btat_VDI_BD/pInst->btat/pInst->btat);
#if defined(_DERIVATE2)
  twoatatoverthreebtat_VDI_BD_VSI_BS=((+0.0*pModel->atatgat_d+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VSI_BS+(0.0)*btat_VDI_BD+(0.666666666666667*pModel->atatgat_d)*btat_VDI_BD_VSI_BS)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatgat_d)*btat_VDI_BD*btat_VSI_BS/pInst->btat/pInst->btat/pInst->btat);
  twoatatoverthreebtat_VDI_BD_VDI_BD=((+0.0*pModel->atatgat_d+0.0*0.0+0.0*0.0+0.666666666666667*0.0)/pInst->btat-(0.0*btat_VDI_BD+(0.0)*btat_VDI_BD+(0.666666666666667*pModel->atatgat_d)*btat_VDI_BD_VDI_BD)/pInst->btat/pInst->btat+2*(0.666666666666667*pModel->atatgat_d)*btat_VDI_BD*btat_VDI_BD/pInst->btat/pInst->btat/pInst->btat);
#endif
#endif
pInst->twoatatoverthreebtat=((0.666666666666667*pModel->atatgat_d)/pInst->btat);
EXIT_IF_ISNAN(((0.666666666666667*pModel->atatgat_d)/pInst->btat))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
umaxbeforelimiting_VSI_BS=((twoatatoverthreebtat_VSI_BS*pInst->twoatatoverthreebtat)+(pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS));
#if defined(_DERIVATE2)
  umaxbeforelimiting_VSI_BS_VSI_BS=(+twoatatoverthreebtat_VSI_BS_VSI_BS*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VSI_BS+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VSI_BS+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS_VSI_BS);
  umaxbeforelimiting_VSI_BS_VDI_BD=(+twoatatoverthreebtat_VSI_BS_VDI_BD*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VDI_BD+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VSI_BS+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VSI_BS_VDI_BD);
#endif
umaxbeforelimiting_VDI_BD=((twoatatoverthreebtat_VDI_BD*pInst->twoatatoverthreebtat)+(pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD));
#if defined(_DERIVATE2)
  umaxbeforelimiting_VDI_BD_VSI_BS=(+twoatatoverthreebtat_VDI_BD_VSI_BS*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VSI_BS+twoatatoverthreebtat_VSI_BS*twoatatoverthreebtat_VDI_BD+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD_VSI_BS);
  umaxbeforelimiting_VDI_BD_VDI_BD=(+twoatatoverthreebtat_VDI_BD_VDI_BD*pInst->twoatatoverthreebtat+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VDI_BD+twoatatoverthreebtat_VDI_BD*twoatatoverthreebtat_VDI_BD+pInst->twoatatoverthreebtat*twoatatoverthreebtat_VDI_BD_VDI_BD);
#endif
#endif
pInst->umaxbeforelimiting=(pInst->twoatatoverthreebtat*pInst->twoatatoverthreebtat);
EXIT_IF_ISNAN((pInst->twoatatoverthreebtat*pInst->twoatatoverthreebtat))
{
double m00_sqrt(d00_sqrt0,((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
umax_VSI_BS=((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*d10_sqrt0;
#if defined(_DERIVATE2)
  umax_VSI_BS_VSI_BS=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VSI_BS_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VSI_BS)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))+(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VSI_BS_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VSI_BS)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
  umax_VSI_BS_VDI_BD=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VSI_BS_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VDI_BD)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))+(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VSI_BS_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS_VDI_BD)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
#endif
umax_VDI_BD=((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*d10_sqrt0;
#if defined(_DERIVATE2)
  umax_VDI_BD_VSI_BS=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VDI_BD_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VSI_BS)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))+(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VDI_BD_VSI_BS*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VSI_BS+umaxbeforelimiting_VSI_BS*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VSI_BS)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VSI_BS*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VSI_BS)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
  umax_VDI_BD_VDI_BD=(m20_sqrt(((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)))*(((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))*((((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0))+d10_sqrt0*((+umaxbeforelimiting_VDI_BD_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VDI_BD)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)-(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))+(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))+(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*(+(+umaxbeforelimiting_VDI_BD_VDI_BD*pInst->umaxbeforelimiting+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+umaxbeforelimiting_VDI_BD*umaxbeforelimiting_VDI_BD+pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD_VDI_BD)+0.0))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)+2*(pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)*((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD))*(((umaxbeforelimiting_VDI_BD*pInst->umaxbeforelimiting)+(pInst->umaxbeforelimiting*umaxbeforelimiting_VDI_BD)))/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)/((pInst->umaxbeforelimiting*pInst->umaxbeforelimiting)+1.0)));
#endif
#endif
pInst->umax=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
{
double m00_fabs(d00_fabs0,pInst->umax)
double m00_sqrt(d00_sqrt1,d00_fabs0)
#if defined(_DERIVATEFORDDX)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->umax)
double m10_sqrt(d10_sqrt1,d00_sqrt1,d00_fabs0)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
sqrtumax_VSI_BS=umax_VSI_BS*d10_fabs0*d10_sqrt1;
#if defined(_DERIVATE2)
  sqrtumax_VSI_BS_VSI_BS=(m20_sqrt(d00_fabs0)*umax_VSI_BS*d10_fabs0*umax_VSI_BS*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VSI_BS*umax_VSI_BS+d10_fabs0*umax_VSI_BS_VSI_BS));
  sqrtumax_VSI_BS_VDI_BD=(m20_sqrt(d00_fabs0)*umax_VDI_BD*d10_fabs0*umax_VSI_BS*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VDI_BD*umax_VSI_BS+d10_fabs0*umax_VSI_BS_VDI_BD));
#endif
sqrtumax_VDI_BD=umax_VDI_BD*d10_fabs0*d10_sqrt1;
#if defined(_DERIVATE2)
  sqrtumax_VDI_BD_VSI_BS=(m20_sqrt(d00_fabs0)*umax_VSI_BS*d10_fabs0*umax_VDI_BD*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VSI_BS*umax_VDI_BD+d10_fabs0*umax_VDI_BD_VSI_BS));
  sqrtumax_VDI_BD_VDI_BD=(m20_sqrt(d00_fabs0)*umax_VDI_BD*d10_fabs0*umax_VDI_BD*d10_fabs0+d10_sqrt1*(m20_fabs(pInst->umax)*umax_VDI_BD*umax_VDI_BD+d10_fabs0*umax_VDI_BD_VDI_BD));
#endif
#endif
pInst->sqrtumax=d00_sqrt1;
EXIT_IF_ISNAN(d00_sqrt1)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
umaxpoweronepointfive_VSI_BS=((umax_VSI_BS*pInst->sqrtumax)+(pInst->umax*sqrtumax_VSI_BS));
#if defined(_DERIVATE2)
  umaxpoweronepointfive_VSI_BS_VSI_BS=(+umax_VSI_BS_VSI_BS*pInst->sqrtumax+umax_VSI_BS*sqrtumax_VSI_BS+umax_VSI_BS*sqrtumax_VSI_BS+pInst->umax*sqrtumax_VSI_BS_VSI_BS);
  umaxpoweronepointfive_VSI_BS_VDI_BD=(+umax_VSI_BS_VDI_BD*pInst->sqrtumax+umax_VSI_BS*sqrtumax_VDI_BD+umax_VDI_BD*sqrtumax_VSI_BS+pInst->umax*sqrtumax_VSI_BS_VDI_BD);
#endif
umaxpoweronepointfive_VDI_BD=((umax_VDI_BD*pInst->sqrtumax)+(pInst->umax*sqrtumax_VDI_BD));
#if defined(_DERIVATE2)
  umaxpoweronepointfive_VDI_BD_VSI_BS=(+umax_VDI_BD_VSI_BS*pInst->sqrtumax+umax_VDI_BD*sqrtumax_VSI_BS+umax_VSI_BS*sqrtumax_VDI_BD+pInst->umax*sqrtumax_VDI_BD_VSI_BS);
  umaxpoweronepointfive_VDI_BD_VDI_BD=(+umax_VDI_BD_VDI_BD*pInst->sqrtumax+umax_VDI_BD*sqrtumax_VDI_BD+umax_VDI_BD*sqrtumax_VDI_BD+pInst->umax*sqrtumax_VDI_BD_VDI_BD);
#endif
#endif
pInst->umaxpoweronepointfive=(pInst->umax*pInst->sqrtumax);
EXIT_IF_ISNAN((pInst->umax*pInst->sqrtumax))
if
((((-pModel->PGATD_i)*pModel->one_over_one_minus_PGAT_d)==(-1.0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wgamma_VSI_BS=(-((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#if defined(_DERIVATE2)
  wgamma_VSI_BS_VSI_BS=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+1.0*(+0.0+(+btat_VSI_BS_VSI_BS*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
  wgamma_VSI_BS_VDI_BD=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+1.0*(+0.0+(+btat_VSI_BS_VDI_BD*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#endif
wgamma_VDI_BD=(-((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#if defined(_DERIVATE2)
  wgamma_VDI_BD_VSI_BS=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+1.0*(+0.0+(+btat_VDI_BD_VSI_BS*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
  wgamma_VDI_BD_VDI_BD=(0.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))-(0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+1.0*(+0.0+(+btat_VDI_BD_VDI_BD*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))+2*1.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
#endif
#endif
pInst->wgamma=(1.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive)));
EXIT_IF_ISNAN((1.0/(1.0+(pInst->btat*pInst->umaxpoweronepointfive))))
}
else
{
{
double m00_pow(d00_pow0,(1.0+(pInst->btat*pInst->umaxpoweronepointfive)),((-pModel->PGATD_i)*pModel->one_over_one_minus_PGAT_d))
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,(1.0+(pInst->btat*pInst->umaxpoweronepointfive)),((-pModel->PGATD_i)*pModel->one_over_one_minus_PGAT_d))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
wgamma_VSI_BS=(d10_pow0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)));
#if defined(_DERIVATE2)
  wgamma_VSI_BS_VSI_BS=fixme;
  wgamma_VSI_BS_VDI_BD=fixme;
#endif
wgamma_VDI_BD=(d10_pow0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)));
#if defined(_DERIVATE2)
  wgamma_VDI_BD_VSI_BS=fixme;
  wgamma_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->wgamma=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
wtat_VSI_BS=((((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(pInst->wsrh+pInst->wgamma)-(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#if defined(_DERIVATE2)
  wtat_VSI_BS_VSI_BS=((+wsrh_VSI_BS_VSI_BS*pInst->wgamma+wsrh_VSI_BS*wgamma_VSI_BS+wsrh_VSI_BS*wgamma_VSI_BS+pInst->wsrh*wgamma_VSI_BS_VSI_BS)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(wsrh_VSI_BS+wgamma_VSI_BS)+(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS)))*(wsrh_VSI_BS+wgamma_VSI_BS)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VSI_BS_VSI_BS+wgamma_VSI_BS_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS)*(wsrh_VSI_BS+wgamma_VSI_BS)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
  wtat_VSI_BS_VDI_BD=((+wsrh_VSI_BS_VDI_BD*pInst->wgamma+wsrh_VSI_BS*wgamma_VDI_BD+wsrh_VDI_BD*wgamma_VSI_BS+pInst->wsrh*wgamma_VSI_BS_VDI_BD)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS))*(wsrh_VDI_BD+wgamma_VDI_BD)+(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD)))*(wsrh_VSI_BS+wgamma_VSI_BS)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VSI_BS_VDI_BD+wgamma_VSI_BS_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VSI_BS+wgamma_VSI_BS)*(wsrh_VDI_BD+wgamma_VDI_BD)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#endif
wtat_VDI_BD=((((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(pInst->wsrh+pInst->wgamma)-(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#if defined(_DERIVATE2)
  wtat_VDI_BD_VSI_BS=((+wsrh_VDI_BD_VSI_BS*pInst->wgamma+wsrh_VDI_BD*wgamma_VSI_BS+wsrh_VSI_BS*wgamma_VDI_BD+pInst->wsrh*wgamma_VDI_BD_VSI_BS)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(wsrh_VSI_BS+wgamma_VSI_BS)+(((wsrh_VSI_BS*pInst->wgamma)+(pInst->wsrh*wgamma_VSI_BS)))*(wsrh_VDI_BD+wgamma_VDI_BD)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VDI_BD_VSI_BS+wgamma_VDI_BD_VSI_BS))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD)*(wsrh_VSI_BS+wgamma_VSI_BS)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
  wtat_VDI_BD_VDI_BD=((+wsrh_VDI_BD_VDI_BD*pInst->wgamma+wsrh_VDI_BD*wgamma_VDI_BD+wsrh_VDI_BD*wgamma_VDI_BD+pInst->wsrh*wgamma_VDI_BD_VDI_BD)/(pInst->wsrh+pInst->wgamma)-(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD))*(wsrh_VDI_BD+wgamma_VDI_BD)+(((wsrh_VDI_BD*pInst->wgamma)+(pInst->wsrh*wgamma_VDI_BD)))*(wsrh_VDI_BD+wgamma_VDI_BD)+(pInst->wsrh*pInst->wgamma)*(+wsrh_VDI_BD_VDI_BD+wgamma_VDI_BD_VDI_BD))/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)+2*(pInst->wsrh*pInst->wgamma)*(wsrh_VDI_BD+wgamma_VDI_BD)*(wsrh_VDI_BD+wgamma_VDI_BD)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
#endif
#endif
pInst->wtat=((pInst->wsrh*pInst->wgamma)/(pInst->wsrh+pInst->wgamma));
EXIT_IF_ISNAN(((pInst->wsrh*pInst->wgamma)/(pInst->wsrh+pInst->wgamma)))
{
double m00_sqrt(d00_sqrt0,(0.375*(pInst->btat/pInst->sqrtumax)))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(0.375*(pInst->btat/pInst->sqrtumax)))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ktat_VSI_BS=(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))*d10_sqrt0;
#if defined(_DERIVATE2)
  ktat_VSI_BS_VSI_BS=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VSI_BS_VSI_BS/pInst->sqrtumax-(btat_VSI_BS*sqrtumax_VSI_BS+btat_VSI_BS*sqrtumax_VSI_BS+pInst->btat*sqrtumax_VSI_BS_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VSI_BS*sqrtumax_VSI_BS/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
  ktat_VSI_BS_VDI_BD=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VSI_BS_VDI_BD/pInst->sqrtumax-(btat_VSI_BS*sqrtumax_VDI_BD+btat_VDI_BD*sqrtumax_VSI_BS+pInst->btat*sqrtumax_VSI_BS_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VSI_BS*sqrtumax_VDI_BD/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
#endif
ktat_VDI_BD=(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))*d10_sqrt0;
#if defined(_DERIVATE2)
  ktat_VDI_BD_VSI_BS=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VSI_BS*pInst->sqrtumax-pInst->btat*sqrtumax_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VDI_BD_VSI_BS/pInst->sqrtumax-(btat_VDI_BD*sqrtumax_VSI_BS+btat_VSI_BS*sqrtumax_VDI_BD+pInst->btat*sqrtumax_VDI_BD_VSI_BS)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VDI_BD*sqrtumax_VSI_BS/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
  ktat_VDI_BD_VDI_BD=(m20_sqrt((0.375*(pInst->btat/pInst->sqrtumax)))*((0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)))*(0.375*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax))+d10_sqrt0*(+0.0*(pInst->btat/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.0*((btat_VDI_BD*pInst->sqrtumax-pInst->btat*sqrtumax_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax)+0.375*(btat_VDI_BD_VDI_BD/pInst->sqrtumax-(btat_VDI_BD*sqrtumax_VDI_BD+btat_VDI_BD*sqrtumax_VDI_BD+pInst->btat*sqrtumax_VDI_BD_VDI_BD)/pInst->sqrtumax/pInst->sqrtumax+2*pInst->btat*sqrtumax_VDI_BD*sqrtumax_VDI_BD/pInst->sqrtumax/pInst->sqrtumax/pInst->sqrtumax)));
#endif
#endif
pInst->ktat=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ltat_VSI_BS=((2.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))-umax_VSI_BS);
#if defined(_DERIVATE2)
  ltat_VSI_BS_VSI_BS=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))+0.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS))+2.0*(+twoatatoverthreebtat_VSI_BS_VSI_BS*pInst->sqrtumax+twoatatoverthreebtat_VSI_BS*sqrtumax_VSI_BS+twoatatoverthreebtat_VSI_BS*sqrtumax_VSI_BS+pInst->twoatatoverthreebtat*sqrtumax_VSI_BS_VSI_BS))-umax_VSI_BS_VSI_BS);
  ltat_VSI_BS_VDI_BD=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))+0.0*((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS))+2.0*(+twoatatoverthreebtat_VSI_BS_VDI_BD*pInst->sqrtumax+twoatatoverthreebtat_VSI_BS*sqrtumax_VDI_BD+twoatatoverthreebtat_VDI_BD*sqrtumax_VSI_BS+pInst->twoatatoverthreebtat*sqrtumax_VSI_BS_VDI_BD))-umax_VSI_BS_VDI_BD);
#endif
ltat_VDI_BD=((2.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))-umax_VDI_BD);
#if defined(_DERIVATE2)
  ltat_VDI_BD_VSI_BS=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VSI_BS*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VSI_BS)))+0.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD))+2.0*(+twoatatoverthreebtat_VDI_BD_VSI_BS*pInst->sqrtumax+twoatatoverthreebtat_VDI_BD*sqrtumax_VSI_BS+twoatatoverthreebtat_VSI_BS*sqrtumax_VDI_BD+pInst->twoatatoverthreebtat*sqrtumax_VDI_BD_VSI_BS))-umax_VDI_BD_VSI_BS);
  ltat_VDI_BD_VDI_BD=(+(+0.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax)+0.0*(((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD)))+0.0*((twoatatoverthreebtat_VDI_BD*pInst->sqrtumax)+(pInst->twoatatoverthreebtat*sqrtumax_VDI_BD))+2.0*(+twoatatoverthreebtat_VDI_BD_VDI_BD*pInst->sqrtumax+twoatatoverthreebtat_VDI_BD*sqrtumax_VDI_BD+twoatatoverthreebtat_VDI_BD*sqrtumax_VDI_BD+pInst->twoatatoverthreebtat*sqrtumax_VDI_BD_VDI_BD))-umax_VDI_BD_VDI_BD);
#endif
#endif
pInst->ltat=((2.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax))-pInst->umax);
EXIT_IF_ISNAN(((2.0*(pInst->twoatatoverthreebtat*pInst->sqrtumax))-pInst->umax))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
mtat_VSI_BS=(((((pModel->atatgat_d*twoatatoverthreebtat_VSI_BS)*pInst->sqrtumax)+((pModel->atatgat_d*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS))-(pModel->atatgat_d*umax_VSI_BS))+(0.5*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))));
#if defined(_DERIVATE2)
  mtat_VSI_BS_VSI_BS=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VSI_BS+0.0*twoatatoverthreebtat_VSI_BS+pModel->atatgat_d*twoatatoverthreebtat_VSI_BS_VSI_BS)*pInst->sqrtumax+(pModel->atatgat_d*twoatatoverthreebtat_VSI_BS)*sqrtumax_VSI_BS+((pModel->atatgat_d*twoatatoverthreebtat_VSI_BS))*sqrtumax_VSI_BS+(pModel->atatgat_d*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS_VSI_BS)-(+0.0*pInst->umax+0.0*umax_VSI_BS+0.0*umax_VSI_BS+pModel->atatgat_d*umax_VSI_BS_VSI_BS))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+0.5*(+btat_VSI_BS_VSI_BS*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VSI_BS)));
  mtat_VSI_BS_VDI_BD=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VDI_BD+0.0*twoatatoverthreebtat_VSI_BS+pModel->atatgat_d*twoatatoverthreebtat_VSI_BS_VDI_BD)*pInst->sqrtumax+(pModel->atatgat_d*twoatatoverthreebtat_VSI_BS)*sqrtumax_VDI_BD+((pModel->atatgat_d*twoatatoverthreebtat_VDI_BD))*sqrtumax_VSI_BS+(pModel->atatgat_d*pInst->twoatatoverthreebtat)*sqrtumax_VSI_BS_VDI_BD)-(+0.0*pInst->umax+0.0*umax_VDI_BD+0.0*umax_VSI_BS+pModel->atatgat_d*umax_VSI_BS_VDI_BD))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS))+0.5*(+btat_VSI_BS_VDI_BD*pInst->umaxpoweronepointfive+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+pInst->btat*umaxpoweronepointfive_VSI_BS_VDI_BD)));
#endif
mtat_VDI_BD=(((((pModel->atatgat_d*twoatatoverthreebtat_VDI_BD)*pInst->sqrtumax)+((pModel->atatgat_d*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD))-(pModel->atatgat_d*umax_VDI_BD))+(0.5*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))));
#if defined(_DERIVATE2)
  mtat_VDI_BD_VSI_BS=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VSI_BS+0.0*twoatatoverthreebtat_VDI_BD+pModel->atatgat_d*twoatatoverthreebtat_VDI_BD_VSI_BS)*pInst->sqrtumax+(pModel->atatgat_d*twoatatoverthreebtat_VDI_BD)*sqrtumax_VSI_BS+((pModel->atatgat_d*twoatatoverthreebtat_VSI_BS))*sqrtumax_VDI_BD+(pModel->atatgat_d*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD_VSI_BS)-(+0.0*pInst->umax+0.0*umax_VSI_BS+0.0*umax_VDI_BD+pModel->atatgat_d*umax_VDI_BD_VSI_BS))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VSI_BS*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VSI_BS)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+0.5*(+btat_VDI_BD_VSI_BS*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VSI_BS+btat_VSI_BS*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VSI_BS)));
  mtat_VDI_BD_VDI_BD=(+(+(+(+0.0*pInst->twoatatoverthreebtat+0.0*twoatatoverthreebtat_VDI_BD+0.0*twoatatoverthreebtat_VDI_BD+pModel->atatgat_d*twoatatoverthreebtat_VDI_BD_VDI_BD)*pInst->sqrtumax+(pModel->atatgat_d*twoatatoverthreebtat_VDI_BD)*sqrtumax_VDI_BD+((pModel->atatgat_d*twoatatoverthreebtat_VDI_BD))*sqrtumax_VDI_BD+(pModel->atatgat_d*pInst->twoatatoverthreebtat)*sqrtumax_VDI_BD_VDI_BD)-(+0.0*pInst->umax+0.0*umax_VDI_BD+0.0*umax_VDI_BD+pModel->atatgat_d*umax_VDI_BD_VDI_BD))+(+0.0*(pInst->btat*pInst->umaxpoweronepointfive)+0.0*(((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD)))+0.0*((btat_VDI_BD*pInst->umaxpoweronepointfive)+(pInst->btat*umaxpoweronepointfive_VDI_BD))+0.5*(+btat_VDI_BD_VDI_BD*pInst->umaxpoweronepointfive+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+btat_VDI_BD*umaxpoweronepointfive_VDI_BD+pInst->btat*umaxpoweronepointfive_VDI_BD_VDI_BD)));
#endif
#endif
pInst->mtat=((((pModel->atatgat_d*pInst->twoatatoverthreebtat)*pInst->sqrtumax)-(pModel->atatgat_d*pInst->umax))+(0.5*(pInst->btat*pInst->umaxpoweronepointfive)));
EXIT_IF_ISNAN(((((pModel->atatgat_d*pInst->twoatatoverthreebtat)*pInst->sqrtumax)-(pModel->atatgat_d*pInst->umax))+(0.5*(pInst->btat*pInst->umaxpoweronepointfive))))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
xerfc_VSI_BS=((ltat_VSI_BS*pInst->ktat)+((pInst->ltat-1.0)*ktat_VSI_BS));
#if defined(_DERIVATE2)
  xerfc_VSI_BS_VSI_BS=(+(+ltat_VSI_BS_VSI_BS-0.0)*pInst->ktat+ltat_VSI_BS*ktat_VSI_BS+ltat_VSI_BS*ktat_VSI_BS+(pInst->ltat-1.0)*ktat_VSI_BS_VSI_BS);
  xerfc_VSI_BS_VDI_BD=(+(+ltat_VSI_BS_VDI_BD-0.0)*pInst->ktat+ltat_VSI_BS*ktat_VDI_BD+ltat_VDI_BD*ktat_VSI_BS+(pInst->ltat-1.0)*ktat_VSI_BS_VDI_BD);
#endif
xerfc_VDI_BD=((ltat_VDI_BD*pInst->ktat)+((pInst->ltat-1.0)*ktat_VDI_BD));
#if defined(_DERIVATE2)
  xerfc_VDI_BD_VSI_BS=(+(+ltat_VDI_BD_VSI_BS-0.0)*pInst->ktat+ltat_VDI_BD*ktat_VSI_BS+ltat_VSI_BS*ktat_VDI_BD+(pInst->ltat-1.0)*ktat_VDI_BD_VSI_BS);
  xerfc_VDI_BD_VDI_BD=(+(+ltat_VDI_BD_VDI_BD-0.0)*pInst->ktat+ltat_VDI_BD*ktat_VDI_BD+ltat_VDI_BD*ktat_VDI_BD+(pInst->ltat-1.0)*ktat_VDI_BD_VDI_BD);
#endif
#endif
pInst->xerfc=((pInst->ltat-1.0)*pInst->ktat);
EXIT_IF_ISNAN(((pInst->ltat-1.0)*pInst->ktat))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ysq_VSI_BS=((xerfc_VSI_BS*pInst->xerfc)+(pInst->xerfc*xerfc_VSI_BS));
#if defined(_DERIVATE2)
  ysq_VSI_BS_VSI_BS=(+xerfc_VSI_BS_VSI_BS*pInst->xerfc+xerfc_VSI_BS*xerfc_VSI_BS+xerfc_VSI_BS*xerfc_VSI_BS+pInst->xerfc*xerfc_VSI_BS_VSI_BS);
  ysq_VSI_BS_VDI_BD=(+xerfc_VSI_BS_VDI_BD*pInst->xerfc+xerfc_VSI_BS*xerfc_VDI_BD+xerfc_VDI_BD*xerfc_VSI_BS+pInst->xerfc*xerfc_VSI_BS_VDI_BD);
#endif
ysq_VDI_BD=((xerfc_VDI_BD*pInst->xerfc)+(pInst->xerfc*xerfc_VDI_BD));
#if defined(_DERIVATE2)
  ysq_VDI_BD_VSI_BS=(+xerfc_VDI_BD_VSI_BS*pInst->xerfc+xerfc_VDI_BD*xerfc_VSI_BS+xerfc_VSI_BS*xerfc_VDI_BD+pInst->xerfc*xerfc_VDI_BD_VSI_BS);
  ysq_VDI_BD_VDI_BD=(+xerfc_VDI_BD_VDI_BD*pInst->xerfc+xerfc_VDI_BD*xerfc_VDI_BD+xerfc_VDI_BD*xerfc_VDI_BD+pInst->xerfc*xerfc_VDI_BD_VDI_BD);
#endif
#endif
pInst->ysq=(pInst->xerfc*pInst->xerfc);
EXIT_IF_ISNAN((pInst->xerfc*pInst->xerfc))
if
((pInst->xerfc>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
terfc_VSI_BS=(-(pModel->perfc*xerfc_VSI_BS)/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VSI_BS_VSI_BS=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VSI_BS))+0.0*(pModel->perfc*xerfc_VSI_BS)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VSI_BS)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VSI_BS)*((pModel->perfc*xerfc_VSI_BS))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
  terfc_VSI_BS_VDI_BD=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VDI_BD))+0.0*(pModel->perfc*xerfc_VSI_BS)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VDI_BD)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VSI_BS)*((pModel->perfc*xerfc_VDI_BD))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#endif
terfc_VDI_BD=(-(pModel->perfc*xerfc_VDI_BD)/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VDI_BD_VSI_BS=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VSI_BS))+0.0*(pModel->perfc*xerfc_VDI_BD)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VSI_BS)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VDI_BD)*((pModel->perfc*xerfc_VSI_BS))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
  terfc_VDI_BD_VDI_BD=(0.0/(1.0+(pModel->perfc*pInst->xerfc))-(0.0*((pModel->perfc*xerfc_VDI_BD))+0.0*(pModel->perfc*xerfc_VDI_BD)+1.0*(+0.0+(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VDI_BD)))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))+2*1.0*(pModel->perfc*xerfc_VDI_BD)*((pModel->perfc*xerfc_VDI_BD))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc))/(1.0+(pModel->perfc*pInst->xerfc)));
#endif
#endif
pInst->terfc=(1.0/(1.0+(pModel->perfc*pInst->xerfc)));
EXIT_IF_ISNAN((1.0/(1.0+(pModel->perfc*pInst->xerfc))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
terfc_VSI_BS=(-(-(pModel->perfc*xerfc_VSI_BS))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VSI_BS_VSI_BS=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VSI_BS)))+0.0*(-(pModel->perfc*xerfc_VSI_BS))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VSI_BS))*(-((pModel->perfc*xerfc_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
  terfc_VSI_BS_VDI_BD=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VDI_BD)))+0.0*(-(pModel->perfc*xerfc_VSI_BS))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VSI_BS+pModel->perfc*xerfc_VSI_BS_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VSI_BS))*(-((pModel->perfc*xerfc_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#endif
terfc_VDI_BD=(-(-(pModel->perfc*xerfc_VDI_BD))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#if defined(_DERIVATE2)
  terfc_VDI_BD_VSI_BS=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VSI_BS)))+0.0*(-(pModel->perfc*xerfc_VDI_BD))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VSI_BS+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VDI_BD))*(-((pModel->perfc*xerfc_VSI_BS)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
  terfc_VDI_BD_VDI_BD=(0.0/(1.0-(pModel->perfc*pInst->xerfc))-(0.0*(-((pModel->perfc*xerfc_VDI_BD)))+0.0*(-(pModel->perfc*xerfc_VDI_BD))+1.0*(+0.0-(+0.0*pInst->xerfc+0.0*xerfc_VDI_BD+0.0*xerfc_VDI_BD+pModel->perfc*xerfc_VDI_BD_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))+2*1.0*(-(pModel->perfc*xerfc_VDI_BD))*(-((pModel->perfc*xerfc_VDI_BD)))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc))/(1.0-(pModel->perfc*pInst->xerfc)));
#endif
#endif
pInst->terfc=(1.0/(1.0-(pModel->perfc*pInst->xerfc)));
EXIT_IF_ISNAN((1.0/(1.0-(pModel->perfc*pInst->xerfc))))
}
if
((((-pInst->ysq)+pInst->mtat)>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,((-pInst->ysq)+pInst->mtat))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=((-ysq_VSI_BS)+mtat_VSI_BS)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VSI_BS)+mtat_VSI_BS)*((-ysq_VSI_BS)+mtat_VSI_BS)+d10_exp0*(+0.0+mtat_VSI_BS_VSI_BS));
  tmp_VSI_BS_VDI_BD=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VDI_BD)+mtat_VDI_BD)*((-ysq_VSI_BS)+mtat_VSI_BS)+d10_exp0*(+0.0+mtat_VSI_BS_VDI_BD));
#endif
tmp_VDI_BD=((-ysq_VDI_BD)+mtat_VDI_BD)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VSI_BS)+mtat_VSI_BS)*((-ysq_VDI_BD)+mtat_VDI_BD)+d10_exp0*(+0.0+mtat_VDI_BD_VSI_BS));
  tmp_VDI_BD_VDI_BD=(m20_exp(((-pInst->ysq)+pInst->mtat))*((-ysq_VDI_BD)+mtat_VDI_BD)*((-ysq_VDI_BD)+mtat_VDI_BD)+d10_exp0*(+0.0+mtat_VDI_BD_VDI_BD));
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VSI_BS))*3.3333333333333333e-01+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VSI_BS_VDI_BD))*3.3333333333333333e-01+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))))+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)+(-((-ysq_VSI_BS)+mtat_VSI_BS))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VSI_BS))*3.3333333333333333e-01+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+(-((-ysq_VSI_BS)+mtat_VSI_BS))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VSI_BS)+mtat_VSI_BS))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VSI_BS)+mtat_VSI_BS))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))-(0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+0.0*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))))+0.0*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01))+0.5*(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))+(-((-ysq_VDI_BD)+mtat_VDI_BD))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)+(-((-ysq_VDI_BD)+mtat_VDI_BD))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(+0.0+(+(+0.0-(+0.0+mtat_VDI_BD_VDI_BD))*3.3333333333333333e-01+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+(-((-ysq_VDI_BD)+mtat_VDI_BD))*0.0+((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(0.5*(((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((0.5*((((-((-ysq_VDI_BD)+mtat_VDI_BD))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*((-((-ysq_VDI_BD)+mtat_VDI_BD))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*(1.0+(((-2.3025850929940458e+02)-((-pInst->ysq)+pInst->mtat))*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
erfcpos_VSI_BS=(((((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*pInst->tmp)+((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS));
#if defined(_DERIVATE2)
  erfcpos_VSI_BS_VSI_BS=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VSI_BS+0.0*terfc_VSI_BS+0.29214664*terfc_VSI_BS_VSI_BS)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))+0.0*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))+pModel->berfc*(+terfc_VSI_BS_VSI_BS*pInst->terfc+terfc_VSI_BS*terfc_VSI_BS+terfc_VSI_BS*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VSI_BS)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS)))+0.0*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))+pModel->cerfc*(+(+terfc_VSI_BS_VSI_BS*pInst->terfc+terfc_VSI_BS*terfc_VSI_BS+terfc_VSI_BS*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VSI_BS)*pInst->terfc+((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*terfc_VSI_BS+(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*terfc_VSI_BS+(pInst->terfc*pInst->terfc)*terfc_VSI_BS_VSI_BS)))*pInst->tmp+(((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*tmp_VSI_BS+((((0.29214664*terfc_VSI_BS))+((pModel->berfc*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))))+((pModel->cerfc*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))))*tmp_VSI_BS+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS_VSI_BS);
  erfcpos_VSI_BS_VDI_BD=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VDI_BD+0.0*terfc_VSI_BS+0.29214664*terfc_VSI_BS_VDI_BD)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))+0.0*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))+pModel->berfc*(+terfc_VSI_BS_VDI_BD*pInst->terfc+terfc_VSI_BS*terfc_VDI_BD+terfc_VDI_BD*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VDI_BD)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD)))+0.0*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))+pModel->cerfc*(+(+terfc_VSI_BS_VDI_BD*pInst->terfc+terfc_VSI_BS*terfc_VDI_BD+terfc_VDI_BD*terfc_VSI_BS+pInst->terfc*terfc_VSI_BS_VDI_BD)*pInst->terfc+((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*terfc_VDI_BD+(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*terfc_VSI_BS+(pInst->terfc*pInst->terfc)*terfc_VSI_BS_VDI_BD)))*pInst->tmp+(((0.29214664*terfc_VSI_BS)+(pModel->berfc*((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))+(pModel->cerfc*((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))*tmp_VDI_BD+((((0.29214664*terfc_VDI_BD))+((pModel->berfc*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))))+((pModel->cerfc*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))))*tmp_VSI_BS+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VSI_BS_VDI_BD);
#endif
erfcpos_VDI_BD=(((((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*pInst->tmp)+((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD));
#if defined(_DERIVATE2)
  erfcpos_VDI_BD_VSI_BS=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VSI_BS+0.0*terfc_VDI_BD+0.29214664*terfc_VDI_BD_VSI_BS)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))+0.0*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))+pModel->berfc*(+terfc_VDI_BD_VSI_BS*pInst->terfc+terfc_VDI_BD*terfc_VSI_BS+terfc_VSI_BS*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VSI_BS)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS)))+0.0*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))+pModel->cerfc*(+(+terfc_VDI_BD_VSI_BS*pInst->terfc+terfc_VDI_BD*terfc_VSI_BS+terfc_VSI_BS*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VSI_BS)*pInst->terfc+((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*terfc_VSI_BS+(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*terfc_VDI_BD+(pInst->terfc*pInst->terfc)*terfc_VDI_BD_VSI_BS)))*pInst->tmp+(((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*tmp_VSI_BS+((((0.29214664*terfc_VSI_BS))+((pModel->berfc*(((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS))))))+((pModel->cerfc*((((((terfc_VSI_BS*pInst->terfc)+(pInst->terfc*terfc_VSI_BS)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VSI_BS))))))*tmp_VDI_BD+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD_VSI_BS);
  erfcpos_VDI_BD_VDI_BD=(+(+(+(+0.0*pInst->terfc+0.0*terfc_VDI_BD+0.0*terfc_VDI_BD+0.29214664*terfc_VDI_BD_VDI_BD)+(+0.0*(pInst->terfc*pInst->terfc)+0.0*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))+0.0*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))+pModel->berfc*(+terfc_VDI_BD_VDI_BD*pInst->terfc+terfc_VDI_BD*terfc_VDI_BD+terfc_VDI_BD*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VDI_BD)))+(+0.0*((pInst->terfc*pInst->terfc)*pInst->terfc)+0.0*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD)))+0.0*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))+pModel->cerfc*(+(+terfc_VDI_BD_VDI_BD*pInst->terfc+terfc_VDI_BD*terfc_VDI_BD+terfc_VDI_BD*terfc_VDI_BD+pInst->terfc*terfc_VDI_BD_VDI_BD)*pInst->terfc+((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*terfc_VDI_BD+(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*terfc_VDI_BD+(pInst->terfc*pInst->terfc)*terfc_VDI_BD_VDI_BD)))*pInst->tmp+(((0.29214664*terfc_VDI_BD)+(pModel->berfc*((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))+(pModel->cerfc*((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))*tmp_VDI_BD+((((0.29214664*terfc_VDI_BD))+((pModel->berfc*(((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD))))))+((pModel->cerfc*((((((terfc_VDI_BD*pInst->terfc)+(pInst->terfc*terfc_VDI_BD)))*pInst->terfc)+((pInst->terfc*pInst->terfc)*terfc_VDI_BD))))))*tmp_VDI_BD+(((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*tmp_VDI_BD_VDI_BD);
#endif
#endif
pInst->erfcpos=((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*pInst->tmp);
EXIT_IF_ISNAN(((((0.29214664*pInst->terfc)+(pModel->berfc*(pInst->terfc*pInst->terfc)))+(pModel->cerfc*((pInst->terfc*pInst->terfc)*pInst->terfc)))*pInst->tmp))
if
((pInst->xerfc>0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
erfctimesexpmtat_VSI_BS=erfcpos_VSI_BS;
#if defined(_DERIVATE2)
  erfctimesexpmtat_VSI_BS_VSI_BS=erfcpos_VSI_BS_VSI_BS;
  erfctimesexpmtat_VSI_BS_VDI_BD=erfcpos_VSI_BS_VDI_BD;
#endif
erfctimesexpmtat_VDI_BD=erfcpos_VDI_BD;
#if defined(_DERIVATE2)
  erfctimesexpmtat_VDI_BD_VSI_BS=erfcpos_VDI_BD_VSI_BS;
  erfctimesexpmtat_VDI_BD_VDI_BD=erfcpos_VDI_BD_VDI_BD;
#endif
#endif
pInst->erfctimesexpmtat=pInst->erfcpos;
EXIT_IF_ISNAN(pInst->erfcpos)
}
else
{
if
((pInst->mtat>(-2.3025850929940458e+02)))
{
{
double m00_exp(d00_exp0,pInst->mtat)
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=mtat_VSI_BS*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(pInst->mtat)*mtat_VSI_BS*mtat_VSI_BS+d10_exp0*mtat_VSI_BS_VSI_BS);
  tmp_VSI_BS_VDI_BD=(m20_exp(pInst->mtat)*mtat_VDI_BD*mtat_VSI_BS+d10_exp0*mtat_VSI_BS_VDI_BD);
#endif
tmp_VDI_BD=mtat_VDI_BD*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(pInst->mtat)*mtat_VSI_BS*mtat_VDI_BD+d10_exp0*mtat_VDI_BD_VSI_BS);
  tmp_VDI_BD_VDI_BD=(m20_exp(pInst->mtat)*mtat_VDI_BD*mtat_VDI_BD+d10_exp0*mtat_VDI_BD_VDI_BD);
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VSI_BS_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VSI_BS)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))))+(-mtat_VSI_BS)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))+0.0*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VSI_BS_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VSI_BS)*((-mtat_VSI_BS)*3.3333333333333333e-01)+(-mtat_VSI_BS)*(-mtat_VSI_BS)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VSI_BS_VSI_BS)*3.3333333333333333e-01+(-mtat_VSI_BS)*0.0+(-mtat_VSI_BS)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VSI_BS_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VSI_BS)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))))+(-mtat_VDI_BD)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))+0.0*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VSI_BS_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VSI_BS)*((-mtat_VDI_BD)*3.3333333333333333e-01)+(-mtat_VDI_BD)*(-mtat_VSI_BS)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VSI_BS_VDI_BD)*3.3333333333333333e-01+(-mtat_VSI_BS)*0.0+(-mtat_VDI_BD)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VSI_BS)*3.3333333333333333e-01)))))*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VDI_BD_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VDI_BD)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))))+(-mtat_VSI_BS)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01))))+0.0*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VDI_BD_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VDI_BD)*((-mtat_VSI_BS)*3.3333333333333333e-01)+(-mtat_VSI_BS)*(-mtat_VDI_BD)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VDI_BD_VSI_BS)*3.3333333333333333e-01+(-mtat_VDI_BD)*0.0+(-mtat_VSI_BS)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))*((((-mtat_VSI_BS)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VSI_BS)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VSI_BS)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))-(0.0*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))+0.0*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-mtat_VDI_BD_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))+(-mtat_VDI_BD)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))))+(-mtat_VDI_BD)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+0.0*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+0.0*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01))))+0.0*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01))+0.5*(+(+0.0-mtat_VDI_BD_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))+(-mtat_VDI_BD)*((-mtat_VDI_BD)*3.3333333333333333e-01)+(-mtat_VDI_BD)*(-mtat_VDI_BD)*3.3333333333333333e-01+((-2.3025850929940458e+02)-pInst->mtat)*(+0.0+(+(+0.0-mtat_VDI_BD_VDI_BD)*3.3333333333333333e-01+(-mtat_VDI_BD)*0.0+(-mtat_VDI_BD)*0.0+((-2.3025850929940458e+02)-pInst->mtat)*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))+2*1.0e-100*(((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*(0.5*(((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*(-mtat_VDI_BD)*3.3333333333333333e-01)))))*((((-mtat_VDI_BD)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-pInst->mtat)*((0.5*((((-mtat_VDI_BD)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-pInst->mtat)*((-mtat_VDI_BD)*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-pInst->mtat)*(1.0+(((-2.3025850929940458e+02)-pInst->mtat)*3.3333333333333333e-01)))))))))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
erfctimesexpmtat_VSI_BS=((2.0*tmp_VSI_BS)-erfcpos_VSI_BS);
#if defined(_DERIVATE2)
  erfctimesexpmtat_VSI_BS_VSI_BS=(+(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VSI_BS+2.0*tmp_VSI_BS_VSI_BS)-erfcpos_VSI_BS_VSI_BS);
  erfctimesexpmtat_VSI_BS_VDI_BD=(+(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VSI_BS+2.0*tmp_VSI_BS_VDI_BD)-erfcpos_VSI_BS_VDI_BD);
#endif
erfctimesexpmtat_VDI_BD=((2.0*tmp_VDI_BD)-erfcpos_VDI_BD);
#if defined(_DERIVATE2)
  erfctimesexpmtat_VDI_BD_VSI_BS=(+(+0.0*pInst->tmp+0.0*tmp_VSI_BS+0.0*tmp_VDI_BD+2.0*tmp_VDI_BD_VSI_BS)-erfcpos_VDI_BD_VSI_BS);
  erfctimesexpmtat_VDI_BD_VDI_BD=(+(+0.0*pInst->tmp+0.0*tmp_VDI_BD+0.0*tmp_VDI_BD+2.0*tmp_VDI_BD_VDI_BD)-erfcpos_VDI_BD_VDI_BD);
#endif
#endif
pInst->erfctimesexpmtat=((2.0*pInst->tmp)-pInst->erfcpos);
EXIT_IF_ISNAN(((2.0*pInst->tmp)-pInst->erfcpos))
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
gammamax_VSI_BS=((1.77245385090551603*0.5)*(((pModel->atatgat_d*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat));
#if defined(_DERIVATE2)
  gammamax_VSI_BS_VSI_BS=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatgat_d*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatgat_d*erfctimesexpmtat_VSI_BS))*pInst->ktat-(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatgat_d*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VSI_BS+0.0*erfctimesexpmtat_VSI_BS+pModel->atatgat_d*erfctimesexpmtat_VSI_BS_VSI_BS)/pInst->ktat-((pModel->atatgat_d*erfctimesexpmtat_VSI_BS)*ktat_VSI_BS+((pModel->atatgat_d*erfctimesexpmtat_VSI_BS))*ktat_VSI_BS+(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VSI_BS_VSI_BS)/pInst->ktat/pInst->ktat+2*(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VSI_BS*ktat_VSI_BS/pInst->ktat/pInst->ktat/pInst->ktat));
  gammamax_VSI_BS_VDI_BD=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatgat_d*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatgat_d*erfctimesexpmtat_VDI_BD))*pInst->ktat-(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatgat_d*erfctimesexpmtat_VSI_BS)*pInst->ktat-(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VDI_BD+0.0*erfctimesexpmtat_VSI_BS+pModel->atatgat_d*erfctimesexpmtat_VSI_BS_VDI_BD)/pInst->ktat-((pModel->atatgat_d*erfctimesexpmtat_VSI_BS)*ktat_VDI_BD+((pModel->atatgat_d*erfctimesexpmtat_VDI_BD))*ktat_VSI_BS+(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VSI_BS_VDI_BD)/pInst->ktat/pInst->ktat+2*(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VSI_BS*ktat_VDI_BD/pInst->ktat/pInst->ktat/pInst->ktat));
#endif
gammamax_VDI_BD=((1.77245385090551603*0.5)*(((pModel->atatgat_d*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat));
#if defined(_DERIVATE2)
  gammamax_VDI_BD_VSI_BS=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatgat_d*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatgat_d*erfctimesexpmtat_VSI_BS))*pInst->ktat-(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VSI_BS)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatgat_d*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VSI_BS+0.0*erfctimesexpmtat_VDI_BD+pModel->atatgat_d*erfctimesexpmtat_VDI_BD_VSI_BS)/pInst->ktat-((pModel->atatgat_d*erfctimesexpmtat_VDI_BD)*ktat_VSI_BS+((pModel->atatgat_d*erfctimesexpmtat_VSI_BS))*ktat_VDI_BD+(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VDI_BD_VSI_BS)/pInst->ktat/pInst->ktat+2*(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VDI_BD*ktat_VSI_BS/pInst->ktat/pInst->ktat/pInst->ktat));
  gammamax_VDI_BD_VDI_BD=(+(+0.0*0.5+0.0*0.0+0.0*0.0+1.77245385090551603*0.0)*((pModel->atatgat_d*pInst->erfctimesexpmtat)/pInst->ktat)+0.0*((((pModel->atatgat_d*erfctimesexpmtat_VDI_BD))*pInst->ktat-(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(0.0)*(((pModel->atatgat_d*erfctimesexpmtat_VDI_BD)*pInst->ktat-(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VDI_BD)/pInst->ktat/pInst->ktat)+(1.77245385090551603*0.5)*((+0.0*pInst->erfctimesexpmtat+0.0*erfctimesexpmtat_VDI_BD+0.0*erfctimesexpmtat_VDI_BD+pModel->atatgat_d*erfctimesexpmtat_VDI_BD_VDI_BD)/pInst->ktat-((pModel->atatgat_d*erfctimesexpmtat_VDI_BD)*ktat_VDI_BD+((pModel->atatgat_d*erfctimesexpmtat_VDI_BD))*ktat_VDI_BD+(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VDI_BD_VDI_BD)/pInst->ktat/pInst->ktat+2*(pModel->atatgat_d*pInst->erfctimesexpmtat)*ktat_VDI_BD*ktat_VDI_BD/pInst->ktat/pInst->ktat/pInst->ktat));
#endif
#endif
pInst->gammamax=((1.77245385090551603*0.5)*((pModel->atatgat_d*pInst->erfctimesexpmtat)/pInst->ktat));
EXIT_IF_ISNAN(((1.77245385090551603*0.5)*((pModel->atatgat_d*pInst->erfctimesexpmtat)/pInst->ktat)))
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
itat_VSI_BS=(pModel->CTATGATD_i*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)));
#if defined(_DERIVATE2)
  itat_VSI_BS_VSI_BS=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)))+0.0*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS))+pModel->CTATGATD_i*(+(+asrh_VSI_BS_VSI_BS*pInst->gammamax+asrh_VSI_BS*gammamax_VSI_BS+asrh_VSI_BS*gammamax_VSI_BS+pInst->asrh*gammamax_VSI_BS_VSI_BS)*pInst->wtat+((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*wtat_VSI_BS+(((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*wtat_VSI_BS+(pInst->asrh*pInst->gammamax)*wtat_VSI_BS_VSI_BS));
  itat_VSI_BS_VDI_BD=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)))+0.0*((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS))+pModel->CTATGATD_i*(+(+asrh_VSI_BS_VDI_BD*pInst->gammamax+asrh_VSI_BS*gammamax_VDI_BD+asrh_VDI_BD*gammamax_VSI_BS+pInst->asrh*gammamax_VSI_BS_VDI_BD)*pInst->wtat+((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS))*wtat_VDI_BD+(((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*wtat_VSI_BS+(pInst->asrh*pInst->gammamax)*wtat_VSI_BS_VDI_BD));
#endif
itat_VDI_BD=(pModel->CTATGATD_i*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)));
#if defined(_DERIVATE2)
  itat_VDI_BD_VSI_BS=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VSI_BS)))+0.0*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD))+pModel->CTATGATD_i*(+(+asrh_VDI_BD_VSI_BS*pInst->gammamax+asrh_VDI_BD*gammamax_VSI_BS+asrh_VSI_BS*gammamax_VDI_BD+pInst->asrh*gammamax_VDI_BD_VSI_BS)*pInst->wtat+((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*wtat_VSI_BS+(((asrh_VSI_BS*pInst->gammamax)+(pInst->asrh*gammamax_VSI_BS)))*wtat_VDI_BD+(pInst->asrh*pInst->gammamax)*wtat_VDI_BD_VSI_BS));
  itat_VDI_BD_VDI_BD=(+0.0*((pInst->asrh*pInst->gammamax)*pInst->wtat)+0.0*((((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD)))+0.0*((((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*pInst->wtat)+((pInst->asrh*pInst->gammamax)*wtat_VDI_BD))+pModel->CTATGATD_i*(+(+asrh_VDI_BD_VDI_BD*pInst->gammamax+asrh_VDI_BD*gammamax_VDI_BD+asrh_VDI_BD*gammamax_VDI_BD+pInst->asrh*gammamax_VDI_BD_VDI_BD)*pInst->wtat+((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD))*wtat_VDI_BD+(((asrh_VDI_BD*pInst->gammamax)+(pInst->asrh*gammamax_VDI_BD)))*wtat_VDI_BD+(pInst->asrh*pInst->gammamax)*wtat_VDI_BD_VDI_BD));
#endif
#endif
pInst->itat=(pModel->CTATGATD_i*((pInst->asrh*pInst->gammamax)*pInst->wtat));
EXIT_IF_ISNAN((pModel->CTATGATD_i*((pInst->asrh*pInst->gammamax)*pInst->wtat)))
}
if
((pModel->CBBTGATD_i==0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ibbt_VSI_BS=0.0;
#if defined(_DERIVATE2)
  ibbt_VSI_BS_VSI_BS=0.0;
  ibbt_VSI_BS_VDI_BD=0.0;
#endif
ibbt_VDI_BD=0.0;
#if defined(_DERIVATE2)
  ibbt_VDI_BD_VSI_BS=0.0;
  ibbt_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->ibbt=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
if
((pModel->PGATD_i==0.5))
{
{
double m00_sqrt(d00_sqrt0,((pModel->VBIRGATD_i-pInst->vbbt)*pModel->VBIRGATinv_d))
#if defined(_DERIVATEFORDDX)
double m10_sqrt(d10_sqrt0,d00_sqrt0,((pModel->VBIRGATD_i-pInst->vbbt)*pModel->VBIRGATinv_d))
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-vbbt_VSI_BS)*pModel->VBIRGATinv_d*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_sqrt(((pModel->VBIRGATD_i-pInst->vbbt)*pModel->VBIRGATinv_d))*((-vbbt_VSI_BS)*pModel->VBIRGATinv_d)*(-vbbt_VSI_BS)*pModel->VBIRGATinv_d+d10_sqrt0*(+(+0.0-vbbt_VSI_BS_VSI_BS)*pModel->VBIRGATinv_d+(-vbbt_VSI_BS)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRGATD_i-pInst->vbbt)*0.0));
  tmp_VSI_BS_VDI_BD=(m20_sqrt(((pModel->VBIRGATD_i-pInst->vbbt)*pModel->VBIRGATinv_d))*((-vbbt_VDI_BD)*pModel->VBIRGATinv_d)*(-vbbt_VSI_BS)*pModel->VBIRGATinv_d+d10_sqrt0*(+(+0.0-vbbt_VSI_BS_VDI_BD)*pModel->VBIRGATinv_d+(-vbbt_VSI_BS)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRGATD_i-pInst->vbbt)*0.0));
#endif
tmp_VDI_BD=(-vbbt_VDI_BD)*pModel->VBIRGATinv_d*d10_sqrt0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_sqrt(((pModel->VBIRGATD_i-pInst->vbbt)*pModel->VBIRGATinv_d))*((-vbbt_VSI_BS)*pModel->VBIRGATinv_d)*(-vbbt_VDI_BD)*pModel->VBIRGATinv_d+d10_sqrt0*(+(+0.0-vbbt_VDI_BD_VSI_BS)*pModel->VBIRGATinv_d+(-vbbt_VDI_BD)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRGATD_i-pInst->vbbt)*0.0));
  tmp_VDI_BD_VDI_BD=(m20_sqrt(((pModel->VBIRGATD_i-pInst->vbbt)*pModel->VBIRGATinv_d))*((-vbbt_VDI_BD)*pModel->VBIRGATinv_d)*(-vbbt_VDI_BD)*pModel->VBIRGATinv_d+d10_sqrt0*(+(+0.0-vbbt_VDI_BD_VDI_BD)*pModel->VBIRGATinv_d+(-vbbt_VDI_BD)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRGATD_i-pInst->vbbt)*0.0));
#endif
#endif
pInst->tmp=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
else
{
{
double m00_pow(d00_pow0,((pModel->VBIRGATD_i-pInst->vbbt)*pModel->VBIRGATinv_d),pModel->PGATD_i)
#if defined(_DERIVATEFORDDX)
double m10_pow(d10_pow0,d00_pow0,((pModel->VBIRGATD_i-pInst->vbbt)*pModel->VBIRGATinv_d),pModel->PGATD_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow0*(-vbbt_VSI_BS)*pModel->VBIRGATinv_d);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow0*(-vbbt_VDI_BD)*pModel->VBIRGATinv_d);
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow0;
EXIT_IF_ISNAN(d00_pow0)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
Fmaxr_VSI_BS=(pModel->one_over_one_minus_PGAT_d*(((-vbbt_VSI_BS)*pModel->wdepnulrinvgat_d*pInst->tmp-((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp));
#if defined(_DERIVATE2)
  Fmaxr_VSI_BS_VSI_BS=(+0.0*(((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)/pInst->tmp)+0.0*((((-vbbt_VSI_BS)*pModel->wdepnulrinvgat_d)*pInst->tmp-((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VSI_BS)*pModel->wdepnulrinvgat_d*pInst->tmp-((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PGAT_d*((+(+0.0-vbbt_VSI_BS_VSI_BS)*pModel->wdepnulrinvgat_d+(-vbbt_VSI_BS)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRGATD_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VSI_BS)*pModel->wdepnulrinvgat_d*tmp_VSI_BS+((-vbbt_VSI_BS)*pModel->wdepnulrinvgat_d)*tmp_VSI_BS+((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VSI_BS_VSI_BS)/pInst->tmp/pInst->tmp+2*((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VSI_BS*tmp_VSI_BS/pInst->tmp/pInst->tmp/pInst->tmp));
  Fmaxr_VSI_BS_VDI_BD=(+0.0*(((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)/pInst->tmp)+0.0*((((-vbbt_VDI_BD)*pModel->wdepnulrinvgat_d)*pInst->tmp-((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VSI_BS)*pModel->wdepnulrinvgat_d*pInst->tmp-((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PGAT_d*((+(+0.0-vbbt_VSI_BS_VDI_BD)*pModel->wdepnulrinvgat_d+(-vbbt_VSI_BS)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRGATD_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VSI_BS)*pModel->wdepnulrinvgat_d*tmp_VDI_BD+((-vbbt_VDI_BD)*pModel->wdepnulrinvgat_d)*tmp_VSI_BS+((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VSI_BS_VDI_BD)/pInst->tmp/pInst->tmp+2*((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VSI_BS*tmp_VDI_BD/pInst->tmp/pInst->tmp/pInst->tmp));
#endif
Fmaxr_VDI_BD=(pModel->one_over_one_minus_PGAT_d*(((-vbbt_VDI_BD)*pModel->wdepnulrinvgat_d*pInst->tmp-((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp));
#if defined(_DERIVATE2)
  Fmaxr_VDI_BD_VSI_BS=(+0.0*(((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)/pInst->tmp)+0.0*((((-vbbt_VSI_BS)*pModel->wdepnulrinvgat_d)*pInst->tmp-((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VSI_BS)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VDI_BD)*pModel->wdepnulrinvgat_d*pInst->tmp-((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PGAT_d*((+(+0.0-vbbt_VDI_BD_VSI_BS)*pModel->wdepnulrinvgat_d+(-vbbt_VDI_BD)*0.0+(-vbbt_VSI_BS)*0.0+(pModel->VBIRGATD_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VDI_BD)*pModel->wdepnulrinvgat_d*tmp_VSI_BS+((-vbbt_VSI_BS)*pModel->wdepnulrinvgat_d)*tmp_VDI_BD+((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VDI_BD_VSI_BS)/pInst->tmp/pInst->tmp+2*((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VDI_BD*tmp_VSI_BS/pInst->tmp/pInst->tmp/pInst->tmp));
  Fmaxr_VDI_BD_VDI_BD=(+0.0*(((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)/pInst->tmp)+0.0*((((-vbbt_VDI_BD)*pModel->wdepnulrinvgat_d)*pInst->tmp-((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+0.0*(((-vbbt_VDI_BD)*pModel->wdepnulrinvgat_d*pInst->tmp-((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VDI_BD)/pInst->tmp/pInst->tmp)+pModel->one_over_one_minus_PGAT_d*((+(+0.0-vbbt_VDI_BD_VDI_BD)*pModel->wdepnulrinvgat_d+(-vbbt_VDI_BD)*0.0+(-vbbt_VDI_BD)*0.0+(pModel->VBIRGATD_i-pInst->vbbt)*0.0)/pInst->tmp-((-vbbt_VDI_BD)*pModel->wdepnulrinvgat_d*tmp_VDI_BD+((-vbbt_VDI_BD)*pModel->wdepnulrinvgat_d)*tmp_VDI_BD+((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VDI_BD_VDI_BD)/pInst->tmp/pInst->tmp+2*((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)*tmp_VDI_BD*tmp_VDI_BD/pInst->tmp/pInst->tmp/pInst->tmp));
#endif
#endif
pInst->Fmaxr=(pModel->one_over_one_minus_PGAT_d*(((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)/pInst->tmp));
EXIT_IF_ISNAN((pModel->one_over_one_minus_PGAT_d*(((pModel->VBIRGATD_i-pInst->vbbt)*pModel->wdepnulrinvgat_d)/pInst->tmp)))
{
double m00_fabs(d00_fabs0,((-pModel->fbbtgat_d)/pInst->Fmaxr))
if
((d00_fabs0<2.3025850929940458e+02))
{
{
double m00_exp(d00_exp0,((-pModel->fbbtgat_d)/pInst->Fmaxr))
#if defined(_DERIVATEFORDDX)
#define d10_exp0 d00_exp0
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(m20_exp(((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
  tmp_VSI_BS_VDI_BD=(m20_exp(((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
#endif
tmp_VDI_BD=(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*d10_exp0;
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(m20_exp(((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
  tmp_VDI_BD_VDI_BD=(m20_exp(((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)+d10_exp0*(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr));
#endif
#endif
pInst->tmp=d00_exp0;
EXIT_IF_ISNAN(d00_exp0)
}
}
else
{
if
((((-pModel->fbbtgat_d)/pInst->Fmaxr)<0.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(-1.0e-100*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
  tmp_VSI_BS_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#endif
tmp_VDI_BD=(-1.0e-100*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
  tmp_VDI_BD_VDI_BD=(0.0/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))-(0.0*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))+0.0*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))+1.0e-100*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))+(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))))+(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))+((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(+0.0+(+0.0*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+0.0*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))))+0.0*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01))+0.5*(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))+(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)+(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(+0.0+(+(+0.0-(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01+(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*0.0+((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*0.0))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))+2*1.0e-100*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(0.5*(((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((0.5*((((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*((-(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr))*3.3333333333333333e-01)))))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
#endif
#endif
pInst->tmp=(1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-pModel->fbbtgat_d)/pInst->Fmaxr))*3.3333333333333333e-01)))))))))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(1.0e100*(((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(+0.0*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
  tmp_VSI_BS_VDI_BD=(+0.0*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VSI_BS+(-pModel->fbbtgat_d)*Fmaxr_VSI_BS_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VSI_BS*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
#endif
tmp_VDI_BD=(1.0e100*(((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(+0.0*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VSI_BS)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtgat_d)*Fmaxr_VSI_BS/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
  tmp_VDI_BD_VDI_BD=(+0.0*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))+0.0*((((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((0.5*((((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))))))+0.0*(((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(0.5*(((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))))+1.0e100*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))+(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((0.5*((((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))))+(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(0.5*(((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)))+(((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+0.0*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+0.0*((((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))))+0.0*(((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01))+0.5*(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))+(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*((-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01)+(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*3.3333333333333333e-01+(((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(+0.0+(+(+(0.0/pInst->Fmaxr-(0.0*Fmaxr_VDI_BD+0.0*Fmaxr_VDI_BD+(-pModel->fbbtgat_d)*Fmaxr_VDI_BD_VDI_BD)/pInst->Fmaxr/pInst->Fmaxr+2*(-pModel->fbbtgat_d)*Fmaxr_VDI_BD*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr/pInst->Fmaxr)-0.0)*3.3333333333333333e-01+(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(-(-pModel->fbbtgat_d)*Fmaxr_VDI_BD/pInst->Fmaxr/pInst->Fmaxr)*0.0+(((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*0.0))))))));
#endif
#endif
pInst->tmp=(1.0e100*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
EXIT_IF_ISNAN((1.0e100*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*(1.0+((((-pModel->fbbtgat_d)/pInst->Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01)))))))))
}
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ibbt_VSI_BS=(pModel->CBBTGATD_i*(((((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)));
#if defined(_DERIVATE2)
  ibbt_VSI_BS_VSI_BS=(+0.0*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*((((((((Vjun_d*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS)))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)))+0.0*(((((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS))+pModel->CBBTGATD_i*(+(+(+0.0*pInst->Fmaxr+0.0*Fmaxr_VSI_BS+0.0*Fmaxr_VSI_BS+Vjun_d*Fmaxr_VSI_BS_VSI_BS)*pInst->Fmaxr+(Vjun_d*Fmaxr_VSI_BS)*Fmaxr_VSI_BS+((Vjun_d*Fmaxr_VSI_BS))*Fmaxr_VSI_BS+(Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS_VSI_BS)*pInst->tmp+(((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*tmp_VSI_BS+(((((Vjun_d*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS)))*tmp_VSI_BS+((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS_VSI_BS));
  ibbt_VSI_BS_VDI_BD=(+0.0*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*(((((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD)))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)))+0.0*(((((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS))+pModel->CBBTGATD_i*(+(+(+0.0*pInst->Fmaxr+0.0*Fmaxr_VDI_BD+Vjun_d_VDI_BD*Fmaxr_VSI_BS+Vjun_d*Fmaxr_VSI_BS_VDI_BD)*pInst->Fmaxr+(Vjun_d*Fmaxr_VSI_BS)*Fmaxr_VDI_BD+(((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*Fmaxr_VSI_BS+(Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS_VDI_BD)*pInst->tmp+(((Vjun_d*Fmaxr_VSI_BS)*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS))*tmp_VDI_BD+((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD)))*tmp_VSI_BS+((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS_VDI_BD));
#endif
ibbt_VDI_BD=(pModel->CBBTGATD_i*((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)));
#if defined(_DERIVATE2)
  ibbt_VDI_BD_VSI_BS=(+0.0*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*((((((((Vjun_d*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS)))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VSI_BS)))+0.0*((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD))+pModel->CBBTGATD_i*(+(+(+0.0*pInst->Fmaxr+Vjun_d_VDI_BD*Fmaxr_VSI_BS+0.0*Fmaxr_VDI_BD+Vjun_d*Fmaxr_VDI_BD_VSI_BS)*pInst->Fmaxr+((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*Fmaxr_VSI_BS+((Vjun_d*Fmaxr_VSI_BS))*Fmaxr_VDI_BD+(Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD_VSI_BS)*pInst->tmp+((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*tmp_VSI_BS+(((((Vjun_d*Fmaxr_VSI_BS))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VSI_BS)))*tmp_VDI_BD+((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD_VSI_BS));
  ibbt_VDI_BD_VDI_BD=(+0.0*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)+0.0*(((((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD)))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD)))+0.0*((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*pInst->tmp)+(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD))+pModel->CBBTGATD_i*(+(+(+Vjun_d_VDI_BD_VDI_BD*pInst->Fmaxr+Vjun_d_VDI_BD*Fmaxr_VDI_BD+Vjun_d_VDI_BD*Fmaxr_VDI_BD+Vjun_d*Fmaxr_VDI_BD_VDI_BD)*pInst->Fmaxr+((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*Fmaxr_VDI_BD+(((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*Fmaxr_VDI_BD+(Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD_VDI_BD)*pInst->tmp+((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD))*tmp_VDI_BD+((((((Vjun_d_VDI_BD*pInst->Fmaxr)+(Vjun_d*Fmaxr_VDI_BD)))*pInst->Fmaxr)+((Vjun_d*pInst->Fmaxr)*Fmaxr_VDI_BD)))*tmp_VDI_BD+((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*tmp_VDI_BD_VDI_BD));
#endif
#endif
pInst->ibbt=(pModel->CBBTGATD_i*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp));
EXIT_IF_ISNAN((pModel->CBBTGATD_i*(((Vjun_d*pInst->Fmaxr)*pInst->Fmaxr)*pInst->tmp)))
}
if
((pModel->VBRGATD_i>1.0e3))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=0.0;
  fbreakdown_VSI_BS_VDI_BD=0.0;
#endif
fbreakdown_VDI_BD=0.0;
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=0.0;
  fbreakdown_VDI_BD_VDI_BD=0.0;
#endif
#endif
pInst->fbreakdown=1.0;
EXIT_IF_ISNAN(1.0)
}
else
{
if
((pInst->vav>((-pModel->alphaav)*pModel->VBRGATD_i)))
{
if
((pModel->PBRGATD_i==4.0))
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=((((((vav_VSI_BS*pModel->VBRinvgat_d*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*vav_VSI_BS*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*vav_VSI_BS*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))+((((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))*vav_VSI_BS*pModel->VBRinvgat_d));
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=(+(+(+(+vav_VSI_BS_VSI_BS*pModel->VBRinvgat_d+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvgat_d)+vav_VSI_BS*pModel->VBRinvgat_d*(vav_VSI_BS*pModel->VBRinvgat_d)+(vav_VSI_BS*pModel->VBRinvgat_d)*vav_VSI_BS*pModel->VBRinvgat_d+(pInst->vav*pModel->VBRinvgat_d)*(+vav_VSI_BS_VSI_BS*pModel->VBRinvgat_d+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvgat_d)+((vav_VSI_BS*pModel->VBRinvgat_d*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*vav_VSI_BS*pModel->VBRinvgat_d))*(vav_VSI_BS*pModel->VBRinvgat_d)+((((vav_VSI_BS*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*(vav_VSI_BS*pModel->VBRinvgat_d))))*vav_VSI_BS*pModel->VBRinvgat_d+((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(+vav_VSI_BS_VSI_BS*pModel->VBRinvgat_d+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvgat_d)+((((vav_VSI_BS*pModel->VBRinvgat_d*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*vav_VSI_BS*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*vav_VSI_BS*pModel->VBRinvgat_d))*(vav_VSI_BS*pModel->VBRinvgat_d)+(((((((vav_VSI_BS*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*(vav_VSI_BS*pModel->VBRinvgat_d))))*(pInst->vav*pModel->VBRinvgat_d))+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(vav_VSI_BS*pModel->VBRinvgat_d))))*vav_VSI_BS*pModel->VBRinvgat_d+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))*(+vav_VSI_BS_VSI_BS*pModel->VBRinvgat_d+vav_VSI_BS*0.0+vav_VSI_BS*0.0+pInst->vav*0.0));
  tmp_VSI_BS_VDI_BD=(+(+(+(+vav_VSI_BS_VDI_BD*pModel->VBRinvgat_d+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvgat_d)+vav_VSI_BS*pModel->VBRinvgat_d*(vav_VDI_BD*pModel->VBRinvgat_d)+(vav_VDI_BD*pModel->VBRinvgat_d)*vav_VSI_BS*pModel->VBRinvgat_d+(pInst->vav*pModel->VBRinvgat_d)*(+vav_VSI_BS_VDI_BD*pModel->VBRinvgat_d+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvgat_d)+((vav_VSI_BS*pModel->VBRinvgat_d*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*vav_VSI_BS*pModel->VBRinvgat_d))*(vav_VDI_BD*pModel->VBRinvgat_d)+((((vav_VDI_BD*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*(vav_VDI_BD*pModel->VBRinvgat_d))))*vav_VSI_BS*pModel->VBRinvgat_d+((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(+vav_VSI_BS_VDI_BD*pModel->VBRinvgat_d+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvgat_d)+((((vav_VSI_BS*pModel->VBRinvgat_d*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*vav_VSI_BS*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*vav_VSI_BS*pModel->VBRinvgat_d))*(vav_VDI_BD*pModel->VBRinvgat_d)+(((((((vav_VDI_BD*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*(vav_VDI_BD*pModel->VBRinvgat_d))))*(pInst->vav*pModel->VBRinvgat_d))+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(vav_VDI_BD*pModel->VBRinvgat_d))))*vav_VSI_BS*pModel->VBRinvgat_d+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))*(+vav_VSI_BS_VDI_BD*pModel->VBRinvgat_d+vav_VSI_BS*0.0+vav_VDI_BD*0.0+pInst->vav*0.0));
#endif
tmp_VDI_BD=((((((vav_VDI_BD*pModel->VBRinvgat_d*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*vav_VDI_BD*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*vav_VDI_BD*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))+((((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))*vav_VDI_BD*pModel->VBRinvgat_d));
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=(+(+(+(+vav_VDI_BD_VSI_BS*pModel->VBRinvgat_d+vav_VDI_BD*0.0+vav_VSI_BS*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvgat_d)+vav_VDI_BD*pModel->VBRinvgat_d*(vav_VSI_BS*pModel->VBRinvgat_d)+(vav_VSI_BS*pModel->VBRinvgat_d)*vav_VDI_BD*pModel->VBRinvgat_d+(pInst->vav*pModel->VBRinvgat_d)*(+vav_VDI_BD_VSI_BS*pModel->VBRinvgat_d+vav_VDI_BD*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvgat_d)+((vav_VDI_BD*pModel->VBRinvgat_d*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*vav_VDI_BD*pModel->VBRinvgat_d))*(vav_VSI_BS*pModel->VBRinvgat_d)+((((vav_VSI_BS*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*(vav_VSI_BS*pModel->VBRinvgat_d))))*vav_VDI_BD*pModel->VBRinvgat_d+((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(+vav_VDI_BD_VSI_BS*pModel->VBRinvgat_d+vav_VDI_BD*0.0+vav_VSI_BS*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvgat_d)+((((vav_VDI_BD*pModel->VBRinvgat_d*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*vav_VDI_BD*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*vav_VDI_BD*pModel->VBRinvgat_d))*(vav_VSI_BS*pModel->VBRinvgat_d)+(((((((vav_VSI_BS*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*(vav_VSI_BS*pModel->VBRinvgat_d))))*(pInst->vav*pModel->VBRinvgat_d))+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(vav_VSI_BS*pModel->VBRinvgat_d))))*vav_VDI_BD*pModel->VBRinvgat_d+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))*(+vav_VDI_BD_VSI_BS*pModel->VBRinvgat_d+vav_VDI_BD*0.0+vav_VSI_BS*0.0+pInst->vav*0.0));
  tmp_VDI_BD_VDI_BD=(+(+(+(+vav_VDI_BD_VDI_BD*pModel->VBRinvgat_d+vav_VDI_BD*0.0+vav_VDI_BD*0.0+pInst->vav*0.0)*(pInst->vav*pModel->VBRinvgat_d)+vav_VDI_BD*pModel->VBRinvgat_d*(vav_VDI_BD*pModel->VBRinvgat_d)+(vav_VDI_BD*pModel->VBRinvgat_d)*vav_VDI_BD*pModel->VBRinvgat_d+(pInst->vav*pModel->VBRinvgat_d)*(+vav_VDI_BD_VDI_BD*pModel->VBRinvgat_d+vav_VDI_BD*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvgat_d)+((vav_VDI_BD*pModel->VBRinvgat_d*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*vav_VDI_BD*pModel->VBRinvgat_d))*(vav_VDI_BD*pModel->VBRinvgat_d)+((((vav_VDI_BD*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*(vav_VDI_BD*pModel->VBRinvgat_d))))*vav_VDI_BD*pModel->VBRinvgat_d+((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(+vav_VDI_BD_VDI_BD*pModel->VBRinvgat_d+vav_VDI_BD*0.0+vav_VDI_BD*0.0+pInst->vav*0.0))*(pInst->vav*pModel->VBRinvgat_d)+((((vav_VDI_BD*pModel->VBRinvgat_d*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*vav_VDI_BD*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*vav_VDI_BD*pModel->VBRinvgat_d))*(vav_VDI_BD*pModel->VBRinvgat_d)+(((((((vav_VDI_BD*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))+((pInst->vav*pModel->VBRinvgat_d)*(vav_VDI_BD*pModel->VBRinvgat_d))))*(pInst->vav*pModel->VBRinvgat_d))+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(vav_VDI_BD*pModel->VBRinvgat_d))))*vav_VDI_BD*pModel->VBRinvgat_d+(((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))*(+vav_VDI_BD_VDI_BD*pModel->VBRinvgat_d+vav_VDI_BD*0.0+vav_VDI_BD*0.0+pInst->vav*0.0));
#endif
#endif
pInst->tmp=((((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d));
EXIT_IF_ISNAN(((((pInst->vav*pModel->VBRinvgat_d)*(pInst->vav*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d))*(pInst->vav*pModel->VBRinvgat_d)))
}
else
{
{
double m00_fabs(d00_fabs0,(pInst->vav*pModel->VBRinvgat_d))
double m00_pow(d00_pow1,d00_fabs0,pModel->PBRGATD_i)
#if defined(_DERIVATEFORDDX)
double m10_fabs(d10_fabs0,d00_fabs0,(pInst->vav*pModel->VBRinvgat_d))
double m10_pow(d10_pow1,d00_pow1,d00_fabs0,pModel->PBRGATD_i)
#endif
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
tmp_VSI_BS=(d10_pow1*vav_VSI_BS*pModel->VBRinvgat_d*d10_fabs0);
#if defined(_DERIVATE2)
  tmp_VSI_BS_VSI_BS=fixme;
  tmp_VSI_BS_VDI_BD=fixme;
#endif
tmp_VDI_BD=(d10_pow1*vav_VDI_BD*pModel->VBRinvgat_d*d10_fabs0);
#if defined(_DERIVATE2)
  tmp_VDI_BD_VSI_BS=fixme;
  tmp_VDI_BD_VDI_BD=fixme;
#endif
#endif
pInst->tmp=d00_pow1;
EXIT_IF_ISNAN(d00_pow1)
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=(-(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VSI_BS)+0.0*(-tmp_VSI_BS)+1.0*(+0.0-tmp_VSI_BS_VSI_BS))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VSI_BS)*(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
  fbreakdown_VSI_BS_VDI_BD=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VDI_BD)+0.0*(-tmp_VSI_BS)+1.0*(+0.0-tmp_VSI_BS_VDI_BD))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VSI_BS)*(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#endif
fbreakdown_VDI_BD=(-(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VSI_BS)+0.0*(-tmp_VDI_BD)+1.0*(+0.0-tmp_VDI_BD_VSI_BS))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VDI_BD)*(-tmp_VSI_BS)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
  fbreakdown_VDI_BD_VDI_BD=(0.0/(1.0-pInst->tmp)-(0.0*(-tmp_VDI_BD)+0.0*(-tmp_VDI_BD)+1.0*(+0.0-tmp_VDI_BD_VDI_BD))/(1.0-pInst->tmp)/(1.0-pInst->tmp)+2*1.0*(-tmp_VDI_BD)*(-tmp_VDI_BD)/(1.0-pInst->tmp)/(1.0-pInst->tmp)/(1.0-pInst->tmp));
#endif
#endif
pInst->fbreakdown=(1.0/(1.0-pInst->tmp));
EXIT_IF_ISNAN((1.0/(1.0-pInst->tmp)))
}
else
{
#if defined(_DERIVATEFORDDX) /* probe=V(SI,BS)V(DI,BD) ddxprobe=V(BS,GND)V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
fbreakdown_VSI_BS=vav_VSI_BS*pModel->slopegat_d;
#if defined(_DERIVATE2)
  fbreakdown_VSI_BS_VSI_BS=(+0.0+(+(+vav_VSI_BS_VSI_BS+(+0.0*pModel->VBRGATD_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopegat_d+vav_VSI_BS*0.0+(vav_VSI_BS+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRGATD_i))*0.0));
  fbreakdown_VSI_BS_VDI_BD=(+0.0+(+(+vav_VSI_BS_VDI_BD+(+0.0*pModel->VBRGATD_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopegat_d+vav_VSI_BS*0.0+(vav_VDI_BD+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRGATD_i))*0.0));
#endif
fbreakdown_VDI_BD=vav_VDI_BD*pModel->slopegat_d;
#if defined(_DERIVATE2)
  fbreakdown_VDI_BD_VSI_BS=(+0.0+(+(+vav_VDI_BD_VSI_BS+(+0.0*pModel->VBRGATD_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopegat_d+vav_VDI_BD*0.0+(vav_VSI_BS+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRGATD_i))*0.0));
  fbreakdown_VDI_BD_VDI_BD=(+0.0+(+(+vav_VDI_BD_VDI_BD+(+0.0*pModel->VBRGATD_i+0.0*0.0+0.0*0.0+pModel->alphaav*0.0))*pModel->slopegat_d+vav_VDI_BD*0.0+(vav_VDI_BD+(0.0))*0.0+(pInst->vav+(pModel->alphaav*pModel->VBRGATD_i))*0.0));
#endif
#endif
pInst->fbreakdown=(pModel->fstopgat_d+((pInst->vav+(pModel->alphaav*pModel->VBRGATD_i))*pModel->slopegat_d));
EXIT_IF_ISNAN((pModel->fstopgat_d+((pInst->vav+(pModel->alphaav*pModel->VBRGATD_i))*pModel->slopegat_d)))
}
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(BD,GND)V(DI,GND)V(SI,GND)V(BP,GND)V(GP,GND) */
ijungat_d_VDI_BD=(((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*pInst->fbreakdown)+((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD));
#if defined(_DERIVATE2)
  ijungat_d_VDI_BD_VDI_BD=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+pInst->IFACTOR_i*(+(+(+id_VDI_BD_VDI_BD+isrh_VDI_BD_VDI_BD)+itat_VDI_BD_VDI_BD)+ibbt_VDI_BD_VDI_BD))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*fbreakdown_VDI_BD+((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)))*fbreakdown_VDI_BD+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD_VDI_BD);
  ijungat_d_VDI_BD_VSI_BS=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+pInst->IFACTOR_i*(+(+(+id_VDI_BD_VSI_BS+isrh_VDI_BD_VSI_BS)+itat_VDI_BD_VSI_BS)+ibbt_VDI_BD_VSI_BS))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD))*fbreakdown_VSI_BS+((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)))*fbreakdown_VDI_BD+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VDI_BD_VSI_BS);
#endif
ijungat_d_VSI_BS=(((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*pInst->fbreakdown)+((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS));
#if defined(_DERIVATE2)
  ijungat_d_VSI_BS_VDI_BD=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+pInst->IFACTOR_i*(+(+(+id_VSI_BS_VDI_BD+isrh_VSI_BS_VDI_BD)+itat_VSI_BS_VDI_BD)+ibbt_VSI_BS_VDI_BD))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*fbreakdown_VDI_BD+((pInst->IFACTOR_i*(((id_VDI_BD+isrh_VDI_BD)+itat_VDI_BD)+ibbt_VDI_BD)))*fbreakdown_VSI_BS+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS_VDI_BD);
  ijungat_d_VSI_BS_VSI_BS=(+(+0.0*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+0.0*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)+pInst->IFACTOR_i*(+(+(+id_VSI_BS_VSI_BS+isrh_VSI_BS_VSI_BS)+itat_VSI_BS_VSI_BS)+ibbt_VSI_BS_VSI_BS))*pInst->fbreakdown+(pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS))*fbreakdown_VSI_BS+((pInst->IFACTOR_i*(((id_VSI_BS+isrh_VSI_BS)+itat_VSI_BS)+ibbt_VSI_BS)))*fbreakdown_VSI_BS+(pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*fbreakdown_VSI_BS_VSI_BS);
#endif
#endif
ijungat_d=((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*pInst->fbreakdown);
EXIT_IF_ISNAN(((pInst->IFACTOR_i*(((pInst->id+pInst->isrh)+pInst->itat)+pInst->ibbt))*pInst->fbreakdown))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,BD)V(SI,BS) ddxprobe=V(GP,GND)V(BP,GND)V(SI,GND)V(DI,GND)V(BD,GND) */
ijun_d_VDI_BD=(((pInst->ABDRAIN_i*ijunbot_d_VDI_BD)+(pInst->LSDRAIN_i*ijunsti_d_VDI_BD))+(pInst->LGDRAIN_i*ijungat_d_VDI_BD));
#if defined(_DERIVATE2)
  ijun_d_VDI_BD_VDI_BD=(+(+(+0.0*ijunbot_d+0.0*ijunbot_d_VDI_BD+0.0*ijunbot_d_VDI_BD+pInst->ABDRAIN_i*ijunbot_d_VDI_BD_VDI_BD)+(+0.0*ijunsti_d+0.0*ijunsti_d_VDI_BD+0.0*ijunsti_d_VDI_BD+pInst->LSDRAIN_i*ijunsti_d_VDI_BD_VDI_BD))+(+0.0*ijungat_d+0.0*ijungat_d_VDI_BD+0.0*ijungat_d_VDI_BD+pInst->LGDRAIN_i*ijungat_d_VDI_BD_VDI_BD));
  ijun_d_VDI_BD_VSI_BS=(+(+(+0.0*ijunbot_d+0.0*ijunbot_d_VSI_BS+0.0*ijunbot_d_VDI_BD+pInst->ABDRAIN_i*ijunbot_d_VDI_BD_VSI_BS)+(+0.0*ijunsti_d+0.0*ijunsti_d_VSI_BS+0.0*ijunsti_d_VDI_BD+pInst->LSDRAIN_i*ijunsti_d_VDI_BD_VSI_BS))+(+0.0*ijungat_d+0.0*ijungat_d_VSI_BS+0.0*ijungat_d_VDI_BD+pInst->LGDRAIN_i*ijungat_d_VDI_BD_VSI_BS));
#endif
ijun_d_VSI_BS=(((pInst->ABDRAIN_i*ijunbot_d_VSI_BS)+(pInst->LSDRAIN_i*ijunsti_d_VSI_BS))+(pInst->LGDRAIN_i*ijungat_d_VSI_BS));
#if defined(_DERIVATE2)
  ijun_d_VSI_BS_VDI_BD=(+(+(+0.0*ijunbot_d+0.0*ijunbot_d_VDI_BD+0.0*ijunbot_d_VSI_BS+pInst->ABDRAIN_i*ijunbot_d_VSI_BS_VDI_BD)+(+0.0*ijunsti_d+0.0*ijunsti_d_VDI_BD+0.0*ijunsti_d_VSI_BS+pInst->LSDRAIN_i*ijunsti_d_VSI_BS_VDI_BD))+(+0.0*ijungat_d+0.0*ijungat_d_VDI_BD+0.0*ijungat_d_VSI_BS+pInst->LGDRAIN_i*ijungat_d_VSI_BS_VDI_BD));
  ijun_d_VSI_BS_VSI_BS=(+(+(+0.0*ijunbot_d+0.0*ijunbot_d_VSI_BS+0.0*ijunbot_d_VSI_BS+pInst->ABDRAIN_i*ijunbot_d_VSI_BS_VSI_BS)+(+0.0*ijunsti_d+0.0*ijunsti_d_VSI_BS+0.0*ijunsti_d_VSI_BS+pInst->LSDRAIN_i*ijunsti_d_VSI_BS_VSI_BS))+(+0.0*ijungat_d+0.0*ijungat_d_VSI_BS+0.0*ijungat_d_VSI_BS+pInst->LGDRAIN_i*ijungat_d_VSI_BS_VSI_BS));
#endif
#endif
pInst->ijun_d=(((pInst->ABDRAIN_i*ijunbot_d)+(pInst->LSDRAIN_i*ijunsti_d))+(pInst->LGDRAIN_i*ijungat_d));
EXIT_IF_ISNAN((((pInst->ABDRAIN_i*ijunbot_d)+(pInst->LSDRAIN_i*ijunsti_d))+(pInst->LGDRAIN_i*ijungat_d)))
}
}
rgatenoise=(pModel->nt0*pInst->ggate);
EXIT_IF_ISNAN((pModel->nt0*pInst->ggate))
rsourcenoise=(pModel->nt0*pInst->gsource);
EXIT_IF_ISNAN((pModel->nt0*pInst->gsource))
rdrainnoise=(pModel->nt0*pInst->gdrain);
EXIT_IF_ISNAN((pModel->nt0*pInst->gdrain))
rbulknoise=(pModel->nt0*pInst->gbulk);
EXIT_IF_ISNAN((pModel->nt0*pInst->gbulk))
rjunsnoise=(pModel->nt0*pInst->gjuns);
EXIT_IF_ISNAN((pModel->nt0*pInst->gjuns))
rjundnoise=(pModel->nt0*pInst->gjund);
EXIT_IF_ISNAN((pModel->nt0*pInst->gjund))
rwellnoise=(pModel->nt0*pInst->gwell);
EXIT_IF_ISNAN((pModel->nt0*pInst->gwell))
}
{
if
((pInst->sigVds>0.0))
{
  _load_static_residual2(DI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*pInst->Iimpact))
  _load_static_jacobian4(DI,BP,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Iimpact_VSI_BP))
  _load_static_jacobian4(DI,BP,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Iimpact_VGP_SI))
  _load_static_jacobian4(DI,BP,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Iimpact_VDI_SI))
  _load_static_residual2(DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*(pInst->Ids+pInst->Idsedge)))
  _load_static_jacobian4(DI,SI,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*(Ids_VSI_BP+Idsedge_VSI_BP)))
  _load_static_jacobian4(DI,SI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*(Ids_VGP_SI+Idsedge_VGP_SI)))
  _load_static_jacobian4(DI,SI,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*(Ids_VDI_SI+Idsedge_VDI_SI)))
  _load_static_residual2(GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*pInst->Igcs))
  _load_static_jacobian4(GP,SI,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Igcs_VSI_BP))
  _load_static_jacobian4(GP,SI,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igcs_VDI_SI))
  _load_static_jacobian4(GP,SI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igcs_VGP_SI))
  _load_static_residual2(GP,DI,((pModel->CHNL_TYPE*pInst->MULT_i)*pInst->Igcd))
  _load_static_jacobian4(GP,DI,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Igcd_VSI_BP))
  _load_static_jacobian4(GP,DI,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igcd_VDI_SI))
  _load_static_jacobian4(GP,DI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igcd_VGP_SI))
}
else
{
  _load_static_residual2(SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*pInst->Iimpact))
  _load_static_jacobian4(SI,BP,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Iimpact_VSI_BP))
  _load_static_jacobian4(SI,BP,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Iimpact_VGP_SI))
  _load_static_jacobian4(SI,BP,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Iimpact_VDI_SI))
  _load_static_residual2(SI,DI,((pModel->CHNL_TYPE*pInst->MULT_i)*(pInst->Ids+pInst->Idsedge)))
  _load_static_jacobian4(SI,DI,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*(Ids_VSI_BP+Idsedge_VSI_BP)))
  _load_static_jacobian4(SI,DI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*(Ids_VGP_SI+Idsedge_VGP_SI)))
  _load_static_jacobian4(SI,DI,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*(Ids_VDI_SI+Idsedge_VDI_SI)))
  _load_static_residual2(GP,DI,((pModel->CHNL_TYPE*pInst->MULT_i)*pInst->Igcs))
  _load_static_jacobian4(GP,DI,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Igcs_VSI_BP))
  _load_static_jacobian4(GP,DI,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igcs_VDI_SI))
  _load_static_jacobian4(GP,DI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igcs_VGP_SI))
  _load_static_residual2(GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*pInst->Igcd))
  _load_static_jacobian4(GP,SI,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Igcd_VSI_BP))
  _load_static_jacobian4(GP,SI,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igcd_VDI_SI))
  _load_static_jacobian4(GP,SI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igcd_VGP_SI))
}
  _load_static_residual2(GP,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Igb))
  _load_static_jacobian4(GP,BP,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Igb_VSI_BP))
  _load_static_jacobian4(GP,BP,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igb_VDI_SI))
  _load_static_jacobian4(GP,BP,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igb_VGP_SI))
  _load_static_residual2(GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*pInst->Igsov))
  _load_static_jacobian4(GP,SI,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Igsov_VSI_BP))
  _load_static_jacobian4(GP,SI,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igsov_VDI_SI))
  _load_static_jacobian4(GP,SI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igsov_VGP_SI))
  _load_static_residual2(GP,DI,((pModel->CHNL_TYPE*pInst->MULT_i)*pInst->Igdov))
  _load_static_jacobian4(GP,DI,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Igdov_VSI_BP))
  _load_static_jacobian4(GP,DI,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igdov_VDI_SI))
  _load_static_jacobian4(GP,DI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igdov_VGP_SI))
  _load_static_residual2(SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Igisl))
  _load_static_jacobian4(SI,BP,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igisl_VDI_SI))
  _load_static_jacobian4(SI,BP,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igisl_VGP_SI))
  _load_static_jacobian4(SI,BP,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Igisl_VSI_BP))
  _load_static_residual2(DI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Igidl))
  _load_static_jacobian4(DI,BP,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igidl_VGP_SI))
  _load_static_jacobian4(DI,BP,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Igidl_VSI_BP))
  _load_static_jacobian4(DI,BP,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Igidl_VDI_SI))
  _load_static_residual2(BS,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*pInst->ijun_s))
  _load_static_jacobian4(BS,SI,SI,BS,((pModel->CHNL_TYPE*pInst->MULT_i)*ijun_s_VSI_BS))
  _load_static_jacobian4(BS,SI,DI,BD,((pModel->CHNL_TYPE*pInst->MULT_i)*ijun_s_VDI_BD))
  _load_static_residual2(BD,DI,((pModel->CHNL_TYPE*pInst->MULT_i)*pInst->ijun_d))
  _load_static_jacobian4(BD,DI,SI,BS,((pModel->CHNL_TYPE*pInst->MULT_i)*ijun_d_VSI_BS))
  _load_static_jacobian4(BD,DI,DI,BD,((pModel->CHNL_TYPE*pInst->MULT_i)*ijun_d_VDI_BD))
  _load_static_residual2(G,GP,((pInst->MULT_i*pInst->ggate)*(NP(G)-NP(GP))))
  _load_static_jacobian4(G,GP,G,GP,((pInst->MULT_i*pInst->ggate)))
pInst->wnoise13=(pInst->MULT_i*rgatenoise);
  _load_static_residual2(S,SI,((pInst->MULT_i*pInst->gsource)*(NP(S)-NP(SI))))
  _load_static_jacobian4(S,SI,S,SI,((pInst->MULT_i*pInst->gsource)))
pInst->wnoise12=(pInst->MULT_i*rsourcenoise);
  _load_static_residual2(D,DI,((pInst->MULT_i*pInst->gdrain)*(NP(D)-NP(DI))))
  _load_static_jacobian4(D,DI,D,DI,((pInst->MULT_i*pInst->gdrain)))
pInst->wnoise11=(pInst->MULT_i*rdrainnoise);
  _load_static_residual2(BP,BI,((pInst->MULT_i*pInst->gbulk)*(NP(BP)-NP(BI))))
  _load_static_jacobian4(BP,BI,BP,BI,((pInst->MULT_i*pInst->gbulk)))
pInst->wnoise10=(pInst->MULT_i*rbulknoise);
  _load_static_residual2(BS,BI,((pInst->MULT_i*pInst->gjuns)*(NP(BS)-NP(BI))))
  _load_static_jacobian4(BS,BI,BS,BI,((pInst->MULT_i*pInst->gjuns)))
pInst->wnoise9=(pInst->MULT_i*rjunsnoise);
  _load_static_residual2(BD,BI,((pInst->MULT_i*pInst->gjund)*(NP(BD)-NP(BI))))
  _load_static_jacobian4(BD,BI,BD,BI,((pInst->MULT_i*pInst->gjund)))
pInst->wnoise8=(pInst->MULT_i*rjundnoise);
  _load_static_residual2(B,BI,((pInst->MULT_i*pInst->gwell)*(NP(B)-NP(BI))))
  _load_static_jacobian4(B,BI,B,BI,((pInst->MULT_i*pInst->gwell)))
pInst->wnoise7=(pInst->MULT_i*rwellnoise);
  _load_static_residual2(DI,SI,(_circuit_gmin*(NP(DI)-NP(SI))))
  _load_static_jacobian4(DI,SI,DI,SI,(_circuit_gmin))
}
{
}
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
Qs_VDI_SI=(-((Qg_VDI_SI+Qb_VDI_SI)+Qd_VDI_SI));
#if defined(_DERIVATE2)
  Qs_VDI_SI_VDI_SI=0.0;
  Qs_VDI_SI_VGP_SI=0.0;
  Qs_VDI_SI_VSI_BP=0.0;
#endif
Qs_VGP_SI=(-((Qg_VGP_SI+Qb_VGP_SI)+Qd_VGP_SI));
#if defined(_DERIVATE2)
  Qs_VGP_SI_VDI_SI=0.0;
  Qs_VGP_SI_VGP_SI=0.0;
  Qs_VGP_SI_VSI_BP=0.0;
#endif
Qs_VSI_BP=(-((Qg_VSI_BP+Qb_VSI_BP)+Qd_VSI_BP));
#if defined(_DERIVATE2)
  Qs_VSI_BP_VDI_SI=0.0;
  Qs_VSI_BP_VGP_SI=0.0;
  Qs_VSI_BP_VSI_BP=0.0;
#endif
#endif
Qs=(-((Qg+Qb)+Qd));
EXIT_IF_ISNAN((-((Qg+Qb)+Qd)))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI) ddxprobe=V(GP,GND) */
Qfgs_VGP_SI=(Qfgs_VGP_SI+Qgs_ov_VGP_SI);
#if defined(_DERIVATE2)
  Qfgs_VGP_SI_VGP_SI=(+Qfgs_VGP_SI_VGP_SI+Qgs_ov_VGP_SI_VGP_SI);
#endif
#endif
Qfgs=(Qfgs+Qgs_ov);
EXIT_IF_ISNAN((Qfgs+Qgs_ov))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI) ddxprobe=V(GP,GND) */
Qfgd_VGP_SI=(Qfgd_VGP_SI+Qgd_ov_VGP_SI);
#if defined(_DERIVATE2)
  Qfgd_VGP_SI_VGP_SI=(+Qfgd_VGP_SI_VGP_SI+Qgd_ov_VGP_SI_VGP_SI);
  Qfgd_VGP_SI_VDI_SI=(+Qfgd_VGP_SI_VDI_SI+Qgd_ov_VGP_SI_VDI_SI);
#endif
#if defined(_DERIVATE)
Qfgd_VDI_SI=(Qfgd_VDI_SI+Qgd_ov_VDI_SI);
#endif
#endif
Qfgd=(Qfgd+Qgd_ov);
EXIT_IF_ISNAN((Qfgd+Qgd_ov))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,BD)V(SI,BS) ddxprobe= */
qjun_s_VDI_BD=(((pInst->ABSOURCE_i*qjunbot_s_VDI_BD)+(pInst->LSSOURCE_i*qjunsti_s_VDI_BD))+(pInst->LGSOURCE_i*qjungat_s_VDI_BD));
qjun_s_VSI_BS=(((pInst->ABSOURCE_i*qjunbot_s_VSI_BS)+(pInst->LSSOURCE_i*qjunsti_s_VSI_BS))+(pInst->LGSOURCE_i*qjungat_s_VSI_BS));
#endif
qjun_s=(((pInst->ABSOURCE_i*qjunbot_s)+(pInst->LSSOURCE_i*qjunsti_s))+(pInst->LGSOURCE_i*qjungat_s));
EXIT_IF_ISNAN((((pInst->ABSOURCE_i*qjunbot_s)+(pInst->LSSOURCE_i*qjunsti_s))+(pInst->LGSOURCE_i*qjungat_s)))
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,BD)V(SI,BS) ddxprobe= */
qjun_d_VDI_BD=(((pInst->ABDRAIN_i*qjunbot_d_VDI_BD)+(pInst->LSDRAIN_i*qjunsti_d_VDI_BD))+(pInst->LGDRAIN_i*qjungat_d_VDI_BD));
qjun_d_VSI_BS=(((pInst->ABDRAIN_i*qjunbot_d_VSI_BS)+(pInst->LSDRAIN_i*qjunsti_d_VSI_BS))+(pInst->LGDRAIN_i*qjungat_d_VSI_BS));
#endif
qjun_d=(((pInst->ABDRAIN_i*qjunbot_d)+(pInst->LSDRAIN_i*qjunsti_d))+(pInst->LGDRAIN_i*qjungat_d));
EXIT_IF_ISNAN((((pInst->ABDRAIN_i*qjunbot_d)+(pInst->LSDRAIN_i*qjunsti_d))+(pInst->LGDRAIN_i*qjungat_d)))
#endif
#ifdef _DYNAMIC
if
((pInst->sigVds<0.0))
{
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp_VGP_SI=Qd_VGP_SI;
#if defined(_DERIVATE2)
  temp_VGP_SI_VGP_SI=Qd_VGP_SI_VGP_SI;
  temp_VGP_SI_VDI_SI=Qd_VGP_SI_VDI_SI;
  temp_VGP_SI_VSI_BP=Qd_VGP_SI_VSI_BP;
#endif
temp_VDI_SI=Qd_VDI_SI;
#if defined(_DERIVATE2)
  temp_VDI_SI_VGP_SI=Qd_VDI_SI_VGP_SI;
  temp_VDI_SI_VDI_SI=Qd_VDI_SI_VDI_SI;
  temp_VDI_SI_VSI_BP=Qd_VDI_SI_VSI_BP;
#endif
temp_VSI_BP=Qd_VSI_BP;
#if defined(_DERIVATE2)
  temp_VSI_BP_VGP_SI=Qd_VSI_BP_VGP_SI;
  temp_VSI_BP_VDI_SI=Qd_VSI_BP_VDI_SI;
  temp_VSI_BP_VSI_BP=Qd_VSI_BP_VSI_BP;
#endif
#endif
temp=Qd;
EXIT_IF_ISNAN(Qd)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
Qd_VDI_SI=Qs_VDI_SI;
#if defined(_DERIVATE2)
  Qd_VDI_SI_VDI_SI=Qs_VDI_SI_VDI_SI;
  Qd_VDI_SI_VGP_SI=Qs_VDI_SI_VGP_SI;
  Qd_VDI_SI_VSI_BP=Qs_VDI_SI_VSI_BP;
#endif
Qd_VGP_SI=Qs_VGP_SI;
#if defined(_DERIVATE2)
  Qd_VGP_SI_VDI_SI=Qs_VGP_SI_VDI_SI;
  Qd_VGP_SI_VGP_SI=Qs_VGP_SI_VGP_SI;
  Qd_VGP_SI_VSI_BP=Qs_VGP_SI_VSI_BP;
#endif
Qd_VSI_BP=Qs_VSI_BP;
#if defined(_DERIVATE2)
  Qd_VSI_BP_VDI_SI=Qs_VSI_BP_VDI_SI;
  Qd_VSI_BP_VGP_SI=Qs_VSI_BP_VGP_SI;
  Qd_VSI_BP_VSI_BP=Qs_VSI_BP_VSI_BP;
#endif
#endif
Qd=Qs;
EXIT_IF_ISNAN(Qs)
#endif
#if defined(_DYNAMIC)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(BP,GND)V(GP,GND)V(DI,GND) */
Qs_VDI_SI=temp_VDI_SI;
#if defined(_DERIVATE2)
  Qs_VDI_SI_VDI_SI=temp_VDI_SI_VDI_SI;
  Qs_VDI_SI_VGP_SI=temp_VDI_SI_VGP_SI;
  Qs_VDI_SI_VSI_BP=temp_VDI_SI_VSI_BP;
#endif
Qs_VGP_SI=temp_VGP_SI;
#if defined(_DERIVATE2)
  Qs_VGP_SI_VDI_SI=temp_VGP_SI_VDI_SI;
  Qs_VGP_SI_VGP_SI=temp_VGP_SI_VGP_SI;
  Qs_VGP_SI_VSI_BP=temp_VGP_SI_VSI_BP;
#endif
Qs_VSI_BP=temp_VSI_BP;
#if defined(_DERIVATE2)
  Qs_VSI_BP_VDI_SI=temp_VSI_BP_VDI_SI;
  Qs_VSI_BP_VGP_SI=temp_VSI_BP_VGP_SI;
  Qs_VSI_BP_VSI_BP=temp_VSI_BP_VSI_BP;
#endif
#endif
Qs=temp;
EXIT_IF_ISNAN(temp)
#endif
}
#endif /* if(...) */
  _load_dynamic_residual2(GP,SI,_DDT(((pModel->CHNL_TYPE*pInst->MULT_i)*Qg)))
  _load_dynamic_jacobian4(GP,SI,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Qg_VSI_BP))
  _load_dynamic_jacobian4(GP,SI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Qg_VGP_SI))
  _load_dynamic_jacobian4(GP,SI,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Qg_VDI_SI))
  _load_dynamic_residual2(BP,SI,_DDT(((pModel->CHNL_TYPE*pInst->MULT_i)*Qb)))
  _load_dynamic_jacobian4(BP,SI,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Qb_VSI_BP))
  _load_dynamic_jacobian4(BP,SI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Qb_VGP_SI))
  _load_dynamic_jacobian4(BP,SI,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Qb_VDI_SI))
  _load_dynamic_residual2(DI,SI,_DDT(((pModel->CHNL_TYPE*pInst->MULT_i)*Qd)))
  _load_dynamic_jacobian4(DI,SI,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Qd_VSI_BP))
  _load_dynamic_jacobian4(DI,SI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Qd_VGP_SI))
  _load_dynamic_jacobian4(DI,SI,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Qd_VDI_SI))
  _load_dynamic_residual2(GP,SI,_DDT(((pModel->CHNL_TYPE*pInst->MULT_i)*Qfgs)))
  _load_dynamic_jacobian4(GP,SI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Qfgs_VGP_SI))
  _load_dynamic_residual2(GP,DI,_DDT(((pModel->CHNL_TYPE*pInst->MULT_i)*Qfgd)))
  _load_dynamic_jacobian4(GP,DI,DI,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Qfgd_VDI_SI))
  _load_dynamic_jacobian4(GP,DI,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Qfgd_VGP_SI))
  _load_dynamic_residual2(GP,BP,_DDT(((pModel->CHNL_TYPE*pInst->MULT_i)*Qgb_ov)))
  _load_dynamic_jacobian4(GP,BP,SI,BP,((pModel->CHNL_TYPE*pInst->MULT_i)*Qgb_ov_VSI_BP))
  _load_dynamic_jacobian4(GP,BP,GP,SI,((pModel->CHNL_TYPE*pInst->MULT_i)*Qgb_ov_VGP_SI))
  _load_dynamic_residual2(BS,SI,_DDT(((pModel->CHNL_TYPE*pInst->MULT_i)*qjun_s)))
  _load_dynamic_jacobian4(BS,SI,SI,BS,((pModel->CHNL_TYPE*pInst->MULT_i)*qjun_s_VSI_BS))
  _load_dynamic_jacobian4(BS,SI,DI,BD,((pModel->CHNL_TYPE*pInst->MULT_i)*qjun_s_VDI_BD))
  _load_dynamic_residual2(BD,DI,_DDT(((pModel->CHNL_TYPE*pInst->MULT_i)*qjun_d)))
  _load_dynamic_jacobian4(BD,DI,SI,BS,((pModel->CHNL_TYPE*pInst->MULT_i)*qjun_d_VSI_BS))
  _load_dynamic_jacobian4(BD,DI,DI,BD,((pModel->CHNL_TYPE*pInst->MULT_i)*qjun_d_VDI_BD))
}
{
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Sfl_VDI_SI=0.0;
Sfl_VGP_SI=0.0;
Sfl_VSI_BP=0.0;
#endif
pInst->Sfl=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Sidexc_VDI_SI=0.0;
Sidexc_VGP_SI=0.0;
Sidexc_VSI_BP=0.0;
#endif
Sidexc=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
mid_VDI_SI=0.0;
mid_VGP_SI=0.0;
mid_VSI_BP=0.0;
#endif
mid=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
mig_VDI_SI=0.0;
mig_VGP_SI=0.0;
mig_VSI_BP=0.0;
#endif
pInst->mig=1.0e-40;
EXIT_IF_ISNAN(1.0e-40)
#if defined(_DYNAMIC)
migid=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
c_igid_VDI_SI=0.0;
c_igid_VGP_SI=0.0;
c_igid_VSI_BP=0.0;
#endif
pInst->c_igid=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
CGeff_VDI_SI=((COX_qm_VDI_SI*pInst->eta_p_ac)+(pInst->COX_qm*eta_p_ac_VDI_SI));
CGeff_VGP_SI=((COX_qm_VGP_SI*pInst->eta_p_ac)+(pInst->COX_qm*eta_p_ac_VGP_SI));
CGeff_VSI_BP=((COX_qm_VSI_BP*pInst->eta_p_ac)+(pInst->COX_qm*eta_p_ac_VSI_BP));
#endif
pInst->CGeff=(pInst->COX_qm*pInst->eta_p_ac);
EXIT_IF_ISNAN((pInst->COX_qm*pInst->eta_p_ac))
#endif
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
sqid_VDI_SI=0.0;
sqid_VGP_SI=0.0;
sqid_VSI_BP=0.0;
#endif
pInst->sqid=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
sqig_VDI_SI=0.0;
sqig_VGP_SI=0.0;
sqig_VSI_BP=0.0;
#endif
sqig=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Sfledge_VDI_SI=0.0;
Sfledge_VGP_SI=0.0;
Sfledge_VSI_BP=0.0;
#endif
pInst->Sfledge=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
midedge_VDI_SI=0.0;
midedge_VGP_SI=0.0;
midedge_VSI_BP=0.0;
#endif
midedge=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
sqidedge_VDI_SI=0.0;
sqidedge_VGP_SI=0.0;
sqidedge_VSI_BP=0.0;
#endif
pInst->sqidedge=0.0;
EXIT_IF_ISNAN(0.0)
if
((((pInst->xg_dc>0.0)&&(pInst->MULT_i>0.0))&&(pInst->BET_i>0.0)))
{
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
N1_VDI_SI=(pInst->Cox_over_q*alpha_dc_VDI_SI)*pModel->phit;
N1_VGP_SI=(pInst->Cox_over_q*alpha_dc_VGP_SI)*pModel->phit;
N1_VSI_BP=(pInst->Cox_over_q*alpha_dc_VSI_BP)*pModel->phit;
#endif
N1=((pInst->Cox_over_q*pInst->alpha_dc)*pModel->phit);
EXIT_IF_ISNAN(((pInst->Cox_over_q*pInst->alpha_dc)*pModel->phit))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Nm1_VDI_SI=(pInst->Cox_over_q*qim1_dc_VDI_SI);
Nm1_VGP_SI=(pInst->Cox_over_q*qim1_dc_VGP_SI);
Nm1_VSI_BP=(pInst->Cox_over_q*qim1_dc_VSI_BP);
#endif
Nm1=(pInst->Cox_over_q*pInst->qim1_dc);
EXIT_IF_ISNAN((pInst->Cox_over_q*pInst->qim1_dc))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Delta_N1_VDI_SI=(((pInst->Cox_over_q*alpha_dc_VDI_SI)*pInst->dps_dc)+((pInst->Cox_over_q*pInst->alpha_dc)*dps_dc_VDI_SI));
Delta_N1_VGP_SI=(((pInst->Cox_over_q*alpha_dc_VGP_SI)*pInst->dps_dc)+((pInst->Cox_over_q*pInst->alpha_dc)*dps_dc_VGP_SI));
Delta_N1_VSI_BP=(((pInst->Cox_over_q*alpha_dc_VSI_BP)*pInst->dps_dc)+((pInst->Cox_over_q*pInst->alpha_dc)*dps_dc_VSI_BP));
#endif
Delta_N1=((pInst->Cox_over_q*pInst->alpha_dc)*pInst->dps_dc);
EXIT_IF_ISNAN(((pInst->Cox_over_q*pInst->alpha_dc)*pInst->dps_dc))
{
double m00_logE(d00_logE0,((Nm1+(0.5*Delta_N1))/(Nm1-(0.5*Delta_N1))))
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,((Nm1+(0.5*Delta_N1))/(Nm1-(0.5*Delta_N1))))
#endif
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Sfl_VDI_SI=((((-(pInst->NFB_i*N1_VDI_SI))+(pInst->NFC_i*((N1_VDI_SI*N1)+(N1*N1_VDI_SI))))*d00_logE0)+(((pInst->NFA_i-(pInst->NFB_i*N1))+(pInst->NFC_i*(N1*N1)))*(((Nm1_VDI_SI+(0.5*Delta_N1_VDI_SI))*(Nm1-(0.5*Delta_N1))-(Nm1+(0.5*Delta_N1))*(Nm1_VDI_SI-(0.5*Delta_N1_VDI_SI)))/(Nm1-(0.5*Delta_N1))/(Nm1-(0.5*Delta_N1)))*d10_logE0));
Sfl_VGP_SI=((((-(pInst->NFB_i*N1_VGP_SI))+(pInst->NFC_i*((N1_VGP_SI*N1)+(N1*N1_VGP_SI))))*d00_logE0)+(((pInst->NFA_i-(pInst->NFB_i*N1))+(pInst->NFC_i*(N1*N1)))*(((Nm1_VGP_SI+(0.5*Delta_N1_VGP_SI))*(Nm1-(0.5*Delta_N1))-(Nm1+(0.5*Delta_N1))*(Nm1_VGP_SI-(0.5*Delta_N1_VGP_SI)))/(Nm1-(0.5*Delta_N1))/(Nm1-(0.5*Delta_N1)))*d10_logE0));
Sfl_VSI_BP=((((-(pInst->NFB_i*N1_VSI_BP))+(pInst->NFC_i*((N1_VSI_BP*N1)+(N1*N1_VSI_BP))))*d00_logE0)+(((pInst->NFA_i-(pInst->NFB_i*N1))+(pInst->NFC_i*(N1*N1)))*(((Nm1_VSI_BP+(0.5*Delta_N1_VSI_BP))*(Nm1-(0.5*Delta_N1))-(Nm1+(0.5*Delta_N1))*(Nm1_VSI_BP-(0.5*Delta_N1_VSI_BP)))/(Nm1-(0.5*Delta_N1))/(Nm1-(0.5*Delta_N1)))*d10_logE0));
#endif
pInst->Sfl=(((pInst->NFA_i-(pInst->NFB_i*N1))+(pInst->NFC_i*(N1*N1)))*d00_logE0);
EXIT_IF_ISNAN((((pInst->NFA_i-(pInst->NFB_i*N1))+(pInst->NFC_i*(N1*N1)))*d00_logE0))
}
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Sfl_VDI_SI=(Sfl_VDI_SI+(((pInst->NFC_i*(Nm1_VDI_SI-(2.0*N1_VDI_SI)))*Delta_N1)+((pInst->NFB_i+(pInst->NFC_i*(Nm1-(2.0*N1))))*Delta_N1_VDI_SI)));
Sfl_VGP_SI=(Sfl_VGP_SI+(((pInst->NFC_i*(Nm1_VGP_SI-(2.0*N1_VGP_SI)))*Delta_N1)+((pInst->NFB_i+(pInst->NFC_i*(Nm1-(2.0*N1))))*Delta_N1_VGP_SI)));
Sfl_VSI_BP=(Sfl_VSI_BP+(((pInst->NFC_i*(Nm1_VSI_BP-(2.0*N1_VSI_BP)))*Delta_N1)+((pInst->NFB_i+(pInst->NFC_i*(Nm1-(2.0*N1))))*Delta_N1_VSI_BP)));
#endif
pInst->Sfl=(pInst->Sfl+((pInst->NFB_i+(pInst->NFC_i*(Nm1-(2.0*N1))))*Delta_N1));
EXIT_IF_ISNAN((pInst->Sfl+((pInst->NFB_i+(pInst->NFC_i*(Nm1-(2.0*N1))))*Delta_N1)))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Sfl_VDI_SI=(((((((pInst->Sfl_prefac*Ids_VDI_SI)*pInst->Gvsatinv_dc)+((pInst->Sfl_prefac*pInst->Ids)*Gvsatinv_dc_VDI_SI))*pInst->Sfl)+(((pInst->Sfl_prefac*pInst->Ids)*pInst->Gvsatinv_dc)*Sfl_VDI_SI))*N1-(((pInst->Sfl_prefac*pInst->Ids)*pInst->Gvsatinv_dc)*pInst->Sfl)*N1_VDI_SI)/N1/N1);
Sfl_VGP_SI=(((((((pInst->Sfl_prefac*Ids_VGP_SI)*pInst->Gvsatinv_dc)+((pInst->Sfl_prefac*pInst->Ids)*Gvsatinv_dc_VGP_SI))*pInst->Sfl)+(((pInst->Sfl_prefac*pInst->Ids)*pInst->Gvsatinv_dc)*Sfl_VGP_SI))*N1-(((pInst->Sfl_prefac*pInst->Ids)*pInst->Gvsatinv_dc)*pInst->Sfl)*N1_VGP_SI)/N1/N1);
Sfl_VSI_BP=(((((((pInst->Sfl_prefac*Ids_VSI_BP)*pInst->Gvsatinv_dc)+((pInst->Sfl_prefac*pInst->Ids)*Gvsatinv_dc_VSI_BP))*pInst->Sfl)+(((pInst->Sfl_prefac*pInst->Ids)*pInst->Gvsatinv_dc)*Sfl_VSI_BP))*N1-(((pInst->Sfl_prefac*pInst->Ids)*pInst->Gvsatinv_dc)*pInst->Sfl)*N1_VSI_BP)/N1/N1);
#endif
pInst->Sfl=((((pInst->Sfl_prefac*pInst->Ids)*pInst->Gvsatinv_dc)*pInst->Sfl)/N1);
EXIT_IF_ISNAN(((((pInst->Sfl_prefac*pInst->Ids)*pInst->Gvsatinv_dc)*pInst->Sfl)/N1))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Sfl_VDI_SI=((pInst->Sfl>0.0)?Sfl_VDI_SI:0.0);
Sfl_VGP_SI=((pInst->Sfl>0.0)?Sfl_VGP_SI:0.0);
Sfl_VSI_BP=((pInst->Sfl>0.0)?Sfl_VSI_BP:0.0);
#endif
pInst->Sfl=((pInst->Sfl>0.0)?pInst->Sfl:0.0);
EXIT_IF_ISNAN(((pInst->Sfl>0.0)?pInst->Sfl:0.0))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
H0_VDI_SI=((qim1_dc_VDI_SI*pInst->alpha_dc-pInst->qim1_dc*alpha_dc_VDI_SI)/pInst->alpha_dc/pInst->alpha_dc);
H0_VGP_SI=((qim1_dc_VGP_SI*pInst->alpha_dc-pInst->qim1_dc*alpha_dc_VGP_SI)/pInst->alpha_dc/pInst->alpha_dc);
H0_VSI_BP=((qim1_dc_VSI_BP*pInst->alpha_dc-pInst->qim1_dc*alpha_dc_VSI_BP)/pInst->alpha_dc/pInst->alpha_dc);
#endif
H0=(pInst->qim1_dc/pInst->alpha_dc);
EXIT_IF_ISNAN((pInst->qim1_dc/pInst->alpha_dc))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
t1_VDI_SI=((qim_dc_VDI_SI*pInst->qim1_dc-pInst->qim_dc*qim1_dc_VDI_SI)/pInst->qim1_dc/pInst->qim1_dc);
t1_VGP_SI=((qim_dc_VGP_SI*pInst->qim1_dc-pInst->qim_dc*qim1_dc_VGP_SI)/pInst->qim1_dc/pInst->qim1_dc);
t1_VSI_BP=((qim_dc_VSI_BP*pInst->qim1_dc-pInst->qim_dc*qim1_dc_VSI_BP)/pInst->qim1_dc/pInst->qim1_dc);
#endif
t1=(pInst->qim_dc/pInst->qim1_dc);
EXIT_IF_ISNAN((pInst->qim_dc/pInst->qim1_dc))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
sqt2_VDI_SI=((0.5*1.6666666666666667e-01)*((dps_dc_VDI_SI*H0-pInst->dps_dc*H0_VDI_SI)/H0/H0));
sqt2_VGP_SI=((0.5*1.6666666666666667e-01)*((dps_dc_VGP_SI*H0-pInst->dps_dc*H0_VGP_SI)/H0/H0));
sqt2_VSI_BP=((0.5*1.6666666666666667e-01)*((dps_dc_VSI_BP*H0-pInst->dps_dc*H0_VSI_BP)/H0/H0));
#endif
sqt2=((0.5*1.6666666666666667e-01)*(pInst->dps_dc/H0));
EXIT_IF_ISNAN(((0.5*1.6666666666666667e-01)*(pInst->dps_dc/H0)))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
t2_VDI_SI=((sqt2_VDI_SI*sqt2)+(sqt2*sqt2_VDI_SI));
t2_VGP_SI=((sqt2_VGP_SI*sqt2)+(sqt2*sqt2_VGP_SI));
t2_VSI_BP=((sqt2_VSI_BP*sqt2)+(sqt2*sqt2_VSI_BP));
#endif
t2=(sqt2*sqt2);
EXIT_IF_ISNAN((sqt2*sqt2))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
r_VDI_SI=((H0_VDI_SI*pInst->H_dc-H0*H_dc_VDI_SI)/pInst->H_dc/pInst->H_dc);
r_VGP_SI=((H0_VGP_SI*pInst->H_dc-H0*H_dc_VGP_SI)/pInst->H_dc/pInst->H_dc);
r_VSI_BP=((H0_VSI_BP*pInst->H_dc-H0*H_dc_VSI_BP)/pInst->H_dc/pInst->H_dc);
#endif
r=((H0/pInst->H_dc)-1.0);
EXIT_IF_ISNAN(((H0/pInst->H_dc)-1.0))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
lc_VDI_SI=(((1.0-(12.0*(r*t2)))>1.0e-20)?(-(12.0*((r_VDI_SI*t2)+(r*t2_VDI_SI)))):0.0);
lc_VGP_SI=(((1.0-(12.0*(r*t2)))>1.0e-20)?(-(12.0*((r_VGP_SI*t2)+(r*t2_VGP_SI)))):0.0);
lc_VSI_BP=(((1.0-(12.0*(r*t2)))>1.0e-20)?(-(12.0*((r_VSI_BP*t2)+(r*t2_VSI_BP)))):0.0);
#endif
lc=(((1.0-(12.0*(r*t2)))>1.0e-20)?(1.0-(12.0*(r*t2))):1.0e-20);
EXIT_IF_ISNAN((((1.0-(12.0*(r*t2)))>1.0e-20)?(1.0-(12.0*(r*t2))):1.0e-20))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
lcinv2_VDI_SI=(-((lc_VDI_SI*lc)+(lc*lc_VDI_SI))/(lc*lc)/(lc*lc));
lcinv2_VGP_SI=(-((lc_VGP_SI*lc)+(lc*lc_VGP_SI))/(lc*lc)/(lc*lc));
lcinv2_VSI_BP=(-((lc_VSI_BP*lc)+(lc*lc_VSI_BP))/(lc*lc)/(lc*lc));
#endif
lcinv2=(1.0/(lc*lc));
EXIT_IF_ISNAN((1.0/(lc*lc)))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
g_ideal_VDI_SI=(pInst->BET_i*((((FdL_dc_VDI_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VDI_SI))*pInst->Gvsatinv_dc)+((pInst->FdL_dc*pInst->qim1_dc)*Gvsatinv_dc_VDI_SI)));
g_ideal_VGP_SI=(pInst->BET_i*((((FdL_dc_VGP_SI*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VGP_SI))*pInst->Gvsatinv_dc)+((pInst->FdL_dc*pInst->qim1_dc)*Gvsatinv_dc_VGP_SI)));
g_ideal_VSI_BP=(pInst->BET_i*((((FdL_dc_VSI_BP*pInst->qim1_dc)+(pInst->FdL_dc*qim1_dc_VSI_BP))*pInst->Gvsatinv_dc)+((pInst->FdL_dc*pInst->qim1_dc)*Gvsatinv_dc_VSI_BP)));
#endif
g_ideal=(pInst->BET_i*((pInst->FdL_dc*pInst->qim1_dc)*pInst->Gvsatinv_dc));
EXIT_IF_ISNAN((pInst->BET_i*((pInst->FdL_dc*pInst->qim1_dc)*pInst->Gvsatinv_dc)))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
mid_VDI_SI=((t1_VDI_SI+(12.0*t2_VDI_SI))-(24.0*((((t1_VDI_SI*t2)+((1.0+t1)*t2_VDI_SI))*r)+(((1.0+t1)*t2)*r_VDI_SI))));
mid_VGP_SI=((t1_VGP_SI+(12.0*t2_VGP_SI))-(24.0*((((t1_VGP_SI*t2)+((1.0+t1)*t2_VGP_SI))*r)+(((1.0+t1)*t2)*r_VGP_SI))));
mid_VSI_BP=((t1_VSI_BP+(12.0*t2_VSI_BP))-(24.0*((((t1_VSI_BP*t2)+((1.0+t1)*t2_VSI_BP))*r)+(((1.0+t1)*t2)*r_VSI_BP))));
#endif
mid=((t1+(12.0*t2))-(24.0*(((1.0+t1)*t2)*r)));
EXIT_IF_ISNAN(((t1+(12.0*t2))-(24.0*(((1.0+t1)*t2)*r))))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
mid_VDI_SI=((mid>1.0e-40)?mid_VDI_SI:0.0);
mid_VGP_SI=((mid>1.0e-40)?mid_VGP_SI:0.0);
mid_VSI_BP=((mid>1.0e-40)?mid_VSI_BP:0.0);
#endif
mid=((mid>1.0e-40)?mid:1.0e-40);
EXIT_IF_ISNAN(((mid>1.0e-40)?mid:1.0e-40))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
mid_VDI_SI=((((g_ideal_VDI_SI*lcinv2)+(g_ideal*lcinv2_VDI_SI))*mid)+((g_ideal*lcinv2)*mid_VDI_SI));
mid_VGP_SI=((((g_ideal_VGP_SI*lcinv2)+(g_ideal*lcinv2_VGP_SI))*mid)+((g_ideal*lcinv2)*mid_VGP_SI));
mid_VSI_BP=((((g_ideal_VSI_BP*lcinv2)+(g_ideal*lcinv2_VSI_BP))*mid)+((g_ideal*lcinv2)*mid_VSI_BP));
#endif
mid=((g_ideal*lcinv2)*mid);
EXIT_IF_ISNAN(((g_ideal*lcinv2)*mid))
if
((pInst->FNTEXC_i>0.0))
{
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
temp2_exc_VDI_SI=((qim_dc_VDI_SI*pInst->xitsb_dc)+(pInst->qim_dc*xitsb_dc_VDI_SI));
temp2_exc_VGP_SI=qim_dc_VGP_SI*pInst->xitsb_dc;
temp2_exc_VSI_BP=((qim_dc_VSI_BP*pInst->xitsb_dc)+(pInst->qim_dc*xitsb_dc_VSI_BP));
#endif
temp2_exc=(pInst->qim_dc*pInst->xitsb_dc);
EXIT_IF_ISNAN((pInst->qim_dc*pInst->xitsb_dc))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
wsat_exc_VDI_SI=(100.0*((temp2_exc_VDI_SI*(100.0+temp2_exc)-temp2_exc*temp2_exc_VDI_SI)/(100.0+temp2_exc)/(100.0+temp2_exc)));
wsat_exc_VGP_SI=(100.0*((temp2_exc_VGP_SI*(100.0+temp2_exc)-temp2_exc*temp2_exc_VGP_SI)/(100.0+temp2_exc)/(100.0+temp2_exc)));
wsat_exc_VSI_BP=(100.0*((temp2_exc_VSI_BP*(100.0+temp2_exc)-temp2_exc*temp2_exc_VSI_BP)/(100.0+temp2_exc)/(100.0+temp2_exc)));
#endif
wsat_exc=(100.0*(temp2_exc/(100.0+temp2_exc)));
EXIT_IF_ISNAN((100.0*(temp2_exc/(100.0+temp2_exc))))
if
((pInst->THESATG_i<0))
{
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
temp_exc_VDI_SI=(-(-(pInst->THESATG_i*wsat_exc_VDI_SI))/(1.0-(pInst->THESATG_i*wsat_exc))/(1.0-(pInst->THESATG_i*wsat_exc)));
temp_exc_VGP_SI=(-(-(pInst->THESATG_i*wsat_exc_VGP_SI))/(1.0-(pInst->THESATG_i*wsat_exc))/(1.0-(pInst->THESATG_i*wsat_exc)));
temp_exc_VSI_BP=(-(-(pInst->THESATG_i*wsat_exc_VSI_BP))/(1.0-(pInst->THESATG_i*wsat_exc))/(1.0-(pInst->THESATG_i*wsat_exc)));
#endif
temp_exc=(1.0/(1.0-(pInst->THESATG_i*wsat_exc)));
EXIT_IF_ISNAN((1.0/(1.0-(pInst->THESATG_i*wsat_exc))))
}
else
{
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
temp_exc_VDI_SI=(pInst->THESATG_i*wsat_exc_VDI_SI);
temp_exc_VGP_SI=(pInst->THESATG_i*wsat_exc_VGP_SI);
temp_exc_VSI_BP=(pInst->THESATG_i*wsat_exc_VSI_BP);
#endif
temp_exc=(1.0+(pInst->THESATG_i*wsat_exc));
EXIT_IF_ISNAN((1.0+(pInst->THESATG_i*wsat_exc)))
}
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
thesat1_exc_VDI_SI=(pInst->THESAT_T*((temp_exc_VDI_SI*pInst->Gmob_dc-temp_exc*Gmob_dc_VDI_SI)/pInst->Gmob_dc/pInst->Gmob_dc));
thesat1_exc_VGP_SI=(pInst->THESAT_T*((temp_exc_VGP_SI*pInst->Gmob_dc-temp_exc*Gmob_dc_VGP_SI)/pInst->Gmob_dc/pInst->Gmob_dc));
thesat1_exc_VSI_BP=(pInst->THESAT_T*((temp_exc_VSI_BP*pInst->Gmob_dc-temp_exc*Gmob_dc_VSI_BP)/pInst->Gmob_dc/pInst->Gmob_dc));
#endif
thesat1_exc=(pInst->THESAT_T*(temp_exc/pInst->Gmob_dc));
EXIT_IF_ISNAN((pInst->THESAT_T*(temp_exc/pInst->Gmob_dc)))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
zsat_exc_VDI_SI=((((((thesat1_exc_VDI_SI*thesat1_exc)+(thesat1_exc*thesat1_exc_VDI_SI))*pInst->dps_dc)+((thesat1_exc*thesat1_exc)*dps_dc_VDI_SI))*pInst->dps_dc)+(((thesat1_exc*thesat1_exc)*pInst->dps_dc)*dps_dc_VDI_SI));
zsat_exc_VGP_SI=((((((thesat1_exc_VGP_SI*thesat1_exc)+(thesat1_exc*thesat1_exc_VGP_SI))*pInst->dps_dc)+((thesat1_exc*thesat1_exc)*dps_dc_VGP_SI))*pInst->dps_dc)+(((thesat1_exc*thesat1_exc)*pInst->dps_dc)*dps_dc_VGP_SI));
zsat_exc_VSI_BP=((((((thesat1_exc_VSI_BP*thesat1_exc)+(thesat1_exc*thesat1_exc_VSI_BP))*pInst->dps_dc)+((thesat1_exc*thesat1_exc)*dps_dc_VSI_BP))*pInst->dps_dc)+(((thesat1_exc*thesat1_exc)*pInst->dps_dc)*dps_dc_VSI_BP));
#endif
zsat_exc=(((thesat1_exc*thesat1_exc)*pInst->dps_dc)*pInst->dps_dc);
EXIT_IF_ISNAN((((thesat1_exc*thesat1_exc)*pInst->dps_dc)*pInst->dps_dc))
if
((pModel->CHNL_TYPE==(-1)))
{
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
zsat_exc_VDI_SI=((zsat_exc_VDI_SI*(1.0+(thesat1_exc*pInst->dps_dc))-zsat_exc*((thesat1_exc_VDI_SI*pInst->dps_dc)+(thesat1_exc*dps_dc_VDI_SI)))/(1.0+(thesat1_exc*pInst->dps_dc))/(1.0+(thesat1_exc*pInst->dps_dc)));
zsat_exc_VGP_SI=((zsat_exc_VGP_SI*(1.0+(thesat1_exc*pInst->dps_dc))-zsat_exc*((thesat1_exc_VGP_SI*pInst->dps_dc)+(thesat1_exc*dps_dc_VGP_SI)))/(1.0+(thesat1_exc*pInst->dps_dc))/(1.0+(thesat1_exc*pInst->dps_dc)));
zsat_exc_VSI_BP=((zsat_exc_VSI_BP*(1.0+(thesat1_exc*pInst->dps_dc))-zsat_exc*((thesat1_exc_VSI_BP*pInst->dps_dc)+(thesat1_exc*dps_dc_VSI_BP)))/(1.0+(thesat1_exc*pInst->dps_dc))/(1.0+(thesat1_exc*pInst->dps_dc)));
#endif
zsat_exc=(zsat_exc/(1.0+(thesat1_exc*pInst->dps_dc)));
EXIT_IF_ISNAN((zsat_exc/(1.0+(thesat1_exc*pInst->dps_dc))))
}
{
double m00_sqrt(d00_sqrt0,(1.0+(2.0*zsat_exc)))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(1.0+(2.0*zsat_exc)))
#endif
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Gvsat_exc_VDI_SI=(0.5*((Gmob_dc_VDI_SI*(1.0+d00_sqrt0))+(pInst->Gmob_dc*(2.0*zsat_exc_VDI_SI)*d10_sqrt0)));
Gvsat_exc_VGP_SI=(0.5*((Gmob_dc_VGP_SI*(1.0+d00_sqrt0))+(pInst->Gmob_dc*(2.0*zsat_exc_VGP_SI)*d10_sqrt0)));
Gvsat_exc_VSI_BP=(0.5*((Gmob_dc_VSI_BP*(1.0+d00_sqrt0))+(pInst->Gmob_dc*(2.0*zsat_exc_VSI_BP)*d10_sqrt0)));
#endif
Gvsat_exc=(0.5*(pInst->Gmob_dc*(1.0+d00_sqrt0)));
EXIT_IF_ISNAN((0.5*(pInst->Gmob_dc*(1.0+d00_sqrt0))))
}
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
gfac_VDI_SI=((Gmob_dc_VDI_SI*(Gvsat_exc*lc)-pInst->Gmob_dc*((Gvsat_exc_VDI_SI*lc)+(Gvsat_exc*lc_VDI_SI)))/(Gvsat_exc*lc)/(Gvsat_exc*lc));
gfac_VGP_SI=((Gmob_dc_VGP_SI*(Gvsat_exc*lc)-pInst->Gmob_dc*((Gvsat_exc_VGP_SI*lc)+(Gvsat_exc*lc_VGP_SI)))/(Gvsat_exc*lc)/(Gvsat_exc*lc));
gfac_VSI_BP=((Gmob_dc_VSI_BP*(Gvsat_exc*lc)-pInst->Gmob_dc*((Gvsat_exc_VSI_BP*lc)+(Gvsat_exc*lc_VSI_BP)))/(Gvsat_exc*lc)/(Gvsat_exc*lc));
#endif
gfac=(pInst->Gmob_dc/(Gvsat_exc*lc));
EXIT_IF_ISNAN((pInst->Gmob_dc/(Gvsat_exc*lc)))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Sidexc_VDI_SI=(((((((pInst->fac_exc*Ids_VDI_SI)*pInst->Vdse_dc)+((pInst->fac_exc*pInst->Ids)*Vdse_dc_VDI_SI))*gfac)+(((pInst->fac_exc*pInst->Ids)*pInst->Vdse_dc)*gfac_VDI_SI))*gfac)+((((pInst->fac_exc*pInst->Ids)*pInst->Vdse_dc)*gfac)*gfac_VDI_SI));
Sidexc_VGP_SI=(((((((pInst->fac_exc*Ids_VGP_SI)*pInst->Vdse_dc)+((pInst->fac_exc*pInst->Ids)*Vdse_dc_VGP_SI))*gfac)+(((pInst->fac_exc*pInst->Ids)*pInst->Vdse_dc)*gfac_VGP_SI))*gfac)+((((pInst->fac_exc*pInst->Ids)*pInst->Vdse_dc)*gfac)*gfac_VGP_SI));
Sidexc_VSI_BP=(((((((pInst->fac_exc*Ids_VSI_BP)*pInst->Vdse_dc)+((pInst->fac_exc*pInst->Ids)*Vdse_dc_VSI_BP))*gfac)+(((pInst->fac_exc*pInst->Ids)*pInst->Vdse_dc)*gfac_VSI_BP))*gfac)+((((pInst->fac_exc*pInst->Ids)*pInst->Vdse_dc)*gfac)*gfac_VSI_BP));
#endif
Sidexc=((((pInst->fac_exc*pInst->Ids)*pInst->Vdse_dc)*gfac)*gfac);
EXIT_IF_ISNAN(((((pInst->fac_exc*pInst->Ids)*pInst->Vdse_dc)*gfac)*gfac))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
mid_VDI_SI=(mid_VDI_SI+(Sidexc_VDI_SI/pModel->nt0));
mid_VGP_SI=(mid_VGP_SI+(Sidexc_VGP_SI/pModel->nt0));
mid_VSI_BP=(mid_VSI_BP+(Sidexc_VSI_BP/pModel->nt0));
#endif
mid=(mid+(Sidexc/pModel->nt0));
EXIT_IF_ISNAN((mid+(Sidexc/pModel->nt0)))
}
{
double m00_sqrt(d00_sqrt0,(pInst->nt*mid))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(pInst->nt*mid))
#endif
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
sqid_VDI_SI=(pInst->nt*mid_VDI_SI)*d10_sqrt0;
sqid_VGP_SI=(pInst->nt*mid_VGP_SI)*d10_sqrt0;
sqid_VSI_BP=(pInst->nt*mid_VSI_BP)*d10_sqrt0;
#endif
pInst->sqid=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
if
(((pModel->SWIGN_i==1)&&(pInst->nt>0.0)))
{
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
mig_VDI_SI=(((t1_VDI_SI/12.0)-((t2_VDI_SI*((t1+0.2)-(12.0*t2)))+(t2*(t1_VDI_SI-(12.0*t2_VDI_SI)))))-(1.6*((((t2_VDI_SI*((t1+1.0)-(12.0*t2)))+(t2*(t1_VDI_SI-(12.0*t2_VDI_SI))))*r)+((t2*((t1+1.0)-(12.0*t2)))*r_VDI_SI))));
mig_VGP_SI=(((t1_VGP_SI/12.0)-((t2_VGP_SI*((t1+0.2)-(12.0*t2)))+(t2*(t1_VGP_SI-(12.0*t2_VGP_SI)))))-(1.6*((((t2_VGP_SI*((t1+1.0)-(12.0*t2)))+(t2*(t1_VGP_SI-(12.0*t2_VGP_SI))))*r)+((t2*((t1+1.0)-(12.0*t2)))*r_VGP_SI))));
mig_VSI_BP=(((t1_VSI_BP/12.0)-((t2_VSI_BP*((t1+0.2)-(12.0*t2)))+(t2*(t1_VSI_BP-(12.0*t2_VSI_BP)))))-(1.6*((((t2_VSI_BP*((t1+1.0)-(12.0*t2)))+(t2*(t1_VSI_BP-(12.0*t2_VSI_BP))))*r)+((t2*((t1+1.0)-(12.0*t2)))*r_VSI_BP))));
#endif
pInst->mig=(((t1/12.0)-(t2*((t1+0.2)-(12.0*t2))))-(1.6*((t2*((t1+1.0)-(12.0*t2)))*r)));
EXIT_IF_ISNAN((((t1/12.0)-(t2*((t1+0.2)-(12.0*t2))))-(1.6*((t2*((t1+1.0)-(12.0*t2)))*r))))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
mig_VDI_SI=((pInst->mig>1.0e-40)?mig_VDI_SI:0.0);
mig_VGP_SI=((pInst->mig>1.0e-40)?mig_VGP_SI:0.0);
mig_VSI_BP=((pInst->mig>1.0e-40)?mig_VSI_BP:0.0);
#endif
pInst->mig=((pInst->mig>1.0e-40)?pInst->mig:1.0e-40);
EXIT_IF_ISNAN(((pInst->mig>1.0e-40)?pInst->mig:1.0e-40))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
mig_VDI_SI=((((lcinv2_VDI_SI*g_ideal-lcinv2*g_ideal_VDI_SI)/g_ideal/g_ideal)*pInst->mig)+((lcinv2/g_ideal)*mig_VDI_SI));
mig_VGP_SI=((((lcinv2_VGP_SI*g_ideal-lcinv2*g_ideal_VGP_SI)/g_ideal/g_ideal)*pInst->mig)+((lcinv2/g_ideal)*mig_VGP_SI));
mig_VSI_BP=((((lcinv2_VSI_BP*g_ideal-lcinv2*g_ideal_VSI_BP)/g_ideal/g_ideal)*pInst->mig)+((lcinv2/g_ideal)*mig_VSI_BP));
#endif
pInst->mig=((lcinv2/g_ideal)*pInst->mig);
EXIT_IF_ISNAN(((lcinv2/g_ideal)*pInst->mig))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
migid0_VDI_SI=((((lcinv2_VDI_SI*sqt2)+(lcinv2*sqt2_VDI_SI))*((1.0-(12.0*t2))-(((t1+(19.2*t2))-(12.0*(t1*t2)))*r)))+((lcinv2*sqt2)*((-(12.0*t2_VDI_SI))-((((t1_VDI_SI+(19.2*t2_VDI_SI))-(12.0*((t1_VDI_SI*t2)+(t1*t2_VDI_SI))))*r)+(((t1+(19.2*t2))-(12.0*(t1*t2)))*r_VDI_SI)))));
migid0_VGP_SI=((((lcinv2_VGP_SI*sqt2)+(lcinv2*sqt2_VGP_SI))*((1.0-(12.0*t2))-(((t1+(19.2*t2))-(12.0*(t1*t2)))*r)))+((lcinv2*sqt2)*((-(12.0*t2_VGP_SI))-((((t1_VGP_SI+(19.2*t2_VGP_SI))-(12.0*((t1_VGP_SI*t2)+(t1*t2_VGP_SI))))*r)+(((t1+(19.2*t2))-(12.0*(t1*t2)))*r_VGP_SI)))));
migid0_VSI_BP=((((lcinv2_VSI_BP*sqt2)+(lcinv2*sqt2_VSI_BP))*((1.0-(12.0*t2))-(((t1+(19.2*t2))-(12.0*(t1*t2)))*r)))+((lcinv2*sqt2)*((-(12.0*t2_VSI_BP))-((((t1_VSI_BP+(19.2*t2_VSI_BP))-(12.0*((t1_VSI_BP*t2)+(t1*t2_VSI_BP))))*r)+(((t1+(19.2*t2))-(12.0*(t1*t2)))*r_VSI_BP)))));
#endif
migid0=((lcinv2*sqt2)*((1.0-(12.0*t2))-(((t1+(19.2*t2))-(12.0*(t1*t2)))*r)));
EXIT_IF_ISNAN(((lcinv2*sqt2)*((1.0-(12.0*t2))-(((t1+(19.2*t2))-(12.0*(t1*t2)))*r))))
#if defined(_DYNAMIC)
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
CGeff_VDI_SI=((((((((Gvsat_ac_VDI_SI*pInst->Gvsat_ac)+(pInst->Gvsat_ac*Gvsat_ac_VDI_SI))*pInst->COX_qm)+((pInst->Gvsat_ac*pInst->Gvsat_ac)*COX_qm_VDI_SI))*pInst->eta_p_ac)+(((pInst->Gvsat_ac*pInst->Gvsat_ac)*pInst->COX_qm)*eta_p_ac_VDI_SI))*(pInst->Gmob_dL_ac*pInst->Gmob_dL_ac)-(((pInst->Gvsat_ac*pInst->Gvsat_ac)*pInst->COX_qm)*pInst->eta_p_ac)*((Gmob_dL_ac_VDI_SI*pInst->Gmob_dL_ac)+(pInst->Gmob_dL_ac*Gmob_dL_ac_VDI_SI)))/(pInst->Gmob_dL_ac*pInst->Gmob_dL_ac)/(pInst->Gmob_dL_ac*pInst->Gmob_dL_ac));
CGeff_VGP_SI=((((((((Gvsat_ac_VGP_SI*pInst->Gvsat_ac)+(pInst->Gvsat_ac*Gvsat_ac_VGP_SI))*pInst->COX_qm)+((pInst->Gvsat_ac*pInst->Gvsat_ac)*COX_qm_VGP_SI))*pInst->eta_p_ac)+(((pInst->Gvsat_ac*pInst->Gvsat_ac)*pInst->COX_qm)*eta_p_ac_VGP_SI))*(pInst->Gmob_dL_ac*pInst->Gmob_dL_ac)-(((pInst->Gvsat_ac*pInst->Gvsat_ac)*pInst->COX_qm)*pInst->eta_p_ac)*((Gmob_dL_ac_VGP_SI*pInst->Gmob_dL_ac)+(pInst->Gmob_dL_ac*Gmob_dL_ac_VGP_SI)))/(pInst->Gmob_dL_ac*pInst->Gmob_dL_ac)/(pInst->Gmob_dL_ac*pInst->Gmob_dL_ac));
CGeff_VSI_BP=((((((((Gvsat_ac_VSI_BP*pInst->Gvsat_ac)+(pInst->Gvsat_ac*Gvsat_ac_VSI_BP))*pInst->COX_qm)+((pInst->Gvsat_ac*pInst->Gvsat_ac)*COX_qm_VSI_BP))*pInst->eta_p_ac)+(((pInst->Gvsat_ac*pInst->Gvsat_ac)*pInst->COX_qm)*eta_p_ac_VSI_BP))*(pInst->Gmob_dL_ac*pInst->Gmob_dL_ac)-(((pInst->Gvsat_ac*pInst->Gvsat_ac)*pInst->COX_qm)*pInst->eta_p_ac)*((Gmob_dL_ac_VSI_BP*pInst->Gmob_dL_ac)+(pInst->Gmob_dL_ac*Gmob_dL_ac_VSI_BP)))/(pInst->Gmob_dL_ac*pInst->Gmob_dL_ac)/(pInst->Gmob_dL_ac*pInst->Gmob_dL_ac));
#endif
pInst->CGeff=((((pInst->Gvsat_ac*pInst->Gvsat_ac)*pInst->COX_qm)*pInst->eta_p_ac)/(pInst->Gmob_dL_ac*pInst->Gmob_dL_ac));
EXIT_IF_ISNAN(((((pInst->Gvsat_ac*pInst->Gvsat_ac)*pInst->COX_qm)*pInst->eta_p_ac)/(pInst->Gmob_dL_ac*pInst->Gmob_dL_ac)))
#endif
if
((pInst->FNTEXC_i>0.0))
{
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
mig_VDI_SI=(mig_VDI_SI+((((Sidexc_VDI_SI*(1.0+(12.0*t2)))+(Sidexc*(12.0*t2_VDI_SI)))*(((12.0*g_ideal)*g_ideal)*pModel->nt0)-(Sidexc*(1.0+(12.0*t2)))*(((12.0*g_ideal_VDI_SI)*g_ideal)+((12.0*g_ideal)*g_ideal_VDI_SI))*pModel->nt0)/(((12.0*g_ideal)*g_ideal)*pModel->nt0)/(((12.0*g_ideal)*g_ideal)*pModel->nt0)));
mig_VGP_SI=(mig_VGP_SI+((((Sidexc_VGP_SI*(1.0+(12.0*t2)))+(Sidexc*(12.0*t2_VGP_SI)))*(((12.0*g_ideal)*g_ideal)*pModel->nt0)-(Sidexc*(1.0+(12.0*t2)))*(((12.0*g_ideal_VGP_SI)*g_ideal)+((12.0*g_ideal)*g_ideal_VGP_SI))*pModel->nt0)/(((12.0*g_ideal)*g_ideal)*pModel->nt0)/(((12.0*g_ideal)*g_ideal)*pModel->nt0)));
mig_VSI_BP=(mig_VSI_BP+((((Sidexc_VSI_BP*(1.0+(12.0*t2)))+(Sidexc*(12.0*t2_VSI_BP)))*(((12.0*g_ideal)*g_ideal)*pModel->nt0)-(Sidexc*(1.0+(12.0*t2)))*(((12.0*g_ideal_VSI_BP)*g_ideal)+((12.0*g_ideal)*g_ideal_VSI_BP))*pModel->nt0)/(((12.0*g_ideal)*g_ideal)*pModel->nt0)/(((12.0*g_ideal)*g_ideal)*pModel->nt0)));
#endif
pInst->mig=(pInst->mig+((Sidexc*(1.0+(12.0*t2)))/(((12.0*g_ideal)*g_ideal)*pModel->nt0)));
EXIT_IF_ISNAN((pInst->mig+((Sidexc*(1.0+(12.0*t2)))/(((12.0*g_ideal)*g_ideal)*pModel->nt0))))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
migid0_VDI_SI=(migid0_VDI_SI-((((((Sidexc_VDI_SI*sqt2)+(Sidexc*sqt2_VDI_SI))*(1.0+r))+((Sidexc*sqt2)*r_VDI_SI))*(g_ideal*pModel->nt0)-((Sidexc*sqt2)*(1.0+r))*g_ideal_VDI_SI*pModel->nt0)/(g_ideal*pModel->nt0)/(g_ideal*pModel->nt0)));
migid0_VGP_SI=(migid0_VGP_SI-((((((Sidexc_VGP_SI*sqt2)+(Sidexc*sqt2_VGP_SI))*(1.0+r))+((Sidexc*sqt2)*r_VGP_SI))*(g_ideal*pModel->nt0)-((Sidexc*sqt2)*(1.0+r))*g_ideal_VGP_SI*pModel->nt0)/(g_ideal*pModel->nt0)/(g_ideal*pModel->nt0)));
migid0_VSI_BP=(migid0_VSI_BP-((((((Sidexc_VSI_BP*sqt2)+(Sidexc*sqt2_VSI_BP))*(1.0+r))+((Sidexc*sqt2)*r_VSI_BP))*(g_ideal*pModel->nt0)-((Sidexc*sqt2)*(1.0+r))*g_ideal_VSI_BP*pModel->nt0)/(g_ideal*pModel->nt0)/(g_ideal*pModel->nt0)));
#endif
migid0=(migid0-(((Sidexc*sqt2)*(1.0+r))/(g_ideal*pModel->nt0)));
EXIT_IF_ISNAN((migid0-(((Sidexc*sqt2)*(1.0+r))/(g_ideal*pModel->nt0))))
}
{
double m00_sqrt(d00_sqrt0,(pInst->nt/pInst->mig))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(pInst->nt/pInst->mig))
#endif
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
sqig_VDI_SI=(-pInst->nt*mig_VDI_SI/pInst->mig/pInst->mig)*d10_sqrt0;
sqig_VGP_SI=(-pInst->nt*mig_VGP_SI/pInst->mig/pInst->mig)*d10_sqrt0;
sqig_VSI_BP=(-pInst->nt*mig_VSI_BP/pInst->mig/pInst->mig)*d10_sqrt0;
#endif
sqig=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
if
((pInst->sqid==0))
{
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
c_igid_VDI_SI=0.0;
c_igid_VGP_SI=0.0;
c_igid_VSI_BP=0.0;
#endif
pInst->c_igid=0.0;
EXIT_IF_ISNAN(0.0)
}
else
{
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
c_igid_VDI_SI=((((migid0_VDI_SI*sqig)+(migid0*sqig_VDI_SI))*pInst->sqid-(migid0*sqig)*sqid_VDI_SI)/pInst->sqid/pInst->sqid);
c_igid_VGP_SI=((((migid0_VGP_SI*sqig)+(migid0*sqig_VGP_SI))*pInst->sqid-(migid0*sqig)*sqid_VGP_SI)/pInst->sqid/pInst->sqid);
c_igid_VSI_BP=((((migid0_VSI_BP*sqig)+(migid0*sqig_VSI_BP))*pInst->sqid-(migid0*sqig)*sqid_VSI_BP)/pInst->sqid/pInst->sqid);
#endif
pInst->c_igid=((migid0*sqig)/pInst->sqid);
EXIT_IF_ISNAN(((migid0*sqig)/pInst->sqid))
}
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
c_igid_VDI_SI=((pInst->c_igid>0.0)?((pInst->c_igid<1.0)?c_igid_VDI_SI:0.0):0.0);
c_igid_VGP_SI=((pInst->c_igid>0.0)?((pInst->c_igid<1.0)?c_igid_VGP_SI:0.0):0.0);
c_igid_VSI_BP=((pInst->c_igid>0.0)?((pInst->c_igid<1.0)?c_igid_VSI_BP:0.0):0.0);
#endif
pInst->c_igid=((pInst->c_igid>0.0)?((pInst->c_igid<1.0)?pInst->c_igid:1.0):0.0);
EXIT_IF_ISNAN(((pInst->c_igid>0.0)?((pInst->c_igid<1.0)?pInst->c_igid:1.0):0.0))
#if defined(_DYNAMIC)
migid=((pInst->c_igid*pInst->sqid)/sqig);
EXIT_IF_ISNAN(((pInst->c_igid*pInst->sqid)/sqig))
#endif
}
}
{
double m00_fabs(d00_fabs0,pInst->Igcs)
#if defined(_DERIVATE)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->Igcs)
#endif
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
shot_igcsx_VGP_SI=((2.0*1.6021918E-19)*Igcs_VGP_SI*d10_fabs0);
shot_igcsx_VDI_SI=((2.0*1.6021918E-19)*Igcs_VDI_SI*d10_fabs0);
shot_igcsx_VSI_BP=((2.0*1.6021918E-19)*Igcs_VSI_BP*d10_fabs0);
#endif
pInst->shot_igcsx=((2.0*1.6021918E-19)*d00_fabs0);
EXIT_IF_ISNAN(((2.0*1.6021918E-19)*d00_fabs0))
}
{
double m00_fabs(d00_fabs0,pInst->Igcd)
#if defined(_DERIVATE)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->Igcd)
#endif
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
shot_igcdx_VGP_SI=((2.0*1.6021918E-19)*Igcd_VGP_SI*d10_fabs0);
shot_igcdx_VDI_SI=((2.0*1.6021918E-19)*Igcd_VDI_SI*d10_fabs0);
shot_igcdx_VSI_BP=((2.0*1.6021918E-19)*Igcd_VSI_BP*d10_fabs0);
#endif
pInst->shot_igcdx=((2.0*1.6021918E-19)*d00_fabs0);
EXIT_IF_ISNAN(((2.0*1.6021918E-19)*d00_fabs0))
}
{
double m00_fabs(d00_fabs0,pInst->Igsov)
#if defined(_DERIVATE)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->Igsov)
#endif
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
shot_igsov_VGP_SI=((2.0*1.6021918E-19)*Igsov_VGP_SI*d10_fabs0);
shot_igsov_VDI_SI=((2.0*1.6021918E-19)*Igsov_VDI_SI*d10_fabs0);
shot_igsov_VSI_BP=((2.0*1.6021918E-19)*Igsov_VSI_BP*d10_fabs0);
#endif
pInst->shot_igsov=((2.0*1.6021918E-19)*d00_fabs0);
EXIT_IF_ISNAN(((2.0*1.6021918E-19)*d00_fabs0))
}
{
double m00_fabs(d00_fabs0,pInst->Igdov)
#if defined(_DERIVATE)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->Igdov)
#endif
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
shot_igdov_VGP_SI=((2.0*1.6021918E-19)*Igdov_VGP_SI*d10_fabs0);
shot_igdov_VDI_SI=((2.0*1.6021918E-19)*Igdov_VDI_SI*d10_fabs0);
shot_igdov_VSI_BP=((2.0*1.6021918E-19)*Igdov_VSI_BP*d10_fabs0);
#endif
pInst->shot_igdov=((2.0*1.6021918E-19)*d00_fabs0);
EXIT_IF_ISNAN(((2.0*1.6021918E-19)*d00_fabs0))
}
{
double m00_fabs(d00_fabs0,pInst->Iimpact)
#if defined(_DERIVATE)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->Iimpact)
#endif
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
shot_iavl_VDI_SI=((2.0*1.6021918E-19)*((mavl_VDI_SI*d00_fabs0)+((pInst->mavl+1)*Iimpact_VDI_SI*d10_fabs0)));
shot_iavl_VGP_SI=((2.0*1.6021918E-19)*((mavl_VGP_SI*d00_fabs0)+((pInst->mavl+1)*Iimpact_VGP_SI*d10_fabs0)));
shot_iavl_VSI_BP=((2.0*1.6021918E-19)*((mavl_VSI_BP*d00_fabs0)+((pInst->mavl+1)*Iimpact_VSI_BP*d10_fabs0)));
#endif
pInst->shot_iavl=((2.0*1.6021918E-19)*((pInst->mavl+1)*d00_fabs0));
EXIT_IF_ISNAN(((2.0*1.6021918E-19)*((pInst->mavl+1)*d00_fabs0)))
}
{
double m00_fabs(d00_fabs0,pInst->ijun_s)
#if defined(_DERIVATE)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->ijun_s)
#endif
#if defined(_DERIVATE) /* probe=V(DI,BD)V(SI,BS) ddxprobe= */
jnoisex_s_VDI_BD=((2.0*1.6021918E-19)*ijun_s_VDI_BD*d10_fabs0);
jnoisex_s_VSI_BS=((2.0*1.6021918E-19)*ijun_s_VSI_BS*d10_fabs0);
#endif
pInst->jnoisex_s=((2.0*1.6021918E-19)*d00_fabs0);
EXIT_IF_ISNAN(((2.0*1.6021918E-19)*d00_fabs0))
}
{
double m00_fabs(d00_fabs0,pInst->ijun_d)
#if defined(_DERIVATE)
double m10_fabs(d10_fabs0,d00_fabs0,pInst->ijun_d)
#endif
#if defined(_DERIVATE) /* probe=V(DI,BD)V(SI,BS) ddxprobe= */
jnoisex_d_VDI_BD=((2.0*1.6021918E-19)*ijun_d_VDI_BD*d10_fabs0);
jnoisex_d_VSI_BS=((2.0*1.6021918E-19)*ijun_d_VSI_BS*d10_fabs0);
#endif
pInst->jnoisex_d=((2.0*1.6021918E-19)*d00_fabs0);
EXIT_IF_ISNAN(((2.0*1.6021918E-19)*d00_fabs0))
}
if
((pInst->sigVds>0.0))
{
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
shot_igs_VGP_SI=(shot_igcsx_VGP_SI+shot_igsov_VGP_SI);
shot_igs_VDI_SI=(shot_igcsx_VDI_SI+shot_igsov_VDI_SI);
shot_igs_VSI_BP=(shot_igcsx_VSI_BP+shot_igsov_VSI_BP);
#endif
shot_igs=(pInst->shot_igcsx+pInst->shot_igsov);
EXIT_IF_ISNAN((pInst->shot_igcsx+pInst->shot_igsov))
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
shot_igd_VGP_SI=(shot_igcdx_VGP_SI+shot_igdov_VGP_SI);
shot_igd_VDI_SI=(shot_igcdx_VDI_SI+shot_igdov_VDI_SI);
shot_igd_VSI_BP=(shot_igcdx_VSI_BP+shot_igdov_VSI_BP);
#endif
shot_igd=(pInst->shot_igcdx+pInst->shot_igdov);
EXIT_IF_ISNAN((pInst->shot_igcdx+pInst->shot_igdov))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP)V(DI,BD)V(SI,BS) ddxprobe= */
jnoise_s_VDI_SI=0.0;
jnoise_s_VGP_SI=0.0;
jnoise_s_VSI_BP=0.0;
jnoise_s_VDI_BD=jnoisex_s_VDI_BD;
jnoise_s_VSI_BS=jnoisex_s_VSI_BS;
#endif
jnoise_s=pInst->jnoisex_s;
EXIT_IF_ISNAN(pInst->jnoisex_s)
#if defined(_DERIVATE) /* probe=V(DI,BD)V(SI,BS)V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
jnoise_d_VDI_BD=jnoisex_d_VDI_BD;
jnoise_d_VSI_BS=jnoisex_d_VSI_BS;
jnoise_d_VDI_SI=shot_iavl_VDI_SI;
jnoise_d_VGP_SI=shot_iavl_VGP_SI;
jnoise_d_VSI_BP=shot_iavl_VSI_BP;
#endif
jnoise_d=(pInst->jnoisex_d+pInst->shot_iavl);
EXIT_IF_ISNAN((pInst->jnoisex_d+pInst->shot_iavl))
}
else
{
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
shot_igs_VGP_SI=(shot_igcdx_VGP_SI+shot_igsov_VGP_SI);
shot_igs_VDI_SI=(shot_igcdx_VDI_SI+shot_igsov_VDI_SI);
shot_igs_VSI_BP=(shot_igcdx_VSI_BP+shot_igsov_VSI_BP);
#endif
shot_igs=(pInst->shot_igcdx+pInst->shot_igsov);
EXIT_IF_ISNAN((pInst->shot_igcdx+pInst->shot_igsov))
#if defined(_DERIVATE) /* probe=V(GP,SI)V(DI,SI)V(SI,BP) ddxprobe= */
shot_igd_VGP_SI=(shot_igcsx_VGP_SI+shot_igdov_VGP_SI);
shot_igd_VDI_SI=(shot_igcsx_VDI_SI+shot_igdov_VDI_SI);
shot_igd_VSI_BP=(shot_igcsx_VSI_BP+shot_igdov_VSI_BP);
#endif
shot_igd=(pInst->shot_igcsx+pInst->shot_igdov);
EXIT_IF_ISNAN((pInst->shot_igcsx+pInst->shot_igdov))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP)V(DI,BD)V(SI,BS) ddxprobe= */
jnoise_s_VDI_SI=shot_iavl_VDI_SI;
jnoise_s_VGP_SI=shot_iavl_VGP_SI;
jnoise_s_VSI_BP=shot_iavl_VSI_BP;
jnoise_s_VDI_BD=jnoisex_s_VDI_BD;
jnoise_s_VSI_BS=jnoisex_s_VSI_BS;
#endif
jnoise_s=(pInst->jnoisex_s+pInst->shot_iavl);
EXIT_IF_ISNAN((pInst->jnoisex_s+pInst->shot_iavl))
#if defined(_DERIVATE) /* probe=V(DI,BD)V(SI,BS)V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
jnoise_d_VDI_BD=jnoisex_d_VDI_BD;
jnoise_d_VSI_BS=jnoisex_d_VSI_BS;
jnoise_d_VDI_SI=0.0;
jnoise_d_VGP_SI=0.0;
jnoise_d_VSI_BP=0.0;
#endif
jnoise_d=pInst->jnoisex_d;
EXIT_IF_ISNAN(pInst->jnoisex_d)
}
if
((((pModel->SWEDGE_i!=0.0)&&(pInst->BETNEDGE_i>0))&&(pInst->xgedge>0)))
{
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=((4.0*dsqredge_VDI_SI)/pInst->Gfedge2);
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=((+0.0*pInst->dsqredge+0.0*dsqredge_VDI_SI+0.0*dsqredge_VDI_SI+4.0*dsqredge_VDI_SI_VDI_SI)/pInst->Gfedge2-((4.0*dsqredge_VDI_SI)*0.0+((4.0*dsqredge_VDI_SI))*0.0+(4.0*pInst->dsqredge)*0.0)/pInst->Gfedge2/pInst->Gfedge2+2*(4.0*pInst->dsqredge)*0.0*0.0/pInst->Gfedge2/pInst->Gfedge2/pInst->Gfedge2);
  temp1_VDI_SI_VGP_SI=((+0.0*pInst->dsqredge+0.0*dsqredge_VGP_SI+0.0*dsqredge_VDI_SI+4.0*dsqredge_VDI_SI_VGP_SI)/pInst->Gfedge2-((4.0*dsqredge_VDI_SI)*0.0+((4.0*dsqredge_VGP_SI))*0.0+(4.0*pInst->dsqredge)*0.0)/pInst->Gfedge2/pInst->Gfedge2+2*(4.0*pInst->dsqredge)*0.0*0.0/pInst->Gfedge2/pInst->Gfedge2/pInst->Gfedge2);
  temp1_VDI_SI_VSI_BP=((+0.0*pInst->dsqredge+0.0*dsqredge_VSI_BP+0.0*dsqredge_VDI_SI+4.0*dsqredge_VDI_SI_VSI_BP)/pInst->Gfedge2-((4.0*dsqredge_VDI_SI)*0.0+((4.0*dsqredge_VSI_BP))*0.0+(4.0*pInst->dsqredge)*0.0)/pInst->Gfedge2/pInst->Gfedge2+2*(4.0*pInst->dsqredge)*0.0*0.0/pInst->Gfedge2/pInst->Gfedge2/pInst->Gfedge2);
#endif
temp1_VGP_SI=((4.0*dsqredge_VGP_SI)/pInst->Gfedge2);
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=((+0.0*pInst->dsqredge+0.0*dsqredge_VDI_SI+0.0*dsqredge_VGP_SI+4.0*dsqredge_VGP_SI_VDI_SI)/pInst->Gfedge2-((4.0*dsqredge_VGP_SI)*0.0+((4.0*dsqredge_VDI_SI))*0.0+(4.0*pInst->dsqredge)*0.0)/pInst->Gfedge2/pInst->Gfedge2+2*(4.0*pInst->dsqredge)*0.0*0.0/pInst->Gfedge2/pInst->Gfedge2/pInst->Gfedge2);
  temp1_VGP_SI_VGP_SI=((+0.0*pInst->dsqredge+0.0*dsqredge_VGP_SI+0.0*dsqredge_VGP_SI+4.0*dsqredge_VGP_SI_VGP_SI)/pInst->Gfedge2-((4.0*dsqredge_VGP_SI)*0.0+((4.0*dsqredge_VGP_SI))*0.0+(4.0*pInst->dsqredge)*0.0)/pInst->Gfedge2/pInst->Gfedge2+2*(4.0*pInst->dsqredge)*0.0*0.0/pInst->Gfedge2/pInst->Gfedge2/pInst->Gfedge2);
  temp1_VGP_SI_VSI_BP=((+0.0*pInst->dsqredge+0.0*dsqredge_VSI_BP+0.0*dsqredge_VGP_SI+4.0*dsqredge_VGP_SI_VSI_BP)/pInst->Gfedge2-((4.0*dsqredge_VGP_SI)*0.0+((4.0*dsqredge_VSI_BP))*0.0+(4.0*pInst->dsqredge)*0.0)/pInst->Gfedge2/pInst->Gfedge2+2*(4.0*pInst->dsqredge)*0.0*0.0/pInst->Gfedge2/pInst->Gfedge2/pInst->Gfedge2);
#endif
temp1_VSI_BP=((4.0*dsqredge_VSI_BP)/pInst->Gfedge2);
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=((+0.0*pInst->dsqredge+0.0*dsqredge_VDI_SI+0.0*dsqredge_VSI_BP+4.0*dsqredge_VSI_BP_VDI_SI)/pInst->Gfedge2-((4.0*dsqredge_VSI_BP)*0.0+((4.0*dsqredge_VDI_SI))*0.0+(4.0*pInst->dsqredge)*0.0)/pInst->Gfedge2/pInst->Gfedge2+2*(4.0*pInst->dsqredge)*0.0*0.0/pInst->Gfedge2/pInst->Gfedge2/pInst->Gfedge2);
  temp1_VSI_BP_VGP_SI=((+0.0*pInst->dsqredge+0.0*dsqredge_VGP_SI+0.0*dsqredge_VSI_BP+4.0*dsqredge_VSI_BP_VGP_SI)/pInst->Gfedge2-((4.0*dsqredge_VSI_BP)*0.0+((4.0*dsqredge_VGP_SI))*0.0+(4.0*pInst->dsqredge)*0.0)/pInst->Gfedge2/pInst->Gfedge2+2*(4.0*pInst->dsqredge)*0.0*0.0/pInst->Gfedge2/pInst->Gfedge2/pInst->Gfedge2);
  temp1_VSI_BP_VSI_BP=((+0.0*pInst->dsqredge+0.0*dsqredge_VSI_BP+0.0*dsqredge_VSI_BP+4.0*dsqredge_VSI_BP_VSI_BP)/pInst->Gfedge2-((4.0*dsqredge_VSI_BP)*0.0+((4.0*dsqredge_VSI_BP))*0.0+(4.0*pInst->dsqredge)*0.0)/pInst->Gfedge2/pInst->Gfedge2+2*(4.0*pInst->dsqredge)*0.0*0.0/pInst->Gfedge2/pInst->Gfedge2/pInst->Gfedge2);
#endif
#endif
pInst->temp1=((4.0*pInst->dsqredge)/pInst->Gfedge2);
EXIT_IF_ISNAN(((4.0*pInst->dsqredge)/pInst->Gfedge2))
{
double m00_sqrt(d00_sqrt0,(pInst->temp1+1.0))
double m00_sqrt(d00_sqrt1,(pInst->temp1+1.1))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(pInst->temp1+1.0))
double m10_sqrt(d10_sqrt1,d00_sqrt1,(pInst->temp1+1.1))
#endif
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
anoisedge_VDI_SI=((temp1_VDI_SI*d10_sqrt0*(d00_sqrt1-1.0)-d00_sqrt0*temp1_VDI_SI*d10_sqrt1)/(d00_sqrt1-1.0)/(d00_sqrt1-1.0));
anoisedge_VGP_SI=((temp1_VGP_SI*d10_sqrt0*(d00_sqrt1-1.0)-d00_sqrt0*temp1_VGP_SI*d10_sqrt1)/(d00_sqrt1-1.0)/(d00_sqrt1-1.0));
anoisedge_VSI_BP=((temp1_VSI_BP*d10_sqrt0*(d00_sqrt1-1.0)-d00_sqrt0*temp1_VSI_BP*d10_sqrt1)/(d00_sqrt1-1.0)/(d00_sqrt1-1.0));
#endif
anoisedge=(d00_sqrt0/(d00_sqrt1-1.0));
EXIT_IF_ISNAN((d00_sqrt0/(d00_sqrt1-1.0)))
}
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=0.0;
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=0.0;
  temp1_VDI_SI_VGP_SI=0.0;
  temp1_VDI_SI_VSI_BP=0.0;
#endif
temp1_VGP_SI=0.0;
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=0.0;
  temp1_VGP_SI_VGP_SI=0.0;
  temp1_VGP_SI_VSI_BP=0.0;
#endif
temp1_VSI_BP=0.0;
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=0.0;
  temp1_VSI_BP_VGP_SI=0.0;
  temp1_VSI_BP_VSI_BP=0.0;
#endif
#endif
pInst->temp1=(pInst->Cox_over_q*pModel->phit);
EXIT_IF_ISNAN((pInst->Cox_over_q*pModel->phit))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
N1edge_VDI_SI=((temp1_VDI_SI*anoisedge)+(pInst->temp1*anoisedge_VDI_SI));
N1edge_VGP_SI=((temp1_VGP_SI*anoisedge)+(pInst->temp1*anoisedge_VGP_SI));
N1edge_VSI_BP=((temp1_VSI_BP*anoisedge)+(pInst->temp1*anoisedge_VSI_BP));
#endif
N1edge=(pInst->temp1*anoisedge);
EXIT_IF_ISNAN((pInst->temp1*anoisedge))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Nm1edge_VDI_SI=((temp1_VDI_SI*(pInst->qmeffedge+anoisedge))+(pInst->temp1*(qmeffedge_VDI_SI+anoisedge_VDI_SI)));
Nm1edge_VGP_SI=((temp1_VGP_SI*(pInst->qmeffedge+anoisedge))+(pInst->temp1*(qmeffedge_VGP_SI+anoisedge_VGP_SI)));
Nm1edge_VSI_BP=((temp1_VSI_BP*(pInst->qmeffedge+anoisedge))+(pInst->temp1*(qmeffedge_VSI_BP+anoisedge_VSI_BP)));
#endif
Nm1edge=(pInst->temp1*(pInst->qmeffedge+anoisedge));
EXIT_IF_ISNAN((pInst->temp1*(pInst->qmeffedge+anoisedge)))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Delta_N1edge_VDI_SI=(((((((-temp1_VDI_SI)*anoisedge)+((-pInst->temp1)*anoisedge_VDI_SI))*pInst->alphabmedge)+(((-pInst->temp1)*anoisedge)*alphabmedge_VDI_SI))*pInst->qdseffedge)+((((-pInst->temp1)*anoisedge)*pInst->alphabmedge)*qdseffedge_VDI_SI));
Delta_N1edge_VGP_SI=(((((((-temp1_VGP_SI)*anoisedge)+((-pInst->temp1)*anoisedge_VGP_SI))*pInst->alphabmedge)+(((-pInst->temp1)*anoisedge)*alphabmedge_VGP_SI))*pInst->qdseffedge)+((((-pInst->temp1)*anoisedge)*pInst->alphabmedge)*qdseffedge_VGP_SI));
Delta_N1edge_VSI_BP=(((((((-temp1_VSI_BP)*anoisedge)+((-pInst->temp1)*anoisedge_VSI_BP))*pInst->alphabmedge)+(((-pInst->temp1)*anoisedge)*alphabmedge_VSI_BP))*pInst->qdseffedge)+((((-pInst->temp1)*anoisedge)*pInst->alphabmedge)*qdseffedge_VSI_BP));
#endif
Delta_N1edge=((((-pInst->temp1)*anoisedge)*pInst->alphabmedge)*pInst->qdseffedge);
EXIT_IF_ISNAN(((((-pInst->temp1)*anoisedge)*pInst->alphabmedge)*pInst->qdseffedge))
{
double m00_logE(d00_logE0,((Nm1edge+(0.5*Delta_N1edge))/(Nm1edge-(0.5*Delta_N1edge))))
#if defined(_DERIVATE)
double m10_logE(d10_logE0,d00_logE0,((Nm1edge+(0.5*Delta_N1edge))/(Nm1edge-(0.5*Delta_N1edge))))
#endif
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Sfledge_VDI_SI=(((-(((-(pInst->NFCEDGE_i*N1edge_VDI_SI))*N1edge)+((pInst->NFBEDGE_i-(pInst->NFCEDGE_i*N1edge))*N1edge_VDI_SI)))*d00_logE0)+((pInst->NFAEDGE_i-((pInst->NFBEDGE_i-(pInst->NFCEDGE_i*N1edge))*N1edge))*(((Nm1edge_VDI_SI+(0.5*Delta_N1edge_VDI_SI))*(Nm1edge-(0.5*Delta_N1edge))-(Nm1edge+(0.5*Delta_N1edge))*(Nm1edge_VDI_SI-(0.5*Delta_N1edge_VDI_SI)))/(Nm1edge-(0.5*Delta_N1edge))/(Nm1edge-(0.5*Delta_N1edge)))*d10_logE0));
Sfledge_VGP_SI=(((-(((-(pInst->NFCEDGE_i*N1edge_VGP_SI))*N1edge)+((pInst->NFBEDGE_i-(pInst->NFCEDGE_i*N1edge))*N1edge_VGP_SI)))*d00_logE0)+((pInst->NFAEDGE_i-((pInst->NFBEDGE_i-(pInst->NFCEDGE_i*N1edge))*N1edge))*(((Nm1edge_VGP_SI+(0.5*Delta_N1edge_VGP_SI))*(Nm1edge-(0.5*Delta_N1edge))-(Nm1edge+(0.5*Delta_N1edge))*(Nm1edge_VGP_SI-(0.5*Delta_N1edge_VGP_SI)))/(Nm1edge-(0.5*Delta_N1edge))/(Nm1edge-(0.5*Delta_N1edge)))*d10_logE0));
Sfledge_VSI_BP=(((-(((-(pInst->NFCEDGE_i*N1edge_VSI_BP))*N1edge)+((pInst->NFBEDGE_i-(pInst->NFCEDGE_i*N1edge))*N1edge_VSI_BP)))*d00_logE0)+((pInst->NFAEDGE_i-((pInst->NFBEDGE_i-(pInst->NFCEDGE_i*N1edge))*N1edge))*(((Nm1edge_VSI_BP+(0.5*Delta_N1edge_VSI_BP))*(Nm1edge-(0.5*Delta_N1edge))-(Nm1edge+(0.5*Delta_N1edge))*(Nm1edge_VSI_BP-(0.5*Delta_N1edge_VSI_BP)))/(Nm1edge-(0.5*Delta_N1edge))/(Nm1edge-(0.5*Delta_N1edge)))*d10_logE0));
#endif
pInst->Sfledge=((pInst->NFAEDGE_i-((pInst->NFBEDGE_i-(pInst->NFCEDGE_i*N1edge))*N1edge))*d00_logE0);
EXIT_IF_ISNAN(((pInst->NFAEDGE_i-((pInst->NFBEDGE_i-(pInst->NFCEDGE_i*N1edge))*N1edge))*d00_logE0))
}
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Sfledge_VDI_SI=(Sfledge_VDI_SI+(((pInst->NFCEDGE_i*(Nm1edge_VDI_SI-(2.0*N1edge_VDI_SI)))*Delta_N1edge)+((pInst->NFBEDGE_i+(pInst->NFCEDGE_i*(Nm1edge-(2.0*N1edge))))*Delta_N1edge_VDI_SI)));
Sfledge_VGP_SI=(Sfledge_VGP_SI+(((pInst->NFCEDGE_i*(Nm1edge_VGP_SI-(2.0*N1edge_VGP_SI)))*Delta_N1edge)+((pInst->NFBEDGE_i+(pInst->NFCEDGE_i*(Nm1edge-(2.0*N1edge))))*Delta_N1edge_VGP_SI)));
Sfledge_VSI_BP=(Sfledge_VSI_BP+(((pInst->NFCEDGE_i*(Nm1edge_VSI_BP-(2.0*N1edge_VSI_BP)))*Delta_N1edge)+((pInst->NFBEDGE_i+(pInst->NFCEDGE_i*(Nm1edge-(2.0*N1edge))))*Delta_N1edge_VSI_BP)));
#endif
pInst->Sfledge=(pInst->Sfledge+((pInst->NFBEDGE_i+(pInst->NFCEDGE_i*(Nm1edge-(2.0*N1edge))))*Delta_N1edge));
EXIT_IF_ISNAN((pInst->Sfledge+((pInst->NFBEDGE_i+(pInst->NFCEDGE_i*(Nm1edge-(2.0*N1edge))))*Delta_N1edge)))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Sfledge_VDI_SI=(((((((pInst->Sfl_prefac_edge*Idsedge_VDI_SI)*pInst->Gvsatinv_dc)+((pInst->Sfl_prefac_edge*pInst->Idsedge)*Gvsatinv_dc_VDI_SI))*pInst->Sfledge)+(((pInst->Sfl_prefac_edge*pInst->Idsedge)*pInst->Gvsatinv_dc)*Sfledge_VDI_SI))*N1edge-(((pInst->Sfl_prefac_edge*pInst->Idsedge)*pInst->Gvsatinv_dc)*pInst->Sfledge)*N1edge_VDI_SI)/N1edge/N1edge);
Sfledge_VGP_SI=(((((((pInst->Sfl_prefac_edge*Idsedge_VGP_SI)*pInst->Gvsatinv_dc)+((pInst->Sfl_prefac_edge*pInst->Idsedge)*Gvsatinv_dc_VGP_SI))*pInst->Sfledge)+(((pInst->Sfl_prefac_edge*pInst->Idsedge)*pInst->Gvsatinv_dc)*Sfledge_VGP_SI))*N1edge-(((pInst->Sfl_prefac_edge*pInst->Idsedge)*pInst->Gvsatinv_dc)*pInst->Sfledge)*N1edge_VGP_SI)/N1edge/N1edge);
Sfledge_VSI_BP=(((((((pInst->Sfl_prefac_edge*Idsedge_VSI_BP)*pInst->Gvsatinv_dc)+((pInst->Sfl_prefac_edge*pInst->Idsedge)*Gvsatinv_dc_VSI_BP))*pInst->Sfledge)+(((pInst->Sfl_prefac_edge*pInst->Idsedge)*pInst->Gvsatinv_dc)*Sfledge_VSI_BP))*N1edge-(((pInst->Sfl_prefac_edge*pInst->Idsedge)*pInst->Gvsatinv_dc)*pInst->Sfledge)*N1edge_VSI_BP)/N1edge/N1edge);
#endif
pInst->Sfledge=((((pInst->Sfl_prefac_edge*pInst->Idsedge)*pInst->Gvsatinv_dc)*pInst->Sfledge)/N1edge);
EXIT_IF_ISNAN(((((pInst->Sfl_prefac_edge*pInst->Idsedge)*pInst->Gvsatinv_dc)*pInst->Sfledge)/N1edge))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
Sfledge_VDI_SI=((pInst->Sfledge>0.0)?Sfledge_VDI_SI:0.0);
Sfledge_VGP_SI=((pInst->Sfledge>0.0)?Sfledge_VGP_SI:0.0);
Sfledge_VSI_BP=((pInst->Sfledge>0.0)?Sfledge_VSI_BP:0.0);
#endif
pInst->Sfledge=((pInst->Sfledge>0.0)?pInst->Sfledge:0.0);
EXIT_IF_ISNAN(((pInst->Sfledge>0.0)?pInst->Sfledge:0.0))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe= */
H0edge_VDI_SI=(((pModel->phit*(qmeffedge_VDI_SI+anoisedge_VDI_SI))*anoisedge-(pModel->phit*(pInst->qmeffedge+anoisedge))*anoisedge_VDI_SI)/anoisedge/anoisedge);
H0edge_VSI_BP=(((pModel->phit*(qmeffedge_VSI_BP+anoisedge_VSI_BP))*anoisedge-(pModel->phit*(pInst->qmeffedge+anoisedge))*anoisedge_VSI_BP)/anoisedge/anoisedge);
H0edge_VGP_SI=(((pModel->phit*(qmeffedge_VGP_SI+anoisedge_VGP_SI))*anoisedge-(pModel->phit*(pInst->qmeffedge+anoisedge))*anoisedge_VGP_SI)/anoisedge/anoisedge);
#endif
H0edge=((pModel->phit*(pInst->qmeffedge+anoisedge))/anoisedge);
EXIT_IF_ISNAN(((pModel->phit*(pInst->qmeffedge+anoisedge))/anoisedge))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
t1edge_VDI_SI=(((((phit1_VDI_SI/pModel->phit)*pInst->qmeffedge)+((pInst->phit1/pModel->phit)*qmeffedge_VDI_SI))*(pInst->qmeffedge+anoisedge)-((pInst->phit1/pModel->phit)*pInst->qmeffedge)*(qmeffedge_VDI_SI+anoisedge_VDI_SI))/(pInst->qmeffedge+anoisedge)/(pInst->qmeffedge+anoisedge));
t1edge_VGP_SI=(((((phit1_VGP_SI/pModel->phit)*pInst->qmeffedge)+((pInst->phit1/pModel->phit)*qmeffedge_VGP_SI))*(pInst->qmeffedge+anoisedge)-((pInst->phit1/pModel->phit)*pInst->qmeffedge)*(qmeffedge_VGP_SI+anoisedge_VGP_SI))/(pInst->qmeffedge+anoisedge)/(pInst->qmeffedge+anoisedge));
t1edge_VSI_BP=(((((phit1_VSI_BP/pModel->phit)*pInst->qmeffedge)+((pInst->phit1/pModel->phit)*qmeffedge_VSI_BP))*(pInst->qmeffedge+anoisedge)-((pInst->phit1/pModel->phit)*pInst->qmeffedge)*(qmeffedge_VSI_BP+anoisedge_VSI_BP))/(pInst->qmeffedge+anoisedge)/(pInst->qmeffedge+anoisedge));
#endif
t1edge=(((pInst->phit1/pModel->phit)*pInst->qmeffedge)/(pInst->qmeffedge+anoisedge));
EXIT_IF_ISNAN((((pInst->phit1/pModel->phit)*pInst->qmeffedge)/(pInst->qmeffedge+anoisedge)))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe= */
sqt2edge_VDI_SI=((((((((-0.5)*1.6666666666666667e-01)*pModel->phit)*alphabmedge_VDI_SI)*pInst->qdseffedge)+(((((-0.5)*1.6666666666666667e-01)*pModel->phit)*pInst->alphabmedge)*qdseffedge_VDI_SI))*H0edge-(((((-0.5)*1.6666666666666667e-01)*pModel->phit)*pInst->alphabmedge)*pInst->qdseffedge)*H0edge_VDI_SI)/H0edge/H0edge);
sqt2edge_VSI_BP=((((((((-0.5)*1.6666666666666667e-01)*pModel->phit)*alphabmedge_VSI_BP)*pInst->qdseffedge)+(((((-0.5)*1.6666666666666667e-01)*pModel->phit)*pInst->alphabmedge)*qdseffedge_VSI_BP))*H0edge-(((((-0.5)*1.6666666666666667e-01)*pModel->phit)*pInst->alphabmedge)*pInst->qdseffedge)*H0edge_VSI_BP)/H0edge/H0edge);
sqt2edge_VGP_SI=((((((((-0.5)*1.6666666666666667e-01)*pModel->phit)*alphabmedge_VGP_SI)*pInst->qdseffedge)+(((((-0.5)*1.6666666666666667e-01)*pModel->phit)*pInst->alphabmedge)*qdseffedge_VGP_SI))*H0edge-(((((-0.5)*1.6666666666666667e-01)*pModel->phit)*pInst->alphabmedge)*pInst->qdseffedge)*H0edge_VGP_SI)/H0edge/H0edge);
#endif
sqt2edge=((((((-0.5)*1.6666666666666667e-01)*pModel->phit)*pInst->alphabmedge)*pInst->qdseffedge)/H0edge);
EXIT_IF_ISNAN(((((((-0.5)*1.6666666666666667e-01)*pModel->phit)*pInst->alphabmedge)*pInst->qdseffedge)/H0edge))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe= */
t2edge_VDI_SI=((sqt2edge_VDI_SI*sqt2edge)+(sqt2edge*sqt2edge_VDI_SI));
t2edge_VSI_BP=((sqt2edge_VSI_BP*sqt2edge)+(sqt2edge*sqt2edge_VSI_BP));
t2edge_VGP_SI=((sqt2edge_VGP_SI*sqt2edge)+(sqt2edge*sqt2edge_VGP_SI));
#endif
t2edge=(sqt2edge*sqt2edge);
EXIT_IF_ISNAN((sqt2edge*sqt2edge))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
redge_VDI_SI=0.0;
redge_VGP_SI=0.0;
redge_VSI_BP=0.0;
#endif
redge=0.0;
EXIT_IF_ISNAN(0.0)
#if defined(_DERIVATEFORDDX) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe=V(SI,GND)V(DI,GND)V(GP,GND)V(BP,GND) */
temp1_VDI_SI=((alpha_dc_VDI_SI*pInst->H_dc)+(pInst->alpha_dc*H_dc_VDI_SI));
#if defined(_DERIVATE2)
  temp1_VDI_SI_VDI_SI=(+alpha_dc_VDI_SI_VDI_SI*pInst->H_dc+alpha_dc_VDI_SI*H_dc_VDI_SI+alpha_dc_VDI_SI*H_dc_VDI_SI+pInst->alpha_dc*H_dc_VDI_SI_VDI_SI);
  temp1_VDI_SI_VGP_SI=(+alpha_dc_VDI_SI_VGP_SI*pInst->H_dc+alpha_dc_VDI_SI*H_dc_VGP_SI+alpha_dc_VGP_SI*H_dc_VDI_SI+pInst->alpha_dc*H_dc_VDI_SI_VGP_SI);
  temp1_VDI_SI_VSI_BP=(+alpha_dc_VDI_SI_VSI_BP*pInst->H_dc+alpha_dc_VDI_SI*H_dc_VSI_BP+alpha_dc_VSI_BP*H_dc_VDI_SI+pInst->alpha_dc*H_dc_VDI_SI_VSI_BP);
#endif
temp1_VGP_SI=((alpha_dc_VGP_SI*pInst->H_dc)+(pInst->alpha_dc*H_dc_VGP_SI));
#if defined(_DERIVATE2)
  temp1_VGP_SI_VDI_SI=(+alpha_dc_VGP_SI_VDI_SI*pInst->H_dc+alpha_dc_VGP_SI*H_dc_VDI_SI+alpha_dc_VDI_SI*H_dc_VGP_SI+pInst->alpha_dc*H_dc_VGP_SI_VDI_SI);
  temp1_VGP_SI_VGP_SI=(+alpha_dc_VGP_SI_VGP_SI*pInst->H_dc+alpha_dc_VGP_SI*H_dc_VGP_SI+alpha_dc_VGP_SI*H_dc_VGP_SI+pInst->alpha_dc*H_dc_VGP_SI_VGP_SI);
  temp1_VGP_SI_VSI_BP=(+alpha_dc_VGP_SI_VSI_BP*pInst->H_dc+alpha_dc_VGP_SI*H_dc_VSI_BP+alpha_dc_VSI_BP*H_dc_VGP_SI+pInst->alpha_dc*H_dc_VGP_SI_VSI_BP);
#endif
temp1_VSI_BP=((alpha_dc_VSI_BP*pInst->H_dc)+(pInst->alpha_dc*H_dc_VSI_BP));
#if defined(_DERIVATE2)
  temp1_VSI_BP_VDI_SI=(+alpha_dc_VSI_BP_VDI_SI*pInst->H_dc+alpha_dc_VSI_BP*H_dc_VDI_SI+alpha_dc_VDI_SI*H_dc_VSI_BP+pInst->alpha_dc*H_dc_VSI_BP_VDI_SI);
  temp1_VSI_BP_VGP_SI=(+alpha_dc_VSI_BP_VGP_SI*pInst->H_dc+alpha_dc_VSI_BP*H_dc_VGP_SI+alpha_dc_VGP_SI*H_dc_VSI_BP+pInst->alpha_dc*H_dc_VSI_BP_VGP_SI);
  temp1_VSI_BP_VSI_BP=(+alpha_dc_VSI_BP_VSI_BP*pInst->H_dc+alpha_dc_VSI_BP*H_dc_VSI_BP+alpha_dc_VSI_BP*H_dc_VSI_BP+pInst->alpha_dc*H_dc_VSI_BP_VSI_BP);
#endif
#endif
pInst->temp1=(pInst->alpha_dc*pInst->H_dc);
EXIT_IF_ISNAN((pInst->alpha_dc*pInst->H_dc))
if
((pInst->temp1>1.0e-10))
{
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
redge_VDI_SI=((((anoisedge_VDI_SI*H0edge)+(anoisedge*H0edge_VDI_SI))*pInst->temp1-(anoisedge*H0edge)*temp1_VDI_SI)/pInst->temp1/pInst->temp1);
redge_VGP_SI=((((anoisedge_VGP_SI*H0edge)+(anoisedge*H0edge_VGP_SI))*pInst->temp1-(anoisedge*H0edge)*temp1_VGP_SI)/pInst->temp1/pInst->temp1);
redge_VSI_BP=((((anoisedge_VSI_BP*H0edge)+(anoisedge*H0edge_VSI_BP))*pInst->temp1-(anoisedge*H0edge)*temp1_VSI_BP)/pInst->temp1/pInst->temp1);
#endif
redge=(((anoisedge*H0edge)/pInst->temp1)-1.0);
EXIT_IF_ISNAN((((anoisedge*H0edge)/pInst->temp1)-1.0))
}
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
lcedge_VDI_SI=(((1.0-(12.0*(redge*t2edge)))>1.0e-20)?(-(12.0*((redge_VDI_SI*t2edge)+(redge*t2edge_VDI_SI)))):0.0);
lcedge_VGP_SI=(((1.0-(12.0*(redge*t2edge)))>1.0e-20)?(-(12.0*((redge_VGP_SI*t2edge)+(redge*t2edge_VGP_SI)))):0.0);
lcedge_VSI_BP=(((1.0-(12.0*(redge*t2edge)))>1.0e-20)?(-(12.0*((redge_VSI_BP*t2edge)+(redge*t2edge_VSI_BP)))):0.0);
#endif
lcedge=(((1.0-(12.0*(redge*t2edge)))>1.0e-20)?(1.0-(12.0*(redge*t2edge))):1.0e-20);
EXIT_IF_ISNAN((((1.0-(12.0*(redge*t2edge)))>1.0e-20)?(1.0-(12.0*(redge*t2edge))):1.0e-20))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
lcinv2edge_VDI_SI=(-((lcedge_VDI_SI*lcedge)+(lcedge*lcedge_VDI_SI))/(lcedge*lcedge)/(lcedge*lcedge));
lcinv2edge_VGP_SI=(-((lcedge_VGP_SI*lcedge)+(lcedge*lcedge_VGP_SI))/(lcedge*lcedge)/(lcedge*lcedge));
lcinv2edge_VSI_BP=(-((lcedge_VSI_BP*lcedge)+(lcedge*lcedge_VSI_BP))/(lcedge*lcedge)/(lcedge*lcedge));
#endif
lcinv2edge=(1.0/(lcedge*lcedge));
EXIT_IF_ISNAN((1.0/(lcedge*lcedge)))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(SI,BP)V(GP,SI) ddxprobe= */
g_idealedge_VDI_SI=((((((pInst->BETEDGE_i*pModel->phit)*(qmeffedge_VDI_SI+anoisedge_VDI_SI))*pInst->FdL_dc)+(((pInst->BETEDGE_i*pModel->phit)*(pInst->qmeffedge+anoisedge))*FdL_dc_VDI_SI))*pInst->Gvsatinv_dc)+((((pInst->BETEDGE_i*pModel->phit)*(pInst->qmeffedge+anoisedge))*pInst->FdL_dc)*Gvsatinv_dc_VDI_SI));
g_idealedge_VSI_BP=((((((pInst->BETEDGE_i*pModel->phit)*(qmeffedge_VSI_BP+anoisedge_VSI_BP))*pInst->FdL_dc)+(((pInst->BETEDGE_i*pModel->phit)*(pInst->qmeffedge+anoisedge))*FdL_dc_VSI_BP))*pInst->Gvsatinv_dc)+((((pInst->BETEDGE_i*pModel->phit)*(pInst->qmeffedge+anoisedge))*pInst->FdL_dc)*Gvsatinv_dc_VSI_BP));
g_idealedge_VGP_SI=((((((pInst->BETEDGE_i*pModel->phit)*(qmeffedge_VGP_SI+anoisedge_VGP_SI))*pInst->FdL_dc)+(((pInst->BETEDGE_i*pModel->phit)*(pInst->qmeffedge+anoisedge))*FdL_dc_VGP_SI))*pInst->Gvsatinv_dc)+((((pInst->BETEDGE_i*pModel->phit)*(pInst->qmeffedge+anoisedge))*pInst->FdL_dc)*Gvsatinv_dc_VGP_SI));
#endif
g_idealedge=((((pInst->BETEDGE_i*pModel->phit)*(pInst->qmeffedge+anoisedge))*pInst->FdL_dc)*pInst->Gvsatinv_dc);
EXIT_IF_ISNAN(((((pInst->BETEDGE_i*pModel->phit)*(pInst->qmeffedge+anoisedge))*pInst->FdL_dc)*pInst->Gvsatinv_dc))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
midedge_VDI_SI=((t1edge_VDI_SI+(12.0*t2edge_VDI_SI))-(24.0*((((t1edge_VDI_SI*t2edge)+((1.0+t1edge)*t2edge_VDI_SI))*redge)+(((1.0+t1edge)*t2edge)*redge_VDI_SI))));
midedge_VGP_SI=((t1edge_VGP_SI+(12.0*t2edge_VGP_SI))-(24.0*((((t1edge_VGP_SI*t2edge)+((1.0+t1edge)*t2edge_VGP_SI))*redge)+(((1.0+t1edge)*t2edge)*redge_VGP_SI))));
midedge_VSI_BP=((t1edge_VSI_BP+(12.0*t2edge_VSI_BP))-(24.0*((((t1edge_VSI_BP*t2edge)+((1.0+t1edge)*t2edge_VSI_BP))*redge)+(((1.0+t1edge)*t2edge)*redge_VSI_BP))));
#endif
midedge=((t1edge+(12.0*t2edge))-(24.0*(((1.0+t1edge)*t2edge)*redge)));
EXIT_IF_ISNAN(((t1edge+(12.0*t2edge))-(24.0*(((1.0+t1edge)*t2edge)*redge))))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
midedge_VDI_SI=((midedge>1.0e-40)?midedge_VDI_SI:0.0);
midedge_VGP_SI=((midedge>1.0e-40)?midedge_VGP_SI:0.0);
midedge_VSI_BP=((midedge>1.0e-40)?midedge_VSI_BP:0.0);
#endif
midedge=((midedge>1.0e-40)?midedge:1.0e-40);
EXIT_IF_ISNAN(((midedge>1.0e-40)?midedge:1.0e-40))
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
midedge_VDI_SI=((((g_idealedge_VDI_SI*lcinv2edge)+(g_idealedge*lcinv2edge_VDI_SI))*midedge)+((g_idealedge*lcinv2edge)*midedge_VDI_SI));
midedge_VGP_SI=((((g_idealedge_VGP_SI*lcinv2edge)+(g_idealedge*lcinv2edge_VGP_SI))*midedge)+((g_idealedge*lcinv2edge)*midedge_VGP_SI));
midedge_VSI_BP=((((g_idealedge_VSI_BP*lcinv2edge)+(g_idealedge*lcinv2edge_VSI_BP))*midedge)+((g_idealedge*lcinv2edge)*midedge_VSI_BP));
#endif
midedge=((g_idealedge*lcinv2edge)*midedge);
EXIT_IF_ISNAN(((g_idealedge*lcinv2edge)*midedge))
{
double m00_sqrt(d00_sqrt0,(pInst->ntedge*midedge))
#if defined(_DERIVATE)
double m10_sqrt(d10_sqrt0,d00_sqrt0,(pInst->ntedge*midedge))
#endif
#if defined(_DERIVATE) /* probe=V(DI,SI)V(GP,SI)V(SI,BP) ddxprobe= */
sqidedge_VDI_SI=(pInst->ntedge*midedge_VDI_SI)*d10_sqrt0;
sqidedge_VGP_SI=(pInst->ntedge*midedge_VGP_SI)*d10_sqrt0;
sqidedge_VSI_BP=(pInst->ntedge*midedge_VSI_BP)*d10_sqrt0;
#endif
pInst->sqidedge=d00_sqrt0;
EXIT_IF_ISNAN(d00_sqrt0)
}
}
pInst->wnoise6=(pInst->nt/pInst->mig);
  _load_static_residual1(NOI,(NP(NOI)/pInst->mig))
  _load_static_jacobian2p(NOI,SI,BP,(-NP(NOI)*mig_VSI_BP/pInst->mig/pInst->mig))
  _load_static_jacobian2p(NOI,GP,SI,(-NP(NOI)*mig_VGP_SI/pInst->mig/pInst->mig))
  _load_static_jacobian2p(NOI,DI,SI,(-NP(NOI)*mig_VDI_SI/pInst->mig/pInst->mig))
  _load_static_jacobian1(NOI,NOI,(1/pInst->mig))
  _load_dynamic_residual1(NOI,_DDT((pInst->CGeff*NP(NOI))))
  _load_dynamic_jacobian1(NOI,NOI,(pInst->CGeff))
  _load_dynamic_jacobian2p(NOI,SI,BP,CGeff_VSI_BP*NP(NOI))
  _load_dynamic_jacobian2p(NOI,GP,SI,CGeff_VGP_SI*NP(NOI))
  _load_dynamic_jacobian2p(NOI,DI,SI,CGeff_VDI_SI*NP(NOI))
pInst->wnoise5=(((pInst->MULT_i*pInst->sqid)*pInst->sqid)*(1.0-(pInst->c_igid*pInst->c_igid)));
pInst->fpnoise1=(pInst->MULT_i*pInst->Sfl);
pInst->fenoise1=pInst->EF_i;
pInst->wnoise4=(pInst->MULT_i*shot_igs);
pInst->wnoise3=(pInst->MULT_i*shot_igd);
pInst->wnoise2=(pInst->MULT_i*jnoise_s);
pInst->wnoise1=(pInst->MULT_i*jnoise_d);
pInst->fpnoise0=(pInst->MULT_i*pInst->Sfledge);
pInst->fenoise0=pInst->EFEDGE_i;
pInst->wnoise0=((pInst->MULT_i*pInst->sqidedge)*pInst->sqidedge);
}
{
#if defined(_DYNAMIC)
id_op=(((pInst->Ids+pInst->Idsedge)+pInst->Iimpact)-pInst->Igcd);
EXIT_IF_ISNAN((((pInst->Ids+pInst->Idsedge)+pInst->Iimpact)-pInst->Igcd))
#endif
#if defined(_DYNAMIC)
is=(((-pInst->Ids)-pInst->Idsedge)-pInst->Igcs);
EXIT_IF_ISNAN((((-pInst->Ids)-pInst->Idsedge)-pInst->Igcs))
#endif
#if defined(_DYNAMIC)
ig=((((pInst->Igcs+pInst->Igcd)+pInst->Igsov)+pInst->Igdov)+Igb);
EXIT_IF_ISNAN(((((pInst->Igcs+pInst->Igcd)+pInst->Igsov)+pInst->Igdov)+Igb))
#endif
#if defined(_DYNAMIC)
ib=((((-pInst->Iimpact)-Igb)-Igidl)-Igisl);
EXIT_IF_ISNAN(((((-pInst->Iimpact)-Igb)-Igidl)-Igisl))
#endif
#if defined(_DYNAMIC)
sig1k=((2.0e3*3.1415926535897931)*pInst->CGeff);
EXIT_IF_ISNAN(((2.0e3*3.1415926535897931)*pInst->CGeff))
#endif
#if defined(_DYNAMIC)
sig1k=((sig1k*sig1k)*pInst->mig);
EXIT_IF_ISNAN(((sig1k*sig1k)*pInst->mig))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sdint]=pInst->sigVds;
EXIT_IF_ISNAN(pInst->sigVds)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ctype]=pModel->CHNL_TYPE;
EXIT_IF_ISNAN(pModel->CHNL_TYPE)
#endif
#ifdef _DYNAMIC
if
((pInst->sigVds<0.0))
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ise]=(pInst->MULT_i*(((is-pInst->Igdov)+Igidl)-pInst->ijun_d));
EXIT_IF_ISNAN((pInst->MULT_i*(((is-pInst->Igdov)+Igidl)-pInst->ijun_d)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ige]=(pInst->MULT_i*ig);
EXIT_IF_ISNAN((pInst->MULT_i*ig))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ide]=(pInst->MULT_i*(((id_op-pInst->Igsov)+Igisl)-pInst->ijun_s));
EXIT_IF_ISNAN((pInst->MULT_i*(((id_op-pInst->Igsov)+Igisl)-pInst->ijun_s)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ibe]=(pInst->MULT_i*((ib+pInst->ijun_s)+pInst->ijun_d));
EXIT_IF_ISNAN((pInst->MULT_i*((ib+pInst->ijun_s)+pInst->ijun_d)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ids]=(pInst->MULT_i*pInst->Ids);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->Ids))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idb]=(pInst->MULT_i*((pInst->Iimpact+Igisl)-pInst->ijun_s));
EXIT_IF_ISNAN((pInst->MULT_i*((pInst->Iimpact+Igisl)-pInst->ijun_s)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_isb]=(pInst->MULT_i*(Igidl-pInst->ijun_d));
EXIT_IF_ISNAN((pInst->MULT_i*(Igidl-pInst->ijun_d)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igs]=(pInst->MULT_i*(pInst->Igcs+pInst->Igdov));
EXIT_IF_ISNAN((pInst->MULT_i*(pInst->Igcs+pInst->Igdov)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igd]=(pInst->MULT_i*(pInst->Igcd+pInst->Igsov));
EXIT_IF_ISNAN((pInst->MULT_i*(pInst->Igcd+pInst->Igsov)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igb]=(pInst->MULT_i*Igb);
EXIT_IF_ISNAN((pInst->MULT_i*Igb))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idedge]=(pInst->MULT_i*pInst->Idsedge);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->Idsedge))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igcs]=(pInst->MULT_i*pInst->Igcs);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->Igcs))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igcd]=(pInst->MULT_i*pInst->Igcd);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->Igcd))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_iavl]=(pInst->MULT_i*pInst->Iimpact);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->Iimpact))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igisl]=(pInst->MULT_i*Igidl);
EXIT_IF_ISNAN((pInst->MULT_i*Igidl))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igidl]=(pInst->MULT_i*Igisl);
EXIT_IF_ISNAN((pInst->MULT_i*Igisl))
#endif
#ifdef _DYNAMIC
if
((pModel->SWJUNEXP_i==1))
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijsbot]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijsgat]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijssti]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijdbot]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijdgat]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijdsti]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsbot]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatssti]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsgat]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsbotd]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsstid]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsgatd]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijsbot]=((pInst->MULT_i*pInst->ABDRAIN_i)*ijunbot_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->ABDRAIN_i)*ijunbot_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijsgat]=((pInst->MULT_i*pInst->LGDRAIN_i)*ijungat_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LGDRAIN_i)*ijungat_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijssti]=((pInst->MULT_i*pInst->LSDRAIN_i)*ijunsti_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LSDRAIN_i)*ijunsti_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijdbot]=((pInst->MULT_i*pInst->ABSOURCE_i)*ijunbot_s);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->ABSOURCE_i)*ijunbot_s))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijdgat]=((pInst->MULT_i*pInst->LGSOURCE_i)*ijungat_s);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LGSOURCE_i)*ijungat_s))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijdsti]=((pInst->MULT_i*pInst->LSSOURCE_i)*ijunsti_s);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LSSOURCE_i)*ijunsti_s))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsbot]=((pInst->MULT_i*pInst->ABSOURCE_i)*pModel->idsatbot);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->ABSOURCE_i)*pModel->idsatbot))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatssti]=((pInst->MULT_i*pInst->LSSOURCE_i)*pModel->idsatsti);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LSSOURCE_i)*pModel->idsatsti))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsgat]=((pInst->MULT_i*pInst->LGSOURCE_i)*pModel->idsatgat);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LGSOURCE_i)*pModel->idsatgat))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsbotd]=((pInst->MULT_i*pInst->ABDRAIN_i)*pModel->idsatbot_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->ABDRAIN_i)*pModel->idsatbot_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsstid]=((pInst->MULT_i*pInst->LSDRAIN_i)*pModel->idsatsti_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LSDRAIN_i)*pModel->idsatsti_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsgatd]=((pInst->MULT_i*pInst->LGDRAIN_i)*pModel->idsatgat_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LGDRAIN_i)*pModel->idsatgat_d))
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijs]=(pInst->MULT_i*pInst->ijun_d);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->ijun_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijd]=(pInst->MULT_i*pInst->ijun_s);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->ijun_s))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vds]=Vds;
EXIT_IF_ISNAN(Vds)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgs]=Vgs;
EXIT_IF_ISNAN(Vgs)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vsb]=Vsb;
EXIT_IF_ISNAN(Vsb)
#endif
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,(pInst->phit1*facvsb0))
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vto]=((pInst->VFB_T+(P_D*facvsb0))+(Gf_dc*d00_sqrt0));
EXIT_IF_ISNAN(((pInst->VFB_T+(P_D*facvsb0))+(Gf_dc*d00_sqrt0)))
}
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vts]=vts_i;
EXIT_IF_ISNAN(vts_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vth]=vth_i;
EXIT_IF_ISNAN(vth_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgt]=(ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgs]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vth]);
EXIT_IF_ISNAN((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgs]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vth]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vdss]=Vdsat_dc;
EXIT_IF_ISNAN(Vdsat_dc)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vsat]=(Vds-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vdss]);
EXIT_IF_ISNAN((Vds-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vdss]))
#endif
#if defined(_DYNAMIC)
ids_i=((((((pInst->Ids+pInst->Idsedge)+pInst->Iimpact)+Igisl)-pInst->Igcd)-pInst->Igsov)-pInst->ijun_s);
EXIT_IF_ISNAN(((((((pInst->Ids+pInst->Idsedge)+pInst->Iimpact)+Igisl)-pInst->Igcd)-pInst->Igsov)-pInst->ijun_s))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gm]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gmb]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gds]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gjs]=(pInst->MULT_i*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((pInst->MULT_i*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gjd]=(pInst->MULT_i*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((pInst->MULT_i*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_css]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csg]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csb]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csd]=((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_css]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csg])-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csb]);
EXIT_IF_ISNAN(((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_css]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csg])-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csb]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgs]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgg]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgb]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgd]=((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgg]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgs])-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgb]);
EXIT_IF_ISNAN(((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgg]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgs])-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgb]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cds]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdg]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdb]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdd]=((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdg]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cds])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdb]);
EXIT_IF_ISNAN(((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdg]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cds])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdb]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbs]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbg]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbb]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbd]=((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbb]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbs])-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbg]);
EXIT_IF_ISNAN(((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbb]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbs])-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbg]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgsol]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgdol]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjsbot]=((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->ABDRAIN_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->ABDRAIN_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjsgat]=((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LGDRAIN_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LGDRAIN_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjssti]=((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LSDRAIN_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LSDRAIN_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjs]=((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjsbot]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjsgat])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjssti]);
EXIT_IF_ISNAN(((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjsbot]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjsgat])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjssti]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdbot]=((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->ABSOURCE_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->ABSOURCE_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdgat]=((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LGSOURCE_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LGSOURCE_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdsti]=((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LSSOURCE_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LSSOURCE_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjd]=((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdbot]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdgat])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdsti]);
EXIT_IF_ISNAN(((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdbot]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdgat])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdsti]))
#endif
}
else
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ise]=(pInst->MULT_i*(((is-pInst->Igsov)+Igisl)-pInst->ijun_s));
EXIT_IF_ISNAN((pInst->MULT_i*(((is-pInst->Igsov)+Igisl)-pInst->ijun_s)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ige]=(pInst->MULT_i*ig);
EXIT_IF_ISNAN((pInst->MULT_i*ig))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ide]=(pInst->MULT_i*(((id_op-pInst->Igdov)+Igidl)-pInst->ijun_d));
EXIT_IF_ISNAN((pInst->MULT_i*(((id_op-pInst->Igdov)+Igidl)-pInst->ijun_d)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ibe]=(pInst->MULT_i*((ib+pInst->ijun_s)+pInst->ijun_d));
EXIT_IF_ISNAN((pInst->MULT_i*((ib+pInst->ijun_s)+pInst->ijun_d)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ids]=(pInst->MULT_i*pInst->Ids);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->Ids))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idb]=(pInst->MULT_i*((pInst->Iimpact+Igidl)-pInst->ijun_d));
EXIT_IF_ISNAN((pInst->MULT_i*((pInst->Iimpact+Igidl)-pInst->ijun_d)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_isb]=(pInst->MULT_i*(Igisl-pInst->ijun_s));
EXIT_IF_ISNAN((pInst->MULT_i*(Igisl-pInst->ijun_s)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igs]=(pInst->MULT_i*(pInst->Igcs+pInst->Igsov));
EXIT_IF_ISNAN((pInst->MULT_i*(pInst->Igcs+pInst->Igsov)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igd]=(pInst->MULT_i*(pInst->Igcd+pInst->Igdov));
EXIT_IF_ISNAN((pInst->MULT_i*(pInst->Igcd+pInst->Igdov)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igb]=(pInst->MULT_i*Igb);
EXIT_IF_ISNAN((pInst->MULT_i*Igb))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idedge]=(pInst->MULT_i*pInst->Idsedge);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->Idsedge))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igcs]=(pInst->MULT_i*pInst->Igcs);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->Igcs))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igcd]=(pInst->MULT_i*pInst->Igcd);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->Igcd))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_iavl]=(pInst->MULT_i*pInst->Iimpact);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->Iimpact))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igisl]=(pInst->MULT_i*Igisl);
EXIT_IF_ISNAN((pInst->MULT_i*Igisl))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_igidl]=(pInst->MULT_i*Igidl);
EXIT_IF_ISNAN((pInst->MULT_i*Igidl))
#endif
#ifdef _DYNAMIC
if
((pModel->SWJUNEXP_i==1))
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijsbot]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijsgat]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijssti]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijdbot]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijdgat]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijdsti]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsbot]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatssti]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsgat]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsbotd]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsstid]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsgatd]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijsbot]=((pInst->MULT_i*pInst->ABSOURCE_i)*ijunbot_s);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->ABSOURCE_i)*ijunbot_s))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijsgat]=((pInst->MULT_i*pInst->LGSOURCE_i)*ijungat_s);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LGSOURCE_i)*ijungat_s))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijssti]=((pInst->MULT_i*pInst->LSSOURCE_i)*ijunsti_s);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LSSOURCE_i)*ijunsti_s))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijdbot]=((pInst->MULT_i*pInst->ABDRAIN_i)*ijunbot_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->ABDRAIN_i)*ijunbot_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijdgat]=((pInst->MULT_i*pInst->LGDRAIN_i)*ijungat_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LGDRAIN_i)*ijungat_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijdsti]=((pInst->MULT_i*pInst->LSDRAIN_i)*ijunsti_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LSDRAIN_i)*ijunsti_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsbot]=((pInst->MULT_i*pInst->ABSOURCE_i)*pModel->idsatbot);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->ABSOURCE_i)*pModel->idsatbot))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatssti]=((pInst->MULT_i*pInst->LSSOURCE_i)*pModel->idsatsti);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LSSOURCE_i)*pModel->idsatsti))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsgat]=((pInst->MULT_i*pInst->LGSOURCE_i)*pModel->idsatgat);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LGSOURCE_i)*pModel->idsatgat))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsbotd]=((pInst->MULT_i*pInst->ABDRAIN_i)*pModel->idsatbot_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->ABDRAIN_i)*pModel->idsatbot_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsstid]=((pInst->MULT_i*pInst->LSDRAIN_i)*pModel->idsatsti_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LSDRAIN_i)*pModel->idsatsti_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_idsatsgatd]=((pInst->MULT_i*pInst->LGDRAIN_i)*pModel->idsatgat_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LGDRAIN_i)*pModel->idsatgat_d))
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijs]=(pInst->MULT_i*pInst->ijun_s);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->ijun_s))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ijd]=(pInst->MULT_i*pInst->ijun_d);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->ijun_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vds]=Vds;
EXIT_IF_ISNAN(Vds)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgs]=Vgs;
EXIT_IF_ISNAN(Vgs)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vsb]=Vsb;
EXIT_IF_ISNAN(Vsb)
#endif
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,(pInst->phit1*facvsb0))
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vto]=((pInst->VFB_T+(P_D*facvsb0))+(Gf_dc*d00_sqrt0));
EXIT_IF_ISNAN(((pInst->VFB_T+(P_D*facvsb0))+(Gf_dc*d00_sqrt0)))
}
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vts]=vts_i;
EXIT_IF_ISNAN(vts_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vth]=vth_i;
EXIT_IF_ISNAN(vth_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgt]=(ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgs]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vth]);
EXIT_IF_ISNAN((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgs]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vth]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vdss]=Vdsat_dc;
EXIT_IF_ISNAN(Vdsat_dc)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vsat]=(Vds-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vdss]);
EXIT_IF_ISNAN((Vds-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vdss]))
#endif
#if defined(_DYNAMIC)
ids_i=((((((pInst->Ids+pInst->Idsedge)+pInst->Iimpact)+Igidl)-pInst->Igcd)-pInst->Igdov)-pInst->ijun_d);
EXIT_IF_ISNAN(((((((pInst->Ids+pInst->Idsedge)+pInst->Iimpact)+Igidl)-pInst->Igcd)-pInst->Igdov)-pInst->ijun_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gm]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gmb]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gds]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gjs]=((-pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((-pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gjd]=((-pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((-pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdd]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdg]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdb]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cds]=((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdd]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdg])-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdb]);
EXIT_IF_ISNAN(((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdd]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdg])-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cdb]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgd]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgg]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgb]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgs]=((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgg]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgd])-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgb]);
EXIT_IF_ISNAN(((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgg]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgd])-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgb]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csd]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csg]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csb]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_css]=((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csg]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csd])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csb]);
EXIT_IF_ISNAN(((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csg]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csd])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_csb]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbd]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbg]=(((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN((((-pModel->CHNL_TYPE)*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbb]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbs]=((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbb]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbd])-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbg]);
EXIT_IF_ISNAN(((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbb]-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbd])-ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cbg]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgsol]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgdol]=((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((pModel->CHNL_TYPE*pInst->MULT_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjsbot]=((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->ABSOURCE_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->ABSOURCE_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjsgat]=((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LGSOURCE_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LGSOURCE_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjssti]=((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LSSOURCE_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LSSOURCE_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjs]=((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjsbot]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjsgat])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjssti]);
EXIT_IF_ISNAN(((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjsbot]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjsgat])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjssti]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdbot]=((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->ABDRAIN_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->ABDRAIN_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdgat]=((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LGDRAIN_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LGDRAIN_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdsti]=((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LSDRAIN_i)*0.0 /*ddx should be top node of expression!*/);
EXIT_IF_ISNAN(((((-pInst->MULT_i)*pModel->CHNL_TYPE)*pInst->LSDRAIN_i)*0.0 /*ddx should be top node of expression!*/))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjd]=((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdbot]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdgat])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdsti]);
EXIT_IF_ISNAN(((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdbot]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdgat])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjdsti]))
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_weff]=pInst->WE;
EXIT_IF_ISNAN(pInst->WE)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_leff]=pInst->LE;
EXIT_IF_ISNAN(pInst->LE)
#endif
#ifdef _DYNAMIC
{
double m00_fabs(d00_fabs0,ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gds])
if
((d00_fabs0<1.0e-18))
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_u]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_rout]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vearly]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_u]=(ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gm]/ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gds]);
EXIT_IF_ISNAN((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gm]/ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gds]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_rout]=(1.0/ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gds]);
EXIT_IF_ISNAN((1.0/ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gds]))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vearly]=(ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ide]/ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gds]);
EXIT_IF_ISNAN((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ide]/ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gds]))
#endif
}
}
#endif /* if(...) */
#ifdef _DYNAMIC
{
double m00_fabs(d00_fabs0,ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgt])
if
((d00_fabs0<1.0e-12))
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_beff]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
#if defined(_DYNAMIC)
{
double m00_fabs(d00_fabs0,ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ide])
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_beff]=((2.0*d00_fabs0)/(ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgt]*ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgt]));
EXIT_IF_ISNAN(((2.0*d00_fabs0)/(ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgt]*ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vgt])))
}
#endif
}
}
#endif /* if(...) */
#ifdef _DYNAMIC
{
double m00_fabs(d00_fabs0,((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgg]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgsol])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgdol]))
if
((d00_fabs0<1.0e-30))
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_fug]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_fug]=(ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gm]/((2.0*3.1415926535897931)*((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgg]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgsol])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgdol])));
EXIT_IF_ISNAN((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gm]/((2.0*3.1415926535897931)*((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgg]+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgsol])+ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cgdol]))))
#endif
}
}
#endif /* if(...) */
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_rg_op]=(pInst->RG_i/pInst->MULT_i);
EXIT_IF_ISNAN((pInst->RG_i/pInst->MULT_i))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sfl]=(pInst->MULT_i*pInst->Sfl);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->Sfl))
#endif
#ifdef _DYNAMIC
{
double m00_fabs(d00_fabs0,ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gm])
if
((d00_fabs0<1.0e-18))
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sqrtsff]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sqrtsfw]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,((pInst->MULT_i*pInst->Sfl)/1000.0))
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sqrtsff]=(d00_sqrt0/ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gm]);
EXIT_IF_ISNAN((d00_sqrt0/ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gm]))
}
#endif
#if defined(_DYNAMIC)
{
double m00_sqrt(d00_sqrt0,pInst->MULT_i)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sqrtsfw]=((d00_sqrt0*pInst->sqid)/ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gm]);
EXIT_IF_ISNAN(((d00_sqrt0*pInst->sqid)/ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_gm]))
}
#endif
}
}
#endif /* if(...) */
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sid]=((pInst->MULT_i*pInst->sqid)*pInst->sqid);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->sqid)*pInst->sqid))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sig]=(((pInst->MULT_i*pInst->nt)*sig1k)/(1.0+(sig1k*pInst->mig)));
EXIT_IF_ISNAN((((pInst->MULT_i*pInst->nt)*sig1k)/(1.0+(sig1k*pInst->mig))))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cigid]=pInst->c_igid;
EXIT_IF_ISNAN(pInst->c_igid)
#endif
#ifdef _DYNAMIC
if
((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sid]==0.0))
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_fknee]=0.0;
EXIT_IF_ISNAN(0.0)
#endif
}
else
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_fknee]=(ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sfl]/ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sid]);
EXIT_IF_ISNAN((ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sfl]/ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sid]))
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_siavl]=(pInst->MULT_i*pInst->shot_iavl);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->shot_iavl))
#endif
#ifdef _DYNAMIC
if
((pInst->sigVds<0.0))
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sigs]=(pInst->MULT_i*(pInst->shot_igcsx+pInst->shot_igdov));
EXIT_IF_ISNAN((pInst->MULT_i*(pInst->shot_igcsx+pInst->shot_igdov)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sigd]=(pInst->MULT_i*(pInst->shot_igcdx+pInst->shot_igsov));
EXIT_IF_ISNAN((pInst->MULT_i*(pInst->shot_igcdx+pInst->shot_igsov)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ssi]=(pInst->MULT_i*pInst->jnoisex_d);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->jnoisex_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sdi]=(pInst->MULT_i*pInst->jnoisex_s);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->jnoisex_s))
#endif
}
else
{
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sigs]=(pInst->MULT_i*(pInst->shot_igcsx+pInst->shot_igsov));
EXIT_IF_ISNAN((pInst->MULT_i*(pInst->shot_igcsx+pInst->shot_igsov)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sigd]=(pInst->MULT_i*(pInst->shot_igcdx+pInst->shot_igdov));
EXIT_IF_ISNAN((pInst->MULT_i*(pInst->shot_igcdx+pInst->shot_igdov)))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_ssi]=(pInst->MULT_i*pInst->jnoisex_s);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->jnoisex_s))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sdi]=(pInst->MULT_i*pInst->jnoisex_d);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->jnoisex_d))
#endif
}
#endif /* if(...) */
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sfledge]=(pInst->MULT_i*pInst->Sfledge);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->Sfledge))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_sidedge]=(pInst->MULT_i*pInst->sqidedge);
EXIT_IF_ISNAN((pInst->MULT_i*pInst->sqidedge))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_vfb]=pInst->VFB_T;
EXIT_IF_ISNAN(pInst->VFB_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stvfb]=pInst->STVFB_i;
EXIT_IF_ISNAN(pInst->STVFB_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_st2vfb]=pInst->ST2VFB_i;
EXIT_IF_ISNAN(pInst->ST2VFB_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_tox]=pInst->TOX_i;
EXIT_IF_ISNAN(pInst->TOX_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_epsrox]=pInst->EPSROX_i;
EXIT_IF_ISNAN(pInst->EPSROX_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_neff]=pInst->NEFF_i;
EXIT_IF_ISNAN(pInst->NEFF_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_facneffac]=pInst->FACNEFFAC_i;
EXIT_IF_ISNAN(pInst->FACNEFFAC_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_gfacnud]=pInst->GFACNUD_i;
EXIT_IF_ISNAN(pInst->GFACNUD_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_vsbnud]=pInst->VSBNUD_i;
EXIT_IF_ISNAN(pInst->VSBNUD_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_dvsbnud]=pInst->DVSBNUD_i;
EXIT_IF_ISNAN(pInst->DVSBNUD_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_vnsub]=pInst->VNSUB_i;
EXIT_IF_ISNAN(pInst->VNSUB_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_nslp]=pInst->NSLP_i;
EXIT_IF_ISNAN(pInst->NSLP_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_dnsub]=pInst->DNSUB_i;
EXIT_IF_ISNAN(pInst->DNSUB_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_dphib]=pInst->DPHIB_i;
EXIT_IF_ISNAN(pInst->DPHIB_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_delvtac]=pInst->DELVTAC_i;
EXIT_IF_ISNAN(pInst->DELVTAC_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_np]=pInst->NP_i;
EXIT_IF_ISNAN(pInst->NP_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_toxov]=pInst->TOXOV_i;
EXIT_IF_ISNAN(pInst->TOXOV_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_toxovd]=pInst->TOXOVD_i;
EXIT_IF_ISNAN(pInst->TOXOVD_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_nov]=pInst->NOV_i;
EXIT_IF_ISNAN(pInst->NOV_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_novd]=pInst->NOVD_i;
EXIT_IF_ISNAN(pInst->NOVD_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_ct]=pInst->CT_T;
EXIT_IF_ISNAN(pInst->CT_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_ctg]=pInst->CTG_T;
EXIT_IF_ISNAN(pInst->CTG_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_ctb]=pInst->CTB_i;
EXIT_IF_ISNAN(pInst->CTB_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stct]=pInst->STCT_i;
EXIT_IF_ISNAN(pInst->STCT_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cf]=pInst->CF_i;
EXIT_IF_ISNAN(pInst->CF_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cfac]=pInst->CFAC_i;
EXIT_IF_ISNAN(pInst->CFAC_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cfd]=pInst->CFD_i;
EXIT_IF_ISNAN(pInst->CFD_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cfb]=pInst->CFB_i;
EXIT_IF_ISNAN(pInst->CFB_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_psce]=pInst->PSCE_i;
EXIT_IF_ISNAN(pInst->PSCE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_psceb]=pInst->PSCEB_i;
EXIT_IF_ISNAN(pInst->PSCEB_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_psced]=pInst->PSCED_i;
EXIT_IF_ISNAN(pInst->PSCED_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_betn]=pInst->BETN_T;
EXIT_IF_ISNAN(pInst->BETN_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stbet]=pInst->STBET_i;
EXIT_IF_ISNAN(pInst->STBET_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_mue]=pInst->MUE_T;
EXIT_IF_ISNAN(pInst->MUE_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stmue]=pInst->STMUE_i;
EXIT_IF_ISNAN(pInst->STMUE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_themu]=pInst->THEMU_T;
EXIT_IF_ISNAN(pInst->THEMU_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stthemu]=pInst->STTHEMU_i;
EXIT_IF_ISNAN(pInst->STTHEMU_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cs]=pInst->CS_T;
EXIT_IF_ISNAN(pInst->CS_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stcs]=pInst->STCS_i;
EXIT_IF_ISNAN(pInst->STCS_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_thecs]=pInst->THECS_T;
EXIT_IF_ISNAN(pInst->THECS_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stthecs]=pInst->STTHECS_i;
EXIT_IF_ISNAN(pInst->STTHECS_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_xcor]=pInst->XCOR_T;
EXIT_IF_ISNAN(pInst->XCOR_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stxcor]=pInst->STXCOR_i;
EXIT_IF_ISNAN(pInst->STXCOR_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_feta]=pInst->FETA_i;
EXIT_IF_ISNAN(pInst->FETA_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_rs]=pInst->RS_T;
EXIT_IF_ISNAN(pInst->RS_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_strs]=pInst->STRS_i;
EXIT_IF_ISNAN(pInst->STRS_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_rsb]=pInst->RSB_i;
EXIT_IF_ISNAN(pInst->RSB_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_rsg]=pInst->RSG_i;
EXIT_IF_ISNAN(pInst->RSG_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_thesat]=pInst->THESAT_T;
EXIT_IF_ISNAN(pInst->THESAT_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_thesatac]=pInst->THESATAC_T;
EXIT_IF_ISNAN(pInst->THESATAC_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stthesat]=pInst->STTHESAT_i;
EXIT_IF_ISNAN(pInst->STTHESAT_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_thesatb]=pInst->THESATB_i;
EXIT_IF_ISNAN(pInst->THESATB_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_thesatg]=pInst->THESATG_i;
EXIT_IF_ISNAN(pInst->THESATG_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_ax]=pInst->AX_i;
EXIT_IF_ISNAN(pInst->AX_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_axac]=pInst->AXAC_i;
EXIT_IF_ISNAN(pInst->AXAC_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_alp]=pInst->ALP_i;
EXIT_IF_ISNAN(pInst->ALP_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_alpac]=pInst->ALPAC_i;
EXIT_IF_ISNAN(pInst->ALPAC_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_alp1]=pInst->ALP1_i;
EXIT_IF_ISNAN(pInst->ALP1_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_alp2]=pInst->ALP2_i;
EXIT_IF_ISNAN(pInst->ALP2_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_vp]=pInst->VP_i;
EXIT_IF_ISNAN(pInst->VP_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_a1]=pInst->A1_i;
EXIT_IF_ISNAN(pInst->A1_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_a2]=pInst->A2_T;
EXIT_IF_ISNAN(pInst->A2_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_sta2]=pInst->STA2_i;
EXIT_IF_ISNAN(pInst->STA2_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_a3]=pInst->A3_i;
EXIT_IF_ISNAN(pInst->A3_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_a4]=pInst->A4_i;
EXIT_IF_ISNAN(pInst->A4_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_gco]=pInst->GCO_i;
EXIT_IF_ISNAN(pInst->GCO_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_iginv]=pInst->IGINV_i;
EXIT_IF_ISNAN(pInst->IGINV_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_igov]=pInst->IGOV_i;
EXIT_IF_ISNAN(pInst->IGOV_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_igovd]=pInst->IGOVD_i;
EXIT_IF_ISNAN(pInst->IGOVD_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stig]=pInst->STIG_i;
EXIT_IF_ISNAN(pInst->STIG_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_gc2]=pInst->GC2_i;
EXIT_IF_ISNAN(pInst->GC2_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_gc3]=pInst->GC3_i;
EXIT_IF_ISNAN(pInst->GC3_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_gc2ov]=pInst->GC2OV_i;
EXIT_IF_ISNAN(pInst->GC2OV_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_gc3ov]=pInst->GC3OV_i;
EXIT_IF_ISNAN(pInst->GC3OV_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_chib]=pInst->CHIB_i;
EXIT_IF_ISNAN(pInst->CHIB_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_agidl]=pInst->AGIDL_i;
EXIT_IF_ISNAN(pInst->AGIDL_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_agidld]=pInst->AGIDLD_i;
EXIT_IF_ISNAN(pInst->AGIDLD_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_bgidl]=pInst->BGIDL_T;
EXIT_IF_ISNAN(pInst->BGIDL_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_bgidld]=pInst->BGIDLD_T;
EXIT_IF_ISNAN(pInst->BGIDLD_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stbgidl]=pInst->STBGIDL_i;
EXIT_IF_ISNAN(pInst->STBGIDL_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stbgidld]=pInst->STBGIDLD_i;
EXIT_IF_ISNAN(pInst->STBGIDLD_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cgidl]=pInst->CGIDL_i;
EXIT_IF_ISNAN(pInst->CGIDL_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cgidld]=pInst->CGIDLD_i;
EXIT_IF_ISNAN(pInst->CGIDLD_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cox]=pInst->COX_i;
EXIT_IF_ISNAN(pInst->COX_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cgov]=pInst->CGOV_i;
EXIT_IF_ISNAN(pInst->CGOV_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cgovd]=pInst->CGOVD_i;
EXIT_IF_ISNAN(pInst->CGOVD_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cgbov]=pInst->CGBOV_i;
EXIT_IF_ISNAN(pInst->CGBOV_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cfr]=pInst->CFR_i;
EXIT_IF_ISNAN(pInst->CFR_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cfrd]=pInst->CFRD_i;
EXIT_IF_ISNAN(pInst->CFRD_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_fnt]=pInst->FNT_i;
EXIT_IF_ISNAN(pInst->FNT_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_fntexc]=pInst->FNTEXC_i;
EXIT_IF_ISNAN(pInst->FNTEXC_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_nfa]=pInst->NFA_i;
EXIT_IF_ISNAN(pInst->NFA_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_nfb]=pInst->NFB_i;
EXIT_IF_ISNAN(pInst->NFB_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_nfc]=pInst->NFC_i;
EXIT_IF_ISNAN(pInst->NFC_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_ef]=pInst->EF_i;
EXIT_IF_ISNAN(pInst->EF_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_vfbedge]=pInst->VFBEDGE_T;
EXIT_IF_ISNAN(pInst->VFBEDGE_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stvfbedge]=pInst->STVFBEDGE_i;
EXIT_IF_ISNAN(pInst->STVFBEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_dphibedge]=pInst->DPHIBEDGE_i;
EXIT_IF_ISNAN(pInst->DPHIBEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_neffedge]=pInst->NEFFEDGE_i;
EXIT_IF_ISNAN(pInst->NEFFEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_ctedge]=pInst->CTEDGE_i;
EXIT_IF_ISNAN(pInst->CTEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_betnedge]=pInst->BETNEDGE_T;
EXIT_IF_ISNAN(pInst->BETNEDGE_T)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_stbetedge]=pInst->STBETEDGE_i;
EXIT_IF_ISNAN(pInst->STBETEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_psceedge]=pInst->PSCEEDGE_i;
EXIT_IF_ISNAN(pInst->PSCEEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_pscebedge]=pInst->PSCEBEDGE_i;
EXIT_IF_ISNAN(pInst->PSCEBEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_pscededge]=pInst->PSCEDEDGE_i;
EXIT_IF_ISNAN(pInst->PSCEDEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cfedge]=pInst->CFEDGE_i;
EXIT_IF_ISNAN(pInst->CFEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cfdedge]=pInst->CFDEDGE_i;
EXIT_IF_ISNAN(pInst->CFDEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_cfbedge]=pInst->CFBEDGE_i;
EXIT_IF_ISNAN(pInst->CFBEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_fntedge]=pInst->FNTEDGE_i;
EXIT_IF_ISNAN(pInst->FNTEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_nfaedge]=pInst->NFAEDGE_i;
EXIT_IF_ISNAN(pInst->NFAEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_nfbedge]=pInst->NFBEDGE_i;
EXIT_IF_ISNAN(pInst->NFBEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_nfcedge]=pInst->NFCEDGE_i;
EXIT_IF_ISNAN(pInst->NFCEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_efedge]=pInst->EFEDGE_i;
EXIT_IF_ISNAN(pInst->EFEDGE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_rg]=pInst->RG_i;
EXIT_IF_ISNAN(pInst->RG_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_rse]=pInst->RSE_i;
EXIT_IF_ISNAN(pInst->RSE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_rde]=pInst->RDE_i;
EXIT_IF_ISNAN(pInst->RDE_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_rbulk]=pInst->RBULK_i;
EXIT_IF_ISNAN(pInst->RBULK_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_rwell]=pInst->RWELL_i;
EXIT_IF_ISNAN(pInst->RWELL_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_rjuns]=pInst->RJUNS_i;
EXIT_IF_ISNAN(pInst->RJUNS_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_lp_rjund]=pInst->RJUND_i;
EXIT_IF_ISNAN(pInst->RJUND_i)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_tk]=pModel->TKD;
EXIT_IF_ISNAN(pModel->TKD)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjosbot]=((pInst->MULT_i*pInst->ABSOURCE_i)*pModel->cjobot);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->ABSOURCE_i)*pModel->cjobot))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjossti]=((pInst->MULT_i*pInst->LSSOURCE_i)*pModel->cjosti);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LSSOURCE_i)*pModel->cjosti))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjosgat]=((pInst->MULT_i*pInst->LGSOURCE_i)*pModel->cjogat);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LGSOURCE_i)*pModel->cjogat))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vbisbot]=pModel->vbibot;
EXIT_IF_ISNAN(pModel->vbibot)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vbissti]=pModel->vbisti;
EXIT_IF_ISNAN(pModel->vbisti)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vbisgat]=pModel->vbigat;
EXIT_IF_ISNAN(pModel->vbigat)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjosbotd]=((pInst->MULT_i*pInst->ABDRAIN_i)*pModel->cjobot_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->ABDRAIN_i)*pModel->cjobot_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjosstid]=((pInst->MULT_i*pInst->LSDRAIN_i)*pModel->cjosti_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LSDRAIN_i)*pModel->cjosti_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_cjosgatd]=((pInst->MULT_i*pInst->LGDRAIN_i)*pModel->cjogat_d);
EXIT_IF_ISNAN(((pInst->MULT_i*pInst->LGDRAIN_i)*pModel->cjogat_d))
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vbisbotd]=pModel->vbibot_d;
EXIT_IF_ISNAN(pModel->vbibot_d)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vbisstid]=pModel->vbisti_d;
EXIT_IF_ISNAN(pModel->vbisti_d)
#endif
#if defined(_DYNAMIC)
ckt->CKTstate0[((GENinstance*)here)->GENstate + hide_vbisgatd]=pModel->vbigat_d;
EXIT_IF_ISNAN(pModel->vbigat_d)
#endif
}
}
